/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2024, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "access/tableam.h"
#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "gramparse.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	ObjectType	objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* Private struct for the result of opt_select_limit production */
typedef struct SelectLimit
{
	Node	   *limitOffset;
	Node	   *limitCount;
	LimitOption limitOption;
} SelectLimit;

/* Private struct for the result of group_clause production */
typedef struct GroupClause
{
	bool		distinct;
	List	   *list;
} GroupClause;

/* Private structs for the result of key_actions and key_action productions */
typedef struct KeyAction
{
	char		action;
	List	   *cols;
} KeyAction;

typedef struct KeyActions
{
	KeyAction *updateAction;
	KeyAction *deleteAction;
} KeyActions;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBoolAConst(bool state, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Node *v, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								SelectLimit *limitClause,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Float *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static RangeVar *makeRangeVarFromQualifiedName(char *name, List *namelist, int location,
											   core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static PartitionStrategy parsePartitionStrategy(char *strategy);
static void preprocess_pubobj_list(List *pubobjspec_list,
								   core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 294 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    UIDENT = 259,
    FCONST = 260,
    SCONST = 261,
    USCONST = 262,
    BCONST = 263,
    XCONST = 264,
    Op = 265,
    ICONST = 266,
    PARAM = 267,
    TYPECAST = 268,
    DOT_DOT = 269,
    COLON_EQUALS = 270,
    EQUALS_GREATER = 271,
    LESS_EQUALS = 272,
    GREATER_EQUALS = 273,
    NOT_EQUALS = 274,
    ABORT_P = 275,
    ABSENT = 276,
    ABSOLUTE_P = 277,
    ACCESS = 278,
    ACTION = 279,
    ADD_P = 280,
    ADMIN = 281,
    AFTER = 282,
    AGGREGATE = 283,
    ALL = 284,
    ALSO = 285,
    ALTER = 286,
    ALWAYS = 287,
    ANALYSE = 288,
    ANALYZE = 289,
    AND = 290,
    ANY = 291,
    ARRAY = 292,
    AS = 293,
    ASC = 294,
    ASENSITIVE = 295,
    ASSERTION = 296,
    ASSIGNMENT = 297,
    ASYMMETRIC = 298,
    ATOMIC = 299,
    AT = 300,
    ATTACH = 301,
    ATTRIBUTE = 302,
    AUTHORIZATION = 303,
    BACKWARD = 304,
    BEFORE = 305,
    BEGIN_P = 306,
    BETWEEN = 307,
    BIGINT = 308,
    BINARY = 309,
    BIT = 310,
    BOOLEAN_P = 311,
    BOTH = 312,
    BREADTH = 313,
    BY = 314,
    CACHE = 315,
    CALL = 316,
    CALLED = 317,
    CASCADE = 318,
    CASCADED = 319,
    CASE = 320,
    CAST = 321,
    CATALOG_P = 322,
    CHAIN = 323,
    CHAR_P = 324,
    CHARACTER = 325,
    CHARACTERISTICS = 326,
    CHECK = 327,
    CHECKPOINT = 328,
    CLASS = 329,
    CLOSE = 330,
    CLUSTER = 331,
    COALESCE = 332,
    COLLATE = 333,
    COLLATION = 334,
    COLUMN = 335,
    COLUMNS = 336,
    COMMENT = 337,
    COMMENTS = 338,
    COMMIT = 339,
    COMMITTED = 340,
    COMPRESSION = 341,
    CONCURRENTLY = 342,
    CONFIGURATION = 343,
    CONFLICT = 344,
    CONNECTION = 345,
    CONSTRAINT = 346,
    CONSTRAINTS = 347,
    CONTENT_P = 348,
    CONTINUE_P = 349,
    CONVERSION_P = 350,
    COPY = 351,
    COST = 352,
    CREATE = 353,
    CROSS = 354,
    CSV = 355,
    CUBE = 356,
    CURRENT_P = 357,
    CURRENT_CATALOG = 358,
    CURRENT_DATE = 359,
    CURRENT_ROLE = 360,
    CURRENT_SCHEMA = 361,
    CURRENT_TIME = 362,
    CURRENT_TIMESTAMP = 363,
    CURRENT_USER = 364,
    CURSOR = 365,
    CYCLE = 366,
    DATA_P = 367,
    DATABASE = 368,
    DAY_P = 369,
    DEALLOCATE = 370,
    DEC = 371,
    DECIMAL_P = 372,
    DECLARE = 373,
    DEFAULT = 374,
    DEFAULTS = 375,
    DEFERRABLE = 376,
    DEFERRED = 377,
    DEFINER = 378,
    DELETE_P = 379,
    DELIMITER = 380,
    DELIMITERS = 381,
    DEPENDS = 382,
    DEPTH = 383,
    DESC = 384,
    DETACH = 385,
    DICTIONARY = 386,
    DISABLE_P = 387,
    DISCARD = 388,
    DISTINCT = 389,
    DO = 390,
    DOCUMENT_P = 391,
    DOMAIN_P = 392,
    DOUBLE_P = 393,
    DROP = 394,
    EACH = 395,
    ELSE = 396,
    ENABLE_P = 397,
    ENCODING = 398,
    ENCRYPTED = 399,
    END_P = 400,
    ENUM_P = 401,
    ESCAPE = 402,
    EVENT = 403,
    EXCEPT = 404,
    EXCLUDE = 405,
    EXCLUDING = 406,
    EXCLUSIVE = 407,
    EXECUTE = 408,
    EXISTS = 409,
    EXPLAIN = 410,
    EXPRESSION = 411,
    EXTENSION = 412,
    EXTERNAL = 413,
    EXTRACT = 414,
    FALSE_P = 415,
    FAMILY = 416,
    FETCH = 417,
    FILTER = 418,
    FINALIZE = 419,
    FIRST_P = 420,
    FLOAT_P = 421,
    FOLLOWING = 422,
    FOR = 423,
    FORCE = 424,
    FOREIGN = 425,
    FORMAT = 426,
    FORWARD = 427,
    FREEZE = 428,
    FROM = 429,
    FULL = 430,
    FUNCTION = 431,
    FUNCTIONS = 432,
    GENERATED = 433,
    GLOBAL = 434,
    GRANT = 435,
    GRANTED = 436,
    GREATEST = 437,
    GROUP_P = 438,
    GROUPING = 439,
    GROUPS = 440,
    HANDLER = 441,
    HAVING = 442,
    HEADER_P = 443,
    HOLD = 444,
    HOUR_P = 445,
    IDENTITY_P = 446,
    IF_P = 447,
    ILIKE = 448,
    IMMEDIATE = 449,
    IMMUTABLE = 450,
    IMPLICIT_P = 451,
    IMPORT_P = 452,
    IN_P = 453,
    INCLUDE = 454,
    INCLUDING = 455,
    INCREMENT = 456,
    INDENT = 457,
    INDEX = 458,
    INDEXES = 459,
    INHERIT = 460,
    INHERITS = 461,
    INITIALLY = 462,
    INLINE_P = 463,
    INNER_P = 464,
    INOUT = 465,
    INPUT_P = 466,
    INSENSITIVE = 467,
    INSERT = 468,
    INSTEAD = 469,
    INT_P = 470,
    INTEGER = 471,
    INTERSECT = 472,
    INTERVAL = 473,
    INTO = 474,
    INVOKER = 475,
    IS = 476,
    ISNULL = 477,
    ISOLATION = 478,
    JOIN = 479,
    JSON = 480,
    JSON_ARRAY = 481,
    JSON_ARRAYAGG = 482,
    JSON_OBJECT = 483,
    JSON_OBJECTAGG = 484,
    JSON_SCALAR = 485,
    JSON_SERIALIZE = 486,
    KEY = 487,
    KEYS = 488,
    LABEL = 489,
    LANGUAGE = 490,
    LARGE_P = 491,
    LAST_P = 492,
    LATERAL_P = 493,
    LEADING = 494,
    LEAKPROOF = 495,
    LEAST = 496,
    LEFT = 497,
    LEVEL = 498,
    LIKE = 499,
    LIMIT = 500,
    LISTEN = 501,
    LOAD = 502,
    LOCAL = 503,
    LOCALTIME = 504,
    LOCALTIMESTAMP = 505,
    LOCATION = 506,
    LOCK_P = 507,
    LOCKED = 508,
    LOGGED = 509,
    MAPPING = 510,
    MATCH = 511,
    MATCHED = 512,
    MATERIALIZED = 513,
    MAXVALUE = 514,
    MERGE = 515,
    MERGE_ACTION = 516,
    METHOD = 517,
    MINUTE_P = 518,
    MINVALUE = 519,
    MODE = 520,
    MONTH_P = 521,
    MOVE = 522,
    NAME_P = 523,
    NAMES = 524,
    NATIONAL = 525,
    NATURAL = 526,
    NCHAR = 527,
    NEW = 528,
    NEXT = 529,
    NFC = 530,
    NFD = 531,
    NFKC = 532,
    NFKD = 533,
    NO = 534,
    NONE = 535,
    NORMALIZE = 536,
    NORMALIZED = 537,
    NOT = 538,
    NOTHING = 539,
    NOTIFY = 540,
    NOTNULL = 541,
    NOWAIT = 542,
    NULL_P = 543,
    NULLIF = 544,
    NULLS_P = 545,
    NUMERIC = 546,
    OBJECT_P = 547,
    OF = 548,
    OFF = 549,
    OFFSET = 550,
    OIDS = 551,
    OLD = 552,
    ON = 553,
    ONLY = 554,
    OPERATOR = 555,
    OPTION = 556,
    OPTIONS = 557,
    OR = 558,
    ORDER = 559,
    ORDINALITY = 560,
    OTHERS = 561,
    OUT_P = 562,
    OUTER_P = 563,
    OVER = 564,
    OVERLAPS = 565,
    OVERLAY = 566,
    OVERRIDING = 567,
    OWNED = 568,
    OWNER = 569,
    PARALLEL = 570,
    PARAMETER = 571,
    PARSER = 572,
    PARTIAL = 573,
    PARTITION = 574,
    PASSING = 575,
    PASSWORD = 576,
    PLACING = 577,
    PLANS = 578,
    POLICY = 579,
    POSITION = 580,
    PRECEDING = 581,
    PRECISION = 582,
    PRESERVE = 583,
    PREPARE = 584,
    PREPARED = 585,
    PRIMARY = 586,
    PRIOR = 587,
    PRIVILEGES = 588,
    PROCEDURAL = 589,
    PROCEDURE = 590,
    PROCEDURES = 591,
    PROGRAM = 592,
    PUBLICATION = 593,
    QUOTE = 594,
    RANGE = 595,
    READ = 596,
    REAL = 597,
    REASSIGN = 598,
    RECHECK = 599,
    RECURSIVE = 600,
    REF_P = 601,
    REFERENCES = 602,
    REFERENCING = 603,
    REFRESH = 604,
    REINDEX = 605,
    RELATIVE_P = 606,
    RELEASE = 607,
    RENAME = 608,
    REPEATABLE = 609,
    REPLACE = 610,
    REPLICA = 611,
    RESET = 612,
    RESTART = 613,
    RESTRICT = 614,
    RETURN = 615,
    RETURNING = 616,
    RETURNS = 617,
    REVOKE = 618,
    RIGHT = 619,
    ROLE = 620,
    ROLLBACK = 621,
    ROLLUP = 622,
    ROUTINE = 623,
    ROUTINES = 624,
    ROW = 625,
    ROWS = 626,
    RULE = 627,
    SAVEPOINT = 628,
    SCALAR = 629,
    SCHEMA = 630,
    SCHEMAS = 631,
    SCROLL = 632,
    SEARCH = 633,
    SECOND_P = 634,
    SECURITY = 635,
    SELECT = 636,
    SEQUENCE = 637,
    SEQUENCES = 638,
    SERIALIZABLE = 639,
    SERVER = 640,
    SESSION = 641,
    SESSION_USER = 642,
    SET = 643,
    SETS = 644,
    SETOF = 645,
    SHARE = 646,
    SHOW = 647,
    SIMILAR = 648,
    SIMPLE = 649,
    SKIP = 650,
    SMALLINT = 651,
    SNAPSHOT = 652,
    SOME = 653,
    SQL_P = 654,
    STABLE = 655,
    STANDALONE_P = 656,
    START = 657,
    STATEMENT = 658,
    STATISTICS = 659,
    STDIN = 660,
    STDOUT = 661,
    STORAGE = 662,
    STORED = 663,
    STRICT_P = 664,
    STRIP_P = 665,
    SUBSCRIPTION = 666,
    SUBSTRING = 667,
    SUPPORT = 668,
    SYMMETRIC = 669,
    SYSID = 670,
    SYSTEM_P = 671,
    SYSTEM_USER = 672,
    TABLE = 673,
    TABLES = 674,
    TABLESAMPLE = 675,
    TABLESPACE = 676,
    TEMP = 677,
    TEMPLATE = 678,
    TEMPORARY = 679,
    TEXT_P = 680,
    THEN = 681,
    TIES = 682,
    TIME = 683,
    TIMESTAMP = 684,
    TO = 685,
    TRAILING = 686,
    TRANSACTION = 687,
    TRANSFORM = 688,
    TREAT = 689,
    TRIGGER = 690,
    TRIM = 691,
    TRUE_P = 692,
    TRUNCATE = 693,
    TRUSTED = 694,
    TYPE_P = 695,
    TYPES_P = 696,
    UESCAPE = 697,
    UNBOUNDED = 698,
    UNCOMMITTED = 699,
    UNENCRYPTED = 700,
    UNION = 701,
    UNIQUE = 702,
    UNKNOWN = 703,
    UNLISTEN = 704,
    UNLOGGED = 705,
    UNTIL = 706,
    UPDATE = 707,
    USER = 708,
    USING = 709,
    VACUUM = 710,
    VALID = 711,
    VALIDATE = 712,
    VALIDATOR = 713,
    VALUE_P = 714,
    VALUES = 715,
    VARCHAR = 716,
    VARIADIC = 717,
    VARYING = 718,
    VERBOSE = 719,
    VERSION_P = 720,
    VIEW = 721,
    VIEWS = 722,
    VOLATILE = 723,
    WHEN = 724,
    WHERE = 725,
    WHITESPACE_P = 726,
    WINDOW = 727,
    WITH = 728,
    WITHIN = 729,
    WITHOUT = 730,
    WORK = 731,
    WRAPPER = 732,
    WRITE = 733,
    XML_P = 734,
    XMLATTRIBUTES = 735,
    XMLCONCAT = 736,
    XMLELEMENT = 737,
    XMLEXISTS = 738,
    XMLFOREST = 739,
    XMLNAMESPACES = 740,
    XMLPARSE = 741,
    XMLPI = 742,
    XMLROOT = 743,
    XMLSERIALIZE = 744,
    XMLTABLE = 745,
    YEAR_P = 746,
    YES_P = 747,
    ZONE = 748,
    FORMAT_LA = 749,
    NOT_LA = 750,
    NULLS_LA = 751,
    WITH_LA = 752,
    WITHOUT_LA = 753,
    MODE_TYPE_NAME = 754,
    MODE_PLPGSQL_EXPR = 755,
    MODE_PLPGSQL_ASSIGN1 = 756,
    MODE_PLPGSQL_ASSIGN2 = 757,
    MODE_PLPGSQL_ASSIGN3 = 758,
    UMINUS = 759
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 232 "gram.y" /* yacc.c:355  */

	core_YYSTYPE core_yystype;
	/* these fields must match core_YYSTYPE: */
	int			ival;
	char	   *str;
	const char *keyword;

	char		chr;
	bool		boolean;
	JoinType	jtype;
	DropBehavior dbehavior;
	OnCommitAction oncommit;
	List	   *list;
	Node	   *node;
	ObjectType	objtype;
	TypeName   *typnam;
	FunctionParameter *fun_param;
	FunctionParameterMode fun_param_mode;
	ObjectWithArgs *objwithargs;
	DefElem	   *defelt;
	SortBy	   *sortby;
	WindowDef  *windef;
	JoinExpr   *jexpr;
	IndexElem  *ielem;
	StatsElem  *selem;
	Alias	   *alias;
	RangeVar   *range;
	IntoClause *into;
	WithClause *with;
	InferClause	*infer;
	OnConflictClause *onconflict;
	A_Indices  *aind;
	ResTarget  *target;
	struct PrivTarget *privtarget;
	AccessPriv *accesspriv;
	struct ImportQual *importqual;
	InsertStmt *istmt;
	VariableSetStmt *vsetstmt;
	PartitionElem *partelem;
	PartitionSpec *partspec;
	PartitionBoundSpec *partboundspec;
	RoleSpec   *rolespec;
	PublicationObjSpec *publicationobjectspec;
	struct SelectLimit *selectlimit;
	SetQuantifier setquantifier;
	struct GroupClause *groupclause;
	MergeWhenClause *mergewhen;
	struct KeyActions *keyactions;
	struct KeyAction *keyaction;

#line 890 "gram.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 920 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  911
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   117846

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  522
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  710
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3310
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  6274

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   759

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   511,     2,     2,
     516,   517,   509,   507,   520,   508,   518,   510,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   521,   519,
     504,   506,   505,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   514,     2,   515,   512,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   513
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   902,   902,   907,   911,   916,   924,   932,   952,   964,
     978,   979,   983,   984,   985,   986,   987,   988,   989,   990,
     991,   992,   993,   994,   995,   996,   997,   998,   999,  1000,
    1001,  1002,  1003,  1004,  1005,  1006,  1007,  1008,  1009,  1010,
    1011,  1012,  1013,  1014,  1015,  1016,  1017,  1018,  1019,  1020,
    1021,  1022,  1023,  1024,  1025,  1026,  1027,  1028,  1029,  1030,
    1031,  1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,  1040,
    1041,  1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,  1050,
    1051,  1052,  1053,  1054,  1055,  1056,  1057,  1058,  1059,  1060,
    1061,  1062,  1063,  1064,  1065,  1066,  1067,  1068,  1069,  1070,
    1071,  1072,  1073,  1074,  1075,  1076,  1077,  1078,  1079,  1080,
    1081,  1082,  1083,  1084,  1085,  1086,  1087,  1088,  1089,  1090,
    1091,  1092,  1093,  1094,  1095,  1096,  1097,  1098,  1099,  1100,
    1101,  1102,  1103,  1104,  1105,  1106,  1108,  1115,  1116,  1120,
    1121,  1125,  1126,  1130,  1131,  1132,  1141,  1157,  1169,  1170,
    1171,  1180,  1181,  1185,  1186,  1190,  1195,  1199,  1209,  1217,
    1221,  1225,  1230,  1234,  1282,  1284,  1288,  1292,  1296,  1300,
    1314,  1333,  1342,  1354,  1355,  1359,  1368,  1377,  1386,  1408,
    1416,  1424,  1432,  1440,  1448,  1466,  1485,  1497,  1498,  1509,
    1520,  1531,  1547,  1566,  1573,  1581,  1582,  1583,  1584,  1585,
    1586,  1600,  1607,  1614,  1624,  1633,  1642,  1646,  1655,  1664,
    1672,  1683,  1684,  1693,  1705,  1713,  1722,  1734,  1743,  1752,
    1760,  1770,  1781,  1782,  1786,  1787,  1790,  1792,  1796,  1797,
    1798,  1799,  1803,  1804,  1805,  1811,  1823,  1827,  1831,  1848,
    1856,  1857,  1858,  1862,  1863,  1864,  1868,  1869,  1873,  1877,
    1878,  1886,  1894,  1905,  1913,  1924,  1925,  1930,  1931,  1936,
    1943,  1950,  1957,  1964,  1975,  1986,  1987,  1991,  1992,  2000,
    2016,  2023,  2030,  2037,  2044,  2064,  2074,  2084,  2094,  2104,
    2116,  2128,  2138,  2148,  2158,  2170,  2182,  2192,  2202,  2212,
    2222,  2232,  2242,  2254,  2266,  2276,  2289,  2290,  2295,  2309,
    2322,  2338,  2355,  2365,  2375,  2385,  2395,  2405,  2414,  2423,
    2433,  2442,  2452,  2462,  2478,  2488,  2498,  2508,  2518,  2535,
    2545,  2555,  2565,  2576,  2590,  2606,  2616,  2625,  2641,  2650,
    2661,  2672,  2680,  2689,  2698,  2706,  2714,  2723,  2732,  2741,
    2749,  2757,  2766,  2774,  2782,  2791,  2800,  2809,  2818,  2827,
    2836,  2847,  2855,  2864,  2873,  2882,  2891,  2900,  2909,  2917,
    2925,  2933,  2940,  2951,  2952,  2956,  2965,  2969,  2970,  2974,
    2982,  2990,  2998,  3009,  3012,  3013,  3017,  3018,  3023,  3027,
    3031,  3036,  3043,  3045,  3050,  3054,  3058,  3069,  3076,  3077,
    3081,  3082,  3087,  3140,  3153,  3167,  3179,  3186,  3190,  3204,
    3217,  3218,  3223,  3233,  3244,  3255,  3282,  3289,  3323,  3359,
    3382,  3383,  3387,  3388,  3397,  3398,  3399,  3402,  3403,  3408,
    3409,  3413,  3417,  3421,  3425,  3429,  3433,  3437,  3441,  3445,
    3449,  3453,  3457,  3461,  3465,  3469,  3478,  3482,  3486,  3490,
    3494,  3495,  3500,  3504,  3511,  3518,  3519,  3520,  3521,  3522,
    3526,  3530,  3538,  3549,  3569,  3589,  3610,  3631,  3652,  3686,
    3687,  3688,  3689,  3690,  3697,  3704,  3705,  3709,  3710,  3714,
    3715,  3719,  3723,  3730,  3734,  3741,  3742,  3743,  3747,  3748,
    3751,  3775,  3794,  3816,  3817,  3821,  3822,  3826,  3827,  3831,
    3832,  3836,  3837,  3841,  3849,  3850,  3851,  3883,  3894,  3902,
    3915,  3927,  3940,  3950,  3960,  3984,  4004,  4005,  4006,  4010,
    4011,  4030,  4038,  4046,  4054,  4066,  4078,  4079,  4080,  4084,
    4085,  4086,  4087,  4088,  4089,  4090,  4091,  4092,  4093,  4102,
    4110,  4114,  4128,  4142,  4161,  4177,  4195,  4211,  4231,  4254,
    4255,  4259,  4260,  4264,  4265,  4269,  4270,  4273,  4279,  4280,
    4283,  4287,  4295,  4300,  4306,  4307,  4311,  4316,  4323,  4324,
    4328,  4338,  4348,  4356,  4365,  4378,  4390,  4397,  4405,  4413,
    4421,  4429,  4439,  4440,  4444,  4445,  4448,  4460,  4461,  4464,
    4475,  4486,  4500,  4501,  4506,  4507,  4508,  4511,  4512,  4513,
    4514,  4517,  4518,  4521,  4522,  4525,  4545,  4558,  4580,  4581,
    4584,  4590,  4596,  4613,  4622,  4644,  4658,  4675,  4691,  4692,
    4693,  4705,  4719,  4736,  4750,  4751,  4763,  4784,  4795,  4809,
    4818,  4830,  4831,  4834,  4835,  4838,  4839,  4842,  4846,  4850,
    4854,  4858,  4862,  4866,  4870,  4874,  4878,  4882,  4887,  4891,
    4895,  4901,  4902,  4906,  4907,  4908,  4915,  4918,  4919,  4931,
    4947,  4963,  4964,  4972,  4973,  4977,  4978,  4982,  4983,  4987,
    4988,  4992,  4993,  5003,  5015,  5016,  5029,  5037,  5055,  5064,
    5076,  5079,  5083,  5087,  5091,  5098,  5110,  5121,  5124,  5128,
    5141,  5151,  5161,  5171,  5181,  5191,  5201,  5211,  5221,  5231,
    5241,  5251,  5261,  5280,  5292,  5293,  5294,  5295,  5299,  5300,
    5304,  5305,  5315,  5324,  5337,  5338,  5342,  5346,  5354,  5358,
    5362,  5369,  5373,  5378,  5383,  5390,  5397,  5402,  5412,  5425,
    5441,  5442,  5447,  5448,  5452,  5453,  5463,  5473,  5482,  5500,
    5521,  5542,  5564,  5598,  5614,  5615,  5619,  5628,  5643,  5653,
    5666,  5667,  5679,  5688,  5706,  5731,  5749,  5764,  5765,  5769,
    5770,  5774,  5775,  5779,  5780,  5784,  5798,  5802,  5803,  5807,
    5808,  5809,  5810,  5811,  5821,  5833,  5834,  5845,  5868,  5900,
    5901,  5902,  5906,  5908,  5930,  5932,  5934,  5936,  5938,  5943,
    5944,  5948,  5949,  5953,  5965,  5966,  5970,  5979,  5983,  5987,
    5992,  6002,  6003,  6007,  6008,  6012,  6013,  6017,  6018,  6022,
    6023,  6024,  6028,  6032,  6033,  6034,  6038,  6039,  6044,  6045,
    6072,  6073,  6074,  6075,  6076,  6077,  6090,  6101,  6116,  6118,
    6123,  6128,  6130,  6135,  6146,  6147,  6148,  6149,  6160,  6179,
    6191,  6204,  6215,  6226,  6238,  6247,  6255,  6263,  6273,  6283,
    6293,  6303,  6313,  6324,  6334,  6347,  6350,  6351,  6354,  6358,
    6365,  6366,  6367,  6368,  6369,  6370,  6373,  6376,  6377,  6385,
    6392,  6393,  6396,  6398,  6409,  6421,  6433,  6445,  6457,  6486,
    6487,  6503,  6519,  6520,  6524,  6537,  6548,  6557,  6567,  6577,
    6578,  6581,  6582,  6585,  6586,  6587,  6590,  6604,  6609,  6620,
    6630,  6643,  6644,  6648,  6657,  6670,  6681,  6695,  6706,  6729,
    6740,  6759,  6770,  6781,  6792,  6803,  6814,  6825,  6836,  6847,
    6858,  6869,  6880,  6895,  6896,  6897,  6898,  6899,  6900,  6901,
    6902,  6903,  6904,  6905,  6906,  6907,  6917,  6918,  6919,  6920,
    6921,  6925,  6926,  6927,  6928,  6929,  6930,  6931,  6932,  6937,
    6938,  6939,  6943,  6944,  6947,  6948,  6951,  6953,  6958,  6959,
    6970,  6982,  6983,  6984,  6994,  7003,  7012,  7021,  7030,  7039,
    7048,  7057,  7066,  7075,  7089,  7098,  7107,  7116,  7125,  7134,
    7143,  7152,  7164,  7165,  7179,  7190,  7201,  7212,  7223,  7234,
    7245,  7256,  7267,  7278,  7291,  7292,  7295,  7296,  7306,  7313,
    7322,  7331,  7340,  7349,  7358,  7367,  7376,  7385,  7394,  7403,
    7412,  7421,  7430,  7439,  7448,  7457,  7468,  7469,  7472,  7473,
    7483,  7501,  7517,  7545,  7547,  7549,  7551,  7559,  7569,  7570,
    7573,  7581,  7589,  7597,  7604,  7615,  7619,  7626,  7630,  7641,
    7650,  7659,  7668,  7677,  7686,  7695,  7704,  7713,  7722,  7731,
    7740,  7749,  7757,  7766,  7775,  7784,  7793,  7802,  7811,  7820,
    7833,  7834,  7838,  7839,  7844,  7845,  7855,  7866,  7880,  7892,
    7910,  7911,  7915,  7922,  7923,  7924,  7927,  7928,  7938,  7949,
    7950,  7954,  7958,  7962,  7973,  7987,  8002,  8020,  8021,  8022,
    8023,  8024,  8025,  8037,  8069,  8104,  8105,  8109,  8110,  8113,
    8114,  8119,  8131,  8150,  8155,  8160,  8167,  8168,  8171,  8172,
    8175,  8176,  8180,  8181,  8182,  8185,  8186,  8187,  8203,  8217,
    8232,  8246,  8263,  8264,  8267,  8268,  8272,  8273,  8277,  8278,
    8283,  8297,  8305,  8313,  8329,  8330,  8334,  8335,  8350,  8360,
    8370,  8380,  8390,  8403,  8404,  8405,  8406,  8407,  8413,  8417,
    8432,  8433,  8439,  8449,  8453,  8458,  8466,  8508,  8512,  8516,
    8520,  8528,  8529,  8533,  8545,  8546,  8551,  8552,  8557,  8558,
    8565,  8569,  8573,  8577,  8581,  8585,  8589,  8593,  8597,  8601,
    8605,  8609,  8613,  8617,  8621,  8625,  8630,  8637,  8641,  8645,
    8649,  8653,  8659,  8660,  8666,  8676,  8680,  8691,  8697,  8706,
    8712,  8713,  8717,  8718,  8722,  8723,  8726,  8739,  8743,  8758,
    8767,  8776,  8789,  8790,  8795,  8796,  8813,  8824,  8835,  8846,
    8857,  8868,  8882,  8893,  8907,  8918,  8932,  8940,  8942,  8944,
    8949,  8951,  8956,  8957,  8962,  8981,  8991,  8992,  8996,  9000,
    9012,  9024,  9036,  9050,  9051,  9052,  9056,  9069,  9070,  9080,
    9093,  9097,  9101,  9105,  9112,  9134,  9147,  9160,  9175,  9176,
    9179,  9180,  9183,  9184,  9194,  9204,  9222,  9232,  9242,  9252,
    9262,  9272,  9282,  9292,  9302,  9312,  9322,  9332,  9342,  9353,
    9364,  9374,  9384,  9394,  9404,  9414,  9424,  9435,  9446,  9457,
    9468,  9479,  9490,  9501,  9512,  9523,  9534,  9545,  9556,  9568,
    9580,  9592,  9604,  9616,  9628,  9639,  9650,  9662,  9674,  9685,
    9696,  9705,  9715,  9725,  9735,  9745,  9755,  9765,  9775,  9785,
    9795,  9810,  9811,  9814,  9815,  9825,  9835,  9845,  9855,  9866,
    9876,  9888,  9889,  9899,  9909,  9919,  9929,  9939,  9949,  9959,
    9969,  9979,  9989,  9999, 10009, 10019, 10029, 10039, 10049, 10059,
   10069, 10079, 10089, 10099, 10109, 10119, 10129, 10139, 10149, 10159,
   10178, 10188, 10189, 10192, 10194, 10196, 10202, 10203, 10204, 10205,
   10206, 10218, 10234, 10243, 10252, 10261, 10270, 10279, 10288, 10297,
   10306, 10315, 10324, 10333, 10342, 10351, 10360, 10369, 10378, 10387,
   10396, 10405, 10414, 10423, 10432, 10441, 10469, 10477, 10486, 10512,
   10521, 10528, 10534, 10561, 10572, 10581, 10589, 10591, 10613, 10621,
   10631, 10641, 10660, 10679, 10689, 10699, 10709, 10720, 10731, 10742,
   10753, 10764, 10782, 10791, 10808, 10826, 10827, 10828, 10833, 10839,
   10848, 10849, 10850, 10851, 10852, 10856, 10857, 10860, 10861, 10862,
   10863, 10867, 10868, 10869, 10881, 10892, 10893, 10896, 10906, 10913,
   10933, 10943, 10952, 10962, 10972, 10981, 10990, 10999, 11008, 11017,
   11026, 11035, 11047, 11056, 11068, 11069, 11070, 11074, 11077, 11080,
   11083, 11086, 11093, 11095, 11097, 11102, 11104, 11108, 11109, 11110,
   11122, 11136, 11150, 11169, 11191, 11192, 11193, 11194, 11204, 11221,
   11232, 11233, 11237, 11238, 11242, 11246, 11250, 11268, 11269, 11270,
   11271, 11272, 11273, 11274, 11281, 11282, 11293, 11301, 11309, 11318,
   11328, 11346, 11355, 11364, 11373, 11385, 11389, 11400, 11412, 11430,
   11437, 11454, 11468, 11478, 11487, 11496, 11506, 11518, 11530, 11541,
   11542, 11553, 11564, 11576, 11588, 11600, 11612, 11622, 11635, 11636,
   11650, 11674, 11683, 11693, 11705, 11717, 11731, 11732, 11744, 11765,
   11776, 11788, 11800, 11804, 11811, 11812, 11816, 11823, 11824, 11825,
   11829, 11830, 11831, 11835, 11836, 11840, 11841, 11844, 11845, 11848,
   11849, 11853, 11854, 11858, 11865, 11867, 11872, 11873, 11886, 11894,
   11905, 11913, 11924, 11925, 11926, 11927, 11928, 11929, 11930, 11931,
   11932, 11933, 11943, 11954, 11955, 11959, 11960, 11961, 11962, 11963,
   11973, 11981, 11999, 12019, 12020, 12030, 12039, 12048, 12057, 12076,
   12094, 12098, 12106, 12112, 12119, 12125, 12132, 12141, 12142, 12146,
   12148, 12153, 12164, 12174, 12184, 12190, 12199, 12208, 12214, 12215,
   12226, 12241, 12242, 12253, 12264, 12265, 12268, 12269, 12270, 12271,
   12272, 12273, 12274, 12275, 12278, 12279, 12283, 12284, 12285, 12296,
   12315, 12316, 12320, 12325, 12349, 12360, 12361, 12373, 12393, 12394,
   12398, 12405, 12412, 12419, 12429, 12442, 12443, 12447, 12460, 12473,
   12482, 12491, 12500, 12509, 12521, 12533, 12545, 12548, 12549, 12550,
   12551, 12552, 12553, 12556, 12557, 12558, 12606, 12607, 12611, 12612,
   12627, 12628, 12635, 12643, 12651, 12659, 12667, 12675, 12686, 12687,
   12719, 12735, 12752, 12753, 12772, 12776, 12780, 12795, 12802, 12809,
   12819, 12820, 12823, 12839, 12840, 12841, 12845, 12855, 12866, 12872,
   12884, 12897, 12903, 12904, 12908, 12920, 12928, 12933, 12938, 12943,
   12948, 12956, 12964, 12969, 12974, 12981, 12982, 12986, 12987, 12988,
   12995, 12996, 13000, 13001, 13005, 13006, 13010, 13011, 13015, 13019,
   13020, 13023, 13032, 13045, 13050, 13055, 13059, 13071, 13072, 13076,
   13085, 13101, 13110, 13119, 13128, 13140, 13143, 13148, 13149, 13157,
   13177, 13178, 13180, 13185, 13186, 13190, 13191, 13194, 13195, 13220,
   13229, 13239, 13240, 13244, 13245, 13246, 13247, 13248, 13252, 13265,
   13272, 13279, 13286, 13287, 13291, 13292, 13296, 13297, 13301, 13302,
   13306, 13318, 13319, 13320, 13321, 13325, 13326, 13336, 13343, 13362,
   13363, 13367, 13368, 13374, 13379, 13388, 13396, 13405, 13412, 13420,
   13429, 13438, 13442, 13468, 13472, 13486, 13507, 13529, 13542, 13559,
   13565, 13570, 13576, 13583, 13584, 13594, 13600, 13608, 13612, 13616,
   13623, 13631, 13636, 13637, 13638, 13639, 13643, 13644, 13659, 13663,
   13671, 13678, 13685, 13692, 13699, 13710, 13711, 13724, 13728, 13736,
   13750, 13764, 13765, 13780, 13791, 13804, 13809, 13810, 13813, 13814,
   13817, 13818, 13823, 13824, 13829, 13830, 13839, 13844, 13845, 13849,
   13853, 13859, 13884, 13895, 13909, 13910, 13914, 13928, 13985, 13999,
   14001, 14006, 14008, 14010, 14012, 14017, 14019, 14024, 14032, 14052,
   14057, 14064, 14069, 14075, 14080, 14089, 14091, 14094, 14098, 14099,
   14100, 14101, 14102, 14103, 14108, 14114, 14129, 14130, 14131, 14132,
   14133, 14144, 14150, 14158, 14159, 14165, 14170, 14175, 14180, 14185,
   14190, 14195, 14200, 14206, 14212, 14218, 14225, 14247, 14256, 14260,
   14268, 14272, 14280, 14292, 14313, 14317, 14323, 14327, 14340, 14348,
   14358, 14360, 14362, 14364, 14366, 14368, 14373, 14374, 14381, 14390,
   14398, 14407, 14418, 14426, 14427, 14428, 14432, 14434, 14436, 14438,
   14440, 14442, 14444, 14449, 14454, 14460, 14468, 14473, 14480, 14487,
   14491, 14495, 14503, 14538, 14539, 14541, 14550, 14557, 14573, 14575,
   14577, 14579, 14581, 14583, 14585, 14587, 14589, 14591, 14593, 14595,
   14597, 14599, 14602, 14604, 14607, 14609, 14611, 14613, 14616, 14621,
   14630, 14635, 14644, 14649, 14658, 14663, 14673, 14682, 14691, 14700,
   14719, 14728, 14737, 14746, 14755, 14772, 14781, 14790, 14799, 14808,
   14817, 14826, 14830, 14834, 14842, 14850, 14858, 14866, 14887, 14910,
   14922, 14929, 14945, 14950, 14956, 14963, 14970, 14978, 14986, 15003,
   15022, 15048, 15050, 15052, 15054, 15056, 15058, 15060, 15062, 15064,
   15066, 15068, 15070, 15072, 15074, 15076, 15078, 15080, 15082, 15084,
   15088, 15092, 15097, 15113, 15114, 15115, 15132, 15145, 15147, 15149,
   15161, 15186, 15198, 15210, 15218, 15229, 15240, 15250, 15256, 15265,
   15275, 15285, 15298, 15308, 15339, 15375, 15385, 15396, 15397, 15398,
   15405, 15412, 15416, 15420, 15424, 15428, 15432, 15436, 15440, 15444,
   15448, 15452, 15456, 15460, 15467, 15471, 15475, 15479, 15481, 15488,
   15495, 15502, 15509, 15520, 15534, 15544, 15555, 15571, 15581, 15588,
   15595, 15602, 15606, 15614, 15623, 15632, 15636, 15640, 15644, 15648,
   15652, 15661, 15665, 15675, 15679, 15683, 15688, 15699, 15705, 15719,
   15730, 15744, 15760, 15772, 15782, 15791, 15800, 15814, 15816, 15820,
   15822, 15824, 15827, 15830, 15833, 15834, 15837, 15845, 15855, 15856,
   15859, 15860, 15861, 15864, 15865, 15866, 15871, 15875, 15879, 15883,
   15890, 15891, 15899, 15900, 15904, 15905, 15913, 15914, 15918, 15919,
   15924, 15933, 15935, 15950, 15953, 15981, 15982, 15985, 15986, 15994,
   16002, 16010, 16019, 16029, 16047, 16093, 16102, 16111, 16120, 16129,
   16141, 16142, 16143, 16144, 16145, 16159, 16160, 16161, 16164, 16165,
   16168, 16171, 16172, 16173, 16176, 16177, 16180, 16181, 16182, 16183,
   16184, 16185, 16186, 16187, 16188, 16189, 16190, 16191, 16194, 16196,
   16201, 16203, 16208, 16210, 16212, 16214, 16216, 16218, 16230, 16234,
   16241, 16245, 16251, 16255, 16265, 16277, 16278, 16281, 16282, 16285,
   16289, 16293, 16299, 16300, 16305, 16315, 16316, 16317, 16318, 16319,
   16320, 16321, 16322, 16326, 16327, 16328, 16329, 16334, 16339, 16348,
   16369, 16373, 16378, 16389, 16406, 16412, 16413, 16414, 16417, 16425,
   16435, 16450, 16451, 16455, 16467, 16468, 16471, 16472, 16475, 16479,
   16486, 16490, 16494, 16503, 16515, 16516, 16520, 16521, 16525, 16526,
   16529, 16530, 16535, 16544, 16561, 16568, 16573, 16579, 16588, 16602,
   16603, 16604, 16605, 16606, 16615, 16616, 16617, 16618, 16619, 16623,
   16625, 16635, 16638, 16644, 16645, 16646, 16650, 16651, 16652, 16656,
   16657, 16661, 16679, 16699, 16700, 16709, 16710, 16714, 16715, 16718,
   16726, 16734, 16742, 16765, 16766, 16777, 16781, 16787, 16789, 16794,
   16796, 16798, 16808, 16810, 16821, 16825, 16829, 16833, 16837, 16846,
   16854, 16886, 16890, 16897, 16905, 16909, 16913, 16919, 16920, 16922,
   16923, 16924, 16928, 16969, 16997, 17001, 17005, 17011, 17013, 17027,
   17063, 17076, 17077, 17080, 17081, 17098, 17099, 17100, 17105, 17106,
   17107, 17112, 17113, 17114, 17115, 17121, 17122, 17123, 17124, 17125,
   17131, 17132, 17152, 17153, 17154, 17155, 17156, 17157, 17158, 17159,
   17160, 17161, 17162, 17163, 17164, 17165, 17166, 17167, 17168, 17169,
   17170, 17171, 17172, 17173, 17174, 17175, 17176, 17177, 17178, 17179,
   17180, 17181, 17182, 17183, 17184, 17185, 17186, 17187, 17188, 17189,
   17190, 17191, 17192, 17193, 17194, 17195, 17196, 17197, 17198, 17199,
   17200, 17201, 17202, 17203, 17204, 17205, 17206, 17207, 17208, 17209,
   17210, 17211, 17212, 17213, 17214, 17215, 17216, 17217, 17218, 17219,
   17220, 17221, 17222, 17223, 17224, 17225, 17226, 17227, 17228, 17229,
   17230, 17231, 17232, 17233, 17234, 17235, 17236, 17237, 17238, 17239,
   17240, 17241, 17242, 17243, 17244, 17245, 17246, 17247, 17248, 17249,
   17250, 17251, 17252, 17253, 17254, 17255, 17256, 17257, 17258, 17259,
   17260, 17261, 17262, 17263, 17264, 17265, 17266, 17267, 17268, 17269,
   17270, 17271, 17272, 17273, 17274, 17275, 17276, 17277, 17278, 17279,
   17280, 17281, 17282, 17283, 17284, 17285, 17286, 17287, 17288, 17289,
   17290, 17291, 17292, 17293, 17294, 17295, 17296, 17297, 17298, 17299,
   17300, 17301, 17302, 17303, 17304, 17305, 17306, 17307, 17308, 17309,
   17310, 17311, 17312, 17313, 17314, 17315, 17316, 17317, 17318, 17319,
   17320, 17321, 17322, 17323, 17324, 17325, 17326, 17327, 17328, 17329,
   17330, 17331, 17332, 17333, 17334, 17335, 17336, 17337, 17338, 17339,
   17340, 17341, 17342, 17343, 17344, 17345, 17346, 17347, 17348, 17349,
   17350, 17351, 17352, 17353, 17354, 17355, 17356, 17357, 17358, 17359,
   17360, 17361, 17362, 17363, 17364, 17365, 17366, 17367, 17368, 17369,
   17370, 17371, 17372, 17373, 17374, 17375, 17376, 17377, 17378, 17379,
   17380, 17381, 17382, 17383, 17384, 17385, 17386, 17387, 17388, 17389,
   17390, 17391, 17392, 17393, 17394, 17395, 17396, 17397, 17398, 17399,
   17400, 17401, 17402, 17403, 17404, 17405, 17406, 17407, 17408, 17409,
   17410, 17411, 17412, 17413, 17414, 17415, 17416, 17417, 17418, 17419,
   17420, 17421, 17422, 17423, 17424, 17425, 17426, 17427, 17428, 17429,
   17430, 17431, 17432, 17433, 17434, 17435, 17436, 17437, 17438, 17439,
   17440, 17441, 17442, 17443, 17444, 17445, 17446, 17447, 17448, 17449,
   17450, 17451, 17452, 17453, 17454, 17455, 17456, 17457, 17458, 17459,
   17460, 17461, 17462, 17463, 17464, 17465, 17479, 17480, 17481, 17482,
   17483, 17484, 17485, 17486, 17487, 17488, 17489, 17490, 17491, 17492,
   17493, 17494, 17495, 17496, 17497, 17498, 17499, 17500, 17501, 17502,
   17503, 17504, 17505, 17506, 17507, 17508, 17509, 17510, 17511, 17512,
   17513, 17514, 17515, 17516, 17517, 17518, 17519, 17520, 17521, 17522,
   17523, 17524, 17525, 17526, 17527, 17528, 17529, 17530, 17531, 17532,
   17533, 17534, 17535, 17536, 17537, 17551, 17552, 17553, 17554, 17555,
   17556, 17557, 17558, 17559, 17560, 17561, 17562, 17563, 17564, 17565,
   17566, 17567, 17568, 17569, 17570, 17571, 17572, 17573, 17583, 17584,
   17585, 17586, 17587, 17588, 17589, 17590, 17591, 17592, 17593, 17594,
   17595, 17596, 17597, 17598, 17599, 17600, 17601, 17602, 17603, 17604,
   17605, 17606, 17607, 17608, 17609, 17610, 17611, 17612, 17613, 17614,
   17615, 17616, 17617, 17618, 17619, 17620, 17621, 17622, 17623, 17624,
   17625, 17626, 17627, 17628, 17629, 17630, 17631, 17632, 17633, 17634,
   17635, 17636, 17637, 17638, 17639, 17640, 17641, 17642, 17643, 17644,
   17645, 17646, 17647, 17648, 17649, 17650, 17651, 17652, 17653, 17654,
   17655, 17656, 17657, 17658, 17659, 17660, 17673, 17674, 17675, 17676,
   17677, 17678, 17679, 17680, 17681, 17682, 17683, 17684, 17685, 17686,
   17687, 17688, 17689, 17690, 17691, 17692, 17693, 17694, 17695, 17696,
   17697, 17698, 17699, 17700, 17701, 17702, 17703, 17704, 17705, 17706,
   17707, 17708, 17709, 17710, 17711, 17712, 17713, 17714, 17715, 17716,
   17717, 17718, 17719, 17720, 17721, 17722, 17723, 17724, 17725, 17726,
   17727, 17728, 17729, 17730, 17731, 17732, 17733, 17734, 17735, 17736,
   17737, 17738, 17739, 17740, 17741, 17742, 17743, 17744, 17745, 17746,
   17747, 17748, 17749, 17750, 17751, 17752, 17753, 17754, 17755, 17756,
   17757, 17758, 17759, 17760, 17761, 17762, 17763, 17764, 17765, 17766,
   17767, 17768, 17769, 17770, 17771, 17772, 17773, 17774, 17775, 17776,
   17777, 17778, 17779, 17780, 17781, 17782, 17783, 17784, 17785, 17786,
   17787, 17788, 17789, 17790, 17791, 17792, 17793, 17794, 17795, 17796,
   17797, 17798, 17799, 17800, 17801, 17802, 17803, 17804, 17805, 17806,
   17807, 17808, 17809, 17810, 17811, 17812, 17813, 17814, 17815, 17816,
   17817, 17818, 17819, 17820, 17821, 17822, 17823, 17824, 17825, 17826,
   17827, 17828, 17829, 17830, 17831, 17832, 17833, 17834, 17835, 17836,
   17837, 17838, 17839, 17840, 17841, 17842, 17843, 17844, 17845, 17846,
   17847, 17848, 17849, 17850, 17851, 17852, 17853, 17854, 17855, 17856,
   17857, 17858, 17859, 17860, 17861, 17862, 17863, 17864, 17865, 17866,
   17867, 17868, 17869, 17870, 17871, 17872, 17873, 17874, 17875, 17876,
   17877, 17878, 17879, 17880, 17881, 17882, 17883, 17884, 17885, 17886,
   17887, 17888, 17889, 17890, 17891, 17892, 17893, 17894, 17895, 17896,
   17897, 17898, 17899, 17900, 17901, 17902, 17903, 17904, 17905, 17906,
   17907, 17908, 17909, 17910, 17911, 17912, 17913, 17914, 17915, 17916,
   17917, 17918, 17919, 17920, 17921, 17922, 17923, 17924, 17925, 17926,
   17927, 17928, 17929, 17930, 17931, 17932, 17933, 17934, 17935, 17936,
   17937, 17938, 17939, 17940, 17941, 17942, 17943, 17944, 17945, 17946,
   17947, 17948, 17949, 17950, 17951, 17952, 17953, 17954, 17955, 17956,
   17957, 17958, 17959, 17960, 17961, 17962, 17963, 17964, 17965, 17966,
   17967, 17968, 17969, 17970, 17971, 17972, 17973, 17974, 17975, 17976,
   17977, 17978, 17979, 17980, 17981, 17982, 17983, 17984, 17985, 17986,
   17987, 17988, 17989, 17990, 17991, 17992, 17993, 17994, 17995, 17996,
   17997, 17998, 17999, 18000, 18001, 18002, 18003, 18004, 18005, 18006,
   18007, 18008, 18009, 18010, 18011, 18012, 18013, 18014, 18015, 18016,
   18017, 18018, 18019, 18020, 18021, 18022, 18023, 18024, 18025, 18026,
   18027, 18028, 18029, 18030, 18031, 18032, 18033, 18034, 18035, 18036,
   18037, 18038, 18039, 18040, 18041, 18042, 18043, 18044, 18045, 18046,
   18047, 18048, 18049, 18050, 18051, 18052, 18053, 18054, 18055, 18056,
   18057, 18058, 18059, 18060, 18061, 18062, 18063, 18064, 18065, 18066,
   18067, 18068, 18069, 18070, 18071, 18072, 18073, 18074, 18075, 18076,
   18077, 18078, 18079, 18080, 18081, 18082, 18083, 18084, 18085, 18086,
   18087, 18088, 18089, 18090, 18091, 18092, 18093, 18094, 18095, 18096,
   18097, 18098, 18099, 18100, 18101, 18102, 18103, 18104, 18105, 18106,
   18107
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "UIDENT", "FCONST", "SCONST",
  "USCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS",
  "GREATER_EQUALS", "NOT_EQUALS", "ABORT_P", "ABSENT", "ABSOLUTE_P",
  "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL",
  "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY",
  "AS", "ASC", "ASENSITIVE", "ASSERTION", "ASSIGNMENT", "ASYMMETRIC",
  "ATOMIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BREADTH", "BY", "CACHE", "CALL", "CALLED", "CASCADE",
  "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT",
  "COMMENTS", "COMMIT", "COMMITTED", "COMPRESSION", "CONCURRENTLY",
  "CONFIGURATION", "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS",
  "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE",
  "CROSS", "CSV", "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DEPENDS", "DEPTH", "DESC", "DETACH", "DICTIONARY",
  "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P",
  "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED",
  "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING",
  "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXPRESSION", "EXTENSION",
  "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER",
  "FINALIZE", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORMAT", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GENERATED", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "GROUPING", "GROUPS", "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P",
  "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P",
  "IMPORT_P", "IN_P", "INCLUDE", "INCLUDING", "INCREMENT", "INDENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "JSON", "JSON_ARRAY", "JSON_ARRAYAGG",
  "JSON_OBJECT", "JSON_OBJECTAGG", "JSON_SCALAR", "JSON_SERIALIZE", "KEY",
  "KEYS", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LEADING",
  "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD",
  "LOCAL", "LOCALTIME", "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED",
  "LOGGED", "MAPPING", "MATCH", "MATCHED", "MATERIALIZED", "MAXVALUE",
  "MERGE", "MERGE_ACTION", "METHOD", "MINUTE_P", "MINVALUE", "MODE",
  "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR",
  "NEW", "NEXT", "NFC", "NFD", "NFKC", "NFKD", "NO", "NONE", "NORMALIZE",
  "NORMALIZED", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "OLD", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR",
  "ORDER", "ORDINALITY", "OTHERS", "OUT_P", "OUTER_P", "OVER", "OVERLAPS",
  "OVERLAY", "OVERRIDING", "OWNED", "OWNER", "PARALLEL", "PARAMETER",
  "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD", "PLACING",
  "PLANS", "POLICY", "POSITION", "PRECEDING", "PRECISION", "PRESERVE",
  "PREPARE", "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL",
  "PROCEDURE", "PROCEDURES", "PROGRAM", "PUBLICATION", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF_P",
  "REFERENCES", "REFERENCING", "REFRESH", "REINDEX", "RELATIVE_P",
  "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET",
  "RESTART", "RESTRICT", "RETURN", "RETURNING", "RETURNS", "REVOKE",
  "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROUTINE", "ROUTINES", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCALAR", "SCHEMA", "SCHEMAS", "SCROLL",
  "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETS",
  "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP", "SMALLINT",
  "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STORED",
  "STRICT_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING", "SUPPORT",
  "SYMMETRIC", "SYSID", "SYSTEM_P", "SYSTEM_USER", "TABLE", "TABLES",
  "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P",
  "THEN", "TIES", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION",
  "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED",
  "TYPE_P", "TYPES_P", "UESCAPE", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK", "WRAPPER",
  "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES", "XMLPARSE", "XMLPI",
  "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P", "YES_P", "ZONE",
  "FORMAT_LA", "NOT_LA", "NULLS_LA", "WITH_LA", "WITHOUT_LA",
  "MODE_TYPE_NAME", "MODE_PLPGSQL_EXPR", "MODE_PLPGSQL_ASSIGN1",
  "MODE_PLPGSQL_ASSIGN2", "MODE_PLPGSQL_ASSIGN3", "'<'", "'>'", "'='",
  "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('",
  "')'", "'.'", "';'", "','", "':'", "$accept", "parse_toplevel",
  "stmtmulti", "toplevel_stmt", "stmt", "opt_single_name",
  "opt_qualified_name", "opt_concurrently", "opt_drop_behavior",
  "CallStmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "DropRoleStmt", "CreateGroupStmt", "AlterGroupStmt", "add_drop",
  "CreateSchemaStmt", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_collate_clause", "alter_using", "replica_identity", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem",
  "alter_identity_column_option_list", "alter_identity_column_option",
  "set_statistics_value", "set_access_method_name", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "copy_delimiter",
  "opt_using", "copy_generic_opt_list", "copy_generic_opt_elem",
  "copy_generic_opt_arg", "copy_generic_opt_arg_list",
  "copy_generic_opt_arg_list_item", "CreateStmt", "OptTemp",
  "OptTableElementList", "OptTypedTableElementList", "TableElementList",
  "TypedTableElementList", "TableElement", "TypedTableElement",
  "columnDef", "columnOptions", "column_compression",
  "opt_column_compression", "column_storage", "opt_column_storage",
  "ColQualList", "ColConstraint", "ColConstraintElem",
  "opt_unique_null_treatment", "generated_when", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_without_overlaps", "opt_column_list", "columnList", "columnElem",
  "opt_c_include", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "OptWhereClause", "key_actions", "key_update",
  "key_delete", "key_action", "OptInherit", "OptPartitionSpec",
  "PartitionSpec", "part_params", "part_elem",
  "table_access_method_clause", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "stats_params", "stats_param", "AlterStatsStmt", "CreateAsStmt",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "RowSecurityOptionalExpr", "RowSecurityOptionalWithCheck",
  "RowSecurityDefaultToRole", "RowSecurityOptionalToRole",
  "RowSecurityDefaultPermissive", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateAmStmt", "am_type", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerReferencing", "TriggerTransitions", "TriggerTransition",
  "TransitionOldOrNew", "TransitionRowOrTable", "TransitionRelName",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "FUNCTION_or_PROCEDURE", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertionStmt", "DefineStmt", "definition", "def_list",
  "def_elem", "def_arg", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "object_type_any_name", "object_type_name", "drop_type_name",
  "object_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "parameter_name_list", "parameter_name", "privilege_target",
  "grantee_list", "grantee", "opt_grant_grant_option", "GrantRoleStmt",
  "RevokeRoleStmt", "grant_role_opt_list", "grant_role_opt",
  "grant_role_opt_value", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique",
  "access_method_clause", "index_params", "index_elem_options",
  "index_elem", "opt_include", "index_including_params", "opt_collate",
  "opt_asc_desc", "opt_nulls_order", "CreateFunctionStmt",
  "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "opt_createfunc_opt_list", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "ReturnStmt", "opt_routine_body",
  "routine_body_stmt_list", "routine_body_stmt", "transform_type_list",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "operator_with_argtypes_list", "operator_with_argtypes",
  "DoStmt", "dostmt_opt_list", "dostmt_opt_item", "CreateCastStmt",
  "cast_context", "DropCastStmt", "opt_if_exists", "CreateTransformStmt",
  "transform_element_list", "DropTransformStmt", "ReindexStmt",
  "reindex_target_relation", "reindex_target_all",
  "opt_reindex_option_list", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectDependsStmt", "opt_no",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterTypeStmt",
  "AlterOwnerStmt", "CreatePublicationStmt", "PublicationObjSpec",
  "pub_obj_list", "AlterPublicationStmt", "CreateSubscriptionStmt",
  "AlterSubscriptionStmt", "DropSubscriptionStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "TransactionStmtLegacy", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty",
  "opt_transaction_chain", "ViewStmt", "opt_check_option", "LoadStmt",
  "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "drop_option_list", "drop_option", "AlterCollationStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "AnalyzeStmt", "utility_option_list", "analyze_keyword",
  "utility_option_elem", "utility_option_name", "utility_option_arg",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause",
  "DeallocateStmt", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "MergeStmt", "merge_when_list",
  "merge_when_clause", "opt_merge_when_condition", "merge_update",
  "merge_delete", "merge_insert", "merge_values_clause",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_materialized", "opt_search_clause", "opt_cycle_clause",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "set_quantifier", "distinct_clause", "opt_all_clause",
  "opt_distinct_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "select_fetch_first_value", "I_or_F_const", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "opt_alias_clause_for_join_using",
  "func_alias_clause", "join_type", "opt_outer", "join_qual",
  "relation_expr", "extended_relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "JsonType", "a_expr", "b_expr", "c_expr", "func_application",
  "func_expr", "func_expr_windowless", "func_expr_common_subexpr",
  "xml_root_version", "opt_xml_root_standalone", "xml_attributes",
  "xml_attribute_list", "xml_attribute_el", "document_or_content",
  "xml_indent_option", "xml_whitespace_option", "xmlexists_argument",
  "xml_passing_mech", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "opt_window_exclusion_clause", "row", "explicit_row",
  "implicit_row", "sub_type", "all_Op", "MathOp", "qual_Op", "qual_all_Op",
  "subquery_Op", "expr_list", "func_arg_list", "func_arg_expr",
  "func_arg_list_opt", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "unicode_normal_form", "overlay_list",
  "position_list", "substr_list", "trim_list", "in_expr", "case_expr",
  "when_clause_list", "when_clause", "case_default", "case_arg",
  "columnref", "indirection_el", "opt_slice_bound", "indirection",
  "opt_indirection", "opt_asymmetric", "json_value_expr",
  "json_format_clause", "json_format_clause_opt",
  "json_returning_clause_opt", "json_predicate_type_constraint",
  "json_key_uniqueness_constraint_opt", "json_name_and_value_list",
  "json_name_and_value", "json_object_constructor_null_clause_opt",
  "json_array_constructor_null_clause_opt", "json_value_expr_list",
  "json_aggregate_func", "json_array_aggregate_order_by_clause_opt",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "attr_name", "file_name",
  "func_name", "AexprConst", "Iconst", "Sconst", "SignedIconst", "RoleId",
  "RoleSpec", "role_list", "PLpgSQL_Expr", "PLAssignStmt",
  "plassign_target", "plassign_equals", "ColId", "type_function_name",
  "NonReservedWord", "ColLabel", "BareColLabel", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "bare_label_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,    60,    62,    61,    43,    45,    42,
      47,    37,    94,   759,    91,    93,    40,    41,    46,    59,
      44,    58
};
# endif

#define YYPACT_NINF -5717

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5717)))

#define YYTABLE_NINF -2907

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2907)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   11762,  1323, 19918, -5717, -5717,  1323, 70357, -5717, 79686,    -3,
     202,    87,   225, 20315, 80177, 90488,   811,   368, 13250,  1323,
   90488,  2621, 61027, 75758,  1458, 90488,  1108,  1246, 61027, 90488,
   90979,  1226,  1543,  1300, 91470, 80668, 74776,    98, 90488,  1887,
    1069, 91961, 81159,  1557, 81650,  1246, 56128,   170,  1613, 92452,
   90488,114968,  1069, 82141, 82141, 82141,  2119,  2066,  1636, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717,  1171, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717,  1661, -5717,  1303,
    2153,  1853,   969,  1649, -5717, -5717,  2162, 70357, 90488, 90488,
   90488,  1929, 90488,  1842, 90488,   852, 70357, 66920, 82632,  1997,
    1854, 52084, 92943, -5717, 70357, 90488, 64465, 70357, 90488, 90488,
   93434, 90488, 93925, 90488,  1778, 78213, 90488,  1978, 90488, 90488,
   64956, 94416,  2093,  1389,   242, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717,  1852,  1551, -5717,   247, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, 61518, 90488, 16271,  1108,  2162,
   -5717,  2119, 90488,  2128, 90488,  1883, 94907, 90488, -5717, 90488,
    1981, 95398,   909,  1806, 66920,  2207, 52594,  2070, 90488, 90488,
   66920, 95889, 96380, 96871, 90488, 90488, -5717, -5717,  2068, 90488,
   -5717,  2192, 67411,  2090,  2233,  2374,  2300,  1317, -5717, 83123,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, 69866,   368,
   -5717, -5717,  2270, 70848,  2357, -5717, -5717, 97362,115445,  2124,
   -5717,   913, 71339, 67902,  2520,  2099, 53104,  2496, -5717, 71830,
   -5717, 68393, 72321, -5717, -5717, -5717, -5717, -5717, 97853, -5717,
   98344,  2240,  2357, -5717,115922, 68884, -5717,  2390, 98835, 99326,
   99817,  2162,  2057,  2085,  1025, 46575, -5717, -5717, -5717,  2172,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,   362,
     310,   303,   226,   309, -5717, -5717,   235,   237,   238,   362,
    2646,  2646, -5717, 90488, -5717, -5717,   310,    75,  2245,  2159,
    2159,  2159,  2393,   625, -5717,  2159,  2323, -5717, -5717, -5717,
   -5717, 81650, -5717,  2168,  1108,  2214,  2679,  2312, 61518,  1329,
   90488, -5717, -5717,  2695,  2291,  2573,  2286, -5717, -5717, -5717,
    2519,  2530,   123,  1092,  1108,   269, -5717,  2685, -5717,  2546,
   31940, 31940,  1108, 83614,100308,   241, 69866,  1108, 84105,  2432,
    1550,  2583, -5717, -5717, -5717,   552, -5717,  2826,  2453,  2706,
    2286,  1389, 48563, -5717, -5717,  2426,  1551, 81650, -5717, -5717,
   -5717, 61518,  2778, 34994, 90488,  2438, -5717,  2448,  2438, -5717,
   -5717,  2536, -5717,  2536,  2536,  2552,  2552,  2694,  2555, -5717,
   -5717, -5717, -5717,  2613,  2536,  2552, -5717,116876, -5717,  1862,
    2065, -5717, -5717,  2990, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717,  2567, -5717,  1120, -5717,  2155, -5717, -5717, -5717,
   31940, -5717, -5717, -5717, -5717, -5717, -5717, -5717,  2572,  2576,
    1853, -5717, 12285, 61518, 90488,  1475,  1475,  2994,  1475,  2195,
    2218, -5717,  2385, -5717,  2943,  2904,  2911, 81650,  2629,  1319,
   -5717,  1578,  2647,  2157,  2654,  1791,  1404, -5717,   257, 90488,
     450,  2681, 84596,  4060,  2672,  1551,  2682, -5717, -5717, -5717,
   -5717,  2850,   998, -5717, -5717, -5717, -5717,  3017,  3067,  9320,
     317, 85087, -5717, -5717, -5717, -5717, 90488, 90488, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717,  2707,  1579, -5717,
   -5717,  2704,  3079,  2936,  4188,   932,  3037,  2883,  1425, 11298,
    2939,  1542,  3084,  8947,  1648,  3086,  1908,  2313, 85578, 90488,
    3043,  3089,  6604,  1984,   987,  2947,   872,  3037,  3081,  2894,
    1425,  3096,  5573, 90488, -5717,  3008,  3131,   733, -5717,   190,
   -5717, 24869, 34994, 55637, -5717,  1551, -5717,  1907, -5717, -5717,
   60536, -5717,  2799,  2956,   696, 70357,  2739, 90488, 90488, -5717,
  114968, 70357, -5717,  2964, 53614, 70357, -5717, 70357, -5717, -5717,
    3090,114968, 90488, 90488, -5717, 90488, -5717, -5717,  2740, -5717,
   -5717, -5717, -5717, -5717,  2159, 90488,  3187,114968,  2980,   152,
    1867,  3226, 90488,  2983,  1867,  2791,100799, -5717, -5717,  1867,
   -5717, -5717, -5717, 90488, 90488,  2753,  1529,  2972,   744,  1867,
    2995,  3231,  3232,  3002,  2846,  3004,  2448, -5717,  3198,  2977,
    1231,   277,  1350,  1867,  2827,101290,101781, 90488,  2829, 90488,
    3209, 70357,  2863, 70357, 70357, 90488,  3132, 90488, -5717,  2965,
   -5717, -5717,  2122, -5717, -5717, -5717, -5717, -5717,  3149, -5717,
     198,  3150,  2789,  3154,    -4,  3157,   207, -5717, -5717,  2836,
   -5717,  3160,   224, -5717,  3164, -5717,  2800,102272, -5717,102763,
  103254,  3168,   344, -5717, 66920,  3169,   224,  3170,  2800,  3171,
     224,  3173,   912,  3174, -5717,  1296,  3161,  3182,   207,  3183,
    2187,  2800, -5717,  3185,   376, -5717,  3186,   454, -5717,  3188,
    3045, -5717, 34994, -5717,  2926, -5717,  1613,  2052,  1025,   310,
   -5717, 90488,   310, 90488,   310, 90488,   310, 90488,   310, 90488,
   90488, 90488,   310, -5717, -5717, -5717, 90488,  2830, 90488, -5717,
   90488, -5717, -5717, -5717, 76740, 66920, 77231, -5717, 90488, -5717,
     446,  1108, -5717, -5717,114968,  3309, 66920,  3209,  2084, -5717,
   -5717,  3209, -5717, -5717,  3209,  3209, -5717, -5717, -5717,  3105,
   90488,  3181, 76740, 66920,  3189, -5717,103745, -5717, 69866,  3053,
    2839, -5717, -5717, -5717, -5717, -5717,  2188,  3350,   254,  3353,
   34994,  2845,   254,   254,  2847,  3197, -5717, -5717, -5717,   258,
    2852,  2853, -5717,   248,   248, -5717,  2854,  2856, -5717,   259,
    2857,  2858,  3356,  3360,   271,   272,  2864,  2865,  2866,  2867,
    2868,  2869,  2870,  2871,  2872,  2873,  2613,   254,  2874, 34994,
   -5717,  2876,   248,  2877,  2878,  2879,  3373,  2881, -5717,  3393,
    2884, -5717,   233,   253,  2886,  2887, -5717,  3117, -5717,   274,
    2892,  2893,  2896,  2900,  2902,  2903,  2905,  2907, 34994, 34994,
   34994, -5717, 29390,  1551,  1108, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717,   287, -5717, 50554, -5717,  2946, -5717, -5717,
    3100, -5717, -5717, 34994, -5717, -5717,  3262,   110, -5717,   292,
   -5717, -5717, -5717,  1551,  3207,  2908, -5717, -5717,  1713,  2909,
   -5717,  2136, -5717, -5717, -5717, -5717, -5717, -5717, 69375,  3392,
   -5717,   336,  1108,   190,  1746,  3329, 59063, 59554, -5717, -5717,
    3190, -5717, 90488, -5717, -5717,  1551,   178,  2091, -5717,  2172,
   19012,  2100,  2438, 90488, 90488,  3397, -5717,  2921, -5717, -5717,
   34994, -5717, -5717, -5717,  2646, -5717,  2536,  2536, -5717, -5717,
    3401,  3011,  3014,  2646, -5717,  2646, -5717,  2930,  2931,  2646,
    3016,  3018,  3019, -5717,  2934,  3021,  2646, -5717, -5717, 62501,
    2252, -5717,  3279,   312, -5717, -5717, -5717,  2106, -5717,  2935,
   -5717,  2448, -5717, -5717,  1853,  1853, 34994,  1853,   267,   148,
   32449, 35503,  3286,  3162,   906,  1895,  3288, -5717,  3165,  2195,
    2218, 81650, 90488, 81650,104236,  3071, 34994, -5717,  3394,  3033,
    3035,  3092, 58092, -5717,  3038,  3005,  3042,  3098,  2957,  3046,
    3047,  3103, -5717,  3234, -5717, -5717,  3050,  3403,  3057,104727,
   -5717, -5717,  1054, -5717, -5717, -5717,  1054, -5717,  2982,  1574,
     290,  1382,  3059,   227,   252,  3399, -5717,  1106, -5717, -5717,
    3108, -5717,  9661, 90488,  3338, 10593,  3195,   317,  3121, -5717,
   -5717, -5717,  3257,  3072, 90488,  3078,  3221,   317,  1520,105218,
   -5717, -5717, 90488, -5717, -5717, -5717, -5717,  3374,  3383, 27925,
   -5717,  1920,  3083,  3061,  3094, 90488, 73303,   415,  3200,  3218,
    1724,  2133,  1168,  3152, 90488,   944,  3227, 90488,  3010,  3097,
    3099,  3337,  3020,  1094,  3439,  3013, -5717, -5717, -5717,  3408,
   -5717,  1923,  2267,  3225, -5717,  3343,  3388, 10995,  3095,  3102,
  113537, -5717,  3113,  1083, 54124, 90488, 90488,  3115,  3116,105709,
    3374,  3423, 77722, 77722,  3124,  3127, 48066,  3445,  1832,  3129,
   -5717, -5717, -5717,  1832,  3130,  3133,106200,  3374,  3435, 90488,
    3134,  3135, 90488,116876,   317, -5717,  3502,   317,   317,  2405,
    3508,  3141,   384,  3304,   950,  1867,  3013,  1521, -5717,  3144,
    3146,   955, -5717,  3275, 90488,  3151,  3153,  1641,  3241,  1108,
   -5717,  3242, -5717,  3155,  3244,  3156,    54,  2753, -5717, -5717,
    1340,  3163, 81650,  3268,  3269,   944,   407,  1015,  3013, -5717,
    3159,  3175,  3020,  3020, 90488, 90488, 90488, 90488, 90488,   260,
    3543,   314,  3176,   208,  1121,  3073, -5717,  1832, 65447,  3177,
   -5717,  1832, 90488,   416,  1086,  3013,  1777,  2020, -5717, -5717,
   -5717,  1389, -5717, 34994, 34994, 34994,  3074, -5717,  2460, 19012,
     824, -5717,   296,  8777,  3087, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, 90488, 61518, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, 90488, -5717, 90488,  3391,114968,  3395,  3306,  3398,  3400,
     317, 90488, 90488,  3402,  3405,  3406,114968,  3409,  3410,  3411,
    3315,  3192,   193,  3178,  3104,  3586,  3481, 90488, 62501, -5717,
    1054, -5717,114968,  3339,  3482, -5717, 90488,  3355,   714, -5717,
    3520,  3193, -5717, -5717,    76, 90488, 76249,  2753, -5717, -5717,
    3488, 66920,   946,  3490,  1108,  3191,  3492,  3342,  1108, 66920,
    3404, 90488, 90488, 90488, 90488,   130, -5717, 65447,  3365, -5717,
   90488,  3367,  1521,  3368,  3614,    85,  2159,106691,  3493, -5717,
  107182,  3147, 90488,  3148,  3148,  3622,114968,  1352,  3427, -5717,
   -5717,  2251, -5717,  3290, -5717, 70357, -5717, -5717, 70357, -5717,
   -5717,114968, 90488,  3158,114968,114968, -5717, -5717, 70357, 70357,
   -5717, 66920, 66920,  3514,   376,  3515,  3216,  3517,  3223, 54124,
   54124, -5717,   460, 70357, -5717, 66920, 70357, -5717, 90488, -5717,
   90488, -5717, -5717, -5717, -5717,114968,114968, -5717, 66920, 65447,
    3518, 90488, 90488, -5717, 90488, 90488, -5717, 90488, 90488,  2120,
  107673,  1025, -5717, 90488, -5717, 90488, -5717, 90488, -5717, 90488,
   -5717, 90488, -5717, -5717, -5717, 90488, -5717, 90488,  2148, -5717,
   -5717,  2167,  2014, 90488, 90488,   256, 70357, 90488,  3396, 90488,
   70357, 70357, 90488, 90488, 90488, 90488, 90488,  3250,  2909,   129,
   -5717,   302,   278, 81650,  3407, -5717, -5717,  2190,  2119,   642,
   90488, -5717, 90488, 90488, 90488, -5717, -5717, 75758,  3509,   357,
   77231, 90488, -5717, -5717, 10473, 34994,  1551, 31426, -5717, -5717,
   19012,  3217, 34994, 34994,  3179,  2646,  2646, -5717,   973, 34994,
   34994, 34994, 28881, 34994, 32958, 34994, 34994, 34994, 34994,  2646,
    2646,  3201, 34994,  4594, 34994, 54124, 34994, 40593, 25899, 34994,
   34994, 29899,   268,  2854, 34994,  3417, 41605, 34994,  1746,  3419,
   34994,  1746,  4594,  3677,  3677,  1640,  7164,  3199,  1551, -5717,
    2646,  1215, -5717,   354,114968, 34994, 34994, 34994, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, 34994, -5717, 62501, -5717, -5717, -5717, -5717,
   -5717, -5717,   150, -5717, -5717, -5717, -5717, -5717, -5717,  3641,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, 90488, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, 30408, -5717, -5717,
   -5717, -5717,  3180, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717,  3434, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, 30917, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717,  3204, -5717, -5717,
   34994, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717,  3261, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717,  1302, 34994, 34994, 34994,
   34994, 34994, 34994, 34994, 34994, 34994, -5717, 34994,   475, -5717,
   -5717,  3525,  3262,   677,   646,  3205,  3415, 86069, 31940,  3279,
   24869, -5717,   315,  3279, -5717, -5717, -5717, 90488,  3392, -5717,
   -5717,  3260, -5717, -5717, -5717, -5717, -5717,   318, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717,  3203, -5717, -5717, -5717, -5717,
    3203, -5717,  3208,  3523,  3524,   912, 90488,  2579, 34994,   150,
     263, 90488, 34994,  3180,  3434, 34994,  3204, 34994,  3261, -5717,
   34994, -5717,  2201,  1950, 34994,  2220,  3211, -5717, -5717,  3212,
    2931,  3236,  3237,  3215,  3230,  2646,   221,  3233,   236,  1188,
    3359,  2646,  3468,  3235, -5717, 62501, -5717, 43593,  3265, -5717,
   -5717, -5717,  1069, 90488, 90488, -5717,  3526, -5717,  3222, -5717,
    7921,  3526, -5717, -5717, 41099,  3357,  3512,  3450, -5717, -5717,
   -5717,  3238, 19012, 36012, 36012, -5717,  2468, 19012,  2523, -5717,
   -5717, -5717, -5717, -5717, -5717,  1459, -5717, 90488,   741,  3286,
    1895,  3297,  1344,  3718,  3303, 90488, -5717, 49060,  2247, -5717,
   66920, 90488, 90488,  3452, -5717,  3701, -5717,116876, -5717,  3246,
   -5717,116399,112583, -5717, -5717,   877, -5717,  1482, 66920, -5717,
   90488, 90488, 66920, 90488, 90488, -5717, 66920,  3296, 90488, 90488,
   -5717, -5717, -5717, -5717, -5717, 60045,    91, 75758,  3389, 75267,
   -5717, -5717,  3251, 90488,  3312,  3536,  3483,  3537,   730, -5717,
   -5717,108164, -5717,  3485, 66920, 90488, 90488, 34994,  3487, 90488,
   90488, -5717,   412,  3347,  3348, -5717, 90488,  3349, 70357,  3264,
  114968, 70357, 54634, 70357, 70357,  3613,114968, 90488, 90488,  1795,
   81650,   468,  1141,  3013,  3494, -5717,  1526, -5717, 66920, -5717,
   90488,  3491, -5717, -5717, -5717, 86560,  3736,  3413, -5717, -5717,
   -5717,108655, -5717, -5717,  3495, -5717,  2249, -5717, 66920, 66920,
   90488, 11262,109146,  1351,  3505, -5717, -5717,114968, -5717, 90488,
   87051, 90488, 90488,  3548, 90488, 78704,109637,110128,    86,  1396,
    3549, 90488, 79195,  3552, -5717,  3428, 90488, -5717, -5717, 62992,
   66920, 90488,   907, 62501, -5717,  3538, -5717, 90488, -5717,   920,
   -5717, 90488,  5201,  3501, -5717, -5717,  3371,  3381, 90488,   470,
    1208,  3013,  3678, 90488, 90488,  3284,  2255, 66920, 90488, 62501,
   -5717,  3510,  1076, 66920, 90488, 86560, -5717,  3513, -5717, 81650,
    3608, -5717,  3287,  2159,  2426,  2211,  3287, 66920, 90488, -5717,
    3287, 90488,100308, -5717, 66920,   956, -5717, 66920, 90488, 86560,
   -5717,  3521,  3469, 66920, 90488, 11888, -5717, -5717, -5717,   317,
   -5717, -5717, -5717, -5717, -5717, 90488, 90488,   317, 90488, 90488,
     317,  1402, -5717, 66920, 90488, -5717, -5717, -5717,  3437, 66920,
   90488, 90488,   343, 90488, -5717, 90488, 66920,  3354, 90488, 90488,
   -5717, -5717, 90488,  8890, 90488, 90488, 90488, 90488, 90488, 90488,
   66920, 90488, -5717, -5717,  1659,  1388,  1722,  1732,  1622, 90488,
    3631, 90488,110619,  1108, 66920, 90488, 90488,  1108, 90488, 62501,
    1734, -5717, -5717,  3441, -5717, 66920,   956, -5717, 11526, 90488,
   90488, 90488,  3416,  3418,   251,  3489, -5717, -5717, -5717,  1084,
    1084,  3527, -5717, 34994, 34994, 33467,  3320, -5717, -5717, 34994,
    2799, -5717, -5717, -5717,  1067,  3794,  1067,111110,  1067,  1067,
    3617,  3390,  3412,  1067,  1067,  1067,  3610,  1067,  1067,  1067,
   90488,  3506, -5717, -5717,  3506,  1212, 34994,114968, 90488, -5717,
    2260, -5717,  3341, -5717, -5717, 62501, 90488,   205,   850,  3695,
    3558, 73794,  2551,  3684, 90488,  3387, 90488,  3816,  3438,    -5,
   -5717,  2551, 90488, -5717,  1721, 75758, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, 90488, -5717, -5717,  3686, 90488, 44090,  3529,
   -5717,  1108,  2753,  2753,  2753,  2753,  3345,  2753, 90488,  3474,
    3711,  2551,  3358,  3715, -5717,  1521,  3716,  1263, 90488,  3580,
   73794,  3421,  3424,  3594,  3840,  2159,  1108,  3600,  3587, -5717,
   58572, -5717,  2753,  3857, 28403,  4160,  6457,  3590,  3654, -5717,
   -5717,  3597,   775, 90488,  3702,  3703,  3726, -5717,   198, -5717,
    3862,    -4,  3732,   207, -5717,   224, -5717,  2800, -5717, 90488,
   -5717, 90488, 90488, 90488, 90488,   344, -5717, -5717,   224,  2800,
     224,   912, -5717,  3669,   207,  2800,  3522,  3737,   376, -5717,
     454, -5717,  3615,   912, -5717,  3632,  2159, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717,  2275, -5717, 90488, -5717,  3720,  3721,
    3722,  3723,  3724,  3420,  3426,  3447, 90488,  3429,  3420,   317,
    3430,  3436, -5717,  3429,  3429,  3420,  2909,  2909,  3420,  3426,
   65938,  3855, 62501, -5717, -5717,  3496,  3425,  3742,   808, -5717,
     861,    82,  3663, -5717, -5717, -5717, -5717,114968, -5717, 66920,
    3456, -5717, -5717, -5717,  3634,  3432, 65938,   912,   131, -5717,
   70357, 90488,114968, 70357,  3638, 70357, 70357,114968, 90488, 90488,
    2277, -5717,  1982, -5717,  2021, 34994,   436, -5717, 15209,  2285,
   34994,  3431,  3440, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
    3442,  3759, -5717,  2299,  2301, 15332,  2351,114968,  2050,  3443,
   -5717,  3444,   222,  3643,  5527,  3476,  2305,  3448,   279, -5717,
    5527,   345,  7342,  3592,  2320,  3449,  3451, -5717,  4635,  6589,
    3453, 15868,  3454,  3455,  3459,  3446, 40593, 40593, 29390,  1046,
   -5717, 40593,  3461,  3645,  2328, 14492,  3462,  3463, 16266, 33976,
   34994, 33976, 33976, 16826,  3464,  3466, -5717,  3822, -5717,  2332,
   62501,  3640, 16947,  2337, -5717, 34994, 62501,  6787, 34994, -5717,
   34994,  3470, -5717, -5717,  8539,  8539,  8539,  4594, -5717, -5717,
    3465, -5717, 40593, 40593, -5717,  1167, 29390, -5717, -5717,  3790,
   -5717, -5717,   230, -5717, -5717, -5717, -5717, -5717,  2768, -5717,
   -5717, -5717,  3687,  2351,  3784, 54124,  6243, 34994,   348, 34994,
    3180, 34994,  3541,  8539,  8539,  8539,   356,   356,   327,   327,
     327,  2058,   646, -5717, -5717, -5717,  3457,  3473,  3415,  3484,
   34994, -5717,  3516, 49557, -5717,  2336,  2408, 90488,  4904,  5751,
    6144, -5717, -5717, -5717,  3265,   824,  3265, -5717,  1389,  2646,
    1215, 60536, -5717, -5717, -5717, -5717, -5717, -5717, 90488, 19012,
   -5717, -5717,  3727,  3499,  2338, -5717, -5717,  2646, -5717, -5717,
    2480,  2480,  3497, -5717,  3503, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717,  3504, -5717, -5717, -5717,  3500, 44587,  3825,  3507,
   43096, 87542,  3528,  2051, -5717, 87542, 88033, 87542, -5717,  3511,
   -5717, -5717,  1551, 34994,  3820, -5717, -5717, -5717, 34994, -5717,
   -5717,  1205,  3530,  1298,   719,  2362,  2362,  2468,   732, -5717,
   -5717,  3553, -5717, 34994,  2570, -5717,  2677, -5717, -5717, -5717,
   -5717,  2909, -5717,  3753, -5717, -5717, -5717, 43593,  3539,  3550,
      56, 47569,  3713, -5717, 90488, 43593, -5717, 90488,   145, -5717,
    3519, -5717, -5717, -5717, -5717, -5717, -5717,112583,  2155, -5717,
  116399, -5717,116399, -5717,  2155,  3961, -5717,112583,  1902, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, 66920, 66920,  3731, 90488,  3729,  3735, 34994,   293,
   90488,  3535,  3546, 90488,  1466,  3821,  3557, -5717,  3880,   912,
   -5717, -5717,  3605, -5717, 19012, -5717, -5717, -5717, -5717, -5717,
   66920, 90488, -5717, 69866, -5717, -5717,114968, -5717, -5717, 90488,
   90488, -5717, -5717, -5717,114968, -5717, -5717, -5717, 90488,   792,
    3606,  3620, 90488, -5717,   881,  3275, 11955, 90488, 90488, 90488,
    3842, -5717, -5717, -5717, -5717,  3766, -5717,  3917, -5717,112583,
   -5717,  2800,  1140,  3649,  3013,  3792, -5717,  3926,  3675, -5717,
    3697,  1449, -5717, -5717,  3708, -5717, -5717, -5717, -5717,  3929,
     912,  3935,   912, 90488, 90488, 90488, 90488,  3712, -5717, -5717,
   -5717, -5717,  3714,  3853, -5717, 62501, 62501, 62501,  2342, -5717,
   -5717,  1108, -5717, -5717, -5717, -5717, -5717, -5717,  3894, -5717,
    2343, -5717,  1605, 88524, -5717, -5717, -5717, -5717, -5717,  3941,
   66920, 90488, 12485, 90488, 90488, 90488,  3801,  1944,  1644,114968,
   -5717,114014, -5717, -5717,  2347, -5717,  3595, 90488,  3670, 66920,
    3648, -5717, -5717, -5717,  3947,  2159,  3730, 77722,  3637,  3637,
    2272, -5717, -5717, -5717, -5717, -5717,  3864,  3789, -5717,  1075,
    3791, 66920,  3664, -5717, -5717, -5717, -5717,  3959,  3688, -5717,
   -5717,  3689,  1217,  3013,  1521, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717,  3717, -5717, -5717, -5717, -5717, -5717,
   -5717,  1497,  1497, -5717, -5717, -5717,  1497,  1332,   495,  1218,
    3013, -5717,   352,  1369,  3690, -5717,  3696, -5717, -5717, -5717,
    3870,  3874,  3875,  3706,  3710,  3756,  3719,  3725,  3763, -5717,
    3733,  3767,  3734,  3768,  3740,  3990,   912,114968,  3858,  1108,
    3757,  3993,   912, -5717, -5717,  3743, -5717,  3744, -5717,  2349,
    4097,  4101, -5717, 90488, -5717,   512,  1346,  3013, -5717,  3745,
   -5717, 66920, 90488, -5717, -5717, -5717, 34994,  3633,  3635,  3636,
   19012, 19012, 34994, -5717, -5717, 19012,  3639, -5717, -5717, -5717,
   -5717,114968, -5717, 90488,  3930, -5717, -5717,  1067, 90488, 90488,
   -5717, -5717, -5717, 90488, -5717, -5717, -5717,  3938, -5717,   479,
     479, -5717, -5717,  3970,  7524,  3662,   169, -5717, 62501, 51064,
    3070,   866,  1867, -5717, 69866, 90488, 69866, -5717,   850,  3863,
   90488, 90488, 90488,  3665,  3646, -5717, -5717, -5717, -5717, 66920,
     203, 66920,  2646, -5717, -5717,  3741, -5717, 90488,  2159,  4180,
    4022,  3354, -5717,  4143,  3232,   946,  2185,   471,  2846,  4080,
    2448, 34994,   163, -5717, -5717,  1551, 90488,  3424, -5717, -5717,
   -5717, -5717,  1108, -5717,  3676,  3674, -5717, 90488,  4027, 90488,
   90488, 90488, 90488,  3456,  3680, 90488,  3685,114968, 90488,  2591,
    3020,  4159,  4047,  2119,  3421,  3773,  4050, 81650,  3700,  2358,
   -5717, -5717,   775, -5717,  2363,   156, -5717,  1108, 69866,113060,
    4039, -5717,   609,  6457, -5717, -5717,   609,   898, 90488, -5717,
   -5717, -5717, -5717,  3915,  2248, -5717,  4023, -5717, -5717,  2119,
   -5717,114968,  3694, -5717,  2375, -5717, -5717, -5717,   376,  3758,
     912,  3760,   912, -5717, -5717, -5717, -5717, 90488, -5717, 90488,
   65447, -5717, -5717, 90488, -5717,  4057, -5717, -5717,  3838,  3844,
    3845,  3846,  3848, 90488,  3420, -5717,  3704, 90488, 90488, 66920,
    1503, -5717, -5717, 66920,   391, -5717,   189, -5717, 81650,  3830,
   -5717, -5717, -5717, -5717,  4065,  4073, -5717, -5717, -5717,  1326,
   -5717, 76740,   432, -5717, 66920,  4005,  4006,  4007,  4008,   317,
    4009,  4010,  4013,  4015,  4016, -5717, -5717, -5717,  3738, 17199,
   34994, -5717,  4093,114968, -5717,  7686, -5717, -5717, -5717, 34994,
   -5717, -5717,  4018, -5717, -5717,  3793,  3797,  3739,  3443,  3592,
   -5717,  3943,  3948, 34994,  3592,  4189,  1045, 34994, 34994, -5717,
   -5717,  3949,  3951, 34994,  2351,  2351, -5717,  3747, -5717, -5717,
   -5717, -5717,  2458, 34994, -5717, 34994, -5717, -5717, 26414,  4240,
    4240,  3746,114968, 40593, 40593, 40593, 40593,  1603,  2877, 40593,
   40593, 40593, 40593, 40593, 40593, 40593, 40593, 40593, 40593,   542,
   -5717,  3944, 34994, 34994, 34485, -5717, -5717,114968,  3748,  3464,
    3750,  3751, 34994, -5717, -5717, -5717,  2381, 42102,  3752, 62501,
   -5717, 34994, 14825,  2388,  3796, 17772,  1551,  7859,  1108, 34994,
    1066,  2476, 34994,  2389, 34994, -5717, -5717, -5717, -5717,  4084,
   -5717, -5717, -5717, -5717, -5717, -5717,  3988,  2351, -5717, -5717,
   34994,  3754,  4232, 40593, 40593,  4808, -5717,  8261, 34994, 29390,
   -5717,  3527, -5717, 26929,  3761, 34994,112092, -5717, -5717,  1246,
    1246,  1246,  1246, -5717, 90488, 90488, 90488,  3820,  3755,  3820,
     190,  3765, -5717, -5717, -5717, -5717,  2119, -5717,  3771, -5717,
   -5717, -5717, -5717, -5717, 87542, 88033, 87542,  3772, 42599, 27427,
    2051,  3770, 90488, -5717, -5717,  3781, 43593,  4052,  3966, -5717,
   43593,  3966,  1712,  3966,  4074,  3869, 50054, -5717, -5717,  3783,
   -5717,  3996, -5717,  1920, 19012,  4243,  4116, -5717,  3788, -5717,
    3530,  1680, -5717, -5717, -5717,  1158, -5717,  3878, -5717, -5717,
   -5717,  3528, 36521,  3945, -5717, -5717, -5717,  3849,  2394, -5717,
   -5717,  4218,  3945, -5717,  2434, -5717,  2395, 49060,  3539, 34994,
    1551,  2406,  2079, -5717, -5717,112583, -5717,  3871,  2800,  2800,
    1755,  3420,  4141,  1755,  8400, -5717, -5717, 45084, 90488, -5717,
   90488, -5717, 90488, 90488,  1669, 90488, -5717, 90488, -5717, -5717,
   -5717,  4275,  3860,  3861,  4081, -5717,  2654, -5717, -5717, 66920,
   90488, -5717, -5717, -5717,   518,  1394,  3013, -5717,  3887, -5717,
   -5717,  4108, 90488, -5717,  4261,  3900, 90488,  4168, 90488, 89015,
   -5717,  4237,  1669,  3923,  4150,  2160,  3020,   384,  5475, -5717,
     734, -5717, -5717,  3892, -5717, 90488, -5717, 90488, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717,  3954, -5717, -5717, -5717, -5717,
   62992, -5717, -5717, 90488, -5717, 62501, 51064, 62501, -5717, -5717,
   -5717, 90488, -5717,  1461,   519,  1409,  3013, -5717,  3906, -5717,
    4183,  3907,  3911,  3967,   989,   246,  3919,  3920,  3972,  3835,
    3836,  3837, -5717, 62501, 51574,  4003, 90488,  2800,  3843,  3889,
   90488,  3637, 89506, -5717,  3847, -5717, -5717,  3637,   362,  1108,
   -5717, -5717,  1108,  2800,  1108, 90488, 90488, 90488, 90488,   343,
   -5717, -5717, -5717,  4301,  3946, 90488, 90488, 90488, 90488, -5717,
    3904, -5717, -5717, -5717, 90488, 90488,  4198,  1034,  2208, 66920,
   90488, 90488, 66920, 90488, 90488, 90488, 90488, 90488, 90488, 90488,
    4070, -5717,  4291,  4216,  2292,  4259,  3932, 90488, -5717, 90488,
    1108, -5717,  3275, 90488, 90488, 90488, 90488, -5717, -5717, -5717,
   -5717, -5717,  3527, -5717,  3856,  4155,  1067, -5717,  4157,  4161,
    4163,  1067, -5717, -5717,  1867, -5717,   220, 90488, -5717,  2609,
   90488, -5717, -5717, -5717,  3788,  1923,  2267, -5717, -5717, -5717,
   -5717, -5717, -5717,  3865, 90488, 90488, 40593, -5717,  1057,  1744,
    1327, -5717,  4148, 90488,  3117, -5717, -5717, -5717,   854, 90488,
   -5717, -5717, -5717, -5717,  3872, -5717,   882,  3680, -5717,  4179,
   73794,  2800, 66920, 66920,  2800, -5717,114968,  3873,  3424, -5717,
     847,  3956, -5717, 66920,   946,111601,  3191,  3910,  4092,  8938,
   43593, 44090,  1497, -5717,  3876,  3877, -5717, -5717, 90488,  3863,
   65447,  2410,  1521,  4353,    95,  2057, -5717, 74285,  4075,  3680,
    4179, -5717,  3020,  4096,  4098, -5717,  2119, 90488,  3456,  3424,
    1108, 90488,  3312, 51064, -5717,  4396,  2282, -5717,112583, 34994,
   34994, -5717,  3881, -5717,  3886,  6457, -5717,  3964,  3885,  4363,
   34994, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,  3978,
    3895, 90488, 90488,   775, 90488, -5717,  3893,  3732, -5717,  3732,
   -5717, 90488, -5717, 90488, -5717,   912, -5717,  4029,   912, 90488,
   90488, 90488, 90488, 90488, 90488,  3420,   317,  3436, -5717, -5717,
    4236, 65938,  4238, -5717, 62501, -5717, -5717, -5717, -5717, -5717,
    2414, 90488, -5717, -5717, -5717,  4306,  4246,   912,   357,  1089,
    1089,  1089,  1089,  4200,  1089,  1089,  1089,  1089,  1089, -5717,
   34994, 19012, -5717,  3909, -5717, 19012,  4280,  4191,  4196, -5717,
   -5717,  3916,  4146,  4147, -5717,  3921, 34994,  3592, -5717, -5717,
    4149,  4153, -5717,  3592,  3592, -5717,  3925,  9647, 17841, -5717,
    2416, 34994, -5717,   662,   662,   662,  1973,  4262, -5717,  2676,
     662,   662,   662,   350,   350,   243,   243,   243,  4240,   542,
   18320, 18441, 18688,  3927, -5717, -5717, -5717,  3464, -5717, 37030,
      57,  4386, 41605, -5717, -5717, -5717,  3975,  3976,  3933, -5717,
   34994, 37539,  3931,116876,  4139, -5717,  1447, 34994, 34994,  2378,
   -5717,  6683, 34994, -5717, -5717,  2378,   497, 34994,  3091,  3486,
   34994, 34994,  8484,  9837,  3936, -5717,  2422, 34994, 10242,  4133,
   -5717, 90488, 90488, 90488, 90488, -5717, -5717, -5717,  4116,  1108,
    4116,  1108,  3937, -5717, -5717, -5717, -5717, 63483,  3939,  3640,
   87542,  3942, 90488,  2051, 43593, -5717, -5717,  2094, -5717, 43593,
    4233, -5717, 43593, 70357, -5717, 90488,  3950, 90488, -5717,  1475,
   34994,  3987, 54124, -5717, -5717, -5717, -5717,  4034, -5717,  4170,
   19012, 31940, -5717,  2119,  2041, 90488,  1551,   669, -5717, 34994,
    3958, 90488, -5717,  3945, 19012, -5717,  4025,  2428, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717,  4038, 75758,  4298, -5717, 34994,
    2430, -5717,  4001,  4399,   364,  2435,  1669,   605,  1669, -5717,
     605, -5717,  1767,  4273,   448, -5717,   912, -5717,114968, 90488,
   90488, 90488,  2957, -5717, -5717, 90488, 90488, 90488, 90488, -5717,
   -5717, 66920, 90488, -5717, 90488, -5717, -5717, -5717, 89997, -5717,
    3863,   343,  1057,  4287,  4288,  4194, -5717,   317, -5717,  4446,
    1057,  4197,   343, -5717, -5717, -5717, -5717,  3414, -5717,114968,
     912,   912, -5717, -5717, -5717, -5717, -5717,  3980, -5717,  4428,
    4067, 90488, 90488, 90488, 90488, 90488, 66920, 90488, 90488,  2646,
    2646,114968,  3969, -5717,  2646,  2646,  3971, -5717, 66920, 90488,
   90488, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717,  4062, -5717, 34994,  4418, -5717, -5717, -5717, -5717,
   -5717, 34994, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, 66920, 90488,  4063, -5717,  4064, -5717,   807, -5717,
   -5717, 90488, 90488, 90488, 90488,  4341, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717,  4342, 90488, -5717,
   -5717,  1108,  1108,114968,   912,   912, -5717, -5717, -5717,  4068,
   -5717, -5717,  3984,  4283,  1067, -5717,  1067,  1067,  1067, -5717,
    3989, -5717,  1867,  4380, -5717,  1669,  1916,  4332, -5717, 34994,
   -5717,  2123,  1973, -5717,  4390,  4472, -5717, -5717, -5717,  4234,
    3354,  2159,  3354, -5717, -5717, 70357,   977, -5717,  4313,   205,
   62501,  4219, 73794,   352,   325,  4000,  4134, -5717,  2800,  2800,
    4066, 90488,  4480, -5717, -5717, -5717, -5717, -5717, -5717, 66920,
    3648, -5717,  4242,   100,  4351, 90488, 44090, -5717,  3528, -5717,
   -5717, -5717,  1108, -5717, -5717,  4142,  3424, -5717,  1850, 90488,
    4245, 73794,  3456,  2436, -5717, -5717, -5717,  4053,  4470,  3421,
   -5717,   352,  4075, -5717, -5717,  4449,  4109,  4069,  4497, -5717,
    4109,  4365,  4248,  4033, -5717,  3700, -5717, 90488, -5717, 19012,
   19012,  1108,117353,   609,114968,  4375, -5717, 19012, 90488,   201,
    4035,  4208, -5717,  4349,   912,  2437, -5717,   912,   912, -5717,
   90488, -5717,  3420,  3420,  3420,  3420,  3420, -5717,  4257, -5717,
   -5717, -5717, -5717,  4343, -5717, 65938, -5717,   912, -5717, -5717,
   -5717, -5717, -5717, -5717,  1089, -5717, -5717, -5717, -5717, -5717,
   19012, -5717, 90488, -5717, -5717, -5717, -5717, -5717, -5717,  3222,
    4044, -5717, -5717,  4048,  4049, -5717, -5717, 34994, -5717, 10480,
   40593,  4393, -5717, 34994, 34994, 34994, -5717,  4054,  2442,  2443,
   -5717, -5717,    57, -5717,  4386, -5717, -5717, -5717, 10917,  4112,
   19012,  4171,  4058,  1307,  2378,  2378,  6683,  2378, 34994, 34994,
    2378,  2378, 34994, -5717, -5717, -5717, 11014, -5717,  4515,  3527,
   -5717, -5717, -5717, -5717,  3987, -5717,  3987, -5717,  4199, -5717,
    2454,  4540, 39575,  4498, -5717, 90488,  2455, -5717, 34994,  4078,
   -5717, -5717, 43593,  2094,  4079,  2459, 90488,  2472,114968, 38048,
   19012, 90488,  3527,  4072, -5717, 90488,  2908, -5717,    56, -5717,
   -5717,  4490, 45084,  4450, 19098, 34994, -5717, -5717, -5717, -5717,
   65938,  4286, 65938,  1669, 12353,  4387, 45084, 55144, 90488, -5717,
   90488, -5717,  4244,  4289,  4083,  4085, -5717, -5717, -5717, -5717,
   -5717, -5717,  4089, -5717, -5717, -5717, -5717,  4166, -5717, -5717,
     655,  3407, -5717, -5717, -5717, -5717, -5717,  4552,  4444,  4455,
   -5717, -5717,  4094, -5717, -5717, -5717,  4291, -5717, -5717, 51064,
   66920, 90488, -5717,  4184, -5717, -5717, -5717, -5717, -5717, -5717,
   47072, 54124, -5717,   989,  4099,  4100,   246, -5717, -5717, -5717,
   90488, 12586,  4102, 12687,  1059,  3407, 90488, 90488,  4103,  4104,
    4106,   613,  1345,  1935,  3420,  4456, 90488, -5717, -5717, -5717,
    4291, -5717, -5717, 90488, -5717,  1067, -5717, -5717, -5717, -5717,
   62501, -5717,  3172,  3989,  1108, 70357,  4579,  4579, 12707,  4335,
   -5717, -5717,   449,  4421, -5717,  4173,  4377,  4173,  4115, 90488,
     854,  4119,  2474, -5717, 90488,  4120,  4251,  2171,  2171, 90488,
   90488, 90488,  2478,  2119,  2800,  3889,   946,  4486, 73794,  4529,
    3863,   174, -5717, 90488,  4604, 90488,  3456,  3680, 90488,  4126,
   -5717, -5717, 74285,  4347,  3070, 90488,  2591,  4075,  3421,  1358,
   90488, -5717,  1027, -5717,  2119, -5717, 90488, 81650, 45084,  4477,
   -5717,116399, -5717,  2486, -5717, -5717, -5717,  4204, 21028,  3265,
    4256,  4258,  4144,  2242,  4491, 90488,  1091, -5717, -5717, -5717,
   -5717, -5717, -5717, 90488,   432, -5717, -5717, -5717, -5717, -5717,
   -5717, 19629, -5717,  3534, 40593, 19012, 19012, 19012, 34994, -5717,
   34994, -5717, -5717, -5717, -5717,   867, -5717, -5717,  4458,  4151,
    2378,  2378,  2378, -5717, 34994,  1395, -5717, -5717,  1630,  4547,
    3511, 63483,  4158, -5717, 40593,  2488, -5717,  3194, 90488,  2494,
   -5717, 19012, 90488, -5717, -5717, 34994, -5717,  2498, -5717,  4165,
      42,  4167, 25384,  4156, -5717, -5717, -5717, -5717, -5717, 19012,
    4162, -5717,  4625,  1895, -5717, -5717,  4205, 90488,  2500, -5717,
     756,  1688,  1371, -5717, 19012,  1503,  1755,   482,  4399,  4169,
    3354, -5717,  4172, -5717, -5717,   411,  3020, 90488, -5717,  4387,
    4387, -5717, 90488,  4250, -5717,  3070,  4476, -5717, -5717, 34994,
    4215, -5717,  1114,  3407, 90488,114968, -5717,   120,  4505, -5717,
  114968,114968, -5717, -5717, -5717, 34994, -5717,  4265, -5717, -5717,
   -5717, 34994, 34994, 72812, -5717, -5717, 90488, 90488, 90488, 90488,
   90488, -5717,   912, -5717, -5717,  2505, -5717, 46078, -5717, -5717,
    3226,  1108,  3226,  1689, -5717, -5717,  3226,  3226, -5717,  3265,
   -5717,  4579,  1484, -5717, -5717,  4234,  4174, 34994, -5717,  4474,
   -5717,  1247,  4391, -5717,  4175, -5717, 70357,  4685, -5717, 62501,
    3680,  4179, 90488, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717, -5717, -5717,  2509,  3863,  4533,  3424,  4069,
   -5717, 90488,  4220, -5717, 43593,  3863,  2119,  2057, -5717,  4075,
    3680,  4179, -5717, -5717,  4185,  4098,  3421,  2591,  4324, -5717,
    4328, -5717,  4628,  4401,  4631,  3456, -5717,  3312,  2511, 90488,
   -5717, -5717,  6457,117353,114968, -5717, -5717, -5717,  4187,  4573,
    4241,  4247, -5717, -5717, -5717,  2242, -5717,  1452,  4569,  4249,
   -5717,  4252, 90488, -5717, -5717,  3863,   912, 34994,  3534,  2515,
    2516,  4263, -5717, -5717, -5717,  3464, 38557, 38557, 38557,  4206,
    4550,  4563, 90488, -5717, -5717, -5717, 90488,  1973,  4209, 39575,
   62501,  2517, -5717,114491, -5717,  2521,  2535, -5717, 34994,  4201,
   34994, -5717, 38048, 90488,  4214,  3286,  2119, -5717,  3265, 45084,
   -5717,  4344,  4699,  4479, -5717, -5717, -5717,  4564, -5717, -5717,
   90488,  4173, 54124,  3530,   411,  2159,  3354,  3354, -5717, 90488,
    4174, 13100, 34994, -5717,  4316, -5717, -5717,  2537,  1651,  4402,
    4402,  2541,  2543, 13313, 90488,  2545,  2553, -5717,  2559,  2646,
    3426,  1935,  3426, -5717,  3420, -5717, -5717, 62501, -5717, 66429,
   -5717, -5717, -5717,  1108, -5717,  1108,  4457, 56619, 57110,  1108,
    1108, -5717, -5717, -5717, -5717, -5717,  1521, -5717, 13845,  4326,
   -5717, -5717, -5717,   501, -5717,  4451,  4452, -5717,  4239, -5717,
    2571, -5717,   352,  4367,  3863, -5717, -5717, 90488,  4710,  4715,
   -5717,   101, 90488,  3528, -5717,  4069,  3456,  3421,   352,  4075,
    3070, 45581,  4109,  2591,  4098, -5717, -5717,  4453, -5717,  4459,
   -5717,  4253,  4557, -5717,  1946,   609, -5717, -5717, -5717,  1012,
    4581,  4583, -5717, -5717, -5717,  3226, -5717,  1802,  4254,  4608,
   -5717, -5717, -5717, -5717, 19012, -5717, -5717, -5717, 40084,  4392,
    1325, 14586,  4614, -5717,  4614,  4614, -5717,  4706,  4709,  1139,
    2582, 41605, -5717, -5717, -5717, 90488,  4467,  1505,  4735,  4422,
    2599, 38048,  2607, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   49060, 34994,  4352,  4699, 65938,  2608,  3637,  4260, -5717,  3530,
    4377,  4173,  4173,  3407, -5717, -5717, 19012, 90488, 70357,  4716,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717,  3407,  4350, -5717,
   -5717, 72812, -5717, 90488, -5717, -5717,  2612, -5717, -5717, -5717,
   57601, -5717,  4035, -5717,  4035, -5717, -5717,  2035,  4373, 90488,
     873,   873,  4659, -5717,  4334, -5717,  4267, -5717,  4782,  4404,
   90488, -5717, -5717,   989,  2119, 73794,  3863, -5717, -5717,  2591,
    4075,  3421, 34994,  2614, -5717,  4399,   364, -5717,  4098,  4109,
   -5717, -5717, 45084,  4278,  3117,  4651, -5717, -5717, -5717,  1971,
   70357, 70357, 90488, -5717, -5717, -5717, 34994,   854,  4762, -5717,
   -5717, -5717, -5717, -5717,   976, -5717, -5717, -5717, 90488, 90488,
   90488, -5717,  3640, -5717, -5717, 40593, 40593,  4513, -5717,  1505,
   -5717, 90488, -5717,  4290, -5717, -5717,  2624, -5717,  1150, 19012,
     485,  4381,   482, -5717, -5717, -5717, -5717,  4391, -5717, -5717,
   -5717,  3407, -5717, 90488, -5717,  4292, -5717, -5717, -5717, 66429,
   -5717,  4035, -5717, -5717, -5717, -5717,  4779, -5717,   291, -5717,
   -5717, -5717, -5717, 90488,  3863,  3969,  4069, -5717,  4098,  3421,
    2591, 13949, -5717, 45581, 90488, 90488,  4109, -5717,  2626, 45084,
    3424,  4439, -5717,  2001, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717,   814,  4297,  4299, -5717, -5717, 14145, 70357, 39066,  4440,
   -5717,  4506, -5717,  1176,  1376,  2089,  4730,  1973,  1973, -5717,
   -5717, -5717, 34994, -5717, -5717, -5717,  4536,  4435, -5717, -5717,
     324, -5717,  1669, -5717,  1669,  1669, -5717, -5717, 34994, -5717,
   -5717,  2159,  2159,  3863, -5717, -5717,  4109,  2591,  4098,  4399,
   -5717, -5717, -5717, -5717,  4557, -5717,  2630,  4109,  4249,  2650,
   -5717, -5717,  2656,  2576,  4394,  4652, -5717,  4309, -5717, -5717,
   -5717, 90488, 90488, 63974, 90488, 90488, 14254, -5717, 49060,  4543,
     162, -5717,  1669,  2634, -5717, -5717, -5717, -5717,  4098,  4109,
   90488,  3117, -5717, 45084,  3265,  4676, -5717,  2001,  4431,  4432,
   62010, -5717, -5717,  4829,   319,  4717, -5717,  2635, -5717,  4317,
   -5717,  4382,    56,  4325, 90488, -5717, -5717,  4109, -5717, -5717,
    3424, -5717, -5717,   854, -5717,  4370,  4371, -5717,  2636, -5717,
   -5717, -5717, -5717, 34994, 63974, -5717, -5717,  4388, 34994,  2640,
   -5717,  4109, 70357,  4664,  4670, -5717, 62010,  1084,  4395,  4398,
    2642,   133,  3265,  4336, 70357, 70357, -5717,  4331, 90488, -5717,
   -5717,    56, -5717, -5717, 62010, -5717, -5717,  1108, -5717,  4400,
    2648,  4398, -5717, -5717
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1713,  1456,   662,  1545,  1544,  1456,     0,   269,     0,  1556,
       0,  1456,   437,  1113,     0,     0,     0,     0,   662,  1456,
       0,  1713,     0,     0,     0,     0,     0,  1726,     0,     0,
       0,     0,     0,  1253,     0,     0,     0,  1456,     0,     0,
    1733,     0,     0,     0,     0,  1726,     0,  1558,     0,     0,
       0,     0,  1733,     0,     0,     0,     0,     0,     2,     9,
      10,    45,    80,    81,    38,    37,    98,    63,    24,    71,
     133,   132,   134,    50,    46,    88,    33,    35,    47,    51,
      73,    75,    40,    53,    64,   110,    72,    31,    70,    76,
      96,    58,    19,    20,    59,    21,    60,    22,    61,   106,
      82,    99,    43,    69,    30,    52,    78,    79,    12,    54,
      86,    18,    65,    66,    68,    91,    92,    93,   116,    94,
     128,    49,   125,   103,   104,   122,   105,   123,    16,   107,
      62,    23,   119,   118,   120,    89,    55,    90,    77,    97,
     117,    34,   121,    25,    26,    28,    29,    27,    67,    36,
      74,    39,    95,   124,   114,   109,   129,   127,    11,   135,
     111,    83,    14,    15,   100,    13,    32,    57,    17,    42,
      41,    56,    48,   131,    44,  1556,   102,   115,   101,    84,
     108,    87,   112,   130,   113,    85,   126,  1677,  1676,  1737,
    1680,  1712,     0,  1692,  1455,  1454,  1469,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   661,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1466,  2385,  2402,  2403,  2404,  2405,  2406,
    2407,  2408,  2409,  2410,  2411,  2412,  2413,  2414,  2415,  2416,
    2418,  2417,  2419,  2420,  2775,  2421,  2422,  2423,  2716,  2717,
    2776,  2718,  2719,  2424,  2425,  2426,  2427,  2428,  2429,  2430,
    2431,  2432,  2720,  2721,  2433,  2434,  2435,  2436,  2437,  2722,
    2777,  2438,  2439,  2440,  2441,  2442,  2443,  2778,  2444,  2445,
    2446,  2447,  2448,  2449,  2450,  2451,  2452,  2779,  2453,  2454,
    2455,  2780,  2456,  2457,  2458,  2459,  2460,  2461,  2723,  2724,
    2462,  2463,  2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,
    2472,  2473,  2474,  2475,  2476,  2477,  2478,  2479,  2480,  2481,
    2482,  2483,  2484,  2485,  2486,  2487,  2488,  2489,  2725,  2490,
    2491,  2492,  2493,  2726,  2494,  2495,  2496,  2497,  2727,  2498,
    2499,  2500,  2501,  2781,  2782,  2502,  2503,  2504,  2505,  2506,
    2728,  2729,  2507,  2508,  2509,  2510,  2511,  2512,  2513,  2783,
    2514,  2515,  2516,  2517,  2518,  2519,  2520,  2521,  2522,  2523,
    2524,  2525,  2526,  2784,  2730,  2527,  2528,  2529,  2530,  2731,
    2732,  2733,  2531,  2785,  2786,  2532,  2787,  2734,  2735,  2736,
    2737,  2738,  2739,  2740,  2533,  2534,  2535,  2536,  2537,  2538,
    2539,  2741,  2788,  2540,  2789,  2541,  2542,  2543,  2544,  2545,
    2546,  2547,  2548,  2549,  2550,  2551,  2552,  2553,  2742,  2554,
    2555,  2556,  2557,  2558,  2559,  2560,  2561,  2743,  2790,  2744,
    2562,  2563,  2564,  2565,  2566,  2567,  2568,  2745,  2746,  2569,
    2570,  2571,  2791,  2572,  2747,  2573,  2748,  2574,  2575,  2576,
    2577,  2578,  2579,  2580,  2581,  2582,  2583,  2749,  2792,  2584,
    2793,  2750,  2585,  2586,  2587,  2588,  2589,  2590,  2591,  2592,
    2593,  2594,  2595,  2596,  2751,  2597,  2752,  2600,  2598,  2599,
    2601,  2602,  2603,  2604,  2605,  2606,  2607,  2608,  2609,  2610,
    2753,  2611,  2612,  2613,  2614,  2615,  2616,  2617,  2618,  2619,
    2620,  2621,  2622,  2623,  2624,  2625,  2626,  2627,  2628,  2629,
    2794,  2630,  2631,  2632,  2633,  2634,  2754,  2635,  2636,  2637,
    2638,  2639,  2640,  2641,  2642,  2643,  2644,  2645,  2646,  2647,
    2648,  2649,  2650,  2651,  2755,  2652,  2653,  2795,  2654,  2655,
    2756,  2656,  2657,  2658,  2659,  2660,  2661,  2662,  2663,  2664,
    2665,  2666,  2667,  2668,  2669,  2757,  2670,  2671,  2672,  2673,
    2796,  2674,  2675,  2676,  2677,  2678,  2679,  2758,  2759,  2680,
    2681,  2760,  2682,  2761,  2683,  2684,  2685,  2686,  2687,  2688,
    2689,  2690,  2691,  2692,  2693,  2694,  2695,  2696,  2697,  2698,
    2699,  2700,  2762,  2763,  2701,  2797,  2702,  2703,  2704,  2705,
    2706,  2707,  2708,  2709,  2710,  2711,  2712,  2764,  2765,  2766,
    2767,  2768,  2769,  2770,  2771,  2772,  2773,  2774,  2713,  2714,
    2715,   146,     0,     0,  2352,  2386,  2387,  2390,  2385,   407,
     406,  1666,  2349,  2386,  1555,     0,  1534,   662,     0,  1469,
     436,  1713,     0,     0,     0,     0,     0,     0,   879,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   138,     0,   140,     0,     0,   460,   459,     0,     0,
    1085,   465,     0,     0,     0,     0,     0,   652,  1597,  2598,
    1595,  1667,   270,   273,   274,   271,   272,  2368,     0,  1225,
    1226,  1228,     0,     0,  1238,   919,   920,     0,     0,     0,
     933,     0,     0,     0,   917,     0,     0,     0,   939,     0,
     936,     0,     0,   940,   937,   914,   938,   921,     0,   913,
       0,     0,  1238,   941,     0,     0,   915,     0,     0,     0,
       0,  1469,  1594,   466,  1713,     0,  1578,  1579,  1580,  1556,
    1568,  1581,  1573,  1575,  1574,  1576,  1577,  1572,  2367,  2404,
    1009,  1009,  1009,  1009,  1006,  1007,  1009,  1009,  1009,  2618,
       0,     0,   988,     0,   990,  2369,  1009,  1014,  2412,   544,
     544,   544,     0,  1013,  1018,   544,     0,  1437,  1478,  2351,
    1725,     0,   989,  1436,  2680,  1584,     0,     0,     0,     0,
    2637,  1446,   254,  2649,  2758,  2680,   253,   248,   249,   222,
       0,     0,  1013,   544,     0,  1469,  1444,   985,  1732,  1730,
       0,  2336,  2431,  2447,  2543,   245,  2630,  2639,  2649,  2758,
    2680,  2712,   201,   211,   206,     0,   263,  2649,  2758,  2680,
     259,  1466,     0,  1693,  1841,  1840,  2345,     0,  1439,  1438,
    1557,     0,  1560,     0,  2613,  1697,  1700,  1562,  1698,  2388,
    1918,  1947,  1925,  1947,  1947,  1914,  1914,  2477,  1927,  1915,
    1916,  1952,  1972,     0,  1947,  1914,  1919,     0,  1917,  1955,
    1955,  1942,     3,  1897,  1898,  1899,  1900,  1928,  1929,  1901,
    1934,  1935,  1939,  1902,  1969,  1905,  1914,  2389,  1734,  1735,
    2336,     4,  2382,     5,  2298,  2381,     6,     7,  1689,     0,
       0,     1,  1713,     0,  1567,  1729,  1729,     0,  1729,     0,
    1681,  1689,  1684,  1688,     0,     0,     0,     0,     0,     0,
    1440,     0,     0,     0,   944,     0,  1481,  1070,     0,     0,
       0,     0,     0,  1322,     0,  1122,  1121,  2391,  2374,  2375,
    2376,     0,  2372,  2373,  2392,  2393,  2394,     0,  2513,  1322,
       0,     0,  2214,  2225,  2226,  2227,  2435,  2494,  2222,  2223,
    2224,  2216,  2217,  2218,  2219,  2220,  2221,     0,     0,  1220,
    2215,     0,  2513,     0,  1322,     0,   173,     0,   150,  1322,
       0,     0,  2513,     0,     0,  2513,     0,     0,     0,     0,
       0,  2513,     0,     0,     0,     0,     0,   173,  2548,     0,
     150,  2513,     0,     0,  1460,     0,     0,     0,  1462,  1465,
    1452,     0,  2295,     0,  2296,  2353,  1549,     0,  1548,  1542,
    1552,  1547,  1537,     0,  2345,     0,     0,     0,     0,   927,
       0,     0,   917,     0,     0,     0,   928,     0,   929,   930,
       0,     0,     0,     0,   926,     0,  1450,  1442,     0,  1586,
    1588,  1587,  1589,  1585,   544,     0,     0,     0,  2513,     0,
     150,  1520,     0,  2513,   150,     0,     0,   464,   463,   150,
    2372,   462,   461,  2435,  2494,     0,  1112,     0,  1195,   150,
    2513,     0,   194,  2513,   721,  2513,  1562,   139,     0,   665,
       0,   833,  2548,   150,     0,     0,     0,     0,     0,     0,
     142,     0,     0,     0,     0,     0,     0,     0,   651,   662,
    1598,  1596,     0,  1229,   247,   246,  1227,   931,  2513,  1154,
     145,     0,     0,  2513,  1501,  2513,   145,   948,   932,     0,
     918,  2513,   145,  1118,  2513,  2377,   183,     0,   916,  2435,
    2494,  2513,   145,  1222,     0,  2513,   145,  2513,   179,  2513,
     145,  2513,   145,  2513,   666,     0,     0,  2513,   145,  2513,
    2548,   181,   935,  2513,   145,   942,  2513,   145,  2347,  2513,
       0,  1453,     0,  1590,     0,  1570,  2762,     0,  1713,  1009,
    1008,     0,  1009,     0,  1009,     0,  1009,     0,  1009,     0,
       0,     0,  1009,  2370,  2371,   991,     0,  1015,     0,  1023,
       0,  1022,  1021,  1020,     0,     0,     0,  1024,     0,  1845,
    1625,     0,  1434,  1449,     0,     0,     0,   142,     0,  1251,
    1248,   142,  1250,  1249,   142,   142,  1445,   252,   250,     0,
       0,     0,     0,     0,     0,  1451,     0,  1443,     0,     0,
       0,  2355,  2357,  2358,  2228,  2298,     0,  2717,  2718,  2719,
    2287,     0,  2720,  2721,  2722,  2777,  2105,  2091,  2100,  2106,
    2092,  2094,  2101,  2723,  2724,  2040,  2725,  2726,  2365,  2727,
    2728,  2729,  2731,  2732,  2733,  2734,  2735,  2736,  2737,  2738,
    2739,  2740,  2741,  2096,  2098,  2742,  2743,  2744,  2746,     0,
    2366,  2747,  2748,  2579,  2750,  2751,  2753,  2754,  2102,  2756,
    2757,  2103,  2758,  2759,  2760,  2761,  2364,   508,  2104,  2763,
    2765,  2766,  2767,  2768,  2770,  2771,  2772,  2773,     0,     0,
       0,  2342,     0,  2069,     0,  1906,  1907,  1930,  1931,  1908,
    1936,  1937,  1909,     0,  1910,  2341,  1973,  2173,  2068,  2086,
       0,  2074,  2075,     0,  2067,  2063,  2175,  1715,  2337,     0,
    2064,  2354,  2356,  2288,  1715,  2335,   214,   265,     0,   266,
    2343,  2649,   202,   244,   216,   243,   217,   215,     0,  2433,
     203,     0,     0,   204,     0,     0,     0,     0,   262,   260,
       0,  1441,     0,  1843,  1842,  2346,   953,     0,  1559,  1556,
    2238,     0,  1699,     0,     0,     0,  1946,  1933,  1941,  1940,
       0,  1923,  1922,  1921,     0,  1920,  1947,  1947,  1945,  1924,
    1897,     0,     0,     0,  1951,     0,  1949,  1893,  1889,     0,
    1958,  1959,  1960,  1957,  1970,  1956,     0,  1903,  1961,     0,
    1914,  1911,  1800,     0,  1679,  1678,     8,     0,  1564,  1566,
    1540,  1562,  1727,  1728,     0,     0,     0,     0,     0,     0,
       0,     0,  1787,  1745,  1746,  1748,  1784,  1788,  1796,     0,
    1685,     0,     0,     0,  1847,     0,     0,  1467,     0,     0,
       0,     0,     0,  1153,     0,     0,     0,     0,   945,     0,
       0,     0,  1487,     0,  1489,  1490,  1491,     0,     0,     0,
    1492,  1493,  1481,   256,  1500,  1497,  1480,  1482,  1495,     0,
       0,     0,     0,     0,     0,     0,  1512,     0,   187,   188,
       0,   678,   662,     0,  2513,     0,     0,     0,     0,  1163,
    1170,  1321,     0,     0,     0,     0,     0,     0,     0,     0,
    1164,  1162,     0,  1165,   258,  1175,  1202,  1205,     0,     0,
    1120,  1123,     0,     0,     0,     0,     0,  1312,     0,     0,
       0,  1312,     0,     0,     0,  1321,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   281,   283,   296,   362,     0,
     643,     0,     0,     0,   646,     0,  2513,  1322,     0,     0,
       0,  1224,     0,     0,     0,     0,     0,     0,     0,     0,
    1205,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     148,   149,   154,     0,     0,     0,     0,  1205,     0,     0,
       0,     0,     0,     0,     0,   629,   642,     0,     0,     0,
       0,     0,   639,     0,     0,   150,   286,   619,   625,     0,
       0,     0,   728,   727,     0,     0,     0,     0,     0,     0,
    1410,     0,  1409,     0,     0,     0,     0,     0,  1510,  1509,
       0,     0,     0,     0,     0,     0,  1312,     0,   275,   277,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   399,   400,     0,     0,     0,
     154,     0,     0,  1312,     0,   288,     0,     0,  1461,  1458,
    1459,     0,  1464,     0,     0,     0,     0,  2077,     0,  2242,
    1737,  2240,  1138,  2294,     0,  2395,  2798,  2799,  2800,  2801,
    2802,  2803,  2804,  2805,  2806,  2807,  2808,  2809,  2810,  2811,
    2812,  2813,  2814,  2815,  2816,  2817,  2818,  2819,  2820,  2821,
    2822,  2823,  2824,  2825,  2826,  2827,  2828,  2829,  2830,  2831,
    2832,  2833,  2834,  2835,  2836,  2837,  2838,  2839,  2840,  2841,
    2842,  2843,  2844,  2845,  2846,  2847,  2848,  2849,  2850,  2851,
    2852,  2853,  2854,  2855,  2856,  2857,  2858,  2859,  2860,  2861,
    2862,  2863,  2864,  2865,  2866,  2867,  2868,  2869,  2870,  2871,
    2872,  2873,  2874,  2875,  2291,  2290,  2350,  2396,  2397,  2398,
    2399,  2297,  1532,     0,   233,   234,   232,  1550,   235,  1551,
    1546,     0,  1533,     0,     0,     0,     0,     0,     0,     0,
       0,  2435,  2494,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   841,
    1481,  1519,     0,     0,     0,   671,     0,  2513,     0,   152,
     880,     0,   831,   465,     0,     0,     0,     0,  1386,   152,
       0,     0,   190,     0,     0,   725,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   832,     0,     0,   152,
       0,  2513,   622,  2513,     0,   544,   544,     0,     0,   141,
     138,     0,     0,     0,     0,     0,     0,     0,     0,  1671,
    1670,  1673,  1672,     0,  1669,     0,   143,   144,     0,  1212,
    1237,     0,     0,     0,     0,     0,   909,   934,     0,     0,
    1206,     0,     0,  2513,   145,  2513,     0,  2513,     0,     0,
       0,  1214,   145,     0,  1208,     0,     0,  1210,     0,  1412,
       0,   925,   923,   922,   924,     0,     0,   907,     0,     0,
       0,     0,     0,   902,     0,     0,   904,     0,     0,     0,
       0,  1713,  1569,     0,   999,     0,  1003,     0,   994,     0,
    1000,     0,   995,   992,   993,     0,   998,     0,     0,   545,
     547,     0,     0,  2459,  2476,     0,  2502,  2536,  2537,  2589,
    2604,  2633,  2639,  2645,     0,  2674,  2685,     0,  1029,  1067,
    1019,   737,     0,     0,  1635,  1435,  2247,     0,  1713,     0,
       0,  1252,     0,     0,   138,   251,   223,     0,     0,  1067,
       0,  2637,  1448,   984,   662,     0,  2065,     0,  2072,  2073,
    2286,     0,     0,     0,     0,     0,     0,  2071,     0,     0,
       0,     0,  2308,     0,  2308,     0,     0,     0,     0,     0,
       0,     0,     0,  1996,     0,     0,  2246,     0,     0,  2246,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1997,  1978,  1979,  2069,  2238,     0,  2070,  2361,
       0,  1969,  2400,  2228,     0,  2225,  2226,  2227,  2876,  2877,
    2878,  2879,  2880,  2881,  2882,  2883,  2884,  2885,  2886,  2887,
    2888,  2889,  2890,  2891,  2892,     0,  2893,  2894,  2895,  2896,
    2897,  2899,  2898,  2900,  2901,  2902,  2903,  2904,  2905,  2301,
    2907,  2908,  2909,  2910,  2911,  2912,  2913,  2914,  2915,  2916,
    2917,  2918,  2919,  2920,  2921,  2922,  2923,  2924,  2925,  2926,
    2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,  2936,
    2937,  2938,  2939,  2940,  2941,  2942,  2943,  2944,  2945,  2946,
    2947,  2948,  2949,  2950,  2951,  2952,  2953,  2954,  2955,  2956,
    2957,  2958,  2959,  2960,  2961,  2962,  2963,  2964,  2965,  2966,
    2967,  2968,  2969,  2970,  2971,  2972,  2973,  2974,  2975,  2976,
    2977,  2978,  2979,  2980,  2981,  2982,  2983,  2984,  2985,  2986,
    2987,  2988,  2989,  2990,  2991,  2992,  2993,  2994,  2995,  2996,
    2997,  2998,  2999,  3000,  3001,  3002,  3003,  3004,  3005,  3006,
    3007,  3008,  3009,  3010,  3011,  3012,  3013,  3014,  3015,  3016,
    3017,  3018,  3019,  3020,  3021,  3022,  3023,  3024,  3025,  3026,
    3027,  3028,  3029,  3030,  3031,  3032,  3033,  3034,  3035,  3036,
    3037,  3038,  3039,  3040,  3041,  3042,  3043,  3044,  3045,  3046,
    3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,  3056,
    3057,  3058,  3059,  3060,  2011,  3061,  3062,  3063,  3064,  3065,
    3066,  3067,  3068,  3069,  3070,  3071,  3072,  3073,  3074,  3075,
    3076,  3077,  3078,  3079,  3080,  3081,  3082,  3083,  3084,  3085,
    3086,  3087,  3088,  3089,  3090,  3091,  3092,  3093,  3094,  3095,
    3096,  3097,  3098,  3099,  3100,  3101,  3102,  3103,  3104,  3105,
    3106,  3107,  3108,  3109,  3110,  3111,  3112,  3113,  3114,  3115,
    3116,  3117,  3118,  3119,  3120,  2013,  3121,  3122,  3123,  3124,
    3125,  3126,  3127,  3128,  3129,  3130,  3131,  3132,  3133,  3134,
    3135,  3136,  3137,  3138,  3139,  3140,  3141,  3142,  3143,  3144,
    3145,  3146,  3147,  3148,  3149,  3150,  3151,  3152,  3153,  3154,
    3155,  3158,  3156,  3157,  3159,  3160,  3161,  3162,  3163,  3164,
    3165,  3166,  3167,  3168,  3169,  3170,  3171,  3172,  3173,  3174,
    3175,  3176,  3177,  3178,  3179,  3180,  3181,  3182,  3183,  3184,
    3185,  3186,  3187,  3188,  3189,  3190,  3191,  3192,  3193,  3194,
    3195,  3196,  3197,  3198,  3199,  3200,  3201,  3202,  3203,  3204,
    3205,  3206,  3207,  3208,  3209,  3210,  3211,  3212,  3213,  3214,
    3216,  3215,  3217,  3218,  3219,  3220,  3221,  3222,  3223,  3224,
    3225,  3226,  3227,  3228,  3229,  3230,  3231,  3232,  3233,  3234,
    3235,  3236,  3237,  3238,  3239,  3240,  3241,  3242,  3243,  3244,
    3245,  3246,  3247,  3248,  3249,  3250,  3251,  3252,  3253,  3254,
    3255,  3256,  3257,  3258,  3259,  3260,  3261,  3262,  3263,  3264,
    3265,  3266,  3267,  3268,  3269,  3270,  3271,  3272,  3273,  3274,
    3275,  3276,  3277,  3278,  3279,  3280,  3281,  3282,  3283,  3284,
    3285,  3286,  3287,  3288,  3289,  3290,  3291,  3292,  3293,  3294,
    3295,  3296,  3297,  3298,  3299,  3300,  3301,  3302,  3303,  3304,
    3305,  3306,  3307,  3308,  3309,  3310,     0,  2222,  2223,  2224,
    2216,  2217,  2218,  2219,  2220,  2221,  2232,     0,     0,  2340,
    2401,     0,  2175,     0,  1993,     0,  2183,     0,     0,  1800,
       0,  2359,  2289,  1800,   267,   268,   264,     0,     0,   219,
     218,     0,   237,   241,   242,   213,   240,     0,   236,   221,
    2159,  2158,   220,   212,   209,   207,   224,   226,   227,   210,
     208,   261,     0,     0,     0,   145,  1567,  1554,     0,     0,
    2301,     0,  2236,     0,     0,  2234,     0,     0,     0,  1797,
       0,  1701,     0,  1705,     0,     0,     0,  1944,  1943,  1894,
    1890,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   946,     0,  1912,     0,  1863,  2383,
    2384,  2299,  1733,  1567,     0,  1563,  1696,  1695,  1738,  1739,
    1104,  1694,  1767,  1768,     0,     0,     0,     0,  1793,  1791,
    1758,  1749,  1757,     0,     0,  1755,     0,  1759,  1973,  1786,
    1683,  1743,  1744,  1747,  1682,     0,  1789,     0,  1638,  1787,
    1748,  1622,     0,  1600,     0,     0,  1848,     0,     0,  1468,
       0,     0,     0,  1133,  1135,     0,  1134,     0,  1137,     0,
    1146,     0,     0,  1132,  1151,     0,  1140,  1138,     0,  1508,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,  2674,
     255,  1491,  1496,  1483,  1494,     0,     0,     0,     0,     0,
    1069,  1068,     0,     0,  1088,     0,     0,     0,   508,  1515,
     530,     0,   364,     0,     0,     0,     0,     0,     0,     0,
       0,   827,   824,     0,     0,   823,     0,   676,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   701,
       0,  1312,     0,   294,     0,  1172,     0,  1171,     0,  1176,
       0,     0,  1173,  1168,  1169,  2639,  2649,  2680,   257,  1174,
    1204,     0,  1203,  1199,     0,  1115,     0,  1116,     0,     0,
       0,     0,     0,  2486,  2513,   302,   326,     0,  1311,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   348,     0,     0,   351,   350,     0,
       0,     0,     0,     0,   356,     0,   334,     0,   335,     0,
     355,     0,     0,     0,   644,   645,     0,     0,     0,  1312,
       0,   290,     0,     0,     0,     0,     0,     0,     0,     0,
    1221,     0,   754,     0,     0,  2639,  1200,     0,  1395,     0,
    2673,  1396,  1399,   544,     0,   544,  1401,     0,     0,  1398,
    1400,     0,     0,   176,     0,   171,   175,     0,     0,  2639,
    1201,     0,     0,     0,     0,     0,   627,   628,   641,     0,
     632,   633,   630,   634,   635,     0,     0,     0,     0,     0,
       0,     0,   626,     0,     0,   723,   722,   726,     0,     0,
       0,     0,     0,     0,  1404,     0,     0,  1195,     0,     0,
    1403,  1411,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1255,  1254,     0,     0,     0,     0,  1322,     0,
     870,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   178,   741,     0,   740,     0,   172,   177,     0,     0,
       0,     0,     0,     0,     0,     0,   231,  1457,  1463,  1737,
    1737,  1737,  2083,     0,     0,     0,     0,  1736,  2292,  2295,
    1537,  1543,  1536,  1535,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   410,   411,   413,     0,     0,     0,     0,   843,
       0,   846,   849,  1479,   492,     0,     0,   668,   701,     0,
       0,   468,   185,     0,     0,     0,     0,   756,     0,  1195,
    1194,   147,   138,   194,   466,     0,   193,   195,   197,   198,
     199,   196,   200,     0,   720,   724,     0,     0,     0,     0,
     664,     0,     0,     0,     0,     0,     0,     0,  1868,     0,
       0,   170,     0,     0,   617,   621,     0,     0,     0,     0,
     468,   583,   375,  2513,     0,   544,     0,  2513,     0,   137,
       0,   830,     0,     0,     0,  1157,  1157,     0,     0,   770,
     769,     0,     0,     0,     0,     0,     0,  1668,   145,  1155,
       0,  1502,     0,   145,   949,   145,  1119,   184,  2378,     0,
     911,     0,     0,     0,     0,   145,  1223,   899,   145,   180,
     145,   145,   667,     0,   145,   182,     0,     0,   145,   943,
     145,  2348,     0,   145,  1593,  2513,   544,  1571,   996,  1005,
    1004,  1002,  1001,   997,     0,  1016,     0,   543,     0,     0,
       0,     0,     0,  1037,  1038,     0,     0,  1034,  1039,     0,
    1041,  1025,  1027,  1035,  1036,  1042,  1031,  1030,  1043,  1044,
       0,     0,     0,  1056,   735,     0,     0,     0,     0,  1632,
       0,  1630,     0,  1846,  1634,  1623,  1583,     0,  1582,     0,
     610,  1246,  1245,  1247,     0,  1013,     0,   145,     0,  1447,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2251,     0,  2252,     0,     0,  2285,  2281,     0,     0,
       0,     0,     0,  2255,  2258,  2259,  2260,  2257,  2261,  2256,
       0,     0,  2262,     0,     0,  2306,  2318,     0,  2069,  2306,
    2329,     0,  2328,  2334,  2242,  1973,     0,     0,  2325,  2319,
       0,  2325,     0,  2308,     0,     0,     0,  2146,     0,     0,
       0,  2242,  2245,     0,     0,  2754,     0,     0,     0,     0,
    2041,     0,     0,  2209,     0,  2242,     0,     0,     0,     0,
       0,     0,     0,  2238,  2277,     0,   506,     0,  2031,     0,
       0,     0,  2157,     0,  2154,     0,     0,     0,     0,  2298,
       0,     0,  2362,  1974,  1989,  1990,  1991,  1994,  2339,  1977,
       0,  2300,     0,     0,  1975,  2002,     0,  2278,  2027,     0,
    2032,  2017,  2309,  2263,  2264,  2265,  2266,  2034,     0,  2010,
    2015,  2019,     0,  2318,  1998,     0,  1995,     0,  2301,  2237,
       0,  2235,     0,  1986,  1987,  1988,  1980,  1981,  1982,  1983,
    1984,  1985,  1992,  2213,  2211,  2212,     0,     0,  2183,     0,
       0,  2014,     0,     0,  2085,  2505,  2543,     0,  1726,  1726,
    1726,  1714,  1724,  2338,  1863,  1737,  1863,  2344,     0,     0,
    1969,     0,  1844,   951,   952,   950,  1539,  1553,  1567,  2239,
    1561,  1703,     0,     0,     0,  1913,  1926,     0,  1953,  1954,
    1955,  1955,     0,  1895,     0,  1938,  1963,  1964,  1965,  1966,
    1967,  1968,     0,  1962,  1904,   947,  2734,     0,  2635,  2774,
       0,  1824,  1799,  1801,  1811,  1824,  1831,  1824,  2087,  1861,
    2088,  2089,  2345,     0,  1770,  2380,  1541,  1565,     0,  1102,
    1103,     0,  1107,  2754,  2635,     0,     0,     0,     0,  1760,
    1794,     0,  1785,     0,  2355,  1761,  2354,  1762,  1765,  1766,
    1756,  1795,  1636,     0,  1790,  1687,  1686,     0,  1866,     0,
       0,     0,  1614,  1602,     0,     0,  1849,     0,  1800,  1640,
       0,  2298,  1798,  1362,  1256,  1323,  1136,     0,  1914,  1147,
       0,  1131,     0,  1130,  1914,     0,  1148,     0,  1914,  1363,
    1257,  1324,  1364,  1258,  1325,  1365,  1499,  1259,  1498,  1486,
    1485,  1484,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   808,  2513,   145,
    1513,  1366,     0,  1260,   363,  1514,  1326,  1518,   826,   825,
       0,     0,  1327,     0,   677,   682,     0,   684,   685,  2435,
    2494,   686,   689,   690,     0,   692,   681,   680,     0,     0,
       0,     0,     0,   698,   703,     0,     0,     0,     0,     0,
       0,  1166,  1167,  1367,  1263,     0,  1328,     0,  1114,     0,
    1264,   186,     0,     0,   282,  2513,   304,     0,   490,   808,
       0,  1314,   301,   332,     0,   347,   342,   343,   341,  2513,
     145,  2513,   145,     0,     0,     0,     0,     0,   344,   339,
     340,   336,     0,     0,   349,  2407,  2478,  2650,     0,   709,
     711,     0,   716,   352,  1284,   371,   370,   369,     0,   357,
       0,   376,   379,     0,   354,   333,   331,   328,   297,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1216,     0,  1370,  1329,     0,  1351,  1355,     0,     0,     0,
     748,  1373,  1270,  1332,     0,   544,     0,     0,   559,   559,
     544,  1384,  1271,   174,  1301,   163,     0,     0,   159,     0,
       0,     0,     0,   153,  1374,  1272,  1333,     0,     0,  1375,
    1273,     0,     0,   287,   620,   631,   636,  1278,   640,   637,
    1341,   638,  1382,  1274,     0,  1378,  1304,  1336,   389,   603,
     388,  1195,  1195,  1385,  1405,  1275,  1195,     0,  1312,     0,
     276,   278,     0,   142,     0,  1276,     0,  1334,  1377,  1303,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1521,
       0,     0,     0,     0,     0,     0,   145,     0,     0,     0,
    1314,  2513,   145,   868,  1376,     0,  1309,     0,  1349,     0,
       0,     0,   401,     0,  1302,  1312,     0,   289,  1280,     0,
    1343,     0,     0,   229,   228,   230,     0,     0,     0,     0,
    2243,  2244,     0,  2241,  2078,  2294,     0,  1531,   973,   959,
     972,     0,   955,  2476,     0,   958,   960,     0,     0,     0,
     961,   965,   966,     0,   957,   954,   956,     0,   412,     0,
       0,   765,   766,     0,     0,     0,     0,   845,     0,     0,
    1511,     0,   150,   675,     0,     0,     0,   670,   700,   705,
       0,     0,     0,     0,   467,   471,   475,   476,   477,     0,
       0,     0,     0,   164,   151,     0,   888,     0,   544,     0,
     758,  1195,  1388,     0,   194,   189,     0,     0,   721,     0,
    1562,     0,     0,   598,   601,   600,     0,   375,   840,   838,
     837,   839,   861,   836,     0,  1867,  1869,     0,     0,     0,
       0,     0,     0,   610,   470,     0,     0,   547,     0,   586,
       0,     0,     0,     0,   583,     0,     0,     0,  2388,     0,
     857,   829,     0,  1125,     0,  1143,  1126,     0,     0,     0,
       0,  1180,  1187,  1156,  1181,  1158,  1187,     0,     0,   771,
     775,   774,   778,   776,     0,   772,   649,  1674,  1675,     0,
    1213,     0,     0,  1507,     0,  1505,   910,  1207,   145,     0,
     145,     0,   145,  1215,  1209,  1211,  1413,     0,   908,     0,
       0,   901,   903,     0,   905,     0,  1017,   546,     0,     0,
       0,     0,     0,     0,  1033,   647,  1040,     0,     0,     0,
    1055,  1050,  1052,     0,  1067,  1061,     0,   734,     0,     0,
    1633,  1626,  1628,  1627,     0,     0,  1624,  2248,   900,     0,
     616,     0,  1067,  1058,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1731,  2249,  2250,     0,     0,
       0,  2282,     0,     0,  2122,     0,  2093,  2095,  2108,     0,
    2123,  2076,     0,  2305,  2302,     0,     0,     0,  2306,  2308,
    2142,     0,     0,     0,  2308,     0,  2328,     0,     0,  2137,
    2139,     0,     0,     0,  2318,  2318,  2144,     0,  2124,  2097,
    2099,  2109,     0,     0,  2229,     0,  2112,  2111,     0,  2043,
    2044,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2058,
    2113,  2208,     0,     0,     0,  2115,  2114,     0,     0,  2276,
       0,     0,     0,  2120,   507,  2125,     0,     0,     0,     0,
    2131,     0,  2165,     0,     0,     0,  2066,  2239,     0,     0,
       0,     0,     0,     0,     0,  2311,  2312,  2313,  2310,     0,
    2033,  2018,  2036,  2012,  2016,  2020,     0,  2318,  2035,  2038,
       0,     0,  2006,     0,     0,  2004,  2028,  2000,     0,     0,
    2029,     0,  2084,     0,     0,     0,  2186,  2181,  2182,  1726,
    1726,  1726,  1726,  1723,     0,     0,     0,  1770,     0,  1770,
     205,     0,   238,   225,  1538,  1704,  1713,  1932,     0,  1950,
    1948,  1891,  1896,  1971,  1824,  1831,  1824,     0,     0,  1689,
       0,  1811,     0,  1823,  1809,  1822,     0,     0,  1837,  1835,
       0,  1837,     0,  1837,     0,  1803,     0,  1827,  1805,  1822,
    1807,     0,  1853,  2346,  1862,     0,  1783,  1740,     0,  2230,
    1107,     0,  1742,  1764,  1763,     0,  1753,     0,  1792,  1750,
    1637,  1621,     0,  1619,  1606,  1608,  1607,     0,     0,  1609,
    2298,     0,  1619,  1601,     0,  1645,     0,     0,  1866,     0,
    1644,     0,  1914,  1128,  1129,     0,  1152,     0,  1072,  1073,
       0,  1071,     0,     0,     0,   529,  1087,     0,     0,   808,
       0,   808,     0,     0,   534,     0,  1516,     0,  1383,  1300,
     679,     0,     0,     0,     0,   694,   653,   695,   697,     0,
       0,   696,   699,   702,  1312,     0,   295,  1286,     0,  1347,
    1160,     0,     0,  1117,     0,     0,     0,     0,     0,     0,
     489,   486,   327,     0,     0,     0,     0,   384,     0,   306,
     319,   382,   325,     0,   359,     0,   330,     0,   323,   345,
     337,   346,   338,   358,   360,     0,   713,   714,   712,   708,
       0,   715,   717,     0,   373,     0,     0,     0,   391,   353,
     390,     0,  1369,     0,  1312,     0,   291,  1282,     0,  1345,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1350,     0,     0,     0,     0,   753,     0,   750,
       0,   559,     0,  1397,     0,  1394,  1392,   559,     0,     0,
     156,   155,     0,   162,     0,     0,     0,     0,     0,     0,
    1406,  1407,  1408,     0,     0,     0,     0,     0,     0,   395,
       0,   298,   300,   299,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   402,   366,     0,   864,     0,     0,     0,   404,     0,
       0,  1361,     0,     0,     0,     0,     0,  1368,  1265,  2081,
    2082,  2079,  1737,  2293,     0,     0,     0,   970,     0,     0,
       0,     0,   415,   416,   150,   414,   439,     0,   808,     0,
       0,   842,   847,   855,  2579,  2216,  2217,   853,   848,   850,
     852,   854,   851,     0,     0,     0,     0,   511,     0,     0,
       0,   498,     0,     0,   508,   491,   494,   495,     0,     0,
     671,   674,   672,   673,     0,   693,     0,   470,   518,   573,
       0,   166,     0,     0,   167,   165,     0,     0,   375,   755,
       0,   752,  1387,     0,   192,     0,   725,     0,     0,     0,
       0,     0,  1195,   663,     0,   860,   862,   834,     0,   705,
       0,     0,   622,     0,   544,  1594,   605,     0,   575,   470,
     573,   582,     0,     0,   590,   374,     0,     0,   610,   375,
       0,     0,  1088,     0,   856,     0,     0,  1124,     0,     0,
       0,  1177,  1182,  1178,     0,  1157,  1139,     0,  1179,     0,
       0,  1185,  1110,  1159,  1111,  1429,  1430,  1427,  1428,     0,
       0,     0,     0,     0,     0,  1665,     0,     0,  1503,     0,
     912,     0,   895,     0,   897,   145,   742,     0,   145,     0,
       0,     0,     0,     0,     0,  1032,     0,  1026,  1028,  1053,
       0,     0,  1067,  1066,     0,  1057,  1065,  1063,  1064,  1062,
       0,     0,  1631,  1629,   608,     0,     0,   145,  1067,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2253,
       0,  2284,  2280,     0,  2090,  2254,  2304,  2315,  2317,  2143,
    2307,     0,     0,     0,  2330,     0,     0,  2308,  2322,  2321,
       0,     0,  2320,  2308,  2308,  2145,     0,     0,     0,  2209,
       0,     0,  2042,  2054,  2055,  2056,  2269,     0,  2061,     0,
    2051,  2052,  2053,  2045,  2046,  2047,  2048,  2049,  2050,  2057,
    2273,  2272,     0,     0,  2117,  2118,  2119,  2275,  2126,     0,
    2425,  2166,     0,  2130,  2156,  2155,     0,     0,     0,  2133,
       0,     0,  2152,     0,  2210,  2363,  1976,     0,     0,  2003,
    2279,  2021,     0,  2037,  2039,  1999,  2229,     0,     0,     0,
       0,     0,  2008,     0,     0,  2206,     0,     0,     0,  2188,
    2185,     0,     0,     0,     0,  1717,  1716,  1722,  1783,  2078,
    1783,     0,     0,  1892,  1810,  1806,  1808,     0,  2769,     0,
    1813,  1820,     0,  1802,     0,  1836,  1832,     0,  1833,     0,
       0,  1834,     0,     0,  1804,     0,  1820,     0,  1860,  1729,
       0,  2177,     0,  1741,  1105,  1106,  1751,     0,  1754,  2455,
    1864,     0,  1620,     0,     0,     0,  1611,  1617,  1599,     0,
       0,     0,  1641,  1619,  1642,  1149,     0,     0,  1141,  1078,
    1079,  1082,  1080,  1077,  1081,     0,     0,     0,   808,     0,
       0,   554,     0,  1101,  1101,     0,   532,   542,   536,   595,
     542,   811,     0,     0,     0,   809,   145,  1261,     0,     0,
       0,     0,   654,  1381,  1262,     0,     0,     0,     0,  1161,
    1315,     0,     0,  1285,     0,   303,   488,   487,     0,   485,
     705,     0,     0,   310,   320,     0,   315,     0,  1313,     0,
       0,     0,     0,   314,   317,   316,   386,     0,   383,     0,
     145,   145,   361,   710,   372,   377,   378,   381,  1320,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   889,   872,     0,     0,   890,   891,     0,     0,
       0,  1218,  1219,  1217,  1352,  1353,  1359,  1356,  1354,  1358,
    1360,  1357,     0,  1268,     0,     0,   746,  1316,  1389,  1391,
    1390,     0,  1393,   160,   157,   158,   161,  1317,  1298,  1279,
    1342,   604,     0,     0,     0,  1277,     0,  1335,     0,  1294,
    1288,     0,     0,     0,     0,     0,  1380,  1308,  1340,  1379,
    1306,  1338,  1305,  1337,  1307,  1339,  1299,     0,     0,  1871,
     869,     0,     0,     0,   145,   145,   867,   744,  1281,     0,
    1344,  1290,     0,     0,     0,   962,     0,     0,     0,   964,
     420,   440,   150,     0,   764,   828,     0,     0,   844,     0,
     496,     0,   502,   509,     0,     0,   513,   514,   512,   540,
    1195,   544,  1195,   797,   798,     0,     0,   818,     0,   669,
       0,     0,   468,     0,   515,     0,     0,   472,   169,   168,
       0,     0,     0,   759,   763,   761,   760,   762,   757,     0,
     748,   194,  2513,     0,     0,     0,     0,   602,   596,   599,
    1402,   835,     0,  1870,   738,     0,   375,   618,     0,     0,
       0,   468,   610,     0,   473,   478,   479,   492,     0,   583,
     574,     0,   575,   584,   585,     0,   592,  1477,     0,   611,
     592,     0,     0,     0,   859,     0,   858,     0,  1127,  1144,
    1145,     0,     0,  1187,     0,     0,  1189,  1184,     0,     0,
     777,   780,   773,   656,   145,     0,  1506,   145,   145,  1244,
       0,   906,  1047,  1048,  1049,  1046,  1045,   648,     0,  1051,
    1010,  1060,   736,     0,   609,     0,  1011,   145,   987,   979,
     986,   975,   978,   980,     0,   982,   983,   977,   974,   976,
    2283,  2107,     0,  2314,  2316,  2141,  2327,  2326,  2140,  2333,
       0,  2324,  2323,     0,     0,  2110,  2121,     0,  2208,  2239,
       0,     0,  2062,     0,     0,     0,  2116,  2764,     0,     0,
    2170,  2171,     0,  2167,  2168,  2163,  2164,  2132,     0,  2568,
    2147,     0,     0,  2162,  2025,  2023,  2022,  2007,     0,     0,
    2005,  2001,     0,  2030,  2172,  2205,  2239,  2174,     0,  1737,
    1721,  1720,  1719,  1718,  2177,  2360,  2177,   239,  1708,  1856,
       0,  1859,     0,     0,  1812,     0,     0,  1814,     0,     0,
    1816,  1818,     0,     0,     0,     0,     0,     0,  2349,     0,
    1782,     0,  1737,     0,  1752,     0,  1618,  1603,     0,  1604,
    1610,     0,     0,     0,     0,     0,  1646,  1639,  1142,  1150,
       0,     0,     0,   531,     0,   549,     0,     0,     0,  1094,
     140,  1093,     0,     0,     0,     0,   813,   812,   815,   810,
     814,  1517,     0,   687,   688,   691,  1287,     0,  1348,  1296,
       0,  1635,   305,   484,   483,   492,   313,     0,     0,     0,
     307,   385,     0,   387,   308,   312,   366,   329,   322,     0,
       0,     0,  1283,     0,  1346,  1292,  1319,  1371,  1266,  1330,
       0,     0,   878,     0,     0,     0,     0,  1372,  1267,  1331,
       0,     0,     0,     0,     0,  1635,     0,     0,     0,     0,
       0,     0,     0,     0,  1526,     0,     0,   365,   866,   865,
     366,   403,  1310,     0,  2080,     0,   963,   968,   969,   967,
       0,   409,   417,   420,     0,     0,  1235,  1235,     0,     0,
     493,   510,     0,     0,   497,   594,   553,   594,     0,     0,
       0,     0,     0,   706,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   751,   750,   191,     0,   468,     0,
     705,     0,   863,     0,     0,     0,   610,   470,     0,     0,
    1591,   469,     0,     0,   481,     0,   586,   575,   583,     0,
       0,   607,     0,  1470,     0,   613,     0,     0,     0,   807,
    1183,     0,  1197,     0,  1138,  1108,  1192,     0,  1713,  1863,
       0,     0,     0,     0,   790,     0,   660,  1236,  1504,   896,
     898,   743,  1054,     0,  1067,  1059,   981,  2303,  2332,  2138,
    2331,  2268,  2210,  2059,     0,  2271,  2270,  2274,     0,  2127,
       0,  2128,  2169,  2134,  2148,     0,  2135,  2160,     0,     0,
    2026,  2024,  2009,  2207,     0,  2192,  1691,  1690,     0,  1711,
    1861,     0,     0,  1855,     0,     0,  1885,     0,     0,     0,
    1821,  1839,     0,  1817,  1815,     0,  1828,     0,  1830,  2454,
    2729,  2632,     0,  1769,  1771,  1774,  1776,  1775,  1777,  1773,
    2176,  2178,     0,  1748,  2231,  1865,     0,     0,     0,  1089,
       0,     0,  1619,  1648,  1643,  1055,     0,   145,  1101,     0,
    1195,   555,  2579,   556,  1100,  1104,   139,     0,   541,   549,
     549,   683,     0,     0,   284,   480,     0,   311,   321,     0,
     368,   380,     0,  1635,     0,     0,   876,   885,   885,   873,
       0,     0,   892,  1269,   747,     0,   558,     0,   279,  1295,
    1289,     0,     0,     0,  1528,  1529,     0,     0,     0,     0,
       0,  1318,   145,  1291,   971,     0,   442,   449,   421,   425,
    1520,     0,  1520,     0,   422,   426,  1520,  1520,   419,  1863,
     438,  1235,     0,  1232,  1231,   540,   624,     0,   539,     0,
     500,     0,   564,   499,     0,   819,     0,     0,   704,     0,
     470,   573,     0,   528,   519,   520,   521,   522,   524,   523,
     525,   526,   527,   517,   516,     0,   705,   882,   375,  1477,
     745,     0,     0,   718,     0,   705,     0,  1594,   606,   575,
     470,   573,   474,   492,     0,   590,   583,   586,     0,   587,
       0,   591,     0,     0,     0,   610,  1530,  1088,     0,     0,
     808,  1196,  1157,     0,     0,  1186,  1190,  1191,     0,     0,
       0,     0,  1239,   784,   785,   779,   781,     0,   792,   796,
     655,     0,     0,   659,   650,   705,   145,     0,  2060,     0,
       0,  2150,  2149,  2161,  2136,  2187,     0,     0,     0,     0,
       0,     0,     0,  1702,  1854,  1857,     0,  1888,     0,     0,
       0,     0,  1874,     0,  1819,     0,     0,  1829,     0,     0,
       0,  1778,     0,     0,     0,  1787,     0,  1616,  1863,     0,
    1613,     0,  1656,     0,  1647,  1649,  1074,     0,  1075,  1095,
       0,   594,     0,  1107,  1104,   544,  1195,  1195,  1297,     0,
     624,     0,     0,   324,     0,   292,  1293,     0,     0,   887,
     887,     0,     0,     0,     0,     0,     0,   397,     0,     0,
    1522,     0,  1523,  1524,  1527,   405,   418,     0,   447,     0,
     445,   444,   446,     0,   435,     0,     0,     0,     0,     0,
       0,   408,  1230,  1234,  1233,   501,     0,   503,     0,     0,
     550,   551,   552,     0,   505,   560,   561,   816,     0,   821,
       0,   707,     0,     0,   705,   572,   729,     0,     0,     0,
    1471,     0,     0,   597,   739,  1477,   610,   583,     0,   575,
     482,     0,   592,   586,   590,   588,   589,     0,  1474,     0,
     612,     0,  1097,   806,     0,  1187,  1198,  1193,  1188,  1433,
       0,     0,   782,   787,   786,  1520,   791,     0,     0,     0,
     658,   657,   733,  1012,  2267,  2153,  2129,  2151,  2716,  2455,
    2688,     0,  2204,  2193,  2204,  2204,  2184,     0,     0,     0,
       0,     0,  1886,  1887,  1872,     0,     0,  1876,  1826,  1852,
       0,     0,     0,  1772,  2179,  2180,  2379,  1605,  1615,  1090,
       0,     0,     0,  1656,     0,     0,   559,     0,  1091,  1107,
     553,   594,   594,  1635,   318,   309,   367,     0,     0,     0,
     883,   886,   874,   875,   894,   893,   749,  1635,     0,   393,
     392,     0,   396,     0,   443,   452,     0,   450,   423,   428,
       0,   434,   433,   430,   429,   424,   427,     0,     0,     0,
       0,     0,     0,   562,     0,   563,     0,   820,     0,     0,
       0,   731,   881,     0,     0,   468,   705,  1472,  1592,   586,
     575,   583,     0,     0,   577,  1101,  1101,   455,   590,   592,
    1475,  1476,     0,     0,   508,     0,  1109,  1432,  1431,  1713,
       0,     0,     0,   793,   794,   789,     0,     0,     0,  2197,
    2196,  2195,  2199,  2198,     0,  2191,  2189,  2190,     0,     0,
       0,  1858,     0,  1875,  1878,     0,     0,     0,  1884,  1877,
    1879,     0,  1838,     0,  1850,  1780,     0,  1779,  1863,  1655,
       0,     0,   145,   548,   808,   557,  1092,   564,   808,   808,
     285,  1635,   877,     0,   280,     0,   398,  1525,   448,     0,
     432,   431,   623,   504,   593,   569,     0,   568,     0,   566,
     565,   817,   822,     0,   705,   871,  1477,   719,   590,   583,
     586,     0,   576,     0,   140,   140,   592,   453,     0,     0,
     375,     0,  1415,  1713,  1414,  1416,  1424,  1421,  1423,  1422,
    1420,     0,  1242,  1243,   783,   788,     0,     0,     0,     0,
    2201,     0,  2202,     0,     0,     0,     0,  1881,  1882,  1883,
    1880,  1825,     0,  1781,  1612,  1658,     0,     0,  1650,  1651,
       0,  1076,   537,   808,   535,   533,   293,   884,     0,   451,
     567,   544,   544,   705,   730,  1473,   592,   586,   590,  1101,
     578,   580,   579,   457,  1097,  1098,     0,   592,   796,     0,
    1425,  1419,  1689,  1676,     0,     0,   795,     0,  2194,  2200,
    2203,     0,     0,     0,     0,     0,     0,  1653,     0,     0,
       0,  1652,   538,     0,   571,   570,   732,   456,   590,   592,
     140,   508,  1096,     0,  1863,     0,  1417,  1713,     0,     0,
     801,  1707,  1706,  2734,     0,     0,  1710,     0,  1851,  1657,
    1654,     0,     0,     0,     0,  1659,   394,   592,   454,   581,
     375,  1099,  1083,     0,  1418,     0,     0,   803,     0,   799,
     802,   804,   805,     0,     0,  1873,  1663,     0,     0,     0,
     458,   592,     0,     0,     0,   767,     0,  1737,     0,     0,
       0,     0,  1863,     0,     0,     0,   800,     0,     0,  1660,
    1664,     0,  1661,  1084,   801,  1240,  1241,     0,  1709,     0,
       0,     0,   768,  1662
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5717, -5717, -5717,  3952,  -574, -1715, -5078, -1127,  4128, -5717,
   -5717,  -931,    67,  3206, -1426, -5717, -5717, -5717,  1299, -5717,
   -5717, -5717, -5717,  3903, -5717, -2919, -5717, -5717,   171,  3866,
   -1382,   141,  3475,  1480, -5717,  -984, -5717, -5717,  -606,    14,
   -5717,  3868,   524, -5717, -5717, -5717, -5717, -5717, -5717, -5717,
   -5717,  -760,  1940, -5717,  2036,  1276, -3472, -5717, -5717, -1519,
   -3755, -5717,   534, -5717,   560, -4066, -5717, -4830, -1070, -5717,
   -5717, -5717,  1922, -5717, -5717, -5717,  1871,  1068,  -476, -5717,
   -5717, -5717, -5717, -5717, -5717,  -905, -5717, -5717, -1176,     4,
    -657, -2945, -4309, -5717, -5717,   385,  -518, -1490, -5717,   579,
   -5717,   581, -5717, -4862, -5717,  -110, -2673, -3766, -5717, -5717,
   -5717,  -485, -1460,  1378,  -707,    69,  -748, -1168,  1754, -2442,
   -1019, -5717,  -353, -3570, -1142,  -910,  -908, -1053, -4353, -4883,
   -5717, -5717, -1174, -3775, -5208, -5428, -4899, -5145,  1386, -5717,
    -135,   392, -5717,     8, -3667, -3746,    11,   365, -5717,    15,
      16, -5717,   382,  -844,  -967, -1596, -5717,  -940, -5717, -5717,
   -5717, -3457, -5717, -5717, -5717,   165, -5717, -5717, -5717, -5717,
     429, -5717, -5717, -5717, -5717, -5717, -5717, -3200,  1905,  1906,
   -5717, -4380, -5717,  -932, -5717,   590, -3485,  1310, -5717, -5717,
    1070,  3940,   413, -5717, -5717, -5717, -5717, -5717, -5717, -1789,
   -5717, -5717, -5717, -5717,  -109,  -453, -5717, -5717, -5717, -5717,
   -5717, -5717, -5717,    17, -5717,  1031,   358, -5717, -5717,  -746,
   -5717, -5717, -5717, -5717, -5717, -5717, -1221, -5186, -1324, -1304,
   -5717, -3461, -5717, -5717, -5717,  -425, -5717, -5717, -5717, -5717,
   -5717,  -872, -5717,  1127, -4168, -5717, -5717,   393, -5717, -5717,
   -5717, -5717, -5717, -1027,  -366,  3101, -5717,  -609,  -820, -5717,
   -5717, -5717,  -363, -5717, -5717, -5717, -5717, -5717,  -521, -1276,
    4938,  4310, -1095,   330,  -836,  -593, -5717, -5717, -5717, -2703,
   -5717, -5717, -4279, -5717,  4930,  2425,  1563,    18, -5717,    -2,
     108,  3749, -5717,   992, -1164, -3103,   349,  -564, -5717, -5717,
   -5717,   355, -5717, -1949, -5717, -5717, -5717, -5717, -4103,    19,
   -5717, -4375, -5212, -4609, -4121, -1192, -5717, -4502, -5159, -4093,
   -5717,  1930, -5717, -5717,  -560,  -193,  3069, -5717, -1478,  2274,
   -1438, -5717, -2545,   410,  1473,  3080, -3291,  -114,  3068, -3002,
   -5717,  -654,  1061, -5717,  -452, -3787, -5717, -5717, -5717, -2837,
    -698, -5717, -5717,  1616, -1112, -5717, -5717, -5717, -5717,  -636,
    3048,  -186, -5717, -5717,  4279, -5717, -4987, -5717,  4266, -5717,
   -5717, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -1448,  1229,
   -5717,  -849, -5717, -5717,  2031,   618, -5717, -5717, -5717, -5717,
    1315,  -500, -5717, -5717, -5717, -5717, -5717, -5717, -5717, -1016,
   -1213, -5717, -5717, -5615, -5717, -5717, -5717, -5717, -5717,  2391,
    -958,  -739,  4145,  -250,    22, -5368, -5717, -5717, -1185, -5717,
    3479, -5717, -5717, -5717, -5717, -5717,   401,   400, -5717, -5717,
   -5717, -5717, -3971, -5717, -5717, -5020, -5717, -5717,  2010, -5717,
   -5717,  1143,     6,  3196, -5717, -5717, -5717,   -24, -5717, -5717,
   -1014,  2360, -5717, -2384, -5717,  -583, -5717, -5717, -1907,    28,
   -4369, -5717,     3, -5717, -5717, -5065, -1222,   200, -5717, -5717,
   -4094,    10, -5717, -5717, -5717, -5717, -5074, -5717,    12, -5560,
     763, -3355, -5717,     1, -5717,  -519,  -909, -5717, -5717, -5717,
   -3864,    29,   137, -5717, -5717,     5,   397,   -49,   -20,    34,
       2,   144,  3607, -5717, -5717, -5717, -5612,  3644, -5717,    36,
    -862,  4971,  4972, -5717,  -887,  -140,   359,  1575,  -691, -2595,
    3554,  3556, -5717,  1564,  2377, -2459, -2457, -5717,  -981,  -879,
    -709, -5717, -5717, -5717, -5717, -1568,  -683, -2600, -5717,  3559,
   -5717, -5717, -5717, -2363, -3370, -3235,  1604, -3292, -3204, -5717,
     855,   835, -1007,  -194,    41, -1479,  -783,  1714, -5717, -5717,
    1614,  -449, -5717, -5717,  -446, -3287,   797, -5717, -4597, -2821,
    1619, -1138,  -857, -5717,  -990, -5717,  -678,  1225,  3623,  -826,
   -5717, -5717,  -808, 13036, -5717, -5717, -5717, 13700, 14230, -5717,
   -5717, 14998, 15690, -5717,  -530, 16306,  6727,  -786, -1956,    26,
   16351, 18480, -1826,  3905,   158, -5717, -2976, -2343, -5717, -5717,
   -5717,  -416,   945,   585, -5717, -5717, -4604, -4451, -5717,  2503,
   -1996, -5717,  -686,  1691,  -684, -5717, -5717, -5717, -2602, -5496,
   -2773,  2513, -5717, -5717, -5717,  -202, -5717, 18765, -3262, -5717,
    -776,  -982, -1590,  2998, -5058, -1921, -5717, -5717, -5717, -3119,
   -5717, -5717, -5717, -1065,  1718, -5717, -5717,  1838, -5717, -5717,
   -5717,  -957,  2080,  -726, -1181,  1723, -1873, -5717, -3035, -1941,
    1736, -3136, -5717, -1924,  1809,  1026, -5717,   858, -5717,  4176,
    -777,  2522,  -787, 17675,  -692, 11103, -1274, -5717,   476, -5716,
    4998,  7472,    20,  -121,   -74,  -662,  2433,  3138, -5717, -5717,
    5463,  8701,  -582,  -985, -5717,    -6, 14186, 12256, -3717, -5717
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    57,    58,    59,    60,  1091,  1096,  1890,  1909,    61,
      62,  1612,  3022,  2875,  3843,  3844,    63,    64,  1608,    65,
      66,    67,    68,  1522,    69,  1862,  3036,    70,  2710,   833,
     834,   835,  2575,  2576,  2967,  2577,  2565,  1374,  1808,  1544,
     807,   808,  1504,  1545,    72,    73,  1368,  2556,    74,    75,
      76,  1575,  1669,  1576,  1577,  1516,  4969,  5763,  3629,  2830,
    3891,  3630,  3631,  4310,  4311,  3709,  4339,  4401,  5777,  5778,
      77,  1685,  1686,    78,    79,  3004,  3809,  4454,  5351,  5352,
    5598,   652,  4992,  4993,  5585,  5586,  5791,  5946,  5947,  3037,
     683,  3886,  4538,  3834,  5063,  3835,  5064,  3836,  5065,  4859,
    4860,  4300,  4301,  3820,  4485,  4486,  2063,  5005,  4487,  3837,
    5024,  5633,  3838,  2730,  5364,  5264,  3071,  1981,  1979,  5530,
    5612,  4820,  4821,  4375,  5814,  5815,  5816,  6069,  5026,  5069,
    5070,  5983,  5984,  3889,  4544,  5076,  5411,  5610,  3527,    81,
    3862,  3863,    82,   746,  1884,  3990,   747,  3074,   684,   748,
    3038,    87,  3064,  5807,  3065,  1638,  2889,  4467,  3966,    88,
    1119,  4275,  5436,  5693,  5694,   737,    89,  1870,    90,    91,
    3017,  3827,    92,  2747,  3544,    93,    94,  3563,  3564,  3565,
      95,  4495,  5372,  1578,  3618,  3619,  3620,  3621,  4331,    96,
    1865,  3045,  3046,    97,    98,    99,  3176,  3177,   100,  2953,
     101,   102,   103,   104,  4369,  4926,  5040,  3660,  3850,  4511,
    5038,   105,  3813,  3039,  3092,  3924,  3925,  5434,  5685,  5686,
    5687,  5865,  6104,  5689,  5867,  6005,  5869,  5015,  6228,  6229,
    5670,  4264,  4835,   107,  5016,  5017,  5820,   108,  2745,   109,
     110,  1839,  3010,  3011,  4468,  3081,  3899,  3900,  4524,  4525,
     111,  3749,   112,  4902,  4903,   685,  5828,  5769,  5932,   113,
     114,  4906,  4907,   115,   116,   117,   118,   119,   738,  1053,
    1054,   740,  1174,  1175,  3498,  1136,   120,  2585,   121,  3789,
     122,  1249,  5129,   123,   772,  1190,  1191,  3040,   125,   782,
    3195,   784,  3160,  3161,  1997,  3970,  3971,  4612,   126,   127,
    3974,  3975,  4619,  3173,   128,  1509,  2720,  2721,  4815,  3041,
     686,  3521,  5518,  5259,  5519,  5994,  6156,  5260,  3442,  4212,
     130,   687,  1550,  2786,  1142,  1143,  3085,  3904,  2690,  2691,
    1708,  4565,  2693,  3906,  2694,  1483,  2695,  1129,  1130,  3912,
    3913,  3914,  3915,  4561,  4571,  4572,  5428,  5678,  4568,  1858,
    5422,  5423,   131,  1547,  2783,   132,   133,   134,  1591,   977,
    1152,  1153,   135,   699,   700,   136,  5603,   137,  1132,   138,
    5432,   139,   140,  1234,  1235,   799,   141,   142,  2800,  4313,
     143,  1548,   144,   145,  3654,  3655,  4918,   146,   147,   148,
    2861,  2862,   149,   150,   151,   152,   153,  6094,  6159,  6160,
    6161,  4579,  5999,   154,  1222,   155,   156,   157,   158,   196,
    1018,  1019,  1020,   930,  3042,  5413,   160,   161,  1505,  1506,
    1507,  1508,  2715,   162,   163,   164,  3934,  3935,   165,   166,
     167,   168,  1842,   169,   170,  5576,   171,   172,  1812,   173,
     174,  1027,  1028,  1029,  1030,  1810,  3388,   646,   852,  1399,
    1405,  1448,  1449,  1450,   176,   750,   177,  1225,  1058,   751,
    1183,   179,   752,  2672,  3472,  4227,  4228,  4229,  4232,  5243,
    4792,   753,  3468,   182,  2004,  3182,  3185,  3464,   754,  3478,
    3479,  3480,  4236,   755,  5522,  5523,  5912,  6128,  6129,  6181,
    6215,   756,   774,  1122,  3096,   757,  1333,   188,   189,   190,
     910,   855,   856,  3393,  5479,  5713,   192,  2549,  3371,   791,
    1454,   898,   899,   900,   919,  2977,  2638,  2639,  2663,  2664,
    1463,  1464,  2651,  2655,  2656,  3455,  3448,  2644,  4206,  5503,
    5504,  5505,  5506,  5507,  5508,  4781,  2659,  2660,  1466,  1467,
    1468,  2668,   193,  2628,  3422,  3423,  3424,  4183,  4184,  6032,
    4198,  4194,  4766,  5220,  3425,   844,  1220,  1475,  4774,  6034,
    3426,  5209,  5210,  5483,  4202,  3434,  4223,  3874,  3875,  3876,
    3427,  5721,  5722,  6029,  6030,  5485,  5486,  2696,  1428,   883,
    1334,   884,  1441,  1335,  1415,   886,  1336,  1337,  1338,   889,
    1339,  1340,  1341,   892,  1407,  1342,  1343,  1424,  1437,  1438,
    1344,  1400,  5487,  1346,  1347,  1348,  3429,  1349,  4712,  5182,
    5168,  3293,  3294,  2572,  5469,  4708,  4098,  4702,  2542,  2546,
    5232,  5510,  5511,  3364,  4147,  4739,  5199,  5709,  5882,  5883,
    6015,  1350,  1351,  1352,  3356,  2536,   980,  1353,  4470,  2538,
    3284,  3262,  1711,  3263,  2007,  2029,  3214,  3230,  3231,  3332,
    3264,  3272,  3277,  3285,  3318,  1354,  3216,  3217,  4012,  2031,
    1355,  1024,  1714,  1025,  1443,  3313,  3236,  4023,  4024,  3241,
    3333,  4027,  3248,  3249,  4044,  4034,  3242,  1356,  4036,  1364,
    1365,  1358,  1998,   845,  5216,  1178,  1795,   788,  1359,  1360,
    1361,  1362,  1584,   951,  1145,  1146,   901,   903,   904,  2632,
     642,   634,   953,  3622,  2539,   643,   636,   637,  1800,  2540
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     635,   184,   191,   180,    80,   186,   175,   909,    83,   979,
     181,    84,   183,   943,    71,    85,    86,   106,   124,   129,
    1583,   984,   159,   191,   989,   978,  1637,   749,   178,   185,
    1085,  1211,  1212,  1213,   811,  1469,  1369,  1217,  1796,  1710,
    1978,  2902,   776,  1357,  2692,   897,  1807,  1177,   776,   920,
    2729,  1420,  1924,  2824,  1455,  3526,  1457,  1411,  1412,  1158,
    1440,  1702,  1642,  1031,  1396,  1217,  2795,  1419,  1801,  3465,
    3197,  2787,  3864,  1171,  2026,  3466,  3833,  1401,  2018,  1690,
    3714,   847,  1867,   931,  3916,   843,  1184,  4157,  3059,  4159,
    1809,  1383,  1123,  3992,  1426,   987,  2796,  4221,  1488,  4376,
    2010,  3188,  4472,  3247,  2012,  4281,  3213,  2013,  2014,  1009,
    1579,  2692,  4523,  2807,  3855,  2971,  1125,  4783,  3746,  4549,
    1395,  3251,  4235,  2863,  2863,  3302,  1052,  2863,  4302,  4574,
    4326,   783,  4328,   952,  4197,  1601,  4822,  4536,  4798,  1840,
    1618,  1168,   988,  1845,   812,   640,  3491,  3493,  1849,  5054,
    4817,   914,   691,  2932,  2933,  5213,  1010,  2778,  1859,  1156,
    3126,  1185,  1160,  1031,   631,  2624,  5062,   232,  4886,  3240,
    3243,   922,  1879,  5516,  3253,  3078,   806,  5083,  5225,  4210,
    5227,  5415,  5535,   840,  5616,  4180,  3374,  5072,  5023,  5408,
    3376,   635,  3852,  5376,   858,  3457,  4241,  4129,  5655,  3460,
     635,   954,  3386,  1913,  4029,  5404,  5668,  5544,   635,  4126,
     954,   635,   832,  1852,  4533,  5261,  1031,  2778,  2928,  1551,
    1376,  4195,  5613,  4200,   954,   923, -2497,  5842,  1462,  1876,
    5071,  3269,   758,  1636,  2778, -2538,  1465, -2563, -2601, -1955,
    4234,  5407,  1668,  4031,  1125,  2960,  2758,   697, -2388,  3436,
    5173,  5568,  1695, -2389, -1914,  2945,  4062, -2388, -2388, -1955,
   -1947,  1906, -2389, -2389, -2780, -1927,  1002,  4115,  3823,  1031,
    1906,  5830,  2583, -2780, -2780,  4559,  3056, -1952, -1972,   650,
   -1942,  6211,  1510,  3792,  3430,  3795,  3796,  1906,  5768,  1546,
    3800,  3801,  3802,   697,  3804,  3805,  3806,  1243,   697,  3193,
    4041,  3178, -2352, -2421,   929,  3994,  3311,  2939,  1395, -2501,
    3171,  1014,  5578,  5579,   758,  1875,  1832,  2712,  2735,  2627,
     758, -2353,  1580,  4941,   697,   697,  1837,  2629,   758,  2547,
    1546,  1031,  1192,  1408,  1409,  1546,  3773,  4520,  1196,  2562,
    2084,  1580,   697,  4460,  1418,   850,  -441,   758,  5644,  4616,
    6038,  5131,  5132,  5133,   758,  5135,  5136,  5137,  5138,  5139,
    1373,  2942,  2722,  4062,  4282,  2722,  4041,  3002,  3155,  2084,
    5604,  2737,  2589,   758,   697,  5430,  5753,  2863,  3068,  3824,
    2645,  2723,  6008, -2214,  6096,  5084,  4502,  6101,  5059,  -150,
   -2214,  3311,  2919,  3068,  5059,  -150,  1511,   187,  3309,  1057,
     764,  2589,  3286,  5170,  3069,  2591,  1959,  1906,  1207,   764,
    6141,   764,   764,  1015,  5060, -2561,  5989,   648,   187,  3069,
    5060,  3025,  4904,  5545,   765,  1702,  3406,  2646,   814,  1854,
    3179,  5729,  2642,   765,  2591,   765,   765,  2635,  1801,  1906,
    2724,  2566,  5258,  2724,  3538,  6261,  2578,  2578,  1125,  5844,
    3439,  3174,  3984,   908,  1796,  2563,  3512,  6205,  3603,  6179,
    2725,   644,  3708,  2725,   979,  1411,  1412,  5977,  1857,  1610,
    3057,  4399,  4225,  1016,  6212,  1518,  5377,   764,  6096,  5765,
    5285,  6101,   632,   764,   764,   697,  2631,  2798,  2856,  2647,
    4617,  1181,  1932,  1611,  1419,  2798,  2798,  5767,  2926,  3407,
     647,   765,  5771,  5772,  3353,  2880,  2799,   765,   765,  4226,
    4032,  3354,  -150,   645,   979,  3667,  5171,  1906,  6248,   194,
    4400,  3604,  4116,  1906,  5656,  5378, -2233,  1426,   933,   935,
     194,  1017,   938, -2233,  3985,  2738,  2584,  6180,  3171,  2648,
    3440,  2643,  3026,  1079,  3513,  1906,  4905,  3175,  2798,  1089,
    2798,  3287,   996,  1999,   871,  4062,  2077,  1907,  2040,  1006,
    6086,  1103,  1112,   195,  2009,  1247,  1907,  4042,  4503,  5269,
    1838,  1512,  3171,  2726,   195,  2798,  2726,  4010,  3310,  6142,
    3825,  2019,  6096,  1907,  2564,  6101,  4395,  2765,   921,  1519,
    1080,  1208,  2798,  6213,  1801,  5919,  1080,  2772,  2798,  2798,
    2649,  3070,  3172,   698,  4117,  1962,  5916,  2078,  1080,  6125,
    1513,  5061,  6168,  3171,  5802,  1434,  5388,  5975,  6209,  4472,
    6126,  2727,  6213,  3003,  2727,  5960,  4618,  2739,  4282,  5497,
    2548,  5431,  2626,  4042,  2605,  5988,  1590,  2552,  2946,   954,
    5606,  3156,  2023,  1216,  2002,  1514,  3058,  4921,  3180,  1922,
    6146,  1216,  1062,   191,  1059,  3013,  1063,  2736,   954,  2084,
    4569,  1060,  4560,  1061,   954,  4237,  1125,  2947,  1838,  3181,
    3826, -2561,  1254,   932,  4991,  4062,   954,  3312,  6214, -2907,
   -2907, -2907,   944,  4521,  2887,  1838,   851,  2890,  2891,  4118,
     944,  2589,   954,   944,  4521,  3774,   909,   635,  2003,  1246,
    2678,  2897,   897,  1907,  2900,  3430,   635,   954,  6145,  5247,
    1701,  2907,  2602,   635,  1515,   954,   635,  1406,  1908,  2940,
    6189,  2969,  2970,  5462,  2591,  1188,  1385,  1915,   897,   954,
    1421,  1422,  1408,  1409,  2869,  1907,  3403,  2728,  2842,   954,
    2728,   651,  4033,  2968,  1919, -2497,   191, -2561,  3209,  1423,
    1421,  1422, -2214,  5032, -2538,  4077, -2563, -2601, -2388, -2561,
    6217,  5943,  4133, -2389,  1410,  2763,  5837,  1418,  3539,  1425,
   -1947,  6078,  2560,  2943, -2780,  1414,  6048,  6049,  2669,  1189,
    6088,  1194,  1470,  1198,  2920,  2921,  2670, -1952,  2041,  1202,
   -1942,  5840,   954,  1838,  5080,  5286,  1125,  2886,  4826,  4043,
    4828,  4928,  5079,  2080,  1125,  1125,  5295,  4932,  2550,  3144,
     770,   771, -2352,  1907,   635,   635,   770,   771,  2630,  1907,
     954,  6107, -2421,  2976,  1581,  1582,  1022,  2841, -2501,  1022,
    1023, -2353,  1219,  1023,  3379,  6233,  4472,  2927,  1520,  2535,
     692,  1907,   979,  1581,  1582,   954,  2959,   635,  1819,  6050,
     770,   771,  1824,  3012,  1825,  5446,  3128,  1610,  1823,  4074,
    4075,  4076,  4077,  6054,  1930,  2532,  2533,  2534,  2535,   770,
     771,   897,  6148,  3355,  4390,  4391,  5033,  1922,  1022,  4392,
    2990,  1611,  1023,  4197,  4452,  4453,  2607,  2608,  1219,  3154,
     922,  -150,  -150,  2782,   635, -2233,  1952,  1679,  3567,  3920,
    3643,  3169,  1521,  1680,  5270,  3215,  1117,   954,  4663,  4664,
    1205,  4614,  1856,   184,   191,   180,    80,   186,   175,  5749,
      83,  1814,   181,    84,   183,  4396,    71,    85,    86,   106,
     124,   129,  4533,  4666,   159,  4514,  6065,  6127,   924,  6188,
     178,   185,  4433,  5987,   923,  4243,  2782,  4244,  4845,  4891,
    1503,  4763,  4611,  5961,  4807,  4767,  5981,  1602,  2850,  3675,
    3980,   697,  4068,  2782,   941,  5607,  2003,  5241,  1474,  4570,
    4754,  5034,  4756,  2825,  1955,  1906,  3223,  6136,  4277,   697,
    1922,  5328,  1386,  1525,  1066,  3030,  1069,  3457,  3921,  1071,
    4215,  4724,  5969,  4650, -2349,  1372,  3635,  4995,  1402,  1380,
    4994,  2757,  4611,  1097,  4164,  5329,  6151,  6152,  5980,  1101,
    5643,  1681,  5369,  3982,  4512,   635,   635,  1797, -1766,  4488,
    2062,  1075,  4575,  1518,   954,  1139,  3625,   925,  3462,   635,
    5013,  4216,  1699,  3020,   897,   635,  3558,  6242,  2825,   635,
    5740,   635,  5997,  5543,  3034,   897,  3676,  3359,   187,  4072,
    4073,  4074,  4075,  4076,  4077,  1215,  1254,  1492,  1387,  4062,
    5035,   897,  3246,  4063,  4064,  4065,  4031,  3558,  1458,  2631,
    1240,  1603,  3189,   697,  3430,  1674,  1254,  3430,  6109,  4062,
    5263,   697,  3626,  4063,  4064,  4065,  5574,  3224,  5649,  5003,
    6087,  5662,  4307,   924,  4447,   697,  5287,  6079,   818,  5663,
    3677,  4717,  4919,  2866,  5293,   635,  2870,   635,   635,  2825,
    5575,  4576,  6219,  2815,   697,  4238,  5004,  2825,  1675,  5890,
    3308,  1801,  4877,   743,  3430,  3146,  3035,  5103,   917,  3559,
    5370,  5551,  3430,  1955,   693,  4822,  3463,  1519,  3072,   806,
    1660,   187,   908,    15,  1493,  1216,  5701,  6237,   954,  2816,
    5048,  1460,  6066,  2530,  2531,  2532,  2533,  2534,  2535,  6110,
    3559,  3678,  1922,  3225,  2825,  4899, -2907, -2907, -2907,  4072,
    4073,  4074,  4075,  4076,  4077,  1922,   635,  2083,    20,   932,
    2084,  3495,   925,  -700,  3525,  5242,  1682,  6153,   944,  5014,
     191,  3627, -1766,  3360,   694,   944,  6269,  1494,   944,  3981,
    2808,  5021,  4952,   819,  2826,  4217,  3166,  3167,  5741,   954,
    1022,  1700,  2589,  3922,  1023,   962,  3636,  1857,   897, -2907,
     954,  1031,   963,   964,   965,  1683,  5998,  3923,  5036,   926,
    3021,  2825,  6067,   695,  1430,   696,  3226,   954,  2741,  3227,
    2825,  2825,   954,  2905,  4066,  2591,  1604,  6187,  2742,  3210,
    4278,  3212,  3983,  3490,   635,  6111,  5826,  3219,  6194,  3107,
    1684,  6068,  3130,  3233,  3234,  5834,   927,  4067,  5823,  2826,
     942,  1907,  3254,  3119,  4469,  5664,   882,  3679,  5836,  4577,
    5330,  4823,  3274,   909,  1898,  1605,  3125,  4067,  3289,  4900,
    6218,  3153,  5851,   635,  5406,  3158,  1588,  1589,  5839,  5037,
    3165,  5394,  3586,  3168,  1676,  1495,  5425,   921,  3562,   187,
    1431,  5822,  4047,  3568,  4112,  5872,  5400,  3853,  6240,  1871,
    1606,  3103,   635,   635,   635,  2899,   635,  1076,  1964,  1430,
    1966,  1140,  1968,  4032,  1970,  4489,  1972,  1973,  1974,  3562,
    2826,  5838,  6252,  1976,  2975,  1111,  4068,   635,  2826,  2078,
    4578,  3415,  3228,  3124,  3338,  3788,  3029,  5253,  3105,  5702,
   -2907,  3628,  1872,  4380,  4566, -2907,  4068,  1816,  2711,  2825,
    5691,  2827,   954,  3118,    32,  2587,  3120,  5128,  3137,  3089,
     954,   954,  1828,  1432,  1941,  3783,  1433,  1477,   917,  4953,
    2929,  3644,   979,  1244,  3496,  2826,  4901,  3497,  5022,  2778,
    2828,  3680,  3090,  6112,   635,  1431,    40,  1492,  1112,  3681,
    1677, -2907,  3682,  1850,  1851,  3811,  3882,  2825,  6116,  3260,
    2743,   927,  5810,  5747,  4162,  2829,  3157,  1942,  5744,  3658,
    3163,  3164,  2825,  1797,  2636,  2637,  2827,  2641,  4624,  1888,
    4059,  4060,  1229,    44,  5971,  4079,  5246,  5567,  5008,  3683,
     635,  3409,   915,  4294,   635,   635,  1889,  4786,  2848,  2744,
    2084,  2961,  2826,  3469,  3229,  2828,  2823,  2596,  5214,  2902,
     635,  2826,  2826,  2731,  4304,  1500,   897,  1501,  1432,  1926,
    1928,  1433,  5658,  6084,  6085,    48,  4110,  4111,   923,   923,
    2829,   923,  6010,  1113,  1493,  3339,  2948,  5659,    49,  1434,
    3340,  2732,  5764,  3208,  1452,  4208,  3659,  2827,  6025,  5467,
    1014,   932,  1474,  2892,  1474,  2827,  3569,   944,  1877, -1914,
     916,   944,    50,   944,  2809,  2591,  5803,  6020,  4295,  5217,
    3683,  2823,  1230,  4402,  5221,  5373,  2828,  5223,  2810,   796,
    2811,    56,  1878,   897,  2828,  3864,  3341,  1494,  1873,  5692,
    4069,  4070,  4071,  4072,  4073,  4074,  4075,  4076,  4077,  1623,
   -2907,  2829,  2827,  5093,  6171,  5811,  3091,  1434,  3375,  2829,
    4069,  4070,  4071,  4072,  4073,  4074,  4075,  4076,  4077,  1922,
    5706,  1624,  4472,  3645,   897,   187,  5468,  1891,  4305,  1893,
    1894,  2828,  4388,  4398,  1434,  1801,  6077, -1765,  1478,  2849,
    2826, -1914,  2823,  2812,  3776,  4625,  3905,   917,  1210,  1453,
    2823,  1435,  1015,  1943,  2954,  5009,  2829,   897,  5909,  5793,
    3433,  5795,  1503,  1607,  6026,  5799,  5800,  1503,   786,  2827,
    3812,  4787,  1625,  5657,  1922,   644,  1436,  2949,  2827,  2827,
    1796,  5812,  2692,  2773,    40,  4393,  2692,  6190,  2826,  3571,
    5648,  6011,  1114,  2028,  1874,  1495,  3470,  2823,  2828,  3146,
    5918,  2893, -2907,  2826,   790,  2733,  2894,  2828,  2828,  4354,
    4237,  1014,  1016,  2037,  2530,  2531,  2532,  2533,  2534,  2535,
    5804,    44,   954,  2829,  3730,  5050,  5660,   913,  5710,  1115,
    3731,  2645,  2829,  2829,  6144,  3342,  3146,   635,   635,   635,
    5577,  1503,  3736,  2923,  1231,  1503,  1435,  5053,   663,   968,
     969,   970,   971,   972,   973,   974,   975,   976,  1496,  1944,
    4394,  4435,  1626,    48,  2823,    40,  3106,   979,   979,  2075,
    1017,  3510,  4791,  2823,  2823,  5707,    49,  4677,  2646,  4678,
    2774,  3737,  2716,  4985,  3116,  1232,  3572,  1233,  4989,   918,
    1116,  1568,  1117,  1497,  2717,   194,  1118,  1498,  5711,  3760,
      50,    35,    44,  6186,  6172,  1680,  5708,  2827,  3605,  4847,
    1386, -1765,  2718,  1015,  4889,  3511,  3738,   665, -2372,    56,
    1627,  5211,  -173,  4355,  4893,  1628, -1914,  3033,  6027, -1689,
    4831,  4469,  1499,  6028,  3099,  3050,  2828,   954,  3732,   195,
    2901,   797, -1689,  2954,    48,  3520,  4306,  4307, -1689,   897,
   -1689,  5012, -1113,  -173,  4058,  2827,   798,    49,  5574,  4917,
     897,  2829,  5863, -1689,  5550,  1500,  6046,  1501,  3394, -1689,
    2827,  3606,  1797,  1016,  1630,  2554,   897,  4308,  3632,  2570,
    5521,    50,  5575,  3430,  2828,  4784,  1387,  3430,  3108,  4890,
    2648,   921,   921,   979,   921,   954,  1620, -1689,  1240,  2828,
    3471,  1420,  2823,   954,  3656,  1955,  5006, -1088,  5582,  2829,
    5864,   954,  2779,  3761,  -466,  2954,  4832,  1502, -1689,  1632,
    3461,  5843,  2571,  5829,  2829, -1689,  4679,  4188,  1187,  5266,
     897,  1017,  1479,  1592,  6002,  1621,  3146,  2818,  1610,   635,
     663,  1531,   635,  1633,  1838,   897, -1689,  2555,   897,   897,
    2823,  2649,   635,   635,  3430,   954,   954,  4785,  3694,  5850,
    3525,  4189,  1611,  1635, -1086,  2823,  3031,   635,  2834,   954,
     635,  1480,  4809,  1137,   758, -1689,  4769,  2719,  5007,   897,
     897,  1228,   954,   954, -1689,  5742,  3061,  1382,  4833,  3695,
    1568,   676,  4834,   677,  4191,  5929, -1689,  3698,  4356,  1137,
    3701,  5267,  1639,   191,  3656, -1689,  1481,  1593,  6155,   665,
    1857,  5743,  5796,  3733,  2908,  3744,  4610,  5797,  5690,  1853,
     635,  3558,  4260,  1254,   635,   635,  4062,  5493, -1914,   841,
    4063,  4064,  4065,  3239,  1397,  -466, -1914,  4357,  1410, -1914,
    1439,  1640, -1914,  5395,  2934,  2935,  2936,  2937,  4469,  1062,
     191,  1059,  3734,  1063,  3938,  3194,  2911,  1955,  1060,   635,
    1061,   635,  5444,  4611,   667,  4615,   635,   635,  5798,  5930,
    3821,  3584,  4358,   635,   635,   635,   635,   635,   635,   635,
     635,   635,   635,  4627,  3183,  2912,   635,  3735,   635,  2692,
     635,   635,   635,   635,   635,   635,  1447,  1458,   635,  2692,
     635,   635,  5979,  3739,   635,  1022,   911,  4831,  5996,  1023,
    3864,  2084,  6221,  1623,  3559,  3740,  4193,  5375,   897,   635,
     635,   635,  3777,  3778,  3779,  3742, -1689,  4639,  4651,  3745,
    5978,  2962,  5355,  4655,  2803,  1624,  2804,   635,  2902,  1797,
    3138,  4293,  3139,  2589,  3140,  1489,  3141, -1689,  3142,  3560,
    3741,  4336,  3143,  1641,  5995,  3668,  5399,  3669,  4106,  4662,
    3743,   817,  5386,  4337,  4810,  3693,  5356,  3581,  3198,   853,
    2963,  4811,  2873,  1125,  5821,   998,  2591,  2876,  4812,  3670,
    1460,  2692,  5679,   676,  1490,   677,  1625,  5525,  3561,  5527,
    4187,  2991,  2992,  4832,  1022,   912, -1113,  1444,  1023,  2805,
    4654,  4597,  1899,  3720,  4658,  4659,   999,  3009,   680,   928,
    3932,  1853,  6003,  5365,  4813,  5367,  1900,  3430,  3430,  1491,
    3868,  3869,  3870,  3871,  1378,  3873,  3783,  3976,  2863,    35,
    1461,  3148,  4442,  4187,  4067,  4473,  4814,   929,  3767, -1689,
    5623,  3052,  3053,  3054,  3055,  6004,  6080,  2558,  3391,  5854,
    3901,  2951, -1689,  2798,  4088,  2957,  4090,  4091, -1689,  3965,
    2872,  3711,  1645,  3712,  2806,  4833,  4188,  3716,  1077,  4834,
    1078,    40,  1901,  3392,    40,  5871,  1626,  4673,  4674,  4675,
    4676,   635,  4476,  4680,  4681,  4682,  4683,  4684,  4685,  4686,
    4687,  4688,  4689,  3562,  5624,  6092,    29,  5625,  4351,  4752,
    4189,  1646,   937,  5626,   663,  1818,  4823, -1689,    44,  4188,
    4397,    44,  2835,  4068,  5833,  4190,  1827,   939,   758,  2732,
    4823,  5346,  3129,  5347,  5348,  5349,    29,  1613,  3133,   960,
     635,  5627,  1835,  4191,  1627, -1689,  1647,  4352,  1670,  1628,
    4240,  4478, -1688,  4189,  6147,  4096,  1687,  4728,  4729,  1691,
      48,  4103,  5801,    48,  2901, -1688,  4863,  4434,  4190,  4971,
     961, -1688,  4192,    49,  1193,  1195,  1197,  3894,  1013,  1199,
    1200,  1201,  4353,   665,  1902,  6157,  4191,  1671,  1648,  1206,
    1610,  1672,  4972,  -615,   635, -1689,  6044,    50,  1630,  5628,
    3149,  4864,    40,  5238, -1689,  1949,  1004,  1458,   187,  1421,
    1422,  2964,  5629,  1459,  1611,  4192,    56,  4213,  1021,    56,
   -1688,  4545,  1673,   758,  2965,  5630,  4954,  3856,  1423,  1950,
   -1736,   932,    40,  3150,   932,  6259, -1736,  6262,  2083,    44,
    1065,  2084,  5218,  1632,   944,   944,   233,  3151, -1688,  1067,
    4955,  1903,   649,  1649,  2966,   187,  5359,  6273,  5574,   944,
     741,  4481,   944,  4247,  3430,  4193,  1072,  1633,  1410,    44,
    2625,  3430,    40,  2589,  1802,  1086,  3430,  1803,   815,  3430,
   -2907,    48,  5575,  3152,  1022,  1104, -2353,  1635,  1023,  3238,
    1460,  2578,  4823,  4865,    49,  1650,  1100,   773, -1688,  2006,
    -614,  5908,  1651,   773,  4482,  1652,  2591, -1688,  4193,    44,
    3288,    48,   944, -1736,  3964,  6241,   944,   944,    50,  1109,
    4483,  1484,  1105,  3314,    49,  2973,  2974,  4069,  4070,  4071,
    4072,  4073,  4074,  4075,  4076,  4077,  1254,  6093,  4158,  4062,
    1461,  1108,  4061,  4063,  4064,  4065, -1689,  4006,    50,  1904,
      40,    48,  2600,  1110,  4089,  5211,  1485,   676,  1106,   677,
    1486,  4718,  2078, -1736,    49,  5683,  2892,    56, -1426,  6173,
   -1426,   635,   635,   635,   635,   635,   635,   635,   635,   635,
    1104,   635,  1127,  4187,   915,   681,  4007,    44,    50,  5684,
    4113,  4008,   635,  6174,   635,  1487,  4582, -1737,  5219,  1131,
     979,  4583,  6062, -1737,  3675,  1154,  1107,    56,  3548,  1138,
    3552,  3553,  1421,  1422,  1022,  1148,  3551,  1105,  1023,  1961,
    4484, -2907,  1803,  1182,  2815,  5631, -2907,  3839,  5632,    48,
    5087,  1425,   635,  6132,  4144,  4583,   635,  6134,  6135,   635,
    4806,   635,    49,  3387,   635,  1410,  4403,  2625,   635, -1688,
    1600,  2011,   916,  4515,  1803,  1617,  3483,  1147,  2586,  4188,
    2816,  1803,     3,     4,  4169,  4170,    50,  2599,  1165,  1797,
    2600,   635, -2907,  2633,  3499,  1172,  1803,  1653,  3502,  1081,
   -1737,  1082,  3505,  4283,  3545,    56,   644,  3134,   635,  4160,
    2600,  3676,  5584,  4189,  3408,  3410,  3411,   635,   635,  3317,
    5002,  1107,  4242,  3295,     3,     4,  3298,   758,  4190,  4312,
    3531,  1209,  1654,  5120,  2893,  3145,  1655,  3580,  3146,  2894,
    5855,  1410,  6182,  1439,   954,  1210,  4191,  3473,  2596,  5127,
   -1737,   897,  1416,  1417,  3147,   897,   897,  3146,  1221,   917,
    2626,  1214,   954,  5751,  3573,  3677,   954,  4067,  1218,  4131,
     954,  1656,  2027,  3430,    56,  4192,  4203,  3186,  1657,   954,
    3187,  4531,  4876,  1801,  1080,  3514,  5150,  3517,  3390,   743,
   -2345,  1955,  5153,  5154,  3094,  1022,  3095,  1210,   954,  1023,
    1224,   635,  4799,  3323,  3324,  3325,  3326,  3395,  1226,    15,
    2600,  5055,   635,  1237,   897,   635,  3623,   635,   635,  3840,
     897,  6124,  1963,  3674,  4469,  1965,  3678,  1967,  4149,  1969,
    4150,  1971,   954,  4823,  3482,  1975,  3578,  2600,  1410,  3579,
    2625, -2907,  3650,  3652,    20,  3651,  4068,  3817,  1227,  3661,
    3818, -2346,   954,   954,  1238,  3428,  1022,  4866,  1210,  4873,
    1023,   897,  3956,  3671,  4005,  3146,  1239,  2600,  4193,  1125,
    1080,  3566,  4014,  3684,  1240,  2600,  4286,  2692,  4855,  3689,
    5161,  6042,  5162,  1797,   954,  2846,  4020,  1797,  4021,  2600,
    1241,  2600,  4039,  4251,  4025,  3776,  4026,  4626,  1242,  3702,
    4151,   918,  4152,  3012,  3764,  3705,  4846,  4048,  3458,  3459,
    2600,   954,  3713,  1797,  1250,  4081,  4518,   954,  2600,  4095,
    4248,  4249,  2600,  1248,  4100,  4167,  3728,  4101,  2600,  4329,
    4334,   954,  4330,  4335,  4362,  5985,  4431,  4363,   954,  4363,
    3754,   954,  3679, -2907,  1388,  4554,  5671,   954,  4555,  3430,
    4557,  1080,  4346,  4558,  1384,  2530,  2531,  2532,  2533,  2534,
    2535,  4490,  4588, -1760, -1760,  4589,  4892,   954,  4698,  3430,
    3665,  4699,  4119,   954,  4120,  4709,  4720,  6222,  4710,  2600,
     954,  4794,  4800,  3430,  4795,  4801,  3841,  4371,  5735,  5921,
    5922,  3314,  4377,  4805,   954,  1381,  3497,  5056,  4121,  1390,
    3146,  5122,  3710,  5158,  2003,  1394,  2600,  4270,   954,  5195,
   -1764, -1764,  2600,  1797,  4461,  5249,  1389,  5255,  3497,   954,
    5256,  1398,  5262,  5401,  5438,  3146,  5402,  4589,  1403,  5459,
    5461,  1125,  5460,  2600,  1404,  6263,  3842,   635,   635,   635,
      32,  5480,  5490,   635,  5481,  1955,  5496,  1421,  1422,  4528,
    4069,  4070,  4071,  4072,  4073,  4074,  4075,  4076,  4077,  5498,
    3317,  5618,  4528,  3322,  5619,  5638,  3680,  4367,  3146,  1406,
     635,   897,    40,  5672,  3681,  5718,  5673,  3682,  5719,  1797,
    3998,  5724,  4000,  4001,  1955,  5727,  4823,  5738,  4528,  4383,
    5739,  1413,  5786,  5073,  3421,  5787,  5825,  1427,  5852,  2557,
    5399,  5739,  5875,  5876,  5894,  4101,  2600,  5895,  5898,    44,
    2985,  1955,   635,  3323,  3324,  3325,  3326, -1763, -1763,  4796,
    4122,  2996,  5899,  1456,  5928,  2600,  4123,  3187,  5934,  4633,
    5935,  3187,  5938,  3187,  4542,  2600,  4543,  3014,  1410,   187,
    5939,  1414,  3883,  2600,   897,  3430,  5940,  5066,   897,  5941,
    3905,    48,  4996,  1429,  4997,   744,  3995,  3556,  5967,  1444,
    4825,  5968,  4827,  1445,    49,  4830,  3972,  5756,  5757,  6021,
    4508,  1254,  4528,   632,  4062,  5884,  5885,  5985,  4063,  4064,
    4065,  6016,  6017,  4823,  4704,  3988,  6035,  1471,    50,  2600,
    2692,  3088,  3972,  1472,  6037,  6043,  5188,  2600,  3146,  6058,
    1473,  6082,  6059,   979,  6083,  5906,  3100,   745,  3430,  1137,
    3104,  6123,  4473,  6154,  5732,  1476,  5739,  6192,  4474,  2631,
    6193,  6216,  6235,  6245,  2600,  5895,  6246,  6251,  1523,  6260,
    4795,  4475,  2600,  1482,   954,  6272,  1797,  6196,  6246,  6197,
    3123,  1137,  1439,  1444,  4522, -1677,  4748,  4501,  4750,  4504,
    5204,   897,  5206,   954,  4768,  2671,  4771,  2674,  1549,  4476,
     954,  4477,   906,   907,   635,  4620,   897,   635, -2390,   635,
     635,   897,  1702,  1552,  1254,  4124,  3428,  4062,  5476,   635,
    5477,  4063,  4064,  4065,   635,  1554,  4125,  4823,  4491,   909,
    4493,  1555,  1594,  1590,   932,  3696,  5588,   944,  3699,   944,
     944,   897,  5720,  1595,  1596,  1607,  1609,  1619,  1622,  4209,
    1644,  1661,  1125,  1662,  1125,  1678,  1801,  1689,  4478,  1688,
    1692,  1697,  1698,  1811,  1813,  1815,  1820,  1831,  1826,  1834,
     635,   635,   635,  1836,  1841,   635,  1844,   909,  1846,  1838,
    1855,  4605,  5589,   635,   635,   635,   635,  4479,  1860,  1861,
    -137,  4876,  4670,  2631,  1797,  1863,  1864,  1866,  1868,   635,
    1797,  1869,   635,  1880,   635,  1887,  1889,  5590,  1892,   213,
    1896,  3430,  4563,  1905,  1910,  1911,   635,   635,  1912,  3303,
     635,  1914,  4067,  1917,  1918,  5591,  4697,  3794,  1921,  5592,
    1922,  6090,  1929,  1933,  1935,  1936,  1125,  1938,  1940,  1945,
    3807,   635,  4628,   635,  5453,   635,  1946,  1948,  3816,  1951,
    1954,  5593,  1957,  1958,  1960,  5594,  1977,  2008,  2015,  2017,
    3632,  2024,  4887,  4480,   635,  2025, -1918,  2020,  4481, -1925,
    5595,  2032, -1915,  2033,  5282,  2034, -1916,  4736,  2035,  2036,
      56,   909,  2038,  2039,  2040,   954,  4867,  3860,  3656, -1919,
    2042,  2043,  2044,  2045,  2046,  2047,  2048,  2049,  2050,  2051,
    2052,  4068,  2054,  2055,  2056,  2057,  3430,  2058,  3884, -1917,
    2059,  4482,  2060,  2061,  4154,  4155,  4156,  2062,  2064,  2065,
    2543,   635,  2066,  5100,   635,  4067,  2067,  4483,  2068,  2069,
    2541,  2070,   909,  2071,  4916,  2545,  2547,   635,  2548,  2557,
    2561,  2573,   635,  2581,  2626,  2603,  1526,  2604,  2609,  2611,
    4842,  3939,  2612,  3941,  2615,  2616,  2618,   635,  2619,  2620,
    2621,  2622,  1623,  2627,  1459,  2634,  2665,  1461,  2667,  2677,
    5596,   635,  2679,  2680,   187,  2681,  4268,  2682,  2698,   635,
    2699,  1527,  2700,  2701,  1624,  2625,  2702,  2703,  2704,  2705,
    2706,   897,  2707,  2746,   897,  3431,   897,  2708,  2714,  2734,
    2740,   897,  2760,  2764,  4068,  5696,  1254,  2767,  3430,  4062,
    4977,  2766,  2768,  4063,  4064,  4065,   954,   954,  2770,  2771,
    2784,  5597,   635,  2788,  2789,  2790,  2802,  4484,  6220,  2801,
    2817,  5189,  2813,  4990,   632,  1625,  2819,  2820,  2822,  2821,
    2831,  3996,  1528,  2832,   954,  2833,  2823,   954,  4003,  2836,
     897,  2837,  2838,  2847,  1254,  2853,  2854,  4062,   897,  2843,
    2857,  4063,  4064,  4065,  2867,  4982,  2844,  2868,  2871,  2874,
    2877,  2888,  2881,  2878,  2883,  2884,  4342,  2895,  3319,  1529,
    3320,  2896,  2898,   897,  2903,  3428,  2904,  1568,  3428,  2913,
    2915,  2909,  2917,  2910,  2922,  2916,  2918,  2924,  2925,  2930,
    2941,  2972,  4870,  2950,  3321,  4069,  4070,  4071,  4072,  4073,
    4074,  4075,  4076,  4077,  2987,  2931,  2944,  2955,  2979,  1797,
    1797,  1797,  2984,  3000,  1530,  1626,  2986,  4209,  3005,  2988,
    3006,  2989,  3001,  2993,  3007,  3428,  2994,  2995,  5698,  3976,
    2997,  2998,  2999,  3428,   954,  3008,  3016,  3015,  3019,   658,
    3048, -2906,  3032,   897,  3043,   897,  3047,  3024,  3060,  3430,
    3063,  3066,  3067,   954,  5421,  3051,  1641,  1532,  5717,  3322,
    3087,  3076,  3093,  3080,  3084,  2075,  5117,  3097,  3109,  3111,
    3112,  3113,  3127,  1627,  3102,   954,   932,  3114,  1628,   944,
    3170,   944,   944,  3196,  3311,  3290,  3215,  3296,  3159,  1534,
    2084,  3337,  3378,  2901,  3184,  3220,  3316,  4437,  4069,  4070,
    4071,  4072,  4073,  4074,  4075,  4076,  4077,  4067,  3357,  3323,
    3324,  3325,  3326,  2075,  3383,  3384,  3327,  3328,  3257,  3300,
    3335,  3362,  3329,  3381,  3363,  3382,  3397,  1630,  3396,  3398,
    3399,    35,  3400,  2780,  3413,  3433,  1536,  3317,  1434, -2906,
    3430,   897,  3438,   916,  3451,  1537,  3430,  3401,  3450,  3452,
    3405,  3467,  3414,  4140,  1538, -2907,  3474,  3475,  3453,  3486,
    3487,  3506,  2781,  3489,  3515,   954,  3520,  3518,  3522,  3524,
     635,  3523,  1632,  3530,  1540,  3535,   635,  3540,  3541,  3543,
    3546,  3554,  3570,  1541,  1378,   897,  4068,  1542,  3587,  3575,
   -2906,  3594,  3607,  3577,  2083,  3612,  1633,  2084,  3613,  3639,
    3633,  3640,  3641, -2906,  3649,  3646,  3666,  3667,  3657, -2906,
    1382,  3664,  1797,   897,  4174, -2906,  1635,  4179,   954,  3687,
     954, -2906,  3688,  3748, -2906,  3704,  3763,  1857, -2906,  2589,
    3775,   917,  3791,   954,  4068,   954, -2907,  3784,  3797,  2631,
    5028,  5029,  1543,  3808,  3798,  3803,  3771,  3819,  3772,  3830,
    3430,  3831,  3845,  3847,  3849,   635,  3859,  3851, -2906,  3877,
   -2906,  3872,  2591,  5382,  3421,  3878,  3799,  3866,   908,  3880,
    3881,  3330,  3421,  3885,  3879,  3888,  2954,  3892,  3893,  4272,
    4273,   897,  3331,  3896,  3902,  3897, -2906,  5183,  3917,  3918,
    3919,  3927,  3928,   632,  3929,  4609,   632,  3890,  4548,  4613,
    3931,  3933,   954,   897,  3947,  3950,  3431,  3949,  5112,  5113,
    5114,  5115,  5116,  3953,  3973,  3955,  3979,  5229,  3958,  3959,
    3960,  3961,  3962,  5169,  3963,   897,  3977,  5291,  3986,  3989,
    3999,  4130,  3991,  4019,  4585,  4038, -2906,  4022,  4552, -2906,
    1955,  3978,  5066,   632,   954, -2906,  1952,  4035,  4016,  1919,
    3967,   632,  1216,  3237,  3968, -2206,  4094,  4017,  4109,  4018,
    4097,  4030,  4058,   954,  4114,  4040,  4049,   954,  4050,  4128,
    4054,  4138,  4056,  4139,  3776,  3547,  4057, -2907,  4080,  4085,
    4086,  3555, -2907,  4093,  2600,  4165,  4145,  4108,   954,  4141,
    4069,  4070,  4071,  4072,  4073,  4074,  4075,  4076,  4077,  4177,
    4143,  4734, -2906,  4205,   635,  4218,  4220,   897,  4201,  4222,
    4224,  4231,  4171,   635,  5236,  4166,  2041,  5754,  4172,  1219,
    4245,  4173,  3588,  4178,  4262,  4239,  4211,   635, -2907,  4250,
    4252,   635,   635,  4253,  4265,  4267,  4279,   635,  4069,  4070,
    4071,  4072,  4073,  4074,  4075,  4076,  4077,   635,  4186,   635,
    4280,  4257,   635,  4290,  4291,  3312,   897,   635,   635,   635,
     635,  5353,  4258,   635,   635,   635,   635,   635,   635,   635,
     635,   635,   635,  4263,  4292,  4297,   635,   635,   635,  4296,
    4298,   897,  4299,  4315,  2596,  4303,   635, -2906,  4314,  4317,
     909,   635,  4323,  1797,  4324,   635,  4325,  4333,  4341,  4350,
    4366,  4364,  4368,   635,  4370,  4372,   635,  4374,   635,  4378,
    4379, -2906,  4382, -2906, -2906,  4384,  4385,  4420,  4386,  4387,
    4404,  4389,  1526,  4445,   635,  4406,  4405,   635,   635,  4407,
    4408,  4411,   635,   635,  4209, -2906,  4409,   635,  4414,   635,
    4410,  4423,  4416,  4418,  2939,  4425,  5233,  4427,  2942,  4412,
    4439,  4446,  4440,  4441,  4443,  4413,  4457,  1527, -2906,  4451,
   -2906, -2906,  4209,  4415,  4417,  4494,  4500,  1062,   191,  1059,
    4419,  1063,   635,  4429,  4430,  4436,  1060, -2907,  1061,  4459,
     635,  4506,  4499,  4509,   635,  4741,  4742,  4743,  4744,  5280,
    4510,  4513,  4517,  4527,  4528,  4530,  4537,  4546,  3907,  6117,
    6118,  4547,  4540,  4550,  4551,  4843,  4553,  4567,  4581,  4584,
    4587,  4599,  4591,  4600,  4593,  4621,   635,  4622,  1528,  4601,
    4602,  4603,  1526,  4604,  4606,  4623,  4629,  4630,  4631,  4632,
    4634,  4635,  3815,   635,  4636,  5421,  4637,  4638,  4642,   897,
    4647,  4652,  2083,  4646,  4648,  2084,  4653,  4660,  4656,  4661,
    1526,   635,  2027,  4062, -2205,  1529,  4649,  1527,  4722,  5331,
    5332,  4711,  5334,  5366,  4665,  4694,  4671,  4695,  4696,  4703,
    4723,  4726,  4749,   954,  4765,  3431,  4764,  2589,  3431, -2907,
    5324,  4737,  4751,  4598, -2907,  1527,  4753,  4760,  4757,  4773,
     187,  2530,  2531,  2532,  2533,  2534,  2535,  4762,  4772,  4777,
    1530,  4778,  4779,  4780,  4782,  4788,  4791,  4797,  4793,  4816,
    2591,  4808,  5475,  4838,  4839,  4840,  4841,  4848,  1528,  4849,
    4851,  4852,  4854,  4858,  1797,  3431,   187,  4861,  4862,  1797,
     897,  1797,  4879,  3431,  4882,  4956,  4894,  4896,  4959,  1531,
    4895,  4897,  4898,  1532,  3428,  5513,  1528,  4910,  3428,  4908,
    4909,  4209,  4911,  4912,  4913,  1529,  4922,  1797,   897,  4924,
    4942,  2902,  4925,  4931,  4948,  5587,  4951,  4943,  4967,  4968,
    4970,  4868,  4973,  4983,  1533,  1534,  4984,  5384,  4986,  4727,
    5010,  4999,  4987,  1529,  4988,  5025,  5039,  5045,  5020,  5031,
    5046,  5058,  5074,  5051,  5068,  3908,  5075,  5052,  4933,  5085,
    1530,  5091,  5092,   954,  5094,  5095,   954,  5096,  5098,  3710,
    5104,  5099,  3987,  1535,  5110,  3428,  5118,    35,  5124,  3171,
    5125,  5134,  1536,  5142,  5143, -2907,  5141,  3997,  1530,  5144,
   -2907,  1537,  4002,  5145,  5146,  5147,  5160,  5151,  5148,  5041,
    1538,  5152,  5155,  1532,  5166,  5172,  5175,  5176,  1539, -2207,
    5177,  5181,  5198,  5194,  5208,  5212,  2954,  5222,  5215,  5231,
    1540,  5234,  4028,  5235,  5245,  5248,  5226,  1531,  5250,  1541,
     635,  1532,  5252,  1542,  5257,  1534, -2907,  5258,  5268,  5288,
    5289,  5780,  5290,  5782,  5292,  5294,  5299,  5300,  5301,  5313,
    5322,  5316,  5320,  5326,  5327,  5335,   954,   954,  5343,  5336,
     897,  5344,  1597,  1534,  5345,  5350,  5354,   954,  5357,  5361,
    5362,  5371,  5374,  5363,   635,   635,  5379,    35,  5383,  5380,
    5381,  5389,  3909,  5489,   954,  5387,  5403,  5393,  1543,  5405,
    5410,  1537,  2596,  5409,  5489,  5414,  2075,  3972,  5398,  5416,
    1538,  1598,  5412,  5427,  5889,    35,  5417,   897,  2781,  5418,
    1536,  5077,   897,   635,   635,  3146,  5433,  5435,  5442,  1537,
    1540,  5448,  5443,   187,   635,  5449,  5450,  5454,  1538,  1541,
    5458,  5464,  5465,  1542,  5474,  5466,  1599,  5478,  5482,  5488,
     979,  5517,  5915,  3421,  5526,  5520,  5529,  3421,  1540,  5514,
    5546,  5537,  5635,  3910,  5492,  5495,  5542,  1541,  5547,  5538,
    5539,  1542,  5540,  5790,  2083,   954,  5541,  2084,  1797,  5548,
    5549,  2085,  2086,  2087,  5554,  5560,  5561,  5602,  5565,  5571,
    5572,  5533,  5573,  5009,  5580, -2907,  5608,  5609,  1543,  5952,
    5954,  5614,  3911,  5611,   635,  5617,  5622,  5621,  5552,  2589,
    5641,  5642,  5646,  5651,  5674,  2083,  2590,  5792,  2084,  5653,
     635,  5669,  2085,  2086,  2087,  5680,  1543,  5681,  5712,  5688,
    5703,  5682,   632,  5734,  5736,   635,   632,  5760,  5704,  5762,
    2588,  5759,  2591,  5768,  5716,  5557,  5732,  5809,  3428,  3428,
    2589,  5728,  5733,  5730,  5700,  5750,  5774,  2590,  5752,  5813,
    5806,  5819,  5817,   635,  5827,  5845,   635,  5832,  5705,  5846,
    5847,  5841,  5848,  5849,   635,   635,  5858,   897,  5859,  5866,
    5870,   635,   635,  2591,  5860,  5887,   635,  5901,  5868,  5726,
    5861,   635,  5877,  5886,   635,   635,  2077, -2907,  5888,  5891,
    4146,   635,  5910,   632,  5911,  5893,  5913,  5927,  5914,  2530,
    2531,  2532,  2533,  2534,  2535,  5950,  5931,  5959,  5973,  5962,
    5964,   635,  5970,  5974,  5990,  5966,  5993,  6000,   635,  6001,
    5991,  6007,  6009,   635,  6014,  6018,   635,   635,  6019,  5992,
    6006,  4271,  6024,  6031,   635,  6053,  6033,  6045,  6040,  4274,
    6055,  6063,  6061,  5960,  6071,   635,  5961,  2592,  6072,  6073,
    4998,  6091,  2593,   635,  6089,  5775,  5776,  6108,  5237,  5239,
    5725,  6119,  5587,  6140,  5000,  5945,  6122,  6130,  6138,  6158,
    6169,  6175,  6170,   635,  5251,  2594,  2274,  6164,  2083,  6165,
    6177,  2084,  5307,  6178,  6198,  6200,  6199,  6210,  2592,  6223,
    6225,  6226,   897,  2593,  5317, -1972,  6234,  4237,  2595,  5957,
    6254,  6238,  6236,  6243,  6244,   954,  6255,  6249,  6267,  6258,
    6113,  6114,  6264,  2589,  5676,  1553,  2594,  2274,  6213,  6271,
   -2907,  4163,  2580,  3721,  1446,  1659,  1658,  4309,  3638,  4885,
    4878,  6056,  3762,   897,  4359,  3810,  4361,  5599,  4456,  2595,
    2335,  3710,  5944,  6139,  5652,  5027,  2591,  4874,  5784,  4875,
     954,  5360,  3710,  5634,  2596,   897,  2956,  4255,  5805,  5265,
    3957,  6047,   954,  5531, -2675,  6133,  5965,  5963,  6070,  6150,
    4261,  5391,  5078,  5049,  5057,  3428,  5924,  3421,   635,  5019,
    4883,  2335,  3428,  3828,  3829,   635,  4327,  3428,  4516,  5044,
    3428,  5385,  5640,  4556,  1643,  2596,   954,  6195,  2597,  5862,
    6270,  5102,  6256,   187,  5615,  4462,  6075,  5559,  5086,  5770,
    5933,  3023,  5900,  5562,  5902,  4730,   739,  1055,   792,  4607,
    5119,  5746,  6191,  3086,  3857,  2000,  3492,   897,  5088,  5121,
    4246,  3082,  4422,  3098,  4573,  5856,  5677,  3115,  1126,  4426,
    3759,  4914,  4373,  6095,  6224,  2713,  1391,  2598,  5105,  5106,
    3787,  5779,  6239,   635,  3437,  5240,   632,   632,  1166,  2981,
    4802, -2907, -2675,  5745,  6041,  1125, -2907,  5920,  2553,   635,
    2601,   820,   821,  4207,  1797,  5149,  4444,  4219,  2662,  2661,
     775,  3447,  6036,  5903,  4181,  2666,   775,  4770,  2598,  5494,
    4755,  4175,  5715,   954,  5714,  4803,  4176,  6207,  6023,  6120,
     635,  5892,  5699,  2610,  3431,  3358,  4705,  5904,  3431,  4142,
    5905,  3972, -2907, -2675,  4011,   979,  3361,  3276,  4136,  3786,
    4045,  4134,  4657,  5396,  4127,  3435, -2675,     0,     0,     0,
    3373,     0, -2675,     0,     0,  5945,  1442,     0, -2675,     0,
       0,     0,     0,     0, -2675,     0,   897, -2675,   897,  2526,
       0, -2675,     0,     0,     0,     0,     0,  4209,  2527,  2528,
    2529,  2530,  2531,  2532,  2533,  2534,  2535,     0,  2596,   979,
       0,     0,  3588,     0,     0,  3431,  5917,  5556,     0,   954,
       0, -2675,     0,     0,     0,  5558,     0,     0,     0,     0,
    2526,     0,     0,     0,     0,     0,     0,     0,     0,  2527,
    2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,     0, -2675,
       0,   635,  4051,     0,   635,  4052,  4586,   635,   635,   635,
       0,  3421,  5601,     0,     0,     0,  3421,     0,     0,  3421,
       0,     0,     0,     0,     0,     0,  3972,     0,  3972,     0,
       0,     0,   635,   635,     0,     0,   635,     0,     0,     0,
     187,   187,     0,     0,     0,     0,     0,     0,     0, -2675,
       0, -2907, -2675,     0,  3428,     0,   635,  1125, -2675,     0,
       0,     0,   635,     0,     0,  6232,   635,     0,     0,     0,
       0,     0,   897,   635,     0,     0,  1556,     0,     0,     0,
       0,     0,  1557,   632,     0,     0,   635,     0,  4643,   635,
     632,     0,     0,     0,   954,   632,   954,     0,   632,  5224,
     635,  6247,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6232,     0,     0,  1916, -2675,     0,     0,     0,     0,
    1920,     0,     0,     0,     0,     0,     0,  1559,     0,  6232,
    1931,     0,     0,  5333,  1934,     0,     0,  4672,  1937,     0,
    1939,     0,     0,   897,   954,     0,  1947,     0,  5337,     0,
       0,     0,  1953, -2907,   635,  1956,     0,     0,     0,     0,
       0,     0,  4693,     0,     0,  2530,  2531,  2532,  2533,  2534,
    2535,     0,   790,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1560,     0,     0,     0,     0,     0,     0,
    1561,     0,     0,  1562,  1797,     0,     0,     0,     0,   635,
   -2675,     0,     0,     0,     0,     0,     0,     0,     0,  5779,
    6257,     0,  6183,     0,     0,     0,  2658,     0,     0,     0,
    1563,     0,  5515,     0, -2675,     0, -2675, -2675,  3431,  3431,
    3428,     0,     0,     0,     0,     0,     0,     0,  5639,  5397,
       0,     0,     0,  6184,  6185,     0,     0,     0, -2675,     0,
    3428,     0,     0,     0,     0,     0,  1564,     0,     0,     0,
       0,     0,   635,     0,  3428,   897,     0,     0, -2675,  5665,
       0, -2675, -2675, -2675,     0,     0,     0,     0,     0,   184,
     191,   180,    80,   186,   175,     0,    83,     0,   181,    84,
     183,     0,    71,    85,    86,   106,   124,   129,   635,     0,
     159,     0,   635,   909,   635,   187,   178,   185,  5667,     0,
       0,     0,  6250,     0,     0,     0,     0,     0,   635,   633,
       0,     0,     0,     0,     0,   635,     0,  1125,   635,     0,
    1665,     0,     0,     0,  1566,     0,   785,     0,   787,   635,
       0,  5368,   793,     0,  1567,     0,   635,   801,   809,   813,
       0,   816,     0,  1568,   809,   809,     0,   846,     0,   849,
       0,     0,     0,  1623,     0,  1569,   905,   905,   905,     0,
       0,     0,   632,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1624,     0,  2083,     0,     0,
    2084,     0,     0,   635,  2085,  2086,  2087,     0,     0,   897,
     979,     0,     0,     0,   897,   897,     0,  1571,  1572,   635,
       0,  4858,  2588,     0,     0,   635,   635,   954,     0,     0,
       0,     0,  2589,     0,     0,     0,  3428,     0,     0,  2590,
       0,   954,     0,     0,     0,     0,  1625,  4868,  5534,  1573,
    5536,     0,     0,     0,  2737,     0,     0,     0,  1556,     0,
       0,   635,     0,     0,  1557,  2591,     0,     0,     0,     0,
     635,     0,     0,  1797,     0,  3431,     0,     0,     0,  3421,
       0,     0,  3431,     0,     0,     0,     0,  3431,     0,     0,
    3431,  4869,     0,     0,     0,     0,     0,     0,   635,  3428,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1559,
       0,  5835,     0,  4870,     0,     0,     0,     0,  1574,     0,
     633,   934,   934,     0,     0,   934,     0,   897,   897,   945,
       0,   846,     0,     0,   981,     0,  1626,   945,     0,     0,
     945,     0,     0,   846,     0,   934,     0,     0,   846,     0,
       0,   635,   934,     0,   846,     0,     0,     0,   632,     0,
     635,   635,   635,     0,     0,  1560,     0,     0,     0,     0,
       0,     0,  1561,   635,  1797,  1562,     0,   897,   632,     0,
    2592,     0,   635,     0,   635,  2593,   635,     0,     0,     0,
       0,  5030,   632,   635,  1627,  6052,     0,     0,     0,  1628,
       0,  5907,  1563,     0,     0,     0,  5666,     0,  2594,  2274,
       0, -2677,     0,     0,  2901,     0,   635,   775,  4871,   775,
       0,   775,     0,     0,     0,     0,     0,   775,  1203,  1204,
       0,  2595,     0,     0,     0,     0,     0,     0,  1564,     0,
     187,  1797,     0,   954,     0,     0,   944,     0,  1630,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3428,     0,     0,     0,     0,  6102,  6103,     0,
       0,   187,     0,  2335,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   187,     0,  2596,     0,     0,
    2597,   944,     0,  1632,     0,   635,     0,     0,     0,     0,
    3972,     0,     0,     0,     0,     0,     0,     0,     0, -2677,
       0,     0,  1665,     0,     0,     0,  1566,  1633,     0,     0,
       0,     0,     0,     0,     0,     0,  1567,     0,     0,     0,
       0,     0,   635,     0,     0,  1568,     0,  1635,     0,  4872,
       0,     0,  4299,     0,     0,   635,     0,  1569,     0,     0,
       0,     0,     0,     0,   632,   635,     0,  3428,     0,  2075,
   -2677,     0,     0,     0,  3431,   635,     0,  5781,   954,  5783,
       0,     0,     0, -2677,     0,     0,     0,     0,     0, -2677,
    2598,     0,   635,     0,     0, -2677,  1693,     0,     0,  1571,
    1572, -2677,     0,     0, -2677,   954,     0,     0, -2677,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3245,
    3245,     0,     0,     0,     0,     0,     0,   632,   775,     0,
       0,  1694,  3270,     0,     0,     0,     0,     0, -2677,     0,
       0,  3291,     0,     0,     0,     0,   635,     0,     0,  6076,
       0,     0,     0,     0,     0,     0,   635,     0,     0,     0,
       0,  2823,     0,     0,   635,   635, -2677,     0,     0,  3428,
     635,   191,  6097,     0,  6100,     0,     0,     0,     0,  6098,
       0,  6099,     0,     0,     0,     0,     0,     0,     0,   635,
     635,     0,  2526,     0,     0,     0,     0,     0,   775,     0,
    1574,  2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,
       0,  3421,     0,   187,  6163,     0, -2677,     0,  4037, -2677,
       0,     0,  3110,   954,     0, -2677,     0,     0,     0,     0,
    3117,  6265,  6266,  5272,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   635,     0,     0,
    3431,     0,     0,   635,     0,     0,     0,     0,     0,     0,
       0,     0,  5818,     0,     0,   191,  6097,     0,  6100,     0,
    3431,   635,   635,  6098,  5296,  6099,     0,     0,     0,  1034,
       0,     0, -2677,     0,  3431,   846,   635,   934,     0,   934,
     632,     0,   934,     0,     0,     0,  5312,     0,     0,   981,
       0,     0,   635,   187,  1092,     0,   934,     0,     0,     0,
       0,     0,   934,     0, -2693,     0,     0,     0,     0,     0,
    3428,     0,     0,     0,     0,     0,     0,  5972,     0,     0,
       0,     0,     0,     0,     0,     0,   633,   635,     0,   790,
       0,     0,     0,     0,     0,   945,     0,     0,     0,   981,
       0,     0,   945,     0,     0,   945,     0,   635,     0,     0,
       0,     0,     0,     0,  1797,     0,     0, -2677,  5340,   191,
    6097,   934,  6100,     0,     0,     0,     0,  6098,     0,  6099,
       0,     0,     0,     0,     0,   632,     0,     0,     0,     0,
       0, -2677,     0, -2677, -2677,     0,     0,   635,   635,     0,
       0,     0,   635,     0,     0,     0,   635,     0,     0,     0,
    1797,  3428, -2693,     0,     0, -2677,     0,  3428,   635,   635,
       0,     0,     0,  2083,   846,     0,  2084,     0,  1797,     0,
    2085,  2086,  2087,  1236,     0, -2677,     0,     0, -2677, -2677,
   -2677,     0,     0,  6057,     0,     0,  3431,     0,  2588,     0,
       0,     0,     0,  1363,  1363,     0,   846,   809,  2589,     0,
       0,   809,     0, -2693,     0,  2590,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   846, -2693,     0,     0,     0,
     846,     0, -2693,     0,     0,     0,  1363,   632, -2693,  5426,
       0,  2591,     0,     0, -2693,     0,     0, -2693,     0,     0,
       0, -2693,     0,     0,     0,     0,     0,     0,     0,  3431,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3428,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2693,     0,  1363,     0,     0,     0,     0,     0,     0,
       0,   187,     0,     0,     0,     0,     0,   846,     0,   775,
       0,     0,     0,  6137,   775,   775,     0,     0,     0, -2693,
     846,     0,     0,     0,     0,     0,   187,     0,     0,     0,
       0,     0,     0,     0,   944,   846,     0,     0,     0,     0,
       0,     0,  2606,     0,  1097,  1097,     0,     0,     0,     0,
       0,  2613,     0,  2614,   846,     0,     0,  2617,     0,   934,
     934,     0,     0,     0,  2623,     0,  2592,     0,     0, -2693,
       0,  2593, -2693,     0,     0,     0,     0,     0, -2693,     0,
       0,     0,     0,  4422,     0,     0,     0,     0,     0,     0,
       0,   809,   809,     0,  2594,  2274,     0,     0,   632,     0,
       0,     0,     0,     0,     0,     0,   944,   944,     0,     0,
       0,     0,     0,     0,  1363,  1363,     0,  2595,     0,     0,
    6162,     0,     0,     0,     0,  3907,     0,     0,   633,     0,
     934,     0,  3431,     0,   945, -2693,     0,   981,   945,     0,
     945,     0,     0,     0,     0,   934,     0,     0,     0,  1526,
    1097,     0,     0,     0,     0,   775,     0,     0,     0,  2335,
       0,     0,     0,     0,     0,   775,     0,     0,     0,   846,
       0,     0,     0,  2596,     0,     0,   934,   934,     0,  3449,
       0,     0,     0,     0,  1527,     0,     0,     0,     0,   632,
       0,     0,   790,     0,     0,   632,     0,     0,   846,   846,
     846,     0,   934,     0,   633,     0,   633,   633,     0,  1203,
    1204,     0,     0,  6167,     0,     0,     0,     0,     0,     0,
   -2693,     0,     0,     0,   187,     0,     0,  3431,     0,  2083,
       0,     0,  2084,     0,     0,     0,  2085,  2086,  2087,     0,
     934,     0,   934,   934, -2693,  1528, -2693, -2693,     0,     0,
       0,     0,   775,     0,  2588,   775,   775,     0,     0,  1556,
       0,     0,     0,     0,  2589,  1557,  2598,     0, -2693,     0,
       0,  2590,     0,     0,     0,  1363,     0,     0,     0,  6204,
    1663,     0,  1529,     0,     0,     0,     0,     0, -2693,     0,
       0, -2693, -2693, -2693,     0,     0,     0,  2591,     0,   632,
       0,  1980,     0,  1980,     0,     0,     0,   846,     0,   785,
    1559,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3908,  2083,     0,     0,  2084,  1530,     0,  3431,
    2085,  2086,  2087,  2016,     0,   846,     0,     0,     0,  2022,
    6204,     0,     0,  3385,     0,     0,     0,     0,  6253,     0,
       0,     0,     0,  1363,     0,     0,     0,     0,  2589,     0,
     944,   944,     0,     0,  1664,  2590,  1560,     0,  2526,     0,
    1532,     0,     0,  1561,     0,     0,  1562,  2527,  2528,  2529,
    2530,  2531,  2532,  2533,  2534,  2535,     0,     0,     0,     0,
       0,  2591,  1363,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1534,  1563,     0,     0,     0,     0,   894,     0,
    2006,     0,  2592,     0,     0,  2006,  2006,  2593,     0,     0,
       0,  1363,  1363,  1363,     0,  1363,     0,  2083,     0,     0,
    2084,     0,     0,     0,  2085,  2086,  2087,     0,     0,  1564,
    2594,  2274,     0,     0,    35,     0,  1363,     0,   775,  1536,
       0,     0,  2588,     0,     0,     0,     0,     0,  1537,     0,
       0,     0,  2589,  2595,     0,     0,     0,  1538,     0,  2590,
       0,     0,     0,     0,     0,  2781,     0,     0,     0,     0,
    3431,     0,     0,     0,     0,   846,     0,  1540,     0,     0,
       0,     0,     0,     0,     0,  2591,  1541,     0,     0,     0,
    1542,     0,     0,  1363,     0,  2335,  2592,     0,     0,     0,
       0,  2593,     0,  1665,     0,     0,     0,  1566,     0,  2596,
    3910,     0,  2597,     0,     0,     0,     0,  1567,     0,  5857,
       0,     0,     0,     0, -2907, -2907,  1568,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1569,  1363,
       0,     0,     0,  1363,  1363,  1543,     0,  2595,     0,  3911,
       0,     0,     0,     0,   846,   846,   846,  2676,     0,  1363,
       0,  3431,     0,     0,     0,     0,     0,  3431,  5897,     0,
       0,     0,     0,     0,     0,     0,     0,  1666,     0,     0,
    1571,  1572,   809,     0,     0,     0,     0,     0,     0, -2907,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2592,     0,  2598,  2596,     0,  2593,     0,     0,     0,     0,
       0,     0,  1667,     0,     0,     0,     0,  2769,     0,     0,
       0,     0,   809,     0,     0,   934,     0,     0,  2594,  2274,
       0,     0,     0,     0,     0,     0,     0,     0,   846,  2797,
       0,     0,     0,     0,     0,     0,     0,   846,     0,     0,
     934,  2595,     0,  3221,  3222,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3255,  3256,     0,
       0,  3431,     0,     0,     0,     0,     0,   981,     0,   846,
       0,  1574,   809,     0,     0,  2865,  2865,     0,     0,  2865,
       0,     0,     0,  2335,     0,     0,  2598,     0,  3301,   809,
       0,     0,   846,     0,  2526,   846,     0,  2596,     0,     0,
    2597,     0,     0,  2527,  2528,  2529,  2530,  2531,  2532,  2533,
    2534,  2535,     0,     0,     0,     0,     0,   934,     0,  4053,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   846,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   934,   934,   934,
     934,   846,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   846,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1363,  1363,  1363,     0,
       0,  3270,  3270,     0,  2083,     0,  3270,  2084,  2526,     0,
    2598,  2085,  2086,  2087,     0,     0,     0,  2527,  2528,  2529,
    2530,  2531,  2532,  2533,  2534,  2535,     0,     0,     0,  2588,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2589,
       0,     0,     0,     0,     0,     0,  2590,  3270,  3270,     0,
       0,     0,     0,     0,     0,     0,  3930,     0,     0,     0,
       0,  3936,     0,  3937,     0,     0,     0,     0,     0,     0,
       0,     0,  2591,  3943,     0,     0,  3944,     0,  3945,  3946,
       0,     0,  3948,     0,     0,     0,  3951,     0,  3952,     0,
       0,  3954,     0,     0,     0,   846,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   846,     0,     0,     0,
       0,     0,  2526,     0,   934,   934,     0,     0,     0,     0,
       0,  2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,
     934,     0,     0,     0,     0,     0,     0,  4104,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   846,  2865,
       0,     0,     0,     0,     0,  3993,     0,     0,     0,     0,
       0,     0,     0,     0,   934,   934,   934,   934,     0,     0,
       0,     0,     0,   846,     0,     0,     0,     0,     0,     0,
     846,     0,  2083,  3079,     0,  2084,     0,  2592,     0,  2085,
    2086,  2087,  2593,     0,     0,     0,     0,     0,   633,     0,
       0,   633,     0,     0,     0,     0,     0,  2588,     0,     0,
       0,   945,   945,     0,     0,  2594,  2274,  2589,     0,     0,
       0,     0,   981,   981,  2590,     0,   945,     0,     0,   945,
       0,     0,     0,     0,     0,     0,     0,     0,  2595,     0,
       0,     0,     0,     0,   934,   934,     0,     0,     0,     0,
    2591,   934,     0,   846,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   894,     0,     0,     0,     0,
    1980,     0,     0,     0,     0,     0,     0,   934,     0,   945,
    2335,     0,  3162,   945,   945,     0,   846,   846,     0,   934,
       0,   894,     0,     0,  2596,     0,   846,  2597,     0,     0,
       0,     0,     0,   846,     0,     0,   846,  3079,     0,     0,
     785,     0,     0,   785,  3199,     0,     0,     0,  1363,   701,
    1363,     0,     0,     0,     0,  1363,  1363,     0,   789,     0,
       0,     0,  1363,  1363,  1363,  1363,  1363,  1363,  1363,  1363,
    1363,  1363,     0,     0,     0,  1363,     0,  1363,   981,  1363,
    1363,  1363,  1363,  1363,  1363,     0,     0,  1363,     0,  1363,
    1363,     0,     0,  1363,  2083,  2592,     0,  2084,     0,     0,
    2593,  2085,  2086,  2087,     0,     0,     0,     0,  1363,  1363,
    1363,     0,     0,     0,     0,     0,     0,  2598,     0,  2588,
       0,     0,     0,  2594,  2274,     0,  1363,     0,     0,  2589,
       0,     0,     0,     0,     0,     0,  2590,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2595,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2591,     0,   894,     0,   934,     0,     0,     0,
       0,     0,     0,  3402,  3404,     0,     0,     0,     0,  3412,
       0,     0,     0,     0,     0,     0,     0,     0,  2335,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2596,     0,     0,  2597,     0,     0,     0,     0,
       0,  3456,  3456,     0,     0,     0,     0,  4266,     0,  2526,
       0,     0,     0,     0,     0,     0,     0,     0,  2527,  2528,
    2529,  2530,  2531,  2532,  2533,  2534,  2535,     0,     0,     0,
       0,  3299,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2083,     0,     0,  2084,
       0,     0,     0,  2085,  2086,  2087,     0,     0,     0,     0,
    1363,     0,     0,   775,     0,     0,     0,  2592,     0,     0,
       0,  2588,  2593,     0,     0,     0,     0,     0,  4316,     0,
    4318,  2589,     0,     0,     0,  2598,     0,     0,  2590,     0,
       0,     0,     0,     0,     0,  2594,  2274,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1363,
       0,     0,     0,     0,  2591,     0,     0,   894,  2595,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   894,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   894,     0,     0,     0,  3590,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2335,     0,     0,  1363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2596,     0,     0,  2597,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2526,     0,     0,
       0,     0,     0,     0,     0,     0,  2527,  2528,  2529,  2530,
    2531,  2532,  2533,  2534,  2535,     0,     0,     0,     0,  4046,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2083,
       0,     0,  2084,     0,  4421,     0,  2085,  2086,  2087,  2592,
    4428,     0,     0,     0,  2593,     0,     0,   775,     0,     0,
       0,     0,     0,     0,  2588,   775,     0,     0,   775,     0,
       0,     0,     0,     0,  2589,     0,     0,  2594,  2274,     0,
     775,  2590,     0,     0,     0,     0,     0,  2598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2595,  2083,     0,     0,  2084,     0,     0,  2591,  2085,  2086,
    2087,     0,     0,     0,     0,     0,     0,     0,  3245,     0,
       0,   894,     0,     0,     0,     0,  2588,     0,     0,     0,
    3439,     0,     0,     0,     0,     0,  2589,     0,  3270,  3270,
    3270,  3270,  2335,  2590,  3270,  3270,  3270,  3270,  3270,  3270,
    3270,  3270,  3270,  3270,     0,     0,  2596,     0,     0,  2597,
    1363,  1363,  1363,  1363,  1363,  1363,  1363,  1363,  1363,  2591,
    1363,     0,  4701,     0,     0,     0,     0,     0,     0,     0,
     846,  1363,     0,  1363,     0,     0,     0,     0,     0,  2526,
     846,     0,     0,     0,     0,     0,     0,     0,  2527,  2528,
    2529,  2530,  2531,  2532,  2533,  2534,  2535,     0,  3270,  3270,
       0,  4458,     0,     0,     0,     0,     0,     0,     0,   846,
    3440,  1363,  2592,     0,   934,  1363,     0,  2593,  1363,     0,
    1363,     0,     0,  1363,     0,     0,  4590,  1363,  4592,     0,
    4594,     0,     0,     0,     0,     0,     0,     0,     0,  2598,
    2594,  2274,     0,  4759,     0,     0,     0,     0,     0,     0,
    3432,     0,     0,     0,     0,     0,   846,   846,     0,     0,
       0,     0,     0,  2595,     0,     0,     0,  1363,  2567,     0,
       0,     0,     0,     0,  2592,     0,  1363,  1363,     0,  2593,
    1056,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     846,     0,     0,     0,     0,     0,     0,     0,  3476,     0,
    3481,     0,  2594,  2274,     0,  2335,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   775,     0,  2596,
       0,     0,  2597,     0,     0,  2595,     0,     0,     0,     0,
    1124,   701,     0,     0,     0,     0,     0,     0,     0,     0,
     785,  2526,   785,     0,     0,     0,     0,     0,     0,     0,
    2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,     0,
    1363,     0,     0,  4644,     0,     0,     0,  2335,     0,   894,
       0,   633,     0,     0,   945,   981,   945,   945,     0,     0,
     934,  2596,     0,   846,  2597,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   809,     0,     0,     0,     0,     0,
       0,     0,  2598,     0,     0,  2797,     0,     0,     0,     0,
       0,     0,     0,  3591,   846,     0,  1223,     0,     0,     0,
    3602,  2083,     0,     0,  2084,     0,   894,     0,     0,   846,
       0,     0,     0,     0,     0,     0,  1245,     0,     0,     0,
       0,     0,     0,     0,  1366,     0,     0,  1375,  1124,  1377,
       0,   846,     0,     0,     0,     0,  2589,     0,     0,     0,
       0,     0,     0, -2907,  2598,     0,     0,   894,     0,     0,
       0,     0,   846,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   809,     0,     0,     0,  2591,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     894,     0,     0,     0,  2526,     0,     0,     0,   934,     0,
       0,   934,     0,  2527,  2528,  2529,  2530,  2531,  2532,  2533,
    2534,  2535,     0,     0,     0,  3441,  4714,  4161,     0,   775,
       0,  3270,     0,     0,     0,     0,     0,   846,   846,     0,
       0,     0,     0,     0,     0,  4168,     0,     0,     0,     0,
       0,     0,  3747,     0,  3750,  3752,     0,     0,  4731,     0,
    2083,     0,     0,  2084,     0,     0,  2526,  2085,  2086,  2087,
       0,     0,     0,     0,     0,  2527,  2528,  2529,  2530,  2531,
    2532,  2533,  2534,  2535,     0,  2588,  1363,  1363,  1363,     0,
       0,     0,  1363,  4214,  4214,  2589,     0,     0,     0,     0,
     934,     0,  2590,     0, -2907,     0,     0,     0,     0, -2907,
       0,     0,     0,   934,     0,     0,     0,     0,     0,  1363,
       0,   934,     0,     0,     0,     0,     0,     0,  2591,     0,
       0,     0,     0,     0,  2797,     0,     0,     0,     0,   846,
       0,     0,     0,     0,  2083,  3854,     0,  2084,   785,     0,
       0,     0,  1124,     0,     0, -2907,     0,     0,     0,     0,
     934,  3865,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3747,     0,     0,     0,     0,     0,     0,     0,  2589,
       0,   934,     0,  3887,     0,     0, -2907,     0,     0,     0,
       0,     0,   894,     0,     0,     0,     0,     0,     0,  2083,
       0,     0,  2084,   894,     0,     0, -2907, -2907, -2907,     0,
       0,  2596,  2591,     0,     0,     0,     0,     0,     0,   894,
       0,     0,   934,     0,   934,     0,   934,     0,     0,     0,
       0,     0,     0,     0,  2589,     0,     0,     0,     0,     0,
       0,  2590,     0,  2592,     0,     0,     0,     0,  2593,     0,
       0,     0,     0,     0,     0,     0,     0,  5174,     0,  1980,
       0,     0,     0,     0,     0,     0,     0,  2591,     0,     0,
       0,  2594,  2274,   894,     0,     0,     0,     0,     0,     0,
       0,  5192,     0,     0,     0,     0,     0,     0,   894,     0,
       0,   894,   894,     0,  2595,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2907,     0,     0,     0,     0,     0,
       0,     0,     0,   633,   934,     0,   945,     0,   945,   945,
       0,   934,   894,   894,     0,     0,     0, -2907,  1363,     0,
       0,     0, -2907,  1363,     0,     0,  2335,     0,     0,     0,
       0,     0,     0,  2005,     0,     0,     0,     0,     0,     0,
    2596,     0,     0,  2597,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1124,     0,     0,  5109,     0,     0,  5111,     0, -2907,  1363,
    1363,  1363,  2592,     0,  1363,     0,     0,  2593,     0,     0,
       0,     0,  1363,  1363,  1363,  1363,     0,     0,     0,     0,
       0,     0,   896,     0,     0,  5126, -2907,     0,  1363,     0,
       0,  1363,     0,  1363,     0,     0,     0,     0,  2530,  2531,
    2532,  2533,  2534,  2535,     0,  1363,  1363,     0,     0,  1363,
       0,     0,     0,  2595,  2596,     0,     0,  2083,     0,     0,
    2084,     0,     0,  2598,  2085,  2086,  2087,     0,   981,     0,
    1363,     0,  1363,     0,  1363,     0,  2079,     0,     0,     0,
       0,   894,  2588,     0,     0,  2081,     0,   775,     0,     0,
       0,     0,  2589,  1363,     0,     0,  4148,     0,     0,  2590,
     846,  2551,     0,     0,     0,     0,     0,     0,     0,  2596,
    4505,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1124,   846,     0,  2568,  2569,  2591,     0,     0,  1124,  1124,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2907,     0,     0,
     633,     0,     0,  3432,  4185,     0,     0,     0,  4185,  4199,
    4185,     0,     0,     0,     0,  2526,  1363,     0,     0,     0,
       0,  1363,     0,     0,  2527,  2528,  2529,  2530,  2531,  2532,
    2533,  2534,  2535,     0,     0,  1556,  1363,  4818,     0,     0,
       0,  1557,     0,     0,     0,     0,     0,     0,     0,     0,
    3432,     0,  2598,     0,  4230,     0,  1663,  4233,  3432,     0,
    3481,     0,     0,     0,     0,     0,     0,     0,  2083,     0,
       0,  2084,     0,     0,     0,  2085,  2086,  2087,     0,     0,
       0,     0,     0,     0,  5271,     0,  1559,     0,     0,     0,
    2592,     0,  1556,  2588,     0,  2593,     0,     0,  1557, -2907,
       0,  1363,     0,  2589,     0,  1623,  4259,     0,     0,     0,
    2590,  2530,  2531,  2532,  2533,  2534,  2535,   775,  2594,  2274,
       0,     0,     0,     0,     0,     0,     0,  1624,  5297,  5298,
       0,     0,   934,   934,     0,     0,  2591,     0,     0,     0,
    1664,  2595,  1560,  1559,     0,     0,     0,     0,     0,  1561,
       0,     0,  1562,     0,  2526,     0,     0,     0,     0,     0,
       0,     0,     0, -2907, -2907, -2907,  2530,  2531,  2532,  2533,
    2534,  2535,     0,     0,     0,     0,     0,     0,  1625,  1563,
       0,     0,     0,  2335,     0,  3270,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2596,     0,  1560,
    2597,     0,     0,     0,     0,     0,  1561,     0,     0,  1562,
       0,     0,     0,     0,     0,  1564,  4340,     0,     0,     0,
       0,     0,  5341,  5342,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2906,     0,     0,  1563,  3270,     0,     0,
     846,  2914,     0,     0,     0,     0,     0,     0,     0,     0,
    2865,  2592,     0,     0,     0,     0,  2593,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1626,     0,
       0,     0,  1564,     0,     0,     0,     0,     0,     0,  2594,
    2274,     0,     0,     0,     0,     0,     0,     0,     0,  1665,
    2598,     0,     0,  1566,     0,     0,     0,     0,     0,     0,
       0,     0,  2595,  1567,     0,     0,     0,     0,     0,     0,
       0,     0,  1568,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1569,     0,  1627,     0,     0,     0,
       0,  1628,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2335,     0,  1629,     0,     0,     0,
    1566,     0,  5437,     0,     0,  5439,  5440,     0,  2596,  1363,
    1567,  2597,     0,  3718,     0,  1363,  1571,  1572,     0,  1568,
       0,     0,     0,     0,     0,  5445,   934,     0,     0,     0,
    1630,  1569,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2526,     0,     0,     0,     0,     0,  3719,     0,
       0,  2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,
       0,     0,  2978,   846,   846,   846,     0,     0,     0,     0,
    1631,     0,     0,  1571,  1572,  1632,     0,     0,     0,     0,
     846,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1363,     0,     0,     0,     0,  1633,
       0,  2598,     0,     0,   775,  1634,  3044,     0,     0,     0,
    3049,     0,  1980,   846,   846,  1556,     0,  1574,   846,  1635,
       0,  1557,     0,     0,     0,     0,     0,     0,     0,  3270,
     846,     0,   775,     0,     0,     0,  1558,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   775,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   775,     0,  3270,
       0,     0,     0,     0,     0,     0,  1559,     0,     0,     0,
       0,     0,     0,     0,  1574,     0,     0,     0,     0,   896,
       0,     0,     0,     0,   894,     0,   934,     0,   894,   894,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3162,  4608,     0,  2526,     0,   896,     0,     0,     0,     0,
       0,   846,  2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,
    2535,     0,  1560,     0,   846,  5047,     0,     0,     0,  1561,
       0,     0,  1562,  1203,  1204,     0,     0,     0,     0,     0,
       0,     0,     0,  1363,     0,     0,     0,   894,     0,     0,
       0,     0,  1363,   894,     0,     0,     0,     0,     0,  1563,
       0,     0,     0,     0,     0,     0,  1363,     0,     0,     0,
    1363,  1363,     0,     0,     0,     0,  1363,     0,     0,     0,
    3232,     0,     0,     0,     0,     0,  1363,     0,  1363,     0,
       0,  1363,     0,     0,   894,  1564,  1363,  1363,  1363,  1363,
       0,     0,  1363,  1363,  1363,  1363,  1363,  1363,  1363,  1363,
    1363,  1363,     0,     0,     0,  1363,  1363,  1363,     0,     0,
       0,   775,     0,     0,     0,  1363,     0,     0,     0,     0,
    1363,     0,     0,     0,  1363,     0,     0,     0,     0,     0,
       0,     0,  1363,     0,     0,  1363,     0,  1363,   896,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1363,     0,     0,  1363,  1363,     0,  1565,
       0,  1363,  1363,  1566,   775,     0,  1363,     0,  1363,  4740,
       0,     0,     0,  1567,     0,     0,     0,   846,   846,   846,
       0,     0,  1568,     0,  3270,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1569,     0,     0,  4185,  4199,  4185,
       0,  1363,  4185,     0,     0,  4761,     0,     0,     0,  3432,
       0,     0,     0,  3432,     0,  5748,     0,  2083,     0,  4776,
    2084,     0,     0,     0,  2085,  2086,  2087,     0,     0,     0,
       0,     0,     0,  1570,     0,     0,  1571,  1572,     0,     0,
       0,     0,  2588,     0,   702,  1363,     0,     0,     0,  2748,
       0,     0,  2589,     0,     0,     0,     0,     0,     0,  2590,
    3481,     0,  1363,     0,     0,     0,     0,     0,  1573,     0,
    5785,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4824,  1980,  1712,  1980,     0,  2591,  1980,  2749,     0,     0,
       0,     0,     0,     0,   894,     0,     0,     0,     0,     0,
     705,   896,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   896,     0,     0,     0,   706,     0,     0,     0,
       0,  2797,  4857,     0,     0,     0,     0,     0,   896,     0,
       0,     0,     0,     0,  1039,     0,     0,  1574,     0,     0,
    4881,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6022,     0,  2750,     0,
       0,     0,     0,     0,     0,     0,     0,   894,     0,   709,
       0,   894,     0,     0,     0,     0,     0,     0,   710,     0,
       0,     0,     0,     0,  5873,     0,     0,     0,     0,     0,
       0,   711,     0,     0,     0,  4930,     0,  2751,     0,     0,
    2592,     0,     0,     0,     0,  2593,     0,  2083,     0,     0,
    2084,     0,     0,     0,  2085,  2086,  2087,     0,     0,   775,
       0,     0,     0,     0,  1042,   775,     0,     0,  2594,  2274,
     775,     0,  2588,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2589,     0,     0,     0,     0,     0,     0,  2590,
    4974,  2595,     0,     0,     0,     0,     0,  5310,  5311,     0,
       0,     0,  5314,  5315,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   894,  2591,     0,     0,     0,   715,
       0,     0,     0,   934,     0,   896,     0,     0,     0,   894,
    3270,  3270,     0,  2335,   894,     0,     0,   934,     0,  1363,
       0,     0,     0,     0,     0,     0,   846,  2596,     0,     0,
    2597,     0,  5018,     0,     0,     0,     0,     0,     0,     0,
       0,  2752,     0,  2797,   894,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   846,     0,
       0,     0,     0,  3432,  3865,     0,     0,     0,     0,     0,
       0,  3747,     0,     0,     0,   213,  2753,     0,     0,   720,
    5067,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     846,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1363,  1363,     0,     0,  1046,     0,     0,  2754,
    2592,     0,     0,  1363,     0,  2593,   724,     0,     0,  3380,
    2598,     0,     0,   725,  1980,   846,   726,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2594,  2274,
       0,     0,   846,     0,     0,   727,     0,     0,     0,     0,
       0,     0,  1048,     0,     0,     0,     0,     0,     0,   729,
       0,  2595,  1049,     0,     0,     0,   731,     0,     0,     0,
       0,     0,     0,     0,  2755,     0,     0,     0,     0,     0,
       0,  2756,     0,  1363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1363,
       0,     0,     0,  2335,     0,     0,     0,   736,     0,     0,
       0,     0,     0,     0,  1363,     0,     0,  2596,     0,     0,
    2597,     0,  2526,     0,     0,     0,     0,     0,     0,     0,
       0,  2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,
       0,     0,  1363,     0,  5156,  1363,     0,     0,     0,     0,
    6131,     0,     0,  1363,  1363,     0,     0,     0,     0,     0,
    1363,  1363,     0,  2697,     0,  1363,     0,  1124,     0,     0,
    1363,     0,     0,  1363,  1363,     0,     0,     0,     0,     0,
    1363,     0,     0,     0,   846,   846,   846,   846,     0,     0,
       0,     0,     0,     0,   894,     0,     0,   894,     0,   894,
     633,     0,     0,  4185,   894,     0,     0,  3432,     0,     0,
    2598,     0,  3432,     0,     0,  3432,   633,     0,  3747,     0,
    5228,     0,     0,  1363,     0,   981,     0,  1377,     0,     0,
    2697,     0,  2083,     0,  1363,  2084,     0,     0,  4230,  2085,
    2086,  2087,  1363,     0,  3481,     0,     0,     0,     0,     0,
       0,     0,     0,   894,     0,     0,     0,  2588,     0,   785,
       0,   894,  1363,     0,     0,     0,     0,  2589,     0,     0,
       0,   896,     0,     0,  2590,     0,     0,   775,     0,     0,
       0,     0,     0,     0,     0,     0,   894,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2797,     0,     0,
    2591,  5284,     0,     0,   896,     0,     0,  1377,     0,     0,
       0,     0,  2526,     0,     0,     0,     0,     0,     0,     0,
       0,  2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,
       0,  1377,     0,     0,  5193,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   894,     0,   894,     0,
       0,     0,     0,     0,     0,     0,     0,  1363,     0,     0,
       0,     0,     0,     0,  1363,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1712,  1712,  1712,     0,     0,     0,
       0,     0,     0,     0,     0,  3753,   934,     0,     0,  3757,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   934,     0,     0,     0,  2592,     0,     0,     0,     0,
    2593,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3790,     0,  3790,     0,
    3790,  3790,  1363,  2594,  2274,  3790,  3790,  3790,     0,  3790,
    3790,  3790,     0,     0,   894,     0,     0,     0,   633,     0,
       0,     0,     0,     0,     0,  2797,  2595,     0,     0,     0,
    2083,     0,     0,  2084,  1980,     0,   702,  2085,  2086,  2087,
       0,  3200,     0,     0,     0,     0,     0,     0,     0,  3865,
       0,     0,     0,     0,     0,  2588,   896,     0,   894,     0,
       0,     0,   934,  3867,  3887,  2589,     0,   896,  2335,     0,
       0,     0,  2590,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2596,   896,     0,  2597,   894,     0,  3895,     0,
     846,     0,   705,  3201,     0,     0,     0,     0,  2591,     0,
       0,   846,     0,     0,     0,     0,     0,     0,   706,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   775,  1039,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   896,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3202,     0,   896,     0,   894,   896,   896,     0,  1556,     0,
    1363,   709,     0,  1363,  1557,     0,  1363,  1363,  1363,     0,
     710,     0,     0,     0,     0,  2598,   894,     0,     0,     0,
       0,     0,     0,   711,     0,     0,   896,   896,     0,  3203,
       0,  1363,  1363,     0,     0,  1363,     0,     0,   894,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1559,
       0,     0,     0,  2592,     0,  1363,  1042,     0,  2593,     0,
       0,  1363,     0,     0,     0,  3432,     0,     0,     0,  5228,
       0,     0,  1363,     0,  5512,     0,     0,     0,     0,     0,
       0,  2594,  2274,     0,     0,  4824,     0,     0,  1363,  3204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4824,
     981,   934,     0,   934,  2595,  1560,     0,     0,     0,     0,
       0,   715,  1561,     0,     0,  1562,     0,  2526,     0,     0,
     894,     0,     0,     0,     0,  1712,  2527,  2528,  2529,  2530,
    2531,  2532,  2533,  2534,  2535,     0,     0,  1712,     0,  5197,
    1712,     0,  1563,     0,     0,     0,  2335,     0,     0,     0,
       0,     0,     0,   945,   981,     0,     0,  5942,     0,     0,
    2596,     0,     0,  2597,     0,   896,     0,     0,     0,   894,
       0,     0,     0,     0,     0,     0,     0,     0,  1564,     0,
       0,     0,     0,     0,     0,     0,     0,   213,  3205,     0,
       0,   720,     0,     0,   894,     0,     0,     0,   945,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5018,     0,     0,     0,     0,   846,  1046,     0,
       0,  3206,   846,     0,     0,     0,     0,     0,   724,     0,
       0,  2797,     0,  1124,     0,   725,     0,     0,   726,     0,
       0,   846,     0,     0,     0,  5067,     0,     0,  5654,     0,
       0,     0,  1665,  2598,     0,     0,  1566,   727,     0,   934,
     846,  4824,     0,     0,  1048,     0,  1567,     0,     0,     0,
       0,   729,     0,     0,  1049,  1568,     0,     0,   731,     0,
       0,     0,     0,     0,     0,     0,     0,  1569,     0,     0,
       0,     0,     0,  3207,     0,     0,     0,  1363,     0,     0,
       0,  1363,     0,  1363,     0,     0,     0,  2083,     0,     0,
    2084,     0,     0,     0,  2085,  2086,  2087,  1363,     0,   736,
       0,     0,     0,     0,   633,     0,  2761,  1363,     0,  1571,
    1572,  5723,  2588,     0,     0,     0,     0,     0,  1363,     0,
       0,     0,  2589,     0,     0,  1363,     0,     0,     0,  2590,
       0,     0,   894,     0,     0,  2526,     0,     0,     0,     0,
       0,  2762,     0,     0,  2527,  2528,  2529,  2530,  2531,  2532,
    2533,  2534,  2535,     0,     0,  2591,     0,  5452,     0,     0,
     846,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1363,     0,     0,  1124,     0,     0,     0,     0,
    1556,     0,     0,     0,  2083,     0,  1557,  2084,  1363,     0,
       0,  2085,  2086,  2087,  1363,  1363,     0,     0,     0,   934,
     934,   934,   934,     0,     0,     0,     0,     0,     0,  2588,
    1574,     0,     0,     0,     0,     0,     0,     0,     0,  2589,
       0,     0,     0,   894,     0,     0,  2590,     0,     0,     0,
    1363,  1559,     0,     0,     0,     0,     0,     0,     0,   633,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   894,  2591,  4332,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   846,     0,     0,  3432,     0,     0,
    2592,   641,     0,     0,     0,  2593,     0,   690,   641,     0,
       0,     0,     0,   742,     0,   641,     0,  1560,     0,     0,
       0,   641,   846,   795,  1561,     0,     0,  1562,  2594,  2274,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4381,   857,   857,     0,     0,     0,     0,     0,     0,
    1363,  2595,     0,     0,  1563,     0,     0,     0,     0,  1363,
    1363,  1363,     0,     0,     0,  1980,     0,     0,     0,  3747,
       0,     0,  1363,     0,     0,     0,     0,     0,     0,     0,
       0,  1363,     0,  1363,     0,  1363,  5512,     0,  6230,     0,
    1564,     0,  4824,  2335,     0,     0,     0,  2592,     0,     0,
       0,     0,  2593,  1980,     0,   981,     0,  2596,     0,     0,
    2597,  4424,     0,     0,     0,  1363,     0,     0,     0,     0,
       0,     0,     0,   894,     0,  2594,  2274,     0,     0,     0,
       0,     0,     0,     0,  6230,     0,     0,     0,     0,     0,
       0,  1712,     0,     0,     0,     0,     0,     0,  2595,     0,
    1980,  1980,  6230,     0,     0,     0,     0,     0,     0,  3790,
       0,     0,     0,     0,  1565,     0,     0,     0,  1566,     0,
     894,  4455,  4455,     0,     0,   894,     0,  1556,  1567,     0,
     934,  4471,     0,  1557,     0,     0,  1124,  1568,  1124,     0,
    2335,     0,     0,   936,  5986,     0,     0,   940,     0,  1569,
    2598,     0,     0,     0,  2596,   983,     0,  2597,   985,     0,
       0,   990,   991,     0,   994,     0,   997,     0,     0,  1003,
       0,  1005,     0,     0,     0,     0,     0,     0,  1559,     0,
       0,  1363,     0,     0,  4526,     0,     0,     0,  2839,     0,
       0,  1571,  1572,     0,  1363,     0,     0,     0,  5723,     0,
    1526,     0,     0,     0,  1363,     0,     0,     0,     0,     0,
       0,     0,     0,  3481,  1363,     0,     0,     0,     0,  4562,
    1124,     0,     0,  2840,     0,     0,     0,     0,  3488,     0,
       0,   945,  2697,  3494,  1560,  1527,     0,     0,     0,     0,
       0,  1561,     0,     0,  1562,     0,   934,  2598,     0,     0,
       0,     0,  2526,  1980,     0,     0,     0,     0,     0,     0,
       0,  2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,
       0,  1563,     0,     0,  5463,     0,     0,     0,  2797,     0,
     894,     0,     0,     0,     0,  1363,     0,     0,     0,     0,
       0,   896,  1574,     0,     0,  4824,  1528,   896,     0,     0,
       0,     0,     0,   945,   945,  6105,     0,  1564,     0,  1363,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1980,  1980,  6115,     0,     0,     0,     0,  1363,  1363,
       0,     0,     0,  1529,  6121,     0,     0,     0,   896,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2526,
       0,     0,     0,     0,     0,     0,   934,     0,  2527,  2528,
    2529,  2530,  2531,  2532,  2533,  2534,  2535,     0,     0,     0,
       0,  5473,     0,     0,     0,     0,     0,     0,  1530,     0,
       0,  1665,     0,     0,     0,  1566,  5986,   934,   934,     0,
       0,  1556,  4824,     0,     0,  1567,     0,  1557,     0,     0,
       0,     0,     0,     0,  1568,   894,     0,     0,     0,     0,
     633,  1363,     0,     0,     0,     0,  1569,  1531,     0,     0,
    4715,  1532,     0,     0,     0,  1363,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1363,  1559,     0,     0,     0,   894,     0,     0,     0,
       0,     0,  1614,  1534,     0,  3583,     0,     0,  1571,  1572,
       0,     0,     0,     0,     0,     0,     0,     0,   894,     0,
       0,     0,     0,     0,  6201,  6202,   633,  6206,  5723,     0,
       0,  3481,     0,     0,     0,     0,     0,     0,     0,     0,
    1573,  1615,     0,   934,     0,    35,  4824,     0,  1560,     0,
    1536,     0,     0,     0,     0,  1561,     0,     0,  1562,  1537,
       0,     0,     0,     0,     0,     0,  1712,  4230,  1538,     0,
       0,     0,     0,     0,     0,     0,  1616,     0,     0,     0,
       0,     0,     0,     0,     0,  1563,  1363,   633,  1540,     0,
     894,  1363,     0,     0,     0,   633,     0,  1541,   896,     0,
       0,  1542,     0,     0,     0,     0,     0,   945,   945,  1574,
       0,  6268,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1564,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1033,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1070,     0,  -136,     0,  1074,     0,  1543,     0,     0,     0,
       0,  1087,  1088,     0,     0,  1094,     0,  1098,  1099,     0,
       0,  2697,     1,     0,     0,  2697,     0,     0,     0,     0,
       0,     0,  1121,     2,     0,     3,     4,     0,     0,     0,
       0,     0,     0,     0,     0,  1665,     0,     0,  4471,  1566,
    1134,     0,     0,     5,     0,     0,     0,     0,     0,  1567,
       0,   894,     0,     6,     0,     0,     0,     0,  1568,     0,
       0,  1162,     0,  1164,     0,     7,  4920,     8,     9,     0,
    1569,     0,     0,  1180,    10,     0,    11,     0,     0,     0,
       0,  4934,     0,     0,  4935,     0,  4936,     0,    12,     0,
      13,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   641,    14,     0,  3765,
      15,     0,  1571,  1572,     0,     0,     0,     0,   896,     0,
       0,     0,     0,     0,     0,    16,     0,    17,     0,     0,
       0,    18,  4976,   896,     0,     0,     0,    19,   896,     0,
       0,     0,     0,  1556,  3766,    20,     0,    21,  3790,  1557,
       0,     0,     0,  3790,    22,     0,  1623,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   896,     0,
       0,     0,    23,     0,     0,     0,     0,     0,  1624,     0,
       0,     0,     0,     0,     0,   894,     0,   857,     0,    24,
       0,     0,     0,     0,  1559,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1556,     0,     0,  1574,     0,     0,  1557,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1625,
       0,     0,     0,     0,     0,     0,     0,     0,    25,    26,
       0,     0,     0,     0,    27,     0,     0,     0,     0,     0,
    1560,     0,  5081,     0,     0,  4471,   894,  1561,     0,    28,
    1562,  1559,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1517,     0,     0,     0,     0,    29,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1563,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1560,     0,  1626,
       0,    30,     0,  1564,  1561,     0,     0,  1562,     0,     0,
       0,  5130,  5130,  5130,  5130,    31,  5130,  5130,  5130,  5130,
    5130,    32,    33,     0,    34,     0,  1696,     0,     0,    35,
       0,     0,     0,     0,  1563,    36,     0,     0,    37,     0,
       0,     0,     0,     0,     0,    38,     0,     0,     0,     0,
       0,  1817,    39,    40,     0,     0,     0,  1627,   894,     0,
      41,     0,  1628,     0,    42,     0,  1829,     0,  1830,     0,
    1564,     0,     0,     0,    43,     0,     0,  1629,  1833,     0,
       0,  1566,     0,     0,     0,  1843,     0,     0,     0,     0,
      44,  1567,     0,     0,     0,     0,     0,     0,  2697,     0,
    1568,  3494,     0,  3494,     0,     0,     0,     0,  2697,     0,
      45,  1630,  1569,     0,     0,     0,     0,     0,     0,     0,
       0,    46,     0,     0,     0,     0,     0,    47,  1895,     0,
    1897,  5205,    48,  5207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1665,    49,     0,     0,  1566,     0,
       0,  3691,     0,     0,  1571,  1572,  1632,   896,  1567,     0,
       0,     0,     0,     0,     0,   896,     0,  1568,     0,    50,
       0,    51,    52,    53,    54,    55,     0,     0,     0,  1569,
    1633,     0,     0,     0,     0,     0,  3692,     0,    56,     0,
    2697,  -136,   894,     0,     0,  -136,     0,   894,   894,     0,
    1635,     0,     0,     0,   641,     0,   641,     0,   641,     0,
     641,     0,   641,   641,   641,     1,     0,     0,  4284,   641,
       0,  1571,  1572,     0,     0,     0,     2,     0,     3,     4,
       0,  2001,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     5,     0,     0,     0,
       0,     0,     0,  4285,     0,  1574,     6,     0,     0,     0,
     896,     0,   896,     0,     0,     0,     0,     0,     7,     0,
       8,     9,     0,  2083,     0,     0,  2084,    10,     0,    11,
    2085,  2086,  2087,     0,     0,     0,     0,     0,     0,     0,
       0,    12,     0,    13,     0,     0,     0,     0,  2588,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2589,     0,
      14,   894,     0,    15,     0,  2590,     0,     0,     0,     0,
       0,     0,  1574,     0,     0,     0,     0,     0,    16,     0,
      17,     0,     0,     0,    18,     0,     0,     0,     0,     0,
      19,  2591,     0,     0,     0,     0,     0,     0,    20,     0,
      21,     0,     0,  5338,  5339,     0,     0,    22,   896,     0,
     894,     0,     0,     0,     0,     0,  3790,     0,  3790,  3790,
    3790,     0,   946,   956,     0,    23,     0,     0,     0,     0,
     946,     0,   956,   946,     0,     0,     0,  1712,     0,     0,
       0,     0,    24,  1712,     0,     0,   956,     0,     0,     0,
       0,     0,   896,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   857,     0,     0,     0,
    1556,     0,     0,     0,     0,     0,  1557,     0,     0,     0,
    3494,     0,     0,     0,  5392,     0,     0,     0,     0,     0,
       0,    25,    26,     0,     0,     0,     0,    27,     0,     0,
       0,     0,     0,     0,     0,     0,  2592,     0,     0,     0,
       0,  2593,    28,     0,     0,     0,     0,     0,     0,     0,
       0,  1559,     0,  5420,     0,     0,     0,     0,     0,     0,
      29,     0,     0,     0,  2594,  2274,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   896,     0,
       0,     0,     0,     0,     0,     0,  2083,  2595,     0,  2084,
       0,     0,     0,  2085,  2086,  2087,  5130,     0,     0,     0,
    3494,     0,     0,     0,    30,     0,     0,  1560,     0,     0,
       0,  2588,     0,     0,  1561,     0,  2759,  1562,    31,     0,
       0,  2589,   896,     0,    32,    33,     0,    34,  2590,  2335,
       0,     0,    35,     0,     0,     0,     0,     0,    36,     0,
       0,    37,     0,  2596,  1563,     0,  2597,     0,    38,     0,
       0,     0,     0,     0,  2591,    39,    40,     0,     0,     0,
       0,     0,     0,    41,     0,     0,     0,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    43,     0,     0,
    1564,     0,     0,     0,     0,     0,     0,  2083,  2851,     0,
    2084,     0,     0,    44,  2085,  2086,  2087,     0,     0,     0,
       0,     0,     0,     0,   896,     0,     0,  2083,     0,     0,
    2084,     0,  2588,    45,  2085,  2086,  2087,     0,     0,     0,
       0,     0,  2589,     0,    46,     0,     0,     0,     0,  2590,
      47,     0,  2588,     0,     0,    48,  2598,     0,     0,     0,
       0,     0,  2589,     0,     0,     0,     0,     0,    49,  2590,
       0,     0,     0,   896,  1665,  2591,     0,     0,  1566,     0,
       0,  4471,     0,     0,     0,     0,     0,     0,  1567,  2592,
       0,     0,    50,     0,  2593,  2591,     0,  1568,   896,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1569,
       0,    56,     0,     0,  -136,     0,     0,  2594,  2274,     0,
       0,     0,     0,     0,     0,     0,     0,  3790,     0,     0,
       0,     0,     0,     0,     0,     0,  5600,     0,     0,     0,
    2595,     0,     0,     0,     0,     0,     0,     0,  4344,     0,
       0,  1571,  1572,     0,     0,     0,     0,     0,  2526,     0,
       0,     0,     0,     0,     0,     0,     0,  2527,  2528,  2529,
    2530,  2531,  2532,  2533,  2534,  2535,     0,     0,     0,     0,
    5528,     0,  2335,  4345,     0,     0,     0,     0,     0,     0,
    2592,     0,     0,     0,     0,  2593,  2596,     0,     0,  2597,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2592,   956,     0,     0,     0,  2593,     0,     0,  2594,  2274,
       0,     0,     0,     0,  2982,     0,     0,     0,     0,     0,
     956,     0,     0,     0,     0,     0,   956,     0,  2594,  2274,
       0,  2595,     0,     0,     0,     0,     0,     0,   956,     0,
       0,     0,  1574,     0,     0,     0,  2697,     0,     0,  3018,
       0,  2595,     0,     0,   956,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   946,   956,
       0,     0,     0,  2335,     0,   946,     0,   956,   946,  2598,
       0,     0,     0,     0,     0,     0,     0,  2596,     0,     0,
    2597,   956,     0,  2335,     0,  3083,     0,     0,     0,     0,
       0,   956,     0,     0,     0,     0,     0,  2596,     0,     0,
    2597,     0,     0,     0,     0,  3101,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3494,     0,     0,
       0,  3121,     0,  3122,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   956,     0,     0,     0,  3131,  1124,
    3132,     0,     0,  5794,     0,  3494,   641,     0,   641,     0,
     641,     0,   641,     0,   641,     0,     0,     0,   641,     0,
    2598,  2526,   956,     0,     0,     0,     0,   885,     0,     0,
    2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,     0,
    2598,     0,     0,  5564,     0,     0,     0,   956,     0,     0,
    2083,     0,     0,  2084,     0,  3191,     0,  2085,  2086,  2087,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2588,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2589,     0,     0,     0,     0,
       0,     0,  2590,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   956,
       0,     0,     0,     0,     0,     0,     0,     0,  2591,     0,
       0,     0,  2526,     0,     0,     0,     0,     0,     0,     0,
       0,  2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,
       0,     0,  2526,     0,  5566,     0,     0,   896,     0,     0,
       0,  2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,
       0,     0,     0,     0,  5605,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3494,     0,     0,     0,     0,  2697,
       0,  1124,     0,     0,     0,  5948,     0,  5949,     0,     0,
       0,  5955,  5956,   702,     0,     0,     0,     0,   703,  1799,
       0,     0,     0,     0,     0,     0,   956,     0,     0,     0,
       0,     0,     0,  2592,     0,     0,     0,   946,  2593,     0,
       0,   946,     0,   946,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   704,     0,     0,     0,
       0,  2594,  2274,  2083,     0,     0,  2084,     0,     0,   705,
    2085,  2086,  2087,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2595,   706,     0,     0,  2588,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2589,     0,
       0,     0,     0,   707,     0,  2590,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2335,   708,     0,     0,
       0,  2591,     0,     0,     0,     0,     0,     0,   709,     0,
    2596,     0,     0,  2597,     0,     0,     0,   710,     0,     0,
     956,     0,     0,     0,   896,     0,     0,     0,     0,     0,
     711,     0,     0,     0,     0,     0,   712,     0,     0,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   956,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   956,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2598,     0,     0,     0,     0,     0,   956,
       0,     0,     0,     0,   956,     0,  2592,     0,   715,     0,
       0,  2593,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1124,     0,     0,  2594,  2274,     0,     0,     0,   896,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     716,     0,     0,     0,     0,     0,     0,  2595,     0,     0,
       0,     0,     0,   717,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   718,     0,     0,     0,     0,     0,
     896,     0,     0,     0,   213,   719,     0,     0,   720,     0,
       0,     0,     0,     0,     0,  2526,     0,     0,     0,  2335,
       0,     0,   896,     0,  2527,  2528,  2529,  2530,  2531,  2532,
    2533,  2534,  2535,  2596,     0,   721,  2597,  5925,   722,     0,
       0,     0,   723,     0,     0,   724,     0,     0,     0,     0,
       0,     0,   725,     0,   956,   726,     0,     0,     0,     0,
       0,     0,   956,   956,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   727,     0,     0,     0,     0,     0,
       0,   728,     0,     0,     0,     0,     0,     0,   729,     0,
       0,   730,  6231,     0,   896,   731,  2551,     0,     0,     0,
       0,     0,     0,   732,     0,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,  1799,     0,     0,     0,     0,
       0,     0,     0,   735,     0,     0,  2598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   736,     0,  6231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6231,     0,     0,  5205,
       0,     0,     0,     0,   885,     0,     0,     0,     0,     0,
       0,   887,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     885,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3484,  3485,     0,     0,     0,     0,
       0,     0,     0,  5424,     0,   896,     0,     0,     0,     0,
       0,     0,     0,  3500,  3501,     0,  3503,  3504,  2526,     0,
       0,  3507,  3508,     0,     0,     0,     0,  2527,  2528,  2529,
    2530,  2531,  2532,  2533,  2534,  2535,  3519,     0,     0,     0,
    5936,     0,     0,     0,  3529,     0,     0,     0,  3532,  3533,
       0,     0,  3536,  3537,     0,     0,     0,     0,     0,  3542,
       0,     0,     0,     0,     0,  2083,     0,     0,  2084,     0,
       0,  3557,  2085,  2086,  2087,     0,     0,     0,     0,     0,
       0,     0,     0,  3574,     0,     0,     0,     0,  3576,     0,
    2588,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2589,     0,     0,  3582,     0,     0,     0,  2590,     0,     0,
       0,     0,  3589,     0,     0,  3593,     0,  3595,  3598,  3600,
       0,     0,     0,   885,  3608,  3611,     0,     0,     0,     0,
       0,     0,     0,  2591,  3624,     0,     0,     0,     0,   896,
    3634,     0,     0,     0,  3637,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   956,     0,  3647,  3648,     0,     0,
       0,  3653,     0,     0,     0,     0,     0,  3662,  3663,  2083,
       0,     0,  2084,     0,     0,     0,  2085,  2086,  2087,     0,
       0,  3672,     0,     0,  3673,     0,     0,     0,     0,     0,
       0,  3685,  3686,     0,  2588,     0,     0,  3690,     0,     0,
       0,     0,     0,     0,  2589,     0,     0,     0,     0,  3697,
    3494,  2590,  3700,     0,     0,     0,     0,  3703,     0,     0,
       0,     0,     0,  3706,  3707,     0,     0,     0,     0,     0,
       0,  3715,     0,     0,     0,  3717,     0,  2591,     0,  3724,
    3725,  3726,  3727,     0,  3729,     0,     0,     0,  2592,     0,
       0,     0,     0,  2593,     0,     0,     0,     0,  3755,  3756,
       0,  3758,     0,     0,     0,     0,     0,     0,     0,   956,
       0,     0,  3768,  3769,  3770,     0,  2594,  2274,     0,     0,
       0,     0,     0,     0,     0,     0,   885,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   885,     0,  2595,
       0,     0,     0,     0,  1799,     0,     0,     0,     0,     0,
       0,     0,     0,   885,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   956,     0,  3822,
       0,     0,  3494,     0,     0,   956,     0,  3846,     0,     0,
       0,  2335,     0,   956,     0,     0,     0,     0,     0,     0,
       0,     0,  2592,     0,     0,  2596,  3858,  2593,  2597,     0,
       0,     0,     0,     0,     0,  2083,     0,     0,  2084,     0,
       0,     0,  2085,  2086,  2087,     0,     0,     0,     0,     0,
    2594,  2274,     0,     0,   946,   946,     0,   956,   956,     0,
    2588,     0,     0,     0,     0,     0,     0,     0,     0,   946,
    2589,   956,   946,  2595,     0,     0,  3926,  2590,     0,     0,
       0,     0,     0,     0,   956,   956,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3940,     0,  3942,     0,     0,
       0,     0,     0,  2591,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2335,     0,     0,  2598,     0,
       0,     0,   946,     0,     0,     0,   946,   946,     0,  2596,
       0,     0,  2597,     0,     0,     0,   896,     0,     0,     0,
     885,   896,   896,     0,  2083,     0,     0,  2084,     0,     0,
       0,  2085,  2086,  2087,     0,     0,     0,     0,     0,     0,
       0,   888,     0,     0,     0,     0,     0,     0,     0,  2588,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2589,
       0,     0,     0,     0,     0,     0,  2590,     0,     0,     0,
       0,     0,  4004,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2591,     0,     0,     0,     0,     0,  2592,     0,
    2526,     0,  2598,  2593,     0,     0,     0,     0,     0,  2527,
    2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,     0,     0,
       0,  1799,  5958,     0,     0,     0,  2594,  2274,     0,     0,
       0,     0,     0,     0,  5424,   896,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2595,
       0,     0,     0,   955,     0,     0,     0,     0,     0,     0,
       0,     0,   955,     0,     0,     0,     0,     0,   887,     0,
       0,     0,     0,     0,     0,     0,   955,     0,     0,     0,
       0,     0,     0,     0,   896,     0,     0,     0,     0,     0,
       0,  2335,     0,     0,   887,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2526,  2596,     0,  2592,  2597,     0,
       0,     0,  2593,  2527,  2528,  2529,  2530,  2531,  2532,  2533,
    2534,  2535,     0,     0,     0,     0,  6149,     0,     0,     0,
       0,     0,     0,     0,     0,  2594,  2274,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2595,     0,
       0,     0,  2083,     0,     0,  2084,     0,     0,     0,  2085,
    2086,  2087,     0,     0,     0,     0,     0,     0,   885,     0,
       0,     0,     0,     0,     0,     0,     0,  2588,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2589,  2598,     0,
    2335,     0,     0,     0,  2590,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2596,     0,     0,  2597,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2591,     0,     0,     0,     0,     0,     0,   887,     0,     0,
       0,     0,     0,     0,     0,   885,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2083,     0,     0,  2084,
       0,     0,     0,  2085,  2086,  2087,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2588,     0,  4256,     0,     0,   885,     0,     0,     0,
       0,  2589,     0,     0,     0,     0,     0,     0,  2590,     0,
    2526,     0,     0,     0,  4269,     0,     0,  2598,     0,  2527,
    2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,     0,   885,
    4082,  4276,  6166,     0,  2591,  4276,  4083,     0,     0,     0,
    4287,  4288,  4289,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2592,     0,     0,     0,     0,
    2593,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4319,  4320,  4321,  4322,
       0,     0,     0,  2594,  2274,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2595,     0,     0,     0,
     887,     0,     0,     0,  4343,     0,  4347,  4348,  4349,  2526,
       0,   887,     0,  6012,     0,     0,     0,     0,  2527,  2528,
    2529,  2530,  2531,  2532,  2533,  2534,  2535,   887,     0,     0,
       0,  6208,     0,     0,     0,     0,     0,     0,  2335,  2592,
       0,     0,     0,     0,  2593,     0,     0,     0,     0,     0,
       0,     0,  2596,     0,     0,  2597,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2594,  2274,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2595,   955,     0,     0,     0,  2083,     0,     0,  2084,     0,
       0,     0,  2085,  2086,  2087,     0,     0,     0,     0,     0,
     955,   885,     0,     0,     0,     0,   955,     0,     0,     0,
    2588,     0,   885,     0,     0,     0,  4432,     0,   955,     0,
    2589,     0,  2335,     0,     0,  4438,     0,  2590,   885,     0,
       0,  1799,     0,     0,   955,  4084,  2596,     0,     0,  2597,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   955,
       0,  4448,  4449,  2591,     0,     0,  4450,   955,     0,     0,
       0,     0,  6013,     0,     0,     0,     0,     0,     0,     0,
       0,   955,     0,     0,   887,     0,     0,     0,  4492,     0,
       0,   955,   885,     0,  1712,     0,   956,     0,   888,     0,
       0,     0,     0,     0,     0,     0,     0,   885,     0,     0,
     885,   885,     0,     0,   956,     0,     0,     0,   956,     0,
       0,     0,   956,     0,   888,     0,     0,     0,     0,     0,
       0,   956,     0,     0,     0,     0,     0,     0,     0,  2598,
    4529,   885,   885,     0,   955,  4535,     0,  2526,     0,     0,
     956,  4541,     0,     0,     0,     0,  2527,  2528,  2529,  2530,
    2531,  2532,  2533,  2534,  2535,     0,     0,   946,     0,   946,
     946,     0,   955,     0,     0,     0,     0,     0,  2592,     0,
       0,  4580,     0,  2593,   956,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   955,     0,     0,
       0,     0,     0,     0,   956,   956,  2594,  2274,     0,   890,
    4595,     0,  4596,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2595,
       0,     0,     0,     0,     0,  1799,   956,     0,     0,  1799,
       0,  2526,     0,     0,     0,     0,     0,     0,     0,     0,
    2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,   955,
       0,     0,     0,   956,     0,  1799,     0,   888,     0,   956,
       0,  2335,     0,     0,     0,     0,     0,     0,     0,     0,
     885,     0,     0,   956,     0,  2596,     0,     0,  2597,     0,
     956,     0,     0,   956,     0,     0,     0,     0,     0,   956,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4706,     0,     0,     0,     0,     0,   956,
       0,     0,     0,     0,     0,   956,     0,     0,     0,     0,
       0,     0,   956,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   887,     0,     0,     0,   956,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     956,     0,     0,     0,     0,  1799,     0,     0,     0,  1798,
       0,   956,     0,     0,     0,     0,   955,     0,  2598,  2083,
       0,     0,  2084,     0,     0,     0,  2085,  2086,  2087,     0,
       0,     0,     0,     0,     0,  4707,     0,     0,     0,     0,
       0,     0,     0,     0,  2588,     0,     0,  4013,     0,   887,
       0,     0,     0,     0,  2589,     0,     0,     0,     0,     0,
       0,  2590,     0,     0,     0,     0,     0,     0,     0,     0,
     888,  1799,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   888,     0,     0,     0,     0,     0,  2591,     0,     0,
     887,     0,     0,     0,     0,     0,     0,   888,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2526,     0,     0,   887,     0,     0,     0,     0,     0,  2527,
    2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,     0,     0,
     955,     0,  2083,     0,     0,  2084,     0,     0,     0,  2085,
    2086,  2087,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4829,     0,  2588,  4836,     0,
    4837,     0,     0,     0,     0,     0,     0,  2589,     0,     0,
       0,     0,     0,  4844,  2590,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4850,     0,     0,     0,  4853,
       0,   955,  2592,     0,     0,     0,     0,  2593,     0,     0,
    2591,     0,   955,     0,     0,     0,     0,     0,  4880,     0,
       0,     0,     0,     0,     0,     0,   956,     0,  1799,   955,
    2594,  2274,     0,     0,   955,     0,  4884,     0,     0,     0,
       0,     0,     0,     0,  4888,   956,     0,     0,     0,     0,
       0,     0,   956,  2595,   888,     0,     0,     0,     0,   946,
       0,   946,   946,     0,     0,     0,     0,     0,     0,  4923,
       0,     0,     0,  4927,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4937,  4938,
    4939,  4940,     0,     0,     0,  2335,     0,     0,  4944,  4945,
    4946,  4947,     0,     0,     0,     0,     0,  4949,  4950,  2596,
       0,     0,  2597,  4957,  4958,   887,  4960,  4961,  4962,  4963,
    4964,  4965,  4966,     0,     0,  2592,   887,     0,     0,     0,
    2593,     0,  4975,     0,     0,     0,  4978,  4979,  4980,  4981,
       0,     0,   887,     0,     0,     0,  1799,     0,     0,     0,
       0,     0,  1799,  2594,  2274,     0,     0,     0,     0,     0,
    4276,     0,     0,     0,   955,     0,     0,     0,     0,     0,
       0,     0,   955,   955,     0,     0,  2595,     0,  5001,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   887,     0,     0,     0,
       0,     0,  2598,     0,     0,     0,     0,     0,     0,     0,
       0,   887,     0,     0,   887,   887,     0,     0,  2335,     0,
       0,     0,     0,     0,     0,  1798,     0,     0,     0,     0,
       0,     0,  2596,     0,     0,  2597,     0,   956,     0,     0,
       0,     0,     0,     0,     0,   887,   887,     0,     0,     0,
       0,     0,     0,     0,  5082,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4276,     0,     0,
       0,     0,     0,     0,  5107,     0,  5108,     0,     0,     0,
       0,     0,     0,     0,  2526,     0,   890,     0,     0,     0,
       0,     0,   888,  2527,  2528,  2529,  2530,  2531,  2532,  2533,
    2534,  2535,     0,   885,  5123,  2598,     0,   885,   885,     0,
       0,     0,   890,     0,     0,     0,     0,     0,     0,     0,
       0,   891,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   956,   956,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   888,
       0,     0,     0,     0,   887,     0,   885,     0,     0,     0,
       0,     0,   885,     0,     0,     0,   956,     0,     0,   956,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     888,     0,     0,     0,     0,     0,  4022,  2526,     0,     0,
       0,     0,     0,   885,     0,     0,  2527,  2528,  2529,  2530,
    2531,  2532,  2533,  2534,  2535,     0,     0,     0,     0,     0,
       0,     0,     0,   888,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1799,  1799,  1799,   955,   890,     0,     0,  2083,     0,
       0,  2084,     0,     0,     0,  2085,  2086,  2087,     0,     0,
       0,     0,     0,     0,     0,     0,   956,     0,     0,     0,
       0,     0,     0,  2588,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2589,     0,   956,     0,     0,     0,     0,
    2590,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   956,     0,     0,
       0,     0,  5273,  5274,  5275,     0,  2591,     0,  5276,  5277,
    5278,  5279,     0,     0,     0,  5281,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   955,
       0,     0,     0,     0,  5302,  5303,  5304,  5305,  5306,     0,
    5308,  5309,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5318,  5319,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1798,     0,     0,   956,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   890,     0,
       0,     0,     0,   885,     0,   888,  5325,   955,     0,   890,
       0,     0,     0,     0,     0,   955,   888,     0,     0,     0,
       0,  2592,     0,   955,     0,   890,  2593,     0,     0,     0,
       0,     0,   888,     0,  1799,     0,     0,     0,     0,     0,
     956,     0,   956,     0,     0,     0,     0,     0,     0,  2594,
    2274,     0,     0,     0,     0,   956,     0,   956,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   955,   955,     0,
       0,     0,  2595,     0,     0,     0,   885,     0,     0,     0,
     885,   955,     0,     0,     0,     0,   888,     0,     0,     0,
       0,     0,     0,     0,   955,   955,     0,     0,     0,     0,
       0,   888,     0,     0,   888,   888,     0,     0,  5390,     0,
       0,     0,     0,     0,  2335,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   956,     0,     0,     0,  2596,     0,
       0,  2597,     0,     0,     0,   888,   888,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4055,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   956,     0,     0,     0,
       0,     0,     0,  5441,     0,     0,     0,     0,     0,     0,
       0,     0,   890,   885,     0,   956,     0,     0,     0,   956,
       0,     0,     0,     0,     0,     0,     0,     0,   885,     0,
       0,     0,     0,   885,     0,  5447,     0,     0,     0,     0,
     956,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   885,     0,     0,  2083,     0,     0,  2084,
       0,     0,     0,  2085,  2086,  2087,     0,     0,     0,     0,
       0,  1798,     0,     0,   702,     0,     0,     0,     0,  1035,
       0,  2588,     0,     0,  4087,     0,     0,     0,     0,     0,
       0,  2589,     0,     0,   888,     0,     0,     0,  2590,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1036,   641,     0,
       0,     0,     0,     0,  2591,     0,     0,     0,     0,     0,
     705,  1037,     0,     0,     0,  1799,     0,   893,     0,     0,
       0,     0,  1038,  2526,     0,     0,   706,     0,     0,     0,
       0,     0,  2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,
    2535,     0,     0,     0,  1039,     0,     0,   887,     0,     0,
       0,   887,   887,     0,     0,     0,     0,     0,   891,     0,
       0,     0,   895,     0,  5553,     0,     0,     0,  1040,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   709,
       0,     0,     0,  5563,   891,     0,     0,     0,   710,  5569,
    5570,     0,     0,     0,     0,     0,     0,     0,     0,  5581,
       0,   711,     0,     0,     0,     0,  5583,  1041,     0,     0,
     887,     0,     0,     0,     0,     0,   887,     0,     0,  2592,
       0,     0,     0,     0,  2593,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1042,     0,     0,     0,     0,     0,
     890,     0,     0,  5636,  5637,     0,     0,  2594,  2274,     0,
       0,     0,     0,     0,     0,     0,  5645,   887,  5647,     0,
       0,     0,     0,     0,     0,     0,     0,  1043,     0,     0,
    2595,     0,     0,  5661,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   885,     0,     0,   885,     0,   885,   715,
       0,     0,     0,   885,     0,   956,     0,     0,  4276,     0,
       0,     0,     0,     0,     0,     0,  5695,   890,     0,     0,
       0,     0,  2335,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2596,   891,     0,  2597,
       0,  1044,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   885,     0,     0,     0,  1799,     0,   890,     0,
     885,  1799,     0,  1799,     0,   718,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   213,  1045,     0,     0,   720,
       0,     0,     0,     0,     0,   885,     0,     0,     0,  1799,
    5737,   890,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1046,     0,     0,  1047,
       0,     0,     0,   723,     0,  5758,   724,     0,     0,     0,
       0,     0,     0,   725,     0,     0,   726,  5766,     0,  2598,
       0,     0,     0,     0,     0,   956,     0,     0,   956,     0,
       0,     0,     0,     0,     0,   727,     0,     0,     0,     0,
       0,     0,  1048,     0,     0,   885,     0,   885,     0,   729,
       0,     0,  1049,     0,     0,     0,   731,     0,     0,     0,
       0,     0,     0,     0,  1050,     0,   733,   887,     0,     0,
       0,  1051,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5824,     0,     0,     0,     0,
     891,     0,     0,     0,     0,     0,     0,   736,     0,     0,
       0,   891,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   891,   956,   956,
       0,  2526,     0,     0,     0,     0,     0,     0,     0,   956,
    2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,     0,
     887,     0,     0,   885,   887,     0,   956,     0,     0,     0,
       0,     0,     0,     0,     0,  4276,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1798,     0,   890,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   890,     0,     0,   885,     0,     0,
       0,     0,     0,     0,     0,     0,  2083,     0,     0,  2084,
     890,     0,     0,  2085,  2086,  2087,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   885,     0,     0,     0,     0,
       0,  2588,  5923,     0,     0,     0,   955,   956,     0,     0,
    1799,  2589,     0,     0,     0,     0,     0,  5937,  2590,     0,
       0,     0,     0,     0,   955,     0,     0,   887,   955,     0,
       0,     0,   955,     0,   890,     0,     0,     0,     0,     0,
       0,   955,   887,     0,  2591,     0,     0,   887,     0,   890,
       0,     0,   890,   890,   891,     0,     0,   888,     0,     0,
     955,   888,   888,   885,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5976,     0,   887,     0,     0,
       0,     0,     0,   890,   890,   885,     0,     0,     0,     0,
       0,     0,     0,     0,   955,     0,     0,  2083,     0,     0,
    2084,     0,     0,     0,  2085,  2086,  2087,   885,     0,     0,
       0,     0,     0,     0,   955,   955,     0,     0,     0,     0,
     888,     0,  2588,     0,     0,  4099,   888,     0,     0,     0,
       0,     0,  2589,     0,     0,     0,     0,     0,     0,  2590,
    4092,     0,     0,     0,     0,  1798,   955,     0,     0,  1798,
       0,     0,     0,     0,   893,     0,     0,     0,     0,  2592,
       0,     0,     0,     0,  2593,  2591,     0,   888,     0,     0,
    6051,     0,     0,   955,     0,  1798,     0,     0,     0,   955,
     893,     0,     0,     0,     0,     0,     0,  2594,  2274,   885,
       0,     0,     0,   955,     0,     0,     0,     0,     0,   895,
     955,     0,  6064,   955,     0,     0,     0,     0,     0,   955,
    2595,     0,     0,  6074,     0,     0,     0,     0,     0,     0,
       0,     0,   890,     0,     0,   895,     0,     0,     0,   955,
       0,     0,     0,     0,     0,   955,     0,     0,   885,     0,
       0,     0,   955,     0,     0,     0,     0,   956,     0,     0,
       0,     0,  2335,     0,     0,     0,   955,     0,     0,     0,
       0,     0,     0,   885,     0,     0,  2596,     0,     0,  2597,
     955,     0,     0,     0,     0,  1798,     0,     0,     0,     0,
    2592,   955,     0,     0,     0,  2593,     0,     0,     0,     0,
       0,     0,   956,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   956,     0,     0,     0,  2594,  2274,
       0,     0,   891,     0,     0,     0,  6143,     0,     0,     0,
       0,     0,     0,   893,     0,     0,     0,   887,     0,     0,
     887,  2595,   887,     0,     0,     0,     0,   887,   956,     0,
       0,  1798,     0,     0,     0,     0,     0,     0,     0,  2083,
       0,     0,  2084,     0,     0,     0,  2085,  2086,  2087,  2598,
       0,     0,     0,     0,     0,     0,     0,     0,   895,     0,
       0,     0,     0,  2335,  2588,     0,     0,   888,     0,   891,
       0,     0,     0,     0,  2589,     0,   887,  2596,     0,     0,
    2597,  2590,     0,     0,   887,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1799,  2591,     0,   887,
     891,   885,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   956,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     888,     0,     0,   891,   888,     0,     0,     0,     0,     0,
       0,  2526,     0,     0,     0,     0,     0,     0,     0,     0,
    2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,     0,
    2598,     0,     0,     0,     0,     0,   893,     0,     0,   887,
       0,   887,     0,     0,     0,     0,   955,   893,  1798,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   885,   893,     0,   955,     0,     0,     0,     0,
       0,   956,   955,     0,     0,     0,     0,     0,     0,     0,
       0,   895,  2592,     0,     0,     0,     0,  2593,     0,     0,
     885,     0,   895,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   888,   895,     0,
    2594,  2274,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   888,     0,     0,     0,     0,   888,     0,     0,
       0,     0,  2526,  2595,     0,     0,     0,   887,     0,     0,
       0,  2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,
       0,     0,     0,     0,     0,     0,     0,   888,     0,     0,
       0,     0,     0,     0,     0,     0,  1798,     0,     0,     0,
       0,     0,  1798,     0,     0,  2335,     0,     0,     0,     0,
       0,   887,     0,     0,     0,     0,     0,     0,     0,  2596,
       0,     0,  2597,     0,     0,   891,   956,     0,   956,     0,
       0,     0,     0,     0,     0,     0,   891,     0,     0,   887,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     893,     0,   891,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   885,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   956,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   946,   955,     0,     0,
       0,     0,     0,     0,     0,   895,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   891,   887,     0,   885,
       0,     0,  2598,     0,   885,     0,     0,     0,     0,     0,
       0,   891,     0,     0,   891,   891,  1799,     0,     0,   887,
       0,   946,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4640,     0,     0,     0,     0,
       0,   887,     0,     0,     0,   891,   891,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   890,     0,     0,     0,   890,
     890,     0,     0,     0,  2526,     0,     0,     0,   955,   955,
       0,     0,     0,  2527,  2528,  2529,  2530,  2531,  2532,  2533,
    2534,  2535,     0,   887,     0,     0,     0,   888,     0,     0,
     888,     0,   888,     0,     0,     0,   955,   888,     0,   955,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   890,   885,
       0,     0,     0,     0,   890,     0,     0,     0,     0,     0,
       0,     0,   887,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   891,     0,   888,     0,     0,     0,
       0,     0,  2083,     0,   888,  2084,     0,   887,   893,  2085,
    2086,  2087,     0,     0,     0,   890,     0,     0,     0,     0,
       0,  1798,  1798,  1798,     0,     0,     0,  2588,     0,   888,
    4713,     0,     0,     0,     0,     0,     0,  2589,     0,     0,
       0,     0,     0,     0,  2590,     0,   955,     0,     0,   956,
       0,     0,     0,   895,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   956,     0,   955,     0,     0,     0,     0,
    2591,  2083,     0,     0,  2084,   893,     0,     0,  2085,  2086,
    2087,     0,     0,     0,     0,     0,     0,   955,     0,     0,
       0,     0,     0,     0,   885,  1799,  2588,     0,     0,   888,
       0,   888,     0,   959,     0,     0,  2589,     0,     0,     0,
       0,     0,     0,  2590,     0,   993,   893,     0,     0,     0,
     895,     0,     0,     0,     0,     0,  1012,     0,     0,     0,
       0,     0,     0,     0,     0,   885,     0,     0,     0,  2591,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   893,
       0,     0,     0,     0,     0,     0,     0,   885,     0,     0,
       0,   895,     0,     0,     0,   887,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   955,     0,     0,
       0,     0,     0,     0,     0,  2592,     0,     0,     0,     0,
    2593,     0,     0,     0,   895,     0,  1799,   888,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2594,  2274,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1798,   890,     0,     0,     0,   885,
     955,     0,   955,     0,     0,  5157,  2595,     0,     0,     0,
       0,   888,     0,     0,     0,   955,     0,   955,     0,     0,
       0,     0,     0,     0,  2592,     0,   887,     0,     0,  2593,
       0,     0,     0,  1799,     0,   956,     0,     0,     0,   888,
       0,     0,     0,     0,     0,     0,     0,     0,  2335,     0,
       0,     0,  2594,  2274,   887,     0,     0,     0,     0,     0,
       0,     0,  2596,     0,     0,  2597,     0,     0,   890,     0,
       0,     0,   890,     0,     0,  2595,     0,     0,     0,     0,
       0,     0,     0,     0,   955,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   888,     0,     0,
       0,   893,     0,     0,     0,     0,     0,  2335,     0,     0,
     885,     0,   893,     0,     0,     0,   955,     0,     0,   888,
       0,  2596,     0,     0,  2597,     0,     0,     0,   893,     0,
       0,     0,     0,     0,     0,   955,     0,     0,     0,   955,
       0,   888,     0,     0,     0,  2598,   895,     0,     0,     0,
     956,     0,     0,     0,     0,     0,     0,   895,     0,     0,
     955,     0,     0,     0,   946,   890,     0,     0,     0,     0,
       0,     0,     0,   895,     0,     0,     0,   956,     0,     0,
     890,     0,   893,     0,     0,   890,   887,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   893,     0,     0,
     893,   893,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2598,   890,     0,     0,     0,     0,
       0,     0,     0,   888,     0,     0,     0,   895,     0,     0,
       0,   893,   893,   887,     0,     0,   946,   946,   887,     0,
       0,     0,   895,     0,   885,   895,   895,  2526,     0,     0,
       0,     0,     0,     0,     0,     0,  2527,  2528,  2529,  2530,
    2531,  2532,  2533,  2534,  2535,  1798,     0,     0,     0,     0,
       0,     0,   888,     0,     0,     0,   895,   895,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   956,     0,   888,     0,     0,
       0,  1032,     0,     0,     0,     0,     0,  1064,     0,     0,
    2083,     0,     0,  2084,     0,   885,  2526,  2085,  2086,  2087,
       0,     0,     0,     0,     0,  2527,  2528,  2529,  2530,  2531,
    2532,  2533,  2534,  2535,     0,  2588,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2589,     0,     0,     0,     0,
       0,     0,  2590,     0,     0,     0,     0,   891,     0,     0,
       0,   891,   891,     0,     0,     0,     0,     0,     0,     0,
     893,     0,     0,     0,     0,     0,     0,     0,  2591,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   887,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   895,     0,     0,     0,     0,
     891,     0,     0,     0,     0,     0,   891,     0,     0,     0,
       0,  2083,     0,     0,  2084,     0,  1799,   885,  2085,  2086,
    2087,     0,     0,     0,     0,   955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   888,  2588,     0,     0,     0,
       0,     0,     0,     0,     0,   890,  2589,   891,   890,     0,
     890,     0,     0,  2590,  5163,   890,     0,     0,  1370,     0,
       0,     0,  1799,     0,     0,     0,     0,     0,     0,     0,
     946,   946,     0,  2592,     0,     0,  1798,  1393,  2593,  2591,
    1799,  1798,     0,  1798,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   887,     0,
       0,  2594,  2274,     0,   890,     0,     0,     0,     0,  1798,
       0,     0,   890,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2595,     0,   888,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   890,     0,   887,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1451,
       0,   885,     0,     0,   888,   955,   885,   885,   955,     0,
       0,   887,     0,     0,     0,     0,  2335,     0,     0,  5164,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2596,     0,     0,  2597,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2592,     0,  1587,     0,     0,  2593,
       0,     0,     0,     0,     0,     0,     0,   890,     0,   890,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2594,  2274,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   887,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2595,     0,     0,   955,   955,
       0,     0,     0,     0,     0,     0,     0,   891,  2083,   955,
       0,  2084,     0,     0,     0,  2085,  2086,  2087,     0,     0,
     885,     0,     0,  2598,     0,     0,   955,     0,     0,     0,
       0,     0,     0,  2588,     0,     0,     0,  2335,     0,     0,
       0,     0,     0,  2589,     0,     0,   888,     0,     0,     0,
    2590,  2596,     0,     0,  2597,   890,     0,     0,     0,     0,
       0,  1848,     0,     0,     0,     0,     0,     0,     0,   885,
       0,     0,     0,     0,     0,     0,  2591,     0,     0,     0,
     891,     0,     0,     0,   891,     0,     0,     0,     0,     0,
    1882,  1885,  1886,   888,     0,     0,     0,     0,   888,   890,
       0,     0,     0,     0,   887,     0,     0,   955,     0,     0,
    1798,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2526,     0,   890,     0,     0,
       0,     0,     0,     0,  2527,  2528,  2529,  2530,  2531,  2532,
    2533,  2534,  2535,     0,  2598,  5165,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   891,     0,     0,
       0,  2592,     0,     0,     0,   890,  2593,     0,     0,  1370,
       0,     0,   891,     0,     0,     0,     0,   891,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   890,     0,  2594,
    2274,     0,     0,     0,     0,     0,     0,  1370,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   891,   887,   890,
       0,     0,  2595,     0,     0,     0,  2526,     0,     0,     0,
       0,     0,     0,   888,     0,  2527,  2528,  2529,  2530,  2531,
    2532,  2533,  2534,  2535,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2335,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2596,     0,
       0,  2597,     0,   893,     0,     0,     0,   893,   893,   887,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   890,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2083,     0,     0,  2084,     0,     0,     0,  2085,
    2086,  2087,     0,     0,     0,     0,     0,   955,   895,     0,
       0,     0,   895,   895,     0,     0,     0,  2588,     0,     0,
       0,     0,     0,     0,     0,     0,   893,  2589,     0,     0,
     890,     0,   893,     0,  2590,     0,     0,  2582,   888,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2598,   955,     0,     0,   890,     0,     0,     0,     0,
    2591,     0,     0,     0,   955,     0,     0,     0,     0,     0,
       0,   895,     0,   893,     0,     0,     0,   895,  2083,   888,
       0,  2084,     0,     0,     0,  2085,  2086,  2087,     0,     0,
       0,   887,     0,     0,     0,     0,     0,     0,   955,     0,
       0,   888,     0,  2588,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2589,     0,     0,     0,  2673,   895,     0,
    2590,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2591,   891,     0,     0,
     891,     0,   891,  2526,     0,     0,     0,   891,     0,     0,
       0,     0,  2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,
    2535,     0,     0,   888,     0,  2592,  1798,     0,     0,     0,
    2593,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   955,     0,     0,     0,     0,
    2791,     0,     0,  2594,  2274,     0,   891,     0,     0,  2814,
       0,     0,     0,   890,   891,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   887,  2595,     0,     0,     0,
     887,   887,     0,     0,     0,     0,     0,     0,     0,   891,
       0,  2852,     0,     0,     0,     0,     0,  2864,  2864,     0,
       0,  2864,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2592,     0,     0,  2882,     0,  2593,  2885,  2335,     0,
    1345,  1345,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   955,  2596,   893,     0,  2597,     0,     0,     0,  2594,
    2274,     0,     0,     0,   888,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   890,     0,     0,     0,     0,   891,
       0,   891,  2595,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2938,     0,     0,     0,     0,   895,     0,
       0,     0,   890,     0,     0,     0,     0,  2958,     0,     0,
       0,     0,     0,     0,   887,     0,     0,     0,     0,     0,
    1345,     0,     0,     0,  2335,     0,   893,     0,     0,     0,
     893,     0,     0,     0,     0,     0,     0,     0,  2596,     0,
       0,  2597,     0,     0,     0,  2598,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   887,     0,     0,     0,     0,     0,     0,
       0,   895,     0,     0,     0,   895,   955,   891,   955,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   888,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2980,     0,     0,
       0,   891,     0,     0,     0,     0,   955,     0,  2983,     0,
       0,  2598,     0,   893,     0,     0,     0,     0,     0,     0,
       0,  1709,  1713,     0,   890,     0,     0,  2526,   893,   891,
       0,     0,     0,   893,     0,     0,  2527,  2528,  2529,  2530,
    2531,  2532,  2533,  2534,  2535,     0,     0,     0,     0,   888,
    3027,  2864,     0,     0,     0,     0,  1798,     0,   895,     0,
       0,     0,     0,   893,     0,     0,     0,     0,     0,     0,
       0,   890,     0,   895,     0,  3062,   890,     0,   895,     0,
       0,     0,  3075,     0,     0,     0,     0,  5521,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   891,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   895,     0,
       0,     0,     0,  2526,     0,     0,     0,     0,     0,   891,
       0,     0,  2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,
    2535,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   891,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3136,     0,     0,     0,  2083,
       0,     0,  2084,     0,     0,     0,  2085,  2086,  2087,     0,
       0,   888,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2588,     0,     0,     0,  1370,  1370,
       0,     0,     0,     0,  2589,     0,     0,     0,     0,     0,
       0,  2590,     0,     0,     0,  3190,     0,     0,  3192,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   891,     0,     0,     0,  2591,     0,     0,
       0,   890,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2030,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   891,     0,     0,     0,     0,     0,     0,   955,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   955,     0,     0,     0,   891,     0,  2053,
       0,     0,     0,     0,     0,   888,     0,     0,     0,     0,
     888,   888,     0,   893,     0,     0,   893,  5697,   893,     0,
       0,     0,     0,   893,     0,  1798,     0,     0,  2072,  2073,
    2074,     0,  2076,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2592,     0,     0,     0,     0,  2593,     0,     0,
       0,     0,     0,  2544,     0,     0,   890,     0,   895,     0,
       0,   895,     0,   895,     0,     0,     0,     0,   895,     0,
    2594,  2274,   893,     0,     0,     0,     0,     0,     0,     0,
     893,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2595,     0,     0,     0,   890,     0,     0,
       0,     0,     0,     0,     0,   893,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   895,     0,   890,
       0,     0,     0,     0,   888,   895,  1798,     0,     0,     0,
       0,     0,     0,     0,     0,  2335,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2596,
     895,     0,  2597,     0,     0,   891,  2640,     0,     0,     0,
    2652,  2657,     0,     0,     0,     0,   197,     0,     0,     0,
       0,     0,     0,   888,     0,   893,     0,   893,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   890,     0,  1798,     0,   955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   198,     0,     0,
     895,     0,   895,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   199,     0,     0,     0,     0,     0,     0,
       0,     0,  2598,     0,     0,     0,   891,     0,     0,     0,
       0,   200,     0,     0,     0,     0,     0,   201,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   893,   891,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   203,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   205,     0,
       0,     0,   890,     0,   206,     0,     0,   893,   895,     0,
     955,   207,     0,     0,     0,     0,     0,     0,     0,     0,
    2537,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   208,     0,     0,  2526,   893,     0,   955,     0,     0,
       0,     0,     0,  2527,  2528,  2529,  2530,  2531,  2532,  2533,
    2534,  2535,   895,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   209,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2537,     0,     0,     0,     0,
     895,     0,     0,     0,     0,     0,   210,     0,     0,     0,
       0,     0,     0,  1709,  1709,  1709,     0,     0,     0,     0,
       0,     0,     0,   893,     0,     0,   891,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   893,     0,     0,   211,     0,
       0,     0,  3372,     0,     0,     0,   890,     0,     0,     0,
       0,     0,  3377,     0,     0,     0,     0,   893,   895,     0,
       0,     0,   212,   891,     0,   955,     0,     0,   891,     0,
       0,     0,   213,   214,     0,     0,   215,     0,     0,     0,
     895,  1451,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   895,   216,     0,     0,   217,     0,     0,     0,
     218,     0,     0,   219,     0,     0,     0,   890,     0,     0,
     220,     0,     0,   221,     0,     0,     0,     0,  1451,  1451,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   893,
       0,     0,   222,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,     0,   224,     0,   225,     0,   653,   226,
       0,     0,  1370,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,     0,     0,   654,     0,   229,     0,
       0,     0,     0,     0,   895,     0,     0,     0,   893,     0,
       0,   230,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   655,     0,     0,   231,     0,  1798,     0,     0,     0,
       0,     0,     0,   893,   656,     0,     0,     0,     0,     0,
       0,     0,     0,   891,     0,     0,     0,     0,     0,     0,
    -880,     0,     0,   895,     0,     0,     0,     0,     0,   890,
       0,     0,     0,     0,     0,     0,     0,     0,   657,     0,
       0,     0,  1798,     0,   658,     0,     0,     0,   895,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1798,     0,   659,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   660,     0,     0,     0,     0,     0,     0,
       0,     0,   661,     0,  2537,     0,  3592,     0,  2537,     0,
       0,     0,     0,     0,     0,   662,     0,     0,     0,     0,
       0,  3614,     0,     0,   663,     0,     0,     0,   664,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3218,  3642,     0,     0,     0,     0, -1086,     0,
       0,  3235,  3235,  3235,  3244,  3250,  3252,  3235,   891,     0,
       0,     0,  3258,     0,  3259,     0,  3261,     0,     0,  3275,
    3278,  3283,     0,     0,     0,     0,     0,  3292,     0,     0,
    3297,   893,     0,   890,     0,     0,     0,     0,   890,   890,
       0,     0,     0,   665,     0,  3304,  3305,  3306,     0,   891,
       0,     0,     0,  -615,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3307,     0,     0,     0,     0,     0,     0,
       0,   891,     0,     0,     0,     0,   895,     0,     0,  3722,
    3723,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   666,     0,     0,   667,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   668,
       0,     0,   893,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   669,     0,     0,     0,     0,     0,     0,
    -466,     0,     0,   891,     0,     0,     0,     0,     0,     0,
     893,     0,   890,     0,     0,     0,     0,     0,     0,     0,
     670,     0,     0,     0,     0,     0,     0,   895,     0,     0,
     671,     0,     0,     0,     0,     0,     0,  -466,     0,     0,
     672,  3848,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   895,     0,     0,     0,   673,
       0,   890,     0,     0,     0,     0,   674,  3315,     0,     0,
       0,     0,     0,  -466,     0,     0,   675,   676,     0,   677,
     678,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   679,     0,     0,     0,     0,
       0,     0,   680,     0,     0,   681,     0,     0,   682,     0,
       0,     0,     0,     0,     0,     0,  3334,     0,     0,     0,
       0,  -466,     0,     0,   891,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2537,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   893,     0,     0,     0,     0,     0,  2537,     0,
       0,     0,  3271,     0,     0,     0,     0,     0,     0,     0,
    3336,     0,     0,     0,     0,     0,     0,  2537,  2537,  2537,
       0,  2537,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   895,     0,   893,
       0,     0,     0,     0,   893,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   895,     0,     0,     0,     0,   895,
       0,     0,     0,     0,     0,     0,     0,     0,   891,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   891,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3343,  3344,  3345,
    3346,  3347,  3348,  3349,  3350,  3351,     0,  3352,     0,   893,
       0,     0,     0,     0,     0,     0,     0,     0,  1345,     0,
    1709,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4153,     0,     0,     0,     0,     0,     1,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     2,
       0,     3,     4,  1451,   895,     0,     0,     0,  3307,     0,
       0,     0,  3315,     0,     0,  3334,     0,  3336,     0,     0,
    3389,     0,     0,     0,     0,     0,     0,     0,     0,     6,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     7,     0,     8,     9,     0,     0,     0,     0,     0,
      10,   891,    11,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    12,     0,    13,     0,     0,     0,
       0,     0,     0,  2073,  2074,     0,     0,     0,     0,     0,
       0,     0,     0,    14,   893,     0,    15,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    16,     0,    17,     0,     0,     0,    18,     0,     0,
       0,     0,     0,  5675,     0,     0,     0,     0,     0,     0,
       0,    20,     0,    21,     0,   893,     0,     0,     0,   895,
      22,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   893,    23,     0,
       0,     0,     0,     0,     0,     0,     0,  3534,     0,     0,
       0,     0,     0,     0,     0,    24,     0,     0,     0,     0,
     895,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   891,     0,     0,     0,     0,
     891,   891,   895,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    25,    26,     0,     0,     0,   893,
      27,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    28,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2537,
       0,     0,     0,    29,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   895,     0,     0,     0,     0,     0,
       0,     0,  4365,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2864,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    30,     0,     0,
       0,     0,     0,     0,   891,     0,     0,     0,     0,     0,
       0,    31,     0,     0,     0,     0,     0,    32,    33,     0,
      34,     0,     0,     0,     0,    35,     0,     0,  4570,     0,
       0,    36,     0,     0,    37,     0,     0,     0,     0,     0,
     893,    38,     0,     0,     0,  2537,     0,     0,    39,    40,
       0,     0,     0,   891,     0,     0,    41,  2537,     0,     0,
      42,     0,  2537,     0,     0,     0,     0,     0,     0,     0,
      43,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   895,    44,     0,     0,     0,
       0,     0,     0,  3780,  3781,  1709,     0,     0,     0,  3785,
       0,     0,     0,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    46,     0,     0,
       0,     0,     0,    47,     0,     0,  3814,     0,    48,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    49,     0,     0,     0,  4496,  4497,  4498,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4507,     0,     0,    50,     0,     0,     0,     0,
       0,     0,     0,     0,   893,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    56,     0,     0,  -136,     0,     0,
       0,     0,     0,     0,     0,  4532,  4534,     0,     0,     0,
    4539,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   895,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   893,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     895,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1370,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4009,     0,     0,     0,     0,
    4015,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   893,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2076,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3283,
       0,  3283,  3283,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   895,     0,     0,  4102,     0,     0,  4105,     0,
    4107,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4132,     0,  4135,
       0,  4137,     0,     0,     0,     0,     0,     0,     0,  4745,
    4746,  4747,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   893,     0,     0,     0,     0,   893,   893,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   895,     0,     0,     0,
       0,   895,   895,  4204,     0,     0,     0,     0,  2640,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2657,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     893,     0,     0,  2537,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4254,     0,
    2537,     0,     0,     0,     0,     0,     0,     0,     0,  2537,
       0,     0,     0,     0,     0,  2537,     0,  2537,     0,     0,
       0,     0,     0,  2537,  2537,   895,  2537,     0,     0,   893,
       0,  3271,  3271,     0,  4078,     0,  3271,     0,     0,     0,
    2537,     0,     0,  2537,     0,     0,     0,     0,  2537,     0,
       0,     0,     0,     0,     0,     0,     0,  2537,     0,     0,
       0,     0,  2537,     0,     0,     0,     0,     0,     0,  2537,
    2537,  2537,  2537,     0,   895,     0,     0,  3271,  3271,     0,
    2537,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2537,
       0,  2537,     0,     0,     0,     0,     0,     0,  2537,  2537,
    2537,  2537,  2537,  2537,  2537,  2537,  2537,  2537,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2537,     0,     0,     0,  5011,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5043,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3075,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1709,  5101,     0,     0,
       0,     0,  1709,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3136,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2537,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4519,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5200,  5201,  5202,  5203,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4641,     0,     0,     0,     0,     0,     0,     0,     0,  4645,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3235,     0,     0,     0,  3235,  3235,     0,
       0,     0,     0,  3250,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4667,     0,  4668,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2537,  2537,     0,     0,     0,
    2537,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4690,  4691,  4692,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2537,
       0,  3292,     0,     0,     0,     0,     0,     0,     0,  4716,
       0,     0,  4719,     0,  4721,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4725,     0,     0,     0,     0,     0,     0,     0,  4732,  4733,
       0,     0,     0,     0,     0,  4738,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4790,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4804,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5419,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5429,  2537,     0,     0,     0,     0,     0,
    2537,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4078,  4078,     0,     0,  3271,  3271,
    3271,  3271,     0,     0,  3271,  3271,  3271,  3271,  3271,  3271,
    3271,  3271,  3271,  3271,  4078,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2537,     0,     0,
    2537,     0,  2537,     0,     0,  4078,  4078,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2537,  3271,  3271,
    2537,     0,  2537,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2537,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2537,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5089,
    5090,     0,     0,     0,     0,     0,     0,     0,     0,  5620,
    5097,     0,     0,     0,  1370,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5650,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5140,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2640,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5159,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5178,  5180,     0,     0,     0,     0,     0,  5184,  5185,     0,
       0,     0,  5186,     0,     0,     0,     0,  5187,     0,     0,
    5190,  5191,  5755,     0,     0,     0,     0,  5196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3271,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5230,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1345,     0,     0,     0,     0,     0,     0,     0,  5244,
       0,     0,     0,     0,  2537,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5254,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5831,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5853,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5321,     0,  2537,     0,     0,     0,
    2537,  5323,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2537,  2537,     0,     0,     0,     0,  4078,  4078,
    4078,  4078,     0,     0,     0,  4078,  4078,  4078,  4078,  4078,
    4078,  4078,  4078,  4078,  4078,  2537,  2537,  2537,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5358,
       0,  2537,     0,     0,  2537,     0,  2537,     0,     0,     0,
    2537,     0,     0,  4078,  4078,     0,     0,  2537,  2537,     0,
       0,     0,     0,  2537,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2537,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2537,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5451,     0,     0,
       0,     0,     0,  5455,  5456,  5457,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5470,  5471,
       0,     0,  5472,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5509,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5524,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4078,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2537,  2537,     0,     0,     0,     0,
       0,     0,  2537,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2537,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2537,  3271,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3292,     0,
       0,     0,     0,  2537,     0,  2537,     0,     0,     0,  2537,
    2537,  2537,  2537,     0,     0,  2537,  2537,     0,     0,     0,
       0,  2537,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3271,     0,     0,
       0,     0,  2076,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2537,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2537,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2537,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5761,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5773,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2537,  5808,  2537,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2537,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5874,     0,     0,
       0,     0,     0,     0,     0,     0,  5881,  5881,  5881,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5509,     0,     0,     0,  2537,     0,  4078,  3271,
    2537,  2537,  2537,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2537,  2537,  2537,     0,     0,
       0,     0,  5926,     0,     0,     0,     0,     0,     0,  3271,
       0,     0,  4078,     0,     0,     0,  2537,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2537,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2537,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5881,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5509,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6039,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6081,  4078,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4078,     0,  3271,     0,  6106,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2537,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2537,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2537,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5881,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6176,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2537,
       0,     0,     0,     0,     0,     0,  2537,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2537,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1709,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3271,  3271,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2537,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2537,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2537,   234,     0,  1251,   697,     0,  1252,  1253,  1254,
     758,  1255,  4078,  4078,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,  1703,   244,
     245,   246,     0,     0,     0,     0,  1256,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1257,   260,  1258,  1259,     0,   263,   264,   265,
     266,   267,   268,   269,  1260,  1261,   270,   271,  1262,  1263,
     274,  2537,   275,   276,   277,   278,  1264,     0,  1265,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,  1266,  1267,  1268,  1269,  1270,  1271,  1272,   302,
     303,   304,   305,   306,   307,  1273,  1274,   310,  1275,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,  1704,     0,   323,   324,   867,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,  1276,   339,   340,   341,   342,  1277,  1278,
     344,     0,   345,   346,   347,  1279,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,  1280,     0,  1281,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,  1282,  1283,     0,  1284,     0,   392,
     393,   394,   395,   396,  1285,  1286,  1287,  1288,  1289,  1290,
    1291,   404,   405,   406,   407,   408,   409,     0,     0,   410,
    1292,   412,   413,   414,     0,   415,   416,   417,  1293,  1294,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
    1295,   429,   430,   431,   432,   433,   434,   435,   436,  1296,
     438,  1297,   440,   441,   442,   443,   444,   445,   446,   447,
    1298,   449,  1299,   450,   451,   452,   453,  1300,  1301,   455,
    1302,   457,   458,   459,     0,   460,   461,     0,     0,  1303,
     463,   464,     0,     0,   465,   466,   467,   468,   469,   470,
    1304,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,  1305,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,  1306,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,  1307,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,  1308,   542,   543,   544,
     545,   546,   547,   548,   549,  1309,   551,     0,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,  1310,   566,     0,   567,   568,  1311,     0,   569,   570,
     571,   572,   573,   574,   575,     0,   576,  1312,  1313,     0,
       0,   579,   580,  1314,   582,  1315,  1316,   584,   585,   586,
     587,   588,   589,   590,   591,     0,  1317,   592,   593,   594,
     595,   596,  1318,     0,   597,   598,   599,   600,   601,   602,
    1319,  1705,   604,   605,   606,   607,   608,   609,     0,     0,
     610,     0,     0,   611,   612,   613,   614,   615,   616,   617,
    1320,  1321,  1322,  1323,   622,  1324,  1325,  1326,  1327,   627,
     628,   629,   630,     0,  1328,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1329,  1330,  1706,     0,
       0,     0,     0,     0,     0,  1332,  1707,   234,     0,  1251,
     697,     0,  1252,  1253,  1254,   758,  1255,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1256,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1257,   260,  1258,
    1259,     0,   263,   264,   265,   266,   267,   268,   269,  1260,
    1261,   270,   271,  1262,  1263,   274,     0,   275,   276,   277,
     278,  1264,     0,  1265,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,  1266,  1267,  1268,
    1269,  1270,  1271,  1272,   302,   303,   304,   305,   306,   307,
    1273,  1274,   310,  1275,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   867,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,  1276,   339,
     340,   341,   342,  1277,  1278,   344,     0,   345,   346,   347,
    1279,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,  1280,     0,  1281,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,  1282,
    1283,     0,  1284,     0,   392,   393,   394,   395,   396,  1285,
    1286,  1287,  1288,  1289,  1290,  1291,   404,   405,   406,   407,
     408,   409,     0,     0,   410,  1292,   412,   413,   414,     0,
     415,   416,   417,  1293,  1294,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,  1295,   429,   430,   431,   432,
     433,   434,   435,   436,  1296,   438,  1297,   440,   441,   442,
     443,   444,   445,   446,   447,  1298,   449,  1299,   450,   451,
     452,   453,  1300,  1301,   455,  1302,   457,   458,   459,     0,
     460,   461,     0,     0,  1303,   463,   464,     0,     0,   465,
     466,   467,   468,   469,   470,  1304,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,  1305,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,  1306,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,  1307,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,    40,   537,   538,   539,   540,
     541,  1308,   542,   543,   544,   545,   546,   547,   548,   549,
    1309,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,  1310,   566,     0,   567,
     568,  1311,    44,   569,   570,   571,   572,   573,   574,   575,
       0,   576,  1312,  1313,     0,     0,   579,   580,  1314,   582,
    1315,  1316,   584,   585,   586,   587,   588,   589,   590,   591,
       0,  1317,   592,   593,   594,   595,   596,  1318,     0,   597,
     598,   599,   600,   601,  1186,  1319,     0,   604,   605,   606,
     607,   608,   609,     0,     0,   610,     0,    49,   611,   612,
     613,   614,   615,   616,   617,  1320,  1321,  1322,  1323,   622,
    1324,  1325,  1326,  1327,   627,   628,   629,   630,     0,  1328,
       0,    50,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1329,  1330,     0,     0,     0,     0,     0,     0,     0,
    1332,  5731,   234,     0,  1251,   697,     0,  1252,  1253,  1254,
     758,  1255,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1256,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1257,   260,  1258,  1259,     0,   263,   264,   265,
     266,   267,   268,   269,  1260,  1261,   270,   271,  1262,  1263,
     274,     0,   275,   276,   277,   278,  1264,     0,  1265,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,  1266,  1267,  1268,  1269,  1270,  1271,  1272,   302,
     303,   304,   305,   306,   307,  1273,  1274,   310,  1275,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   867,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,  1276,   339,   340,   341,   342,  1277,  1278,
     344,     0,   345,   346,   347,  1279,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,  1280,     0,  1281,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,  1282,  1283,     0,  1284,     0,   392,
     393,   394,   395,   396,  1285,  1286,  1287,  1288,  1289,  1290,
    1291,   404,   405,   406,   407,   408,   409,     0,     0,   410,
    1292,   412,   413,   414,     0,   415,   416,   417,  1293,  1294,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
    1295,   429,   430,   431,   432,   433,   434,   435,   436,  1296,
     438,  1297,   440,   441,   442,   443,   444,   445,   446,   447,
    1298,   449,  1299,   450,   451,   452,   453,  1300,  1301,   455,
    1302,   457,   458,   459,     0,   460,   461,     0,     0,  1303,
     463,   464,     0,     0,   465,   466,   467,   468,   469,   470,
    1304,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,  1305,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,  1306,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,  1307,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,  1308,   542,   543,   544,
     545,   546,   547,   548,   549,  1309,   551,     0,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,  1310,   566,     0,   567,   568,  1311,     0,   569,   570,
     571,   572,   573,   574,   575,     0,   576,  1312,  1313,     0,
       0,   579,   580,  1314,   582,  1315,  1316,   584,   585,   586,
     587,   588,   589,   590,   591,     0,  1317,   592,   593,   594,
     595,   596,  1318,     0,   597,   598,   599,   600,   601,   602,
    1319,     0,   604,   605,   606,   607,   608,   609,     0,     0,
     610,     0,     0,   611,   612,   613,   614,   615,   616,   617,
    1320,  1321,  1322,  1323,   622,  1324,  1325,  1326,  1327,   627,
     628,   629,   630,     0,  1328,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1329,  1330,     0,     0,
       0,     0,     0,     0,     0,  1332,  3273,   234,     0,  1251,
     697,     0,  1252,  1253,  1254,   758,  1255,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1256,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1257,   260,  1258,
    1259,     0,   263,   264,   265,   266,   267,   268,   269,  1260,
    1261,   270,   271,  1262,  1263,   274,     0,   275,   276,   277,
     278,  1264,     0,  1265,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,  1266,  1267,  1268,
    1269,  1270,  1271,  1272,   302,   303,   304,   305,   306,   307,
    1273,  1274,   310,  1275,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   867,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,  1276,   339,
     340,   341,   342,  1277,  1278,   344,     0,   345,   346,   347,
    1279,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,  1280,     0,  1281,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,  1282,
    1283,     0,  1284,     0,   392,   393,   394,   395,   396,  1285,
    1286,  1287,  1288,  1289,  1290,  1291,   404,   405,   406,   407,
     408,   409,     0,     0,   410,  1292,   412,   413,   414,     0,
     415,   416,   417,  1293,  1294,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,  1295,   429,   430,   431,   432,
     433,   434,   435,   436,  1296,   438,  1297,   440,   441,   442,
     443,   444,   445,   446,   447,  1298,   449,  1299,   450,   451,
     452,   453,  1300,  1301,   455,  1302,   457,   458,   459,     0,
     460,   461,     0,     0,  1303,   463,   464,     0,     0,   465,
     466,   467,   468,   469,   470,  1304,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,  1305,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,  1306,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,  1307,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,  1308,   542,   543,   544,   545,   546,   547,   548,   549,
    1309,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,  1310,   566,     0,   567,
     568,  1311,     0,   569,   570,   571,   572,   573,   574,   575,
       0,   576,  1312,  1313,     0,     0,   579,   580,  1314,   582,
    1315,  1316,   584,   585,   586,   587,   588,   589,   590,   591,
       0,  1317,   592,   593,   594,   595,   596,  1318,     0,   597,
     598,   599,   600,   601,   602,  1319,     0,   604,   605,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,  1320,  1321,  1322,  1323,   622,
    1324,  1325,  1326,  1327,   627,   628,   629,   630,     0,  1328,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1329,  1330,     0,     0,     0,     0,     0,     0,     0,
    1332,  4669,   234,     0,  1251,   697,     0,  1252,  1253,  1254,
     758,  1255,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1256,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1257,   260,  1258,  1259,     0,   263,   264,   265,
     266,   267,   268,   269,  1260,  1261,   270,   271,  1262,  1263,
     274,     0,   275,   276,   277,   278,  1264,     0,  1265,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,  1266,  1267,  1268,  1269,  1270,  1271,  1272,   302,
     303,   304,   305,   306,   307,  1273,  1274,   310,  1275,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   867,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,  1276,   339,   340,   341,   342,  1277,  1278,
     344,     0,   345,   346,   347,  1279,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,  1280,     0,  1281,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,  1282,  1283,     0,  1284,     0,   392,
     393,   394,   395,   396,  1285,  1286,  1287,  1288,  1289,  1290,
    1291,   404,   405,   406,   407,   408,   409,     0,     0,   410,
    1292,   412,   413,   414,     0,   415,   416,   417,  1293,  1294,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
    1295,   429,   430,   431,   432,   433,   434,   435,   436,  1296,
     438,  1297,   440,   441,   442,   443,   444,   445,   446,   447,
    1298,   449,  1299,   450,   451,   452,   453,  1300,  1301,   455,
    1302,   457,   458,   459,     0,   460,   461,     0,     0,  1303,
     463,   464,     0,     0,   465,   466,   467,   468,   469,   470,
    1304,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,  1305,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,  1306,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,  1307,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,  1308,   542,   543,   544,
     545,   546,   547,   548,   549,  1309,   551,     0,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,  1310,   566,     0,   567,   568,  1311,     0,   569,   570,
     571,   572,   573,   574,   575,     0,   576,  1312,  1313,     0,
       0,   579,   580,  1314,   582,  1315,  1316,   584,   585,   586,
     587,   588,   589,   590,   591,     0,  1317,   592,   593,   594,
     595,   596,  1318,     0,   597,   598,   599,   600,   601,   602,
    1319,     0,   604,   605,   606,   607,   608,   609,     0,     0,
     610,     0,     0,   611,   612,   613,   614,   615,   616,   617,
    1320,  1321,  1322,  1323,   622,  1324,  1325,  1326,  1327,   627,
     628,   629,   630,     0,  1328,     0,     0,     0,     0,     0,
     638,     0,     0,     0,     0,     0,  1329,  1330,     0,     0,
       0,     0,     0,     0,     0,  1332,  4735,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,  4182,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0, -1824,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0, -1824,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382, -1824,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395, -1824,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411, -1824,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437, -1824,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,   453,     0,   454,   455,   456,   457,
     458,   459,     0,   460,   461,     0,     0,   462,   463,   464,
       0,     0,   465,   466,   467,     0,   469,     0,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519, -1824,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,     0,   542,   543,   544,   545,   546,
       0,   548,   549,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,     0,   567,   568,     0,     0,   569,     0,   571,   572,
     573,   574,   575,     0,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,     0,   592,   593,   594,   595,   596,
       0,     0,   597,   598,   599,   600,   601,   602,   603,     0,
     604,     0,   606,   607,   608,   609,     0,     0,   610,     0,
       0,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,     0,     0,     0,     0,     0,     0,     0,   859,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1444,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,     0,   860,   260,
     861,   862,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   863,   864,   274,     0,   275,   276,
     277,   278,     0,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   865,   866,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   867,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,     0,
     339,   340,   341,   342,     0,     0,   344,     0,   345,   346,
     347,   868,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,     0,     0,     0,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,  2683,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,  2684,   385,   386,   387,   388,
     869,   870,     0,   871,     0,   392,   393,   394,   395,   396,
     872,     0,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,     0,     0,   410,     0,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   873,   438,   874,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   449,     0,   450,
     451,   452,   453,     0,     0,   455,   875,   457,   458,   459,
       0,   460,   461,     0,     0,   462,   463,   464,     0,     0,
     465,   466,  2686,   468,   469,   470,     0,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
       0,   485,     0,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   876,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,     0,   542,   543,  2687,   545,   546,   547,   548,
     549,   878,   551,     0,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   566,     0,
     567,   568,     0,     0,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   879,   880,     0,     0,   579,   580,     0,
     582,     0,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,   598,   599,   600,   601,     0,   881,  2688,   604,   605,
     606,   607,   608,   609,     0,     0,   610,     0,     0,   611,
     612,   613,   614,   615,   616,     0,   859,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   628,   629,   630,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,  2785,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,     0,   860,   260,   861,   862,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   863,   864,   274,     0,   275,   276,   277,   278,
       0,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,     0,   301,
       0,     0,     0,   302,   303,   304,   305,   306,   307,   865,
     866,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   867,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,     0,   339,   340,
     341,   342,     0,     0,   344,     0,   345,   346,   347,   868,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,     0,     0,     0,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,  2683,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,  2684,   385,   386,   387,   388,   869,   870,
       0,   871,     0,   392,   393,   394,   395,   396,   872,     0,
       0,     0,     0,     0,     0,   404,   405,   406,   407,   408,
     409,     0,     0,   410,     0,   412,   413,   414,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   873,   438,   874,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   449,     0,   450,   451,   452,
     453,     0,     0,   455,   875,   457,   458,   459,     0,   460,
     461,     0,     0,   462,   463,   464,     0,     0,   465,   466,
    2686,   468,   469,   470,     0,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
       0,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   876,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
       0,   542,   543,  2687,   545,   546,   547,   548,   549,   878,
     551,     0,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   566,     0,   567,   568,
       0,     0,   569,   570,   571,   572,   573,   574,   575,     0,
     576,   879,   880,     0,     0,   579,   580,     0,   582,     0,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
       0,   592,   593,   594,   595,   596,     0,     0,   597,   598,
     599,   600,   601,     0,   881,  2688,   604,   605,   606,   607,
     608,   609,     0,     0,   610,     0,     0,   611,   612,   613,
     614,   615,   616,     0,   234,     0,  1251,   697,     0,  1252,
    1253,  1254,   758,  1255,   628,   629,   630,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1256,     0,
    3903,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1257,   260,  1258,  1259,     0,   263,
     264,   265,   266,   267,   268,   269,  1260,  1261,   270,   271,
    1262,  1263,   274,     0,   275,   276,   277,   278,  1264,     0,
    1265,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,  1266,  1267,  1268,  1269,  1270,  1271,
    1272,   302,   303,   304,   305,   306,   307,  1273,  1274,   310,
    1275,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   867,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,  1276,   339,   340,   341,   342,
    1277,  1278,   344,     0,   345,   346,   347,  1279,   349,     0,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,  1280,     0,  1281,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,  1282,  1283,     0,  1284,
       0,   392,   393,   394,   395,   396,  1285,  1286,  1287,  1288,
    1289,  1290,  1291,   404,   405,   406,   407,   408,   409,     0,
       0,   410,  1292,   412,   413,   414,     0,   415,   416,   417,
    1293,  1294,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,  1295,   429,   430,   431,   432,   433,   434,   435,
     436,  1296,   438,  1297,   440,   441,   442,   443,   444,   445,
     446,   447,  1298,   449,  1299,   450,   451,   452,   453,  1300,
    1301,   455,  1302,   457,   458,   459,     0,   460,   461,     0,
       0,  1303,   463,   464,     0,     0,   465,   466,   467,   468,
     469,   470,  1304,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,  1305,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,  1306,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,  3237,   518,   519,   520,   521,   522,   523,   524,
     525,  1307,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,    40,   537,   538,   539,   540,   541,  1308,   542,
     543,   544,   545,   546,   547,   548,   549,  1309,   551,     0,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,  1310,   566,     0,   567,   568,  1311,    44,
     569,   570,   571,   572,   573,   574,   575,     0,   576,  1312,
    1313,     0,     0,   579,   580,  1314,   582,  1315,  1316,   584,
     585,   586,   587,   588,   589,   590,   591,     0,  1317,   592,
     593,   594,   595,   596,  1318,     0,   597,   598,   599,   600,
     601,  1186,  1319,     0,   604,   605,   606,   607,   608,   609,
       0,     0,   610,     0,    49,   611,   612,   613,   614,   615,
     616,   617,  1320,  1321,  1322,  1323,   622,  1324,  1325,  1326,
    1327,   627,   628,   629,   630,     0,  1328,     0,    50,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1329,  1330,
       0,     0,     0,   234,     0,  1251,   697,  1332,  1252,  1253,
    1254,   758,  1255,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1256,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1257,   260,  1258,  1259,     0,   263,   264,
     265,   266,   267,   268,   269,  1260,  1261,   270,   271,  1262,
    1263,   274,     0,   275,   276,   277,   278,  1264,     0,  1265,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,  1266,  1267,  1268,  1269,  1270,  1271,  1272,
     302,   303,   304,   305,   306,   307,  1273,  1274,   310,  1275,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   867,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,  1276,   339,   340,   341,   342,  1277,
    1278,   344,     0,   345,   346,   347,  1279,   349,     0,   350,
       0,   351,   352,   353,     0,   354,   355,   356,   357,   358,
       0,   359,  1280,     0,  1281,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,  1282,  1283,     0,  1284,     0,
     392,   393,   394,   395,   396,  1285,  1286,  1287,  1288,  1289,
    1290,  1291,   404,   405,   406,   407,   408,   409,     0,     0,
     410,  1292,   412,   413,   414,     0,   415,   416,   417,  1293,
    1294,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,  1295,   429,   430,   431,   432,   433,   434,   435,   436,
    1296,   438,  1297,   440,   441,   442,   443,   444,   445,   446,
     447,  1298,   449,  1299,   450,   451,   452,   453,  1300,  1301,
     455,  1302,   457,   458,   459,     0,   460,   461,     0,     0,
    1303,   463,   464,     0,     0,   465,   466,   467,   468,   469,
     470,  1304,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,  1305,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,  1306,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
    1307,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,    40,   537,   538,   539,   540,   541,  1308,   542,   543,
     544,   545,   546,   547,   548,   549,  1309,   551,     0,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,  1310,   566,     0,   567,   568,  1311,    44,   569,
     570,   571,   572,   573,   574,   575,     0,   576,  1312,  1313,
       0,     0,   579,   580,  1314,   582,  1315,  1316,   584,   585,
     586,   587,   588,   589,   590,   591,     0,  1317,   592,   593,
     594,   595,   596,  1318,     0,   597,   598,   599,   600,   601,
    1186,  1319,     0,   604,   605,   606,   607,   608,   609,     0,
       0,   610,     0,    49,   611,   612,   613,   614,   615,   616,
     617,  1320,  1321,  1322,  1323,   622,  1324,  1325,  1326,  1327,
     627,   628,   629,   630,     0,  1328,     0,    50,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1329,  1330,     0,
       0,     0,   234,     0,  1251,   697,  1332,  1252,  1253,  1254,
     758,  1255,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1256,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1257,   260,  1258,  1259,  3279,   263,   264,   265,
     266,   267,   268,   269,  1260,  1261,   270,   271,  1262,  1263,
     274,     0,   275,   276,   277,   278,  1264,     0,  1265,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,  1266,  1267,  1268,  1269,  1270,  1271,  1272,   302,
     303,   304,   305,   306,   307,  1273,  1274,   310,  1275,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   867,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,  1276,   339,   340,   341,   342,  1277,  1278,
     344,     0,   345,   346,   347,  1279,   349,     0,   350,     0,
     351,   352,   353,  3280,   354,   355,   356,   357,   358,     0,
     359,  1280,     0,  1281,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,  1282,  1283,     0,  1284,     0,   392,
     393,   394,   395,   396,  1285,  1286,  1287,  1288,  1289,  1290,
    1291,   404,   405,   406,   407,   408,   409,     0,  3281,   410,
    1292,   412,   413,   414,     0,   415,   416,   417,  1293,  1294,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
    1295,   429,   430,   431,   432,   433,   434,   435,   436,  1296,
     438,  1297,   440,   441,   442,   443,   444,   445,   446,   447,
    1298,   449,  1299,   450,   451,   452,   453,  1300,  1301,   455,
    1302,   457,   458,   459,     0,   460,   461,     0,     0,  1303,
     463,   464,     0,     0,   465,   466,   467,   468,   469,   470,
    1304,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,  1305,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,  1306,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,  1307,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,  1308,   542,   543,   544,
     545,   546,   547,   548,   549,  1309,   551,     0,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,  1310,   566,     0,   567,   568,  1311,     0,   569,   570,
     571,   572,   573,   574,   575,     0,   576,  1312,  1313,     0,
    3282,   579,   580,  1314,   582,  1315,  1316,   584,   585,   586,
     587,   588,   589,   590,   591,     0,  1317,   592,   593,   594,
     595,   596,  1318,     0,   597,   598,   599,   600,   601,   602,
    1319,     0,   604,   605,   606,   607,   608,   609,     0,     0,
     610,     0,     0,   611,   612,   613,   614,   615,   616,   617,
    1320,  1321,  1322,  1323,   622,  1324,  1325,  1326,  1327,   627,
     628,   629,   630,     0,  1328,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1329,  1330,     0,     0,
       0,   234,     0,  1251,   697,  1332,  1252,  1253,  1254,   758,
    1255,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243, -2236,   244,   245,
     246,     0,     0,     0, -2236,  1256,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1257,   260,  1258,  1259,     0,   263,   264,   265,   266,
     267,   268,   269,  1260,  1261,   270,   271,  1262,  1263,   274,
       0,   275,   276,   277,   278,  1264,     0,  1265,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,  1266,  1267,  1268,  1269,  1270,  1271,  1272,   302,   303,
     304,   305,   306,   307,  1273,  1274,   310,  1275,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   867,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,  1276,   339,   340,   341,   342,  1277,  1278,   344,
       0,   345,   346,   347,  1279,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
    1280,     0,  1281,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,  1282,  1283,     0,  1284,     0,   392,   393,
     394,   395,   396,  1285,  1286,  1287,  1288,  1289,  1290,  1291,
     404,   405,   406,   407,   408,   409,     0,     0,   410,  1292,
     412,   413,   414,     0,   415,   416,   417,  1293,  1294,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,  1295,
     429,   430,   431,   432,   433,   434,   435,   436,  1296,   438,
    1297,   440,   441,   442,   443,   444,   445,   446,   447,  1298,
     449,  1299,   450,   451,   452,   453,  1300,  1301,   455,  1302,
     457,   458,   459,     0,   460,   461,     0,     0,  1303,   463,
     464,     0,     0,   465,   466,   467,   468,   469,   470,  1304,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,  1305,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
    1306,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,  1307,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,  1308,   542,   543,   544,   545,
     546,   547,   548,   549,  1309,   551, -2236,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
    1310,   566,     0,   567,   568,  1311,     0,   569,   570,   571,
     572,   573,   574,   575,     0,   576,  1312,  1313,     0,     0,
     579,   580,  1314,   582,  1315,  1316,   584,   585,   586,   587,
     588,   589,   590,   591,     0,  1317,   592,   593,   594,   595,
     596,  1318,     0,   597,   598,   599,   600,   601,   602,  1319,
       0,   604,   605,   606,   607,   608,   609,     0,     0,   610,
       0,     0,   611,   612,   613,   614,   615,   616,   617,  1320,
    1321,  1322,  1323,   622,  1324,  1325,  1326,  1327,   627,   628,
     629,   630,     0,  1328,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1329,  1330,     0,     0,     0,
     234,     0,  1251,   697,  1332,  1252,  1253,  1254,   758,  1255,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243, -2234,   244,   245,   246,
       0,     0,     0, -2234,  1256,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1257,   260,  1258,  1259,     0,   263,   264,   265,   266,   267,
     268,   269,  1260,  1261,   270,   271,  1262,  1263,   274,     0,
     275,   276,   277,   278,  1264,     0,  1265,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
    1266,  1267,  1268,  1269,  1270,  1271,  1272,   302,   303,   304,
     305,   306,   307,  1273,  1274,   310,  1275,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   867,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,  1276,   339,   340,   341,   342,  1277,  1278,   344,     0,
     345,   346,   347,  1279,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,  1280,
       0,  1281,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,  1282,  1283,     0,  1284,     0,   392,   393,   394,
     395,   396,  1285,  1286,  1287,  1288,  1289,  1290,  1291,   404,
     405,   406,   407,   408,   409,     0,     0,   410,  1292,   412,
     413,   414,     0,   415,   416,   417,  1293,  1294,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,  1295,   429,
     430,   431,   432,   433,   434,   435,   436,  1296,   438,  1297,
     440,   441,   442,   443,   444,   445,   446,   447,  1298,   449,
    1299,   450,   451,   452,   453,  1300,  1301,   455,  1302,   457,
     458,   459,     0,   460,   461,     0,     0,  1303,   463,   464,
       0,     0,   465,   466,   467,   468,   469,   470,  1304,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,  1305,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,  1306,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,  1307,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,  1308,   542,   543,   544,   545,   546,
     547,   548,   549,  1309,   551, -2234,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,  1310,
     566,     0,   567,   568,  1311,     0,   569,   570,   571,   572,
     573,   574,   575,     0,   576,  1312,  1313,     0,     0,   579,
     580,  1314,   582,  1315,  1316,   584,   585,   586,   587,   588,
     589,   590,   591,     0,  1317,   592,   593,   594,   595,   596,
    1318,     0,   597,   598,   599,   600,   601,   602,  1319,     0,
     604,   605,   606,   607,   608,   609,     0,     0,   610,     0,
       0,   611,   612,   613,   614,   615,   616,   617,  1320,  1321,
    1322,  1323,   622,  1324,  1325,  1326,  1327,   627,   628,   629,
     630,     0,  1328,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1329,  1330,     0,     0,     0,   234,
       0,  1251,   697,  1332,  1252,  1253,  1254,   758,  1255,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1256,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1257,
     260,  1258,  1259,     0,   263,   264,   265,   266,   267,   268,
     269,  1260,  1261,   270,   271,  1262,  1263,   274,     0,   275,
     276,   277,   278,  1264,     0,  1265,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,  1266,
    1267,  1268,  1269,  1270,  1271,  1272,   302,   303,   304,   305,
     306,   307,  1273,  1274,   310,  1275,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   867,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
    1276,   339,   340,   341,   342,  1277,  1278,   344,     0,   345,
     346,   347,  1279,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,  1280,     0,
    1281,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,  1282,  1283,     0,  1284,     0,   392,   393,   394,   395,
     396,  1285,  1286,  1287,  1288,  1289,  1290,  1291,   404,   405,
     406,   407,   408,   409,     0,     0,   410,  1292,   412,   413,
     414,     0,   415,   416,   417,  1293,  1294,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,  1295,   429,   430,
     431,   432,   433,   434,   435,   436,  1296,   438,  1297,   440,
     441,   442,   443,   444,   445,   446,   447,  1298,   449,  1299,
     450,   451,   452,   453,  1300,  1301,   455,  1302,   457,   458,
     459,     0,   460,   461,     0,     0,  1303,   463,   464,     0,
       0,   465,   466,   467,   468,   469,   470,  1304,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,  1305,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,  1306,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,  1307,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,  1308,   542,   543,   544,   545,   546,   547,
     548,   549,  1309,   551,     0,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,  1310,   566,
       0,   567,   568,  1311,     0,   569,   570,   571,   572,   573,
     574,   575,     0,   576,  1312,  1313,     0,     0,   579,   580,
    1314,   582,  1315,  1316,   584,   585,   586,   587,   588,   589,
     590,   591,     0,  1317,   592,   593,   594,   595,   596,  1318,
       0,   597,   598,   599,   600,   601,   602,  1319,     0,   604,
     605,   606,   607,   608,   609,     0,     0,   610,     0,     0,
     611,   612,   613,   614,   615,   616,   617,  1320,  1321,  1322,
    1323,   622,  1324,  1325,  1326,  1327,   627,   628,   629,   630,
       0,  1328,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1329,  1330,     0,     0,     0,     0,     0,
    2027,  3211,  1332,   234,     0,  1251,   697,     0,  1252,  1253,
    1254,   758,  1255,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1256,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1257,   260,  1258,  1259,     0,   263,   264,
     265,   266,   267,   268,   269,  1260,  1261,   270,   271,  1262,
    1263,   274,     0,   275,   276,   277,   278,  1264,     0,  1265,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,  1266,  1267,  1268,  1269,  1270,  1271,  1272,
     302,   303,   304,   305,   306,   307,  1273,  1274,   310,  1275,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   867,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,  1276,   339,   340,   341,   342,  1277,
    1278,   344,     0,   345,   346,   347,  1279,   349,     0,   350,
       0,   351,   352,   353,     0,   354,   355,   356,   357,   358,
       0,   359,  1280,     0,  1281,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,  1282,  1283,     0,  1284,     0,
     392,   393,   394,   395,   396,  1285,  1286,  1287,  1288,  1289,
    1290,  1291,   404,   405,   406,   407,   408,   409,     0,     0,
     410,  1292,   412,   413,   414,     0,   415,   416,   417,  1293,
    1294,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,  1295,   429,   430,   431,   432,   433,   434,   435,   436,
    1296,   438,  1297,   440,   441,   442,   443,   444,   445,   446,
     447,  1298,   449,  1299,   450,   451,   452,   453,  1300,  1301,
     455,  1302,   457,   458,   459,     0,   460,   461,     0,     0,
    1303,   463,   464,     0,     0,   465,   466,   467,   468,   469,
     470,  1304,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,  1305,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,  1306,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
    1307,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,  1308,   542,   543,
     544,   545,   546,   547,   548,   549,  1309,   551,     0,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,  1310,   566,     0,   567,   568,  1311,     0,   569,
     570,   571,   572,   573,   574,   575,     0,   576,  1312,  1313,
       0,     0,   579,   580,  1314,   582,  1315,  1316,   584,   585,
     586,   587,   588,   589,   590,   591,     0,  1317,   592,   593,
     594,   595,   596,  1318,     0,   597,   598,   599,   600,   601,
     602,  1319,     0,   604,   605,   606,   607,   608,   609,     0,
       0,   610,     0,     0,   611,   612,   613,   614,   615,   616,
     617,  1320,  1321,  1322,  1323,   622,  1324,  1325,  1326,  1327,
     627,   628,   629,   630,     0,  1328,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1329,  1330,  1331,
       0,     0,   234,     0,  1251,   697,  1332,  1252,  1253,  1254,
     758,  1255,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,  2650,   244,
     245,   246,     0,     0,     0,     0,  1256,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1257,   260,  1258,  1259,     0,   263,   264,   265,
     266,   267,   268,   269,  1260,  1261,   270,   271,  1262,  1263,
     274,     0,   275,   276,   277,   278,  1264,     0,  1265,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,  1266,  1267,  1268,  1269,  1270,  1271,  1272,   302,
     303,   304,   305,   306,   307,  1273,  1274,   310,  1275,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   867,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,  1276,   339,   340,   341,   342,  1277,  1278,
     344,     0,   345,   346,   347,  1279,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,  1280,     0,  1281,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,  1282,  1283,     0,  1284,     0,   392,
     393,   394,   395,   396,  1285,  1286,  1287,  1288,  1289,  1290,
    1291,   404,   405,   406,   407,   408,   409,     0,     0,   410,
    1292,   412,   413,   414,     0,   415,   416,   417,  1293,  1294,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
    1295,   429,   430,   431,   432,   433,   434,   435,   436,  1296,
     438,  1297,   440,   441,   442,   443,   444,   445,   446,   447,
    1298,   449,  1299,   450,   451,   452,   453,  1300,  1301,   455,
    1302,   457,   458,   459,     0,   460,   461,     0,     0,  1303,
     463,   464,     0,     0,   465,   466,   467,   468,   469,   470,
    1304,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,  1305,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,  1306,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,  1307,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,  1308,   542,   543,   544,
     545,   546,   547,   548,   549,  1309,   551,     0,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,  1310,   566,     0,   567,   568,  1311,     0,   569,   570,
     571,   572,   573,   574,   575,     0,   576,  1312,  1313,     0,
       0,   579,   580,  1314,   582,  1315,  1316,   584,   585,   586,
     587,   588,   589,   590,   591,     0,  1317,   592,   593,   594,
     595,   596,  1318,     0,   597,   598,   599,   600,   601,   602,
    1319,     0,   604,   605,   606,   607,   608,   609,     0,     0,
     610,     0,     0,   611,   612,   613,   614,   615,   616,   617,
    1320,  1321,  1322,  1323,   622,  1324,  1325,  1326,  1327,   627,
     628,   629,   630,     0,  1328,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1329,  1330,     0,     0,
       0,   234,     0,  1251,   697,  1332,  1252,  1253,  1254,   758,
    1255,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1256,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1257,   260,  1258,  1259,     0,   263,   264,   265,   266,
     267,   268,   269,  1260,  1261,   270,   271,  1262,  1263,   274,
       0,   275,   276,   277,   278,  1264,     0,  1265,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,  1266,  1267,  1268,  1269,  1270,  1271,  1272,   302,   303,
     304,   305,   306,   307,  1273,  1274,   310,  1275,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   867,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,  1276,   339,   340,   341,   342,  1277,  1278,   344,
       0,   345,   346,   347,  1279,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
    1280,     0,  1281,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,  1282,  1283,     0,  1284,     0,   392,   393,
     394,   395,   396,  1285,  1286,  1287,  1288,  1289,  1290,  1291,
     404,   405,   406,   407,   408,   409,     0,     0,   410,  1292,
     412,   413,   414,     0,   415,   416,   417,  1293,  1294,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,  1295,
     429,   430,   431,   432,   433,   434,   435,   436,  1296,   438,
    1297,   440,   441,   442,   443,   444,   445,   446,   447,  1298,
     449,  1299,   450,   451,   452,   453,  1300,  1301,   455,  1302,
     457,   458,   459,     0,   460,   461,     0,     0,  1303,   463,
     464,     0,     0,   465,   466,   467,   468,   469,   470,  1304,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,  1305,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
    1306,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,  3237,
     518,   519,   520,   521,   522,   523,   524,   525,  1307,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,  1308,   542,   543,   544,   545,
     546,   547,   548,   549,  1309,   551,     0,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
    1310,   566,     0,   567,   568,  1311,     0,   569,   570,   571,
     572,   573,   574,   575,     0,   576,  1312,  1313,     0,     0,
     579,   580,  1314,   582,  1315,  1316,   584,   585,   586,   587,
     588,   589,   590,   591,     0,  1317,   592,   593,   594,   595,
     596,  1318,     0,   597,   598,   599,   600,   601,   602,  1319,
       0,   604,   605,   606,   607,   608,   609,     0,     0,   610,
       0,     0,   611,   612,   613,   614,   615,   616,   617,  1320,
    1321,  1322,  1323,   622,  1324,  1325,  1326,  1327,   627,   628,
     629,   630,     0,  1328,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1329,  1330,     0,     0,     0,
     234,     0,  1251,   697,  1332,  1252,  1253,  1254,   758,  1255,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1256,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1257,   260,  1258,  1259,     0,   263,   264,   265,   266,   267,
     268,   269,  1260,  1261,   270,   271,  1262,  1263,   274,     0,
     275,   276,   277,   278,  1264,     0,  1265,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
    1266,  1267,  1268,  1269,  1270,  1271,  1272,   302,   303,   304,
     305,   306,   307,  1273,  1274,   310,  1275,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   867,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,  1276,   339,   340,   341,   342,  1277,  1278,   344,     0,
     345,   346,   347,  1279,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,  1280,
       0,  1281,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,  1282,  1283,     0,  1284,     0,   392,   393,   394,
     395,   396,  1285,  1286,  1287,  1288,  1289,  1290,  1291,   404,
     405,   406,   407,   408,   409,     0,     0,   410,  1292,   412,
     413,   414,     0,   415,   416,   417,  1293,  1294,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,  1295,   429,
     430,   431,   432,   433,   434,   435,   436,  1296,   438,  1297,
     440,   441,   442,   443,   444,   445,   446,   447,  1298,   449,
    1299,   450,   451,   452,   453,  1300,  1301,   455,  1302,   457,
     458,   459,     0,   460,   461,     0,     0,  1303,   463,   464,
       0,     0,   465,   466,   467,   468,   469,   470,  1304,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,  1305,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,  1306,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,  1307,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,  1308,   542,   543,   544,   545,   546,
     547,   548,   549,  1309,   551,     0,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,  1310,
     566,     0,   567,   568,  1311,     0,   569,   570,   571,   572,
     573,   574,   575,     0,   576,  1312,  1313,     0,     0,   579,
     580,  1314,   582,  1315,  1316,   584,   585,   586,   587,   588,
     589,   590,   591,     0,  1317,   592,   593,   594,   595,   596,
    1318,     0,   597,   598,   599,   600,   601,   602,  1319,  3782,
     604,   605,   606,   607,   608,   609,     0,     0,   610,     0,
       0,   611,   612,   613,   614,   615,   616,   617,  1320,  1321,
    1322,  1323,   622,  1324,  1325,  1326,  1327,   627,   628,   629,
     630,     0,  1328,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1329,  1330,     0,     0,     0,   234,
       0,  1251,   697,  1332,  1252,  1253,  1254,   758,  1255,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1256,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1257,
     260,  1258,  1259,     0,   263,   264,   265,   266,   267,   268,
     269,  1260,  1261,   270,   271,  1262,  1263,   274,     0,   275,
     276,   277,   278,  1264,     0,  1265,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,  1266,
    1267,  1268,  1269,  1270,  1271,  1272,   302,   303,   304,   305,
     306,   307,  1273,  1274,   310,  1275,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   867,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
    1276,   339,   340,   341,   342,  1277,  1278,   344,     0,   345,
     346,   347,  1279,   349,     0,   350,     0,   351,   352,   353,
    3280,   354,   355,   356,   357,   358,     0,   359,  1280,     0,
    1281,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,  1282,  1283,     0,  1284,     0,   392,   393,   394,   395,
     396,  1285,  1286,  1287,  1288,  1289,  1290,  1291,   404,   405,
     406,   407,   408,   409,     0,     0,   410,  1292,   412,   413,
     414,     0,   415,   416,   417,  1293,  1294,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,  1295,   429,   430,
     431,   432,   433,   434,   435,   436,  1296,   438,  1297,   440,
     441,   442,   443,   444,   445,   446,   447,  1298,   449,  1299,
     450,   451,   452,   453,  1300,  1301,   455,  1302,   457,   458,
     459,     0,   460,   461,     0,     0,  1303,   463,   464,     0,
       0,   465,   466,   467,   468,   469,   470,  1304,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,  1305,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,  1306,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,  1307,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,  1308,   542,   543,   544,   545,   546,   547,
     548,   549,  1309,   551,     0,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,  1310,   566,
       0,   567,   568,  1311,     0,   569,   570,   571,   572,   573,
     574,   575,     0,   576,  1312,  1313,     0,     0,   579,   580,
    1314,   582,  1315,  1316,   584,   585,   586,   587,   588,   589,
     590,   591,     0,  1317,   592,   593,   594,   595,   596,  1318,
       0,   597,   598,   599,   600,   601,   602,  1319,     0,   604,
     605,   606,   607,   608,   609,     0,     0,   610,     0,     0,
     611,   612,   613,   614,   615,   616,   617,  1320,  1321,  1322,
    1323,   622,  1324,  1325,  1326,  1327,   627,   628,   629,   630,
       0,  1328,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1329,  1330,     0,     0,     0,   234,     0,
    1251,   697,  1332,  1252,  1253,  1254,   758,  1255,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1256,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1257,   260,
    1258,  1259,     0,   263,   264,   265,   266,   267,   268,   269,
    1260,  1261,   270,   271,  1262,  1263,   274,     0,   275,   276,
     277,   278,  1264,     0,  1265,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,  1266,  1267,
    1268,  1269,  1270,  1271,  1272,   302,   303,   304,   305,   306,
     307,  1273,  1274,   310,  1275,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   867,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,  1276,
     339,   340,   341,   342,  1277,  1278,   344,     0,   345,   346,
     347,  1279,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,  1280,     0,  1281,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
    1282,  1283,     0,  1284,     0,   392,   393,   394,   395,   396,
    1285,  1286,  1287,  1288,  1289,  1290,  1291,   404,   405,   406,
     407,   408,   409,     0,     0,   410,  1292,   412,   413,   414,
       0,   415,   416,   417,  1293,  1294,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,  1295,   429,   430,   431,
     432,   433,   434,   435,   436,  1296,   438,  1297,   440,   441,
     442,   443,   444,   445,   446,   447,  1298,   449,  1299,   450,
     451,   452,   453,  1300,  1301,   455,  1302,   457,   458,   459,
       0,   460,   461,     0,     0,  1303,   463,   464,     0,     0,
     465,   466,   467,   468,   469,   470,  1304,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
    1305,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,  1306,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,  1307,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,  1308,   542,   543,   544,   545,   546,   547,   548,
     549,  1309,   551,     0,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,  1310,   566,     0,
     567,   568,  1311,     0,   569,   570,   571,   572,   573,   574,
     575,     0,   576,  1312,  1313,  3337,     0,   579,   580,  1314,
     582,  1315,  1316,   584,   585,   586,   587,   588,   589,   590,
     591,     0,  1317,   592,   593,   594,   595,   596,  1318,     0,
     597,   598,   599,   600,   601,   602,  1319,     0,   604,   605,
     606,   607,   608,   609,     0,     0,   610,     0,     0,   611,
     612,   613,   614,   615,   616,   617,  1320,  1321,  1322,  1323,
     622,  1324,  1325,  1326,  1327,   627,   628,   629,   630,     0,
    1328,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1329,  1330,     0,     0,     0,   234,     0,  1251,
     697,  1332,  1252,  1253,  1254,   758,  1255,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1256,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1257,   260,  1258,
    1259,     0,   263,   264,   265,   266,   267,   268,   269,  1260,
    1261,   270,   271,  1262,  1263,   274,     0,   275,   276,   277,
     278,  1264,     0,  1265,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,  1266,  1267,  1268,
    1269,  1270,  1271,  1272,   302,   303,   304,   305,   306,   307,
    1273,  1274,   310,  1275,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   867,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,  1276,   339,
     340,   341,   342,  1277,  1278,   344,     0,   345,   346,   347,
    1279,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,  1280,     0,  1281,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,  1282,
    1283,     0,  1284,     0,   392,   393,   394,   395,   396,  1285,
    1286,  1287,  1288,  1289,  1290,  1291,   404,   405,   406,   407,
     408,   409,     0,     0,   410,  1292,   412,   413,   414,     0,
     415,   416,   417,  1293,  1294,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,  1295,   429,   430,   431,   432,
     433,   434,   435,   436,  1296,   438,  1297,   440,   441,   442,
     443,   444,   445,   446,   447,  1298,   449,  1299,   450,   451,
     452,   453,  1300,  1301,   455,  1302,   457,   458,   459,     0,
     460,   461,     0,     0,  1303,   463,   464,     0,     0,   465,
     466,   467,   468,   469,   470,  1304,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,  1305,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,  1306,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,  1307,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,  1308,   542,   543,   544,   545,   546,   547,   548,   549,
    1309,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,  1310,   566,     0,   567,
     568,  1311,     0,   569,   570,   571,   572,   573,   574,   575,
       0,   576,  1312,  1313,     0,     0,   579,   580,  1314,   582,
    1315,  1316,   584,   585,   586,   587,   588,   589,   590,   591,
       0,  1317,   592,   593,   594,   595,   596,  1318,     0,   597,
     598,   599,   600,   601,   602,  1319,     0,   604,   605,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,  1320,  1321,  1322,  1323,   622,
    1324,  1325,  1326,  1327,   627,   628,   629,   630,     0,  1328,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1329,  1330,     0,     0,     0,   234,     0,  1251,   697,
    1332,  1252,  1253,  1254,   758,  1255,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1256,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1257,   260,  1258,  1259,
       0,   263,   264,   265,   266,   267,   268,   269,  1260,  1261,
     270,   271,  1262,  1263,   274,     0,   275,   276,   277,   278,
    1264,     0,  1265,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,  1266,  1267,  1268,  1269,
    1270,  1271,  1272,   302,   303,   304,   305,   306,   307,  1273,
    1274,   310,  1275,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   867,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,  1276,   339,   340,
     341,   342,  1277,  1278,   344,     0,   345,   346,   347,  1279,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,  1280,     0,  1281,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,  1282,  1283,
       0,  1284,     0,   392,   393,   394,   395,   396,  1285,  1286,
    1287,  1288,  1289,  1290,  1291,   404,   405,   406,   407,   408,
     409,     0,     0,   410,  1292,   412,   413,   414,     0,   415,
     416,   417,  1293,  1294,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,  1295,   429,   430,   431,   432,   433,
     434,   435,   436,  1296,   438,  1297,   440,   441,   442,   443,
     444,   445,   446,   447,  1298,   449,  1299,   450,   451,   452,
     453,  1300,  1301,   455,  1302,   457,   458,   459,     0,   460,
     461,     0,     0,  1303,   463,   464,     0,     0,   465,   466,
     467,   468,   469,   470,  1304,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,  1305,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,  1306,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,  1307,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
    1308,   542,   543,   544,   545,   546,   547,   548,   549,  1309,
     551,     0,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,  1310,   566,     0,   567,   568,
    1311,     0,   569,   570,   571,   572,   573,   574,   575,     0,
     576,  1312,  1313,     0,     0,   579,   580,  1314,   582,  1315,
    1316,   584,   585,   586,   587,   588,   589,   590,   591,     0,
    1317,   592,   593,   594,   595,   596,  1318,     0,   597,   598,
     599,   600,   601,   602,  1319,     0,   604,   605,   606,   607,
     608,   609,     0,     0,   610,     0,     0,   611,   612,   613,
     614,   615,   616,   617,  1320,  1321,  1322,  1323,   622,  1324,
    1325,  1326,  1327,   627,   628,   629,   630,     0,  1328,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2653,  2654,     0,     0,     0,   234,     0,  3454,   697,  1332,
    1252,  1253,  1254,   758,  1255,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,  1256,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,  1257,   260,  1258,  1259,     0,
     263,   264,   265,   266,   267,   268,   269,  1260,  1261,   270,
     271,  1262,  1263,   274,     0,   275,   276,   277,   278,  1264,
       0,  1265,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,  1266,  1267,  1268,  1269,  1270,
    1271,  1272,   302,   303,   304,   305,   306,   307,  1273,  1274,
     310,  1275,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     867,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,  1276,   339,   340,   341,
     342,  1277,  1278,   344,     0,   345,   346,   347,  1279,   349,
       0,   350,     0,   351,   352,   353,     0,   354,   355,   356,
     357,   358,     0,   359,  1280,     0,  1281,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,  1282,  1283,     0,
    1284,     0,   392,   393,   394,   395,   396,  1285,  1286,  1287,
    1288,  1289,  1290,  1291,   404,   405,   406,   407,   408,   409,
       0,     0,   410,  1292,   412,   413,   414,     0,   415,   416,
     417,  1293,  1294,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,  1295,   429,   430,   431,   432,   433,   434,
     435,   436,  1296,   438,  1297,   440,   441,   442,   443,   444,
     445,   446,   447,  1298,   449,  1299,   450,   451,   452,   453,
    1300,  1301,   455,  1302,   457,   458,   459,     0,   460,   461,
       0,     0,  1303,   463,   464,     0,     0,   465,   466,   467,
     468,   469,   470,  1304,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,  1305,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,  1306,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,  1307,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,  1308,
     542,   543,   544,   545,   546,   547,   548,   549,  1309,   551,
       0,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,  1310,   566,     0,   567,   568,  1311,
       0,   569,   570,   571,   572,   573,   574,   575,     0,   576,
    1312,  1313,     0,     0,   579,   580,  1314,   582,  1315,  1316,
     584,   585,   586,   587,   588,   589,   590,   591,     0,  1317,
     592,   593,   594,   595,   596,  1318,     0,   597,   598,   599,
     600,   601,   602,  1319,     0,   604,   605,   606,   607,   608,
     609,     0,     0,   610,     0,     0,   611,   612,   613,   614,
     615,   616,   617,  1320,  1321,  1322,  1323,   622,  1324,  1325,
    1326,  1327,   627,   628,   629,   630,     0,  1328,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1329,
    1330,     0,     0,     0,   234,     0,  1251,   697,  1332,  1252,
    1253,  1254,   758,  1255,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1256,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1257,   260,  1258,  1259,     0,   263,
     264,   265,   266,   267,   268,   269,  1260,  1261,   270,   271,
    1262,  1263,   274,     0,   275,   276,   277,   278,  1264,     0,
    1265,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,  4789,  1266,  1267,  1268,  1269,  1270,  1271,
    1272,   302,   303,   304,   305,   306,   307,  1273,  1274,   310,
    1275,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   867,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,  1276,   339,   340,   341,   342,
    1277,  1278,   344,     0,   345,   346,   347,  1279,   349,     0,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,  1280,     0,  1281,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,  1282,  1283,     0,  1284,
       0,   392,   393,   394,   395,   396,  1285,  1286,  1287,  1288,
    1289,  1290,  1291,   404,   405,   406,   407,   408,   409,     0,
       0,   410,  1292,   412,   413,   414,     0,   415,   416,   417,
    1293,  1294,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,  1295,   429,   430,   431,   432,   433,   434,   435,
     436,  1296,   438,  1297,   440,   441,   442,   443,   444,   445,
     446,   447,  1298,   449,  1299,   450,   451,   452,   453,  1300,
    1301,   455,  1302,   457,   458,   459,     0,   460,   461,     0,
       0,  1303,   463,   464,     0,     0,   465,   466,   467,   468,
     469,   470,  1304,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,  1305,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,  1306,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,  1307,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,  1308,   542,
     543,   544,   545,   546,   547,   548,   549,  1309,   551,     0,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,  1310,   566,     0,   567,   568,  1311,     0,
     569,   570,   571,   572,   573,   574,   575,     0,   576,  1312,
    1313,     0,     0,   579,   580,  1314,   582,  1315,  1316,   584,
     585,   586,   587,   588,   589,   590,   591,     0,  1317,   592,
     593,   594,   595,   596,  1318,     0,   597,   598,   599,   600,
     601,   602,  1319,     0,   604,   605,   606,   607,   608,   609,
       0,     0,   610,     0,     0,   611,   612,   613,   614,   615,
     616,   617,  1320,  1321,  1322,  1323,   622,  1324,  1325,  1326,
    1327,   627,   628,   629,   630,     0,  1328,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1329,  1330,
       0,     0,     0,   234,     0,  1251,   697,  1332,  1252,  1253,
    1254,   758,  1255,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1256,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1257,   260,  1258,  1259,     0,   263,   264,
     265,   266,   267,   268,   269,  1260,  1261,   270,   271,  1262,
    1263,   274,     0,   275,   276,   277,   278,  1264,     0,  1265,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,  1266,  1267,  1268,  1269,  1270,  1271,  1272,
     302,   303,   304,   305,   306,   307,  1273,  1274,   310,  1275,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   867,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,  1276,   339,   340,   341,   342,  1277,
    1278,   344,     0,   345,   346,   347,  1279,   349,     0,   350,
       0,   351,   352,   353,     0,   354,   355,   356,   357,   358,
       0,   359,  1280,     0,  1281,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,  1282,  1283,     0,  1284,     0,
     392,   393,   394,   395,   396,  1285,  1286,  1287,  1288,  1289,
    1290,  1291,   404,   405,   406,   407,   408,   409,     0,     0,
     410,  1292,   412,   413,   414,     0,   415,   416,   417,  1293,
    1294,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,  1295,   429,   430,   431,   432,   433,   434,   435,   436,
    1296,   438,  1297,   440,   441,   442,   443,   444,   445,   446,
     447,  1298,   449,  1299,   450,   451,   452,   453,  1300,  1301,
     455,  1302,   457,   458,   459,     0,   460,   461,     0,     0,
    1303,   463,   464,     0,     0,   465,   466,   467,   468,   469,
     470,  1304,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,  1305,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,  1306,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
    1307,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,  1308,   542,   543,
     544,   545,   546,   547,   548,   549,  1309,   551,     0,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,  1310,   566,     0,   567,   568,  1311,     0,   569,
     570,   571,   572,   573,   574,   575,     0,   576,  1312,  1313,
       0,     0,   579,   580,  1314,   582,  1315,  1316,   584,   585,
     586,   587,   588,   589,   590,   591,     0,  1317,   592,   593,
     594,   595,   596,  1318,     0,   597,   598,   599,   600,   601,
     602,  1319,     0,   604,   605,   606,   607,   608,   609,     0,
       0,   610,     0,     0,   611,   612,   613,   614,   615,   616,
    5167,  1320,  1321,  1322,  1323,   622,  1324,  1325,  1326,  1327,
     627,   628,   629,   630,     0,  1328,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1329,  1330,     0,
       0,     0,   234,     0,  1251,   697,  1332,  1252,  1253,  1254,
     758,  1255,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1256,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1257,   260,  1258,  1259,     0,   263,   264,   265,
     266,   267,   268,   269,  1260,  1261,   270,   271,  1262,  1263,
     274,     0,   275,   276,   277,   278,  1264,     0,  1265,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,  1266,  1267,  1268,  1269,  1270,  1271,  1272,   302,
     303,   304,   305,   306,   307,  1273,  1274,   310,  1275,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   867,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,  1276,   339,   340,   341,   342,  1277,  1278,
     344,     0,   345,   346,   347,  1279,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,  1280,     0,  1281,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,  1282,  1283,     0,  1284,     0,   392,
     393,   394,   395,   396,  1285,  1286,  1287,  1288,  1289,  1290,
    1291,   404,   405,   406,   407,   408,   409,     0,     0,   410,
    1292,   412,   413,   414,     0,   415,   416,   417,  1293,  1294,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
    1295,   429,   430,   431,   432,   433,   434,   435,   436,  1296,
     438,  1297,   440,   441,   442,   443,   444,   445,  5179,   447,
    1298,   449,  1299,   450,   451,   452,   453,  1300,  1301,   455,
    1302,   457,   458,   459,     0,   460,   461,     0,     0,  1303,
     463,   464,     0,     0,   465,   466,   467,   468,   469,   470,
    1304,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,  1305,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,  1306,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,  1307,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,  1308,   542,   543,   544,
     545,   546,   547,   548,   549,  1309,   551,     0,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,  1310,   566,     0,   567,   568,  1311,     0,   569,   570,
     571,   572,   573,   574,   575,     0,   576,  1312,  1313,     0,
       0,   579,   580,  1314,   582,  1315,  1316,   584,   585,   586,
     587,   588,   589,   590,   591,     0,  1317,   592,   593,   594,
     595,   596,  1318,     0,   597,   598,   599,   600,   601,   602,
    1319,     0,   604,   605,   606,   607,   608,   609,     0,     0,
     610,     0,     0,   611,   612,   613,   614,   615,   616,   617,
    1320,  1321,  1322,  1323,   622,  1324,  1325,  1326,  1327,   627,
     628,   629,   630,     0,  1328,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1329,  1330,     0,     0,
       0,   234,     0,  1251,   697,  1332,  1252,  1253,  1254,   758,
    1255,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1256,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1257,   260,  1258,  1259,     0,   263,   264,   265,   266,
     267,   268,   269,  1260,  1261,   270,   271,  1262,  1263,   274,
       0,   275,   276,   277,   278,  1264,     0,  1265,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,  5499,
     300,  1266,  1267,  1268,  1269,  1270,  1271,  1272,   302,   303,
     304,   305,   306,   307,  1273,  1274,   310,  1275,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   867,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,  1276,   339,   340,   341,   342,  1277,  1278,   344,
       0,   345,   346,   347,  1279,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
    1280,     0,  5500,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,  1282,  1283,     0,  1284,     0,   392,   393,
     394,   395,   396,  1285,  1286,  1287,  1288,  1289,  1290,  1291,
     404,   405,   406,   407,   408,   409,     0,     0,   410,  1292,
     412,   413,   414,     0,   415,   416,   417,  1293,  1294,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,  1295,
     429,   430,   431,   432,   433,   434,   435,   436,  1296,   438,
    1297,   440,   441,   442,   443,   444,   445,   446,   447,  1298,
     449,  1299,   450,   451,   452,   453,  1300,  1301,   455,  1302,
     457,   458,   459,     0,   460,   461,     0,     0,  1303,   463,
     464,     0,     0,   465,   466,   467,   468,   469,   470,  1304,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,  1305,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
    1306,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,  5501,   524,   525,  1307,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,  1308,   542,   543,   544,   545,
     546,   547,   548,   549,  1309,   551,     0,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
    1310,   566,     0,   567,   568,  1311,     0,   569,   570,   571,
     572,   573,   574,   575,     0,   576,  1312,  1313,     0,     0,
     579,   580,  1314,   582,  1315,  1316,   584,   585,   586,   587,
     588,   589,   590,   591,     0,  1317,   592,   593,   594,   595,
     596,  1318,     0,   597,   598,   599,   600,   601,   602,  1319,
       0,   604,   605,   606,   607,   608,   609,     0,     0,   610,
       0,     0,   611,   612,   613,   614,   615,   616,   617,  1320,
    1321,  1322,  1323,   622,  1324,  1325,  1326,  1327,   627,   628,
     629,   630,     0,  1328,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1329,  1330,     0,     0,     0,
     234,     0,  1251,   697,  5502,  1252,  1253,  1254,   758,  1255,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1256,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,  5878,
    1257,   260,  1258,  1259,     0,   263,   264,   265,   266,   267,
     268,   269,  1260,  1261,   270,   271,  1262,  1263,   274,     0,
     275,   276,   277,   278,  1264,     0,  1265,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,  5879,
    1266,  1267,  1268,  1269,  1270,  1271,  1272,   302,   303,   304,
     305,   306,   307,  1273,  1274,   310,  1275,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   867,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,  1276,   339,   340,   341,   342,  1277,  1278,   344,     0,
     345,   346,   347,  1279,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,  1280,
       0,  1281,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,  1282,  1283,     0,  1284,     0,   392,   393,   394,
     395,   396,  1285,  1286,  1287,  1288,  1289,  1290,  1291,   404,
     405,   406,   407,   408,   409,     0,     0,   410,  1292,   412,
     413,   414,     0,   415,   416,   417,  1293,  1294,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,  1295,   429,
     430,   431,   432,   433,   434,   435,   436,  1296,   438,  1297,
     440,   441,   442,   443,   444,   445,   446,   447,  1298,   449,
    1299,   450,   451,   452,   453,  1300,  1301,   455,  1302,   457,
     458,   459,     0,   460,   461,     0,     0,  1303,   463,   464,
       0,     0,   465,   466,   467,   468,   469,   470,  1304,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,  1305,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,  1306,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,  1307,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,  1308,   542,   543,   544,   545,   546,
     547,   548,   549,  1309,   551,     0,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,  1310,
     566,     0,   567,   568,  1311,     0,   569,   570,   571,   572,
     573,   574,   575,     0,   576,  1312,  1313,     0,     0,   579,
     580,  1314,   582,  1315,  1316,   584,   585,   586,   587,   588,
    5880,   590,   591,     0,  1317,   592,   593,   594,   595,   596,
    1318,     0,   597,   598,   599,   600,   601,   602,  1319,     0,
     604,   605,   606,   607,   608,   609,     0,     0,   610,     0,
       0,   611,   612,   613,   614,   615,   616,   617,  1320,  1321,
    1322,  1323,   622,  1324,  1325,  1326,  1327,   627,   628,   629,
     630,     0,  1328,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1329,  1330,     0,     0,     0,   234,
       0,  1251,   697,  1332,  1252,  1253,  1254,   758,  1255,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1256,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1257,
     260,  1258,  1259,     0,   263,   264,   265,   266,   267,   268,
     269,  1260,  1261,   270,   271,  1262,  1263,   274,     0,   275,
     276,   277,   278,  1264,     0,  1265,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,  5879,  1266,
    1267,  1268,  1269,  1270,  1271,  1272,   302,   303,   304,   305,
     306,   307,  1273,  1274,   310,  1275,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   867,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
    1276,   339,   340,   341,   342,  1277,  1278,   344,     0,   345,
     346,   347,  1279,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,  1280,     0,
    1281,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,  1282,  1283,     0,  1284,     0,   392,   393,   394,   395,
     396,  1285,  1286,  1287,  1288,  1289,  1290,  1291,   404,   405,
     406,   407,   408,   409,     0,     0,   410,  1292,   412,   413,
     414,     0,   415,   416,   417,  1293,  1294,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,  1295,   429,   430,
     431,   432,   433,   434,   435,   436,  1296,   438,  1297,   440,
     441,   442,   443,   444,   445,   446,   447,  1298,   449,  1299,
     450,   451,   452,   453,  1300,  1301,   455,  1302,   457,   458,
     459,     0,   460,   461,     0,     0,  1303,   463,   464,     0,
       0,   465,   466,   467,   468,   469,   470,  1304,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,  1305,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,  1306,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,  1307,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,  1308,   542,   543,   544,   545,   546,   547,
     548,   549,  1309,   551,     0,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,  1310,   566,
       0,   567,   568,  1311,     0,   569,   570,   571,   572,   573,
     574,   575,     0,   576,  1312,  1313,     0,     0,   579,   580,
    1314,   582,  1315,  1316,   584,   585,   586,   587,   588,  5880,
     590,   591,     0,  1317,   592,   593,   594,   595,   596,  1318,
       0,   597,   598,   599,   600,   601,   602,  1319,     0,   604,
     605,   606,   607,   608,   609,     0,     0,   610,     0,     0,
     611,   612,   613,   614,   615,   616,   617,  1320,  1321,  1322,
    1323,   622,  1324,  1325,  1326,  1327,   627,   628,   629,   630,
       0,  1328,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1329,  1330,     0,     0,     0,   234,     0,
    1251,   697,  1332,  1252,  1253,  1254,   758,  1255,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1256,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1257,   260,
    1258,  1259,     0,   263,   264,   265,   266,   267,   268,   269,
    1260,  1261,   270,   271,  1262,  1263,   274,     0,   275,   276,
     277,   278,  1264,     0,  1265,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,  1266,  1267,
    1268,  1269,  1270,  1271,  1272,   302,   303,   304,   305,   306,
     307,  1273,  1274,   310,  5484,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   867,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,  1276,
     339,   340,   341,   342,  1277,  1278,   344,     0,   345,   346,
     347,  1279,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,  1280,     0,  1281,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
    1282,  1283,     0,  1284,     0,   392,   393,   394,   395,   396,
    1285,  1286,  1287,  1288,  1289,  1290,  1291,   404,   405,   406,
     407,   408,   409,     0,     0,   410,  1292,   412,   413,   414,
       0,   415,   416,   417,  1293,  1294,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,  1295,   429,   430,   431,
     432,   433,   434,   435,   436,  1296,   438,  1297,   440,   441,
     442,   443,   444,   445,   446,   447,  1298,   449,     0,   450,
     451,   452,   453,  1300,  1301,   455,  1302,   457,   458,   459,
       0,   460,   461,     0,     0,  1303,   463,   464,     0,     0,
     465,   466,   467,   468,   469,   470,  1304,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
    1305,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,  1306,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,  3265,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,  1308,   542,   543,   544,   545,   546,   547,   548,
     549,  1309,   551,     0,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,  1310,   566,     0,
     567,   568,  1311,     0,   569,   570,   571,   572,   573,   574,
     575,     0,   576,  1312,  1313,     0,     0,   579,   580,  1314,
     582,  1315,  1316,   584,   585,   586,   587,   588,   589,   590,
     591,     0,     0,   592,   593,   594,   595,   596,  1318,     0,
     597,   598,   599,   600,   601,   602,  1319,     0,   604,   605,
     606,   607,   608,   609,     0,     0,   610,     0,     0,   611,
     612,   613,   614,   615,   616,   617,  1320,  1321,  1322,  1323,
     622,  1324,  1325,  1326,  1327,   627,   628,   629,   630,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3266,  3267,     0,     0,     0,   234,     0,  1251,
     697,  3268,  1252,  1253,  1254,   758,  1255,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1256,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257, -2907,  1257,   260,  1258,
    1259,     0,   263,   264,   265,   266,   267,   268,   269,  1260,
    1261,   270,   271,  1262,  1263,   274,     0,   275,   276,   277,
     278,  1264,     0,  1265,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,  5879,  1266,  1267,  1268,
    1269,  1270,  1271,  1272,   302,   303,   304,   305,   306,   307,
    1273,  1274,   310,  1275,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   867,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,  1276,   339,
     340,   341,   342,  1277,  1278,   344,     0,   345,   346,   347,
    1279,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,  1280,     0,  1281,   362,
     363,     0,   364,   365,   366,   367,   368, -2907,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,  1282,
    1283,     0,  1284,     0,   392,     0,     0,   395,   396,  1285,
    1286,  1287,  1288,  1289,  1290,  1291,   404,   405,   406,   407,
     408,   409,     0,     0,   410,  1292,   412,   413, -2907,     0,
     415,   416,   417,  1293,  1294,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,  1295,   429,   430,   431,   432,
     433,   434,   435,   436,  1296,   438,  1297,   440,   441,   442,
     443,   444,   445,   446,   447,  1298,   449,  1299,   450,   451,
       0,   453,  1300,  1301,   455,  1302,   457,   458,   459,     0,
     460,   461,     0,     0,  1303,   463,   464,     0,     0,   465,
     466,   467,   468,   469,   470,  1304,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,  1305,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,  1306,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,  1307,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,  1308,   542,   543,   544,   545,   546, -2907,   548,   549,
    1309,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,  1310,   566,     0,   567,
     568,  1311,     0,   569,   570,   571,   572,   573,   574,   575,
       0,   576,  1312,  1313,     0,     0,   579,   580,  1314,   582,
    1315,  1316,   584,   585,   586,   587,   588,  5880,   590,   591,
       0,  1317,   592,   593,   594,   595,   596,  1318,     0,   597,
     598,   599,   600,   601,   602,  1319,     0,   604,   605,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,  1320,  1321,  1322,  1323,   622,
    1324,  1325,  1326,  1327,   627,   628,   629,   630,     0, -2907,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1329,  1330,     0,     0,     0,   234,     0,  1251,   697,
    1332,  1252,  1253,  1254,   758,  1255,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1256,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1257,   260,  1258,  1259,
       0,   263,   264,   265,   266,   267,   268,   269,  1260,  1261,
     270,   271,  1262,  1263,   274,     0,   275,   276,   277,   278,
    1264,     0,  1265,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,  1266,  1267,  1268,  1269,
    1270,  1271,  1272,   302,   303,   304,   305,   306,   307,  1273,
    1274,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   867,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,  1276,   339,   340,
     341,   342,  1277,  1278,   344,     0,   345,   346,   347,  1279,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,  1280,     0,  1281,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,  1282,  1283,
       0,  1284,     0,   392,   393,   394,   395,   396,  1285,  1286,
    1287,  1288,  1289,  1290,  1291,   404,   405,   406,   407,   408,
     409,     0,     0,   410,  1292,   412,   413,   414,     0,   415,
     416,   417,  1293,  1294,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,  1295,   429,   430,   431,   432,   433,
     434,   435,   436,  1296,   438,  1297,   440,   441,   442,   443,
     444,   445,   446,   447,  1298,   449,     0,   450,   451,   452,
     453,  1300,  1301,   455,  1302,   457,   458,   459,     0,   460,
     461,     0,     0,  1303,   463,   464,     0,     0,   465,   466,
     467,   468,   469,   470,  1304,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,  1305,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,  1306,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,  3265,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
    1308,   542,   543,   544,   545,   546,   547,   548,   549,  1309,
     551,     0,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,  1310,   566,     0,   567,   568,
    1311,     0,   569,   570,   571,   572,   573,   574,   575,     0,
     576,  1312,  1313,     0,     0,   579,   580,  1314,   582,  1315,
    1316,   584,   585,   586,   587,   588,   589,   590,   591,     0,
       0,   592,   593,   594,   595,   596,  1318,     0,   597,   598,
     599,   600,   601,   602,  1319,     0,   604,   605,   606,   607,
     608,   609,     0,     0,   610,     0,     0,   611,   612,   613,
     614,   615,   616,   617,  1320,  1321,  1322,  1323,   622,  1324,
    1325,  1326,  1327,   627,   628,   629,   630,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3266,  3267,   234,     0,  1251,   697,     0,  1252,  1253,  3268,
     758,  1255,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1256,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1257,   260,  1258,  1259,     0,   263,   264,   265,
     266,   267,   268,   269,  1260,  1261,   270,   271,  1262,  1263,
     274,     0,   275,   276,   277,   278,  1264,     0,  1265,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,  1266,  1267,  1268,  1269,  1270,  1271,  1272,   302,
     303,   304,   305,   306,   307,  1273,  1274,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   867,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,  1276,   339,   340,   341,   342,  1277,  1278,
     344,     0,   345,   346,   347,  1279,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,  1280,     0,  1281,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,  1282,  1283,     0,  1284,     0,   392,
     393,   394,   395,   396,  1285,  1286,  1287,  1288,  1289,  1290,
    1291,   404,   405,   406,   407,   408,   409,     0,     0,   410,
    1292,   412,   413,   414,     0,   415,   416,   417,  1293,  1294,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
    1295,   429,   430,   431,   432,   433,   434,   435,   436,  1296,
     438,  1297,   440,   441,   442,   443,   444,   445,   446,   447,
    1298,   449,     0,   450,   451,   452,   453,  1300,  1301,   455,
    1302,   457,   458,   459,     0,   460,   461,     0,     0,   462,
     463,   464,     0,     0,   465,   466,   467,   468,   469,   470,
    1304,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,  1305,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,  1306,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,  3443,
    3444,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,  1308,   542,   543,   544,
     545,   546,   547,   548,   549,  1309,   551,     0,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,  1310,   566,     0,   567,   568,  1311,     0,   569,   570,
     571,   572,   573,   574,   575,     0,   576,  1312,  1313,     0,
       0,   579,   580,  1314,   582,  1315,  1316,   584,   585,   586,
     587,   588,   589,   590,   591,     0,     0,   592,   593,   594,
     595,   596,  1318,     0,   597,   598,   599,   600,   601,   602,
    1319,     0,   604,   605,   606,   607,   608,   609,     0,     0,
     610,     0,     0,   611,   612,   613,   614,   615,   616,   617,
    1320,  1321,  1322,  1323,   622,  1324,  1325,  1326,  1327,   627,
     628,   629,   630,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3445,  3446,   234,     0,
    1251,   697,     0,  1252,  1253,  3268,   758,  1255,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1256,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1257,   260,
    1258,  1259,     0,   263,   264,   265,   266,   267,   268,   269,
    1260,  1261,   270,   271,  1262,  1263,   274,     0,   275,   276,
     277,   278,  1264,     0,  1265,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,  1266,  1267,
    1268,  1269,  1270,  1271,  1272,   302,   303,   304,   305,   306,
     307,  1273,  1274,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   867,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,  1276,
     339,   340,   341,   342,  1277,  1278,   344,     0,   345,   346,
     347,  1279,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,  1280,     0,  1281,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
    1282,  1283,     0,  1284,     0,   392,   393,   394,   395,   396,
    1285,  1286,  1287,  1288,  1289,  1290,  1291,   404,   405,   406,
     407,   408,   409,     0,     0,   410,  1292,   412,   413,   414,
       0,   415,   416,   417,  1293,  1294,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,  1295,   429,   430,   431,
     432,   433,   434,   435,   436,  1296,   438,  1297,   440,   441,
     442,   443,   444,   445,   446,   447,  1298,   449,     0,   450,
     451,   452,   453,  1300,  1301,   455,  1302,   457,   458,   459,
       0,   460,   461,     0,     0,   462,   463,   464,     0,     0,
     465,   466,   467,   468,   469,   470,  1304,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
    1305,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,  1306,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,  3265,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,  1308,   542,   543,   544,   545,   546,   547,   548,
     549,  1309,   551,     0,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,  1310,   566,     0,
     567,   568,  1311,     0,   569,   570,   571,   572,   573,   574,
     575,     0,   576,  1312,  1313,     0,     0,   579,   580,  1314,
     582,  1315,  1316,   584,   585,   586,   587,   588,   589,   590,
     591,     0,     0,   592,   593,   594,   595,   596,  1318,     0,
     597,   598,   599,   600,   601,   602,  1319,     0,   604,   605,
     606,   607,   608,   609,     0,     0,   610,     0,     0,   611,
     612,   613,   614,   615,   616,   617,  1320,  1321,  1322,  1323,
     622,  1324,  1325,  1326,  1327,   627,   628,   629,   630,     0,
       0,     0,     0,     0,     0,   234,     0,  1251,   697,     0,
    1252,  1253,     0,   758,  1255,     0,     0,     0,     0,     0,
       0,  3268,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,  1256,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,  1257,   260,  1258,  1259,     0,
     263,  4700,   265,   266,   267,   268,   269,  1260,  1261,   270,
     271,  1262,  1263,   274,     0,   275,   276,   277,   278,  1264,
       0,  1265,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,  1266,  1267,  1268,  1269,  1270,
    1271,  1272,   302,   303,   304,   305,   306,   307,  1273,  1274,
     310,     0,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     867,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,  1276,   339,   340,   341,
     342,  1277,  1278,   344,     0,   345,   346,   347,  1279,   349,
       0,   350,     0,   351,   352,   353,     0,   354,   355,   356,
     357,   358,     0,   359,  1280,     0,  1281,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,  1282,  1283,     0,
    1284,     0,   392,   393,   394,   395,   396,  1285,  1286,  1287,
    1288,  1289,  1290,  1291,   404,   405,   406,   407,   408,   409,
       0,     0,   410,  1292,   412,   413,   414,     0,   415,   416,
     417,  1293,  1294,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,  1295,   429,   430,   431,   432,   433,   434,
     435,   436,  1296,   438,  1297,   440,   441,   442,   443,   444,
     445,   446,   447,  1298,   449,     0,   450,   451,   452,   453,
    1300,  1301,   455,  1302,   457,   458,   459,     0,   460,   461,
       0,     0,   462,   463,   464,     0,     0,   465,   466,   467,
     468,   469,   470,  1304,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,  1305,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,  1306,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,  3265,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,  1308,
     542,   543,   544,   545,   546,   547,   548,   549,  1309,   551,
       0,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,  1310,   566,     0,   567,   568,  1311,
       0,   569,   570,   571,   572,   573,   574,   575,     0,   576,
    1312,  1313,     0,     0,   579,   580,  1314,   582,  1315,  1316,
     584,   585,   586,   587,   588,   589,   590,   591,     0,     0,
     592,   593,   594,   595,   596,  1318,     0,   597,   598,   599,
     600,   601,   602,  1319,     0,   604,   605,   606,   607,   608,
     609,     0,     0,   610,     0,     0,   611,   612,   613,   614,
     615,   616,   617,  1320,  1321,  1322,  1323,   622,  1324,  1325,
    1326,  1327,   627,   628,   629,   630,     0,     0,     0,     0,
       0,     0,   234,     0,  1251,   697,     0,  1252,  1253,     0,
     758,  1255,     0,     0,     0,     0,     0,     0,  3268,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1256,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1257,   260,  1258,  1259,     0,   263,   264,   265,
     266,   267,   268,   269,  1260,  1261,   270,   271,  1262,  1263,
     274,     0,   275,   276,   277,   278,  1264,     0,  1265,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,  1266,  1267,  1268,  1269,  1270,  1271,  1272,   302,
     303,   304,   305,   306,   307,  1273,  1274,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   867,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,  1276,   339,   340,   341,   342,  1277,  1278,
     344,     0,   345,   346,   347,  1279,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,  1280,     0,  1281,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,  1282,  1283,     0,  1284,     0,   392,
     393,   394,   395,   396,  1285,  1286,  1287,  1288,  1289,  1290,
    1291,   404,   405,   406,   407,   408,   409,     0,     0,   410,
    1292,   412,   413,   414,     0,   415,   416,   417,  1293,  1294,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
    1295,   429,   430,   431,   432,   433,   434,   435,   436,  1296,
     438,  1297,   440,   441,   442,   443,   444,   445,   446,   447,
    1298,   449,     0,   450,   451,   452,   453,  1300,  1301,   455,
    1302,   457,   458,   459,     0,   460,   461,     0,     0,   462,
     463,   464,     0,     0,   465,   466,   467,   468,   469,   470,
    1304,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,  1305,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,  1306,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,  3265,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,  1308,   542,   543,   544,
     545,   546,   547,   548,   549,  1309,   551,     0,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,  1310,   566,     0,   567,   568,  1311,     0,   569,   570,
     571,   572,   573,   574,   575,     0,   576,  1312,  1313,     0,
       0,   579,   580,  1314,   582,  1315,  1316,   584,   585,   586,
     587,   588,   589,   590,   591,     0,     0,   592,   593,   594,
     595,   596,  1318,     0,   597,   598,   599,   600,   601,   602,
    1319,     0,   604,   605,   606,   607,   608,   609,     0,     0,
     610,     0,     0,   611,   612,   613,   614,   615,   616,   617,
    1320,  1321,  1322,  1323,  4758,  1324,  1325,  1326,  1327,   627,
     628,   629,   630,     0,     0,     0,     0,     0,     0,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3268,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,  1261,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,  1264,     0,  1265,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,  1266,
    1267,  1268,  1269,  1270,  1271,  1272,   302,   303,   304,   305,
     306,   307,   308,   309,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,  1277,     0,   344,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,  1280,     0,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,   393,   394,   395,
     396,  3416,  1286,  1287,  1288,  1289,  1290,  1291,   404,   405,
     406,   407,   408,   409,  3417,     0,   410,  1292,   412,   413,
     414,     0,   415,   416,   417,  1293,  1294,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,  1295,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,  1298,   449,     0,
     450,   451,   452,   453,     0,  1301,   455,   456,   457,   458,
     459,     0,   460,   461,     0,   842,   462,   463,   464,     0,
       0,   465,   466,   467,   468,   469,   470,  1304,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,  1305,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,  3418,   528,   529,
     530,   531,   532,   533,   534,   535,   536,    40,   537,   538,
     539,   540,   541,  1308,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,     0,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,  1310,   566,
       0,   567,   568,  1311,    44,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   577,   578,     0,     0,   579,   580,
    1314,   582,  1315,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,     0,   592,   593,   594,   595,   596,  1318,
       0,   597,   598,   599,   600,   601,  1186,   603,     0,   604,
     605,   606,   607,   608,   609,     0,     0,   610,     0,    49,
     611,   612,   613,   614,   615,   616,   617,  1320,  1321,  1322,
    1323,   622,  1324,  1325,  1326,  1327,  3419,   628,   629,   630,
       0,     0,     0,    50,     0,     0,   234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3420,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,  1261,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
    1264,     0,  1265,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,  1266,  1267,  1268,  1269,
    1270,  1271,  1272,   302,   303,   304,   305,   306,   307,   308,
     309,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   325,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,   338,   339,   340,
     341,   342,  1277,     0,   344,     0,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,  1280,     0,   361,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,   389,   390,
       0,   391,     0,   392,   393,   394,   395,   396,  3416,  1286,
    1287,  1288,  1289,  1290,  1291,   404,   405,   406,   407,   408,
     409,  3417,     0,   410,  1292,   412,   413,   414,     0,   415,
     416,   417,  1293,  1294,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,  1295,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,  1298,   449,     0,   450,   451,   452,
     453,     0,  1301,   455,   456,   457,   458,   459,     0,   460,
     461,     0,   842,   462,   463,   464,     0,     0,   465,   466,
     467,   468,   469,   470,  1304,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,  1305,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,  3418,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
    1308,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,  1310,   566,     0,   567,   568,
    1311,     0,   569,   570,   571,   572,   573,   574,   575,     0,
     576,   577,   578,     0,     0,   579,   580,  1314,   582,  1315,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
       0,   592,   593,   594,   595,   596,  1318,     0,   597,   598,
     599,   600,   601,   602,   603,     0,   604,   605,   606,   607,
     608,   609,     0,     0,   610,     0,     0,   611,   612,   613,
     614,   615,   616,   617,  1320,  1321,  1322,  1323,   622,  1324,
    1325,  1326,  1327,  3419,   628,   629,   630,     0,     0,     0,
       0,     0,     0,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3420,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,  1261,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,  1264,     0,  1265,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,  1266,  1267,  1268,  1269,  1270,  1271,  1272,
     302,   303,   304,   305,   306,   307,   308,   309,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   325,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,   338,   339,   340,   341,   342,  1277,
       0,   344,     0,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,     0,   354,   355,   356,   357,   358,
       0,   359,  1280,     0,   361,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,   389,   390,     0,   391,     0,
     392,   393,   394,   395,   396,  3416,  1286,  1287,  1288,  1289,
    1290,  1291,   404,   405,   406,   407,   408,   409,     0,     0,
     410,  1292,   412,   413,   414,     0,   415,   416,   417,  1293,
    1294,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,  1295,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,  1298,   449,     0,   450,   451,   452,   453,     0,  1301,
     455,   456,   457,   458,   459,     0,   460,   461,     0,     0,
     462,   463,   464,     0,     0,   465,   466,   467,   468,   469,
     470,  1304,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,  1305,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,  1308,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,     0,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,  1310,   566,     0,   567,   568,  1311,     0,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   577,   578,
       0,     0,   579,   580,  1314,   582,  1315,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,     0,   592,   593,
     594,   595,   596,  1318,     0,   597,   598,   599,   600,   601,
     602,   603,     0,   604,   605,   606,   607,   608,   609,     0,
       0,   610,     0,     0,   611,   612,   613,   614,   615,   616,
     617,  1320,  1321,  1322,  1323,   622,  1324,  1325,  1326,  1327,
     627,   628,   629,   630,     0,     0,     0,     0,     0,     0,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3861,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,  1261,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,  1264,     0,  1265,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
    1266,  1267,  1268,  1269,  1270,  1271,  1272,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,  1277,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,  1280,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,  3416,  1286,  1287,  1288,  1289,  1290,  1291,   404,
     405,   406,   407,   408,   409,     0,     0,   410,  1292,   412,
     413,   414,     0,   415,   416,   417,  1293,  1294,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,  1295,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,  1298,   449,
       0,   450,   451,   452,   453,     0,  1301,   455,   456,   457,
     458,   459,     0,   460,   461,     0,     0,   462,   463,   464,
       0,     0,   465,   466,   467,   468,   469,   470,  1304,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,  1305,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,  3418,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,  1308,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,  1310,
     566,     0,   567,   568,  1311,     0,   569,   570,   571,   572,
     573,   574,   575,     0,   576,   577,   578,     0,     0,   579,
     580,  1314,   582,  1315,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,     0,   592,   593,   594,   595,   596,
    1318,     0,   597,   598,   599,   600,   601,   602,   603,     0,
     604,   605,   606,   607,   608,   609,     0,     0,   610,     0,
       0,   611,   612,   613,   614,   615,   616,   617,  1320,  1321,
    1322,  1323,   622,  1324,  1325,  1326,  1327,  3419,   628,   629,
     630,     0,     0,     0,     0,     0,     0,   234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    56,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
    1261,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,  1264,     0,  1265,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,  1266,  1267,  1268,
    1269,  1270,  1271,  1272,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,  1277,     0,   344,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,  1280,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,   393,   394,   395,   396,  3416,
    1286,  1287,  1288,  1289,  1290,  1291,   404,   405,   406,   407,
     408,   409,     0,     0,   410,  1292,   412,   413,   414,     0,
     415,   416,   417,  1293,  1294,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,  1295,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,  1298,   449,     0,   450,   451,
     452,   453,     0,  1301,   455,   456,   457,   458,   459,     0,
     460,   461,     0,     0,   462,   463,   464,     0,     0,   465,
     466,   467,   468,   469,   470,  1304,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,  1305,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,  1308,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,  1310,   566,     0,   567,
     568,  1311,     0,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   577,   578,     0,     0,   579,   580,  1314,   582,
    1315,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,     0,   592,   593,   594,   595,   596,  1318,     0,   597,
     598,   599,   600,   601,   602,   603,     0,   604,   605,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,  1320,  1321,  1322,  1323,   622,
    1324,  1325,  1326,  1327,   627,   628,   629,   630,     0,     0,
       0,     0,     0,     0,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4819,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,  1261,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,  1264,     0,
    1265,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,  1266,  1267,  1268,  1269,  1270,  1271,
    1272,   302,   303,   304,   305,   306,   307,   308,   309,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   325,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,   338,   339,   340,   341,   342,
    1277,     0,   344,     0,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,  1280,     0,   361,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
       0,   392,   393,   394,   395,   396,  3416,  1286,  1287,  1288,
    1289,  1290,  1291,   404,   405,   406,   407,   408,   409,     0,
       0,   410,  1292,   412,   413,   414,     0,   415,   416,   417,
    1293,  1294,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,  1295,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,  1298,   449,     0,   450,   451,   452,   453,     0,
    1301,   455,   456,   457,   458,   459,     0,   460,   461,     0,
       0,   462,   463,   464,     0,     0,   465,   466,   467,   468,
     469,   470,  1304,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,  1305,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,  1308,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,     0,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,  1310,   566,     0,   567,   568,  1311,     0,
     569,   570,   571,   572,   573,   574,   575,     0,   576,   577,
     578,     0,     0,   579,   580,  1314,   582,  1315,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,     0,   592,
     593,   594,   595,   596,  1318,     0,   597,   598,   599,   600,
     601,   602,   603,     0,   604,   605,   606,   607,   608,   609,
       0,     0,   610,     0,     0,   611,   612,   613,   614,   615,
     616,   617,  1320,  1321,  1322,  1323,   622,  1324,  1325,  1326,
    1327,   627,   628,   629,   630,     0,     0,     0,     0,     0,
       0,   947,     0,  1580,   697,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,  5982,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,     0,   301,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,  1804,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     0,   450,   451,   452,   453,     0,   454,   455,   456,
     457,   458,   459,     0,   460,   461,  1805,     0,   462,   463,
     464,     0,     0,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,     0,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,     0,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,     0,   567,   568,     0,     0,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,  1806,   584,   585,   586,   587,
     588,   589,   590,   591,     0,     0,   592,   593,   594,   595,
     596,     0,     0,   597,   598,   599,   600,   601,   602,   603,
       0,   604,   605,   606,   607,   608,   609,     0,     0,   610,
       0,     0,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,     0,     0,     0,     0,     0,   947,     0,
       0,     0,     0,     0,     0,  1581,  1582,  5788,     0,     0,
       0,     0,     0,     0,  5789,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     3,     4,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     0,   450,
     451,   452,   453,     0,   454,   455,   456,   457,   458,   459,
       0,   460,   461,     0,     0,   462,   463,   464,     0,     0,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,    40,   537,   538,   539,
     540,   541,     0,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,     0,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,     0,
     567,   568,     0,    44,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,   598,   599,   600,   601,  1186,   603,     0,   604,   605,
     606,   607,   608,   609,     0,     0,   610,     0,    49,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,  1026,
       0,     0,    50,     0,     0,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    56,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,     0,     0,     0,   301,     0,
       0,     0,   302,   303,   304,   305,   306,   307,   308,   309,
     310,     0,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     325,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,     0,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,     0,   354,   355,   356,
     357,   358,     0,   359,   360,     0,   361,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,     0,
     391,     0,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,     0,   410,   411,   412,   413,   414,     0,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     0,   450,   451,   452,   453,
       0,   454,   455,   456,   457,   458,   459,     0,   460,   461,
       0,     0,   462,   463,   464,     0,     0,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,     0,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
       0,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,     0,   567,   568,     0,
       0,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,     0,
     592,   593,   594,   595,   596,     0,     0,   597,   598,   599,
     600,   601,   602,   603,     0,   604,   605,   606,   607,   608,
     609,     0,     0,   610,     0,     0,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,     0,     0,     0,
       0,     0,   638,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5555,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,     0,   298,
     299,   300,     0,     0,     0,     0,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   308,   309,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   325,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,     0,
     344,     0,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,     0,     0,     0,   355,   356,   357,   358,     0,
     359,   360,     0,   361,   362,   363,     0,   364,   365,   366,
     367,   368,     0,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,     0,   384,
     385,   386,   387,   388,   389,   390,     0,   391,     0,   392,
       0,     0,   395,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,     0,   410,
     411,     0,   413,     0,     0,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,   453,     0,   454,   455,
     456,   457,   458,   459,     0,   460,   461,     0,     0,   462,
     463,   464,     0,     0,   465,   466,   467,     0,   469,     0,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
      40,   537,   538,   539,   540,   541,     0,   542,   543,   544,
     545,   546,     0,   548,   549,   550,   551,     0,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,     0,   567,   568,     0,    44,   569,     0,
     571,   572,   573,   574,   575,     0,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,     0,   592,   593,   594,
     595,   596,     0,     0,   597,   598,   599,   600,   601,  1186,
     603,     0,   604,     0,   606,   607,   608,   609,     0,     0,
     610,     0,    49,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,     0,     0,     0,    50,     0,     0,   638,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    56,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,     0,   298,   299,   300,     0,
       0,     0,  2858,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   308,   309,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,     0,
       0,     0,   355,   356,   357,   358,     0,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,   368,     0,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,     0,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,     0,     0,   395,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,     0,   410,   411,     0,   413,
       0,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,   453,     0,   454,   455,   456,   457,   458,
     459,     0,   460,   461,     0,   842,   462,   463,   464,     0,
       0,   465,   466,   467,     0,   469,     0,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,     0,   542,   543,   544,   545,   546,     0,
     548,   549,   550,   551,     0,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
       0,   567,   568,     0,  2859,  2860,     0,   571,   572,   573,
     574,   575,     0,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,     0,   592,   593,   594,   595,   596,     0,
       0,   597,   598,   599,   600,   601,   602,   603,     0,   604,
       0,   606,   607,   608,   609,     0,     0,   610,     0,     0,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,     0,     0,     0,     0,     0,   638,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1838,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,     0,   298,   299,   300,     0,     0,     0,     0,
       0,     0,     0,   302,   303,   304,   305,   306,   307,   308,
     309,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   325,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,     0,   344,     0,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,     0,     0,     0,   355,
     356,   357,   358,     0,   359,   360,     0,   361,   362,   363,
       0,   364,   365,   366,   367,   368,     0,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,     0,   384,   385,   386,   387,   388,   389,   390,
       0,   391,     0,   392,     0,     0,   395,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,     0,   410,   411,     0,   413,     0,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     0,   450,   451,     0,
     453,     0,   454,   455,   456,   457,   458,   459,     0,   460,
     461,     0,     0,   462,   463,   464,     0,     0,   465,   466,
     467,     0,   469,     0,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
       0,   542,   543,   544,   545,   546,     0,   548,   549,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,     0,   567,   568,
       0,     0,   569,     0,   571,   572,   573,   574,   575,     0,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
       0,   592,   593,   594,   595,   596,     0,     0,   597,   598,
     599,   600,   601,   602,   603,     0,   604,     0,   606,   607,
     608,   609,     0,     0,   610,     0,     0,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,     0,     0,     0,
       0,     0,     0,   638,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1392,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,     0,
     298,   299,   300,     0,     0,     0,     0,     0,     0,     0,
     302,   303,   304,   305,   306,   307,   308,   309,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   325,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,     0,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,     0,     0,     0,   355,   356,   357,   358,
       0,   359,   360,     0,   361,   362,   363,     0,   364,   365,
     366,   367,   368,     0,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,     0,
     384,   385,   386,   387,   388,   389,   390,     0,   391,     0,
     392,     0,     0,   395,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,     0,
     410,   411,     0,   413,     0,     0,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,   453,     0,   454,
     455,   456,   457,   458,   459,     0,   460,   461,     0,     0,
     462,   463,   464,     0,     0,   465,   466,   467,     0,   469,
       0,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,     0,   542,   543,
     544,   545,   546,     0,   548,   549,   550,   551,     0,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,     0,   567,   568,     0,     0,   569,
       0,   571,   572,   573,   574,   575,     0,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,   598,   599,   600,   601,
     602,   603,     0,   604,     0,   606,   607,   608,   609,     0,
       0,   610,     0,     0,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,     0,     0,     0,     0,     0,
     638,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3477,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,   453,     0,   454,   455,   456,   457,
     458,   459,     0,   460,   461,     0,     0,   462,   463,   464,
       0,     0,   465,   466,   467,     0,   469,     0,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,     0,   542,   543,   544,   545,   546,
       0,   548,   549,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,     0,   567,   568,     0,     0,   569,     0,   571,   572,
     573,   574,   575,     0,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,     0,   592,   593,   594,   595,   596,
       0,     0,   597,   598,   599,   600,   601,   602,   603,     0,
     604,     0,   606,   607,   608,   609,     0,     0,   610,     0,
       0,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,     0,     0,     0,     0,     0,     0,   638,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4146,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,     0,   298,   299,   300,     0,     0,     0,
       0,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,     0,     0,     0,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,     0,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,     0,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,     0,     0,   395,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,     0,   413,     0,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,   453,     0,   454,   455,   456,   457,   458,   459,     0,
     460,   461,     0,     0,   462,   463,   464,     0,     0,   465,
     466,   467,     0,   469,     0,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,     0,   542,   543,   544,   545,   546,     0,   548,   549,
     550,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,     0,   567,
     568,     0,     0,   569,     0,   571,   572,   573,   574,   575,
       0,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,     0,   592,   593,   594,   595,   596,     0,     0,   597,
     598,   599,   600,   601,   602,   603,     0,   604,     0,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2082,     0,     0,
       0,     0,     0,     0,  2083,     0,     0,  2084,     0,     0,
    4775,  2085,  2086,  2087,  2088,  2089,  2090,  2091,  2092,  2093,
    2094,  2095,  2096,  2097,  2098,  2099,  2100,  2101,  2102,  2103,
    2104,     0,  2105,  2106,  2107,  2108,  2109,  2110,  2111,  2112,
    2113,  2114,  2115,  2116,  2117,  2118,  2119,  2120,  2121,  2122,
    2123,  2124,  2125,  2126,  2127,  2128,  2129,  2130,  2131,  2132,
    2133,  2134,  2135,     0,     0,  2136,  2137,  2138,  2139,  2140,
    2141,  2142,  2143,  2144,  2145,  2146,  2147,  2148,  2149,  2150,
    2151,  2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,  2160,
    2161,  2162,     0,  2163,  2164,  2165,  2166,  2167,  2168,  2169,
    2170,  2171,  2172,  2173,  2174,  2175,  2176,  2177,     0,  2178,
    2179,  2180,  2181,  2182,  2183,  2184,  2185,  2186,  2187,  2188,
    2189,  2190,  2191,  2192,  2193,  2194,  2195,  2196,  2197,  2198,
    2199,  2200,  2201,  2202,  2203,  2204,  2205,  2206,  2207,  2208,
    2209,  2210,  2211,     0,  2212,  2213,  2214,  2215,  2216,  2217,
    2218,  2219,  2220,  2221,  2222,  2223,     0,     0,  2224,  2225,
    2226,  2227,     0,  2228,  2229,  2230,  2231,  2232,     0,  2233,
    2234,  2235,  2236,  2237,     0,  2238,  2239,     0,  2240,  2241,
    2242,     0,  2243,  2244,     0,  2245,  2246,  2247,  2248,  2249,
    2250,  2251,  2252,  2253,  2254,  2255,  2256,  2257,  2258,  2259,
    2260,  2261,  2262,  2263,  2264,  2265,  2266,  2267,  2268,  2269,
    2270,     0,  2271,     0,  2272,  2273,  2274,  2275,  2276,  2277,
    2278,  2279,  2280,  2281,  2282,  2283,  2284,  2285,  2286,  2287,
    2288,  2289,  2290,  2291,  2292,  2293,  2294,  2295,  2296,     0,
    2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,  2305,  2306,
    2307,  2308,  2309,  2310,  2311,  2312,  2313,     0,  2314,  2315,
       0,  2316,  2317,  2318,  2319,  2320,  2321,  2322,  2323,  2324,
    2325,  2326,  2327,  2328,  2329,  2330,  2331,  2332,  2333,  2334,
    2335,  2336,  2337,  2338,  2339,  2340,  2341,  2342,  2343,     0,
    2344,  2345,     0,  2346,  2347,  2348,  2349,  2350,     0,  2351,
    2352,  2353,  2354,     0,     0,  2355,  2356,  2357,  2358,  2359,
    2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,  2369,
    2370,     0,  2371,  2372,  2373,  2374,  2375,  2376,  2377,  2378,
    2379,  2380,  2381,  2382,  2383,  2384,  2385,  2386,  2387,  2388,
    2389,  2390,  2391,  2392,  2393,  2394,  2395,  2396,  2397,  2398,
    2399,  2400,  2401,  2402,  2403,     0,  2404,  2405,  2406,  2407,
    2408,  2409,  2410,  2411,  2412,  2413,  2414,  2415,  2416,  2417,
    2418,  2419,  2420,     0,  2421,  2422,  2423,  2424,  2425,  2426,
    2427,  2428,  2429,  2430,  2431,  2432,  2433,  2434,  2435,  2436,
    2437,  2438,  2439,  2440,  2441,  2442,  2443,  2444,  2445,  2446,
    2447,  2448,  2449,  2450,  2451,  2452,  2453,  2454,  2455,  2456,
    2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,  2465,  2466,
    2467,  2468,  2469,  2470,     0,  2471,  2472,  2473,  2474,  2475,
    2476,  2477,  2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,
       0,  2486,  2487,  2488,  2489,  2490,  2491,  2492,  2493,  2494,
    2495,  2496,  2497,  2498,  2499,  2500,  2501,     0,  2502,  2503,
    2504,  2505,  2506,  2507,     0,  2508,     0,     0,     0,     0,
    2509,  2510,  2511,  2512,  2513,  2514,  2515,  2516,  2517,  2518,
    2519,  2520,  2521,  2522,  2523,     0,  2524,  2525,     0,  2526,
       0,     0,     0,     0,     0,     0,     0,     0,  2527,  2528,
    2529,  2530,  2531,  2532,  2533,  2534,  2535,   859,     0,  1580,
     697,     0,     0,     0,   962,   758,     0,     0,     0,     0,
       0,   963,   964,   965,   235,   236,   237,   238,   239,   240,
     241,   242,   243,  1716,   244,   245,   246,  1717,  1718,  1719,
    1720,  1721,  1722,  1723,   247,   248,   249,  1724,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   860,   260,   861,
     862,  1725,   263,   264,   265,   266,   267,   268,   269,  1726,
    1727,   270,   271,   863,   864,   274,  1728,   275,   276,   277,
     278,     0,  1729,   280,  1730,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,  1731,   291,   292,   293,   294,
     295,   296,  1732,   297,   298,   299,   300,  1733,  1734,  1735,
     301,  1736,  1737,  1738,   302,   303,   304,   305,   306,   307,
     865,   866,   310,  1739,   311,  1740,   312,   313,   314,   315,
     316,   317,   318,  1741,   319,   320,   321,   322,  1742,  1743,
     323,   324,   867,   326,   327,  1744,   328,   329,   330,  1745,
     331,   332,   333,  1746,   334,   335,   336,   337,     0,   339,
     340,   341,   342,     0,  1747,   344,  1748,   345,   346,   347,
     868,   349,  1749,   350,  1750,   351,   352,   353,  1751,   354,
     355,   356,   357,   358,  1752,   359,     0,  1753,     0,   362,
     363,  1754,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,  1755,   374,   375,   376,   377,   378,   379,   380,
     381,  1756,   382,   383,     0,   385,   386,   387,   388,   869,
     870,  1757,   871,  1758,   392,   393,   394,   395,   396,   872,
       0,     0,     0,     0,     0,     0,   404,   405,   406,   407,
     408,   409,  1759,  1760,   410,     0,   412,   413,   414,  1761,
     415,   416,   417,  1762,  1763,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   873,   438,   874,   440,   441,   442,
     443,   444,   445,   446,  4463,     0,   449,  1764,   450,   451,
     452,   453,  1765,     0,   455,   875,   457,   458,   459,  1766,
     460,   461,  1767,  1768,  4464,   463,   464,  1769,  1770,   465,
     466,     0,   468,   469,   470,     0,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,  1771,   482,   483,     0,
     485,     0,   487,   488,   489,  1772,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   876,   501,   502,   503,
     504,  1773,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,  1774,   518,   519,   520,   521,
     522,   523,   524,   525,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,  1775,   537,   538,   539,   540,
     541,  1776,   542,   543,  2687,   545,   546,   547,   548,   549,
     878,   551,  1777,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   566,  1778,   567,
     568,  1779,  1780,   569,   570,   571,   572,   573,   574,   575,
    1781,   576,   879,   880,  1782,  1783,   579,   580,     0,   582,
       0,  1784,   584,   585,   586,   587,   588,   589,   590,   591,
    1785,  1786,   592,   593,   594,   595,   596,  1787,  1788,   597,
     598,   599,   600,   601,     0,   881,  1789,   604,   605,   606,
     607,   608,   609,  1790,  1791,   610,  1792,  1793,   611,   612,
     613,   614,   615,   616,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   628,   629,   630,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   968,   969,
     970,  4465,  4466,   973,   974,   975,   976,   859,     0,  1580,
     697,     0,     0,     0,   962,   758,     0,     0,     0,     0,
       0,   963,   964,   965,   235,   236,   237,   238,   239,   240,
     241,   242,   243,  1716,   244,   245,   246,  1717,  1718,  1719,
    1720,  1721,  1722,  1723,   247,   248,   249,  1724,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   860,   260,   861,
     862,  1725,   263,   264,   265,   266,   267,   268,   269,  1726,
    1727,   270,   271,   863,   864,   274,  1728,   275,   276,   277,
     278,     0,  1729,   280,  1730,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,  1731,   291,   292,   293,   294,
     295,   296,  1732,   297,   298,   299,   300,  1733,  1734,  1735,
     301,  1736,  1737,  1738,   302,   303,   304,   305,   306,   307,
     865,   866,   310,  1739,   311,  1740,   312,   313,   314,   315,
     316,   317,   318,  1741,   319,   320,   321,   322,  1742,  1743,
     323,   324,   867,   326,   327,  1744,   328,   329,   330,  1745,
     331,   332,   333,  1746,   334,   335,   336,   337,     0,   339,
     340,   341,   342,     0,  1747,   344,  1748,   345,   346,   347,
     868,   349,  1749,   350,  1750,   351,   352,   353,  1751,   354,
     355,   356,   357,   358,  1752,   359,     0,  1753,     0,   362,
     363,  1754,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,  1755,   374,   375,   376,   377,   378,   379,   380,
     381,  1756,   382,   383,     0,   385,   386,   387,   388,   869,
     870,  1757,   871,  1758,   392,   393,   394,   395,   396,   872,
       0,     0,     0,     0,     0,     0,   404,   405,   406,   407,
     408,   409,  1759,  1760,   410,     0,   412,   413,   414,  1761,
     415,   416,   417,  1762,  1763,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   873,   438,   874,   440,   441,   442,
     443,   444,   445,   446,  4915,     0,   449,  1764,   450,   451,
     452,   453,  1765,     0,   455,   875,   457,   458,   459,  1766,
     460,   461,  1767,  1768,  4464,   463,   464,  1769,  1770,   465,
     466,     0,   468,   469,   470,     0,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,  1771,   482,   483,     0,
     485,     0,   487,   488,   489,  1772,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   876,   501,   502,   503,
     504,  1773,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,  1774,   518,   519,   520,   521,
     522,   523,   524,   525,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,  1775,   537,   538,   539,   540,
     541,  1776,   542,   543,  2687,   545,   546,   547,   548,   549,
     878,   551,  1777,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   566,  1778,   567,
     568,  1779,  1780,   569,   570,   571,   572,   573,   574,   575,
    1781,   576,   879,   880,  1782,  1783,   579,   580,     0,   582,
       0,  1784,   584,   585,   586,   587,   588,   589,   590,   591,
    1785,  1786,   592,   593,   594,   595,   596,  1787,  1788,   597,
     598,   599,   600,   601,     0,   881,  1789,   604,   605,   606,
     607,   608,   609,  1790,  1791,   610,  1792,  1793,   611,   612,
     613,   614,   615,   616,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   628,   629,   630,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   968,   969,
     970,  4465,  4466,   973,   974,   975,   976,   638,     0,     0,
       0,     0,     0,     0,   962,     0,     0,     0,     0,     0,
       0,   963,   964,   965,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   966,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,     0,   298,   299,   300,     0,     0,     0,
       0,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   967,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,     0,     0,     0,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,     0,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,     0,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,     0,     0,   395,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,     0,   413,     0,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,   453,     0,   454,   455,   456,   457,   458,   459,     0,
     460,   461,     0,     0,   462,   463,   464,     0,     0,   465,
     466,   467,     0,   469,     0,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,     0,   542,   543,   544,   545,   546,     0,   548,   549,
     550,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,     0,   567,
     568,     0,     0,   569,     0,   571,   572,   573,   574,   575,
       0,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,     0,   592,   593,   594,   595,   596,     0,     0,   597,
     598,   599,   600,   601,   602,   603,     0,   604,     0,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   968,   969,
     970,   971,   972,   973,   974,   975,   976,   638,     0,     0,
       0,     0,     0,     0,   962,     0,     0,     0,     0,     0,
       0,   963,   964,   965,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,  1083,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,     0,   298,   299,   300,     0,     0,     0,
       0,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,  1084,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,     0,     0,     0,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,     0,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,     0,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,     0,     0,   395,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,     0,   413,     0,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,   453,     0,   454,   455,   456,   457,   458,   459,     0,
     460,   461,     0,     0,   462,   463,   464,     0,     0,   465,
     466,   467,     0,   469,     0,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,     0,   542,   543,   544,   545,   546,     0,   548,   549,
     550,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,     0,   567,
     568,     0,     0,   569,     0,   571,   572,   573,   574,   575,
       0,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,     0,   592,   593,   594,   595,   596,     0,     0,   597,
     598,   599,   600,   601,   602,   603,     0,   604,     0,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   968,   969,
     970,   971,   972,   973,   974,   975,   976,   638,     0,     0,
       0,     0,     0,     0,   962,     0,     0,     0,     0,     0,
       0,   963,   964,   965,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,  1149,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,     0,   298,   299,   300,     0,     0,     0,
       0,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,  1150,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,     0,     0,     0,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,  1151,     0,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,     0,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,     0,     0,   395,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,     0,   413,     0,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,   453,     0,   454,   455,   456,   457,   458,   459,     0,
     460,   461,     0,     0,   462,   463,   464,     0,     0,   465,
     466,   467,     0,   469,     0,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,     0,   542,   543,   544,   545,   546,     0,   548,   549,
     550,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,     0,   567,
     568,     0,     0,   569,     0,   571,   572,   573,   574,   575,
       0,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,     0,   592,   593,   594,   595,   596,     0,     0,   597,
     598,   599,   600,   601,   602,   603,     0,   604,     0,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   968,   969,
     970,   971,   972,   973,   974,   975,   976,   638,     0,     0,
       0,     0,     0,     0,   962,     0,     0,     0,     0,     0,
       0,   963,   964,   965,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,  1821,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,     0,   298,   299,   300,     0,     0,     0,
       0,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,  1822,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,     0,     0,     0,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,     0,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,     0,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,     0,     0,   395,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,     0,   413,     0,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,   453,     0,   454,   455,   456,   457,   458,   459,     0,
     460,   461,     0,     0,   462,   463,   464,     0,     0,   465,
     466,   467,     0,   469,     0,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,     0,   542,   543,   544,   545,   546,     0,   548,   549,
     550,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,     0,   567,
     568,     0,     0,   569,     0,   571,   572,   573,   574,   575,
       0,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,     0,   592,   593,   594,   595,   596,     0,     0,   597,
     598,   599,   600,   601,   602,   603,     0,   604,     0,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   968,   969,
     970,   971,   972,   973,   974,   975,   976,   638,     0,     0,
       0,     0,     0,     0,   962,     0,     0,     0,     0,     0,
       0,   963,   964,   965,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,     0,   298,   299,   300,     0,     0,     0,
       0,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,     0,     0,     0,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,     0,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,     0,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,     0,     0,   395,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,     0,   413,     0,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,   453,     0,   454,   455,   456,   457,   458,   459,     0,
     460,   461,     0,     0,   462,   463,   464,     0,     0,   465,
     466,   467,     0,   469,     0,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,     0,   542,   543,   544,   545,   546,     0,   548,   549,
     550,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,     0,   567,
     568,     0,     0,   569,     0,   571,   572,   573,   574,   575,
       0,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,     0,   592,   593,   594,   595,   596,     0,     0,   597,
     598,   599,   600,   601,   602,   603,     0,   604,     0,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   968,   969,
     970,   971,   972,   973,   974,   975,   976,   638,     0,     0,
       0,     0,     0,     0,   962,     0,     0,     0,     0,     0,
       0,   963,   964,   965,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,  3549,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,     0,   298,   299,   300,     0,     0,     0,
       0,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,  3550,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,     0,     0,     0,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,     0,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,     0,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,     0,     0,   395,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,     0,   413,     0,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,   453,     0,   454,   455,   456,   457,   458,   459,     0,
     460,   461,     0,     0,   462,   463,   464,     0,     0,   465,
     466,   467,     0,   469,     0,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,     0,   542,   543,   544,   545,   546,     0,   548,   549,
     550,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,     0,   567,
     568,     0,     0,   569,     0,   571,   572,   573,   574,   575,
       0,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,     0,   592,   593,   594,   595,   596,     0,     0,   597,
     598,   599,   600,   601,   602,   603,     0,   604,     0,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   968,   969,
     970,   971,   972,   973,   974,   975,   976,   638,     0,     0,
       0,     0,     0,     0,   962,     0,     0,     0,     0,     0,
       0,   963,   964,   965,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,     0,   298,   299,   300,     0,     0,     0,
       0,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,     0,     0,     0,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,     0,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,     0,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,     0,     0,   395,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,     0,   413,     0,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,   453,     0,   454,   455,   456,   457,   458,   459,     0,
     460,   461,     0,     0,  5532,   463,   464,     0,     0,   465,
     466,   467,     0,   469,     0,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,     0,   542,   543,   544,   545,   546,     0,   548,   549,
     550,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,     0,   567,
     568,     0,     0,   569,     0,   571,   572,   573,   574,   575,
       0,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,     0,   592,   593,   594,   595,   596,     0,     0,   597,
     598,   599,   600,   601,   602,   603,     0,   604,     0,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,     0,
    1715,     0,     0,     0,     0,     0,     0,     0,   968,   969,
     970,   971,   972,   973,   974,   975,   976,   235,   236,   237,
     238,   239,   240,   241,   242,   243,  1716,   244,   245,   246,
    1717,  1718,  1719,  1720,  1721,  1722,  1723,   247,   248,   249,
    1724,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,  1725,   263,   264,   265,   266,   267,
     268,   269,  1726,  1727,   270,   271,   272,   273,   274,  1728,
     275,   276,   277,   278,   279,  1729,   280,  1730,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,  1731,   291,
     292,   293,   294,   295,   296,  1732,   297,   298,   299,   300,
    1733,  1734,  1735,   301,  1736,  1737,  1738,   302,   303,   304,
     305,   306,   307,   308,   309,   310,  1739,   311,  1740,   312,
     313,   314,   315,   316,   317,   318,  1741,   319,   320,   321,
     322,  1742,  1743,   323,   324,   325,   326,   327,  1744,   328,
     329,   330,  1745,   331,   332,   333,  1746,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,  1747,   344,  1748,
     345,   346,   347,   348,   349,  1749,   350,  1750,   351,   352,
     353,  1751,   354,   355,   356,   357,   358,  1752,   359,   360,
    1753,   361,   362,   363,  1754,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,  1755,   374,   375,   376,   377,
     378,   379,   380,   381,  1756,   382,   383,   384,   385,   386,
     387,   388,   389,   390,  1757,   391,  1758,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,  1759,  1760,   410,   411,   412,
     413,   414,  1761,   415,   416,   417,  1762,  1763,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
    1764,   450,   451,   452,   453,  1765,   454,   455,   456,   457,
     458,   459,  1766,   460,   461,  1767,  1768,   462,   463,   464,
    1769,  1770,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,  1771,
     482,   483,   484,   485,   486,   487,   488,   489,  1772,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,  1773,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,  1774,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1775,   537,
     538,   539,   540,   541,  1776,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,  1777,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,  1778,   567,   568,  1779,  1780,   569,   570,   571,   572,
     573,   574,   575,  1781,   576,   577,   578,  1782,  1783,   579,
     580,   581,   582,   583,  1784,   584,   585,   586,   587,   588,
     589,   590,   591,  1785,  1786,   592,   593,   594,   595,   596,
    1787,  1788,   597,   598,   599,   600,   601,   602,   603,  1789,
     604,   605,   606,   607,   608,   609,  1790,  1791,   610,  1792,
    1793,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   638,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1794,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,   453,     0,   454,   455,   456,
     457,   458,   459,     0,   460,   461,     0,     0,   462,   463,
     464,     0,     0,   465,   466,   467,     0,   469,     0,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,     0,   542,   543,   544,   545,
     546,     0,   548,   549,   550,   551,     0,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,     0,   567,   568,     0,     0,   569,     0,   571,
     572,   573,   574,   575,     0,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,     0,   592,   593,   594,   595,
     596,     0,     0,   597,   598,   599,   600,   601,   602,   603,
       0,   604,     0,   606,   607,   608,   609,     0,     0,   610,
       0,     0,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   638,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   848,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,     0,   298,
     299,   300,     0,     0,     0,     0,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   308,   309,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   325,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,     0,
     344,     0,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,     0,     0,     0,   355,   356,   357,   358,     0,
     359,   360,     0,   361,   362,   363,     0,   364,   365,   366,
     367,   368,     0,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,     0,   384,
     385,   386,   387,   388,   389,   390,     0,   391,     0,   392,
       0,     0,   395,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,     0,   410,
     411,     0,   413,     0,     0,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,   453,     0,   454,   455,
     456,   457,   458,   459,     0,   460,   461,     0,     0,   462,
     463,   464,     0,     0,   465,   466,   467,     0,   469,     0,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,     0,   542,   543,   544,
     545,   546,     0,   548,   549,   550,   551,     0,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,     0,   567,   568,     0,     0,   569,     0,
     571,   572,   573,   574,   575,     0,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,     0,   592,   593,   594,
     595,   596,     0,     0,   597,   598,   599,   600,   601,   602,
     603,     0,   604,     0,   606,   607,   608,   609,     0,     0,
     610,     0,     0,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   638,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5951,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,     0,
     298,   299,   300,     0,     0,     0,     0,     0,     0,     0,
     302,   303,   304,   305,   306,   307,   308,   309,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   325,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,     0,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,     0,     0,     0,   355,   356,   357,   358,
       0,   359,   360,     0,   361,   362,   363,     0,   364,   365,
     366,   367,   368,     0,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,     0,
     384,   385,   386,   387,   388,   389,   390,     0,   391,     0,
     392,     0,     0,   395,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,     0,
     410,   411,     0,   413,     0,     0,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,   453,     0,   454,
     455,   456,   457,   458,   459,     0,   460,   461,     0,     0,
     462,   463,   464,     0,     0,   465,   466,   467,     0,   469,
       0,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,     0,   542,   543,
     544,   545,   546,     0,   548,   549,   550,   551,     0,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,     0,   567,   568,     0,     0,   569,
       0,   571,   572,   573,   574,   575,     0,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,   598,   599,   600,   601,
     602,   603,     0,   604,     0,   606,   607,   608,   609,     0,
       0,   610,     0,     0,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   638,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5953,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
       0,   298,   299,   300,     0,     0,     0,     0,     0,     0,
       0,   302,   303,   304,   305,   306,   307,   308,   309,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   325,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,     0,   344,     0,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,     0,     0,     0,   355,   356,   357,
     358,     0,   359,   360,     0,   361,   362,   363,     0,   364,
     365,   366,   367,   368,     0,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
       0,   384,   385,   386,   387,   388,   389,   390,     0,   391,
       0,   392,     0,     0,   395,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
       0,   410,   411,     0,   413,     0,     0,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,   453,     0,
     454,   455,   456,   457,   458,   459,     0,   460,   461,     0,
       0,   462,   463,   464,     0,     0,   465,   466,   467,     0,
     469,     0,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,     0,   542,
     543,   544,   545,   546,     0,   548,   549,   550,   551,     0,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,     0,   567,   568,     0,     0,
     569,     0,   571,   572,   573,   574,   575,     0,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,     0,   592,
     593,   594,   595,   596,     0,     0,   597,   598,   599,   600,
     601,   602,   603,     0,   604,     0,   606,   607,   608,   609,
       0,     0,   610,     0,     0,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   859,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    6060,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,     0,   860,   260,   861,   862,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   863,   864,   274,     0,   275,   276,   277,   278,     0,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,     0,     0,     0,   301,     0,
       0,     0,   302,   303,   304,   305,   306,   307,   865,   866,
     310,     0,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     867,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,     0,   339,   340,   341,
     342,     0,     0,   344,     0,   345,   346,   347,   868,   349,
       0,   350,     0,   351,   352,   353,     0,   354,   355,   356,
     357,   358,     0,   359,     0,     0,     0,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
    2683,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,  2684,   385,   386,   387,   388,   869,   870,     0,
     871,     0,   392,   393,   394,   395,   396,   872,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
       0,     0,   410,     0,   412,   413,   414,     0,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   873,   438,   874,   440,   441,   442,   443,   444,
     445,   446,     0,     0,   449,     0,   450,   451,   452,   453,
       0,     0,   455,   875,   457,   458,   459,     0,   460,   461,
       0,     0,   462,   463,   464,     0,  2685,   465,   466,  2686,
     468,   469,   470,     0,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,     0,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   876,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,     0,
     542,   543,  2687,   545,   546,   547,   548,   549,   878,   551,
       0,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   566,     0,   567,   568,     0,
       0,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     879,   880,     0,     0,   579,   580,     0,   582,     0,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,     0,
     592,   593,   594,   595,   596,     0,     0,   597,   598,   599,
     600,   601,     0,   881,  2688,   604,   605,   606,   607,   608,
     609,     0,     0,   610,     0,     0,   611,   612,   613,   614,
     615,   616,     0,     0,     0,  3898,     0,     0,     0,     0,
       0,     0,     0,   628,   629,   630,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,  2689,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,     0,   860,   260,   861,   862,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   863,   864,   274,     0,   275,   276,   277,   278,     0,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,     0,     0,     0,   301,     0,
       0,     0,   302,   303,   304,   305,   306,   307,   865,   866,
     310,     0,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     867,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,     0,   339,   340,   341,
     342,     0,     0,   344,     0,   345,   346,   347,   868,   349,
       0,   350,     0,   351,   352,   353,     0,   354,   355,   356,
     357,   358,     0,   359,     0,     0,     0,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
    2683,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,  2684,   385,   386,   387,   388,   869,   870,     0,
     871,     0,   392,   393,   394,   395,   396,   872,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
       0,     0,   410,     0,   412,   413,   414,     0,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   873,   438,   874,   440,   441,   442,   443,   444,
     445,   446,     0,     0,   449,     0,   450,   451,   452,   453,
       0,     0,   455,   875,   457,   458,   459,     0,   460,   461,
       0,     0,   462,   463,   464,     0,  2685,   465,   466,  2686,
     468,   469,   470,     0,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,     0,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   876,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,     0,
     542,   543,  2687,   545,   546,   547,   548,   549,   878,   551,
       0,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   566,     0,   567,   568,     0,
       0,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     879,   880,     0,     0,   579,   580,     0,   582,     0,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,     0,
     592,   593,   594,   595,   596,     0,     0,   597,   598,   599,
     600,   601,     0,   881,  2688,   604,   605,   606,   607,   608,
     609,     0,     0,   610,     0,     0,   611,   612,   613,   614,
     615,   616,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   628,   629,   630,   947,     0,  1580,   697,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,  2689,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,     0,   301,
       0,     0,     0,   302,   303,   304,   305,   306,   307,   308,
     309,   310,  2574,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   325,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,  1804,   344,     0,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,   360,     0,   361,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,   389,   390,
       0,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,     0,   410,   411,   412,   413,   414,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     0,   450,   451,   452,
     453,     0,   454,   455,   456,   457,   458,   459,     0,   460,
     461,  1805,     0,   462,   463,   464,     0,     0,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
       0,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,     0,   567,   568,
       0,     0,   569,   570,   571,   572,   573,   574,   575,     0,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
    1806,   584,   585,   586,   587,   588,   589,   590,   591,     0,
       0,   592,   593,   594,   595,   596,     0,     0,   597,   598,
     599,   600,   601,   602,   603,     0,   604,   605,   606,   607,
     608,   609,     0,     0,   610,     0,     0,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   947,     0,  1580,
     697,     0,     0,     0,     0,   758,     0,     0,     0,     0,
    1581,  1582,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,     0,     0,     0,
     301,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,  2579,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,  1804,   344,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,   412,   413,   414,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     0,   450,   451,
     452,   453,     0,   454,   455,   456,   457,   458,   459,     0,
     460,   461,  1805,     0,   462,   463,   464,     0,     0,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,     0,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,     0,   567,
     568,     0,     0,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,  1806,   584,   585,   586,   587,   588,   589,   590,   591,
       0,     0,   592,   593,   594,   595,   596,     0,     0,   597,
     598,   599,   600,   601,   602,   603,     0,   604,   605,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   947,     0,
    1580,   697,     0,     0,     0,     0,   758,     0,     0,     0,
       0,  1581,  1582,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,  3509,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,  1804,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     0,   450,
     451,   452,   453,     0,   454,   455,   456,   457,   458,   459,
       0,   460,   461,  1805,     0,   462,   463,   464,     0,     0,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,     0,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,     0,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,     0,
     567,   568,     0,     0,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,  1806,   584,   585,   586,   587,   588,   589,   590,
     591,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,   598,   599,   600,   601,   602,   603,     0,   604,   605,
     606,   607,   608,   609,     0,     0,   610,     0,     0,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   947,
       0,  1580,   697,     0,     0,     0,     0,   758,     0,     0,
       0,     0,  1581,  1582,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,     0,
       0,     0,   301,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   308,   309,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,  1804,   344,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,     0,   410,   411,   412,   413,
     414,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     0,
     450,   451,   452,   453,     0,   454,   455,   456,   457,   458,
     459,     0,   460,   461,  1805,     0,   462,   463,   464,     0,
       0,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,     0,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,     0,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
       0,   567,   568,     0,     0,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,  1806,   584,   585,   586,   587,   588,   589,
     590,   591,     0,     0,   592,   593,   594,   595,   596,     0,
       0,   597,   598,   599,   600,   601,   602,   603,     0,   604,
     605,   606,   607,   608,   609,     0,     0,   610,     0,     0,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     638,     0,     0,     0,     0,     0,     0,     0,   758,     0,
       0,     0,     0,  1581,  1582,     0,     0,   235,   236,   759,
     238,   239,   240,   241,   242,   243,   760,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   761,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   762,   348,   349,     0,   350,     0,   351,   763,
       0,   764,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,   765,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   766,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   439,
     440,   767,   442,   443,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,   453,     0,   454,   455,   456,   457,
     458,   459,     0,   460,   461,     0,     0,   462,   463,   464,
       0,     0,   465,   466,   467,     0,   469,     0,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   768,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   769,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,     0,   542,   543,   544,   545,   546,
       0,   548,   549,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,     0,   567,   568,     0,     0,   569,     0,   571,   572,
     573,   574,   575,     0,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,     0,   592,   593,   594,   595,   596,
       0,     0,   597,   598,   599,   600,   601,   602,   603,     0,
     604,     0,   606,   607,   608,   609,     0,     0,   610,     0,
       0,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   947,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   770,   771,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     3,     4,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,     0,   301,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     0,   450,   451,   452,   453,     0,   454,   455,   456,
     457,   458,   459,     0,   460,   461,     0,     0,   462,   463,
     464,     0,     0,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,     0,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,     0,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,     0,   567,   568,     0,     0,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,     0,   592,   593,   594,   595,
     596,     0,     0,   597,   598,   599,   600,   601,   602,   603,
       0,   604,   605,   606,   607,   608,   609,     0,     0,   610,
       0,     0,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,  1026,  1715,     0,  6227,   697,     0,     0,     0,
       0,   758,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,  1716,
     244,   245,   246,  1717,  1718,  1719,  1720,  1721,  1722,  1723,
     247,   248,   249,  1724,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,  1725,   263,   264,
     265,   266,   267,   268,   269,  1726,  1727,   270,   271,   272,
     273,   274,  1728,   275,   276,   277,   278,   279,  1729,   280,
    1730,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,  1731,   291,   292,   293,   294,   295,   296,  1732,   297,
     298,   299,   300,  1733,  1734,  1735,   301,  1736,  1737,  1738,
     302,   303,   304,   305,   306,   307,   308,   309,   310,  1739,
     311,  1740,   312,   313,   314,   315,   316,   317,   318,  1741,
     319,   320,   321,   322,  1742,  1743,   323,   324,   325,   326,
     327,  1744,   328,   329,   330,  1745,   331,   332,   333,  1746,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
    1747,   344,  1748,   345,   346,   347,   348,   349,  1749,   350,
    1750,   351,   352,   353,  1751,   354,   355,   356,   357,   358,
    1752,   359,   360,  1753,   361,   362,   363,  1754,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,  1755,   374,
     375,   376,   377,   378,   379,   380,   381,  1756,   382,   383,
     384,   385,   386,   387,   388,   389,   390,  1757,   391,  1758,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,  1759,  1760,
     410,   411,   412,   413,   414,  1761,   415,   416,   417,  1762,
    1763,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,  1764,   450,   451,   452,   453,  1765,   454,
     455,   456,   457,   458,   459,  1766,   460,   461,  1767,  1768,
     462,   463,   464,  1769,  1770,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,  1771,   482,   483,   484,   485,   486,   487,   488,
     489,  1772,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,  1773,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,  1774,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,  1775,   537,   538,   539,   540,   541,  1776,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,  1777,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,  1778,   567,   568,  1779,  1780,   569,
     570,   571,   572,   573,   574,   575,  1781,   576,   577,   578,
    1782,  1783,   579,   580,   581,   582,   583,  1784,   584,   585,
     586,   587,   588,   589,   590,   591,  1785,  1786,   592,   593,
     594,   595,   596,  1787,  1788,   597,   598,   599,   600,   601,
     602,   603,  1789,   604,   605,   606,   607,   608,   609,  1790,
    1791,   610,  1792,  1793,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,  1715,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
    1716,   244,   245,   246,  1717,  1718,  1719,  1720,  1721,  1722,
    1723,   247,   248,   249,  1724,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,  1725,   263,
     264,   265,   266,   267,   268,   269,  1726,  1727,   270,   271,
     272,   273,   274,  1728,   275,   276,   277,   278,   279,  1729,
     280,  1730,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,  1731,   291,   292,   293,   294,   295,   296,  1732,
     297,   298,   299,   300,  1733,  1734,  1735,   301,  1736,  1737,
    1738,   302,   303,   304,   305,   306,   307,   308,   309,   310,
    1739,   311,  1740,   312,   313,   314,   315,   316,   317,   318,
    1741,   319,   320,   321,   322,  1742,  1743,   323,   324,   325,
     326,   327,  1744,   328,   329,   330,  1745,   331,   332,   333,
    1746,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,  1747,   344,  1748,   345,   346,   347,   348,   349,  1749,
     350,  1750,   351,   352,   353,  1751,   354,   355,   356,   357,
     358,  1752,   359,   360,  1753,   361,   362,   363,  1754,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,  1755,
     374,   375,   376,   377,   378,   379,   380,   381,  1756,   382,
     383,   384,   385,   386,   387,   388,   389,   390,  1757,   391,
    1758,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,  1759,
    1760,   410,   411,   412,   413,   414,  1761,   415,   416,   417,
    1762,  1763,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,  1764,   450,   451,   452,   453,  1765,
     454,   455,   456,   457,   458,   459,  1766,   460,   461,  1767,
    1768,   462,   463,   464,  1769,  1770,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,  1771,   482,   483,   484,   485,   486,   487,
     488,   489,  1772,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,  1773,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,  1774,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,  1775,   537,   538,   539,   540,   541,  1776,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,  1777,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,  1778,   567,   568,  1779,  1780,
     569,   570,   571,   572,   573,   574,   575,  1781,   576,   577,
     578,  1782,  1783,   579,   580,   581,   582,   583,  1784,   584,
     585,   586,   587,   588,   589,   590,   591,  1785,  1786,   592,
     593,   594,   595,   596,  1787,  1788,   597,   598,   599,   600,
     601,   602,   603,  1789,   604,   605,   606,   607,   608,   609,
    1790,  1791,   610,  1792,  1793,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,  1715,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,  3615,   241,   242,
     243,  1716,   244,   245,   246,  1717,  1718,  1719,  1720,  1721,
    1722,  1723,   247,   248,   249,  1724,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,  1725,
     263,   264,   265,   266,   267,   268,   269,  1726,  1727,   270,
     271,   272,   273,   274,  1728,   275,   276,   277,   278,   279,
    1729,   280,  1730,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,  1731,   291,   292,   293,   294,   295,   296,
    1732,   297,   298,   299,   300,  1733,  1734,  1735,   301,  1736,
    1737,  1738,   302,   303,   304,   305,   306,   307,   308,   309,
     310,  1739,   311,  1740,   312,   313,   314,   315,   316,   317,
     318,  1741,   319,   320,   321,   322,  1742,  1743,   323,   324,
     325,  3616,   327,  1744,   328,   329,   330,  1745,   331,   332,
     333,  1746,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,  1747,   344,  1748,   345,   346,   347,   348,   349,
    1749,   350,  1750,   351,   352,   353,  1751,   354,   355,   356,
     357,   358,  1752,   359,   360,  1753,   361,   362,   363,  1754,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
    1755,   374,   375,   376,   377,   378,   379,   380,   381,  1756,
     382,   383,   384,   385,   386,   387,   388,   389,   390,  1757,
     391,  1758,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
    1759,  1760,   410,   411,   412,   413,   414,  1761,   415,   416,
     417,  1762,  1763,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,  1764,   450,   451,   452,   453,
    1765,   454,   455,   456,   457,   458,   459,  1766,   460,   461,
    1767,  1768,   462,   463,   464,  1769,  1770,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,  1771,   482,   483,   484,   485,   486,
     487,   488,   489,  1772,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,  1773,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,  1774,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,  1775,   537,   538,   539,   540,   541,  1776,
    3617,   543,   544,   545,   546,   547,   548,   549,   550,   551,
    1777,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,  1778,   567,   568,  1779,
    1780,   569,   570,   571,   572,   573,   574,   575,  1781,   576,
     577,   578,  1782,  1783,   579,   580,   581,   582,   583,  1784,
     584,   585,   586,   587,   588,   589,   590,   591,  1785,  1786,
     592,   593,   594,   595,   596,  1787,  1788,   597,   598,   599,
     600,   601,   602,   603,  1789,   604,   605,   606,   607,   608,
     609,  1790,  1791,   610,  1792,  1793,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,  1261,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
    1264,     0,  1265,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,  1266,  1267,  1268,  1269,
    1270,  1271,  1272,   302,   303,   304,   305,   306,   307,   308,
     309,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   325,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,   338,   339,   340,
     341,   342,  1277,     0,   344,     0,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,  1280,     0,   361,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,   389,   390,
       0,   391,     0,   392,   393,   394,   395,   396,  3416,  1286,
    1287,  1288,  1289,  1290,  1291,   404,   405,   406,   407,   408,
     409,     0,     0,   410,  1292,   412,   413,   414,     0,   415,
     416,   417,  1293,  1294,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,  1295,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,  1298,   449,     0,   450,   451,   452,
     453,     0,  1301,   455,   456,   457,   458,   459,     0,   460,
     461,     0,     0,   462,   463,   464,     0,     0,   465,   466,
     467,   468,   469,   470,  1304,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,  1305,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
    1308,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,  1310,   566,     0,   567,   568,
    1311,     0,   569,   570,   571,   572,   573,   574,   575,     0,
     576,   577,   578,     0,     0,   579,   580,  1314,   582,  1315,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
       0,   592,   593,   594,   595,   596,  1318,     0,   597,   598,
     599,   600,   601,   602,   603,     0,   604,   605,   606,   607,
     608,   609,     0,     0,   610,     0,     0,   611,   612,   613,
     614,   615,   616,   617,  1320,  1321,  1322,  1323,   622,  1324,
    1325,  1326,  1327,   627,   628,   629,   630,   234,     0,  1251,
     697,     0,  1252,  1253,     0,   758,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1257,   260,  1258,
    1259,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,  1262,  1263,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,     0,     0,     0,
     301,     0,     0,     0,   302,   303,   304,   305,   306,   307,
    1273,  1274,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   867,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,  1278,   344,     0,   345,   346,   347,
    1279,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,  1282,
    1283,     0,  1284,     0,   392,   393,   394,   395,   396,  6203,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,   412,   413,   414,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,  1296,   438,  1297,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     0,   450,   451,
     452,   453,  1300,   454,   455,  1302,   457,   458,   459,     0,
     460,   461,     0,     0,   462,   463,   464,     0,     0,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,  1306,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,     0,   542,   543,   544,   545,   546,   547,   548,   549,
    1309,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,     0,   567,
     568,     0,     0,   569,   570,   571,   572,   573,   574,   575,
       0,   576,  1312,  1313,     0,     0,   579,   580,   581,   582,
     583,  1316,   584,   585,   586,   587,   588,   589,   590,   591,
       0,     0,   592,   593,   594,   595,   596,     0,     0,   597,
     598,   599,   600,   601,   602,  1319,     0,   604,   605,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   947,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   986,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     948,   301,     0,     0,   949,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     0,   450,
     451,   452,   453,     0,   454,   455,   456,   457,   458,   459,
       0,   460,   461,     0,     0,   462,   463,   464,     0,     0,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   950,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,     0,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,     0,
     567,   568,     0,     0,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,   598,   599,   600,   601,   602,   603,     0,   604,   605,
     606,   607,   608,   609,     0,     0,   610,     0,     0,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   947,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,  1007,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,     0,
       0,   948,   301,     0,     0,   949,   302,   303,   304,   305,
     306,   307,   308,   309,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,     0,   410,   411,   412,   413,
     414,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,  1008,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     0,
     450,   451,   452,   453,     0,   454,   455,   456,   457,   458,
     459,     0,   460,   461,     0,     0,   462,   463,   464,     0,
       0,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,   950,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,     0,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
       0,   567,   568,     0,     0,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,     0,   592,   593,   594,   595,   596,     0,
       0,   597,   598,   599,   600,   601,   602,   603,     0,   604,
     605,   606,   607,   608,   609,     0,     0,   610,     0,     0,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     947,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,   948,   301,     0,     0,   949,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       0,   450,   451,   452,   453,     0,   454,   455,   456,   457,
     458,   459,     0,   460,   461,     0,     0,   462,   463,   464,
       0,     0,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   950,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,     0,   567,   568,     0,     0,   569,   570,   571,   572,
     573,   574,   575,     0,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,     0,   592,   593,   594,   595,   596,
    2952,     0,   597,   598,   599,   600,   601,   602,   603,     0,
     604,   605,   606,   607,   608,   609,     0,     0,   610,     0,
       0,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   947,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,   948,   301,     0,     0,   949,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,  3969,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     0,   450,   451,   452,   453,     0,   454,   455,   456,
     457,   458,   459,     0,   460,   461,     0,     0,   462,   463,
     464,     0,     0,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,   950,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,     0,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,     0,   567,   568,     0,     0,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,     0,   592,   593,   594,   595,
     596,     0,     0,   597,   598,   599,   600,   601,   602,   603,
       0,   604,   605,   606,   607,   608,   609,     0,     0,   610,
       0,     0,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   947,     0,     0,   697,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,     0,   301,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   308,   309,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   325,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,  1804,
     344,     0,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,   360,     0,   361,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,   389,   390,     0,   391,     0,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,     0,   410,
     411,   412,   413,   414,     0,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     0,   450,   451,   452,   453,     0,   454,   455,
     456,   457,   458,   459,     0,   460,   461,  1805,     0,   462,
     463,   464,     0,     0,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,     0,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,     0,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,     0,   567,   568,     0,     0,   569,   570,
     571,   572,   573,   574,   575,     0,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,  1806,   584,   585,   586,
     587,   588,   589,   590,   591,     0,     0,   592,   593,   594,
     595,   596,     0,     0,   597,   598,   599,   600,   601,   602,
     603,     0,   604,   605,   606,   607,   608,   609,     0,     0,
     610,     0,     0,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   947,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,   948,   301,     0,     0,   949,
     302,   303,   304,   305,   306,   307,   308,   309,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   325,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,     0,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,     0,   354,   355,   356,   357,   358,
       0,   359,   360,     0,   361,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,   389,   390,     0,   391,     0,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,     0,
     410,   411,   412,   413,   414,     0,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     0,   450,   451,   452,   453,     0,   454,
     455,   456,   457,   458,   459,     0,   460,   461,     0,     0,
     462,   463,   464,     0,     0,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,   950,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,     0,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,     0,   567,   568,     0,     0,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,   598,   599,   600,   601,
     602,   603,     0,   604,   605,   606,   607,   608,   609,     0,
       0,   610,     0,     0,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   947,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,   948,   301,     0,     0,
     949,   302,   303,   304,   305,   306,   307,   308,   309,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   325,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,     0,   344,     0,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,   360,     0,   361,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
       0,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
       0,   410,   411,   412,   413,   414,     0,   415,   416,   417,
       0,     0,   418,   419,   420,   421,  1102,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     0,   450,   451,   452,   453,     0,
     454,   455,   456,   457,   458,   459,     0,   460,   461,     0,
       0,   462,   463,   464,     0,     0,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   950,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,     0,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,     0,   567,   568,     0,     0,
     569,   570,   571,   572,   573,   574,   575,     0,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,     0,   592,
     593,   594,   595,   596,     0,     0,   597,   598,   599,   600,
     601,   602,   603,     0,   604,   605,   606,   607,   608,   609,
       0,     0,   610,     0,     0,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   947,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,     0,     0,   948,   301,     0,
       0,   949,   302,   303,   304,   305,   306,   307,   308,   309,
     310,     0,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     325,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,     0,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,     0,   354,   355,   356,
     357,   358,     0,   359,   360,     0,   361,   362,   363,     0,
     364,   365,   366,   367,  1144,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,     0,
     391,     0,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,     0,   410,   411,   412,   413,   414,     0,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     0,   450,   451,   452,   453,
       0,   454,   455,   456,   457,   458,   459,     0,   460,   461,
       0,     0,   462,   463,   464,     0,     0,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,   950,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
       0,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,     0,   567,   568,     0,
       0,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,     0,
     592,   593,   594,   595,   596,     0,     0,   597,   598,   599,
     600,   601,   602,   603,     0,   604,   605,   606,   607,   608,
     609,     0,     0,   610,     0,     0,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   947,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,   948,   301,
       0,     0,   949,   302,   303,   304,   305,   306,   307,   308,
     309,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   325,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,     0,   344,     0,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,   360,     0,   361,   362,   363,
       0,   364,   365,   366,   367,  1157,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,   389,   390,
       0,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,     0,   410,   411,   412,   413,   414,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     0,   450,   451,   452,
     453,     0,   454,   455,   456,   457,   458,   459,     0,   460,
     461,     0,     0,   462,   463,   464,     0,     0,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
     950,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,     0,   567,   568,
       0,     0,   569,   570,   571,   572,   573,   574,   575,     0,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
       0,   592,   593,   594,   595,   596,     0,     0,   597,   598,
     599,   600,   601,   602,   603,     0,   604,   605,   606,   607,
     608,   609,     0,     0,   610,     0,     0,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   947,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,     0,     0,   948,
     301,     0,     0,   949,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,  1169,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,   412,   413,   414,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,  1170,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     0,   450,   451,
     452,   453,     0,   454,   455,   456,   457,   458,   459,     0,
     460,   461,     0,     0,   462,   463,   464,     0,     0,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,   950,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,     0,   567,
     568,     0,     0,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,     0,   592,   593,   594,   595,   596,     0,     0,   597,
     598,   599,   600,   601,   602,   603,     0,   604,   605,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   947,     0,
       0,   697,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,  2559,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     0,   450,
     451,   452,   453,     0,   454,   455,   456,   457,   458,   459,
       0,   460,   461,     0,     0,   462,   463,   464,     0,     0,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,     0,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,     0,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,     0,
     567,   568,     0,     0,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,   598,   599,   600,   601,   602,   603,     0,   604,   605,
     606,   607,   608,   609,     0,     0,   610,     0,     0,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   947,
       0,     0,   697,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,     0,
       0,     0,   301,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   308,   309,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,     0,   410,   411,   412,   413,
     414,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     0,
     450,   451,   452,   453,     0,   454,   455,   456,   457,   458,
     459,     0,   460,   461,     0,     0,   462,   463,   464,     0,
       0,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,     0,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,     0,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
       0,   567,   568,     0,     0,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,     0,   592,   593,   594,   595,   596,     0,
       0,   597,   598,   599,   600,   601,   602,   603,     0,   604,
     605,   606,   607,   608,   609,     0,     0,   610,     0,     0,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       0,   450,   451,   452,   453,     0,   454,   455,   456,   457,
     458,   459,     0,   460,   461,     0,     0,   462,   463,   464,
       0,     0,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,     0,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,     0,   567,   568,     0,     0,   569,   570,   571,   572,
     573,   574,   575,     0,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,     0,   592,   593,   594,   595,   596,
       0,     0,   597,   598,   599,   600,   601,   602,   603,     0,
     604,   605,   606,   607,   608,   609,     0,     0,   610,     0,
       0,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,     0,   301,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1128,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     0,   450,   451,   452,   453,     0,   454,   455,   456,
     457,   458,   459,     0,   460,   461,     0,     0,   462,   463,
     464,     0,     0,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,     0,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,     0,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,     0,   567,   568,     0,     0,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,     0,   592,   593,   594,   595,
     596,     0,     0,   597,   598,   599,   600,   601,   602,   603,
       0,   604,   605,   606,   607,   608,   609,     0,     0,   610,
       0,     0,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   234,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,     0,   301,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   308,   309,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   325,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,     0,
     344,     0,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,   360,     0,   361,   362,   363,     0,   364,   365,   366,
     367,  1141,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,   389,   390,     0,   391,     0,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,     0,   410,
     411,   412,   413,   414,     0,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     0,   450,   451,   452,   453,     0,   454,   455,
     456,   457,   458,   459,     0,   460,   461,     0,     0,   462,
     463,   464,     0,     0,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,     0,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,     0,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,     0,   567,   568,     0,     0,   569,   570,
     571,   572,   573,   574,   575,     0,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,     0,   592,   593,   594,
     595,   596,     0,     0,   597,   598,   599,   600,   601,   602,
     603,     0,   604,   605,   606,   607,   608,   609,     0,     0,
     610,     0,     0,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,     0,   301,     0,     0,     0,
     302,   303,   304,   305,   306,   307,   308,   309,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   325,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,     0,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,     0,   354,   355,   356,   357,   358,
       0,   359,   360,     0,   361,   362,   363,     0,   364,   365,
     366,   367,  1155,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,   389,   390,     0,   391,     0,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,     0,
     410,   411,   412,   413,   414,     0,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     0,   450,   451,   452,   453,     0,   454,
     455,   456,   457,   458,   459,     0,   460,   461,     0,     0,
     462,   463,   464,     0,     0,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,     0,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,     0,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,     0,   567,   568,     0,     0,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,   598,   599,   600,   601,
     602,   603,     0,   604,   605,   606,   607,   608,   609,     0,
       0,   610,     0,     0,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,     0,   301,     0,     0,
       0,   302,   303,   304,   305,   306,   307,   308,   309,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   325,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,     0,   344,     0,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,   360,     0,   361,   362,   363,     0,   364,
     365,   366,   367,  1159,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
       0,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
       0,   410,   411,   412,   413,   414,     0,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     0,   450,   451,   452,   453,     0,
     454,   455,   456,   457,   458,   459,     0,   460,   461,     0,
       0,   462,   463,   464,     0,     0,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,     0,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,     0,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,     0,   567,   568,     0,     0,
     569,   570,   571,   572,   573,   574,   575,     0,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,     0,   592,
     593,   594,   595,   596,     0,     0,   597,   598,   599,   600,
     601,   602,   603,     0,   604,   605,   606,   607,   608,   609,
       0,     0,   610,     0,     0,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   947,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,     0,     0,     0,   301,     0,
       0,     0,   302,   303,   304,   305,   306,   307,   308,   309,
     310,     0,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     325,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,     0,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,     0,   354,   355,   356,
     357,   358,     0,   359,   360,     0,   361,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,     0,
     391,     0,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,     0,   410,   411,   412,   413,   414,     0,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     0,   450,   451,   452,   453,
       0,   454,   455,   456,   457,   458,   459,     0,   460,   461,
       0,     0,   462,   463,   464,     0,     0,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,     0,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
       0,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,     0,   567,   568,     0,
       0,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,     0,
     592,   593,   594,   595,   596,     0,     0,   597,   598,   599,
     600,   601,   602,   603,     0,   604,   605,   606,   607,   608,
     609,     0,     0,   610,     0,     0,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   638,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,  2722,   275,   276,   277,   278,
     279,     0,     0,  2792,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,  2723,   291,   292,   293,   294,   295,
     296,     0,     0,   298,   299,   300,     0,     0,     0,     0,
       0,     0,     0,   302,   303,   304,   305,   306,   307,   308,
     309,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   325,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,  2793,   335,   336,   337,   338,   339,   340,
     341,   342,   343,     0,   344,     0,   345,   346,   347,   348,
     349,     0,   350,  2725,   351,   352,     0,     0,     0,   355,
     356,   357,   358,     0,   359,   360,     0,   361,   362,   363,
       0,   364,   365,   366,   367,  2794,     0,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,     0,   384,   385,   386,   387,   388,   389,   390,
       0,   391,     0,   392,     0,     0,   395,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,     0,   410,   411,     0,   413,     0,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,  2726,   450,   451,     0,
     453,     0,   454,   455,   456,   457,   458,   459,     0,   460,
     461,     0,     0,   462,   463,   464,     0,     0,   465,   466,
     467,     0,   469,     0,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,  2727,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
       0,   542,   543,   544,   545,   546,     0,   548,   549,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,     0,   567,   568,
       0,     0,   569,     0,   571,   572,   573,   574,   575,     0,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
    2728,   592,   593,   594,   595,   596,     0,     0,   597,   598,
     599,   600,   601,   602,   603,     0,   604,     0,   606,   607,
     608,   609,     0,     0,   610,     0,     0,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   638,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,  2722,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,  2723,   291,   292,   293,   294,
     295,   296,     0,     0,   298,   299,   300,     0,     0,     0,
       0,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,  2793,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,     0,   345,   346,   347,
     348,   349,     0,   350,  2725,   351,   352,     0,     0,     0,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,     0,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,     0,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,     0,     0,   395,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,     0,   413,  3832,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,  2726,   450,   451,
       0,   453,     0,   454,   455,   456,   457,   458,   459,     0,
     460,   461,     0,     0,   462,   463,   464,     0,     0,   465,
     466,   467,     0,   469,     0,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,  2727,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,     0,   542,   543,   544,   545,   546,     0,   548,   549,
     550,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,     0,   567,
     568,     0,     0,   569,     0,   571,   572,   573,   574,   575,
       0,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,  2728,   592,   593,   594,   595,   596,     0,     0,   597,
     598,   599,   600,   601,   602,   603,     0,   604,     0,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   638,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,  2722,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,  2723,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,  2793,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,  2725,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,  2726,   450,
     451,     0,   453,     0,   454,   455,   456,   457,   458,   459,
       0,   460,   461,     0,     0,   462,   463,   464,     0,     0,
     465,   466,   467,     0,   469,     0,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,  2727,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,     0,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,     0,   542,   543,   544,   545,   546,     0,   548,
     549,   550,   551,     0,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,     0,
     567,   568,     0,     0,   569,     0,   571,   572,   573,   574,
     575,     0,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,  2728,   592,   593,   594,   595,   596,     0,     0,
     597,   598,   599,   600,   601,   602,   603,     0,   604,     0,
     606,   607,   608,   609,     0,     0,   610,     0,     0,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   638,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   777,   244,   778,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,   779,     0,   298,   299,   300,     0,
       0,     0,     0,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   308,   309,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,     0,
       0,     0,   355,   356,   357,   358,   810,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,   368,     0,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,     0,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,     0,     0,   395,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,     0,   410,   411,     0,   413,
       0,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,   453,     0,   454,   455,   456,   457,   458,
     459,     0,   460,   461,     0,     0,   462,   463,   464,     0,
       0,   465,   466,   467,     0,   469,     0,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   780,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   781,   537,   538,
     539,   540,   541,     0,   542,   543,   544,   545,   546,     0,
     548,   549,   550,   551,     0,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
       0,   567,   568,     0,     0,   569,     0,   571,   572,   573,
     574,   575,     0,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,     0,   592,   593,   594,   595,   596,     0,
       0,   597,   598,   599,   600,   601,   602,   603,     0,   604,
       0,   606,   607,   608,   609,     0,     0,   610,     0,     0,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     638,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   777,   244,   778,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,   779,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,  3516,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,   453,     0,   454,   455,   456,   457,
     458,   459,     0,   460,   461,     0,     0,   462,   463,   464,
       0,     0,   465,   466,   467,     0,   469,     0,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   780,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   781,   537,
     538,   539,   540,   541,     0,   542,   543,   544,   545,   546,
       0,   548,   549,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,     0,   567,   568,     0,     0,   569,     0,   571,   572,
     573,   574,   575,     0,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,     0,   592,   593,   594,   595,   596,
       0,     0,   597,   598,   599,   600,   601,   602,   603,     0,
     604,     0,   606,   607,   608,   609,     0,     0,   610,     0,
       0,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   638,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   777,   244,   778,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,   779,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,   453,     0,   454,   455,   456,
     457,   458,   459,     0,   460,   461,     0,     0,   462,   463,
     464,     0,     0,   465,   466,   467,     0,   469,     0,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   780,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   781,
     537,   538,   539,   540,   541,     0,   542,   543,   544,   545,
     546,     0,   548,   549,   550,   551,     0,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,     0,   567,   568,     0,     0,   569,     0,   571,
     572,   573,   574,   575,     0,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,     0,   592,   593,   594,   595,
     596,     0,     0,   597,   598,   599,   600,   601,   602,   603,
       0,   604,     0,   606,   607,   608,   609,     0,     0,   610,
       0,     0,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   638,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,  3028,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,     0,   298,
     299,   300,     0,     0,     0,  2858,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   308,   309,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   325,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,     0,
     344,     0,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,     0,     0,     0,   355,   356,   357,   358,     0,
     359,   360,     0,   361,   362,   363,     0,   364,   365,   366,
     367,   368,     0,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,     0,   384,
     385,   386,   387,   388,   389,   390,     0,   391,     0,   392,
       0,     0,   395,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,     0,   410,
     411,     0,   413,     0,     0,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,   453,     0,   454,   455,
     456,   457,   458,   459,     0,   460,   461,     0,   842,   462,
     463,   464,     0,     0,   465,   466,   467,     0,   469,     0,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,     0,   542,   543,   544,
     545,   546,     0,   548,   549,   550,   551,     0,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,     0,   567,   568,     0,  2859,  2860,     0,
     571,   572,   573,   574,   575,     0,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,     0,   592,   593,   594,
     595,   596,     0,     0,   597,   598,   599,   600,   601,   602,
     603,     0,   604,     0,   606,   607,   608,   609,     0,     0,
     610,     0,     0,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   638,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,  1982,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,     0,
     298,   299,   300,     0,     0,     0,     0,     0,     0,     0,
     302,   303,   304,  1983,   306,   307,   308,   309,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,  1984,   325,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,     0,   345,   346,   347,   348,   349,     0,   350,
    1985,   351,   352,     0,     0,     0,  1986,   356,   357,   358,
       0,   359,   360,     0,   361,   362,   363,     0,   364,   365,
     366,   367,   368,     0,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,     0,
     384,   385,   386,   387,   388,   389,   390,     0,   391,     0,
     392,     0,     0,   395,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,  1987,  1988,   409,     0,     0,
     410,   411,     0,   413,     0,     0,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,   453,     0,   454,
     455,   456,   457,   458,   459,     0,   460,   461,     0,     0,
     462,   463,   464,     0,     0,   465,   466,   467,     0,   469,
       0,   471,   472,   473,   474,   475,  1989,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,   492,  1990,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,     0,   521,   522,   523,  1991,   525,
     526,   527,   528,   529,   530,  1992,   532,   533,   534,   535,
     536,     0,  1993,   538,   539,   540,   541,     0,   542,   543,
     544,   545,   546,     0,   548,   549,   550,   551,     0,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,     0,   567,   568,     0,  1994,   569,
       0,  1995,   572,   573,   574,   575,     0,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,   584,   585,
    1996,   587,   588,   589,   590,   591,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,   598,   599,   600,   601,
     602,   603,     0,   604,     0,   606,   607,   608,   609,     0,
       0,   610,     0,     0,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   638,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   778,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,   779,
       0,   298,   299,   300,     0,     0,     0,     0,     0,     0,
       0,   302,   303,   304,   305,   306,   307,   308,   309,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   325,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,     0,   344,     0,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,     0,     0,     0,   355,   356,   357,
     358,     0,   359,   360,     0,   361,   362,   363,     0,   364,
     365,   366,   367,   368,     0,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
       0,   384,   385,   386,   387,   388,   389,   390,     0,   391,
       0,   392,     0,     0,   395,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
       0,   410,   411,     0,   413,     0,     0,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,   453,     0,
     454,   455,   456,   457,   458,   459,     0,   460,   461,     0,
       0,   462,   463,   464,     0,     0,   465,   466,   467,     0,
     469,     0,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   780,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   781,   537,   538,   539,   540,   541,     0,   542,
     543,   544,   545,   546,     0,   548,   549,   550,   551,     0,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,     0,   567,   568,     0,     0,
     569,     0,   571,   572,   573,   574,   575,     0,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,     0,   592,
     593,   594,   595,   596,     0,     0,   597,   598,   599,   600,
     601,   602,   603,     0,   604,     0,   606,   607,   608,   609,
       0,     0,   610,     0,     0,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   638,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,     0,   298,   299,   300,     0,     0,     0,  2858,     0,
       0,     0,   302,   303,   304,   305,   306,   307,   308,   309,
     310,     0,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     325,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,     0,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,     0,     0,     0,   355,   356,
     357,   358,     0,   359,   360,     0,   361,   362,   363,     0,
     364,   365,   366,   367,   368,     0,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,     0,   384,   385,   386,   387,   388,   389,   390,     0,
     391,     0,   392,     0,     0,   395,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,     0,   410,   411,     0,   413,     0,     0,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,   453,
       0,   454,   455,   456,   457,   458,   459,     0,   460,   461,
       0,   842,   462,   463,   464,     0,     0,   465,   466,   467,
       0,   469,     0,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,     0,
     542,   543,   544,   545,   546,     0,   548,   549,   550,   551,
       0,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,     0,   567,   568,     0,
    2859,  2860,     0,   571,   572,   573,   574,   575,     0,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,     0,
     592,   593,   594,   595,   596,     0,     0,   597,   598,   599,
     600,   601,   602,   603,     0,   604,     0,   606,   607,   608,
     609,     0,     0,   610,     0,     0,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   638,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,  1000,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,     0,   298,   299,   300,     0,     0,     0,     0,
       0,     0,     0,   302,   303,   304,   305,   306,   307,   308,
     309,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   325,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,     0,   344,     0,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,     0,     0,     0,   355,
     356,   357,   358,     0,   359,   360,     0,   361,   362,   363,
       0,   364,   365,   366,   367,  1001,     0,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,     0,   384,   385,   386,   387,   388,   389,   390,
       0,   391,     0,   392,     0,     0,   395,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,     0,   410,   411,     0,   413,     0,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     0,   450,   451,     0,
     453,     0,   454,   455,   456,   457,   458,   459,     0,   460,
     461,     0,   842,   462,   463,   464,     0,     0,   465,   466,
     467,     0,   469,     0,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
       0,   542,   543,   544,   545,   546,     0,   548,   549,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,     0,   567,   568,
       0,     0,   569,     0,   571,   572,   573,   574,   575,     0,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
       0,   592,   593,   594,   595,   596,     0,     0,   597,   598,
     599,   600,   601,   602,   603,     0,   604,     0,   606,   607,
     608,   609,     0,     0,   610,     0,     0,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   638,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,  3596,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,     0,   298,   299,   300,     0,     0,     0,
       0,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,     0,     0,     0,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,     0,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,     0,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,     0,     0,   395,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,     0,   413,     0,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,   453,     0,   454,   455,   456,   457,   458,   459,     0,
     460,   461,     0,     0,   462,   463,   464,     0,     0,   465,
     466,   467,     0,   469,     0,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,     0,   542,   543,   544,   545,   546,     0,   548,   549,
     550,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,     0,   567,
     568,     0,     0,   569,     0,   571,   572,   573,   574,   575,
       0,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,     0,   592,   593,   594,   595,   596,  3597,     0,   597,
     598,   599,   600,   601,   602,   603,     0,   604,     0,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   638,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  3609,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     0,   450,
     451,     0,   453,     0,   454,   455,   456,   457,   458,   459,
       0,   460,   461,     0,     0,   462,   463,   464,     0,     0,
     465,   466,   467,     0,   469,     0,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,     0,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,     0,   542,   543,   544,   545,   546,     0,   548,
     549,   550,   551,     0,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,     0,
     567,   568,     0,     0,   569,     0,   571,   572,   573,   574,
     575,     0,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,     0,   592,   593,   594,   595,   596,  3610,     0,
     597,   598,   599,   600,   601,   602,   603,     0,   604,     0,
     606,   607,   608,   609,     0,     0,   610,     0,     0,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   638,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   639,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,     0,   298,   299,   300,     0,
       0,     0,     0,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   308,   309,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,     0,
       0,     0,   355,   356,   357,   358,     0,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,   368,     0,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,     0,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,     0,     0,   395,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,     0,   410,   411,     0,   413,
       0,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,   453,     0,   454,   455,   456,   457,   458,
     459,     0,   460,   461,     0,     0,   462,   463,   464,     0,
       0,   465,   466,   467,     0,   469,     0,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,     0,   542,   543,   544,   545,   546,     0,
     548,   549,   550,   551,     0,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
       0,   567,   568,     0,     0,   569,     0,   571,   572,   573,
     574,   575,     0,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,     0,   592,   593,   594,   595,   596,     0,
       0,   597,   598,   599,   600,   601,   602,   603,     0,   604,
       0,   606,   607,   608,   609,     0,     0,   610,     0,     0,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     638,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   688,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,   453,     0,   454,   455,   456,   457,
     458,   459,     0,   460,   461,     0,     0,   462,   463,   464,
       0,     0,   465,   466,   467,     0,   469,     0,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   689,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,     0,   542,   543,   544,   545,   546,
       0,   548,   549,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,     0,   567,   568,     0,     0,   569,     0,   571,   572,
     573,   574,   575,     0,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,     0,   592,   593,   594,   595,   596,
       0,     0,   597,   598,   599,   600,   601,   602,   603,     0,
     604,     0,   606,   607,   608,   609,     0,     0,   610,     0,
       0,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   638,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   802,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,   453,     0,   454,   455,   456,
     457,   458,   459,     0,   460,   461,     0,     0,   462,   463,
     464,     0,     0,   465,   466,   467,     0,   469,     0,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   803,     0,   542,   543,   544,   545,
     546,     0,   548,   549,   550,   551,     0,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,     0,   567,   568,     0,     0,   569,     0,   571,
     572,   573,   574,   575,     0,   576,   804,   578,     0,     0,
     805,   580,   581,   582,   583,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,     0,   592,   593,   594,   595,
     596,     0,     0,   597,   598,   599,   600,   601,   602,   603,
       0,   604,     0,   606,   607,   608,   609,     0,     0,   610,
       0,     0,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   638,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   836,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,     0,   298,
     299,   300,     0,     0,     0,     0,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   308,   309,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   325,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,     0,
     344,     0,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,     0,     0,     0,   355,   356,   357,   358,     0,
     359,   360,     0,   361,   362,   363,     0,   364,   365,   366,
     367,   368,     0,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,     0,   384,
     385,   386,   387,   388,   389,   390,     0,   391,     0,   392,
       0,     0,   395,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,     0,   410,
     411,     0,   413,     0,     0,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,   453,     0,   454,   455,
     456,   457,   458,   459,     0,   460,   461,     0,     0,   462,
     463,   464,     0,     0,   465,   466,   467,     0,   469,     0,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   837,     0,   542,   543,   544,
     545,   546,     0,   548,   549,   550,   551,     0,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,     0,   567,   568,     0,     0,   569,     0,
     571,   572,   573,   574,   575,     0,   576,   838,   578,     0,
       0,   839,   580,   581,   582,   583,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,     0,   592,   593,   594,
     595,   596,     0,     0,   597,   598,   599,   600,   601,   602,
     603,     0,   604,     0,   606,   607,   608,   609,     0,     0,
     610,     0,     0,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   638,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,     0,
     298,   299,   300,     0,     0,     0,     0,     0,     0,     0,
     302,   303,   304,   305,   306,   307,   308,   309,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   325,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,     0,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,     0,     0,     0,   355,   356,   357,   358,
       0,   359,   360,     0,   361,   362,   363,     0,   364,   365,
     366,   367,   368,     0,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,     0,
     384,   385,   386,   387,   388,   389,   390,     0,   391,     0,
     392,     0,     0,   395,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,     0,
     410,   411,     0,   413,     0,     0,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,   453,     0,   454,
     455,   456,   457,   458,   459,     0,   460,   461,     0,   842,
     462,   463,   464,     0,     0,   465,   466,   467,     0,   469,
       0,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,     0,   542,   543,
     544,   545,   546,     0,   548,   549,   550,   551,     0,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,     0,   567,   568,     0,     0,   569,
       0,   571,   572,   573,   574,   575,     0,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,   598,   599,   600,   601,
     602,   603,     0,   604,     0,   606,   607,   608,   609,     0,
       0,   610,     0,     0,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   638,     0,     0,     0,     0,     0,
       0,     0,     0,   902,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
       0,   298,   299,   300,     0,     0,     0,     0,     0,     0,
       0,   302,   303,   304,   305,   306,   307,   308,   309,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   325,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,     0,   344,     0,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,     0,     0,     0,   355,   356,   357,
     358,     0,   359,   360,     0,   361,   362,   363,     0,   364,
     365,   366,   367,   368,     0,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
       0,   384,   385,   386,   387,   388,   389,   390,     0,   391,
       0,   392,     0,     0,   395,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
       0,   410,   411,     0,   413,     0,     0,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,   453,     0,
     454,   455,   456,   457,   458,   459,     0,   460,   461,     0,
       0,   462,   463,   464,     0,     0,   465,   466,   467,     0,
     469,     0,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,     0,   542,
     543,   544,   545,   546,     0,   548,   549,   550,   551,     0,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,     0,   567,   568,     0,     0,
     569,     0,   571,   572,   573,   574,   575,     0,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,     0,   592,
     593,   594,   595,   596,     0,     0,   597,   598,   599,   600,
     601,   602,   603,     0,   604,     0,   606,   607,   608,   609,
       0,     0,   610,     0,     0,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   638,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   957,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,     0,   298,   299,   300,     0,     0,     0,     0,     0,
       0,     0,   302,   303,   304,   305,   306,   307,   308,   309,
     310,     0,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     325,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,     0,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,     0,     0,     0,   355,   356,
     357,   358,     0,   359,   360,     0,   361,   362,   363,     0,
     364,   365,   366,   367,   958,     0,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,     0,   384,   385,   386,   387,   388,   389,   390,     0,
     391,     0,   392,     0,     0,   395,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,     0,   410,   411,     0,   413,     0,     0,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,   453,
       0,   454,   455,   456,   457,   458,   459,     0,   460,   461,
       0,     0,   462,   463,   464,     0,     0,   465,   466,   467,
       0,   469,     0,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,     0,
     542,   543,   544,   545,   546,     0,   548,   549,   550,   551,
       0,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,     0,   567,   568,     0,
       0,   569,     0,   571,   572,   573,   574,   575,     0,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,     0,
     592,   593,   594,   595,   596,     0,     0,   597,   598,   599,
     600,   601,   602,   603,     0,   604,     0,   606,   607,   608,
     609,     0,     0,   610,     0,     0,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   638,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,  1120,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,     0,   298,   299,   300,     0,     0,     0,     0,
       0,     0,     0,   302,   303,   304,   305,   306,   307,   308,
     309,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   325,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,     0,   344,     0,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,     0,     0,     0,   355,
     356,   357,   358,     0,   359,   360,     0,   361,   362,   363,
       0,   364,   365,   366,   367,   368,     0,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,     0,   384,   385,   386,   387,   388,   389,   390,
       0,   391,     0,   392,     0,     0,   395,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,     0,   410,   411,     0,   413,     0,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     0,   450,   451,     0,
     453,     0,   454,   455,   456,   457,   458,   459,     0,   460,
     461,     0,     0,   462,   463,   464,     0,     0,   465,   466,
     467,     0,   469,     0,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
       0,   542,   543,   544,   545,   546,     0,   548,   549,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,     0,   567,   568,
       0,     0,   569,     0,   571,   572,   573,   574,   575,     0,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
       0,   592,   593,   594,   595,   596,     0,     0,   597,   598,
     599,   600,   601,   602,   603,     0,   604,     0,   606,   607,
     608,   609,     0,     0,   610,     0,     0,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   638,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,  1367,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,     0,   298,   299,   300,     0,     0,     0,
       0,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,     0,     0,     0,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,     0,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,     0,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,     0,     0,   395,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,     0,   413,     0,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,   453,     0,   454,   455,   456,   457,   458,   459,     0,
     460,   461,     0,     0,   462,   463,   464,     0,     0,   465,
     466,   467,     0,   469,     0,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,     0,   542,   543,   544,   545,   546,     0,   548,   549,
     550,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,     0,   567,
     568,     0,     0,   569,     0,   571,   572,   573,   574,   575,
       0,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,     0,   592,   593,   594,   595,   596,     0,     0,   597,
     598,   599,   600,   601,   602,   603,     0,   604,     0,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   638,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,  1378,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   822,   271,   272,   273,  1379,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   825,   437,     0,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     0,   450,
     451,     0,   453,     0,   454,   455,   456,   457,   458,   459,
       0,   460,   461,     0,     0,   462,   463,   464,     0,     0,
     465,   466,   467,     0,   469,     0,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,     0,
     826,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     827,   532,   533,   534,   535,   536,     0,   537,   538,   539,
     540,  1371,     0,   542,   543,   544,   545,   546,     0,   548,
     549,   550,   551,     0,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,     0,
     567,   568,     0,     0,   569,     0,   571,   572,   573,   574,
     575,     0,   576,   829,   578,     0,     0,   830,   580,   581,
     582,   583,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,   598,   599,   600,   601,   602,   603,     0,   604,     0,
     606,   607,   608,   609,     0,     0,   610,     0,     0,   611,
     612,   613,   614,   615,   831,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   638,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,     0,   298,   299,   300,     0,
       0,     0,     0,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   308,   309,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,     0,
       0,     0,   355,   356,   357,   358,     0,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,  1524,     0,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,     0,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,     0,     0,   395,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,     0,   410,   411,     0,   413,
       0,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,   453,     0,   454,   455,   456,   457,   458,
     459,     0,   460,   461,     0,   842,   462,   463,   464,     0,
       0,   465,   466,   467,     0,   469,     0,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,     0,   542,   543,   544,   545,   546,     0,
     548,   549,   550,   551,     0,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
       0,   567,   568,     0,     0,   569,     0,   571,   572,   573,
     574,   575,     0,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,     0,   592,   593,   594,   595,   596,     0,
       0,   597,   598,   599,   600,   601,   602,   603,     0,   604,
       0,   606,   607,   608,   609,     0,     0,   610,     0,     0,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     638,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,  1585,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1586,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,   453,     0,   454,   455,   456,   457,
     458,   459,     0,   460,   461,     0,     0,   462,   463,   464,
       0,     0,   465,   466,   467,     0,   469,     0,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,     0,   542,   543,   544,   545,   546,
       0,   548,   549,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,     0,   567,   568,     0,     0,   569,     0,   571,   572,
     573,   574,   575,     0,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,     0,   592,   593,   594,   595,   596,
       0,     0,   597,   598,   599,   600,   601,   602,   603,     0,
     604,     0,   606,   607,   608,   609,     0,     0,   610,     0,
       0,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   638,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   802,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,   453,     0,   454,   455,   456,
     457,   458,   459,     0,   460,   461,     0,     0,   462,   463,
     464,     0,     0,   465,   466,   467,     0,   469,     0,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,     0,   542,   543,   544,   545,
     546,     0,   548,   549,   550,   551,     0,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,     0,   567,   568,     0,     0,   569,     0,   571,
     572,   573,   574,   575,     0,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,     0,   592,   593,   594,   595,
     596,     0,     0,   597,   598,   599,   600,   601,   602,   603,
       0,   604,     0,   606,   607,   608,   609,     0,     0,   610,
       0,     0,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   638,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,     0,   298,
     299,   300,     0,     0,     0,     0,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   308,   309,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   325,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,     0,
     344,     0,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,     0,     0,     0,   355,   356,   357,  3365,     0,
     359,   360,     0,   361,   362,   363,     0,   364,   365,   366,
     367,   368,     0,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,     0,   384,
     385,   386,   387,   388,   389,   390,     0,   391,     0,   392,
       0,     0,   395,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,     0,   410,
     411,     0,   413,     0,     0,   415,   416,  3366,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,   453,     0,   454,   455,
     456,   457,   458,   459,     0,   460,   461,     0,     0,   462,
     463,   464,     0,     0,   465,   466,   467,     0,   469,     0,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,     0,   542,   543,   544,
     545,   546,     0,   548,   549,   550,   551,     0,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,     0,   567,   568,     0,  3367,   569,     0,
     571,  3368,   573,  3369,   575,     0,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,     0,   592,   593,  3370,
     595,   596,     0,     0,   597,   598,   599,   600,   601,   602,
     603,     0,   604,     0,   606,   607,   608,   609,     0,     0,
     610,     0,     0,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   638,     0,     0,   697,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,     0,
     298,   299,   300,     0,     0,     0,     0,     0,     0,     0,
     302,   303,   304,   305,   306,   307,   308,   309,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   325,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,     0,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,     0,     0,     0,   355,   356,   357,   358,
       0,   359,   360,     0,   361,   362,   363,     0,   364,   365,
     366,   367,   368,     0,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,     0,
     384,   385,   386,   387,   388,   389,   390,     0,   391,     0,
     392,     0,     0,   395,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,     0,
     410,   411,     0,   413,     0,     0,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,   453,     0,   454,
     455,   456,   457,   458,   459,     0,   460,   461,     0,     0,
     462,   463,   464,     0,     0,   465,   466,   467,     0,   469,
       0,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,     0,   542,   543,
     544,   545,   546,     0,   548,   549,   550,   551,     0,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,     0,   567,   568,     0,     0,   569,
       0,   571,   572,   573,   574,   575,     0,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,   598,   599,   600,   601,
     602,   603,     0,   604,     0,   606,   607,   608,   609,     0,
       0,   610,     0,     0,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   638,     0,     0,     0,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
       0,   298,   299,   300,     0,     0,     0,     0,     0,     0,
       0,   302,   303,   304,   305,   306,   307,   308,   309,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   325,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,     0,   344,     0,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,     0,     0,     0,   355,   356,   357,
     358,     0,   359,   360,     0,   361,   362,   363,     0,   364,
     365,   366,   367,   368,     0,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
       0,   384,   385,   386,   387,   388,   389,   390,     0,   391,
       0,   392,     0,     0,   395,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
       0,   410,   411,     0,   413,     0,     0,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,   453,     0,
     454,   455,   456,   457,   458,   459,     0,   460,   461,     0,
       0,   462,   463,   464,     0,     0,   465,   466,   467,     0,
     469,     0,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,     0,   542,
     543,   544,   545,   546,     0,   548,   549,   550,   551,     0,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,     0,   567,   568,     0,     0,
     569,     0,   571,   572,   573,   574,   575,     0,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,     0,   592,
     593,   594,   595,   596,     0,     0,   597,   598,   599,   600,
     601,   602,   603,     0,   604,     0,   606,   607,   608,   609,
       0,     0,   610,     0,     0,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   638,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
    4182,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,     0,   298,   299,   300,     0,     0,     0,     0,     0,
       0,     0,   302,   303,   304,   305,   306,   307,   308,   309,
     310,     0,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     325,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,     0,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,     0,     0,     0,   355,   356,
     357,   358,     0,   359,   360,     0,   361,   362,   363,     0,
     364,   365,   366,   367,   368,     0,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,     0,   384,   385,   386,   387,   388,   389,   390,     0,
     391,     0,   392,     0,     0,   395,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,     0,   410,   411,     0,   413,     0,     0,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,   453,
       0,   454,   455,   456,   457,   458,   459,     0,   460,   461,
       0,     0,   462,   463,   464,     0,     0,   465,   466,   467,
       0,   469,     0,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,     0,
     542,   543,   544,   545,   546,     0,   548,   549,   550,   551,
       0,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,     0,   567,   568,     0,
       0,   569,     0,   571,   572,   573,   574,   575,     0,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,     0,
     592,   593,   594,   595,   596,     0,     0,   597,   598,   599,
     600,   601,   602,   603,     0,   604,     0,   606,   607,   608,
     609,     0,     0,   610,     0,     0,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   638,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,  4196,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,     0,   298,   299,   300,     0,     0,     0,     0,
       0,     0,     0,   302,   303,   304,   305,   306,   307,   308,
     309,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   325,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,     0,   344,     0,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,     0,     0,     0,   355,
     356,   357,   358,     0,   359,   360,     0,   361,   362,   363,
       0,   364,   365,   366,   367,   368,     0,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,     0,   384,   385,   386,   387,   388,   389,   390,
       0,   391,     0,   392,     0,     0,   395,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,     0,   410,   411,     0,   413,     0,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     0,   450,   451,     0,
     453,     0,   454,   455,   456,   457,   458,   459,     0,   460,
     461,     0,     0,   462,   463,   464,     0,     0,   465,   466,
     467,     0,   469,     0,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
       0,   542,   543,   544,   545,   546,     0,   548,   549,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,     0,   567,   568,
       0,     0,   569,     0,   571,   572,   573,   574,   575,     0,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
       0,   592,   593,   594,   595,   596,     0,     0,   597,   598,
     599,   600,   601,   602,   603,     0,   604,     0,   606,   607,
     608,   609,     0,     0,   610,     0,     0,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   638,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,     0,   298,   299,   300,     0,     0,     0,
       0,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,  4338,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,     0,     0,     0,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,     0,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,     0,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,     0,     0,   395,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,     0,   413,     0,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,   453,     0,   454,   455,   456,   457,   458,   459,     0,
     460,   461,     0,     0,   462,   463,   464,     0,     0,   465,
     466,   467,     0,   469,     0,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,     0,   542,   543,   544,   545,   546,     0,   548,   549,
     550,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,     0,   567,
     568,     0,     0,   569,     0,   571,   572,   573,   574,   575,
       0,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,     0,   592,   593,   594,   595,   596,     0,     0,   597,
     598,   599,   600,   601,   602,   603,     0,   604,     0,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   638,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,  4856,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     0,   450,
     451,     0,   453,     0,   454,   455,   456,   457,   458,   459,
       0,   460,   461,     0,     0,   462,   463,   464,     0,     0,
     465,   466,   467,     0,   469,     0,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,     0,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,     0,   542,   543,   544,   545,   546,     0,   548,
     549,   550,   551,     0,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,     0,
     567,   568,     0,     0,   569,     0,   571,   572,   573,   574,
     575,     0,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,   598,   599,   600,   601,   602,   603,     0,   604,     0,
     606,   607,   608,   609,     0,     0,   610,     0,     0,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   638,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,     0,   298,   299,   300,     0,
       0,     0,  4929,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   308,   309,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,     0,
       0,     0,   355,   356,   357,   358,     0,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,   368,     0,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,     0,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,     0,     0,   395,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,     0,   410,   411,     0,   413,
       0,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,   453,     0,   454,   455,   456,   457,   458,
     459,     0,   460,   461,     0,     0,   462,   463,   464,     0,
       0,   465,   466,   467,     0,   469,     0,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,     0,   542,   543,   544,   545,   546,     0,
     548,   549,   550,   551,     0,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
       0,   567,   568,     0,     0,   569,     0,   571,   572,   573,
     574,   575,     0,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,     0,   592,   593,   594,   595,   596,     0,
       0,   597,   598,   599,   600,   601,   602,   603,     0,   604,
       0,   606,   607,   608,   609,     0,     0,   610,     0,     0,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     638,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,  5283,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,   453,     0,   454,   455,   456,   457,
     458,   459,     0,   460,   461,     0,     0,   462,   463,   464,
       0,     0,   465,   466,   467,     0,   469,     0,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,     0,   542,   543,   544,   545,   546,
       0,   548,   549,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,     0,   567,   568,     0,     0,   569,     0,   571,   572,
     573,   574,   575,     0,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,     0,   592,   593,   594,   595,   596,
       0,     0,   597,   598,   599,   600,   601,   602,   603,     0,
     604,     0,   606,   607,   608,   609,     0,     0,   610,     0,
       0,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   638,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,   453,     0,   454,   455,   456,
     457,   458,   459,     0,   460,   461,     0,     0,   462,   463,
     464,     0,     0,   465,   466,   467,     0,   469,     0,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,     0,   542,   543,   544,   545,
     546,     0,   548,   549,   550,   551,     0,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,     0,   567,   568,     0,     0,   569,     0,   571,
     572,   573,   574,   575,     0,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,     0,   592,   593,   594,   595,
     596,     0,     0,   597,   598,   599,   600,   601,   602,   603,
       0,   604,     0,   606,   607,   608,   609,     0,     0,   610,
       0,     0,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   638,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,     0,   298,
     299,   300,     0,     0,     0,     0,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   308,   309,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   325,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,     0,
     344,     0,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,     0,     0,     0,   355,   356,   357,   358,     0,
     359,   360,     0,   361,   362,   363,     0,   364,   365,   366,
     367,   368,     0,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,     0,   384,
     385,   386,   387,   388,   389,   390,     0,   391,     0,   392,
       0,     0,   395,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,     0,   410,
     411,     0,   413,     0,     0,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,   453,     0,   454,   455,
     456,   457,   458,   459,     0,   460,   461,     0,     0,   462,
     463,   464,     0,     0,   465,   466,   467,     0,   469,     0,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,     0,   542,   543,   544,
     545,   546,     0,   548,   549,   550,   551,     0,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,     0,   567,   568,     0,     0,   569,     0,
     571,   572,   573,   574,   575,     0,   576,   577,   578,     0,
       0,   794,   580,   581,   582,   583,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,     0,   592,   593,   594,
     595,   596,     0,     0,   597,   598,   599,   600,   601,   602,
     603,     0,   604,     0,   606,   607,   608,   609,     0,     0,
     610,     0,     0,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   638,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,     0,
     298,   299,   300,     0,     0,     0,     0,     0,     0,     0,
     302,   303,   304,   305,   306,   307,   308,   309,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   325,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,     0,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,     0,     0,     0,   355,   356,   357,   358,
       0,   359,   360,     0,   361,   362,   363,     0,   364,   365,
     366,   367,   368,     0,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,     0,
     384,   385,   386,   387,   388,   389,   390,     0,   391,     0,
     392,     0,     0,   395,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,     0,
     410,   411,     0,   413,     0,     0,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,   453,     0,   454,
     455,   456,   457,   458,   459,     0,   460,   461,     0,     0,
     462,   463,   464,     0,     0,   465,   466,   467,     0,   469,
       0,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   800,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,     0,   542,   543,
     544,   545,   546,     0,   548,   549,   550,   551,     0,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,     0,   567,   568,     0,     0,   569,
       0,   571,   572,   573,   574,   575,     0,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,   598,   599,   600,   601,
     602,   603,     0,   604,     0,   606,   607,   608,   609,     0,
       0,   610,     0,     0,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   638,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   822,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,     0,   823,   292,   293,   294,   295,   296,     0,
       0,   298,   299,   300,     0,     0,     0,     0,     0,     0,
       0,   302,   303,   304,   305,   306,   307,   308,   309,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   325,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,     0,   344,     0,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,     0,     0,     0,   355,   356,   357,
     358,     0,   359,   360,     0,   361,   362,   363,     0,   364,
     365,   366,   367,   368,     0,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
       0,   384,   385,   386,   387,   388,   389,   390,     0,   391,
       0,   392,     0,     0,   395,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
       0,   410,   411,     0,   413,     0,     0,   415,   416,   824,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     825,   437,     0,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,   453,     0,
     454,   455,   456,   457,   458,   459,     0,   460,   461,     0,
       0,   462,   463,   464,     0,     0,   465,   466,   467,     0,
     469,     0,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,     0,   826,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   827,   532,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   828,     0,   542,
     543,   544,   545,   546,     0,   548,   549,   550,   551,     0,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,     0,   567,   568,     0,     0,
     569,     0,   571,   572,   573,   574,   575,     0,   576,   829,
     578,     0,     0,   830,   580,   581,   582,   583,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,     0,   592,
     593,   594,   595,   596,     0,     0,   597,   598,   599,   600,
     601,   602,   603,     0,   604,     0,   606,   607,   608,   609,
       0,     0,   610,     0,     0,   611,   612,   613,   614,   615,
     831,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   638,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,     0,   298,   299,   300,     0,     0,     0,     0,     0,
       0,     0,   302,   303,   304,   305,   306,   307,   308,   309,
     310,     0,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     325,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,     0,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,     0,     0,     0,   355,   356,
     357,   358,     0,   359,   360,     0,   361,   362,   363,     0,
     364,   365,   366,   367,   368,     0,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,     0,   384,   385,   386,   387,   388,   389,   390,     0,
     391,     0,   392,     0,     0,   395,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,     0,   410,   411,     0,   413,     0,     0,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,   453,
       0,   454,   455,   456,   457,   458,   459,     0,   460,   461,
       0,     0,   462,   463,   464,     0,     0,   465,   466,   467,
       0,   469,     0,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   854,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,     0,
     542,   543,   544,   545,   546,     0,   548,   549,   550,   551,
       0,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,     0,   567,   568,     0,
       0,   569,     0,   571,   572,   573,   574,   575,     0,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,     0,
     592,   593,   594,   595,   596,     0,     0,   597,   598,   599,
     600,   601,   602,   603,     0,   604,     0,   606,   607,   608,
     609,     0,     0,   610,     0,     0,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   638,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,     0,   298,   299,   300,     0,     0,     0,     0,
       0,     0,     0,   302,   303,   304,   305,   306,   307,   308,
     309,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   325,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,     0,   344,     0,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,     0,     0,     0,   355,
     356,   357,   358,     0,   359,   360,     0,   361,   362,   363,
       0,   364,   365,   366,   367,   982,     0,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,     0,   384,   385,   386,   387,   388,   389,   390,
       0,   391,     0,   392,     0,     0,   395,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,     0,   410,   411,     0,   413,     0,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     0,   450,   451,     0,
     453,     0,   454,   455,   456,   457,   458,   459,     0,   460,
     461,     0,     0,   462,   463,   464,     0,     0,   465,   466,
     467,     0,   469,     0,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
       0,   542,   543,   544,   545,   546,     0,   548,   549,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,     0,   567,   568,
       0,     0,   569,     0,   571,   572,   573,   574,   575,     0,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
       0,   592,   593,   594,   595,   596,     0,     0,   597,   598,
     599,   600,   601,   602,   603,     0,   604,     0,   606,   607,
     608,   609,     0,     0,   610,     0,     0,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   638,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,     0,   298,   299,   300,     0,     0,     0,
       0,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,     0,     0,     0,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   992,     0,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,     0,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,     0,     0,   395,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,     0,   413,     0,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,   453,     0,   454,   455,   456,   457,   458,   459,     0,
     460,   461,     0,     0,   462,   463,   464,     0,     0,   465,
     466,   467,     0,   469,     0,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,     0,   542,   543,   544,   545,   546,     0,   548,   549,
     550,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,     0,   567,
     568,     0,     0,   569,     0,   571,   572,   573,   574,   575,
       0,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,     0,   592,   593,   594,   595,   596,     0,     0,   597,
     598,   599,   600,   601,   602,   603,     0,   604,     0,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   638,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   995,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     0,   450,
     451,     0,   453,     0,   454,   455,   456,   457,   458,   459,
       0,   460,   461,     0,     0,   462,   463,   464,     0,     0,
     465,   466,   467,     0,   469,     0,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,     0,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,     0,   542,   543,   544,   545,   546,     0,   548,
     549,   550,   551,     0,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,     0,
     567,   568,     0,     0,   569,     0,   571,   572,   573,   574,
     575,     0,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,   598,   599,   600,   601,   602,   603,     0,   604,     0,
     606,   607,   608,   609,     0,     0,   610,     0,     0,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   638,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,     0,   298,   299,   300,     0,
       0,     0,     0,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   308,   309,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,     0,
       0,     0,   355,   356,   357,   358,     0,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,  1011,     0,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,     0,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,     0,     0,   395,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,     0,   410,   411,     0,   413,
       0,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,   453,     0,   454,   455,   456,   457,   458,
     459,     0,   460,   461,     0,     0,   462,   463,   464,     0,
       0,   465,   466,   467,     0,   469,     0,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,     0,   542,   543,   544,   545,   546,     0,
     548,   549,   550,   551,     0,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
       0,   567,   568,     0,     0,   569,     0,   571,   572,   573,
     574,   575,     0,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,     0,   592,   593,   594,   595,   596,     0,
       0,   597,   598,   599,   600,   601,   602,   603,     0,   604,
       0,   606,   607,   608,   609,     0,     0,   610,     0,     0,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     638,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1068,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,   453,     0,   454,   455,   456,   457,
     458,   459,     0,   460,   461,     0,     0,   462,   463,   464,
       0,     0,   465,   466,   467,     0,   469,     0,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,     0,   542,   543,   544,   545,   546,
       0,   548,   549,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,     0,   567,   568,     0,     0,   569,     0,   571,   572,
     573,   574,   575,     0,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,     0,   592,   593,   594,   595,   596,
       0,     0,   597,   598,   599,   600,   601,   602,   603,     0,
     604,     0,   606,   607,   608,   609,     0,     0,   610,     0,
       0,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   638,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1073,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,   453,     0,   454,   455,   456,
     457,   458,   459,     0,   460,   461,     0,     0,   462,   463,
     464,     0,     0,   465,   466,   467,     0,   469,     0,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,     0,   542,   543,   544,   545,
     546,     0,   548,   549,   550,   551,     0,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,     0,   567,   568,     0,     0,   569,     0,   571,
     572,   573,   574,   575,     0,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,     0,   592,   593,   594,   595,
     596,     0,     0,   597,   598,   599,   600,   601,   602,   603,
       0,   604,     0,   606,   607,   608,   609,     0,     0,   610,
       0,     0,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   638,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,     0,   298,
     299,   300,     0,     0,     0,     0,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   308,   309,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   325,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,     0,
     344,     0,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,     0,     0,     0,   355,   356,   357,   358,     0,
     359,   360,     0,   361,   362,   363,     0,   364,   365,   366,
     367,  1090,     0,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,     0,   384,
     385,   386,   387,   388,   389,   390,     0,   391,     0,   392,
       0,     0,   395,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,     0,   410,
     411,     0,   413,     0,     0,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,   453,     0,   454,   455,
     456,   457,   458,   459,     0,   460,   461,     0,     0,   462,
     463,   464,     0,     0,   465,   466,   467,     0,   469,     0,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,     0,   542,   543,   544,
     545,   546,     0,   548,   549,   550,   551,     0,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,     0,   567,   568,     0,     0,   569,     0,
     571,   572,   573,   574,   575,     0,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,     0,   592,   593,   594,
     595,   596,     0,     0,   597,   598,   599,   600,   601,   602,
     603,     0,   604,     0,   606,   607,   608,   609,     0,     0,
     610,     0,     0,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   638,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,     0,
     298,   299,   300,     0,     0,     0,     0,     0,     0,     0,
     302,   303,   304,   305,   306,   307,   308,   309,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   325,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,     0,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,     0,     0,     0,   355,   356,   357,   358,
       0,   359,   360,     0,   361,   362,   363,     0,   364,   365,
     366,   367,  1093,     0,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,     0,
     384,   385,   386,   387,   388,   389,   390,     0,   391,     0,
     392,     0,     0,   395,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,     0,
     410,   411,     0,   413,     0,     0,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,   453,     0,   454,
     455,   456,   457,   458,   459,     0,   460,   461,     0,     0,
     462,   463,   464,     0,     0,   465,   466,   467,     0,   469,
       0,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,     0,   542,   543,
     544,   545,   546,     0,   548,   549,   550,   551,     0,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,     0,   567,   568,     0,     0,   569,
       0,   571,   572,   573,   574,   575,     0,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,   598,   599,   600,   601,
     602,   603,     0,   604,     0,   606,   607,   608,   609,     0,
       0,   610,     0,     0,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   638,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
       0,   298,   299,   300,     0,     0,     0,     0,     0,     0,
       0,   302,   303,   304,   305,   306,   307,   308,   309,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   325,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,     0,   344,     0,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,     0,     0,     0,   355,   356,   357,
     358,     0,   359,   360,     0,   361,   362,   363,     0,   364,
     365,   366,   367,  1095,     0,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
       0,   384,   385,   386,   387,   388,   389,   390,     0,   391,
       0,   392,     0,     0,   395,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
       0,   410,   411,     0,   413,     0,     0,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,   453,     0,
     454,   455,   456,   457,   458,   459,     0,   460,   461,     0,
       0,   462,   463,   464,     0,     0,   465,   466,   467,     0,
     469,     0,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,     0,   542,
     543,   544,   545,   546,     0,   548,   549,   550,   551,     0,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,     0,   567,   568,     0,     0,
     569,     0,   571,   572,   573,   574,   575,     0,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,     0,   592,
     593,   594,   595,   596,     0,     0,   597,   598,   599,   600,
     601,   602,   603,     0,   604,     0,   606,   607,   608,   609,
       0,     0,   610,     0,     0,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   638,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,     0,   298,   299,   300,     0,     0,     0,     0,     0,
       0,     0,   302,   303,   304,   305,   306,   307,   308,   309,
     310,     0,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     325,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,     0,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,     0,     0,     0,   355,   356,
     357,   358,     0,   359,   360,     0,   361,   362,   363,     0,
     364,   365,   366,   367,  1133,     0,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,     0,   384,   385,   386,   387,   388,   389,   390,     0,
     391,     0,   392,     0,     0,   395,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,     0,   410,   411,     0,   413,     0,     0,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,   453,
       0,   454,   455,   456,   457,   458,   459,     0,   460,   461,
       0,     0,   462,   463,   464,     0,     0,   465,   466,   467,
       0,   469,     0,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,     0,
     542,   543,   544,   545,   546,     0,   548,   549,   550,   551,
       0,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,     0,   567,   568,     0,
       0,   569,     0,   571,   572,   573,   574,   575,     0,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,     0,
     592,   593,   594,   595,   596,     0,     0,   597,   598,   599,
     600,   601,   602,   603,     0,   604,     0,   606,   607,   608,
     609,     0,     0,   610,     0,     0,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   638,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,     0,   298,   299,   300,     0,     0,     0,     0,
       0,     0,     0,   302,   303,   304,   305,   306,   307,   308,
     309,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   325,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,     0,   344,     0,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,     0,     0,     0,   355,
     356,   357,   358,     0,   359,   360,     0,   361,   362,   363,
       0,   364,   365,   366,   367,  1161,     0,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,     0,   384,   385,   386,   387,   388,   389,   390,
       0,   391,     0,   392,     0,     0,   395,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,     0,   410,   411,     0,   413,     0,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     0,   450,   451,     0,
     453,     0,   454,   455,   456,   457,   458,   459,     0,   460,
     461,     0,     0,   462,   463,   464,     0,     0,   465,   466,
     467,     0,   469,     0,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
       0,   542,   543,   544,   545,   546,     0,   548,   549,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,     0,   567,   568,
       0,     0,   569,     0,   571,   572,   573,   574,   575,     0,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
       0,   592,   593,   594,   595,   596,     0,     0,   597,   598,
     599,   600,   601,   602,   603,     0,   604,     0,   606,   607,
     608,   609,     0,     0,   610,     0,     0,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   638,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,     0,   298,   299,   300,     0,     0,     0,
       0,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,     0,     0,     0,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,  1163,     0,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,     0,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,     0,     0,   395,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,     0,   413,     0,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,   453,     0,   454,   455,   456,   457,   458,   459,     0,
     460,   461,     0,     0,   462,   463,   464,     0,     0,   465,
     466,   467,     0,   469,     0,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,     0,   542,   543,   544,   545,   546,     0,   548,   549,
     550,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,     0,   567,
     568,     0,     0,   569,     0,   571,   572,   573,   574,   575,
       0,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,     0,   592,   593,   594,   595,   596,     0,     0,   597,
     598,   599,   600,   601,   602,   603,     0,   604,     0,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   638,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1173,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     0,   450,
     451,     0,   453,     0,   454,   455,   456,   457,   458,   459,
       0,   460,   461,     0,     0,   462,   463,   464,     0,     0,
     465,   466,   467,     0,   469,     0,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,     0,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,     0,   542,   543,   544,   545,   546,     0,   548,
     549,   550,   551,     0,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,     0,
     567,   568,     0,     0,   569,     0,   571,   572,   573,   574,
     575,     0,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,   598,   599,   600,   601,   602,   603,     0,   604,     0,
     606,   607,   608,   609,     0,     0,   610,     0,     0,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   638,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,     0,   298,   299,   300,     0,
       0,     0,     0,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   308,   309,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,     0,
       0,     0,   355,   356,   357,   358,     0,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,  1176,     0,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,     0,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,     0,     0,   395,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,     0,   410,   411,     0,   413,
       0,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,   453,     0,   454,   455,   456,   457,   458,
     459,     0,   460,   461,     0,     0,   462,   463,   464,     0,
       0,   465,   466,   467,     0,   469,     0,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,     0,   542,   543,   544,   545,   546,     0,
     548,   549,   550,   551,     0,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
       0,   567,   568,     0,     0,   569,     0,   571,   572,   573,
     574,   575,     0,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,     0,   592,   593,   594,   595,   596,     0,
       0,   597,   598,   599,   600,   601,   602,   603,     0,   604,
       0,   606,   607,   608,   609,     0,     0,   610,     0,     0,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     638,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1179,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,   453,     0,   454,   455,   456,   457,
     458,   459,     0,   460,   461,     0,     0,   462,   463,   464,
       0,     0,   465,   466,   467,     0,   469,     0,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,     0,   542,   543,   544,   545,   546,
       0,   548,   549,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,     0,   567,   568,     0,     0,   569,     0,   571,   572,
     573,   574,   575,     0,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,     0,   592,   593,   594,   595,   596,
       0,     0,   597,   598,   599,   600,   601,   602,   603,     0,
     604,     0,   606,   607,   608,   609,     0,     0,   610,     0,
       0,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   638,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   822,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   825,   437,     0,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,   453,     0,   454,   455,   456,
     457,   458,   459,     0,   460,   461,     0,     0,   462,   463,
     464,     0,     0,   465,   466,   467,     0,   469,     0,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,     0,   826,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   827,   532,   533,   534,   535,   536,     0,
     537,   538,   539,   540,  1371,     0,   542,   543,   544,   545,
     546,     0,   548,   549,   550,   551,     0,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,     0,   567,   568,     0,     0,   569,     0,   571,
     572,   573,   574,   575,     0,   576,   829,   578,     0,     0,
     830,   580,   581,   582,   583,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,     0,   592,   593,   594,   595,
     596,     0,     0,   597,   598,   599,   600,   601,   602,   603,
       0,   604,     0,   606,   607,   608,   609,     0,     0,   610,
       0,     0,   611,   612,   613,   614,   615,   831,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   638,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,     0,   298,
     299,   300,     0,     0,     0,     0,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   308,   309,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   325,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,     0,
     344,     0,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,     0,     0,     0,   355,   356,   357,   358,     0,
     359,   360,     0,   361,   362,   363,     0,   364,   365,   366,
     367,  1847,     0,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,     0,   384,
     385,   386,   387,   388,   389,   390,     0,   391,     0,   392,
       0,     0,   395,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,     0,   410,
     411,     0,   413,     0,     0,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,   453,     0,   454,   455,
     456,   457,   458,   459,     0,   460,   461,     0,     0,   462,
     463,   464,     0,     0,   465,   466,   467,     0,   469,     0,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,     0,   542,   543,   544,
     545,   546,     0,   548,   549,   550,   551,     0,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,     0,   567,   568,     0,     0,   569,     0,
     571,   572,   573,   574,   575,     0,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,     0,   592,   593,   594,
     595,   596,     0,     0,   597,   598,   599,   600,   601,   602,
     603,     0,   604,     0,   606,   607,   608,   609,     0,     0,
     610,     0,     0,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   638,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,     0,
     298,   299,   300,     0,     0,     0,     0,     0,     0,     0,
     302,   303,   304,   305,   306,   307,   308,   309,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   325,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,     0,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,     0,     0,     0,   355,   356,   357,   358,
       0,   359,   360,     0,   361,   362,   363,     0,   364,   365,
     366,   367,  1881,     0,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,     0,
     384,   385,   386,   387,   388,   389,   390,     0,   391,     0,
     392,     0,     0,   395,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,     0,
     410,   411,     0,   413,     0,     0,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,   453,     0,   454,
     455,   456,   457,   458,   459,     0,   460,   461,     0,     0,
     462,   463,   464,     0,     0,   465,   466,   467,     0,   469,
       0,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,     0,   542,   543,
     544,   545,   546,     0,   548,   549,   550,   551,     0,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,     0,   567,   568,     0,     0,   569,
       0,   571,   572,   573,   574,   575,     0,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,   598,   599,   600,   601,
     602,   603,     0,   604,     0,   606,   607,   608,   609,     0,
       0,   610,     0,     0,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   638,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
       0,   298,   299,   300,     0,     0,     0,     0,     0,     0,
       0,   302,   303,   304,   305,   306,   307,   308,   309,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   325,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,     0,   344,     0,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,     0,     0,     0,   355,   356,   357,
     358,     0,   359,   360,     0,   361,   362,   363,     0,   364,
     365,   366,   367,  1883,     0,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
       0,   384,   385,   386,   387,   388,   389,   390,     0,   391,
       0,   392,     0,     0,   395,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
       0,   410,   411,     0,   413,     0,     0,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,   453,     0,
     454,   455,   456,   457,   458,   459,     0,   460,   461,     0,
       0,   462,   463,   464,     0,     0,   465,   466,   467,     0,
     469,     0,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,     0,   542,
     543,   544,   545,   546,     0,   548,   549,   550,   551,     0,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,     0,   567,   568,     0,     0,
     569,     0,   571,   572,   573,   574,   575,     0,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,     0,   592,
     593,   594,   595,   596,     0,     0,   597,   598,   599,   600,
     601,   602,   603,     0,   604,     0,   606,   607,   608,   609,
       0,     0,   610,     0,     0,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   638,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,     0,   298,   299,   300,     0,     0,     0,     0,     0,
       0,     0,   302,   303,   304,   305,   306,   307,   308,   309,
     310,     0,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     325,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,     0,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,     0,     0,     0,   355,   356,
     357,   358,     0,   359,   360,     0,   361,   362,   363,     0,
     364,   365,   366,   367,  1923,     0,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,     0,   384,   385,   386,   387,   388,   389,   390,     0,
     391,     0,   392,     0,     0,   395,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,     0,   410,   411,     0,   413,     0,     0,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,   453,
       0,   454,   455,   456,   457,   458,   459,     0,   460,   461,
       0,     0,   462,   463,   464,     0,     0,   465,   466,   467,
       0,   469,     0,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,     0,
     542,   543,   544,   545,   546,     0,   548,   549,   550,   551,
       0,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,     0,   567,   568,     0,
       0,   569,     0,   571,   572,   573,   574,   575,     0,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,     0,
     592,   593,   594,   595,   596,     0,     0,   597,   598,   599,
     600,   601,   602,   603,     0,   604,     0,   606,   607,   608,
     609,     0,     0,   610,     0,     0,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   638,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,     0,   298,   299,   300,     0,     0,     0,     0,
       0,     0,     0,   302,   303,   304,   305,   306,   307,   308,
     309,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   325,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,     0,   344,     0,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,     0,     0,     0,   355,
     356,   357,   358,     0,   359,   360,     0,   361,   362,   363,
       0,   364,   365,   366,   367,  1925,     0,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,     0,   384,   385,   386,   387,   388,   389,   390,
       0,   391,     0,   392,     0,     0,   395,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,     0,   410,   411,     0,   413,     0,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     0,   450,   451,     0,
     453,     0,   454,   455,   456,   457,   458,   459,     0,   460,
     461,     0,     0,   462,   463,   464,     0,     0,   465,   466,
     467,     0,   469,     0,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
       0,   542,   543,   544,   545,   546,     0,   548,   549,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,     0,   567,   568,
       0,     0,   569,     0,   571,   572,   573,   574,   575,     0,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
       0,   592,   593,   594,   595,   596,     0,     0,   597,   598,
     599,   600,   601,   602,   603,     0,   604,     0,   606,   607,
     608,   609,     0,     0,   610,     0,     0,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   638,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,     0,   298,   299,   300,     0,     0,     0,
       0,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,     0,     0,     0,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,  1927,     0,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,     0,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,     0,     0,   395,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,     0,   413,     0,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,   453,     0,   454,   455,   456,   457,   458,   459,     0,
     460,   461,     0,     0,   462,   463,   464,     0,     0,   465,
     466,   467,     0,   469,     0,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,     0,   542,   543,   544,   545,   546,     0,   548,   549,
     550,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,     0,   567,
     568,     0,     0,   569,     0,   571,   572,   573,   574,   575,
       0,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,     0,   592,   593,   594,   595,   596,     0,     0,   597,
     598,   599,   600,   601,   602,   603,     0,   604,     0,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   638,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     0,   450,
     451,     0,   453,     0,   454,   455,   456,   457,   458,   459,
       0,   460,   461,     0,     0,   462,   463,   464,     0,     0,
     465,   466,   467,     0,   469,     0,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,     0,
     521,   522,   523,   524,   525,   526,   527,   528,  2021,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,     0,   542,   543,   544,   545,   546,     0,   548,
     549,   550,   551,     0,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,     0,
     567,   568,     0,     0,   569,     0,   571,   572,   573,   574,
     575,     0,   576,   577,   578,     0,     0,   579,   580,   581,
     582,   583,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,   598,   599,   600,   601,   602,   603,     0,   604,     0,
     606,   607,   608,   609,     0,     0,   610,     0,     0,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   638,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,  2675,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,     0,   298,   299,   300,     0,
       0,     0,     0,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   308,   309,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,     0,
       0,     0,   355,   356,   357,   358,     0,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,   368,     0,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,     0,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,     0,     0,   395,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,     0,   410,   411,     0,   413,
       0,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,   453,     0,   454,   455,   456,   457,   458,
     459,     0,   460,   461,     0,     0,   462,   463,   464,     0,
       0,   465,   466,   467,     0,   469,     0,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   543,   544,   545,   546,     0,
     548,   549,   550,   551,     0,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
       0,   567,   568,     0,     0,   569,     0,   571,   572,   573,
     574,   575,     0,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,     0,   592,   593,   594,   595,   596,     0,
       0,   597,   598,   599,   600,   601,   602,   603,     0,   604,
       0,   606,   607,   608,   609,     0,     0,   610,     0,     0,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     638,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   822,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   825,   437,     0,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,   453,     0,   454,   455,   456,   457,
     458,   459,     0,   460,   461,     0,     0,   462,   463,   464,
       0,     0,   465,   466,   467,     0,   469,     0,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,     0,   826,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   827,   532,   533,   534,   535,   536,     0,   537,
     538,   539,   540,  1371,     0,   542,   543,   544,   545,   546,
       0,   548,   549,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,     0,   567,   568,     0,     0,   569,     0,  2709,   572,
     573,   574,   575,     0,   576,   829,   578,     0,     0,   830,
     580,   581,   582,   583,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,     0,   592,   593,   594,   595,   596,
       0,     0,   597,   598,   599,   600,   601,   602,   603,     0,
     604,     0,   606,   607,   608,   609,     0,     0,   610,     0,
       0,   611,   612,   613,   614,   615,   831,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   638,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   822,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   825,   437,     0,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,   453,     0,   454,   455,   456,
     457,   458,   459,     0,   460,   461,     0,     0,   462,   463,
     464,     0,     0,   465,   466,   467,     0,   469,     0,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,     0,   826,   522,   523,   524,   525,   526,   527,
     528,   529,   530,  2775,   532,   533,   534,   535,   536,     0,
     537,   538,   539,   540,  2776,     0,   542,   543,   544,   545,
     546,     0,   548,   549,   550,   551,     0,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,     0,   567,   568,     0,     0,   569,     0,   571,
     572,   573,   574,   575,     0,   576,   829,   578,     0,     0,
    2777,   580,   581,   582,   583,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,     0,   592,   593,   594,   595,
     596,     0,     0,   597,   598,   599,   600,   601,   602,   603,
       0,   604,     0,   606,   607,   608,   609,     0,     0,   610,
       0,     0,   611,   612,   613,   614,   615,   831,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   638,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   822,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,     0,   298,
     299,   300,     0,     0,     0,     0,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   308,   309,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   325,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,     0,
     344,     0,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,     0,     0,     0,   355,   356,   357,   358,     0,
     359,   360,     0,   361,   362,   363,     0,   364,   365,   366,
     367,   368,     0,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,     0,   384,
     385,   386,   387,   388,   389,   390,     0,   391,     0,   392,
       0,     0,   395,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,     0,   410,
     411,     0,   413,     0,     0,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   825,   437,
       0,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,   453,     0,   454,   455,
     456,   457,   458,   459,     0,   460,   461,     0,     0,   462,
     463,   464,     0,     0,   465,   466,   467,     0,   469,     0,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,     0,   826,   522,   523,   524,   525,   526,
     527,   528,   529,   530,  2855,   532,   533,   534,   535,   536,
       0,   537,   538,   539,   540,  2776,     0,   542,   543,   544,
     545,   546,     0,   548,   549,   550,   551,     0,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,     0,   567,   568,     0,     0,   569,     0,
     571,   572,   573,   574,   575,     0,   576,   829,   578,     0,
       0,  2777,   580,   581,   582,   583,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,     0,   592,   593,   594,
     595,   596,     0,     0,   597,   598,   599,   600,   601,   602,
     603,     0,   604,     0,   606,   607,   608,   609,     0,     0,
     610,     0,     0,   611,   612,   613,   614,   615,   831,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   638,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   822,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,     0,
     298,   299,   300,     0,     0,     0,     0,     0,     0,     0,
     302,   303,   304,   305,   306,   307,   308,   309,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   325,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,     0,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,     0,     0,     0,   355,   356,   357,   358,
       0,   359,   360,     0,   361,   362,   363,     0,   364,   365,
     366,   367,   368,     0,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,     0,
     384,   385,   386,   387,   388,   389,   390,     0,   391,     0,
     392,     0,     0,   395,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,     0,
     410,   411,     0,   413,     0,     0,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   825,
     437,     0,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,   453,     0,   454,
     455,   456,   457,   458,   459,     0,   460,   461,     0,     0,
     462,   463,   464,     0,     0,   465,   466,   467,     0,   469,
       0,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,     0,   826,   522,   523,   524,   525,
     526,   527,   528,   529,   530,  2879,   532,   533,   534,   535,
     536,     0,   537,   538,   539,   540,  2776,     0,   542,   543,
     544,   545,   546,     0,   548,   549,   550,   551,     0,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,     0,   567,   568,     0,     0,   569,
       0,   571,   572,   573,   574,   575,     0,   576,   829,   578,
       0,     0,  2777,   580,   581,   582,   583,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,   598,   599,   600,   601,
     602,   603,     0,   604,     0,   606,   607,   608,   609,     0,
       0,   610,     0,     0,   611,   612,   613,   614,   615,   831,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   638,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
       0,   298,   299,   300,     0,     0,     0,     0,     0,     0,
       0,   302,   303,   304,   305,   306,   307,   308,   309,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   325,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,     0,   344,     0,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,     0,     0,     0,   355,   356,   357,
     358,     0,   359,   360,     0,   361,   362,   363,     0,   364,
     365,   366,   367,  3073,     0,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
       0,   384,   385,   386,   387,   388,   389,   390,     0,   391,
       0,   392,     0,     0,   395,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
       0,   410,   411,     0,   413,     0,     0,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,   453,     0,
     454,   455,   456,   457,   458,   459,     0,   460,   461,     0,
       0,   462,   463,   464,     0,     0,   465,   466,   467,     0,
     469,     0,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,     0,   542,
     543,   544,   545,   546,     0,   548,   549,   550,   551,     0,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,     0,   567,   568,     0,     0,
     569,     0,   571,   572,   573,   574,   575,     0,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,     0,   592,
     593,   594,   595,   596,     0,     0,   597,   598,   599,   600,
     601,   602,   603,     0,   604,     0,   606,   607,   608,   609,
       0,     0,   610,     0,     0,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   638,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,     0,   298,   299,   300,     0,     0,     0,     0,     0,
       0,     0,   302,   303,   304,   305,   306,   307,   308,   309,
     310,     0,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     325,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,     0,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,     0,     0,     0,   355,   356,
     357,   358,     0,   359,   360,     0,   361,   362,   363,     0,
     364,   365,   366,   367,  3077,     0,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,     0,   384,   385,   386,   387,   388,   389,   390,     0,
     391,     0,   392,     0,     0,   395,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,     0,   410,   411,     0,   413,     0,     0,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,   453,
       0,   454,   455,   456,   457,   458,   459,     0,   460,   461,
       0,     0,   462,   463,   464,     0,     0,   465,   466,   467,
       0,   469,     0,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,     0,
     542,   543,   544,   545,   546,     0,   548,   549,   550,   551,
       0,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,     0,   567,   568,     0,
       0,   569,     0,   571,   572,   573,   574,   575,     0,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,     0,
     592,   593,   594,   595,   596,     0,     0,   597,   598,   599,
     600,   601,   602,   603,     0,   604,     0,   606,   607,   608,
     609,     0,     0,   610,     0,     0,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   638,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,     0,   298,   299,   300,     0,     0,     0,     0,
       0,     0,     0,   302,   303,   304,   305,   306,   307,   308,
     309,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   325,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,     0,   344,     0,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,     0,     0,     0,   355,
     356,   357,   358,     0,   359,   360,     0,   361,   362,   363,
       0,   364,   365,   366,   367,  3135,     0,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,     0,   384,   385,   386,   387,   388,   389,   390,
       0,   391,     0,   392,     0,     0,   395,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,     0,   410,   411,     0,   413,     0,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     0,   450,   451,     0,
     453,     0,   454,   455,   456,   457,   458,   459,     0,   460,
     461,     0,     0,   462,   463,   464,     0,     0,   465,   466,
     467,     0,   469,     0,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
       0,   542,   543,   544,   545,   546,     0,   548,   549,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,     0,   567,   568,
       0,     0,   569,     0,   571,   572,   573,   574,   575,     0,
     576,   577,   578,     0,     0,   579,   580,   581,   582,   583,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
       0,   592,   593,   594,   595,   596,     0,     0,   597,   598,
     599,   600,   601,   602,   603,     0,   604,     0,   606,   607,
     608,   609,     0,     0,   610,     0,     0,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   638,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,     0,   298,   299,   300,     0,     0,     0,
       0,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,     0,     0,     0,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,  3528,     0,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,     0,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,     0,     0,   395,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,     0,   413,     0,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,   453,     0,   454,   455,   456,   457,   458,   459,     0,
     460,   461,     0,     0,   462,   463,   464,     0,     0,   465,
     466,   467,     0,   469,     0,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,     0,   542,   543,   544,   545,   546,     0,   548,   549,
     550,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,     0,   567,
     568,     0,     0,   569,     0,   571,   572,   573,   574,   575,
       0,   576,   577,   578,     0,     0,   579,   580,   581,   582,
     583,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,     0,   592,   593,   594,   595,   596,     0,     0,   597,
     598,   599,   600,   601,   602,   603,     0,   604,     0,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   638,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   822,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   825,   437,     0,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     0,   450,
     451,     0,   453,     0,   454,   455,   456,   457,   458,   459,
       0,   460,   461,     0,     0,   462,   463,   464,     0,     0,
     465,   466,   467,     0,   469,     0,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,     0,
     826,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     827,   532,   533,   534,   535,   536,     0,   537,   538,   539,
     540,  2776,     0,   542,   543,   544,   545,   546,     0,   548,
     549,   550,   551,     0,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,     0,
     567,   568,     0,     0,   569,     0,   571,   572,   573,   574,
     575,     0,   576,   829,   578,     0,     0,  2777,   580,   581,
     582,   583,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,   598,   599,   600,   601,   602,   603,     0,   604,     0,
     606,   607,   608,   609,     0,     0,   610,     0,     0,   611,
     612,   613,   614,   615,   831,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   638,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,     0,   298,   299,   300,     0,
       0,     0,     0,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   308,   309,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,     0,
       0,     0,   355,   356,   357,   358,     0,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,  3585,     0,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,     0,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,     0,     0,   395,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,     0,   410,   411,     0,   413,
       0,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,   453,     0,   454,   455,   456,   457,   458,
     459,     0,   460,   461,     0,     0,   462,   463,   464,     0,
       0,   465,   466,   467,     0,   469,     0,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,     0,   542,   543,   544,   545,   546,     0,
     548,   549,   550,   551,     0,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
       0,   567,   568,     0,     0,   569,     0,   571,   572,   573,
     574,   575,     0,   576,   577,   578,     0,     0,   579,   580,
     581,   582,   583,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,     0,   592,   593,   594,   595,   596,     0,
       0,   597,   598,   599,   600,   601,   602,   603,     0,   604,
       0,   606,   607,   608,   609,     0,     0,   610,     0,     0,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     638,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  3599,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,   453,     0,   454,   455,   456,   457,
     458,   459,     0,   460,   461,     0,     0,   462,   463,   464,
       0,     0,   465,   466,   467,     0,   469,     0,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,     0,   542,   543,   544,   545,   546,
       0,   548,   549,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,     0,   567,   568,     0,     0,   569,     0,   571,   572,
     573,   574,   575,     0,   576,   577,   578,     0,     0,   579,
     580,   581,   582,   583,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,     0,   592,   593,   594,   595,   596,
       0,     0,   597,   598,   599,   600,   601,   602,   603,     0,
     604,     0,   606,   607,   608,   609,     0,     0,   610,     0,
       0,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   638,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    3601,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,   453,     0,   454,   455,   456,
     457,   458,   459,     0,   460,   461,     0,     0,   462,   463,
     464,     0,     0,   465,   466,   467,     0,   469,     0,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,     0,   542,   543,   544,   545,
     546,     0,   548,   549,   550,   551,     0,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,     0,   567,   568,     0,     0,   569,     0,   571,
     572,   573,   574,   575,     0,   576,   577,   578,     0,     0,
     579,   580,   581,   582,   583,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,     0,   592,   593,   594,   595,
     596,     0,     0,   597,   598,   599,   600,   601,   602,   603,
       0,   604,     0,   606,   607,   608,   609,     0,     0,   610,
       0,     0,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   638,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,     0,   298,
     299,   300,     0,     0,     0,     0,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   308,   309,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   325,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,     0,
     344,     0,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,     0,     0,     0,   355,   356,   357,   358,     0,
     359,   360,     0,   361,   362,   363,     0,   364,   365,   366,
     367,  3751,     0,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,     0,   384,
     385,   386,   387,   388,   389,   390,     0,   391,     0,   392,
       0,     0,   395,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,     0,   410,
     411,     0,   413,     0,     0,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,   453,     0,   454,   455,
     456,   457,   458,   459,     0,   460,   461,     0,     0,   462,
     463,   464,     0,     0,   465,   466,   467,     0,   469,     0,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,     0,   542,   543,   544,
     545,   546,     0,   548,   549,   550,   551,     0,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,     0,   567,   568,     0,     0,   569,     0,
     571,   572,   573,   574,   575,     0,   576,   577,   578,     0,
       0,   579,   580,   581,   582,   583,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,     0,   592,   593,   594,
     595,   596,     0,     0,   597,   598,   599,   600,   601,   602,
     603,     0,   604,     0,   606,   607,   608,   609,     0,     0,
     610,     0,     0,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   638,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,     0,
     298,   299,   300,     0,     0,     0,     0,     0,     0,     0,
     302,   303,   304,   305,   306,   307,   308,   309,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,  3793,   325,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,     0,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,     0,     0,     0,   355,   356,   357,   358,
       0,   359,   360,     0,   361,   362,   363,     0,   364,   365,
     366,   367,   368,     0,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,     0,
     384,   385,   386,   387,   388,   389,   390,     0,   391,     0,
     392,     0,     0,   395,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,     0,
     410,   411,     0,   413,     0,     0,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,   453,     0,   454,
     455,   456,   457,   458,   459,     0,   460,   461,     0,     0,
     462,   463,   464,     0,     0,   465,   466,   467,     0,   469,
       0,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,     0,   542,   543,
     544,   545,   546,     0,   548,   549,   550,   551,     0,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,     0,   567,   568,     0,     0,   569,
       0,   571,   572,   573,   574,   575,     0,   576,   577,   578,
       0,     0,   579,   580,   581,   582,   583,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,   598,   599,   600,   601,
     602,   603,     0,   604,     0,   606,   607,   608,   609,     0,
       0,   610,     0,     0,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   638,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
       0,   298,   299,   300,     0,     0,     0,     0,     0,     0,
       0,   302,   303,   304,   305,   306,   307,   308,   309,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   325,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,     0,   344,     0,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,     0,     0,     0,   355,   356,   357,
     358,     0,   359,   360,     0,   361,   362,   363,     0,   364,
     365,   366,   367,  5042,     0,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
       0,   384,   385,   386,   387,   388,   389,   390,     0,   391,
       0,   392,     0,     0,   395,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
       0,   410,   411,     0,   413,     0,     0,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,   453,     0,
     454,   455,   456,   457,   458,   459,     0,   460,   461,     0,
       0,   462,   463,   464,     0,     0,   465,   466,   467,     0,
     469,     0,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,     0,   542,
     543,   544,   545,   546,     0,   548,   549,   550,   551,     0,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,     0,   567,   568,     0,     0,
     569,     0,   571,   572,   573,   574,   575,     0,   576,   577,
     578,     0,     0,   579,   580,   581,   582,   583,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,     0,   592,
     593,   594,   595,   596,     0,     0,   597,   598,   599,   600,
     601,   602,   603,     0,   604,     0,   606,   607,   608,   609,
       0,     0,   610,     0,     0,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   638,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,     0,   298,   299,   300,     0,     0,     0,     0,     0,
       0,     0,   302,   303,   304,   305,   306,   307,   308,   309,
     310,     0,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     325,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,     0,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,     0,     0,     0,   355,   356,
     357,   358,     0,   359,   360,     0,   361,     0,   363,     0,
     364,   365,   366,   367,   368,     0,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,     0,   384,   385,   386,   387,   388,   389,   390,     0,
     391,     0,   392,     0,     0,   395,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,     0,   410,   411,     0,   413,     0,     0,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,   453,
       0,   454,   455,   456,   457,   458,   459,     0,   460,   461,
       0,     0,   462,   463,   464,     0,     0,   465,   466,   467,
       0,   469,     0,   471,   472,   473,   474,   475,   476,   477,
     478,     0,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,     0,   499,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,     0,   521,   522,   523,
     524,   525,   526,     0,   528,   529,   530,   531,   532,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,     0,
     542,   543,   544,   545,   546,     0,   548,   549,   550,   551,
       0,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,     0,   567,   568,     0,
       0,   569,     0,   571,   572,   573,   574,   575,     0,   576,
     577,   578,     0,     0,   579,   580,   581,   582,   583,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,     0,
     592,   593,   594,   595,   596,     0,     0,   597,   598,   599,
     600,   601,   602,   603,     0,   604,     0,   606,   607,   608,
     609,     0,     0,   610,     0,     0,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   859,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,     0,   860,   260,   861,   862,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   863,   864,   274,     0,   275,   276,   277,   278,
       0,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,     0,   301,
       0,     0,     0,   302,   303,   304,   305,   306,   307,   865,
     866,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   867,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,     0,   339,   340,
     341,   342,     0,     0,   344,     0,   345,   346,   347,   868,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,     0,     0,     0,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,  2683,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,  2684,   385,   386,   387,   388,   869,   870,
       0,   871,     0,   392,   393,   394,   395,   396,   872,     0,
       0,     0,     0,     0,     0,   404,   405,   406,   407,   408,
     409,     0,     0,   410,     0,   412,   413,   414,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   873,   438,   874,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   449,     0,   450,   451,   452,
     453,     0,     0,   455,   875,   457,   458,   459,     0,   460,
     461,     0,     0,   462,   463,   464,     0,     0,   465,   466,
    2686,   468,   469,   470,     0,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
       0,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   876,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
       0,   542,   543,  2687,   545,   546,   547,   548,   549,   878,
     551,     0,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   566,     0,   567,   568,
       0,     0,   569,   570,   571,   572,   573,   574,   575,     0,
     576,   879,   880,     0,     0,   579,   580,     0,   582,     0,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
       0,   592,   593,   594,   595,   596,     0,     0,   597,   598,
     599,   600,   601,     0,   881,  2688,   604,   605,   606,   607,
     608,   609,     0,     0,   610,     0,     0,   611,   612,   613,
     614,   615,   616,   859,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   628,   629,   630,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,     0,   860,   260,   861,   862,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   863,
     864,   274,     0,   275,   276,   277,   278,     0,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,     0,   301,     0,     0,     0,
     302,   303,   304,   305,   306,   307,   865,   866,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   867,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,     0,   339,   340,   341,   342,     0,
       0,   344,     0,   345,   346,   347,   868,   349,     0,   350,
       0,   351,   352,   353,     0,   354,   355,   356,   357,   358,
       0,   359,     0,     0,     0,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
       0,   385,   386,   387,   388,   869,   870,     0,   871,     0,
     392,   393,   394,   395,   396,   872,     0,     0,     0,     0,
       0,     0,   404,   405,   406,   407,   408,   409,     0,     0,
     410,     0,   412,   413,   414,     0,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     873,   438,   874,   440,   441,   442,   443,   444,   445,   446,
       0,     0,   449,     0,   450,   451,   452,   453,  2771,     0,
     455,   875,   457,   458,   459,     0,   460,   461,     0,     0,
     462,   463,   464,     0,     0,   465,   466,     0,   468,   469,
     470,     0,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,     0,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   876,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,     0,   542,   543,
    2687,   545,   546,   547,   548,   549,   878,   551,     0,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   566,     0,   567,   568,     0,  4564,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   879,   880,
       0,     0,   579,   580,     0,   582,     0,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,   598,   599,   600,   601,
       0,   881,     0,   604,   605,   606,   607,   608,   609,     0,
       0,   610,     0,     0,   611,   612,   613,   614,   615,   616,
     859,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   628,   629,   630,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,     0,
     860,   260,   861,   862,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   863,   864,   274,     0,
     275,   276,   277,   278,     0,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   865,   866,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   867,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,     0,   339,   340,   341,   342,     0,     0,   344,     0,
     345,   346,   347,   868,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,     0,
       0,     0,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,     0,   385,   386,
     387,   388,   869,   870,     0,   871,     0,   392,   393,   394,
     395,   396,   872,     0,     0,     0,     0,     0,     0,   404,
     405,   406,   407,   408,   409,     0,     0,   410,     0,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   873,   438,   874,
     440,   441,   442,   443,   444,   445,   446,  2845,     0,   449,
       0,   450,   451,   452,   453,     0,     0,   455,   875,   457,
     458,   459,     0,   460,   461,     0,     0,   462,   463,   464,
       0,     0,   465,   466,     0,   468,   469,   470,     0,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,     0,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   876,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,     0,   542,   543,   877,   545,   546,
     547,   548,   549,   878,   551,     0,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     566,     0,   567,   568,     0,     0,   569,   570,   571,   572,
     573,   574,   575,     0,   576,   879,   880,     0,     0,   579,
     580,     0,   582,     0,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,     0,   592,   593,   594,   595,   596,
       0,     0,   597,   598,   599,   600,   601,     0,   881,     0,
     604,   605,   606,   607,   608,   609,     0,     0,   610,     0,
       0,   611,   612,   613,   614,   615,   616,   859,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   628,   629,
     630,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   860,   260,   861,
     862,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   863,   864,   274,     0,   275,   276,   277,
     278,     0,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,     0,     0,     0,
     301,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     865,   866,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   867,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,     0,   339,
     340,   341,   342,     0,     0,   344,     0,   345,   346,   347,
     868,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,     0,     0,     0,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,     0,   385,   386,   387,   388,   869,
     870,     0,   871,     0,   392,   393,   394,   395,   396,   872,
       0,     0,     0,     0,     0,     0,   404,   405,   406,   407,
     408,   409,     0,     0,   410,     0,   412,   413,   414,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   873,   438,   874,   440,   441,   442,
     443,   444,   445,   446,  4360,     0,   449,     0,   450,   451,
     452,   453,     0,     0,   455,   875,   457,   458,   459,     0,
     460,   461,     0,     0,   462,   463,   464,     0,     0,   465,
     466,     0,   468,   469,   470,     0,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,     0,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   876,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,     0,   542,   543,   877,   545,   546,   547,   548,   549,
     878,   551,     0,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   566,     0,   567,
     568,     0,     0,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   879,   880,     0,     0,   579,   580,     0,   582,
       0,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,     0,   592,   593,   594,   595,   596,     0,     0,   597,
     598,   599,   600,   601,     0,   881,     0,   604,   605,   606,
     607,   608,   609,     0,     0,   610,     0,     0,   611,   612,
     613,   614,   615,   616,   859,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   628,   629,   630,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,     0,   860,   260,   861,   862,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     863,   864,   274,     0,   275,   276,   277,   278,     0,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,     0,   301,     0,     0,
       0,   302,   303,   304,   305,   306,   307,   865,   866,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   867,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,     0,   339,   340,   341,   342,
       0,     0,   344,     0,   345,   346,   347,   868,   349,  5896,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,     0,     0,     0,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,     0,   385,   386,   387,   388,   869,   870,     0,   871,
       0,   392,   393,   394,   395,   396,   872,     0,     0,     0,
       0,     0,     0,   404,   405,   406,   407,   408,   409,     0,
       0,   410,     0,   412,   413,   414,     0,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   873,   438,   874,   440,   441,   442,   443,   444,   445,
     446,     0,     0,   449,     0,   450,   451,   452,   453,     0,
       0,   455,   875,   457,   458,   459,     0,   460,   461,     0,
       0,   462,   463,   464,     0,     0,   465,   466,     0,   468,
     469,   470,     0,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,     0,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   876,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,     0,   542,
     543,   877,   545,   546,   547,   548,   549,   878,   551,     0,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   566,     0,   567,   568,     0,     0,
     569,   570,   571,   572,   573,   574,   575,     0,   576,   879,
     880,     0,     0,   579,   580,     0,   582,     0,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,     0,   592,
     593,   594,   595,   596,     0,     0,   597,   598,   599,   600,
     601,     0,   881,     0,   604,   605,   606,   607,   608,   609,
       0,     0,   610,     0,     0,   611,   612,   613,   614,   615,
     616,   859,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   628,   629,   630,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
       0,   860,   260,   861,   862,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   863,   864,   274,
       0,   275,   276,   277,   278,     0,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,     0,   301,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   865,   866,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   867,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,     0,   339,   340,   341,   342,     0,     0,   344,
       0,   345,   346,   347,   868,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
       0,     0,     0,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,     0,   385,
     386,   387,   388,   869,   870,     0,   871,     0,   392,   393,
     394,   395,   396,   872,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,     0,     0,   410,     0,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   873,   438,
     874,   440,   441,   442,   443,   444,   445,   446,     0,     0,
     449,     0,   450,   451,   452,   453,     0,     0,   455,   875,
     457,   458,   459,     0,   460,   461,     0,     0,   462,   463,
     464,     0,     0,   465,   466,     0,   468,   469,   470,     0,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,     0,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     876,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,     0,   542,   543,   877,   545,
     546,   547,   548,   549,   878,   551,     0,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   566,     0,   567,   568,     0,     0,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   879,   880,     0,     0,
     579,   580,     0,   582,     0,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,     0,   592,   593,   594,   595,
     596,     0,     0,   597,   598,   599,   600,   601,     0,   881,
       0,   604,   605,   606,   607,   608,   609,     0,     0,   610,
       0,     0,   611,   612,   613,   614,   615,   616,   859,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   628,
     629,   630,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,     0,   860,   260,
     861,   862,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   863,   864,   274,     0,   275,   276,
     277,   278,     0,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   865,   866,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   867,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,     0,
     339,   340,   341,   342,     0,     0,   344,     0,   345,   346,
     347,   868,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,     0,     0,     0,
     362,   363,     0,   364,   365,   366,   367,  1135,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,     0,   385,   386,   387,   388,
     869,   870,     0,   871,     0,   392,   393,   394,   395,   396,
     872,     0,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,     0,     0,   410,     0,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   873,   438,   874,   440,   441,
     442,   443,   444,   445,   446,     0,     0,   449,     0,   450,
     451,   452,   453,     0,     0,   455,   875,   457,   458,   459,
       0,   460,   461,     0,     0,   462,   463,   464,     0,     0,
     465,   466,     0,   468,   469,   470,     0,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
       0,   485,     0,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   876,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,     0,   542,   543,   877,   545,   546,   547,   548,
     549,   878,   551,     0,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   566,     0,
     567,   568,     0,     0,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   879,   880,     0,     0,   579,   580,     0,
     582,     0,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,   598,   599,   600,   601,     0,   881,     0,   604,   605,
     606,   607,   608,   609,     0,     0,   610,     0,     0,   611,
     612,   613,   614,   615,   616,   859,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   628,   629,   630,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,     0,   860,   260,   861,   862,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   863,   864,   274,     0,   275,   276,   277,   278,     0,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,     0,     0,     0,   301,     0,
       0,     0,   302,   303,   304,   305,   306,   307,   865,   866,
     310,     0,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     867,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,     0,   339,   340,   341,
     342,     0,     0,   344,     0,   345,   346,   347,   868,   349,
       0,   350,     0,   351,   352,   353,     0,   354,   355,   356,
     357,   358,     0,   359,     0,     0,     0,   362,   363,     0,
     364,   365,   366,   367,  1167,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,     0,   385,   386,   387,   388,   869,   870,     0,
     871,     0,   392,   393,   394,   395,   396,   872,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
       0,     0,   410,     0,   412,   413,   414,     0,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   873,   438,   874,   440,   441,   442,   443,   444,
     445,   446,     0,     0,   449,     0,   450,   451,   452,   453,
       0,     0,   455,   875,   457,   458,   459,     0,   460,   461,
       0,     0,   462,   463,   464,     0,     0,   465,   466,     0,
     468,   469,   470,     0,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,     0,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   876,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,     0,
     542,   543,   877,   545,   546,   547,   548,   549,   878,   551,
       0,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   566,     0,   567,   568,     0,
       0,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     879,   880,     0,     0,   579,   580,     0,   582,     0,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,     0,
     592,   593,   594,   595,   596,     0,     0,   597,   598,   599,
     600,   601,     0,   881,     0,   604,   605,   606,   607,   608,
     609,     0,     0,   610,     0,     0,   611,   612,   613,   614,
     615,   616,   859,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   628,   629,   630,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,     0,   860,   260,   861,   862,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   863,   864,
     274,     0,   275,   276,   277,   278,     0,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,     0,   301,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   865,   866,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   867,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,     0,   339,   340,   341,   342,     0,     0,
     344,     0,   345,   346,   347,   868,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,     0,     0,     0,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,     0,
     385,   386,   387,   388,   869,   870,     0,   871,     0,   392,
     393,   394,   395,   396,   872,     0,     0,     0,     0,     0,
       0,   404,   405,   406,   407,   408,   409,     0,     0,   410,
       0,   412,   413,   414,     0,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   873,
     438,   874,   440,   441,   442,   443,   444,   445,   446,     0,
       0,   449,     0,   450,   451,   452,   453,     0,     0,   455,
     875,   457,   458,   459,     0,   460,   461,     0,     0,   462,
     463,   464,     0,     0,   465,   466,     0,   468,   469,   470,
       0,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,     0,   485,     0,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   876,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,     0,   542,   543,  2687,
     545,   546,   547,   548,   549,   878,   551,     0,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   566,     0,   567,   568,     0,     0,   569,   570,
     571,   572,   573,   574,   575,     0,   576,   879,   880,     0,
       0,   579,   580,     0,   582,     0,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,     0,   592,   593,   594,
     595,   596,     0,     0,   597,   598,   599,   600,   601,     0,
     881,     0,   604,   605,   606,   607,   608,   609,     0,     0,
     610,     0,     0,   611,   612,   613,   614,   615,   616,   859,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     628,   629,   630,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,     0,   860,
     260,   861,   862,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   863,   864,   274,     0,   275,
     276,   277,   278,     0,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,     0,
       0,     0,   301,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   865,   866,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   867,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
       0,   339,   340,   341,   342,     0,     0,   344,     0,   345,
     346,   347,   868,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,     0,     0,
       0,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,     0,   385,   386,   387,
     388,   869,   870,     0,   871,     0,   392,   393,   394,   395,
     396,   872,     0,     0,     0,     0,     0,     0,   404,   405,
     406,   407,   408,   409,     0,     0,   410,     0,   412,   413,
     414,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   873,   438,   874,   440,
     441,   442,   443,   444,   445,   446,     0,     0,   449,     0,
     450,   451,   452,   453,     0,     0,   455,   875,   457,   458,
     459,     0,   460,   461,     0,     0,   462,   463,   464,     0,
       0,   465,   466,     0,   468,   469,   470,     0,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,     0,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   876,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,     0,   542,   543,     0,   545,   546,   547,
     548,   549,   878,   551,     0,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   566,
       0,   567,   568,     0,     0,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   879,   880,     0,     0,   579,   580,
       0,   582,     0,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,     0,   592,   593,   594,   595,   596,     0,
       0,   597,   598,   599,   600,   601,     0,   881,     0,   604,
     605,   606,   607,   608,   609,     0,     0,   610,     0,     0,
     611,   612,   613,   614,   615,   616,   859,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   628,   629,   630,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,     0,     0,   260,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,     0,     0,   274,     0,   275,   276,   277,   278,
       0,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,     0,   301,
       0,     0,     0,   302,   303,   304,   305,   306,   307,     0,
       0,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   325,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,     0,   339,   340,
     341,   342,     0,     0,   344,     0,   345,   346,   347,     0,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,     0,     0,     0,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,     0,   385,   386,   387,   388,     0,     0,
       0,     0,     0,   392,   393,   394,   395,   396,     0,     0,
       0,     0,     0,     0,     0,   404,   405,   406,   407,   408,
     409,     0,     0,   410,     0,   412,   413,   414,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   429,   430,   431,   432,   433,
     434,   435,   436,     0,   438,     0,   440,   441,   442,   443,
     444,   445,   446,     0,     0,   449,     0,   450,   451,   452,
     453,     0,     0,   455,     0,   457,   458,   459,     0,   460,
     461,     0,     0,   462,   463,   464,     0,     0,   465,   466,
       0,   468,   469,   470,     0,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
       0,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
       0,   542,   543,     0,   545,   546,   547,   548,   549,     0,
     551,     0,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   566,     0,   567,   568,
       0,     0,   569,   570,   571,   572,   573,   574,   575,     0,
     576,     0,     0,     0,     0,   579,   580,     0,   582,     0,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
       0,   592,   593,   594,   595,   596,     0,     0,   597,   598,
     599,   600,   601,     0,     0,     0,   604,   605,   606,   607,
     608,   609,     0,     0,   610,     0,     0,   611,   612,   613,
     614,   615,   616,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   628,   629,   630
};

static const yytype_int16 yycheck[] =
{
       6,     0,     0,     0,     0,     0,     0,    56,     0,   211,
       0,     0,     0,   206,     0,     0,     0,     0,     0,     0,
     960,   214,     0,    21,   217,   211,   993,    21,     0,     0,
     666,   779,   780,   781,    36,   922,   823,   785,  1023,  1021,
    1208,  1637,    22,   820,  1482,    51,  1030,   739,    28,   189,
    1510,   877,  1147,  1572,   916,  2728,   918,   865,   866,   721,
     896,  1019,   994,   645,   847,   813,  1556,   875,  1025,  2669,
    2019,  1549,  3048,   735,  1255,  2670,  3021,   853,  1242,  1010,
    2917,    45,  1096,   197,  3086,    44,   743,  3374,  1877,  3376,
    1030,   830,   698,  3196,   880,   216,  1556,  3467,   934,  3669,
    1227,  2008,  3819,  2044,  1231,  3562,  2027,  1234,  1235,   230,
     959,  1549,  3867,  1561,  3033,  1705,   698,  4210,  2939,  3894,
     846,  2045,  3477,  1602,  1603,  2081,   647,  1606,  3589,  3916,
    3615,    23,  3617,   207,  3426,   984,  4257,  3883,  4232,  1070,
     989,   734,   216,  1074,    36,     8,  2691,  2692,  1079,  4529,
    4253,   175,    15,  1672,  1673,  4759,   230,  1539,  1089,   719,
    1949,   744,   722,   745,     6,  1439,  4535,     2,  4336,  2042,
    2043,   191,  1103,  5238,  2047,  1890,    35,  4552,  4775,  3441,
    4777,  5080,  5260,    42,  5370,  3420,  2549,  4540,  4497,  5072,
    2553,   197,  3029,  5023,    50,  2654,  3487,  3333,  5406,  2656,
     206,   207,  2586,  1134,  3239,  5067,  5418,  5281,   214,  3328,
     216,   217,    41,  1085,  3881,  4824,   798,  1599,  1666,   945,
     826,  3425,  5367,  3427,   230,   191,     0,  5655,   919,  1101,
    4539,  2057,    11,   993,  1616,     0,   919,     0,     0,     6,
    3475,  5071,  1002,    21,   826,  1693,  1522,     6,     6,  2633,
    4701,  5325,  1012,     6,     6,    47,    13,    15,    16,     6,
       6,    63,    15,    16,     6,     6,   225,    37,    63,   851,
      63,  5639,    94,    15,    16,   119,   146,     6,     6,    54,
       6,   119,    25,  2986,  2627,  2988,  2989,    63,   168,   943,
    2993,  2994,  2995,     6,  2997,  2998,  2999,   174,     6,  2014,
      21,    23,     6,     0,    35,   174,    43,    47,  1034,     0,
     181,   121,  5332,  5333,    11,    38,  1064,  1502,    91,   174,
      11,     6,     5,  4389,     6,     6,   174,    15,    11,   219,
     984,   913,    29,   863,   864,   989,    85,   174,    29,     3,
      13,     5,     6,   174,   874,   175,   126,    11,   174,   160,
    5910,  4630,  4631,  4632,    11,  4634,  4635,  4636,  4637,  4638,
     119,    47,    72,    13,  3564,    72,    21,   174,   112,    13,
    5357,   119,    45,    11,     6,   174,  5535,  1856,   293,   174,
     232,    91,  5878,    29,  5999,  4553,   183,  5999,   293,     5,
      36,    43,   338,   293,   293,    11,   139,     0,   248,   649,
     174,    45,   134,   346,   319,    78,  1182,    63,   333,   174,
     119,   174,   174,   223,   319,   174,  5844,   330,    21,   319,
     319,   345,   176,  5285,   198,  1383,   190,   279,   330,  1086,
     152,   389,   165,   198,    78,   198,   198,  1451,  1395,    63,
     150,  1381,    78,   150,    32,   312,  1386,  1387,  1030,  5657,
      39,   149,   370,    56,  1439,   119,   365,  6173,   372,   135,
     170,   464,   119,   170,   666,  1273,  1274,  5835,   473,   473,
     340,   119,   416,   283,   312,    25,   151,   174,  6093,  5553,
    4860,  6093,     6,   174,   174,     6,  1443,    80,  1600,   341,
     301,   741,  1154,   497,  1302,    80,    80,  5555,    91,   263,
     298,   198,  5560,  5561,    29,  1617,    91,   198,   198,   453,
     288,    36,   516,   516,   716,   520,   459,    63,  6234,   432,
     168,   435,   292,    63,  5407,   200,    29,  1313,   198,   199,
     432,   341,   202,    36,   452,   283,   358,   213,   181,   391,
     129,   274,   466,   664,   453,    63,   300,   245,    80,   670,
      80,   283,   222,  1215,   218,    13,  1332,   359,   516,   229,
    5988,   682,    91,   476,  1226,   815,   359,   288,   365,   121,
     516,   314,   181,   283,   476,    80,   283,   141,   428,   288,
     375,  1243,  6197,   359,   248,  6197,    91,  1527,   191,   139,
     664,   516,    80,   460,  1551,  5754,   670,  1537,    80,    80,
     452,   516,   473,   235,   374,  1188,  5751,  1333,   682,   124,
     353,   516,  6108,   181,  5601,   379,   516,   516,  6178,  4336,
     135,   331,   460,   430,   331,   124,   437,   375,  3828,  5226,
     520,   430,  1440,   288,  1410,  5843,   516,  1363,   430,   645,
     191,   385,  1248,   520,   198,   388,   516,  4364,   370,   520,
    6078,   520,   651,   651,   651,  1840,   651,   430,   664,    13,
      51,   651,   506,   651,   670,   520,  1248,   459,   516,   391,
     465,   430,    10,   197,   454,    13,   682,   414,   516,    17,
      18,    19,   206,   520,  1624,   516,   516,  1627,  1628,   459,
     214,    45,   698,   217,   520,   444,   745,   703,   520,   430,
    1476,  1632,   708,   359,  1635,  3048,   712,   713,  6076,  4803,
     520,  1643,  1404,   719,   457,   721,   722,   463,   520,   459,
    6148,  1703,  1704,  5174,    78,   749,   174,   520,   734,   735,
     497,   498,  1262,  1263,  1606,   359,   515,   447,  1587,   745,
     447,   516,   520,  1701,   520,   519,   744,   506,  2024,   516,
     497,   498,   398,  4508,   519,   512,   519,   519,   516,   518,
    6188,  5781,   414,   516,   516,  1525,  5649,  1297,   356,   516,
     516,  5979,  1378,   459,   516,   516,  5921,  5922,  1469,   759,
    5992,   761,   922,   763,  1656,  1657,  1469,   516,   516,   769,
     516,  5653,   798,   516,  4549,  4861,  1378,  1623,  4259,   520,
    4261,  4371,  4548,   516,  1386,  1387,  4872,  4377,   516,  1977,
     507,   508,   516,   359,   820,   821,   507,   508,   506,   359,
     826,  6007,   519,  1710,   507,   508,   514,  1587,   519,   514,
     518,   516,   791,   518,   516,   516,  4553,   430,   388,   512,
      29,   359,  1044,   507,   508,   851,   430,   853,  1041,  5923,
     507,   508,  1045,  1838,  1047,  5134,  1951,   473,  1044,   509,
     510,   511,   512,  5937,   520,   509,   510,   511,   512,   507,
     508,   877,  6080,   398,  3711,  3712,    29,   520,   514,  3716,
    1820,   497,   518,  4175,   405,   406,  1416,  1417,   847,  1984,
     910,   507,   508,  1547,   900,   398,   520,    25,   430,   124,
     430,  1996,   452,    31,   456,   469,   435,   913,  4044,  4045,
     773,   520,   168,   912,   912,   912,   912,   912,   912,  5528,
     912,  1035,   912,   912,   912,   430,   912,   912,   912,   912,
     912,   912,  4599,  4052,   912,  3854,    63,   452,   124,  6147,
     912,   912,   430,  5842,   910,  3490,  1600,  3492,   430,   430,
     936,  4186,   520,   452,  4245,  4190,  5839,    25,  1594,     3,
     152,     6,   300,  1617,   112,   516,   520,   298,   927,   360,
    4174,   124,  4176,    23,   520,    63,     3,  6051,   186,     6,
     520,   174,   430,   942,   654,  1857,   656,  3446,   213,   659,
    3447,  4127,  5822,  4028,   298,   824,    76,  4458,   854,   828,
    4457,  1522,   520,   673,  3388,   198,  6084,  6085,  5838,   679,
    5390,   139,    35,   152,  3851,  1021,  1022,  1023,   299,   153,
     290,   112,   124,    25,  1030,   112,   119,   213,   287,  1035,
     176,   299,   299,   319,  1040,  1041,   186,  6223,    23,  1045,
     284,  1047,    30,   388,    98,  1051,    90,   370,   651,   507,
     508,   509,   510,   511,   512,   430,    10,     3,   506,    13,
     213,  1067,  2044,    17,    18,    19,    21,   186,   162,  2026,
     518,   139,   430,     6,  3417,    88,    10,  3420,   102,    13,
     475,     6,   175,    17,    18,    19,   473,   114,  5397,    32,
    5989,    64,   358,   124,  3797,     6,  4862,  5980,    29,    72,
     144,    35,  4364,  1603,  4870,  1111,  1606,  1113,  1114,    23,
     497,   213,  6190,   169,     6,  3478,    59,    23,   131,  5716,
    2105,  2078,   388,    98,  3467,   520,   180,  4584,   304,   279,
     153,  5299,  3475,   520,   323,  5256,   395,   139,  1886,   998,
     999,   744,   745,   118,    90,   520,   279,  6212,  1154,   205,
    4520,   245,   279,   507,   508,   509,   510,   511,   512,   183,
     279,   205,   520,   190,    23,   176,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   520,  1182,    10,   153,   703,
      13,   304,   213,   302,   454,   516,   314,  6086,   712,   335,
    1188,   284,   473,   516,   383,   719,  6261,   143,   722,   391,
      32,   319,   168,   134,   254,   473,  1993,  1994,   452,  1215,
     514,   478,    45,   438,   518,    10,   296,   473,  1224,    52,
    1226,  1803,    17,    18,    19,   353,   214,   452,   381,   260,
     516,    23,   359,   422,   114,   424,   263,  1243,   132,   266,
      23,    23,  1248,   288,   198,    78,   314,  6146,   142,  2025,
     458,  2027,   391,  2691,  1260,   279,  5636,  2033,  6157,  1921,
     388,   388,  1954,  2039,  2040,  5645,   452,   221,  5621,   254,
     418,   359,  2048,  1935,  3819,   248,    51,   321,  5647,   381,
     473,  4257,  2058,  1332,  1119,   353,  1948,   221,  2064,   300,
    6189,  1983,  5667,  1299,  5069,  1987,   966,   967,  5651,   452,
    1992,  5056,  2792,  1995,   317,   251,  5093,   910,   458,   912,
     190,  5620,  3253,  2761,   147,  5695,  5062,  3032,  6217,    88,
     388,  1914,  1328,  1329,  1330,   375,  1332,   418,  1191,   114,
    1193,   418,  1195,   288,  1197,   469,  1199,  1200,  1201,   458,
     254,  5650,  6241,  1206,   520,    28,   300,  1353,   254,  2075,
     452,  2625,   379,  1946,    52,   288,  1856,  4818,  1918,   492,
     193,   454,   131,   288,  3909,   198,   300,  1037,   314,    23,
     279,   421,  1378,  1933,   349,  1399,  1936,   288,  1961,    27,
    1386,  1387,  1052,   263,    88,  2975,   266,    68,   304,   355,
     375,  2839,  1594,   301,   517,   254,   407,   520,   516,  2781,
     450,   445,    50,   427,  1410,   190,   381,     3,    91,   453,
     423,   244,   456,  1083,  1084,   203,   153,    23,  6022,  2055,
     314,   452,   175,  5526,  3380,   475,  1986,   131,  5522,   353,
    1990,  1991,    23,  1439,  1454,  1455,   421,  1457,   112,  1109,
    3266,  3267,   113,   418,  5824,  3271,  4801,   388,   121,  2875,
    1456,   263,   149,   313,  1460,  1461,    87,   299,   375,   353,
      13,   375,   254,   119,   491,   450,   516,   300,  4760,  3065,
    1476,   254,   254,    91,    25,   421,  1482,   423,   263,  1149,
    1150,   266,   124,  5985,  5986,   460,  3312,  3313,  1454,  1455,
     475,  1457,   167,   176,    90,   193,   375,   139,   473,   379,
     198,   119,   388,  2024,    29,   300,   430,   421,     3,   202,
     121,  1035,  1471,   111,  1473,   421,   375,  1041,   168,    37,
     217,  1045,   497,  1047,   356,    78,    42,   388,   388,  4764,
    2956,   516,   203,   164,  4769,  5020,   450,  4772,   370,   313,
     372,   516,   192,  1549,   450,  4521,   244,   143,   317,   458,
     504,   505,   506,   507,   508,   509,   510,   511,   512,    38,
     393,   475,   421,  4565,   388,   318,   214,   379,  2550,   475,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   520,
     185,    60,  5299,   375,  1590,  1188,   279,  1111,   139,  1113,
    1114,   450,   375,   375,   379,  2552,  5976,   299,   279,   516,
     254,   119,   516,   435,   520,   279,  3084,   304,   516,   134,
     516,   491,   223,   317,  1688,   288,   475,  1623,  5739,  5590,
     470,  5592,  1608,   198,   119,  5596,  5597,  1613,   170,   421,
     418,   473,   111,  5408,   520,   464,   516,   516,   421,   421,
    2625,   394,  3080,   123,   381,   313,  3084,  6149,   254,   123,
    5396,   326,   335,  1256,   423,   251,   312,   516,   450,   520,
    5753,   259,   495,   254,   418,   283,   264,   450,   450,    25,
     520,   121,   283,  1276,   507,   508,   509,   510,   511,   512,
     196,   418,  1688,   475,    25,  4522,   328,   516,    58,   372,
      31,   232,   475,   475,  6074,   393,   520,  1703,  1704,  1705,
     355,  1687,   314,  1662,   375,  1691,   491,  4528,   179,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   314,   423,
     388,   375,   201,   460,   516,   381,  1919,  1929,  1930,  1332,
     341,  2715,   361,   516,   516,   340,   473,   134,   279,   136,
     220,   353,   168,  4446,  1930,   416,   220,   418,  4451,   446,
     433,   302,   435,   349,   180,   432,   439,   353,   128,    25,
     497,   357,   418,  6143,   388,    31,   371,   421,   372,   375,
     430,   473,   198,   223,   313,  2715,   388,   248,   353,   516,
     259,  4757,   357,   139,   375,   264,   304,  1861,   283,   149,
     121,  4336,   388,   288,  1908,  1869,   450,  1803,   139,   476,
     279,   258,   162,  1877,   460,   454,   357,   358,   168,  1815,
     149,  4484,    91,   388,   516,   421,   516,   473,   473,  4364,
    1826,   475,   370,   162,  5296,   421,  5919,   423,  2604,   168,
     421,   435,  1838,   283,   313,   122,  1842,   388,  2823,    93,
     469,   497,   497,  4186,   450,   165,   506,  4190,  1922,   388,
     391,  1454,  1455,  2055,  1457,  1861,   314,   217,   518,   450,
     516,  2687,   516,  1869,  2849,   520,   122,   516,  5340,   475,
     418,  1877,  1542,   139,   345,  1949,   207,   473,   217,   358,
    2667,  5656,   136,  5638,   475,   245,   283,   175,   745,   122,
    1896,   341,   314,   314,  5865,   353,   520,  1567,   473,  1905,
     179,   279,  1908,   382,   516,  1911,   245,   194,  1914,  1915,
     516,   452,  1918,  1919,  4257,  1921,  1922,   237,  2885,  5665,
     454,   209,   497,   402,   203,   516,  1859,  1933,     5,  1935,
    1936,   353,   177,   708,    11,   295,   224,   363,   194,  1945,
    1946,   798,  1948,  1949,   304,   257,  1879,   397,   279,  2889,
     302,   422,   283,   424,   242,   304,   295,  2897,   314,   734,
    2900,   194,   314,  1961,  2949,   304,   388,   388,  6089,   248,
     473,   283,   283,   314,  1644,   353,   473,   288,  5435,   450,
    1986,   186,   516,    10,  1990,  1991,    13,  5222,   506,   432,
      17,    18,    19,  2042,   851,   466,   514,   353,   516,   517,
     518,   353,   520,   153,  1674,  1675,  1676,  1677,  4553,  2008,
    2008,  2008,   353,  2008,  3109,  2017,   375,   520,  2008,  2025,
    2008,  2027,  5125,   520,   303,  3974,  2032,  2033,   339,   378,
    3015,  2791,   388,  2039,  2040,  2041,  2042,  2043,  2044,  2045,
    2046,  2047,  2048,  3992,  2003,   404,  2052,   388,  2054,  3487,
    2056,  2057,  2058,  2059,  2060,  2061,   913,   162,  2064,  3497,
    2066,  2067,  5837,  2935,  2070,   514,     0,   121,  5855,   518,
    5046,    13,  6193,    38,   279,   353,   364,  5022,  2084,  2085,
    2086,  2087,  2969,  2970,  2971,   353,   446,  4008,  4029,  2938,
    5836,   314,   176,  4034,   370,    60,   372,  2103,  3694,  2105,
    1963,  3579,  1965,    45,  1967,   314,  1969,   446,  1971,   314,
     388,   506,  1975,   465,   168,  2863,  5061,  2865,  3299,  4043,
     388,   234,  5041,   518,   369,  2885,   210,  2789,  2020,   516,
     353,   376,  1608,  2715,  5619,   357,    78,  1613,   383,  2865,
     245,  3579,  5429,   422,   353,   424,   111,  5250,   353,  5252,
      99,  1821,  1822,   207,   514,   519,   435,   517,   518,   435,
    4033,  3950,    40,  2923,  4037,  4038,   388,  1837,   447,   520,
    3101,   450,   370,  5010,   419,  5012,    54,  4520,  4521,   388,
    3052,  3053,  3054,  3055,    48,  3057,  3776,  3172,  3667,   357,
     295,   177,  3782,    99,   221,    72,   441,    35,  2958,   149,
      29,  1871,  1872,  1873,  1874,   403,  5981,    71,   258,  5670,
    3082,  1687,   162,    80,  3279,  1691,  3281,  3282,   168,  3159,
     388,  2913,   314,  2915,    91,   279,   175,  2919,   422,   283,
     424,   381,   110,   283,   381,  5692,   201,  4063,  4064,  4065,
    4066,  2247,   119,  4069,  4070,  4071,  4072,  4073,  4074,  4075,
    4076,  4077,  4078,   458,    83,   284,   285,    86,   314,  4166,
     209,   353,   333,    92,   179,  1040,  5242,   217,   418,   175,
    3718,   418,     5,   300,  5644,   224,  1051,   435,    11,   119,
    5256,  4984,  1952,  4986,  4987,  4988,   285,   988,  1958,   292,
    2296,   120,  1067,   242,   259,   245,   388,   353,   314,   264,
    3481,   178,   149,   209,  6079,  3290,  1007,  4133,  4134,  1010,
     460,  3296,  5599,   460,   279,   162,   156,  3765,   224,    27,
     466,   168,   271,   473,   761,   762,   763,  3075,   235,   766,
     767,   768,   388,   248,   212,  6090,   242,   353,    25,   776,
     473,   357,    50,   258,  2350,   295,  5916,   497,   313,   178,
     336,   191,   381,   312,   304,   168,   378,   162,  1961,   497,
     498,   341,   191,   168,   497,   271,   516,     5,   516,   516,
     217,  3890,   388,    11,   354,   204,   168,  3034,   516,   192,
     162,  1905,   381,   369,  1908,  6249,   168,  6251,    10,   418,
     262,    13,   298,   358,  1918,  1919,     5,   383,   245,   516,
     192,   279,    11,    90,   384,  2008,   283,  6271,   473,  1933,
      19,   288,  1936,   511,  4757,   364,   435,   382,   516,   418,
     518,  4764,   381,    45,   517,   355,  4769,   520,    37,  4772,
      52,   460,   497,   419,   514,   345,   516,   402,   518,  2042,
     245,  3381,  5418,   283,   473,   132,   378,    22,   295,  1224,
     258,  5738,   139,    28,   331,   142,    78,   304,   364,   418,
    2063,   460,  1986,   245,  3156,  6220,  1990,  1991,   497,    95,
     347,   314,   382,  2143,   473,    15,    16,   504,   505,   506,
     507,   508,   509,   510,   511,   512,    10,   516,  3375,    13,
     295,   258,  3268,    17,    18,    19,   446,   515,   497,   377,
     381,   460,   520,   203,  3280,  5481,   349,   422,   418,   424,
     353,    35,  3238,   295,   473,   273,   111,   516,   517,   430,
     519,  2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,
     345,  2537,   262,    99,   149,   450,   515,   418,   497,   297,
    3316,   520,  2548,   454,  2550,   388,   298,   162,   454,   192,
    2752,   303,   517,   168,     3,    59,   466,   516,  2751,   435,
    2753,  2754,   497,   498,   514,   466,  2752,   382,   518,   517,
     447,   193,   520,   516,   169,   404,   198,    26,   407,   460,
     298,   516,  2588,  6044,  3360,   303,  2592,  6048,  6049,  2595,
     511,  2597,   473,  2587,  2600,   516,  3723,   518,  2604,   446,
     984,   517,   217,   418,   520,   989,  2680,    87,   517,   175,
     205,   520,    33,    34,  3400,  3401,   497,   517,   378,  2625,
     520,  2627,   244,   517,  2698,   235,   520,   314,  2702,   422,
     245,   424,  2706,  3565,  2748,   516,   464,   517,  2644,  3378,
     520,    90,  5345,   209,  2618,  2619,  2620,  2653,  2654,  2252,
    4476,   466,  3488,  2068,    33,    34,  2071,    11,   224,  3591,
    2734,   416,   349,  4612,   259,   517,   353,  2788,   520,   264,
    5672,   516,  6133,   518,  2680,   516,   242,  2672,   300,  4628,
     295,  2687,    69,    70,   517,  2691,  2692,   520,   520,   304,
    3498,   298,  2698,  5530,  2768,   144,  2702,   221,   375,  3335,
    2706,   388,   514,  5046,   516,   271,  3432,   517,   395,  2715,
     520,  3879,  4308,  3670,  2788,  2717,  4657,  2719,   517,    98,
     509,   520,  4663,  4664,   473,   514,   475,   516,  2734,   518,
     516,  2737,   298,   275,   276,   277,   278,   517,    59,   118,
     520,  4530,  2748,    48,  2750,  2751,  2820,  2753,  2754,   198,
    2756,  6038,  1189,  2874,  5299,  1192,   205,  1194,   422,  1196,
     424,  1198,  2768,  5739,   517,  1202,   517,   520,   516,   520,
     518,   393,   517,  2847,   153,   520,   300,   517,   466,  2853,
     520,   509,  2788,  2789,   493,  2627,   514,  4306,   516,  4308,
     518,  2797,   517,  2867,   517,   520,   223,   520,   364,  3381,
    2874,  2760,   517,  2877,   518,   520,  3566,  4245,  4298,  2883,
     134,  5914,   136,  2819,  2820,  1590,   517,  2823,   517,   520,
     301,   520,   517,  3515,   473,   520,   475,  3991,   298,  2903,
     422,   446,   424,  3818,  2955,  2909,  4284,   517,   370,   371,
     520,  2847,  2916,  2849,   298,   517,  3860,  2853,   520,   517,
    3512,  3513,   520,   168,   517,   517,  2930,   520,   520,   517,
     517,  2867,   520,   520,   517,  5841,   517,   520,  2874,   520,
    2944,  2877,   321,   495,    48,   517,  5421,  2883,   520,  5222,
     517,  2955,  3642,   520,   301,   507,   508,   509,   510,   511,
     512,  3822,   517,   370,   371,   520,  4344,  2903,   517,  5242,
    2859,   520,   134,  2909,   136,   517,   517,  6194,   520,   520,
    2916,   517,   517,  5256,   520,   520,   365,  3665,  5513,  5756,
    5757,  2591,  3670,   517,  2930,   493,   520,   517,   160,   223,
     520,   517,  2912,   517,   520,   509,   520,  3543,  2944,   517,
     370,   371,   520,  2949,  3816,   517,   493,   517,   520,  2955,
     520,   173,   517,   517,   517,   520,   520,   520,   520,   517,
     517,  3543,   520,   520,   516,  6252,   415,  2973,  2974,  2975,
     349,   517,   517,  2979,   520,   520,   517,   497,   498,   520,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   517,
    2593,   517,   520,   225,   520,   517,   445,  3659,   520,   463,
    3006,  3007,   381,   517,   453,   517,   520,   456,   520,  3015,
    3203,   517,  3205,  3206,   520,   517,  5992,   517,   520,  3681,
     520,   327,   517,  4542,  2627,   520,   517,    37,   517,   520,
    5975,   520,   517,   517,   517,   520,   520,   520,   517,   418,
    1815,   520,  3048,   275,   276,   277,   278,   370,   371,  4230,
     282,  1826,   517,    59,   517,   520,   288,   520,   517,  3999,
     517,   520,   517,   520,   473,   520,   475,  1842,   516,  2672,
     517,   516,  3067,   520,  3080,  5418,   517,  4537,  3084,   520,
    4558,   460,   473,   516,   475,   464,  3200,  2757,   517,   517,
    4258,   520,  4260,   517,   473,  4263,  3170,  5539,  5540,   517,
    3848,    10,   520,  2627,    13,  5707,  5708,  6083,    17,    18,
      19,  5884,  5885,  6089,  4099,  3189,   517,   174,   497,   520,
    4558,  1896,  3196,   219,   517,   517,    35,   520,   520,   517,
     219,   517,   520,  3335,   520,  5735,  1911,   516,  5481,  1914,
    1915,   517,    72,   517,   520,   516,   520,   517,    78,  4106,
     520,   517,   517,   517,   520,   520,   520,   517,   477,   517,
     520,    91,   520,   516,  3170,   517,  3172,   517,   520,   519,
    1945,  1946,   518,   517,  3866,   519,  4157,  3839,  4159,  3841,
    4748,  3187,  4750,  3189,  4191,  1471,  4193,  1473,   516,   119,
    3196,   121,    54,    55,  3200,  3978,  3202,  3203,   516,  3205,
    3206,  3207,  4160,   353,    10,   437,  3048,    13,  5204,  3215,
    5206,    17,    18,    19,  3220,   198,   448,  6193,  3824,  3268,
    3826,   154,   518,   516,  2748,  2895,    54,  2751,  2898,  2753,
    2754,  3237,    38,   154,   298,   198,   353,   298,   154,  3441,
     154,   198,  3824,   154,  3826,   298,  4203,   353,   178,   168,
     154,   243,   121,   454,   298,   516,   292,   517,   168,    72,
    3266,  3267,  3268,   283,    38,  3271,   283,  3316,   477,   516,
     298,  3963,   100,  3279,  3280,  3281,  3282,   207,   283,    48,
      48,  4877,  4058,  4240,  3290,   283,   440,   283,    90,  3295,
    3296,   314,  3298,   466,  3300,   466,    87,   125,   435,   334,
     168,  5644,  3908,   154,   154,   516,  3312,  3313,   154,  2084,
    3316,   154,   221,   477,   154,   143,  4092,  2987,   154,   147,
     520,  5994,   154,   154,   154,   154,  3908,   154,   154,   168,
    3000,  3337,  3994,  3339,  5160,  3341,   154,   154,  3008,   154,
     154,   169,   154,   298,   418,   173,   516,    38,   243,   168,
    4335,   298,  4337,   283,  3360,   516,     6,   168,   288,     6,
     188,   516,     6,   516,  4854,   168,     6,  4143,   516,   516,
     516,  3420,   516,   516,   516,  3381,  4307,  3047,  4363,     6,
     516,   516,   516,   516,   516,   516,   516,   516,   516,   516,
     516,   300,   516,   516,   516,   516,  5739,   516,  3068,     6,
     516,   331,   516,   516,  3368,  3369,  3370,   290,   516,   516,
     310,  3417,   516,  4581,  3420,   221,   516,   347,   516,   516,
     474,   516,  3471,   516,  4364,   163,   219,  3433,   520,   520,
      38,   102,  3438,   243,  4242,    38,    62,   516,    37,   428,
    4276,  3111,   428,  3113,   514,   514,   430,  3453,   430,   430,
     516,   430,    38,   174,   168,   520,   168,   295,   293,   388,
     288,  3467,    68,   430,  3067,   430,  3540,   375,   430,  3475,
     465,    97,   430,   375,    60,   518,   430,   430,   375,   245,
     430,  3487,    79,   375,  3490,  2627,  3492,   430,   506,   430,
      91,  3497,   154,   298,   300,  5444,    10,   240,  5841,    13,
    4432,   380,   430,    17,    18,    19,  3512,  3513,   430,   288,
     127,   339,  3518,   430,   453,   421,   298,   447,  6191,   319,
     293,    35,   370,  4454,  3048,   111,   516,   430,   191,   430,
      91,  3201,   158,   520,  3540,   127,   516,  3543,  3208,   314,
    3546,   198,   154,   430,    10,   430,   430,    13,  3554,   454,
     127,    17,    18,    19,   430,  4442,   454,   430,   113,   430,
     430,    59,   127,   430,   430,   430,  3640,    59,   134,   195,
     136,   430,   268,  3579,   430,  3417,   430,   302,  3420,   338,
     338,   430,   338,   430,   421,   430,   430,   319,   319,   430,
      47,   517,   178,   520,   160,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   298,   430,   430,   430,   521,  3615,
    3616,  3617,   221,   298,   240,   201,   221,  3819,   440,   221,
     516,   221,   430,   221,    38,  3467,   221,   221,  5454,  4614,
     221,   221,   221,  3475,  3640,   154,   154,   298,   283,   119,
     298,     0,   154,  3649,   154,  3651,   154,   454,   283,  5992,
     283,   283,    38,  3659,  5092,   251,   465,   283,  5484,   225,
      38,   168,   235,   516,   516,  3268,  4606,   377,   154,   154,
     454,   154,   154,   259,   516,  3681,  3200,   454,   264,  3203,
     430,  3205,  3206,   174,    43,   268,   469,   268,   292,   315,
      13,   430,   432,   279,   287,   516,   516,  3771,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   221,   183,   275,
     276,   277,   278,  3316,   191,   191,   282,   283,   517,   520,
     516,   516,   288,   520,   309,   517,   514,   313,   517,   493,
     493,   357,   517,   359,   266,   470,   362,  3340,   379,    98,
    6083,  3747,   520,   217,   232,   371,  6089,   517,   391,   299,
     517,   454,   517,  3356,   380,   221,    38,   454,   520,   307,
      59,   465,   388,   517,   375,  3771,   454,   516,   232,   232,
    3776,   288,   358,   288,   400,   288,  3782,   430,   430,   430,
     516,   168,   288,   409,    48,  3791,   300,   413,   283,   298,
     149,   243,   243,   298,    10,   243,   382,    13,   370,   298,
     262,   430,   421,   162,   520,   127,   198,   520,   298,   168,
     397,   298,  3818,  3819,  3417,   174,   402,  3420,  3824,   298,
    3826,   180,   353,   192,   183,   388,   385,   473,   187,    45,
     341,   304,    38,  3839,   300,  3841,    52,   517,   221,  4796,
    4502,  4503,   468,   337,   454,   235,   430,   506,   430,   154,
    6193,   293,   168,   466,    38,  3861,   170,   419,   217,   385,
     219,   516,    78,  5031,  3467,   154,   454,   338,  3471,   154,
     154,   437,  3475,   293,   516,   454,  3950,   283,    38,  3549,
    3550,  3887,   448,   283,    27,   298,   245,  4713,   298,   235,
     293,   189,   189,  3417,   168,  3969,  3420,   473,  3893,  3973,
      38,   169,  3908,  3909,   235,   168,  3048,   385,  4600,  4601,
    4602,  4603,  4604,   298,    59,   283,   174,  4779,   198,   198,
     198,   198,   198,  4699,   477,  3931,   430,  4867,   265,   473,
     292,   147,   298,   174,  3929,   459,   295,   494,  3897,   298,
     520,   516,  5402,  3467,  3950,   304,   520,   304,   517,   520,
     520,  3475,   520,   361,   518,   310,   134,   517,   493,   517,
     320,   517,   516,  3969,   174,   517,   517,  3973,   517,   282,
     517,   430,   517,   516,   520,  2750,   517,   193,   517,   517,
     517,  2756,   198,   517,   520,   258,   470,   517,  3994,   516,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   174,
     516,  4141,   361,   183,  4010,   452,   253,  4013,   497,   470,
     460,   298,   515,  4019,  4791,   516,   516,  5536,   515,  3978,
      59,   517,  2797,   516,   203,   506,   496,  4033,   244,   298,
     301,  4037,  4038,   298,   154,   430,   430,  4043,   504,   505,
     506,   507,   508,   509,   510,   511,   512,  4053,   520,  4055,
     430,   516,  4058,   211,   288,   414,  4062,  4063,  4064,  4065,
    4066,  4992,   516,  4069,  4070,  4071,  4072,  4073,  4074,  4075,
    4076,  4077,  4078,   516,   157,   283,  4082,  4083,  4084,   430,
     154,  4087,   407,   154,   300,   388,  4092,   446,   380,   154,
    4139,  4097,   380,  4099,   380,  4101,   243,   203,   157,   298,
     430,   506,   454,  4109,   157,   375,  4112,   470,  4114,   245,
     321,   470,   321,   472,   473,   451,   157,   127,   430,   430,
     430,   404,    62,  3793,  4130,   255,   430,  4133,  4134,   255,
     255,   375,  4138,  4139,  4336,   494,   430,  4143,   375,  4145,
     430,   283,   375,   375,    47,   388,  4782,   154,    47,   430,
     517,   221,   517,   517,   515,   430,   186,    97,   517,   221,
     519,   520,  4364,   430,   430,   302,   520,  4166,  4166,  4166,
     430,  4166,  4178,   430,   430,   430,  4166,   393,  4166,   517,
    4186,   440,   517,     3,  4190,  4149,  4150,  4151,  4152,  4851,
     168,    48,   112,   517,   520,   168,   516,    38,    38,  6025,
    6026,   154,   517,   430,   154,  4279,   506,   168,   293,   186,
     516,   154,   454,   375,   454,   385,  4222,   152,   158,   375,
     375,   375,    62,   375,   520,   152,   221,   221,   221,   221,
     221,   221,  3007,  4239,   221,  5673,   221,   221,   145,  4245,
     447,   298,    10,   225,   447,    13,   298,   298,    59,   298,
      62,  4257,   514,    13,   310,   195,   517,    97,   174,  4951,
    4952,   465,  4954,  5011,   517,   517,   520,   517,   517,   517,
     282,   517,   517,  4279,   308,  3417,   224,    45,  3420,   495,
    4942,   520,   517,  3953,    52,    97,   515,   517,   516,   420,
    3893,   507,   508,   509,   510,   511,   512,   516,   224,   516,
     240,   305,    59,   187,   516,   427,   361,    89,   459,   168,
      78,   440,  5199,    38,   454,   454,   235,   430,   158,   211,
      59,   421,   154,    86,  4330,  3467,  3929,   404,   178,  4335,
    4336,  4337,   440,  3475,   380,  4409,   430,   430,  4412,   279,
     157,   430,   375,   283,  4186,  5232,   158,   375,  4190,   430,
     430,  4553,   517,   517,   517,   195,   353,  4363,  4364,   516,
      59,  5957,   473,   516,   460,  5350,   168,   421,   298,    78,
     154,   112,   440,   517,   314,   315,   221,  5039,   221,   147,
     232,   516,   221,   195,   221,   206,   430,   477,   516,   516,
     298,    38,   296,   517,   319,   235,   298,   520,  4378,     3,
     240,   520,   516,  4409,   440,   520,  4412,    44,   430,  4389,
     517,   516,  3187,   353,   385,  4257,   180,   357,   112,   181,
     174,   221,   362,   143,   233,   193,   517,  3202,   240,   233,
     198,   371,  3207,   517,   288,   288,   174,   288,   517,  4513,
     380,   288,   517,   283,   517,    59,   471,   471,   388,   310,
     517,   520,   319,   517,   517,   516,  4530,   224,   516,   472,
     400,   427,  3237,   293,   506,   440,   516,   279,   430,   409,
    4476,   283,   174,   413,   473,   315,   244,    78,   205,   192,
     192,  5576,   288,  5578,    38,   288,   506,    59,   421,   520,
      72,   520,   430,   430,   430,   154,  4502,  4503,   430,   157,
    4506,   517,   314,   315,   221,   516,   126,  4513,   176,   119,
      38,   198,   293,   279,  4520,  4521,   516,   357,    38,   385,
     454,   170,   362,  5215,  4530,   283,   473,   385,   468,    59,
     421,   371,   300,    84,  5226,    38,  4139,  4611,   293,   174,
     380,   353,   473,   168,  5712,   357,   298,  4553,   388,   516,
     362,  4546,  4558,  4559,  4560,   520,   348,   208,   301,   371,
     400,   517,   219,  4166,  4570,   517,   517,   174,   380,   409,
     516,   459,   401,   413,    59,   517,   388,   378,    38,    81,
    4782,    91,  5750,  4186,   298,   135,   199,  4190,   400,   517,
      38,   347,  5379,   433,   516,   516,   430,   409,   154,   310,
     517,   413,   517,  5587,    10,  4611,   517,    13,  4614,   154,
     516,    17,    18,    19,   430,   516,   516,    38,   516,   516,
     516,  5257,   516,   288,   168,   393,   205,   454,   468,  5797,
    5798,   516,   472,   256,  4640,   516,   385,   517,  5300,    45,
     154,   112,    38,   517,   440,    10,    52,  5587,    13,   302,
    4656,   174,    17,    18,    19,   399,   468,   399,   111,   168,
     202,   517,  4186,    38,   459,  4671,  4190,   191,   517,   454,
      35,   421,    78,   168,   516,  5311,   520,   203,  4520,  4521,
      45,   516,   520,   516,  5460,   516,   421,    52,   516,   298,
     516,     6,   517,  4699,   161,   371,  4702,   477,  5474,   371,
      72,   516,   301,    72,  4710,  4711,   519,  4713,   135,   140,
     458,  4717,  4718,    78,   473,   165,  4722,   516,   469,  5495,
     473,  4727,   459,   517,  4730,  4731,  5502,   495,   165,   520,
     516,  4737,   388,  4257,    35,  5720,   257,   421,   174,   507,
     508,   509,   510,   511,   512,   288,   344,   421,    38,   298,
     298,  4757,   385,    38,   301,   516,   199,   176,  4764,   176,
     301,   153,   370,  4769,   150,    59,  4772,  4773,    59,   516,
     516,  3546,   305,    38,  4780,    59,   354,   517,   426,  3554,
     430,   408,  5950,   124,   517,  4791,   452,   193,     6,   385,
    4460,   140,   198,  4799,   516,  5571,  5572,    35,  4793,  4794,
    5492,   288,  5787,    24,  4474,  5789,   516,   426,   516,   370,
     370,    81,   306,  4819,  4816,   221,   222,   520,    10,   520,
     284,    13,  4896,   388,   430,   516,   174,   284,   193,   153,
     399,   399,  4838,   198,  4908,     6,   119,   520,   244,  5806,
     176,   516,   460,   473,   473,  4851,   176,   459,   517,   454,
    6018,  6019,   516,    45,  5428,   952,   221,   222,   460,   459,
      52,  3381,  1387,  2923,   912,   999,   998,  3591,  2832,  4335,
    4310,  5941,  2950,  4879,  3649,  3004,  3651,  5353,  3810,   244,
     286,  4861,  5787,  6059,  5402,  4500,    78,  4308,  5580,  4308,
    4896,  5001,  4872,  5378,   300,  4901,  1690,  3519,  5605,  4830,
    3146,  5920,  4908,  5256,     0,  6047,  5816,  5815,  5961,  6083,
    3524,  5046,  4547,  4521,  4532,  4757,  5760,  4520,  4924,  4490,
    4330,   286,  4764,  3018,  3018,  4931,  3616,  4769,  3858,  4516,
    4772,  5040,  5385,  3902,   994,   300,  4942,  6158,   303,  5685,
    6264,  4583,  6246,  4546,  5369,  3818,  5973,  5313,  4555,  5558,
    5770,  1850,  5728,  5316,  5730,   147,    18,   647,    28,  3967,
    4611,  5525,  6154,  1894,  3034,  1216,  2692,  4973,  4558,  4614,
    3497,  1891,  3747,  1905,  3913,  5673,  5428,  1929,   699,  3750,
    2949,  4363,  3667,  5999,  6197,  1506,   841,   393,  4587,  4589,
    2980,  5573,  6214,  4999,  2634,  4795,  4520,  4521,   732,  1803,
    4237,   193,    98,  5522,  5913,  5587,   198,  5755,  1364,  5015,
    1403,    40,    40,  3438,  5020,  4656,  3791,  3453,  1464,  1463,
      22,  2644,  5901,  5732,  3420,  1466,    28,  4192,   393,  5223,
    4175,  3417,  5481,  5039,  5480,  4238,  3417,  6175,  5895,  6029,
    5046,  5719,  5458,  1420,  4186,  2542,  4101,  5733,  4190,  3358,
    5734,  5125,   244,   149,  3216,  5257,  2543,  2059,  3340,  2979,
    3251,  3338,  4036,  5058,  3328,  2632,   162,    -1,    -1,    -1,
    2548,    -1,   168,    -1,    -1,  6059,   900,    -1,   174,    -1,
      -1,    -1,    -1,    -1,   180,    -1,  5092,   183,  5094,   495,
      -1,   187,    -1,    -1,    -1,    -1,    -1,  5299,   504,   505,
     506,   507,   508,   509,   510,   511,   512,    -1,   300,  5311,
      -1,    -1,  3887,    -1,    -1,  4257,  5752,  5310,    -1,  5125,
      -1,   217,    -1,    -1,    -1,  5311,    -1,    -1,    -1,    -1,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,   512,    -1,   245,
      -1,  5157,   517,    -1,  5160,   520,  3931,  5163,  5164,  5165,
      -1,  4764,  5355,    -1,    -1,    -1,  4769,    -1,    -1,  4772,
      -1,    -1,    -1,    -1,    -1,    -1,  5250,    -1,  5252,    -1,
      -1,    -1,  5188,  5189,    -1,    -1,  5192,    -1,    -1,    -1,
    4793,  4794,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   295,
      -1,   393,   298,    -1,  5046,    -1,  5212,  5789,   304,    -1,
      -1,    -1,  5218,    -1,    -1,  6200,  5222,    -1,    -1,    -1,
      -1,    -1,  5228,  5229,    -1,    -1,    25,    -1,    -1,    -1,
      -1,    -1,    31,  4757,    -1,    -1,  5242,    -1,  4013,  5245,
    4764,    -1,    -1,    -1,  5250,  4769,  5252,    -1,  4772,  4773,
    5256,  6233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6246,    -1,    -1,  1136,   361,    -1,    -1,    -1,    -1,
    1142,    -1,    -1,    -1,    -1,    -1,    -1,    76,    -1,  6264,
    1152,    -1,    -1,  4953,  1156,    -1,    -1,  4062,  1160,    -1,
    1162,    -1,    -1,  5299,  5300,    -1,  1168,    -1,  4968,    -1,
      -1,    -1,  1174,   495,  5310,  1177,    -1,    -1,    -1,    -1,
      -1,    -1,  4087,    -1,    -1,   507,   508,   509,   510,   511,
     512,    -1,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   132,    -1,    -1,    -1,    -1,    -1,    -1,
     139,    -1,    -1,   142,  5350,    -1,    -1,    -1,    -1,  5355,
     446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5941,
    6247,    -1,  6138,    -1,    -1,    -1,  1461,    -1,    -1,    -1,
     169,    -1,  5235,    -1,   470,    -1,   472,   473,  4520,  4521,
    5222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5383,  5059,
      -1,    -1,    -1,  6141,  6142,    -1,    -1,    -1,   494,    -1,
    5242,    -1,    -1,    -1,    -1,    -1,   205,    -1,    -1,    -1,
      -1,    -1,  5418,    -1,  5256,  5421,    -1,    -1,   514,  5414,
      -1,   517,   518,   519,    -1,    -1,    -1,    -1,    -1,  5428,
    5428,  5428,  5428,  5428,  5428,    -1,  5428,    -1,  5428,  5428,
    5428,    -1,  5428,  5428,  5428,  5428,  5428,  5428,  5454,    -1,
    5428,    -1,  5458,  5502,  5460,  5058,  5428,  5428,  5417,    -1,
      -1,    -1,  6238,    -1,    -1,    -1,    -1,    -1,  5474,     6,
      -1,    -1,    -1,    -1,    -1,  5481,    -1,  6059,  5484,    -1,
     279,    -1,    -1,    -1,   283,    -1,    23,    -1,    25,  5495,
      -1,  5015,    29,    -1,   293,    -1,  5502,    34,    35,    36,
      -1,    38,    -1,   302,    41,    42,    -1,    44,    -1,    46,
      -1,    -1,    -1,    38,    -1,   314,    53,    54,    55,    -1,
      -1,    -1,  5046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    60,    -1,    10,    -1,    -1,
      13,    -1,    -1,  5549,    17,    18,    19,    -1,    -1,  5555,
    5752,    -1,    -1,    -1,  5560,  5561,    -1,   356,   357,  5565,
      -1,    86,    35,    -1,    -1,  5571,  5572,  5573,    -1,    -1,
      -1,    -1,    45,    -1,    -1,    -1,  5418,    -1,    -1,    52,
      -1,  5587,    -1,    -1,    -1,    -1,   111,   112,  5258,   388,
    5260,    -1,    -1,    -1,   119,    -1,    -1,    -1,    25,    -1,
      -1,  5607,    -1,    -1,    31,    78,    -1,    -1,    -1,    -1,
    5616,    -1,    -1,  5619,    -1,  4757,    -1,    -1,    -1,  5222,
      -1,    -1,  4764,    -1,    -1,    -1,    -1,  4769,    -1,    -1,
    4772,   156,    -1,    -1,    -1,    -1,    -1,    -1,  5644,  5481,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    76,
      -1,  5646,    -1,   178,    -1,    -1,    -1,    -1,   457,    -1,
     197,   198,   199,    -1,    -1,   202,    -1,  5673,  5674,   206,
      -1,   208,    -1,    -1,   211,    -1,   201,   214,    -1,    -1,
     217,    -1,    -1,   220,    -1,   222,    -1,    -1,   225,    -1,
      -1,  5697,   229,    -1,   231,    -1,    -1,    -1,  5222,    -1,
    5706,  5707,  5708,    -1,    -1,   132,    -1,    -1,    -1,    -1,
      -1,    -1,   139,  5719,  5720,   142,    -1,  5723,  5242,    -1,
     193,    -1,  5728,    -1,  5730,   198,  5732,    -1,    -1,    -1,
      -1,  4506,  5256,  5739,   259,  5928,    -1,    -1,    -1,   264,
      -1,  5736,   169,    -1,    -1,    -1,  5416,    -1,   221,   222,
      -1,     0,    -1,    -1,   279,    -1,  5762,   759,   283,   761,
      -1,   763,    -1,    -1,    -1,    -1,    -1,   769,   770,   771,
      -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,
    5383,  5787,    -1,  5789,    -1,    -1,  5310,    -1,   313,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5644,    -1,    -1,    -1,    -1,  6000,  6001,    -1,
      -1,  5414,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5428,    -1,   300,    -1,    -1,
     303,  5355,    -1,   358,    -1,  5841,    -1,    -1,    -1,    -1,
    5914,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,
      -1,    -1,   279,    -1,    -1,    -1,   283,   382,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   293,    -1,    -1,    -1,
      -1,    -1,  5878,    -1,    -1,   302,    -1,   402,    -1,   404,
      -1,    -1,   407,    -1,    -1,  5891,    -1,   314,    -1,    -1,
      -1,    -1,    -1,    -1,  5418,  5901,    -1,  5739,    -1,  5502,
     149,    -1,    -1,    -1,  5046,  5911,    -1,  5577,  5914,  5579,
      -1,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,   168,
     393,    -1,  5928,    -1,    -1,   174,   353,    -1,    -1,   356,
     357,   180,    -1,    -1,   183,  5941,    -1,    -1,   187,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2044,
    2045,    -1,    -1,    -1,    -1,    -1,    -1,  5481,   960,    -1,
      -1,   388,  2057,    -1,    -1,    -1,    -1,    -1,   217,    -1,
      -1,  2066,    -1,    -1,    -1,    -1,  5982,    -1,    -1,  5974,
      -1,    -1,    -1,    -1,    -1,    -1,  5992,    -1,    -1,    -1,
      -1,   516,    -1,    -1,  6000,  6001,   245,    -1,    -1,  5841,
    6006,  5999,  5999,    -1,  5999,    -1,    -1,    -1,    -1,  5999,
      -1,  5999,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6025,
    6026,    -1,   495,    -1,    -1,    -1,    -1,    -1,  1030,    -1,
     457,   504,   505,   506,   507,   508,   509,   510,   511,   512,
      -1,  5644,    -1,  5646,  6093,    -1,   295,    -1,   521,   298,
      -1,    -1,  1924,  6059,    -1,   304,    -1,    -1,    -1,    -1,
    1932,  6254,  6255,  4838,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6083,    -1,    -1,
    5222,    -1,    -1,  6089,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5616,    -1,    -1,  6093,  6093,    -1,  6093,    -1,
    5242,  6107,  6108,  6093,  4879,  6093,    -1,    -1,    -1,   646,
      -1,    -1,   361,    -1,  5256,   652,  6122,   654,    -1,   656,
    5644,    -1,   659,    -1,    -1,    -1,  4901,    -1,    -1,   666,
      -1,    -1,  6138,  5736,   671,    -1,   673,    -1,    -1,    -1,
      -1,    -1,   679,    -1,     0,    -1,    -1,    -1,    -1,    -1,
    5992,    -1,    -1,    -1,    -1,    -1,    -1,  5827,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   703,  6173,    -1,   418,
      -1,    -1,    -1,    -1,    -1,   712,    -1,    -1,    -1,   716,
      -1,    -1,   719,    -1,    -1,   722,    -1,  6193,    -1,    -1,
      -1,    -1,    -1,    -1,  6200,    -1,    -1,   446,  4973,  6197,
    6197,   738,  6197,    -1,    -1,    -1,    -1,  6197,    -1,  6197,
      -1,    -1,    -1,    -1,    -1,  5739,    -1,    -1,    -1,    -1,
      -1,   470,    -1,   472,   473,    -1,    -1,  6233,  6234,    -1,
      -1,    -1,  6238,    -1,    -1,    -1,  6242,    -1,    -1,    -1,
    6246,  6083,    98,    -1,    -1,   494,    -1,  6089,  6254,  6255,
      -1,    -1,    -1,    10,   791,    -1,    13,    -1,  6264,    -1,
      17,    18,    19,   800,    -1,   514,    -1,    -1,   517,   518,
     519,    -1,    -1,  5943,    -1,    -1,  5418,    -1,    35,    -1,
      -1,    -1,    -1,   820,   821,    -1,   823,   824,    45,    -1,
      -1,   828,    -1,   149,    -1,    52,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   842,   162,    -1,    -1,    -1,
     847,    -1,   168,    -1,    -1,    -1,   853,  5841,   174,  5094,
      -1,    78,    -1,    -1,   180,    -1,    -1,   183,    -1,    -1,
      -1,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5481,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   217,    -1,   900,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5974,    -1,    -1,    -1,    -1,    -1,   914,    -1,  1381,
      -1,    -1,    -1,  6053,  1386,  1387,    -1,    -1,    -1,   245,
     927,    -1,    -1,    -1,    -1,    -1,  5999,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5928,   942,    -1,    -1,    -1,    -1,
      -1,    -1,  1414,    -1,  6084,  6085,    -1,    -1,    -1,    -1,
      -1,  1423,    -1,  1425,   961,    -1,    -1,  1429,    -1,   966,
     967,    -1,    -1,    -1,  1436,    -1,   193,    -1,    -1,   295,
      -1,   198,   298,    -1,    -1,    -1,    -1,    -1,   304,    -1,
      -1,    -1,    -1,  5228,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   998,   999,    -1,   221,   222,    -1,    -1,  5992,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6000,  6001,    -1,    -1,
      -1,    -1,    -1,    -1,  1021,  1022,    -1,   244,    -1,    -1,
    6093,    -1,    -1,    -1,    -1,    38,    -1,    -1,  1035,    -1,
    1037,    -1,  5644,    -1,  1041,   361,    -1,  1044,  1045,    -1,
    1047,    -1,    -1,    -1,    -1,  1052,    -1,    -1,    -1,    62,
    6190,    -1,    -1,    -1,    -1,  1527,    -1,    -1,    -1,   286,
      -1,    -1,    -1,    -1,    -1,  1537,    -1,    -1,    -1,  1076,
      -1,    -1,    -1,   300,    -1,    -1,  1083,  1084,    -1,  2644,
      -1,    -1,    -1,    -1,    97,    -1,    -1,    -1,    -1,  6083,
      -1,    -1,   418,    -1,    -1,  6089,    -1,    -1,  1105,  1106,
    1107,    -1,  1109,    -1,  1111,    -1,  1113,  1114,    -1,  1581,
    1582,    -1,    -1,  6107,    -1,    -1,    -1,    -1,    -1,    -1,
     446,    -1,    -1,    -1,  6197,    -1,    -1,  5739,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
    1147,    -1,  1149,  1150,   470,   158,   472,   473,    -1,    -1,
      -1,    -1,  1624,    -1,    35,  1627,  1628,    -1,    -1,    25,
      -1,    -1,    -1,    -1,    45,    31,   393,    -1,   494,    -1,
      -1,    52,    -1,    -1,    -1,  1182,    -1,    -1,    -1,  6173,
      46,    -1,   195,    -1,    -1,    -1,    -1,    -1,   514,    -1,
      -1,   517,   518,   519,    -1,    -1,    -1,    78,    -1,  6193,
      -1,  1208,    -1,  1210,    -1,    -1,    -1,  1214,    -1,  1216,
      76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   235,    10,    -1,    -1,    13,   240,    -1,  5841,
      17,    18,    19,  1240,    -1,  1242,    -1,    -1,    -1,  1246,
    6234,    -1,    -1,  2585,    -1,    -1,    -1,    -1,  6242,    -1,
      -1,    -1,    -1,  1260,    -1,    -1,    -1,    -1,    45,    -1,
    6254,  6255,    -1,    -1,   130,    52,   132,    -1,   495,    -1,
     283,    -1,    -1,   139,    -1,    -1,   142,   504,   505,   506,
     507,   508,   509,   510,   511,   512,    -1,    -1,    -1,    -1,
      -1,    78,  1299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   315,   169,    -1,    -1,    -1,    -1,    51,    -1,
    5555,    -1,   193,    -1,    -1,  5560,  5561,   198,    -1,    -1,
      -1,  1328,  1329,  1330,    -1,  1332,    -1,    10,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,   205,
     221,   222,    -1,    -1,   357,    -1,  1353,    -1,  1820,   362,
      -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,   371,    -1,
      -1,    -1,    45,   244,    -1,    -1,    -1,   380,    -1,    52,
      -1,    -1,    -1,    -1,    -1,   388,    -1,    -1,    -1,    -1,
    5992,    -1,    -1,    -1,    -1,  1392,    -1,   400,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,   409,    -1,    -1,    -1,
     413,    -1,    -1,  1410,    -1,   286,   193,    -1,    -1,    -1,
      -1,   198,    -1,   279,    -1,    -1,    -1,   283,    -1,   300,
     433,    -1,   303,    -1,    -1,    -1,    -1,   293,    -1,  5674,
      -1,    -1,    -1,    -1,   221,   222,   302,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,  1456,
      -1,    -1,    -1,  1460,  1461,   468,    -1,   244,    -1,   472,
      -1,    -1,    -1,    -1,  1471,  1472,  1473,  1474,    -1,  1476,
      -1,  6083,    -1,    -1,    -1,    -1,    -1,  6089,  5723,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   353,    -1,    -1,
     356,   357,  1499,    -1,    -1,    -1,    -1,    -1,    -1,   286,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     193,    -1,   393,   300,    -1,   198,    -1,    -1,    -1,    -1,
      -1,    -1,   388,    -1,    -1,    -1,    -1,  1534,    -1,    -1,
      -1,    -1,  1539,    -1,    -1,  1542,    -1,    -1,   221,   222,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1555,  1556,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1564,    -1,    -1,
    1567,   244,    -1,  2035,  2036,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2049,  2050,    -1,
      -1,  6193,    -1,    -1,    -1,    -1,    -1,  1594,    -1,  1596,
      -1,   457,  1599,    -1,    -1,  1602,  1603,    -1,    -1,  1606,
      -1,    -1,    -1,   286,    -1,    -1,   393,    -1,  2080,  1616,
      -1,    -1,  1619,    -1,   495,  1622,    -1,   300,    -1,    -1,
     303,    -1,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,    -1,    -1,  1644,    -1,   520,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1662,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1674,  1675,  1676,
    1677,  1678,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1692,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1703,  1704,  1705,    -1,
      -1,  3266,  3267,    -1,    10,    -1,  3271,    13,   495,    -1,
     393,    17,    18,    19,    -1,    -1,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,   512,    -1,    -1,    -1,    35,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    52,  3312,  3313,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3098,    -1,    -1,    -1,
      -1,  3103,    -1,  3105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,  3115,    -1,    -1,  3118,    -1,  3120,  3121,
      -1,    -1,  3124,    -1,    -1,    -1,  3128,    -1,  3130,    -1,
      -1,  3133,    -1,    -1,    -1,  1802,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1813,    -1,    -1,    -1,
      -1,    -1,   495,    -1,  1821,  1822,    -1,    -1,    -1,    -1,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,   512,
    1837,    -1,    -1,    -1,    -1,    -1,    -1,   520,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1855,  1856,
      -1,    -1,    -1,    -1,    -1,  3197,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1871,  1872,  1873,  1874,    -1,    -1,
      -1,    -1,    -1,  1880,    -1,    -1,    -1,    -1,    -1,    -1,
    1887,    -1,    10,  1890,    -1,    13,    -1,   193,    -1,    17,
      18,    19,   198,    -1,    -1,    -1,    -1,    -1,  1905,    -1,
      -1,  1908,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,
      -1,  1918,  1919,    -1,    -1,   221,   222,    45,    -1,    -1,
      -1,    -1,  1929,  1930,    52,    -1,  1933,    -1,    -1,  1936,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,
      -1,    -1,    -1,    -1,  1951,  1952,    -1,    -1,    -1,    -1,
      78,  1958,    -1,  1960,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   708,    -1,    -1,    -1,    -1,
    1977,    -1,    -1,    -1,    -1,    -1,    -1,  1984,    -1,  1986,
     286,    -1,  1989,  1990,  1991,    -1,  1993,  1994,    -1,  1996,
      -1,   734,    -1,    -1,   300,    -1,  2003,   303,    -1,    -1,
      -1,    -1,    -1,  2010,    -1,    -1,  2013,  2014,    -1,    -1,
    2017,    -1,    -1,  2020,  2021,    -1,    -1,    -1,  2025,    17,
    2027,    -1,    -1,    -1,    -1,  2032,  2033,    -1,    26,    -1,
      -1,    -1,  2039,  2040,  2041,  2042,  2043,  2044,  2045,  2046,
    2047,  2048,    -1,    -1,    -1,  2052,    -1,  2054,  2055,  2056,
    2057,  2058,  2059,  2060,  2061,    -1,    -1,  2064,    -1,  2066,
    2067,    -1,    -1,  2070,    10,   193,    -1,    13,    -1,    -1,
     198,    17,    18,    19,    -1,    -1,    -1,    -1,  2085,  2086,
    2087,    -1,    -1,    -1,    -1,    -1,    -1,   393,    -1,    35,
      -1,    -1,    -1,   221,   222,    -1,  2103,    -1,    -1,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    -1,   877,    -1,  2143,    -1,    -1,    -1,
      -1,    -1,    -1,  2615,  2616,    -1,    -1,    -1,    -1,  2621,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   300,    -1,    -1,   303,    -1,    -1,    -1,    -1,
      -1,  2653,  2654,    -1,    -1,    -1,    -1,  3529,    -1,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,   512,    -1,    -1,    -1,
      -1,   517,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
    2247,    -1,    -1,  2715,    -1,    -1,    -1,   193,    -1,    -1,
      -1,    35,   198,    -1,    -1,    -1,    -1,    -1,  3600,    -1,
    3602,    45,    -1,    -1,    -1,   393,    -1,    -1,    52,    -1,
      -1,    -1,    -1,    -1,    -1,   221,   222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2296,
      -1,    -1,    -1,    -1,    78,    -1,    -1,  1040,   244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1051,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1067,    -1,    -1,    -1,  2800,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     286,    -1,    -1,  2350,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   300,    -1,    -1,   303,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,   512,    -1,    -1,    -1,    -1,   517,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,  3746,    -1,    17,    18,    19,   193,
    3752,    -1,    -1,    -1,   198,    -1,    -1,  2889,    -1,    -1,
      -1,    -1,    -1,    -1,    35,  2897,    -1,    -1,  2900,    -1,
      -1,    -1,    -1,    -1,    45,    -1,    -1,   221,   222,    -1,
    2912,    52,    -1,    -1,    -1,    -1,    -1,   393,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     244,    10,    -1,    -1,    13,    -1,    -1,    78,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4043,    -1,
      -1,  1224,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,
      39,    -1,    -1,    -1,    -1,    -1,    45,    -1,  4063,  4064,
    4065,  4066,   286,    52,  4069,  4070,  4071,  4072,  4073,  4074,
    4075,  4076,  4077,  4078,    -1,    -1,   300,    -1,    -1,   303,
    2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,    78,
    2537,    -1,  4097,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2547,  2548,    -1,  2550,    -1,    -1,    -1,    -1,    -1,   495,
    2557,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,   512,    -1,  4133,  4134,
      -1,   517,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2586,
     129,  2588,   193,    -1,  2591,  2592,    -1,   198,  2595,    -1,
    2597,    -1,    -1,  2600,    -1,    -1,  3938,  2604,  3940,    -1,
    3942,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   393,
     221,   222,    -1,  4178,    -1,    -1,    -1,    -1,    -1,    -1,
    2627,    -1,    -1,    -1,    -1,    -1,  2633,  2634,    -1,    -1,
      -1,    -1,    -1,   244,    -1,    -1,    -1,  2644,  1381,    -1,
      -1,    -1,    -1,    -1,   193,    -1,  2653,  2654,    -1,   198,
     648,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2667,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2675,    -1,
    2677,    -1,   221,   222,    -1,   286,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3159,    -1,   300,
      -1,    -1,   303,    -1,    -1,   244,    -1,    -1,    -1,    -1,
     698,   699,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2717,   495,  2719,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,   512,    -1,
    2737,    -1,    -1,   517,    -1,    -1,    -1,   286,    -1,  1482,
      -1,  2748,    -1,    -1,  2751,  2752,  2753,  2754,    -1,    -1,
    2757,   300,    -1,  2760,   303,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2781,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   393,    -1,    -1,  2792,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2800,  2801,    -1,   794,    -1,    -1,    -1,
    2807,    10,    -1,    -1,    13,    -1,  1549,    -1,    -1,  2816,
      -1,    -1,    -1,    -1,    -1,    -1,   814,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   822,    -1,    -1,   825,   826,   827,
      -1,  2838,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    52,   393,    -1,    -1,  1590,    -1,    -1,
      -1,    -1,  2859,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2872,    -1,    -1,    -1,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1623,    -1,    -1,    -1,   495,    -1,    -1,    -1,  2895,    -1,
      -1,  2898,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,   454,   517,  3379,    -1,  3381,
      -1,  4476,    -1,    -1,    -1,    -1,    -1,  2924,  2925,    -1,
      -1,    -1,    -1,    -1,    -1,  3397,    -1,    -1,    -1,    -1,
      -1,    -1,  2939,    -1,  2941,  2942,    -1,    -1,   147,    -1,
      10,    -1,    -1,    13,    -1,    -1,   495,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,   512,    -1,    35,  2973,  2974,  2975,    -1,
      -1,    -1,  2979,  3445,  3446,    45,    -1,    -1,    -1,    -1,
    2987,    -1,    52,    -1,   193,    -1,    -1,    -1,    -1,   198,
      -1,    -1,    -1,  3000,    -1,    -1,    -1,    -1,    -1,  3006,
      -1,  3008,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,
      -1,    -1,    -1,    -1,  3021,    -1,    -1,    -1,    -1,  3026,
      -1,    -1,    -1,    -1,    10,  3032,    -1,    13,  3035,    -1,
      -1,    -1,  1030,    -1,    -1,   244,    -1,    -1,    -1,    -1,
    3047,  3048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3058,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,
      -1,  3068,    -1,  3070,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    -1,  1815,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    13,  1826,    -1,    -1,    17,    18,    19,    -1,
      -1,   300,    78,    -1,    -1,    -1,    -1,    -1,    -1,  1842,
      -1,    -1,  3109,    -1,  3111,    -1,  3113,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,
      -1,    52,    -1,   193,    -1,    -1,    -1,    -1,   198,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4702,    -1,  3146,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,
      -1,   221,   222,  1896,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,  1911,    -1,
      -1,  1914,  1915,    -1,   244,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   393,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3200,  3201,    -1,  3203,    -1,  3205,  3206,
      -1,  3208,  1945,  1946,    -1,    -1,    -1,   193,  3215,    -1,
      -1,    -1,   198,  3220,    -1,    -1,   286,    -1,    -1,    -1,
      -1,    -1,    -1,  1221,    -1,    -1,    -1,    -1,    -1,    -1,
     300,    -1,    -1,   303,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1248,    -1,    -1,  4595,    -1,    -1,  4598,    -1,   244,  3266,
    3267,  3268,   193,    -1,  3271,    -1,    -1,   198,    -1,    -1,
      -1,    -1,  3279,  3280,  3281,  3282,    -1,    -1,    -1,    -1,
      -1,    -1,    51,    -1,    -1,  4627,   495,    -1,  3295,    -1,
      -1,  3298,    -1,  3300,    -1,    -1,    -1,    -1,   507,   508,
     509,   510,   511,   512,    -1,  3312,  3313,    -1,    -1,  3316,
      -1,    -1,    -1,   244,   300,    -1,    -1,    10,    -1,    -1,
      13,    -1,    -1,   393,    17,    18,    19,    -1,  3335,    -1,
    3337,    -1,  3339,    -1,  3341,    -1,  1334,    -1,    -1,    -1,
      -1,  2084,    35,    -1,    -1,  1343,    -1,  3819,    -1,    -1,
      -1,    -1,    45,  3360,    -1,    -1,  3363,    -1,    -1,    52,
    3367,  1359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   300,
    3842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1378,  3388,    -1,  1381,  1382,    78,    -1,    -1,  1386,  1387,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   393,    -1,    -1,
    3417,    -1,    -1,  3420,  3421,    -1,    -1,    -1,  3425,  3426,
    3427,    -1,    -1,    -1,    -1,   495,  3433,    -1,    -1,    -1,
      -1,  3438,    -1,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,   512,    -1,    -1,    25,  3453,   517,    -1,    -1,
      -1,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3467,    -1,   393,    -1,  3471,    -1,    46,  3474,  3475,    -1,
    3477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,    -1,  4836,    -1,    76,    -1,    -1,    -1,
     193,    -1,    25,    35,    -1,   198,    -1,    -1,    31,   495,
      -1,  3518,    -1,    45,    -1,    38,  3523,    -1,    -1,    -1,
      52,   507,   508,   509,   510,   511,   512,  3999,   221,   222,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    60,  4880,  4881,
      -1,    -1,  3549,  3550,    -1,    -1,    78,    -1,    -1,    -1,
     130,   244,   132,    76,    -1,    -1,    -1,    -1,    -1,   139,
      -1,    -1,   142,    -1,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,    -1,    -1,    -1,   111,   169,
      -1,    -1,    -1,   286,    -1,  5160,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   300,    -1,   132,
     303,    -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,   142,
      -1,    -1,    -1,    -1,    -1,   205,  3633,    -1,    -1,    -1,
      -1,    -1,  4974,  4975,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1641,    -1,    -1,   169,  5212,    -1,    -1,
    3657,  1649,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3667,   193,    -1,    -1,    -1,    -1,   198,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   201,    -1,
      -1,    -1,   205,    -1,    -1,    -1,    -1,    -1,    -1,   221,
     222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   279,
     393,    -1,    -1,   283,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   244,   293,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   314,    -1,   259,    -1,    -1,    -1,
      -1,   264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   286,    -1,   279,    -1,    -1,    -1,
     283,    -1,  5104,    -1,    -1,  5107,  5108,    -1,   300,  3776,
     293,   303,    -1,   353,    -1,  3782,   356,   357,    -1,   302,
      -1,    -1,    -1,    -1,    -1,  5127,  3793,    -1,    -1,    -1,
     313,   314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   495,    -1,    -1,    -1,    -1,    -1,   388,    -1,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,   512,
      -1,    -1,   515,  3830,  3831,  3832,    -1,    -1,    -1,    -1,
     353,    -1,    -1,   356,   357,   358,    -1,    -1,    -1,    -1,
    3847,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3861,    -1,    -1,    -1,    -1,   382,
      -1,   393,    -1,    -1,  4336,   388,  1864,    -1,    -1,    -1,
    1868,    -1,  3879,  3880,  3881,    25,    -1,   457,  3885,   402,
      -1,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5454,
    3897,    -1,  4364,    -1,    -1,    -1,    46,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4378,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4389,    -1,  5484,
      -1,    -1,    -1,    -1,    -1,    -1,    76,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   457,    -1,    -1,    -1,    -1,   708,
      -1,    -1,    -1,    -1,  2687,    -1,  3953,    -1,  2691,  2692,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3967,  3968,    -1,   495,    -1,   734,    -1,    -1,    -1,    -1,
      -1,  3978,   504,   505,   506,   507,   508,   509,   510,   511,
     512,    -1,   132,    -1,  3991,   517,    -1,    -1,    -1,   139,
      -1,    -1,   142,  4465,  4466,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4010,    -1,    -1,    -1,  2750,    -1,    -1,
      -1,    -1,  4019,  2756,    -1,    -1,    -1,    -1,    -1,   169,
      -1,    -1,    -1,    -1,    -1,    -1,  4033,    -1,    -1,    -1,
    4037,  4038,    -1,    -1,    -1,    -1,  4043,    -1,    -1,    -1,
    2038,    -1,    -1,    -1,    -1,    -1,  4053,    -1,  4055,    -1,
      -1,  4058,    -1,    -1,  2797,   205,  4063,  4064,  4065,  4066,
      -1,    -1,  4069,  4070,  4071,  4072,  4073,  4074,  4075,  4076,
    4077,  4078,    -1,    -1,    -1,  4082,  4083,  4084,    -1,    -1,
      -1,  4553,    -1,    -1,    -1,  4092,    -1,    -1,    -1,    -1,
    4097,    -1,    -1,    -1,  4101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4109,    -1,    -1,  4112,    -1,  4114,   877,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4130,    -1,    -1,  4133,  4134,    -1,   279,
      -1,  4138,  4139,   283,  4606,    -1,  4143,    -1,  4145,  4146,
      -1,    -1,    -1,   293,    -1,    -1,    -1,  4154,  4155,  4156,
      -1,    -1,   302,    -1,  5719,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   314,    -1,    -1,  4174,  4175,  4176,
      -1,  4178,  4179,    -1,    -1,  4182,    -1,    -1,    -1,  4186,
      -1,    -1,    -1,  4190,    -1,  5527,    -1,    10,    -1,  4196,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,   353,    -1,    -1,   356,   357,    -1,    -1,
      -1,    -1,    35,    -1,    23,  4222,    -1,    -1,    -1,    28,
      -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,
    4237,    -1,  4239,    -1,    -1,    -1,    -1,    -1,   388,    -1,
    5582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4257,  4258,  1021,  4260,    -1,    78,  4263,    66,    -1,    -1,
      -1,    -1,    -1,    -1,  3007,    -1,    -1,    -1,    -1,    -1,
      79,  1040,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1051,    -1,    -1,    -1,    95,    -1,    -1,    -1,
      -1,  4298,  4299,    -1,    -1,    -1,    -1,    -1,  1067,    -1,
      -1,    -1,    -1,    -1,   113,    -1,    -1,   457,    -1,    -1,
    4317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5891,    -1,   137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3080,    -1,   148,
      -1,  3084,    -1,    -1,    -1,    -1,    -1,    -1,   157,    -1,
      -1,    -1,    -1,    -1,  5696,    -1,    -1,    -1,    -1,    -1,
      -1,   170,    -1,    -1,    -1,  4372,    -1,   176,    -1,    -1,
     193,    -1,    -1,    -1,    -1,   198,    -1,    10,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,  4861,
      -1,    -1,    -1,    -1,   203,  4867,    -1,    -1,   221,   222,
    4872,    -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,
    4427,   244,    -1,    -1,    -1,    -1,    -1,  4899,  4900,    -1,
      -1,    -1,  4904,  4905,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3187,    78,    -1,    -1,    -1,   258,
      -1,    -1,    -1,  4460,    -1,  1224,    -1,    -1,    -1,  3202,
    6025,  6026,    -1,   286,  3207,    -1,    -1,  4474,    -1,  4476,
      -1,    -1,    -1,    -1,    -1,    -1,  4483,   300,    -1,    -1,
     303,    -1,  4489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   300,    -1,  4500,  3237,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4515,    -1,
      -1,    -1,    -1,  4520,  4521,    -1,    -1,    -1,    -1,    -1,
      -1,  4528,    -1,    -1,    -1,   334,   335,    -1,    -1,   338,
    4537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4547,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4559,  4560,    -1,    -1,   365,    -1,    -1,   368,
     193,    -1,    -1,  4570,    -1,   198,   375,    -1,    -1,  2567,
     393,    -1,    -1,   382,  4581,  4582,   385,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,   222,
      -1,    -1,  4599,    -1,    -1,   404,    -1,    -1,    -1,    -1,
      -1,    -1,   411,    -1,    -1,    -1,    -1,    -1,    -1,   418,
      -1,   244,   421,    -1,    -1,    -1,   425,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,
      -1,   440,    -1,  4640,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4656,
      -1,    -1,    -1,   286,    -1,    -1,    -1,   466,    -1,    -1,
      -1,    -1,    -1,    -1,  4671,    -1,    -1,   300,    -1,    -1,
     303,    -1,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,   512,
      -1,    -1,  4699,    -1,   517,  4702,    -1,    -1,    -1,    -1,
    6042,    -1,    -1,  4710,  4711,    -1,    -1,    -1,    -1,    -1,
    4717,  4718,    -1,  1482,    -1,  4722,    -1,  2715,    -1,    -1,
    4727,    -1,    -1,  4730,  4731,    -1,    -1,    -1,    -1,    -1,
    4737,    -1,    -1,    -1,  4741,  4742,  4743,  4744,    -1,    -1,
      -1,    -1,    -1,    -1,  3487,    -1,    -1,  3490,    -1,  3492,
    4757,    -1,    -1,  4760,  3497,    -1,    -1,  4764,    -1,    -1,
     393,    -1,  4769,    -1,    -1,  4772,  4773,    -1,  4775,    -1,
    4777,    -1,    -1,  4780,    -1,  4782,    -1,  2775,    -1,    -1,
    1549,    -1,    10,    -1,  4791,    13,    -1,    -1,  4795,    17,
      18,    19,  4799,    -1,  4801,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3546,    -1,    -1,    -1,    35,    -1,  4816,
      -1,  3554,  4819,    -1,    -1,    -1,    -1,    45,    -1,    -1,
      -1,  1590,    -1,    -1,    52,    -1,    -1,  5299,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3579,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4854,    -1,    -1,
      78,  4858,    -1,    -1,  1623,    -1,    -1,  2855,    -1,    -1,
      -1,    -1,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,   512,
      -1,  2879,    -1,    -1,   517,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3649,    -1,  3651,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4924,    -1,    -1,
      -1,    -1,    -1,    -1,  4931,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1703,  1704,  1705,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2943,  4953,    -1,    -1,  2947,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4968,    -1,    -1,    -1,   193,    -1,    -1,    -1,    -1,
     198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2984,    -1,  2986,    -1,
    2988,  2989,  4999,   221,   222,  2993,  2994,  2995,    -1,  2997,
    2998,  2999,    -1,    -1,  3747,    -1,    -1,    -1,  5015,    -1,
      -1,    -1,    -1,    -1,    -1,  5022,   244,    -1,    -1,    -1,
      10,    -1,    -1,    13,  5031,    -1,    23,    17,    18,    19,
      -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5046,
      -1,    -1,    -1,    -1,    -1,    35,  1815,    -1,  3791,    -1,
      -1,    -1,  5059,  3051,  5061,    45,    -1,  1826,   286,    -1,
      -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   300,  1842,    -1,   303,  3819,    -1,  3076,    -1,
    5087,    -1,    79,    80,    -1,    -1,    -1,    -1,    78,    -1,
      -1,  5098,    -1,    -1,    -1,    -1,    -1,    -1,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5587,   113,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1896,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     137,    -1,  1911,    -1,  3887,  1914,  1915,    -1,    25,    -1,
    5157,   148,    -1,  5160,    31,    -1,  5163,  5164,  5165,    -1,
     157,    -1,    -1,    -1,    -1,   393,  3909,    -1,    -1,    -1,
      -1,    -1,    -1,   170,    -1,    -1,  1945,  1946,    -1,   176,
      -1,  5188,  5189,    -1,    -1,  5192,    -1,    -1,  3931,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    76,
      -1,    -1,    -1,   193,    -1,  5212,   203,    -1,   198,    -1,
      -1,  5218,    -1,    -1,    -1,  5222,    -1,    -1,    -1,  5226,
      -1,    -1,  5229,    -1,  5231,    -1,    -1,    -1,    -1,    -1,
      -1,   221,   222,    -1,    -1,  5242,    -1,    -1,  5245,   236,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5256,
    5257,  5258,    -1,  5260,   244,   132,    -1,    -1,    -1,    -1,
      -1,   258,   139,    -1,    -1,   142,    -1,   495,    -1,    -1,
    4013,    -1,    -1,    -1,    -1,  2044,   504,   505,   506,   507,
     508,   509,   510,   511,   512,    -1,    -1,  2056,    -1,   517,
    2059,    -1,   169,    -1,    -1,    -1,   286,    -1,    -1,    -1,
      -1,    -1,    -1,  5310,  5311,    -1,    -1,  5779,    -1,    -1,
     300,    -1,    -1,   303,    -1,  2084,    -1,    -1,    -1,  4062,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   334,   335,    -1,
      -1,   338,    -1,    -1,  4087,    -1,    -1,    -1,  5355,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5369,    -1,    -1,    -1,    -1,  5374,   365,    -1,
      -1,   368,  5379,    -1,    -1,    -1,    -1,    -1,   375,    -1,
      -1,  5388,    -1,  3381,    -1,   382,    -1,    -1,   385,    -1,
      -1,  5398,    -1,    -1,    -1,  5402,    -1,    -1,  5405,    -1,
      -1,    -1,   279,   393,    -1,    -1,   283,   404,    -1,  5416,
    5417,  5418,    -1,    -1,   411,    -1,   293,    -1,    -1,    -1,
      -1,   418,    -1,    -1,   421,   302,    -1,    -1,   425,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,    -1,    -1,
      -1,    -1,    -1,   440,    -1,    -1,    -1,  5454,    -1,    -1,
      -1,  5458,    -1,  5460,    -1,    -1,    -1,    10,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,  5474,    -1,   466,
      -1,    -1,    -1,    -1,  5481,    -1,   353,  5484,    -1,   356,
     357,  5488,    35,    -1,    -1,    -1,    -1,    -1,  5495,    -1,
      -1,    -1,    45,    -1,    -1,  5502,    -1,    -1,    -1,    52,
      -1,    -1,  4245,    -1,    -1,   495,    -1,    -1,    -1,    -1,
      -1,   388,    -1,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,   512,    -1,    -1,    78,    -1,   517,    -1,    -1,
    5537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5549,    -1,    -1,  3543,    -1,    -1,    -1,    -1,
      25,    -1,    -1,    -1,    10,    -1,    31,    13,  5565,    -1,
      -1,    17,    18,    19,  5571,  5572,    -1,    -1,    -1,  5576,
    5577,  5578,  5579,    -1,    -1,    -1,    -1,    -1,    -1,    35,
     457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,
      -1,    -1,    -1,  4336,    -1,    -1,    52,    -1,    -1,    -1,
    5607,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5616,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4364,    78,  3621,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5641,    -1,    -1,  5644,    -1,    -1,
     193,     8,    -1,    -1,    -1,   198,    -1,    14,    15,    -1,
      -1,    -1,    -1,    20,    -1,    22,    -1,   132,    -1,    -1,
      -1,    28,  5669,    30,   139,    -1,    -1,   142,   221,   222,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3679,    49,    50,    -1,    -1,    -1,    -1,    -1,    -1,
    5697,   244,    -1,    -1,   169,    -1,    -1,    -1,    -1,  5706,
    5707,  5708,    -1,    -1,    -1,  5712,    -1,    -1,    -1,  5716,
      -1,    -1,  5719,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5728,    -1,  5730,    -1,  5732,  5733,    -1,  6200,    -1,
     205,    -1,  5739,   286,    -1,    -1,    -1,   193,    -1,    -1,
      -1,    -1,   198,  5750,    -1,  5752,    -1,   300,    -1,    -1,
     303,  3749,    -1,    -1,    -1,  5762,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4506,    -1,   221,   222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6246,    -1,    -1,    -1,    -1,    -1,
      -1,  2550,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,
    5797,  5798,  6264,    -1,    -1,    -1,    -1,    -1,    -1,  3797,
      -1,    -1,    -1,    -1,   279,    -1,    -1,    -1,   283,    -1,
    4553,  3809,  3810,    -1,    -1,  4558,    -1,    25,   293,    -1,
    5827,  3819,    -1,    31,    -1,    -1,  3824,   302,  3826,    -1,
     286,    -1,    -1,   200,  5841,    -1,    -1,   204,    -1,   314,
     393,    -1,    -1,    -1,   300,   212,    -1,   303,   215,    -1,
      -1,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,    -1,    -1,    -1,    -1,    -1,    -1,    76,    -1,
      -1,  5878,    -1,    -1,  3872,    -1,    -1,    -1,   353,    -1,
      -1,   356,   357,    -1,  5891,    -1,    -1,    -1,  5895,    -1,
      62,    -1,    -1,    -1,  5901,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5910,  5911,    -1,    -1,    -1,    -1,  3907,
    3908,    -1,    -1,   388,    -1,    -1,    -1,    -1,  2687,    -1,
      -1,  5928,  2691,  2692,   132,    97,    -1,    -1,    -1,    -1,
      -1,   139,    -1,    -1,   142,    -1,  5943,   393,    -1,    -1,
      -1,    -1,   495,  5950,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,   512,
      -1,   169,    -1,    -1,   517,    -1,    -1,    -1,  5975,    -1,
    4713,    -1,    -1,    -1,    -1,  5982,    -1,    -1,    -1,    -1,
      -1,  2750,   457,    -1,    -1,  5992,   158,  2756,    -1,    -1,
      -1,    -1,    -1,  6000,  6001,  6002,    -1,   205,    -1,  6006,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6018,  6019,  6020,    -1,    -1,    -1,    -1,  6025,  6026,
      -1,    -1,    -1,   195,  6031,    -1,    -1,    -1,  2797,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   495,
      -1,    -1,    -1,    -1,    -1,    -1,  6053,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,   512,    -1,    -1,    -1,
      -1,   517,    -1,    -1,    -1,    -1,    -1,    -1,   240,    -1,
      -1,   279,    -1,    -1,    -1,   283,  6083,  6084,  6085,    -1,
      -1,    25,  6089,    -1,    -1,   293,    -1,    31,    -1,    -1,
      -1,    -1,    -1,    -1,   302,  4838,    -1,    -1,    -1,    -1,
    6107,  6108,    -1,    -1,    -1,    -1,   314,   279,    -1,    -1,
    4108,   283,    -1,    -1,    -1,  6122,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6138,    76,    -1,    -1,    -1,  4879,    -1,    -1,    -1,
      -1,    -1,   314,   315,    -1,   353,    -1,    -1,   356,   357,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4901,    -1,
      -1,    -1,    -1,    -1,  6171,  6172,  6173,  6174,  6175,    -1,
      -1,  6178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     388,   353,    -1,  6190,    -1,   357,  6193,    -1,   132,    -1,
     362,    -1,    -1,    -1,    -1,   139,    -1,    -1,   142,   371,
      -1,    -1,    -1,    -1,    -1,    -1,  2975,  6214,   380,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   388,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   169,  6233,  6234,   400,    -1,
    4973,  6238,    -1,    -1,    -1,  6242,    -1,   409,  3007,    -1,
      -1,   413,    -1,    -1,    -1,    -1,    -1,  6254,  6255,   457,
      -1,  6258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   646,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     657,    -1,     0,    -1,   661,    -1,   468,    -1,    -1,    -1,
      -1,   668,   669,    -1,    -1,   672,    -1,   674,   675,    -1,
      -1,  3080,    20,    -1,    -1,  3084,    -1,    -1,    -1,    -1,
      -1,    -1,   689,    31,    -1,    33,    34,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   279,    -1,    -1,  4336,   283,
     707,    -1,    -1,    51,    -1,    -1,    -1,    -1,    -1,   293,
      -1,  5094,    -1,    61,    -1,    -1,    -1,    -1,   302,    -1,
      -1,   728,    -1,   730,    -1,    73,  4364,    75,    76,    -1,
     314,    -1,    -1,   740,    82,    -1,    84,    -1,    -1,    -1,
      -1,  4379,    -1,    -1,  4382,    -1,  4384,    -1,    96,    -1,
      98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   773,   115,    -1,   353,
     118,    -1,   356,   357,    -1,    -1,    -1,    -1,  3187,    -1,
      -1,    -1,    -1,    -1,    -1,   133,    -1,   135,    -1,    -1,
      -1,   139,  4430,  3202,    -1,    -1,    -1,   145,  3207,    -1,
      -1,    -1,    -1,    25,   388,   153,    -1,   155,  4446,    31,
      -1,    -1,    -1,  4451,   162,    -1,    38,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3237,    -1,
      -1,    -1,   180,    -1,    -1,    -1,    -1,    -1,    60,    -1,
      -1,    -1,    -1,    -1,    -1,  5228,    -1,   854,    -1,   197,
      -1,    -1,    -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      25,    -1,    -1,   457,    -1,    -1,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,   247,
      -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,
     132,    -1,  4550,    -1,    -1,  4553,  5299,   139,    -1,   267,
     142,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   939,    -1,    -1,    -1,    -1,   285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   132,    -1,   201,
      -1,   329,    -1,   205,   139,    -1,    -1,   142,    -1,    -1,
      -1,  4629,  4630,  4631,  4632,   343,  4634,  4635,  4636,  4637,
    4638,   349,   350,    -1,   352,    -1,  1013,    -1,    -1,   357,
      -1,    -1,    -1,    -1,   169,   363,    -1,    -1,   366,    -1,
      -1,    -1,    -1,    -1,    -1,   373,    -1,    -1,    -1,    -1,
      -1,  1038,   380,   381,    -1,    -1,    -1,   259,  5421,    -1,
     388,    -1,   264,    -1,   392,    -1,  1053,    -1,  1055,    -1,
     205,    -1,    -1,    -1,   402,    -1,    -1,   279,  1065,    -1,
      -1,   283,    -1,    -1,    -1,  1072,    -1,    -1,    -1,    -1,
     418,   293,    -1,    -1,    -1,    -1,    -1,    -1,  3487,    -1,
     302,  3490,    -1,  3492,    -1,    -1,    -1,    -1,  3497,    -1,
     438,   313,   314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   449,    -1,    -1,    -1,    -1,    -1,   455,  1115,    -1,
    1117,  4749,   460,  4751,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   279,   473,    -1,    -1,   283,    -1,
      -1,   353,    -1,    -1,   356,   357,   358,  3546,   293,    -1,
      -1,    -1,    -1,    -1,    -1,  3554,    -1,   302,    -1,   497,
      -1,   499,   500,   501,   502,   503,    -1,    -1,    -1,   314,
     382,    -1,    -1,    -1,    -1,    -1,   388,    -1,   516,    -1,
    3579,   519,  5555,    -1,    -1,     0,    -1,  5560,  5561,    -1,
     402,    -1,    -1,    -1,  1191,    -1,  1193,    -1,  1195,    -1,
    1197,    -1,  1199,  1200,  1201,    20,    -1,    -1,   353,  1206,
      -1,   356,   357,    -1,    -1,    -1,    31,    -1,    33,    34,
      -1,  1218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,
      -1,    -1,    -1,   388,    -1,   457,    61,    -1,    -1,    -1,
    3649,    -1,  3651,    -1,    -1,    -1,    -1,    -1,    73,    -1,
      75,    76,    -1,    10,    -1,    -1,    13,    82,    -1,    84,
      17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    96,    -1,    98,    -1,    -1,    -1,    -1,    35,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,
     115,  5674,    -1,   118,    -1,    52,    -1,    -1,    -1,    -1,
      -1,    -1,   457,    -1,    -1,    -1,    -1,    -1,   133,    -1,
     135,    -1,    -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,
     145,    78,    -1,    -1,    -1,    -1,    -1,    -1,   153,    -1,
     155,    -1,    -1,  4971,  4972,    -1,    -1,   162,  3747,    -1,
    5723,    -1,    -1,    -1,    -1,    -1,  4984,    -1,  4986,  4987,
    4988,    -1,   206,   207,    -1,   180,    -1,    -1,    -1,    -1,
     214,    -1,   216,   217,    -1,    -1,    -1,  3776,    -1,    -1,
      -1,    -1,   197,  3782,    -1,    -1,   230,    -1,    -1,    -1,
      -1,    -1,  3791,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1403,    -1,    -1,    -1,
      25,    -1,    -1,    -1,    -1,    -1,    31,    -1,    -1,    -1,
    3819,    -1,    -1,    -1,  5052,    -1,    -1,    -1,    -1,    -1,
      -1,   246,   247,    -1,    -1,    -1,    -1,   252,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,
      -1,   198,   267,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    76,    -1,  5091,    -1,    -1,    -1,    -1,    -1,    -1,
     285,    -1,    -1,    -1,   221,   222,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3887,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    10,   244,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,  5134,    -1,    -1,    -1,
    3909,    -1,    -1,    -1,   329,    -1,    -1,   132,    -1,    -1,
      -1,    35,    -1,    -1,   139,    -1,  1523,   142,   343,    -1,
      -1,    45,  3931,    -1,   349,   350,    -1,   352,    52,   286,
      -1,    -1,   357,    -1,    -1,    -1,    -1,    -1,   363,    -1,
      -1,   366,    -1,   300,   169,    -1,   303,    -1,   373,    -1,
      -1,    -1,    -1,    -1,    78,   380,   381,    -1,    -1,    -1,
      -1,    -1,    -1,   388,    -1,    -1,    -1,   392,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,
     205,    -1,    -1,    -1,    -1,    -1,    -1,    10,  1595,    -1,
      13,    -1,    -1,   418,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4013,    -1,    -1,    10,    -1,    -1,
      13,    -1,    35,   438,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    45,    -1,   449,    -1,    -1,    -1,    -1,    52,
     455,    -1,    35,    -1,    -1,   460,   393,    -1,    -1,    -1,
      -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,   473,    52,
      -1,    -1,    -1,  4062,   279,    78,    -1,    -1,   283,    -1,
      -1,  5299,    -1,    -1,    -1,    -1,    -1,    -1,   293,   193,
      -1,    -1,   497,    -1,   198,    78,    -1,   302,  4087,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,
      -1,   516,    -1,    -1,   519,    -1,    -1,   221,   222,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5345,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5354,    -1,    -1,    -1,
     244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   353,    -1,
      -1,   356,   357,    -1,    -1,    -1,    -1,    -1,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,   512,    -1,    -1,    -1,    -1,
     517,    -1,   286,   388,    -1,    -1,    -1,    -1,    -1,    -1,
     193,    -1,    -1,    -1,    -1,   198,   300,    -1,    -1,   303,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     193,   645,    -1,    -1,    -1,   198,    -1,    -1,   221,   222,
      -1,    -1,    -1,    -1,  1811,    -1,    -1,    -1,    -1,    -1,
     664,    -1,    -1,    -1,    -1,    -1,   670,    -1,   221,   222,
      -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,   682,    -1,
      -1,    -1,   457,    -1,    -1,    -1,  4245,    -1,    -1,  1846,
      -1,   244,    -1,    -1,   698,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   712,   713,
      -1,    -1,    -1,   286,    -1,   719,    -1,   721,   722,   393,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   300,    -1,    -1,
     303,   735,    -1,   286,    -1,  1892,    -1,    -1,    -1,    -1,
      -1,   745,    -1,    -1,    -1,    -1,    -1,   300,    -1,    -1,
     303,    -1,    -1,    -1,    -1,  1912,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4336,    -1,    -1,
      -1,  1938,    -1,  1940,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   798,    -1,    -1,    -1,  1955,  5587,
    1957,    -1,    -1,  5591,    -1,  4364,  1963,    -1,  1965,    -1,
    1967,    -1,  1969,    -1,  1971,    -1,    -1,    -1,  1975,    -1,
     393,   495,   826,    -1,    -1,    -1,    -1,    51,    -1,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,   512,    -1,
     393,    -1,    -1,   517,    -1,    -1,    -1,   851,    -1,    -1,
      10,    -1,    -1,    13,    -1,  2012,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,
      -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   913,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,
      -1,    -1,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,   512,
      -1,    -1,   495,    -1,   517,    -1,    -1,  4506,    -1,    -1,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,   512,
      -1,    -1,    -1,    -1,   517,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4553,    -1,    -1,    -1,    -1,  4558,
      -1,  5789,    -1,    -1,    -1,  5793,    -1,  5795,    -1,    -1,
      -1,  5799,  5800,    23,    -1,    -1,    -1,    -1,    28,  1023,
      -1,    -1,    -1,    -1,    -1,    -1,  1030,    -1,    -1,    -1,
      -1,    -1,    -1,   193,    -1,    -1,    -1,  1041,   198,    -1,
      -1,  1045,    -1,  1047,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,
      -1,   221,   222,    10,    -1,    -1,    13,    -1,    -1,    79,
      17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   244,    95,    -1,    -1,    35,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,
      -1,    -1,    -1,   113,    -1,    52,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   286,   137,    -1,    -1,
      -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,
     300,    -1,    -1,   303,    -1,    -1,    -1,   157,    -1,    -1,
    1154,    -1,    -1,    -1,  4713,    -1,    -1,    -1,    -1,    -1,
     170,    -1,    -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,
      -1,    -1,    -1,   183,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1215,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1226,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   393,    -1,    -1,    -1,    -1,    -1,  1243,
      -1,    -1,    -1,    -1,  1248,    -1,   193,    -1,   258,    -1,
      -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6059,    -1,    -1,   221,   222,    -1,    -1,    -1,  4838,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     300,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,
      -1,    -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   324,    -1,    -1,    -1,    -1,    -1,
    4879,    -1,    -1,    -1,   334,   335,    -1,    -1,   338,    -1,
      -1,    -1,    -1,    -1,    -1,   495,    -1,    -1,    -1,   286,
      -1,    -1,  4901,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   300,    -1,   365,   303,   517,   368,    -1,
      -1,    -1,   372,    -1,    -1,   375,    -1,    -1,    -1,    -1,
      -1,    -1,   382,    -1,  1378,   385,    -1,    -1,    -1,    -1,
      -1,    -1,  1386,  1387,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   404,    -1,    -1,    -1,    -1,    -1,
      -1,   411,    -1,    -1,    -1,    -1,    -1,    -1,   418,    -1,
      -1,   421,  6200,    -1,  4973,   425,  6204,    -1,    -1,    -1,
      -1,    -1,    -1,   433,    -1,   435,    -1,    -1,    -1,    -1,
     440,    -1,    -1,    -1,    -1,  1439,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   453,    -1,    -1,   393,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   466,    -1,  6246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6264,    -1,    -1,  6267,
      -1,    -1,    -1,    -1,   708,    -1,    -1,    -1,    -1,    -1,
      -1,    51,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     734,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2681,  2682,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5092,    -1,  5094,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2700,  2701,    -1,  2703,  2704,   495,    -1,
      -1,  2708,  2709,    -1,    -1,    -1,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,   512,  2723,    -1,    -1,    -1,
     517,    -1,    -1,    -1,  2731,    -1,    -1,    -1,  2735,  2736,
      -1,    -1,  2739,  2740,    -1,    -1,    -1,    -1,    -1,  2746,
      -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,
      -1,  2758,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2770,    -1,    -1,    -1,    -1,  2775,    -1,
      35,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      45,    -1,    -1,  2790,    -1,    -1,    -1,    52,    -1,    -1,
      -1,    -1,  2799,    -1,    -1,  2802,    -1,  2804,  2805,  2806,
      -1,    -1,    -1,   877,  2811,  2812,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,  2821,    -1,    -1,    -1,    -1,  5228,
    2827,    -1,    -1,    -1,  2831,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1688,    -1,  2843,  2844,    -1,    -1,
      -1,  2848,    -1,    -1,    -1,    -1,    -1,  2854,  2855,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,  2868,    -1,    -1,  2871,    -1,    -1,    -1,    -1,    -1,
      -1,  2878,  2879,    -1,    35,    -1,    -1,  2884,    -1,    -1,
      -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,  2896,
    5299,    52,  2899,    -1,    -1,    -1,    -1,  2904,    -1,    -1,
      -1,    -1,    -1,  2910,  2911,    -1,    -1,    -1,    -1,    -1,
      -1,  2918,    -1,    -1,    -1,  2922,    -1,    78,    -1,  2926,
    2927,  2928,  2929,    -1,  2931,    -1,    -1,    -1,   193,    -1,
      -1,    -1,    -1,   198,    -1,    -1,    -1,    -1,  2945,  2946,
      -1,  2948,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1803,
      -1,    -1,  2959,  2960,  2961,    -1,   221,   222,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1040,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1051,    -1,   244,
      -1,    -1,    -1,    -1,  1838,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1067,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1861,    -1,  3016,
      -1,    -1,  5421,    -1,    -1,  1869,    -1,  3024,    -1,    -1,
      -1,   286,    -1,  1877,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   193,    -1,    -1,   300,  3043,   198,   303,    -1,
      -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,
      -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,
     221,   222,    -1,    -1,  1918,  1919,    -1,  1921,  1922,    -1,
      35,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1933,
      45,  1935,  1936,   244,    -1,    -1,  3093,    52,    -1,    -1,
      -1,    -1,    -1,    -1,  1948,  1949,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3112,    -1,  3114,    -1,    -1,
      -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   286,    -1,    -1,   393,    -1,
      -1,    -1,  1986,    -1,    -1,    -1,  1990,  1991,    -1,   300,
      -1,    -1,   303,    -1,    -1,    -1,  5555,    -1,    -1,    -1,
    1224,  5560,  5561,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    51,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    -1,  3209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,   193,    -1,
     495,    -1,   393,   198,    -1,    -1,    -1,    -1,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,   512,    -1,    -1,
      -1,  2105,   517,    -1,    -1,    -1,   221,   222,    -1,    -1,
      -1,    -1,    -1,    -1,  5673,  5674,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,
      -1,    -1,    -1,   207,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,   708,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5723,    -1,    -1,    -1,    -1,    -1,
      -1,   286,    -1,    -1,   734,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   495,   300,    -1,   193,   303,    -1,
      -1,    -1,   198,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,    -1,   517,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   221,   222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,    -1,  1482,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,   393,    -1,
     286,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   300,    -1,    -1,   303,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    -1,    -1,    -1,    -1,    -1,    -1,   877,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1549,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    -1,  3520,    -1,    -1,  1590,    -1,    -1,    -1,
      -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,
     495,    -1,    -1,    -1,  3541,    -1,    -1,   393,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,   512,    -1,  1623,
     168,  3558,   517,    -1,    78,  3562,   174,    -1,    -1,    -1,
    3567,  3568,  3569,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,    -1,
     198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3603,  3604,  3605,  3606,
      -1,    -1,    -1,   221,   222,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,
    1040,    -1,    -1,    -1,  3641,    -1,  3643,  3644,  3645,   495,
      -1,  1051,    -1,   167,    -1,    -1,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,   512,  1067,    -1,    -1,
      -1,   517,    -1,    -1,    -1,    -1,    -1,    -1,   286,   193,
      -1,    -1,    -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   300,    -1,    -1,   303,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,   222,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     244,   645,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,
      -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,
     664,  1815,    -1,    -1,    -1,    -1,   670,    -1,    -1,    -1,
      35,    -1,  1826,    -1,    -1,    -1,  3763,    -1,   682,    -1,
      45,    -1,   286,    -1,    -1,  3772,    -1,    52,  1842,    -1,
      -1,  2625,    -1,    -1,   698,   393,   300,    -1,    -1,   303,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   713,
      -1,  3798,  3799,    78,    -1,    -1,  3803,   721,    -1,    -1,
      -1,    -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   735,    -1,    -1,  1224,    -1,    -1,    -1,  3825,    -1,
      -1,   745,  1896,    -1,  6233,    -1,  2680,    -1,   708,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1911,    -1,    -1,
    1914,  1915,    -1,    -1,  2698,    -1,    -1,    -1,  2702,    -1,
      -1,    -1,  2706,    -1,   734,    -1,    -1,    -1,    -1,    -1,
      -1,  2715,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   393,
    3877,  1945,  1946,    -1,   798,  3882,    -1,   495,    -1,    -1,
    2734,  3888,    -1,    -1,    -1,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,   512,    -1,    -1,  2751,    -1,  2753,
    2754,    -1,   826,    -1,    -1,    -1,    -1,    -1,   193,    -1,
      -1,  3918,    -1,   198,  2768,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   851,    -1,    -1,
      -1,    -1,    -1,    -1,  2788,  2789,   221,   222,    -1,    51,
    3947,    -1,  3949,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,
      -1,    -1,    -1,    -1,    -1,  2819,  2820,    -1,    -1,  2823,
      -1,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   913,
      -1,    -1,    -1,  2847,    -1,  2849,    -1,   877,    -1,  2853,
      -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2084,    -1,    -1,  2867,    -1,   300,    -1,    -1,   303,    -1,
    2874,    -1,    -1,  2877,    -1,    -1,    -1,    -1,    -1,  2883,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,  2903,
      -1,    -1,    -1,    -1,    -1,  2909,    -1,    -1,    -1,    -1,
      -1,    -1,  2916,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1482,    -1,    -1,    -1,  2930,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2944,    -1,    -1,    -1,    -1,  2949,    -1,    -1,    -1,  1023,
      -1,  2955,    -1,    -1,    -1,    -1,  1030,    -1,   393,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,   410,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    35,    -1,    -1,    38,    -1,  1549,
      -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,
      -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1040,  3015,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1051,    -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,
    1590,    -1,    -1,    -1,    -1,    -1,    -1,  1067,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     495,    -1,    -1,  1623,    -1,    -1,    -1,    -1,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,   512,    -1,    -1,
    1154,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4262,    -1,    35,  4265,    -1,
    4267,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,
      -1,    -1,    -1,  4280,    52,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4292,    -1,    -1,    -1,  4296,
      -1,  1215,   193,    -1,    -1,    -1,    -1,   198,    -1,    -1,
      78,    -1,  1226,    -1,    -1,    -1,    -1,    -1,  4315,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3170,    -1,  3172,  1243,
     221,   222,    -1,    -1,  1248,    -1,  4333,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4341,  3189,    -1,    -1,    -1,    -1,
      -1,    -1,  3196,   244,  1224,    -1,    -1,    -1,    -1,  3203,
      -1,  3205,  3206,    -1,    -1,    -1,    -1,    -1,    -1,  4366,
      -1,    -1,    -1,  4370,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4385,  4386,
    4387,  4388,    -1,    -1,    -1,   286,    -1,    -1,  4395,  4396,
    4397,  4398,    -1,    -1,    -1,    -1,    -1,  4404,  4405,   300,
      -1,    -1,   303,  4410,  4411,  1815,  4413,  4414,  4415,  4416,
    4417,  4418,  4419,    -1,    -1,   193,  1826,    -1,    -1,    -1,
     198,    -1,  4429,    -1,    -1,    -1,  4433,  4434,  4435,  4436,
      -1,    -1,  1842,    -1,    -1,    -1,  3290,    -1,    -1,    -1,
      -1,    -1,  3296,   221,   222,    -1,    -1,    -1,    -1,    -1,
    4457,    -1,    -1,    -1,  1378,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1386,  1387,    -1,    -1,   244,    -1,  4475,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1896,    -1,    -1,    -1,
      -1,    -1,   393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1911,    -1,    -1,  1914,  1915,    -1,    -1,   286,    -1,
      -1,    -1,    -1,    -1,    -1,  1439,    -1,    -1,    -1,    -1,
      -1,    -1,   300,    -1,    -1,   303,    -1,  3381,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1945,  1946,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4551,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4584,    -1,    -1,
      -1,    -1,    -1,    -1,  4591,    -1,  4593,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   495,    -1,   708,    -1,    -1,    -1,
      -1,    -1,  1482,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,  2687,  4621,   393,    -1,  2691,  2692,    -1,
      -1,    -1,   734,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    51,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3512,  3513,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1549,
      -1,    -1,    -1,    -1,  2084,    -1,  2750,    -1,    -1,    -1,
      -1,    -1,  2756,    -1,    -1,    -1,  3540,    -1,    -1,  3543,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1590,    -1,    -1,    -1,    -1,    -1,   494,   495,    -1,    -1,
      -1,    -1,    -1,  2797,    -1,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,   512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1623,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3615,  3616,  3617,  1688,   877,    -1,    -1,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3640,    -1,    -1,    -1,
      -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    45,    -1,  3659,    -1,    -1,    -1,    -1,
      52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3681,    -1,    -1,
      -1,    -1,  4839,  4840,  4841,    -1,    78,    -1,  4845,  4846,
    4847,  4848,    -1,    -1,    -1,  4852,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1803,
      -1,    -1,    -1,    -1,  4891,  4892,  4893,  4894,  4895,    -1,
    4897,  4898,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4909,  4910,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1838,    -1,    -1,  3771,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1040,    -1,
      -1,    -1,    -1,  3007,    -1,  1815,  4943,  1861,    -1,  1051,
      -1,    -1,    -1,    -1,    -1,  1869,  1826,    -1,    -1,    -1,
      -1,   193,    -1,  1877,    -1,  1067,   198,    -1,    -1,    -1,
      -1,    -1,  1842,    -1,  3818,    -1,    -1,    -1,    -1,    -1,
    3824,    -1,  3826,    -1,    -1,    -1,    -1,    -1,    -1,   221,
     222,    -1,    -1,    -1,    -1,  3839,    -1,  3841,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1921,  1922,    -1,
      -1,    -1,   244,    -1,    -1,    -1,  3080,    -1,    -1,    -1,
    3084,  1935,    -1,    -1,    -1,    -1,  1896,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1948,  1949,    -1,    -1,    -1,    -1,
      -1,  1911,    -1,    -1,  1914,  1915,    -1,    -1,  5045,    -1,
      -1,    -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3908,    -1,    -1,    -1,   300,    -1,
      -1,   303,    -1,    -1,    -1,  1945,  1946,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3950,    -1,    -1,    -1,
      -1,    -1,    -1,  5110,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1224,  3187,    -1,  3969,    -1,    -1,    -1,  3973,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3202,    -1,
      -1,    -1,    -1,  3207,    -1,  5142,    -1,    -1,    -1,    -1,
    3994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3237,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,  2105,    -1,    -1,    23,    -1,    -1,    -1,    -1,    28,
      -1,    35,    -1,    -1,    38,    -1,    -1,    -1,    -1,    -1,
      -1,    45,    -1,    -1,  2084,    -1,    -1,    -1,    52,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,  5235,    -1,
      -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,  4099,    -1,    51,    -1,    -1,
      -1,    -1,    91,   495,    -1,    -1,    95,    -1,    -1,    -1,
      -1,    -1,   504,   505,   506,   507,   508,   509,   510,   511,
     512,    -1,    -1,    -1,   113,    -1,    -1,  2687,    -1,    -1,
      -1,  2691,  2692,    -1,    -1,    -1,    -1,    -1,   708,    -1,
      -1,    -1,    51,    -1,  5301,    -1,    -1,    -1,   137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   148,
      -1,    -1,    -1,  5320,   734,    -1,    -1,    -1,   157,  5326,
    5327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5336,
      -1,   170,    -1,    -1,    -1,    -1,  5343,   176,    -1,    -1,
    2750,    -1,    -1,    -1,    -1,    -1,  2756,    -1,    -1,   193,
      -1,    -1,    -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,    -1,
    1482,    -1,    -1,  5380,  5381,    -1,    -1,   221,   222,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5393,  2797,  5395,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,
     244,    -1,    -1,  5410,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3487,    -1,    -1,  3490,    -1,  3492,   258,
      -1,    -1,    -1,  3497,    -1,  4279,    -1,    -1,  5435,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5443,  1549,    -1,    -1,
      -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   300,   877,    -1,   303,
      -1,   300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3546,    -1,    -1,    -1,  4330,    -1,  1590,    -1,
    3554,  4335,    -1,  4337,    -1,   324,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   334,   335,    -1,    -1,   338,
      -1,    -1,    -1,    -1,    -1,  3579,    -1,    -1,    -1,  4363,
    5517,  1623,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,   368,
      -1,    -1,    -1,   372,    -1,  5542,   375,    -1,    -1,    -1,
      -1,    -1,    -1,   382,    -1,    -1,   385,  5554,    -1,   393,
      -1,    -1,    -1,    -1,    -1,  4409,    -1,    -1,  4412,    -1,
      -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,    -1,    -1,
      -1,    -1,   411,    -1,    -1,  3649,    -1,  3651,    -1,   418,
      -1,    -1,   421,    -1,    -1,    -1,   425,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   433,    -1,   435,  3007,    -1,    -1,
      -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5622,    -1,    -1,    -1,    -1,
    1040,    -1,    -1,    -1,    -1,    -1,    -1,   466,    -1,    -1,
      -1,  1051,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1067,  4502,  4503,
      -1,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4513,
     504,   505,   506,   507,   508,   509,   510,   511,   512,    -1,
    3080,    -1,    -1,  3747,  3084,    -1,  4530,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5692,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2625,    -1,  1815,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1826,    -1,    -1,  3791,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,
    1842,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3819,    -1,    -1,    -1,    -1,
      -1,    35,  5759,    -1,    -1,    -1,  2680,  4611,    -1,    -1,
    4614,    45,    -1,    -1,    -1,    -1,    -1,  5774,    52,    -1,
      -1,    -1,    -1,    -1,  2698,    -1,    -1,  3187,  2702,    -1,
      -1,    -1,  2706,    -1,  1896,    -1,    -1,    -1,    -1,    -1,
      -1,  2715,  3202,    -1,    78,    -1,    -1,  3207,    -1,  1911,
      -1,    -1,  1914,  1915,  1224,    -1,    -1,  2687,    -1,    -1,
    2734,  2691,  2692,  3887,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5832,    -1,  3237,    -1,    -1,
      -1,    -1,    -1,  1945,  1946,  3909,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2768,    -1,    -1,    10,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,  3931,    -1,    -1,
      -1,    -1,    -1,    -1,  2788,  2789,    -1,    -1,    -1,    -1,
    2750,    -1,    35,    -1,    -1,    38,  2756,    -1,    -1,    -1,
      -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,
     174,    -1,    -1,    -1,    -1,  2819,  2820,    -1,    -1,  2823,
      -1,    -1,    -1,    -1,   708,    -1,    -1,    -1,    -1,   193,
      -1,    -1,    -1,    -1,   198,    78,    -1,  2797,    -1,    -1,
    5927,    -1,    -1,  2847,    -1,  2849,    -1,    -1,    -1,  2853,
     734,    -1,    -1,    -1,    -1,    -1,    -1,   221,   222,  4013,
      -1,    -1,    -1,  2867,    -1,    -1,    -1,    -1,    -1,   708,
    2874,    -1,  5959,  2877,    -1,    -1,    -1,    -1,    -1,  2883,
     244,    -1,    -1,  5970,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2084,    -1,    -1,   734,    -1,    -1,    -1,  2903,
      -1,    -1,    -1,    -1,    -1,  2909,    -1,    -1,  4062,    -1,
      -1,    -1,  2916,    -1,    -1,    -1,    -1,  4851,    -1,    -1,
      -1,    -1,   286,    -1,    -1,    -1,  2930,    -1,    -1,    -1,
      -1,    -1,    -1,  4087,    -1,    -1,   300,    -1,    -1,   303,
    2944,    -1,    -1,    -1,    -1,  2949,    -1,    -1,    -1,    -1,
     193,  2955,    -1,    -1,    -1,   198,    -1,    -1,    -1,    -1,
      -1,    -1,  4896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4908,    -1,    -1,    -1,   221,   222,
      -1,    -1,  1482,    -1,    -1,    -1,  6073,    -1,    -1,    -1,
      -1,    -1,    -1,   877,    -1,    -1,    -1,  3487,    -1,    -1,
    3490,   244,  3492,    -1,    -1,    -1,    -1,  3497,  4942,    -1,
      -1,  3015,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,   393,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   877,    -1,
      -1,    -1,    -1,   286,    35,    -1,    -1,  3007,    -1,  1549,
      -1,    -1,    -1,    -1,    45,    -1,  3546,   300,    -1,    -1,
     303,    52,    -1,    -1,  3554,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5020,    78,    -1,  3579,
    1590,  4245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5039,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3080,    -1,    -1,  1623,  3084,    -1,    -1,    -1,    -1,    -1,
      -1,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,   512,    -1,
     393,    -1,    -1,    -1,    -1,    -1,  1040,    -1,    -1,  3649,
      -1,  3651,    -1,    -1,    -1,    -1,  3170,  1051,  3172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4336,  1067,    -1,  3189,    -1,    -1,    -1,    -1,
      -1,  5125,  3196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1040,   193,    -1,    -1,    -1,    -1,   198,    -1,    -1,
    4364,    -1,  1051,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3187,  1067,    -1,
     221,   222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3202,    -1,    -1,    -1,    -1,  3207,    -1,    -1,
      -1,    -1,   495,   244,    -1,    -1,    -1,  3747,    -1,    -1,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,   512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3237,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3290,    -1,    -1,    -1,
      -1,    -1,  3296,    -1,    -1,   286,    -1,    -1,    -1,    -1,
      -1,  3791,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   300,
      -1,    -1,   303,    -1,    -1,  1815,  5250,    -1,  5252,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1826,    -1,    -1,  3819,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1224,    -1,  1842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5300,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5310,  3381,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1224,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1896,  3887,    -1,  4553,
      -1,    -1,   393,    -1,  4558,    -1,    -1,    -1,    -1,    -1,
      -1,  1911,    -1,    -1,  1914,  1915,  5350,    -1,    -1,  3909,
      -1,  5355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   426,    -1,    -1,    -1,    -1,
      -1,  3931,    -1,    -1,    -1,  1945,  1946,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2687,    -1,    -1,    -1,  2691,
    2692,    -1,    -1,    -1,   495,    -1,    -1,    -1,  3512,  3513,
      -1,    -1,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,  4013,    -1,    -1,    -1,  3487,    -1,    -1,
    3490,    -1,  3492,    -1,    -1,    -1,  3540,  3497,    -1,  3543,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2750,  4713,
      -1,    -1,    -1,    -1,  2756,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4062,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2084,    -1,  3546,    -1,    -1,    -1,
      -1,    -1,    10,    -1,  3554,    13,    -1,  4087,  1482,    17,
      18,    19,    -1,    -1,    -1,  2797,    -1,    -1,    -1,    -1,
      -1,  3615,  3616,  3617,    -1,    -1,    -1,    35,    -1,  3579,
      38,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    52,    -1,  3640,    -1,    -1,  5573,
      -1,    -1,    -1,  1482,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5587,    -1,  3659,    -1,    -1,    -1,    -1,
      78,    10,    -1,    -1,    13,  1549,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,    -1,  3681,    -1,    -1,
      -1,    -1,    -1,    -1,  4838,  5619,    35,    -1,    -1,  3649,
      -1,  3651,    -1,   208,    -1,    -1,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    52,    -1,   220,  1590,    -1,    -1,    -1,
    1549,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4879,    -1,    -1,    -1,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1623,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4901,    -1,    -1,
      -1,  1590,    -1,    -1,    -1,  4245,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3771,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,    -1,
     198,    -1,    -1,    -1,  1623,    -1,  5720,  3747,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,   222,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3818,  3007,    -1,    -1,    -1,  4973,
    3824,    -1,  3826,    -1,    -1,   174,   244,    -1,    -1,    -1,
      -1,  3791,    -1,    -1,    -1,  3839,    -1,  3841,    -1,    -1,
      -1,    -1,    -1,    -1,   193,    -1,  4336,    -1,    -1,   198,
      -1,    -1,    -1,  5787,    -1,  5789,    -1,    -1,    -1,  3819,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,    -1,
      -1,    -1,   221,   222,  4364,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   300,    -1,    -1,   303,    -1,    -1,  3080,    -1,
      -1,    -1,  3084,    -1,    -1,   244,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3908,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3887,    -1,    -1,
      -1,  1815,    -1,    -1,    -1,    -1,    -1,   286,    -1,    -1,
    5094,    -1,  1826,    -1,    -1,    -1,  3950,    -1,    -1,  3909,
      -1,   300,    -1,    -1,   303,    -1,    -1,    -1,  1842,    -1,
      -1,    -1,    -1,    -1,    -1,  3969,    -1,    -1,    -1,  3973,
      -1,  3931,    -1,    -1,    -1,   393,  1815,    -1,    -1,    -1,
    5914,    -1,    -1,    -1,    -1,    -1,    -1,  1826,    -1,    -1,
    3994,    -1,    -1,    -1,  5928,  3187,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1842,    -1,    -1,    -1,  5941,    -1,    -1,
    3202,    -1,  1896,    -1,    -1,  3207,  4506,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1911,    -1,    -1,
    1914,  1915,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   393,  3237,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4013,    -1,    -1,    -1,  1896,    -1,    -1,
      -1,  1945,  1946,  4553,    -1,    -1,  6000,  6001,  4558,    -1,
      -1,    -1,  1911,    -1,  5228,  1914,  1915,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,   512,  4099,    -1,    -1,    -1,    -1,
      -1,    -1,  4062,    -1,    -1,    -1,  1945,  1946,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6059,    -1,  4087,    -1,    -1,
      -1,   646,    -1,    -1,    -1,    -1,    -1,   652,    -1,    -1,
      10,    -1,    -1,    13,    -1,  5299,   495,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,   512,    -1,    35,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,
      -1,    -1,    52,    -1,    -1,    -1,    -1,  2687,    -1,    -1,
      -1,  2691,  2692,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2084,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4713,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2084,    -1,    -1,    -1,    -1,
    2750,    -1,    -1,    -1,    -1,    -1,  2756,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    13,    -1,  6200,  5421,    17,    18,
      19,    -1,    -1,    -1,    -1,  4279,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4245,    35,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3487,    45,  2797,  3490,    -1,
    3492,    -1,    -1,    52,   174,  3497,    -1,    -1,   823,    -1,
      -1,    -1,  6246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6254,  6255,    -1,   193,    -1,    -1,  4330,   842,   198,    78,
    6264,  4335,    -1,  4337,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4838,    -1,
      -1,   221,   222,    -1,  3546,    -1,    -1,    -1,    -1,  4363,
      -1,    -1,  3554,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   244,    -1,  4336,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3579,    -1,  4879,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   914,
      -1,  5555,    -1,    -1,  4364,  4409,  5560,  5561,  4412,    -1,
      -1,  4901,    -1,    -1,    -1,    -1,   286,    -1,    -1,   168,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     300,    -1,    -1,   303,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   193,    -1,   961,    -1,    -1,   198,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3649,    -1,  3651,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   221,   222,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4973,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,  4502,  4503,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3007,    10,  4513,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
    5674,    -1,    -1,   393,    -1,    -1,  4530,    -1,    -1,    -1,
      -1,    -1,    -1,    35,    -1,    -1,    -1,   286,    -1,    -1,
      -1,    -1,    -1,    45,    -1,    -1,  4506,    -1,    -1,    -1,
      52,   300,    -1,    -1,   303,  3747,    -1,    -1,    -1,    -1,
      -1,  1076,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5723,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,
    3080,    -1,    -1,    -1,  3084,    -1,    -1,    -1,    -1,    -1,
    1105,  1106,  1107,  4553,    -1,    -1,    -1,    -1,  4558,  3791,
      -1,    -1,    -1,    -1,  5094,    -1,    -1,  4611,    -1,    -1,
    4614,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   495,    -1,  3819,    -1,    -1,
      -1,    -1,    -1,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,   512,    -1,   393,   147,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3187,    -1,    -1,
      -1,   193,    -1,    -1,    -1,  3887,   198,    -1,    -1,  1214,
      -1,    -1,  3202,    -1,    -1,    -1,    -1,  3207,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3909,    -1,   221,
     222,    -1,    -1,    -1,    -1,    -1,    -1,  1242,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3237,  5228,  3931,
      -1,    -1,   244,    -1,    -1,    -1,   495,    -1,    -1,    -1,
      -1,    -1,    -1,  4713,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   300,    -1,
      -1,   303,    -1,  2687,    -1,    -1,    -1,  2691,  2692,  5299,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,  4851,  2687,    -1,
      -1,    -1,  2691,  2692,    -1,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2750,    45,    -1,    -1,
    4062,    -1,  2756,    -1,    52,    -1,    -1,  1392,  4838,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   393,  4896,    -1,    -1,  4087,    -1,    -1,    -1,    -1,
      78,    -1,    -1,    -1,  4908,    -1,    -1,    -1,    -1,    -1,
      -1,  2750,    -1,  2797,    -1,    -1,    -1,  2756,    10,  4879,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,  5421,    -1,    -1,    -1,    -1,    -1,    -1,  4942,    -1,
      -1,  4901,    -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    45,    -1,    -1,    -1,  1472,  2797,    -1,
      52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,  3487,    -1,    -1,
    3490,    -1,  3492,   495,    -1,    -1,    -1,  3497,    -1,    -1,
      -1,    -1,   504,   505,   506,   507,   508,   509,   510,   511,
     512,    -1,    -1,  4973,    -1,   193,  5020,    -1,    -1,    -1,
     198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5039,    -1,    -1,    -1,    -1,
    1555,    -1,    -1,   221,   222,    -1,  3546,    -1,    -1,  1564,
      -1,    -1,    -1,  4245,  3554,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5555,   244,    -1,    -1,    -1,
    5560,  5561,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3579,
      -1,  1596,    -1,    -1,    -1,    -1,    -1,  1602,  1603,    -1,
      -1,  1606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   193,    -1,    -1,  1619,    -1,   198,  1622,   286,    -1,
     820,   821,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5125,   300,  3007,    -1,   303,    -1,    -1,    -1,   221,
     222,    -1,    -1,    -1,  5094,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4336,    -1,    -1,    -1,    -1,  3649,
      -1,  3651,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1678,    -1,    -1,    -1,    -1,  3007,    -1,
      -1,    -1,  4364,    -1,    -1,    -1,    -1,  1692,    -1,    -1,
      -1,    -1,    -1,    -1,  5674,    -1,    -1,    -1,    -1,    -1,
     900,    -1,    -1,    -1,   286,    -1,  3080,    -1,    -1,    -1,
    3084,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   300,    -1,
      -1,   303,    -1,    -1,    -1,   393,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5723,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3080,    -1,    -1,    -1,  3084,  5250,  3747,  5252,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5228,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1802,    -1,    -1,
      -1,  3791,    -1,    -1,    -1,    -1,  5300,    -1,  1813,    -1,
      -1,   393,    -1,  3187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1021,  1022,    -1,  4506,    -1,    -1,   495,  3202,  3819,
      -1,    -1,    -1,  3207,    -1,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,   512,    -1,    -1,    -1,    -1,  5299,
    1855,  1856,    -1,    -1,    -1,    -1,  5350,    -1,  3187,    -1,
      -1,    -1,    -1,  3237,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4553,    -1,  3202,    -1,  1880,  4558,    -1,  3207,    -1,
      -1,    -1,  1887,    -1,    -1,    -1,    -1,   469,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3887,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3237,    -1,
      -1,    -1,    -1,   495,    -1,    -1,    -1,    -1,    -1,  3909,
      -1,    -1,   504,   505,   506,   507,   508,   509,   510,   511,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3931,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1960,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,  5421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,  1993,  1994,
      -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,
      -1,    52,    -1,    -1,    -1,  2010,    -1,    -1,  2013,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4013,    -1,    -1,    -1,    78,    -1,    -1,
      -1,  4713,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4062,    -1,    -1,    -1,    -1,    -1,    -1,  5573,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5587,    -1,    -1,    -1,  4087,    -1,  1299,
      -1,    -1,    -1,    -1,    -1,  5555,    -1,    -1,    -1,    -1,
    5560,  5561,    -1,  3487,    -1,    -1,  3490,   168,  3492,    -1,
      -1,    -1,    -1,  3497,    -1,  5619,    -1,    -1,  1328,  1329,
    1330,    -1,  1332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   193,    -1,    -1,    -1,    -1,   198,    -1,    -1,
      -1,    -1,    -1,  1353,    -1,    -1,  4838,    -1,  3487,    -1,
      -1,  3490,    -1,  3492,    -1,    -1,    -1,    -1,  3497,    -1,
     221,   222,  3546,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3554,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   244,    -1,    -1,    -1,  4879,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3579,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3546,    -1,  4901,
      -1,    -1,    -1,    -1,  5674,  3554,  5720,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   300,
    3579,    -1,   303,    -1,    -1,  4245,  1456,    -1,    -1,    -1,
    1460,  1461,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,
      -1,    -1,    -1,  5723,    -1,  3649,    -1,  3651,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4973,    -1,  5787,    -1,  5789,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    -1,    -1,
    3649,    -1,  3651,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   393,    -1,    -1,    -1,  4336,    -1,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3747,  4364,   137,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   157,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   170,    -1,
      -1,    -1,  5094,    -1,   176,    -1,    -1,  3791,  3747,    -1,
    5914,   183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   203,    -1,    -1,   495,  3819,    -1,  5941,    -1,    -1,
      -1,    -1,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,   512,  3791,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   236,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1400,    -1,    -1,    -1,    -1,
    3819,    -1,    -1,    -1,    -1,    -1,   258,    -1,    -1,    -1,
      -1,    -1,    -1,  1703,  1704,  1705,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3887,    -1,    -1,  4506,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3909,    -1,    -1,   300,    -1,
      -1,    -1,  2547,    -1,    -1,    -1,  5228,    -1,    -1,    -1,
      -1,    -1,  2557,    -1,    -1,    -1,    -1,  3931,  3887,    -1,
      -1,    -1,   324,  4553,    -1,  6059,    -1,    -1,  4558,    -1,
      -1,    -1,   334,   335,    -1,    -1,   338,    -1,    -1,    -1,
    3909,  2586,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3931,   365,    -1,    -1,   368,    -1,    -1,    -1,
     372,    -1,    -1,   375,    -1,    -1,    -1,  5299,    -1,    -1,
     382,    -1,    -1,   385,    -1,    -1,    -1,    -1,  2633,  2634,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4013,
      -1,    -1,   404,    -1,    -1,    -1,    -1,    -1,    -1,   411,
      -1,    -1,    -1,    -1,   416,    -1,   418,    -1,    23,   421,
      -1,    -1,  2667,   425,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   435,    -1,    -1,    41,    -1,   440,    -1,
      -1,    -1,    -1,    -1,  4013,    -1,    -1,    -1,  4062,    -1,
      -1,   453,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    66,    -1,    -1,   466,    -1,  6200,    -1,    -1,    -1,
      -1,    -1,    -1,  4087,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4713,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    -1,    -1,  4062,    -1,    -1,    -1,    -1,    -1,  5421,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,  6246,    -1,   119,    -1,    -1,    -1,  4087,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6264,    -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   157,    -1,  1709,    -1,  2801,    -1,  1713,    -1,
      -1,    -1,    -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,
      -1,  2816,    -1,    -1,   179,    -1,    -1,    -1,   183,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2032,  2838,    -1,    -1,    -1,    -1,   203,    -1,
      -1,  2041,  2042,  2043,  2044,  2045,  2046,  2047,  4838,    -1,
      -1,    -1,  2052,    -1,  2054,    -1,  2056,    -1,    -1,  2059,
    2060,  2061,    -1,    -1,    -1,    -1,    -1,  2067,    -1,    -1,
    2070,  4245,    -1,  5555,    -1,    -1,    -1,    -1,  5560,  5561,
      -1,    -1,    -1,   248,    -1,  2085,  2086,  2087,    -1,  4879,
      -1,    -1,    -1,   258,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4901,    -1,    -1,    -1,    -1,  4245,    -1,    -1,  2924,
    2925,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   300,    -1,    -1,   303,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   324,
      -1,    -1,  4336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   338,    -1,    -1,    -1,    -1,    -1,    -1,
     345,    -1,    -1,  4973,    -1,    -1,    -1,    -1,    -1,    -1,
    4364,    -1,  5674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     365,    -1,    -1,    -1,    -1,    -1,    -1,  4336,    -1,    -1,
     375,    -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,
     385,  3026,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4364,    -1,    -1,    -1,   404,
      -1,  5723,    -1,    -1,    -1,    -1,   411,  2247,    -1,    -1,
      -1,    -1,    -1,   418,    -1,    -1,   421,   422,    -1,   424,
     425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,
      -1,    -1,   447,    -1,    -1,   450,    -1,    -1,   453,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2296,    -1,    -1,    -1,
      -1,   466,    -1,    -1,  5094,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2030,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4506,    -1,    -1,    -1,    -1,    -1,  2053,    -1,
      -1,    -1,  2057,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2350,    -1,    -1,    -1,    -1,    -1,    -1,  2072,  2073,  2074,
      -1,  2076,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4506,    -1,  4553,
      -1,    -1,    -1,    -1,  4558,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4553,    -1,    -1,    -1,    -1,  4558,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5228,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5299,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2527,  2528,  2529,
    2530,  2531,  2532,  2533,  2534,  2535,    -1,  2537,    -1,  4713,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2548,    -1,
    2550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3367,    -1,    -1,    -1,    -1,    -1,    20,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    31,
      -1,    33,    34,  3388,  4713,    -1,    -1,    -1,  2588,    -1,
      -1,    -1,  2592,    -1,    -1,  2595,    -1,  2597,    -1,    -1,
    2600,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    61,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    73,    -1,    75,    76,    -1,    -1,    -1,    -1,    -1,
      82,  5421,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    96,    -1,    98,    -1,    -1,    -1,
      -1,    -1,    -1,  2653,  2654,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,  4838,    -1,   118,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   133,    -1,   135,    -1,    -1,    -1,   139,    -1,    -1,
      -1,    -1,    -1,   145,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   153,    -1,   155,    -1,  4879,    -1,    -1,    -1,  4838,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4901,   180,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2737,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   197,    -1,    -1,    -1,    -1,
    4879,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5555,    -1,    -1,    -1,    -1,
    5560,  5561,  4901,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   246,   247,    -1,    -1,    -1,  4973,
     252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   267,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2544,
      -1,    -1,    -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4973,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3657,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3667,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   329,    -1,    -1,
      -1,    -1,    -1,    -1,  5674,    -1,    -1,    -1,    -1,    -1,
      -1,   343,    -1,    -1,    -1,    -1,    -1,   349,   350,    -1,
     352,    -1,    -1,    -1,    -1,   357,    -1,    -1,   360,    -1,
      -1,   363,    -1,    -1,   366,    -1,    -1,    -1,    -1,    -1,
    5094,   373,    -1,    -1,    -1,  2640,    -1,    -1,   380,   381,
      -1,    -1,    -1,  5723,    -1,    -1,   388,  2652,    -1,    -1,
     392,    -1,  2657,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     402,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5094,   418,    -1,    -1,    -1,
      -1,    -1,    -1,  2973,  2974,  2975,    -1,    -1,    -1,  2979,
      -1,    -1,    -1,    -1,    -1,    -1,   438,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   449,    -1,    -1,
      -1,    -1,    -1,   455,    -1,    -1,  3006,    -1,   460,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   473,    -1,    -1,    -1,  3830,  3831,  3832,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3847,    -1,    -1,   497,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5228,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   516,    -1,    -1,   519,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3880,  3881,    -1,    -1,    -1,
    3885,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5228,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3991,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3215,    -1,    -1,    -1,    -1,
    3220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5421,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3268,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3279,
      -1,  3281,  3282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5421,    -1,    -1,  3295,    -1,    -1,  3298,    -1,
    3300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3337,    -1,  3339,
      -1,  3341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4154,
    4155,  4156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5555,    -1,    -1,    -1,    -1,  5560,  5561,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5555,    -1,    -1,    -1,
      -1,  5560,  5561,  3433,    -1,    -1,    -1,    -1,  3438,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3453,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5674,    -1,    -1,  3218,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3518,    -1,
    3235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3244,
      -1,    -1,    -1,    -1,    -1,  3250,    -1,  3252,    -1,    -1,
      -1,    -1,    -1,  3258,  3259,  5674,  3261,    -1,    -1,  5723,
      -1,  3266,  3267,    -1,  3269,    -1,  3271,    -1,    -1,    -1,
    3275,    -1,    -1,  3278,    -1,    -1,    -1,    -1,  3283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3292,    -1,    -1,
      -1,    -1,  3297,    -1,    -1,    -1,    -1,    -1,    -1,  3304,
    3305,  3306,  3307,    -1,  5723,    -1,    -1,  3312,  3313,    -1,
    3315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3334,
      -1,  3336,    -1,    -1,    -1,    -1,    -1,    -1,  3343,  3344,
    3345,  3346,  3347,  3348,  3349,  3350,  3351,  3352,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3389,    -1,    -1,    -1,  4483,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4547,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3776,  4582,    -1,    -1,
      -1,    -1,  3782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4599,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3861,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4741,  4742,  4743,  4744,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4010,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4019,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4033,    -1,    -1,    -1,  4037,  4038,    -1,
      -1,    -1,    -1,  4043,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4053,    -1,  4055,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3780,  3781,    -1,    -1,    -1,
    3785,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4082,  4083,  4084,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3814,
      -1,  4101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4109,
      -1,    -1,  4112,    -1,  4114,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4138,  4139,
      -1,    -1,    -1,    -1,    -1,  4145,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4239,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5087,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5098,  4009,    -1,    -1,    -1,    -1,    -1,
    4015,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4059,  4060,    -1,    -1,  4063,  4064,
    4065,  4066,    -1,    -1,  4069,  4070,  4071,  4072,  4073,  4074,
    4075,  4076,  4077,  4078,  4079,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4102,    -1,    -1,
    4105,    -1,  4107,    -1,    -1,  4110,  4111,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4132,  4133,  4134,
    4135,    -1,  4137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4254,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4559,
    4560,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5374,
    4570,    -1,    -1,    -1,  5379,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5398,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4640,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4656,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4671,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4710,  4711,    -1,    -1,    -1,    -1,    -1,  4717,  4718,    -1,
      -1,    -1,  4722,    -1,    -1,    -1,    -1,  4727,    -1,    -1,
    4730,  4731,  5537,    -1,    -1,    -1,    -1,  4737,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4780,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4791,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4799,
      -1,    -1,    -1,    -1,  4519,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4819,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5641,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5669,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4924,    -1,  4641,    -1,    -1,    -1,
    4645,  4931,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4667,  4668,    -1,    -1,    -1,    -1,  4673,  4674,
    4675,  4676,    -1,    -1,    -1,  4680,  4681,  4682,  4683,  4684,
    4685,  4686,  4687,  4688,  4689,  4690,  4691,  4692,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4999,
      -1,  4716,    -1,    -1,  4719,    -1,  4721,    -1,    -1,    -1,
    4725,    -1,    -1,  4728,  4729,    -1,    -1,  4732,  4733,    -1,
      -1,    -1,    -1,  4738,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4790,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4804,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5157,    -1,    -1,
      -1,    -1,    -1,  5163,  5164,  5165,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5188,  5189,
      -1,    -1,  5192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5218,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5229,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5245,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5002,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5089,  5090,    -1,    -1,    -1,    -1,
      -1,    -1,  5097,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5140,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5159,  5160,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5458,    -1,
      -1,    -1,    -1,  5178,    -1,  5180,    -1,    -1,    -1,  5184,
    5185,  5186,  5187,    -1,    -1,  5190,  5191,    -1,    -1,    -1,
      -1,  5196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5212,    -1,    -1,
      -1,    -1,  5502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5230,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5244,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5254,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5549,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5565,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5321,  5607,  5323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5358,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5697,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5706,  5707,  5708,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5732,    -1,    -1,    -1,  5451,    -1,  5453,  5454,
    5455,  5456,  5457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5470,  5471,  5472,    -1,    -1,
      -1,    -1,  5762,    -1,    -1,    -1,    -1,    -1,    -1,  5484,
      -1,    -1,  5487,    -1,    -1,    -1,  5491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5509,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5524,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5878,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5901,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5911,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5982,  5698,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5717,    -1,  5719,    -1,  6006,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5761,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5773,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5808,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6108,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5874,
      -1,    -1,    -1,    -1,    -1,    -1,  5881,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5926,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6233,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6025,  6026,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6039,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6081,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6106,     3,    -1,     5,     6,    -1,     8,     9,    10,
      11,    12,  6117,  6118,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,  6176,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,    -1,   300,
     301,   302,    -1,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,   449,   450,
     451,   452,   453,    -1,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,    -1,    -1,
     471,    -1,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,   508,   509,    -1,
      -1,    -1,    -1,    -1,    -1,   516,   517,     3,    -1,     5,
       6,    -1,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,   449,   450,   451,   452,   453,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,   464,   465,
     466,   467,   468,    -1,    -1,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
      -1,   497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   507,   508,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     516,   517,     3,    -1,     5,     6,    -1,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,    -1,   300,
     301,   302,    -1,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,   449,   450,
     451,   452,   453,    -1,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,   464,   465,   466,   467,   468,    -1,    -1,
     471,    -1,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,   508,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   516,   517,     3,    -1,     5,
       6,    -1,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,   449,   450,   451,   452,   453,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,   464,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   507,   508,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     516,   517,     3,    -1,     5,     6,    -1,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,    -1,   300,
     301,   302,    -1,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,   449,   450,
     451,   452,   453,    -1,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,   464,   465,   466,   467,   468,    -1,    -1,
     471,    -1,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,   507,   508,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   516,   517,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,   287,    -1,   289,   290,   291,   292,
     293,   294,    -1,   296,   297,    -1,    -1,   300,   301,   302,
      -1,    -1,   305,   306,   307,    -1,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,    -1,   419,    -1,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,    -1,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,    -1,   455,   456,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,    -1,    -1,   471,    -1,
      -1,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   517,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    -1,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,    -1,
     155,   156,   157,   158,    -1,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,    -1,    -1,    -1,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,    -1,    -1,    -1,    -1,    -1,    -1,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,    -1,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,    -1,   282,    -1,   284,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,    -1,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,    -1,    -1,   432,   433,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,   463,   464,
     465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,
     475,   476,   477,   478,   479,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   491,   492,   493,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,   517,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      -1,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,    -1,   155,   156,
     157,   158,    -1,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,    -1,
      -1,    -1,    -1,    -1,    -1,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,    -1,   242,   243,   244,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,    -1,   282,    -1,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,    -1,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,    -1,    -1,   432,   433,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,   463,   464,   465,   466,
     467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,
     477,   478,   479,    -1,     3,    -1,     5,     6,    -1,     8,
       9,    10,    11,    12,   491,   492,   493,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
     517,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,    -1,   296,   297,    -1,
      -1,   300,   301,   302,    -1,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,    -1,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
     449,   450,   451,   452,   453,    -1,   455,   456,   457,   458,
     459,   460,   461,    -1,   463,   464,   465,   466,   467,   468,
      -1,    -1,   471,    -1,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,    -1,   497,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,   508,
      -1,    -1,    -1,     3,    -1,     5,     6,   516,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,    -1,
     300,   301,   302,    -1,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
      -1,    -1,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,   449,
     450,   451,   452,   453,    -1,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,   464,   465,   466,   467,   468,    -1,
      -1,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,    -1,   497,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,   508,    -1,
      -1,    -1,     3,    -1,     5,     6,   516,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,    -1,   300,
     301,   302,    -1,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,   449,   450,
     451,   452,   453,    -1,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,   464,   465,   466,   467,   468,    -1,    -1,
     471,    -1,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,   508,    -1,    -1,
      -1,     3,    -1,     5,     6,   516,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    36,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,    -1,   296,   297,    -1,    -1,   300,   301,
     302,    -1,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,    -1,    -1,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,   449,   450,   451,
     452,   453,    -1,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,   464,   465,   466,   467,   468,    -1,    -1,   471,
      -1,    -1,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   507,   508,    -1,    -1,    -1,
       3,    -1,     5,     6,   516,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    36,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,    -1,   296,   297,    -1,    -1,   300,   301,   302,
      -1,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,    -1,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,   449,   450,   451,   452,
     453,    -1,   455,   456,   457,   458,   459,   460,   461,    -1,
     463,   464,   465,   466,   467,   468,    -1,    -1,   471,    -1,
      -1,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,   508,    -1,    -1,    -1,     3,
      -1,     5,     6,   516,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,    -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,    -1,    -1,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,   449,   450,   451,   452,   453,
      -1,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
     464,   465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   507,   508,    -1,    -1,    -1,    -1,    -1,
     514,   515,   516,     3,    -1,     5,     6,    -1,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,    -1,
     300,   301,   302,    -1,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
      -1,    -1,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,   449,
     450,   451,   452,   453,    -1,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,   464,   465,   466,   467,   468,    -1,
      -1,   471,    -1,    -1,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,   508,   509,
      -1,    -1,     3,    -1,     5,     6,   516,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,    -1,   300,
     301,   302,    -1,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,   449,   450,
     451,   452,   453,    -1,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,   464,   465,   466,   467,   468,    -1,    -1,
     471,    -1,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,   508,    -1,    -1,
      -1,     3,    -1,     5,     6,   516,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,    -1,   296,   297,    -1,    -1,   300,   301,
     302,    -1,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,    -1,    -1,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,   449,   450,   451,
     452,   453,    -1,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,   464,   465,   466,   467,   468,    -1,    -1,   471,
      -1,    -1,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   507,   508,    -1,    -1,    -1,
       3,    -1,     5,     6,   516,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,    -1,   296,   297,    -1,    -1,   300,   301,   302,
      -1,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,    -1,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,   449,   450,   451,   452,
     453,    -1,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,    -1,    -1,   471,    -1,
      -1,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,   508,    -1,    -1,    -1,     3,
      -1,     5,     6,   516,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,    -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,    -1,    -1,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,   449,   450,   451,   452,   453,
      -1,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
     464,   465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   507,   508,    -1,    -1,    -1,     3,    -1,
       5,     6,   516,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,   449,   450,   451,   452,   453,    -1,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,   464,
     465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   507,   508,    -1,    -1,    -1,     3,    -1,     5,
       6,   516,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,   449,   450,   451,   452,   453,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,   464,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   507,   508,    -1,    -1,    -1,     3,    -1,     5,     6,
     516,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,    -1,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,   449,   450,   451,   452,   453,    -1,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,   464,   465,   466,
     467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     507,   508,    -1,    -1,    -1,     3,    -1,     5,     6,   516,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,    -1,    -1,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,   449,   450,   451,   452,   453,    -1,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,   464,   465,   466,   467,
     468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,
     508,    -1,    -1,    -1,     3,    -1,     5,     6,   516,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,    -1,   296,   297,    -1,
      -1,   300,   301,   302,    -1,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,    -1,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
     449,   450,   451,   452,   453,    -1,   455,   456,   457,   458,
     459,   460,   461,    -1,   463,   464,   465,   466,   467,   468,
      -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,   508,
      -1,    -1,    -1,     3,    -1,     5,     6,   516,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,    -1,
     300,   301,   302,    -1,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
      -1,    -1,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,   449,
     450,   451,   452,   453,    -1,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,   464,   465,   466,   467,   468,    -1,
      -1,   471,    -1,    -1,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,   508,    -1,
      -1,    -1,     3,    -1,     5,     6,   516,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,    -1,   300,
     301,   302,    -1,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,   449,   450,
     451,   452,   453,    -1,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,   464,   465,   466,   467,   468,    -1,    -1,
     471,    -1,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,   508,    -1,    -1,
      -1,     3,    -1,     5,     6,   516,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,    -1,   296,   297,    -1,    -1,   300,   301,
     302,    -1,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,    -1,    -1,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,   449,   450,   451,
     452,   453,    -1,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,   464,   465,   466,   467,   468,    -1,    -1,   471,
      -1,    -1,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   507,   508,    -1,    -1,    -1,
       3,    -1,     5,     6,   516,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,    -1,   296,   297,    -1,    -1,   300,   301,   302,
      -1,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,    -1,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,   449,   450,   451,   452,
     453,    -1,   455,   456,   457,   458,   459,   460,   461,    -1,
     463,   464,   465,   466,   467,   468,    -1,    -1,   471,    -1,
      -1,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,   508,    -1,    -1,    -1,     3,
      -1,     5,     6,   516,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,    -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,    -1,    -1,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,   449,   450,   451,   452,   453,
      -1,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
     464,   465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   507,   508,    -1,    -1,    -1,     3,    -1,
       5,     6,   516,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,    -1,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,   453,    -1,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,   464,
     465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   507,   508,    -1,    -1,    -1,     3,    -1,     5,
       6,   516,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,   449,   450,   451,   452,   453,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,   464,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   507,   508,    -1,    -1,    -1,     3,    -1,     5,     6,
     516,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,    -1,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,    -1,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,   464,   465,   466,
     467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     507,   508,     3,    -1,     5,     6,    -1,     8,     9,   516,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,    -1,   300,
     301,   302,    -1,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,   453,    -1,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,   464,   465,   466,   467,   468,    -1,    -1,
     471,    -1,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,   508,     3,    -1,
       5,     6,    -1,     8,     9,   516,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,    -1,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,   453,    -1,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,   464,
     465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,     5,     6,    -1,
       8,     9,    -1,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,   516,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,    -1,    -1,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,   453,    -1,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,   464,   465,   466,   467,
     468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,     5,     6,    -1,     8,     9,    -1,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,   516,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,    -1,   300,
     301,   302,    -1,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,   453,    -1,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,   464,   465,   466,   467,   468,    -1,    -1,
     471,    -1,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   516,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,    -1,   296,   297,    -1,   299,   300,   301,   302,    -1,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,    -1,    -1,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,   453,
      -1,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
     464,   465,   466,   467,   468,    -1,    -1,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
      -1,    -1,    -1,   497,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   516,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,   299,   300,   301,   302,    -1,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,    -1,    -1,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,    -1,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,   464,   465,   466,
     467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   516,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,    -1,
     300,   301,   302,    -1,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
      -1,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,    -1,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,   464,   465,   466,   467,   468,    -1,
      -1,   471,    -1,    -1,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   516,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,    -1,   296,   297,    -1,    -1,   300,   301,   302,
      -1,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,    -1,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
     453,    -1,   455,   456,   457,   458,   459,   460,   461,    -1,
     463,   464,   465,   466,   467,   468,    -1,    -1,   471,    -1,
      -1,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   516,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,   453,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,   464,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     516,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,    -1,   296,   297,    -1,
      -1,   300,   301,   302,    -1,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,    -1,    -1,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,   453,    -1,   455,   456,   457,   458,
     459,   460,   461,    -1,   463,   464,   465,   466,   467,   468,
      -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,     5,     6,    -1,    -1,    -1,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   516,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,    -1,   296,   297,   298,    -1,   300,   301,
     302,    -1,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,    -1,    -1,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,    -1,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,   464,   465,   466,   467,   468,    -1,    -1,   471,
      -1,    -1,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,   507,   508,   509,    -1,    -1,
      -1,    -1,    -1,    -1,   516,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,    -1,    -1,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,   464,
     465,   466,   467,   468,    -1,    -1,   471,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
      -1,    -1,   497,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   516,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,    -1,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,    -1,    -1,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,    -1,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,   464,   465,   466,   467,
     468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   516,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,   287,    -1,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,    -1,   300,
     301,   302,    -1,    -1,   305,   306,   307,    -1,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,    -1,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
      -1,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,    -1,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,    -1,    -1,
     471,    -1,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,    -1,    -1,    -1,   497,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   516,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,    -1,   243,
      -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,   287,    -1,   289,   290,   291,   292,   293,
     294,    -1,   296,   297,    -1,   299,   300,   301,   302,    -1,
      -1,   305,   306,   307,    -1,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,    -1,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,    -1,    -1,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
      -1,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
      -1,   465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   516,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
     287,    -1,   289,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,
     307,    -1,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,    -1,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,    -1,   419,    -1,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,    -1,    -1,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,    -1,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   516,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,   287,    -1,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,    -1,
     300,   301,   302,    -1,    -1,   305,   306,   307,    -1,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,    -1,   419,
      -1,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
      -1,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,    -1,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,    -1,
      -1,   471,    -1,    -1,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   516,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,   287,    -1,   289,   290,   291,   292,
     293,   294,    -1,   296,   297,    -1,    -1,   300,   301,   302,
      -1,    -1,   305,   306,   307,    -1,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,    -1,   419,    -1,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,    -1,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,    -1,   455,   456,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,    -1,    -1,   471,    -1,
      -1,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   516,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,   287,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,    -1,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,    -1,   419,    -1,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
     516,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    -1,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    -1,    -1,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,   464,   465,
     466,   467,   468,   469,    -1,   471,    -1,    -1,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,    -1,   492,   493,    -1,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     3,    -1,     5,
       6,    -1,    -1,    -1,    10,    11,    -1,    -1,    -1,    -1,
      -1,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    -1,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,    -1,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,    -1,    -1,    -1,    -1,    -1,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,    -1,   435,
      -1,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   491,   492,   493,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     3,    -1,     5,
       6,    -1,    -1,    -1,    10,    11,    -1,    -1,    -1,    -1,
      -1,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    -1,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,    -1,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,    -1,    -1,    -1,    -1,    -1,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,    -1,   435,
      -1,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   491,   492,   493,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,   287,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,    -1,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,    -1,   419,    -1,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,   287,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,    -1,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,    -1,   419,    -1,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,   287,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,    -1,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,    -1,   419,    -1,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,   287,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,    -1,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,    -1,   419,    -1,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,   287,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,    -1,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,    -1,   419,    -1,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,   287,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,    -1,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,    -1,   419,    -1,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,   287,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,    -1,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,    -1,   419,    -1,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,   512,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   509,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,   287,    -1,   289,   290,   291,
     292,   293,   294,    -1,   296,   297,    -1,    -1,   300,   301,
     302,    -1,    -1,   305,   306,   307,    -1,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,    -1,   419,    -1,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,    -1,    -1,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,    -1,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,    -1,    -1,   471,
      -1,    -1,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   509,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,   287,    -1,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,    -1,   300,
     301,   302,    -1,    -1,   305,   306,   307,    -1,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,    -1,   419,    -1,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
      -1,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,    -1,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,    -1,    -1,
     471,    -1,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   509,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,   287,    -1,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,    -1,
     300,   301,   302,    -1,    -1,   305,   306,   307,    -1,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,    -1,   419,
      -1,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
      -1,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,    -1,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,    -1,
      -1,   471,    -1,    -1,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   509,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,   287,    -1,
     289,   290,   291,   292,   293,   294,    -1,   296,   297,    -1,
      -1,   300,   301,   302,    -1,    -1,   305,   306,   307,    -1,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,    -1,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,    -1,
     419,    -1,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,    -1,    -1,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,    -1,   455,   456,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
      -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     509,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    -1,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,    -1,   155,   156,   157,
     158,    -1,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,    -1,    -1,
      -1,    -1,    -1,    -1,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,    -1,   242,   243,   244,    -1,   246,   247,
     248,    -1,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,    -1,   282,    -1,   284,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,    -1,   300,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,    -1,   415,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,    -1,    -1,   432,   433,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,   463,   464,   465,   466,   467,
     468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,
     478,   479,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   491,   492,   493,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,   509,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    -1,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,    -1,   155,   156,   157,
     158,    -1,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,    -1,    -1,
      -1,    -1,    -1,    -1,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,    -1,   242,   243,   244,    -1,   246,   247,
     248,    -1,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,    -1,   282,    -1,   284,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,    -1,   300,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,    -1,   415,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,    -1,    -1,   432,   433,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,   463,   464,   465,   466,   467,
     468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,
     478,   479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   491,   492,   493,     3,    -1,     5,     6,
      -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,
      -1,   509,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,    -1,   296,
     297,   298,    -1,   300,   301,   302,    -1,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,    -1,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,    -1,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,   464,   465,   466,
     467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     3,    -1,     5,
       6,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,
     507,   508,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,
     106,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,   298,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,   464,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     3,    -1,
       5,     6,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,
      -1,   507,   508,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
      -1,   296,   297,   298,    -1,   300,   301,   302,    -1,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,    -1,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,   464,
     465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,     3,
      -1,     5,     6,    -1,    -1,    -1,    -1,    11,    -1,    -1,
      -1,    -1,   507,   508,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,    -1,
      -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,    -1,   296,   297,   298,    -1,   300,   301,   302,    -1,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,    -1,    -1,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
      -1,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
     464,   465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    11,    -1,
      -1,    -1,    -1,   507,   508,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,   174,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,   287,    -1,   289,   290,   291,   292,
     293,   294,    -1,   296,   297,    -1,    -1,   300,   301,   302,
      -1,    -1,   305,   306,   307,    -1,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,    -1,   419,    -1,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,    -1,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,    -1,   455,   456,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,    -1,    -1,   471,    -1,
      -1,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,   508,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,    -1,   296,   297,    -1,    -1,   300,   301,
     302,    -1,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,    -1,    -1,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,    -1,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,   464,   465,   466,   467,   468,    -1,    -1,   471,
      -1,    -1,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,     3,    -1,     5,     6,    -1,    -1,    -1,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,    -1,    -1,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,    -1,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,   464,   465,   466,
     467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     3,    -1,     5,
       6,    -1,     8,     9,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,
     106,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,   464,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
     105,   106,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,    -1,    -1,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,   464,
     465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,    -1,
      -1,   105,   106,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,    -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,    -1,    -1,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
      -1,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
     464,   465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,   105,   106,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,    -1,   296,   297,    -1,    -1,   300,   301,   302,
      -1,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,    -1,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
     453,    -1,   455,   456,   457,   458,   459,   460,   461,    -1,
     463,   464,   465,   466,   467,   468,    -1,    -1,   471,    -1,
      -1,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,   105,   106,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,    -1,   296,   297,    -1,    -1,   300,   301,
     302,    -1,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,    -1,    -1,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,    -1,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,   464,   465,   466,   467,   468,    -1,    -1,   471,
      -1,    -1,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     3,    -1,    -1,     6,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,   298,    -1,   300,
     301,   302,    -1,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,    -1,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,   464,   465,   466,   467,   468,    -1,    -1,
     471,    -1,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,    -1,    -1,   105,   106,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,    -1,
     300,   301,   302,    -1,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
      -1,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,    -1,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,   464,   465,   466,   467,   468,    -1,
      -1,   471,    -1,    -1,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,    -1,    -1,   105,   106,    -1,    -1,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,    -1,   296,   297,    -1,
      -1,   300,   301,   302,    -1,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,    -1,    -1,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,    -1,   455,   456,   457,   458,
     459,   460,   461,    -1,   463,   464,   465,   466,   467,   468,
      -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,    -1,    -1,   105,   106,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,    -1,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,    -1,    -1,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,    -1,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,   464,   465,   466,   467,
     468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,    -1,    -1,   105,   106,
      -1,    -1,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,    -1,    -1,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,    -1,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,   464,   465,   466,
     467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,    -1,    -1,   105,
     106,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,   464,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     3,    -1,
      -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,    -1,    -1,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,   464,
     465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,     3,
      -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,    -1,
      -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,    -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,    -1,    -1,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
      -1,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
     464,   465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,    -1,   296,   297,    -1,    -1,   300,   301,   302,
      -1,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,    -1,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,    -1,   455,   456,   457,   458,   459,   460,   461,    -1,
     463,   464,   465,   466,   467,   468,    -1,    -1,   471,    -1,
      -1,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,    -1,   296,   297,    -1,    -1,   300,   301,
     302,    -1,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,    -1,    -1,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,    -1,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,   464,   465,   466,   467,   468,    -1,    -1,   471,
      -1,    -1,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,    -1,   300,
     301,   302,    -1,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
      -1,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,    -1,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,   464,   465,   466,   467,   468,    -1,    -1,
     471,    -1,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,    -1,
     300,   301,   302,    -1,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
      -1,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,    -1,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,   464,   465,   466,   467,   468,    -1,
      -1,   471,    -1,    -1,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,    -1,   296,   297,    -1,
      -1,   300,   301,   302,    -1,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,    -1,    -1,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,    -1,   455,   456,   457,   458,
     459,   460,   461,    -1,   463,   464,   465,   466,   467,   468,
      -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,    -1,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,    -1,    -1,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,    -1,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,   464,   465,   466,   467,
     468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    -1,    -1,    80,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,    -1,   289,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,
     307,    -1,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,    -1,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,    -1,   419,    -1,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,    -1,    -1,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,   449,   450,   451,   452,    -1,    -1,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,    -1,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,    -1,   419,    -1,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,   449,   450,   451,   452,    -1,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,    -1,   289,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,
     305,   306,   307,    -1,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,    -1,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,    -1,   419,    -1,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,    -1,    -1,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,   449,   450,   451,   452,    -1,    -1,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,    -1,   243,
      -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,   287,    -1,   289,   290,   291,   292,   293,
     294,    -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,
      -1,   305,   306,   307,    -1,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,    -1,   419,    -1,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,    -1,    -1,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
      -1,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
      -1,   465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,   287,    -1,   289,   290,   291,   292,
     293,   294,    -1,   296,   297,    -1,    -1,   300,   301,   302,
      -1,    -1,   305,   306,   307,    -1,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,    -1,   419,    -1,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,    -1,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,    -1,   455,   456,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,    -1,    -1,   471,    -1,
      -1,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,   287,    -1,   289,   290,   291,
     292,   293,   294,    -1,   296,   297,    -1,    -1,   300,   301,
     302,    -1,    -1,   305,   306,   307,    -1,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,    -1,   419,    -1,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,    -1,    -1,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,    -1,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,    -1,    -1,   471,
      -1,    -1,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,   287,    -1,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,   299,   300,
     301,   302,    -1,    -1,   305,   306,   307,    -1,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,    -1,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
      -1,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,    -1,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,    -1,    -1,
     471,    -1,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,   287,    -1,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,    -1,
     300,   301,   302,    -1,    -1,   305,   306,   307,    -1,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
      -1,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
      -1,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,    -1,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,    -1,
      -1,   471,    -1,    -1,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,   287,    -1,
     289,   290,   291,   292,   293,   294,    -1,   296,   297,    -1,
      -1,   300,   301,   302,    -1,    -1,   305,   306,   307,    -1,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,    -1,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,    -1,
     419,    -1,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,    -1,    -1,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,    -1,   455,   456,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
      -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    -1,   100,   101,   102,    -1,    -1,    -1,   106,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,
     248,    -1,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,   287,
      -1,   289,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,   299,   300,   301,   302,    -1,    -1,   305,   306,   307,
      -1,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,    -1,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,    -1,    -1,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,    -1,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
     287,    -1,   289,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,   299,   300,   301,   302,    -1,    -1,   305,   306,
     307,    -1,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,    -1,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,    -1,   419,    -1,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,    -1,    -1,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,    -1,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,   287,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,    -1,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,    -1,   419,    -1,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,   453,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,   287,    -1,   289,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,
     305,   306,   307,    -1,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,    -1,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,    -1,   419,    -1,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,    -1,    -1,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,   453,    -1,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,    -1,   243,
      -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,   287,    -1,   289,   290,   291,   292,   293,
     294,    -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,
      -1,   305,   306,   307,    -1,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,    -1,   419,    -1,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,    -1,    -1,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
      -1,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
      -1,   465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,   287,    -1,   289,   290,   291,   292,
     293,   294,    -1,   296,   297,    -1,    -1,   300,   301,   302,
      -1,    -1,   305,   306,   307,    -1,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,    -1,   419,    -1,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,    -1,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,    -1,   455,   456,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,    -1,    -1,   471,    -1,
      -1,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,   287,    -1,   289,   290,   291,
     292,   293,   294,    -1,   296,   297,    -1,    -1,   300,   301,
     302,    -1,    -1,   305,   306,   307,    -1,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,    -1,   419,    -1,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,    -1,    -1,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,    -1,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,    -1,    -1,   471,
      -1,    -1,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,   287,    -1,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,    -1,   300,
     301,   302,    -1,    -1,   305,   306,   307,    -1,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,    -1,   419,    -1,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
      -1,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,    -1,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,    -1,    -1,
     471,    -1,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,   287,    -1,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,   299,
     300,   301,   302,    -1,    -1,   305,   306,   307,    -1,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,    -1,   419,
      -1,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
      -1,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,    -1,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,    -1,
      -1,   471,    -1,    -1,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,   287,    -1,
     289,   290,   291,   292,   293,   294,    -1,   296,   297,    -1,
      -1,   300,   301,   302,    -1,    -1,   305,   306,   307,    -1,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,    -1,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,    -1,
     419,    -1,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,    -1,    -1,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,    -1,   455,   456,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
      -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,
     248,    -1,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,   287,
      -1,   289,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,   307,
      -1,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
      -1,   419,    -1,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,    -1,    -1,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,    -1,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
     287,    -1,   289,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,
     307,    -1,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,    -1,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,    -1,   419,    -1,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,    -1,    -1,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,    -1,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,   287,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,    -1,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,    -1,   419,    -1,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,   287,    -1,   289,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,
     305,   306,   307,    -1,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,    -1,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,    -1,   419,    -1,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,    -1,    -1,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,    -1,   243,
      -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,   287,    -1,   289,   290,   291,   292,   293,
     294,    -1,   296,   297,    -1,   299,   300,   301,   302,    -1,
      -1,   305,   306,   307,    -1,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,    -1,   419,    -1,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,    -1,    -1,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
      -1,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
      -1,   465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,   287,    -1,   289,   290,   291,   292,
     293,   294,    -1,   296,   297,    -1,    -1,   300,   301,   302,
      -1,    -1,   305,   306,   307,    -1,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,    -1,   419,    -1,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,    -1,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,    -1,   455,   456,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,    -1,    -1,   471,    -1,
      -1,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,   287,    -1,   289,   290,   291,
     292,   293,   294,    -1,   296,   297,    -1,    -1,   300,   301,
     302,    -1,    -1,   305,   306,   307,    -1,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,    -1,   419,    -1,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,    -1,    -1,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,    -1,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,    -1,    -1,   471,
      -1,    -1,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,   287,    -1,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,    -1,   300,
     301,   302,    -1,    -1,   305,   306,   307,    -1,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,    -1,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
      -1,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,    -1,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,    -1,    -1,
     471,    -1,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,     3,    -1,    -1,     6,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,   287,    -1,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,    -1,
     300,   301,   302,    -1,    -1,   305,   306,   307,    -1,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,    -1,   419,
      -1,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
      -1,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,    -1,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,    -1,
      -1,   471,    -1,    -1,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,   287,    -1,
     289,   290,   291,   292,   293,   294,    -1,   296,   297,    -1,
      -1,   300,   301,   302,    -1,    -1,   305,   306,   307,    -1,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,    -1,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,    -1,
     419,    -1,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,    -1,    -1,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,    -1,   455,   456,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
      -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,
     248,    -1,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,   287,
      -1,   289,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,   307,
      -1,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
      -1,   419,    -1,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,    -1,    -1,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,    -1,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
     287,    -1,   289,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,
     307,    -1,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,    -1,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,    -1,   419,    -1,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,    -1,    -1,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,    -1,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,   287,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,    -1,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,    -1,   419,    -1,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,   287,    -1,   289,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,
     305,   306,   307,    -1,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,    -1,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,    -1,   419,    -1,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,    -1,    -1,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,    -1,   243,
      -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,   287,    -1,   289,   290,   291,   292,   293,
     294,    -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,
      -1,   305,   306,   307,    -1,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,    -1,   419,    -1,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,    -1,    -1,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
      -1,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
      -1,   465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,   287,    -1,   289,   290,   291,   292,
     293,   294,    -1,   296,   297,    -1,    -1,   300,   301,   302,
      -1,    -1,   305,   306,   307,    -1,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,    -1,   419,    -1,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,    -1,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,    -1,   455,   456,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,    -1,    -1,   471,    -1,
      -1,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,   287,    -1,   289,   290,   291,
     292,   293,   294,    -1,   296,   297,    -1,    -1,   300,   301,
     302,    -1,    -1,   305,   306,   307,    -1,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,    -1,   419,    -1,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,    -1,    -1,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,    -1,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,    -1,    -1,   471,
      -1,    -1,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,   287,    -1,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,    -1,   300,
     301,   302,    -1,    -1,   305,   306,   307,    -1,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,    -1,   419,    -1,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
      -1,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,    -1,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,    -1,    -1,
     471,    -1,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,   287,    -1,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,    -1,
     300,   301,   302,    -1,    -1,   305,   306,   307,    -1,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,    -1,   419,
      -1,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
      -1,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,    -1,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,    -1,
      -1,   471,    -1,    -1,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,   287,    -1,
     289,   290,   291,   292,   293,   294,    -1,   296,   297,    -1,
      -1,   300,   301,   302,    -1,    -1,   305,   306,   307,    -1,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,    -1,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,    -1,
     419,    -1,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,    -1,    -1,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,    -1,   455,   456,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
      -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,
     248,    -1,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,   287,
      -1,   289,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,   307,
      -1,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
      -1,   419,    -1,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,    -1,    -1,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,    -1,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
     287,    -1,   289,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,
     307,    -1,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,    -1,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,    -1,   419,    -1,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,    -1,    -1,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,    -1,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,   287,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,    -1,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,    -1,   419,    -1,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,   287,    -1,   289,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,
     305,   306,   307,    -1,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,    -1,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,    -1,   419,    -1,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,    -1,    -1,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,    -1,   243,
      -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,   287,    -1,   289,   290,   291,   292,   293,
     294,    -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,
      -1,   305,   306,   307,    -1,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,    -1,   419,    -1,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,    -1,    -1,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
      -1,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
      -1,   465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,   287,    -1,   289,   290,   291,   292,
     293,   294,    -1,   296,   297,    -1,    -1,   300,   301,   302,
      -1,    -1,   305,   306,   307,    -1,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,    -1,   419,    -1,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,    -1,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,    -1,   455,   456,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,    -1,    -1,   471,    -1,
      -1,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,   287,    -1,   289,   290,   291,
     292,   293,   294,    -1,   296,   297,    -1,    -1,   300,   301,
     302,    -1,    -1,   305,   306,   307,    -1,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,    -1,   419,    -1,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,    -1,    -1,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,    -1,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,    -1,    -1,   471,
      -1,    -1,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,   287,    -1,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,    -1,   300,
     301,   302,    -1,    -1,   305,   306,   307,    -1,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,    -1,   419,    -1,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
      -1,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,    -1,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,    -1,    -1,
     471,    -1,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,   287,    -1,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,    -1,
     300,   301,   302,    -1,    -1,   305,   306,   307,    -1,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,    -1,   419,
      -1,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
      -1,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,    -1,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,    -1,
      -1,   471,    -1,    -1,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,   287,    -1,
     289,   290,   291,   292,   293,   294,    -1,   296,   297,    -1,
      -1,   300,   301,   302,    -1,    -1,   305,   306,   307,    -1,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,    -1,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,    -1,
     419,    -1,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,    -1,    -1,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,    -1,   455,   456,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
      -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,
     248,    -1,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,   287,
      -1,   289,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,   307,
      -1,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
      -1,   419,    -1,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,    -1,    -1,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,    -1,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
     287,    -1,   289,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,
     307,    -1,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,    -1,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,    -1,   419,    -1,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,    -1,    -1,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,    -1,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,   287,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,    -1,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,    -1,   419,    -1,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,   287,    -1,   289,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,
     305,   306,   307,    -1,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,    -1,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,    -1,   419,    -1,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,    -1,    -1,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,    -1,   243,
      -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,   287,    -1,   289,   290,   291,   292,   293,
     294,    -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,
      -1,   305,   306,   307,    -1,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,    -1,   419,    -1,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,    -1,    -1,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
      -1,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
      -1,   465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,   287,    -1,   289,   290,   291,   292,
     293,   294,    -1,   296,   297,    -1,    -1,   300,   301,   302,
      -1,    -1,   305,   306,   307,    -1,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,    -1,   419,    -1,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,    -1,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,    -1,   455,   456,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,    -1,    -1,   471,    -1,
      -1,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,   287,    -1,   289,   290,   291,
     292,   293,   294,    -1,   296,   297,    -1,    -1,   300,   301,
     302,    -1,    -1,   305,   306,   307,    -1,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,    -1,   419,    -1,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,    -1,    -1,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,    -1,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,    -1,    -1,   471,
      -1,    -1,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,   287,    -1,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,    -1,   300,
     301,   302,    -1,    -1,   305,   306,   307,    -1,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,    -1,   419,    -1,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
      -1,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,    -1,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,    -1,    -1,
     471,    -1,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,   287,    -1,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,    -1,
     300,   301,   302,    -1,    -1,   305,   306,   307,    -1,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,    -1,   419,
      -1,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
      -1,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,    -1,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,    -1,
      -1,   471,    -1,    -1,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,   287,    -1,
     289,   290,   291,   292,   293,   294,    -1,   296,   297,    -1,
      -1,   300,   301,   302,    -1,    -1,   305,   306,   307,    -1,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,    -1,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,    -1,
     419,    -1,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,    -1,    -1,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,    -1,   455,   456,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
      -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,
     248,    -1,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,   287,
      -1,   289,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,   307,
      -1,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
      -1,   419,    -1,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,    -1,    -1,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,    -1,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
     287,    -1,   289,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,
     307,    -1,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,    -1,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,    -1,   419,    -1,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,    -1,    -1,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,    -1,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,   287,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,    -1,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,    -1,   419,    -1,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,   287,    -1,   289,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,
     305,   306,   307,    -1,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,    -1,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,    -1,   419,    -1,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,    -1,    -1,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,    -1,   243,
      -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,   287,    -1,   289,   290,   291,   292,   293,
     294,    -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,
      -1,   305,   306,   307,    -1,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,    -1,    -1,   389,   390,   391,   392,    -1,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,    -1,   419,    -1,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,    -1,    -1,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
      -1,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
      -1,   465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,   287,    -1,   289,   290,   291,   292,
     293,   294,    -1,   296,   297,    -1,    -1,   300,   301,   302,
      -1,    -1,   305,   306,   307,    -1,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,    -1,   419,    -1,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,    -1,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,    -1,   455,   456,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,    -1,    -1,   471,    -1,
      -1,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,   287,    -1,   289,   290,   291,
     292,   293,   294,    -1,   296,   297,    -1,    -1,   300,   301,
     302,    -1,    -1,   305,   306,   307,    -1,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,    -1,   419,    -1,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,    -1,    -1,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,    -1,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,    -1,    -1,   471,
      -1,    -1,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,   287,    -1,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,    -1,   300,
     301,   302,    -1,    -1,   305,   306,   307,    -1,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,    -1,   419,    -1,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
      -1,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,    -1,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,    -1,    -1,
     471,    -1,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,   287,    -1,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,    -1,
     300,   301,   302,    -1,    -1,   305,   306,   307,    -1,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,    -1,   419,
      -1,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
      -1,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,    -1,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,    -1,
      -1,   471,    -1,    -1,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,   287,    -1,
     289,   290,   291,   292,   293,   294,    -1,   296,   297,    -1,
      -1,   300,   301,   302,    -1,    -1,   305,   306,   307,    -1,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,    -1,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,    -1,
     419,    -1,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,    -1,    -1,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,    -1,   455,   456,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
      -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,
     248,    -1,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,   287,
      -1,   289,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,   307,
      -1,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
      -1,   419,    -1,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,    -1,    -1,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,    -1,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,    -1,   284,   285,    -1,
     287,    -1,   289,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,
     307,    -1,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,    -1,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,    -1,   419,    -1,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,    -1,    -1,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,    -1,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,    -1,   284,   285,
      -1,   287,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,   307,    -1,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,    -1,   419,    -1,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,    -1,   287,    -1,   289,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,
     305,   306,   307,    -1,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,    -1,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,    -1,   419,    -1,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,    -1,    -1,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,    -1,   243,
      -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,    -1,   287,    -1,   289,   290,   291,   292,   293,
     294,    -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,
      -1,   305,   306,   307,    -1,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,    -1,   419,    -1,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,    -1,    -1,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
      -1,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
      -1,   465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,    -1,   287,    -1,   289,   290,   291,   292,
     293,   294,    -1,   296,   297,    -1,    -1,   300,   301,   302,
      -1,    -1,   305,   306,   307,    -1,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,    -1,   419,    -1,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,    -1,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,    -1,   455,   456,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,    -1,    -1,   471,    -1,
      -1,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,    -1,   287,    -1,   289,   290,   291,
     292,   293,   294,    -1,   296,   297,    -1,    -1,   300,   301,
     302,    -1,    -1,   305,   306,   307,    -1,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,    -1,   419,    -1,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,    -1,    -1,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,    -1,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,    -1,    -1,   471,
      -1,    -1,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,    -1,   284,   285,    -1,   287,    -1,   289,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,    -1,   300,
     301,   302,    -1,    -1,   305,   306,   307,    -1,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,    -1,   419,    -1,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
      -1,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,    -1,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,    -1,    -1,
     471,    -1,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,    -1,   287,    -1,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,    -1,
     300,   301,   302,    -1,    -1,   305,   306,   307,    -1,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,    -1,   419,
      -1,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
      -1,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,    -1,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,    -1,
      -1,   471,    -1,    -1,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,    -1,   287,    -1,
     289,   290,   291,   292,   293,   294,    -1,   296,   297,    -1,
      -1,   300,   301,   302,    -1,    -1,   305,   306,   307,    -1,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,    -1,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,    -1,
     419,    -1,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,    -1,    -1,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,    -1,   455,   456,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
      -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,
     248,    -1,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,    -1,   287,
      -1,   289,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,   307,
      -1,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,    -1,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
      -1,   419,    -1,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,    -1,    -1,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,    -1,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      -1,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,    -1,   155,   156,
     157,   158,    -1,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,    -1,
      -1,    -1,    -1,    -1,    -1,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,    -1,   242,   243,   244,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,    -1,   282,    -1,   284,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,    -1,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,    -1,    -1,   432,   433,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,   463,   464,   465,   466,
     467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,
     477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   491,   492,   493,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    -1,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,    -1,   155,   156,   157,   158,    -1,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,    -1,    -1,    -1,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,    -1,    -1,    -1,    -1,
      -1,    -1,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,    -1,   242,   243,   244,    -1,   246,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,    -1,   282,    -1,   284,   285,   286,   287,   288,    -1,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,    -1,
     300,   301,   302,    -1,    -1,   305,   306,    -1,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,    -1,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
      -1,    -1,   432,   433,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,    -1,   455,   456,   457,   458,   459,
      -1,   461,    -1,   463,   464,   465,   466,   467,   468,    -1,
      -1,   471,    -1,    -1,   474,   475,   476,   477,   478,   479,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   491,   492,   493,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,   156,   157,   158,    -1,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,    -1,
      -1,    -1,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,    -1,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
      -1,   284,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,    -1,   296,   297,    -1,    -1,   300,   301,   302,
      -1,    -1,   305,   306,    -1,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,    -1,
     413,    -1,   415,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,    -1,    -1,   432,
     433,    -1,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,    -1,   455,   456,   457,   458,   459,    -1,   461,    -1,
     463,   464,   465,   466,   467,   468,    -1,    -1,   471,    -1,
      -1,   474,   475,   476,   477,   478,   479,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,   492,
     493,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    -1,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,
     106,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,    -1,   155,
     156,   157,   158,    -1,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,    -1,    -1,    -1,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
      -1,    -1,    -1,    -1,    -1,    -1,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,    -1,   242,   243,   244,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,    -1,   284,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,
     306,    -1,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,    -1,   413,    -1,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,    -1,   432,   433,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,   455,
     456,   457,   458,   459,    -1,   461,    -1,   463,   464,   465,
     466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,
     476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   491,   492,   493,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    -1,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,    -1,   155,   156,   157,   158,
      -1,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,    -1,    -1,    -1,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,    -1,    -1,    -1,
      -1,    -1,    -1,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,    -1,   242,   243,   244,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,    -1,   282,    -1,   284,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,    -1,   296,   297,    -1,
      -1,   300,   301,   302,    -1,    -1,   305,   306,    -1,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,    -1,   413,    -1,   415,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,    -1,    -1,   432,   433,    -1,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,    -1,   455,   456,   457,   458,
     459,    -1,   461,    -1,   463,   464,   465,   466,   467,   468,
      -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,   478,
     479,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   491,   492,   493,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,    -1,   155,   156,   157,   158,    -1,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
      -1,    -1,    -1,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,    -1,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,    -1,
     282,    -1,   284,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,    -1,   296,   297,    -1,    -1,   300,   301,
     302,    -1,    -1,   305,   306,    -1,   308,   309,   310,    -1,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
      -1,   413,    -1,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,    -1,    -1,
     432,   433,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,    -1,   455,   456,   457,   458,   459,    -1,   461,
      -1,   463,   464,   465,   466,   467,   468,    -1,    -1,   471,
      -1,    -1,   474,   475,   476,   477,   478,   479,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,
     492,   493,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    -1,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,    -1,
     155,   156,   157,   158,    -1,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,    -1,    -1,    -1,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,    -1,    -1,    -1,    -1,    -1,    -1,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,    -1,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,    -1,   282,    -1,   284,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,    -1,
     305,   306,    -1,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,    -1,   413,    -1,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,    -1,    -1,   432,   433,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,    -1,
     455,   456,   457,   458,   459,    -1,   461,    -1,   463,   464,
     465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,   474,
     475,   476,   477,   478,   479,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   491,   492,   493,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    -1,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,    -1,   155,   156,   157,
     158,    -1,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,    -1,    -1,
      -1,    -1,    -1,    -1,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,    -1,   242,   243,   244,    -1,   246,   247,
     248,    -1,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,    -1,   282,    -1,   284,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,    -1,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,    -1,   413,    -1,   415,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,    -1,    -1,   432,   433,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,    -1,   455,   456,   457,
     458,   459,    -1,   461,    -1,   463,   464,   465,   466,   467,
     468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,   477,
     478,   479,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   491,   492,   493,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,    -1,   155,   156,   157,   158,    -1,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,    -1,    -1,    -1,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,    -1,    -1,    -1,    -1,    -1,
      -1,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
      -1,   242,   243,   244,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
      -1,   282,    -1,   284,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,    -1,   296,   297,    -1,    -1,   300,
     301,   302,    -1,    -1,   305,   306,    -1,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,   368,   369,    -1,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,    -1,   413,    -1,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
      -1,   432,   433,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,    -1,   455,   456,   457,   458,   459,    -1,
     461,    -1,   463,   464,   465,   466,   467,   468,    -1,    -1,
     471,    -1,    -1,   474,   475,   476,   477,   478,   479,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     491,   492,   493,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    -1,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,    -1,
      -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
      -1,   155,   156,   157,   158,    -1,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,    -1,    -1,
      -1,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,    -1,    -1,    -1,    -1,    -1,    -1,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,    -1,   242,   243,
     244,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,    -1,   282,    -1,
     284,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,    -1,   296,   297,    -1,    -1,   300,   301,   302,    -1,
      -1,   305,   306,    -1,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,    -1,   388,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,    -1,   413,
      -1,   415,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,    -1,    -1,   432,   433,
      -1,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
      -1,   455,   456,   457,   458,   459,    -1,   461,    -1,   463,
     464,   465,   466,   467,   468,    -1,    -1,   471,    -1,    -1,
     474,   475,   476,   477,   478,   479,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,   492,   493,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    -1,    54,    -1,    -1,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    -1,    -1,    71,    -1,    73,    74,    75,    76,
      -1,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,    -1,
      -1,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,    -1,   155,   156,
     157,   158,    -1,    -1,   161,    -1,   163,   164,   165,    -1,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,    -1,   211,   212,   213,   214,    -1,    -1,
      -1,    -1,    -1,   220,   221,   222,   223,   224,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,    -1,   242,   243,   244,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,    -1,    -1,   282,    -1,   284,   285,   286,
     287,    -1,    -1,   290,    -1,   292,   293,   294,    -1,   296,
     297,    -1,    -1,   300,   301,   302,    -1,    -1,   305,   306,
      -1,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,    -1,   391,   392,   393,   394,   395,    -1,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,    -1,   413,    -1,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,    -1,    -1,    -1,   432,   433,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,    -1,   455,   456,
     457,   458,   459,    -1,    -1,    -1,   463,   464,   465,   466,
     467,   468,    -1,    -1,   471,    -1,    -1,   474,   475,   476,
     477,   478,   479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   491,   492,   493
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    20,    31,    33,    34,    51,    61,    73,    75,    76,
      82,    84,    96,    98,   115,   118,   133,   135,   139,   145,
     153,   155,   162,   180,   197,   246,   247,   252,   267,   285,
     329,   343,   349,   350,   352,   357,   363,   366,   373,   380,
     381,   388,   392,   402,   418,   438,   449,   455,   460,   473,
     497,   499,   500,   501,   502,   503,   516,   523,   524,   525,
     526,   531,   532,   538,   539,   541,   542,   543,   544,   546,
     549,   561,   566,   567,   570,   571,   572,   592,   595,   596,
     611,   661,   664,   665,   668,   671,   672,   673,   681,   688,
     690,   691,   694,   697,   698,   702,   711,   715,   716,   717,
     720,   722,   723,   724,   725,   733,   735,   755,   759,   761,
     762,   772,   774,   781,   782,   785,   786,   787,   788,   789,
     798,   800,   802,   805,   809,   810,   820,   821,   826,   831,
     842,   874,   877,   878,   879,   884,   887,   889,   891,   893,
     894,   898,   899,   902,   904,   905,   909,   910,   911,   914,
     915,   916,   917,   918,   925,   927,   928,   929,   930,   936,
     938,   939,   945,   946,   947,   950,   951,   952,   953,   955,
     956,   958,   959,   961,   962,   964,   976,   978,   981,   983,
     984,   993,   995,  1000,  1005,  1013,  1017,  1018,  1019,  1020,
    1021,  1022,  1028,  1064,   432,   476,   931,    28,    79,    95,
     113,   119,   137,   148,   157,   170,   176,   183,   203,   236,
     258,   300,   324,   334,   335,   338,   365,   368,   372,   375,
     382,   385,   404,   411,   416,   418,   421,   425,   435,   440,
     453,   466,   687,   931,     3,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    30,    31,    32,    40,    41,    42,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    58,    59,    60,    61,    62,    63,    64,
      67,    68,    69,    70,    71,    73,    74,    75,    76,    77,
      79,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    92,    93,    94,    95,    96,    97,    99,   100,   101,
     102,   106,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   120,   122,   123,   124,   125,   126,   127,   128,   130,
     131,   132,   133,   136,   137,   138,   139,   140,   142,   143,
     144,   146,   147,   148,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   161,   163,   164,   165,   166,   167,
     169,   171,   172,   173,   175,   176,   177,   178,   179,   181,
     182,   184,   185,   186,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   199,   200,   201,   202,   203,   204,
     205,   206,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   218,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     240,   241,   242,   243,   244,   246,   247,   248,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     284,   285,   286,   287,   289,   290,   291,   292,   293,   294,
     296,   297,   300,   301,   302,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   323,   324,   325,   326,   327,   328,   329,   330,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   382,   383,   384,
     385,   386,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   415,   416,   419,
     420,   421,   422,   423,   424,   425,   427,   428,   429,   432,
     433,   434,   435,   436,   438,   439,   440,   441,   442,   443,
     444,   445,   448,   449,   450,   451,   452,   455,   456,   457,
     458,   459,   460,   461,   463,   464,   465,   466,   467,   468,
     471,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,  1126,  1210,  1222,  1223,  1227,  1228,  1229,     3,    29,
    1014,  1207,  1222,  1227,   464,   516,   969,   298,   330,   931,
      54,   516,   603,    23,    41,    66,    79,   113,   119,   137,
     148,   157,   170,   179,   183,   248,   300,   303,   324,   338,
     365,   375,   385,   404,   411,   421,   422,   424,   425,   440,
     447,   450,   453,   612,   670,   777,   832,   843,    29,   329,
    1207,  1014,    29,   323,   383,   422,   424,     6,   235,   885,
     886,  1213,    23,    28,    66,    79,    95,   113,   137,   148,
     157,   170,   176,   183,   203,   258,   300,   313,   324,   335,
     338,   365,   368,   372,   375,   382,   385,   404,   411,   418,
     421,   425,   433,   435,   440,   453,   466,   687,   790,   792,
     793,   931,  1207,    98,   464,   516,   665,   668,   671,   964,
     977,   981,   984,   993,  1000,  1005,  1013,  1017,    11,    22,
      29,    49,   165,   172,   174,   198,   237,   274,   332,   351,
     507,   508,   806,   807,  1014,  1212,  1214,    29,    31,    98,
     347,   381,   811,   812,   813,  1222,   170,  1222,  1209,  1213,
     418,  1031,   806,  1222,   432,  1207,   313,   258,   516,   897,
     373,  1222,    29,   386,   428,   432,   553,   562,   563,  1222,
     180,   811,   812,  1222,   330,   931,  1222,   234,    29,   134,
    1033,  1034,    67,    92,   248,   269,   365,   375,   386,   428,
     432,   479,   550,   551,   552,   553,    29,   386,   428,   432,
     553,   432,   299,  1076,  1077,  1205,  1222,  1031,   509,  1222,
     175,   516,   970,   516,   345,  1023,  1024,  1207,  1023,     3,
      53,    55,    56,    69,    70,   116,   117,   138,   166,   215,
     216,   218,   225,   270,   272,   291,   342,   390,   396,   428,
     429,   461,  1099,  1101,  1103,  1105,  1107,  1109,  1110,  1111,
    1113,  1114,  1115,  1117,  1118,  1122,  1223,  1227,  1033,  1034,
    1035,  1218,    12,  1219,  1220,  1222,  1219,  1219,  1018,  1019,
    1022,     0,   519,   516,   969,   149,   217,   304,   446,  1036,
    1037,  1018,  1020,  1021,   124,   213,   260,   452,   520,    35,
     935,   859,  1210,   795,  1222,   795,  1207,   333,   795,   435,
    1207,   112,   418,   847,  1210,  1222,  1229,     3,   105,   109,
     387,  1215,  1216,  1224,  1227,  1228,  1229,    29,   192,  1205,
     292,   466,    10,    17,    18,    19,    74,   161,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   881,   883,  1157,
    1158,  1222,   192,  1207,   847,  1207,    29,  1215,  1216,   847,
    1207,  1207,   192,  1205,  1207,   192,   795,  1207,   357,   388,
      29,   192,  1076,  1207,   378,  1207,   795,    29,   255,  1215,
    1216,   192,  1205,   235,   121,   223,   283,   341,   932,   933,
     934,   516,   514,   518,  1183,  1185,   494,   963,   964,   965,
     966,  1224,  1205,  1207,  1222,    28,    66,    80,    91,   113,
     137,   176,   203,   236,   300,   335,   365,   368,   411,   421,
     433,   440,   790,   791,   792,   793,  1213,   935,   980,   984,
     993,  1000,  1005,  1017,  1205,   262,   795,   516,   192,   795,
    1207,   795,   435,   192,  1207,   112,   418,   422,   424,  1215,
    1216,   422,   424,    74,   161,   881,   355,  1207,  1207,  1215,
     192,   527,  1222,   192,  1207,   192,   528,   795,  1207,  1207,
     378,   795,   255,  1215,   345,   382,   418,   466,   258,    95,
     203,    28,    91,   176,   335,   372,   433,   435,   439,   682,
      29,  1207,  1015,   560,  1213,  1224,   886,   262,   192,   859,
     860,   192,   890,   192,  1207,   192,   797,  1099,   435,   112,
     418,   192,   846,   847,   192,  1216,  1217,    87,   466,    74,
     161,   192,   882,   883,    59,   192,   846,   192,  1217,   192,
     846,   192,  1207,   192,  1207,   378,   890,   192,   797,   192,
     255,  1217,   235,   192,   794,   795,   192,  1206,  1207,   192,
    1207,   935,   516,   982,   612,   977,   460,   963,   969,  1214,
     807,   808,    29,   808,  1214,   808,    29,   808,  1214,   808,
     808,   808,  1214,  1212,  1212,  1014,   808,   333,   516,   416,
     516,   638,   638,   638,   298,   430,   520,   638,   375,  1076,
    1078,   520,   926,  1213,   516,   979,    59,   466,   963,   113,
     203,   375,   416,   418,   895,   896,  1222,    48,   493,   223,
     518,   301,   298,   174,   301,  1213,   430,   935,   168,   803,
     298,     5,     8,     9,    10,    12,    37,    53,    55,    56,
      65,    66,    69,    70,    77,    79,   103,   104,   105,   106,
     107,   108,   109,   116,   117,   119,   154,   159,   160,   166,
     182,   184,   215,   216,   218,   225,   226,   227,   228,   229,
     230,   231,   241,   249,   250,   261,   270,   272,   281,   283,
     288,   289,   291,   300,   311,   325,   342,   370,   387,   396,
     412,   417,   428,   429,   434,   436,   437,   447,   453,   461,
     481,   482,   483,   484,   486,   487,   488,   489,   495,   507,
     508,   509,   516,  1018,  1102,  1105,  1108,  1109,  1110,  1112,
    1113,  1114,  1117,  1118,  1122,  1123,  1125,  1126,  1127,  1129,
    1153,  1154,  1155,  1159,  1177,  1182,  1199,  1202,  1203,  1210,
    1211,  1212,  1213,  1222,  1201,  1202,  1213,    29,   568,  1204,
    1205,   386,   550,   119,   559,  1213,   560,  1213,    48,    71,
     550,   493,   397,   933,   301,   174,   430,   506,    48,   493,
     223,   934,   516,  1205,   509,  1185,  1078,   963,   173,   971,
    1123,  1162,  1023,   520,   516,   972,   463,  1116,  1116,  1116,
     516,  1104,  1104,   327,   516,  1106,    69,    70,  1116,  1104,
    1101,   497,   498,   516,  1119,   516,  1119,    37,  1100,   516,
     114,   190,   263,   266,   379,   491,   516,  1120,  1121,   518,
     796,  1104,  1201,  1186,   517,   517,   525,   963,   973,   974,
     975,  1205,    29,   134,  1032,  1032,    59,  1032,   162,   168,
     245,   295,  1040,  1042,  1043,  1058,  1060,  1061,  1062,  1036,
    1037,   174,   219,   219,  1076,  1079,   516,    68,   279,   314,
     353,   388,   516,   857,   314,   349,   353,   388,   796,   314,
     353,   388,     3,    90,   143,   251,   314,   349,   353,   388,
     421,   423,   473,   561,   564,   940,   941,   942,   943,   827,
      25,   139,   314,   353,   388,   457,   577,  1207,    25,   139,
     388,   452,   545,   477,   192,  1076,    62,    97,   158,   195,
     240,   279,   283,   314,   315,   353,   362,   371,   380,   388,
     400,   409,   413,   468,   561,   565,   863,   875,   903,   516,
     844,  1185,   353,   545,   198,   154,    25,    31,    46,    76,
     132,   139,   142,   169,   205,   279,   283,   293,   302,   314,
     353,   356,   357,   388,   457,   573,   575,   576,   705,   903,
       5,   507,   508,   679,  1214,    29,   192,  1205,   795,   795,
     516,   880,   314,   388,   518,   154,   298,   314,   353,   388,
     875,   903,    25,   139,   314,   353,   388,   198,   540,   353,
     473,   497,   533,   540,   314,   353,   388,   875,   903,   298,
     314,   353,   154,    38,    60,   111,   201,   259,   264,   279,
     313,   353,   358,   382,   388,   402,   573,   676,   677,   314,
     353,   465,   705,   713,   154,   314,   353,   388,    25,    90,
     132,   139,   142,   314,   349,   353,   388,   395,   563,   551,
     553,   198,   154,    46,   130,   279,   353,   388,   573,   574,
     314,   353,   357,   388,    88,   131,   317,   423,   298,    25,
      31,   139,   314,   353,   388,   593,   594,   540,   168,   353,
     533,   540,   154,   353,   388,   573,  1207,   243,   121,   299,
     478,   520,   932,    29,   134,   462,   509,   517,   852,  1123,
    1163,  1164,  1223,  1123,  1184,     3,    29,    33,    34,    35,
      36,    37,    38,    39,    43,    57,    65,    66,    72,    78,
      80,    91,    98,   103,   104,   105,   107,   108,   109,   119,
     121,   129,   134,   135,   141,   145,   149,   160,   162,   168,
     170,   174,   180,   183,   187,   198,   207,   217,   219,   238,
     239,   245,   249,   250,   283,   288,   295,   298,   299,   303,
     304,   322,   331,   347,   361,   381,   387,   398,   414,   417,
     418,   426,   430,   431,   437,   446,   447,   453,   454,   462,
     469,   470,   472,   473,   509,  1208,  1225,  1227,  1228,  1229,
    1230,  1183,   517,   520,   160,   298,   437,   557,   560,   679,
     967,   454,   960,   298,   859,   516,   795,  1207,  1099,   847,
     292,    74,   161,   883,   847,   847,   168,  1099,   795,  1207,
    1207,   517,   638,  1207,    72,  1099,   283,   174,   516,   763,
     533,    38,   954,  1207,   283,   533,   477,   192,  1205,   533,
     795,   795,   763,   450,   612,   298,   168,   473,   871,   533,
     283,    48,   547,   283,   440,   712,   283,   972,    90,   314,
     689,    88,   131,   317,   423,    38,   763,   168,   192,   533,
     466,   192,  1205,   192,   666,  1205,  1205,   466,   795,    87,
     529,  1210,   435,  1210,  1210,  1207,   168,  1207,   687,    40,
      54,   110,   212,   279,   377,   154,    63,   359,   520,   530,
     154,   516,   154,   533,   154,   520,   530,   477,   154,   520,
     530,   154,   520,   192,   794,   192,   795,   192,   795,   154,
     520,   530,  1217,   154,   530,   154,   154,   530,   154,   530,
     154,    88,   131,   317,   423,   168,   154,   530,   154,   168,
     192,   154,   520,   530,   154,   520,   530,   154,   298,  1162,
     418,   517,   977,   808,  1014,   808,  1014,   808,  1014,   808,
    1014,   808,  1014,  1014,  1014,   808,  1014,   516,   639,   640,
    1222,   639,    29,   113,   137,   170,   176,   235,   236,   316,
     335,   368,   375,   382,   418,   421,   440,   816,  1204,  1217,
     813,  1207,   198,   520,   996,  1213,  1099,  1166,    38,  1217,
     529,   517,   529,   529,   529,   243,  1222,   168,   816,  1217,
     168,   373,  1222,   560,   298,   516,  1186,   514,  1018,  1167,
    1123,  1181,   516,   516,   168,   516,   516,  1018,   516,   516,
     516,   516,   516,   516,   516,   516,   516,   516,   516,   516,
     516,   516,   516,  1123,   516,   516,   516,   516,   516,   516,
     516,   516,   290,   628,   516,   516,   516,   516,   516,   516,
     516,   516,  1123,  1123,  1123,  1018,  1123,  1162,  1185,  1213,
     516,  1213,     3,    10,    13,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   164,   165,   166,   167,   169,   170,
     171,   172,   173,   175,   176,   177,   178,   179,   181,   182,
     184,   185,   186,   188,   189,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   218,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   264,   265,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   296,   297,   299,   300,   301,   302,
     303,   305,   306,   307,   308,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   464,   465,   466,   467,   468,   469,   471,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   492,   493,   495,   504,   505,   506,
     507,   508,   509,   510,   511,   512,  1157,  1159,  1161,  1226,
    1231,   474,  1140,   310,  1123,   163,  1141,   219,   520,  1029,
     516,  1213,  1185,  1029,   122,   194,   569,   520,    71,   119,
     560,    38,     3,   119,   248,   558,   679,  1118,  1213,  1213,
      93,   136,  1135,   102,   119,   554,   555,   557,   679,   119,
     554,   243,  1205,    94,   358,   799,   517,   969,    35,    45,
      52,    78,   193,   198,   221,   244,   300,   303,   393,   517,
     520,  1024,  1206,    38,   516,  1162,  1212,  1116,  1116,    37,
    1100,   428,   428,  1212,  1212,   514,   514,  1212,   430,   430,
     430,   516,   430,  1212,  1208,   518,  1104,   174,  1065,    15,
     506,  1183,  1221,   517,   520,   972,  1020,  1020,  1038,  1039,
    1123,  1020,   165,   274,  1049,   232,   279,   341,   391,   452,
      29,  1044,  1123,   507,   508,  1045,  1046,  1123,  1125,  1058,
    1059,  1043,  1042,  1040,  1041,   168,  1061,   293,  1063,  1040,
    1058,  1079,   985,  1205,  1079,    38,  1222,   388,  1162,    68,
     430,   430,   375,   198,   210,   304,   307,   390,   462,   509,
     850,   851,   852,   854,   856,   858,  1099,  1223,   430,   465,
     430,   375,   430,   430,   375,   245,   430,    79,   430,   421,
     550,   314,   940,   942,   506,   944,   168,   180,   198,   363,
     828,   829,    72,    91,   150,   170,   283,   331,   447,   634,
     635,    91,   119,   283,   430,    91,   430,   119,   283,   375,
      91,   132,   142,   314,   353,   760,   375,   695,    28,    66,
     137,   176,   300,   335,   368,   433,   440,   790,   791,  1207,
     154,   353,   388,   573,   298,   679,   380,   240,   430,  1222,
     430,   288,   679,   123,   220,   375,   386,   432,   552,   795,
     359,   388,   863,   876,   127,   517,   845,   850,   430,   453,
     421,  1205,    80,   150,   192,   619,   634,  1222,    80,    91,
     900,   319,   298,   370,   372,   435,    91,   900,    32,   356,
     370,   372,   435,   370,  1205,   169,   205,   293,   795,   516,
     430,   430,   191,   516,   581,    23,   254,   421,   450,   475,
     581,    91,   520,   127,     5,     5,   314,   198,   154,   353,
     388,   573,   903,   454,   454,   280,  1099,   430,   375,   516,
     881,  1207,  1205,   430,   430,   375,   876,   127,   106,   418,
     419,   912,   913,  1077,  1205,  1222,   913,   430,   430,   763,
     913,   113,   388,   564,   430,   535,   564,   430,   430,   375,
     876,   127,  1205,   430,   430,  1205,  1101,   679,    59,   678,
     679,   679,   111,   259,   264,    59,   430,   533,   268,   375,
     533,   279,   677,   430,   430,   288,  1213,   705,   795,   430,
     430,   375,   404,   338,  1213,   338,   430,   338,   430,   338,
     763,   763,   421,  1076,   319,   319,    91,   430,   900,   375,
     430,   430,   581,   581,   795,   795,   795,   795,  1205,    47,
     459,    47,    47,   459,   430,    47,   430,   459,   375,   516,
     520,   564,   453,   721,  1216,   430,   535,   564,  1205,   430,
     900,   375,   314,   353,   341,   354,   384,   556,   932,  1163,
    1163,  1164,   517,    15,    16,   520,  1036,  1037,   515,   521,
    1205,   965,  1207,  1205,   221,  1099,   221,   298,   221,   221,
     679,   795,   795,   221,   221,   221,  1099,   221,   221,   221,
     298,   430,   174,   430,   597,   440,   516,    38,   154,   795,
     764,   765,  1225,   940,  1099,   298,   154,   692,  1207,   283,
     319,   516,   534,   777,   454,   345,   466,  1205,    29,   913,
     763,   534,   154,  1216,    98,   180,   548,   611,   672,   735,
     809,   831,   936,   154,  1213,   713,   714,   154,   298,  1213,
    1216,   251,   795,   795,   795,   795,   146,   340,   516,   721,
     283,   534,  1205,   283,   674,   676,   283,    38,   293,   319,
     516,   638,   638,   192,   669,  1205,   168,   192,   527,  1222,
     516,   767,   857,  1207,   516,   848,   848,    38,  1099,    27,
      50,   214,   736,   235,   473,   475,  1016,   377,   860,   859,
    1099,  1207,   516,   797,  1099,   846,   847,  1217,  1216,   154,
     530,   154,   454,   154,   454,   882,   883,   530,   846,  1217,
     846,  1207,  1207,  1099,   797,  1217,   721,   154,   794,   795,
    1206,  1207,  1207,   795,   517,   192,  1205,   977,  1014,  1014,
    1014,  1014,  1014,  1014,   639,   517,   520,   517,   177,   336,
     369,   383,   419,  1206,   794,   112,   385,   846,  1206,   292,
     814,   815,  1222,   846,   846,  1206,  1204,  1204,  1206,   794,
     430,   181,   473,   825,   149,   245,   718,   719,    23,   152,
     370,   391,   997,  1076,   287,   998,   517,   520,   980,   430,
    1205,  1207,  1205,   527,   811,   812,   174,   825,   812,  1222,
      28,    80,   137,   176,   236,   335,   368,   440,   790,   791,
    1162,   515,  1162,  1167,  1168,   469,  1178,  1179,  1123,  1162,
     516,  1212,  1212,     3,   114,   190,   263,   266,   379,   491,
    1169,  1170,  1213,  1162,  1162,  1123,  1188,   361,  1018,  1019,
    1188,  1191,  1198,  1188,  1123,  1125,  1163,  1191,  1194,  1195,
    1123,  1195,  1123,  1188,  1162,  1212,  1212,   517,  1123,  1123,
     881,  1123,  1163,  1165,  1172,   370,   507,   508,   516,  1124,
    1125,  1159,  1173,   517,  1162,  1123,  1165,  1174,  1123,    57,
     174,   239,   431,  1123,  1162,  1175,   134,   283,  1018,  1162,
     268,  1125,  1123,  1133,  1134,  1135,   268,  1123,  1135,   517,
     520,  1212,  1120,  1099,  1123,  1123,  1123,  1123,  1225,   248,
     428,    43,   414,  1187,   795,  1123,   516,  1018,  1176,   134,
     136,   160,   225,   275,   276,   277,   278,   282,   283,   288,
     437,   448,  1171,  1192,  1123,   516,  1123,   430,    52,   193,
     198,   244,   393,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1123,    29,    36,   398,  1156,   183,  1141,   370,
     516,  1153,   516,   309,  1145,   179,   248,   418,   422,   424,
     450,  1030,  1205,  1203,  1065,  1163,  1065,  1205,   432,   516,
    1213,   520,   517,   191,   191,   530,   975,   964,   968,  1123,
     517,   258,   283,  1025,  1162,   517,   517,   514,   493,   493,
     517,   517,  1212,   515,  1212,   517,   190,   263,  1121,   263,
    1121,  1121,  1212,   266,   517,  1208,   225,   238,   371,   490,
     516,  1018,  1066,  1067,  1068,  1076,  1082,  1092,  1126,  1128,
    1129,  1199,  1222,   470,  1087,  1218,   975,   973,   520,    39,
     129,   454,   840,   370,   371,   507,   508,  1046,  1048,  1125,
     391,   232,   299,   520,     5,  1047,  1212,  1047,   370,   371,
    1048,  1204,   287,   395,   999,  1059,  1041,   454,   994,   119,
     312,   516,   986,  1017,    38,   454,  1222,   516,  1001,  1002,
    1003,  1222,   517,  1216,  1207,  1207,   307,    59,  1223,   517,
     852,   854,   851,   854,  1223,   304,   517,   520,   796,  1216,
    1207,  1207,  1216,  1207,  1207,  1216,   465,  1207,  1207,   119,
     557,   679,   365,   453,   811,   375,   180,   811,   516,  1207,
     454,   833,   232,   288,   232,   454,   628,   660,   192,  1207,
     288,  1216,  1207,  1207,  1123,   288,  1207,  1207,    32,   356,
     430,   430,  1207,   430,   696,   859,   516,  1099,   847,    74,
     161,   883,   847,   847,   168,  1099,   795,  1207,   186,   279,
     314,   353,   458,   699,   700,   701,  1076,   430,   900,   375,
     288,   123,   220,  1216,  1207,   298,  1207,   298,   517,   520,
    1215,  1217,  1207,   353,   573,   192,   619,   283,  1099,  1207,
    1212,  1222,  1205,  1207,   243,  1207,    29,   453,  1207,   192,
    1207,   192,  1222,   372,   435,   372,   435,   243,  1207,    29,
     453,  1207,   243,   370,  1205,    25,   139,   388,   706,   707,
     708,   709,  1225,  1216,  1207,   119,   175,   284,   454,   580,
     583,   584,  1225,   262,  1207,    76,   296,  1207,   576,   298,
     430,   421,  1205,   430,   900,   375,   127,  1207,  1207,   520,
     517,   520,  1216,  1207,   906,   907,  1225,   298,   353,   430,
     729,  1216,  1207,  1207,   298,  1076,   198,   520,   638,   638,
    1185,  1216,  1207,  1207,  1215,     3,    90,   144,   205,   321,
     445,   453,   456,   536,  1216,  1207,  1207,   298,   353,  1216,
    1207,   353,   388,   573,   676,   679,   795,  1207,   679,   795,
    1207,   679,  1216,  1207,   388,  1216,  1207,  1207,   119,   587,
    1214,  1206,  1206,  1216,   871,  1207,  1206,  1207,   353,   388,
     573,   574,  1205,  1205,  1207,  1207,  1207,  1207,  1216,  1207,
      25,    31,   139,   314,   353,   388,   314,   353,   388,   763,
     353,   388,   353,   388,   353,   903,  1091,  1222,   192,   773,
    1222,   192,  1222,  1213,  1216,  1207,  1207,  1213,  1207,   906,
      25,   139,   594,   385,  1215,   353,   388,   573,  1207,  1207,
    1207,   430,   430,    85,   444,   341,   520,  1036,  1036,  1036,
    1123,  1123,   462,  1164,   517,  1123,  1184,   960,   288,   801,
    1213,    38,   801,   137,   795,   801,   801,   221,   454,   454,
     801,   801,   801,   235,   801,   801,   801,   795,   337,   598,
     598,   203,   418,   734,  1123,  1099,   795,   517,   520,   506,
     625,  1225,  1207,    63,   174,   375,   465,   693,   700,   701,
     154,   293,   244,   613,   615,   617,   619,   631,   634,    26,
     198,   365,   415,   536,   537,   168,  1207,   466,  1205,    38,
     730,   419,   871,   527,  1222,   547,   612,   843,  1207,   170,
     795,   516,   662,   663,  1128,  1222,   338,  1213,   763,   763,
     763,   763,   516,   763,  1089,  1090,  1091,   385,   154,   516,
     154,   154,   153,  1017,   795,   293,   613,  1222,   454,   655,
     473,   582,   283,    38,   638,  1213,   283,   298,     3,   768,
     769,   763,    27,   517,   849,   850,   855,    38,   235,   362,
     433,   472,   861,   862,   863,   864,   861,   298,   235,   293,
     124,   213,   438,   452,   737,   738,  1207,   189,   189,   168,
     530,    38,   533,   169,   948,   949,   530,   530,   794,   795,
    1207,   795,  1207,   530,   530,   530,   530,   235,   530,   385,
     168,   530,   530,   298,   530,   283,   517,   640,   198,   198,
     198,   198,   198,   477,  1206,   679,   680,   520,   518,   183,
     817,   818,  1216,    59,   822,   823,  1225,   430,   516,   174,
     152,   391,   152,   391,   370,   452,   265,  1099,  1216,   473,
     667,   298,   817,   530,   174,   859,   795,  1099,   847,   292,
     847,   847,  1099,   795,  1207,   517,   515,   515,   520,  1123,
     141,  1179,  1180,    38,   517,  1123,   517,   517,   517,   174,
     517,   517,   494,  1189,  1190,   473,   475,  1193,  1099,  1190,
     517,    21,   288,   520,  1197,   304,  1200,   521,   459,   517,
     517,    21,   288,   520,  1196,  1196,   517,  1191,   517,   517,
     517,   517,   520,   520,   517,   322,   517,   517,   516,  1124,
    1124,  1162,    13,    17,    18,    19,   198,   221,   300,   504,
     505,   506,   507,   508,   509,   510,   511,   512,  1159,  1124,
     517,   517,   168,   174,   393,   517,   517,    38,  1175,  1162,
    1175,  1175,   174,   517,   134,   517,  1225,   320,  1138,    38,
     517,   520,  1123,  1225,   520,  1123,  1186,  1123,   517,   493,
    1124,  1124,   147,  1162,   174,    37,   292,   374,   459,   134,
     136,   160,   282,   288,   437,   448,  1171,  1192,   282,  1193,
     147,   881,  1123,   414,  1187,  1123,  1176,  1123,   430,   516,
    1018,   516,  1145,   516,  1162,   470,   516,  1146,  1222,   422,
     424,   422,   424,  1205,  1031,  1031,  1031,  1087,  1036,  1087,
     933,  1212,  1120,   555,   975,   258,   516,   517,  1212,  1119,
    1119,   515,   515,   517,  1018,  1082,  1092,   174,   516,  1018,
    1067,  1068,    38,  1069,  1070,  1222,   520,    99,   175,   209,
     224,   242,   271,   364,  1073,  1070,    38,  1069,  1072,  1222,
    1070,   497,  1086,  1185,  1123,   183,  1050,  1039,   300,  1157,
    1160,   496,   841,     5,  1212,  1048,   299,   473,   452,  1045,
     253,  1066,   470,  1088,   460,   416,   453,   987,   988,   989,
    1222,   298,   990,  1222,  1067,  1003,  1004,   520,  1065,   506,
    1186,   858,   796,   854,   854,    59,   856,   511,  1217,  1217,
     298,  1206,   301,   298,  1123,   635,  1207,   516,   516,  1222,
     516,   660,   203,   516,   753,   154,   530,   430,  1216,  1207,
     560,  1099,   795,   795,  1099,   683,  1207,   186,   458,   430,
     430,   683,   699,   705,   353,   388,   573,  1207,  1207,  1207,
     211,   288,   157,   850,   313,   388,   430,   283,   154,   407,
     623,   624,   753,   388,    25,   139,   357,   358,   388,   577,
     585,   586,   705,   901,   380,   154,   530,   154,   530,  1207,
    1207,  1207,  1207,   380,   380,   243,   708,   709,   708,   517,
     520,   710,  1213,   203,   517,   520,   506,   518,   119,   588,
    1222,   157,  1216,  1207,   353,   388,   573,  1207,  1207,  1207,
     298,   314,   353,   388,    25,   139,   314,   353,   388,  1099,
     280,  1099,   517,   520,   506,  1205,   430,  1217,   454,   726,
     157,   638,   375,   912,   470,   645,   645,   638,   245,   321,
     288,  1213,   321,  1217,   451,   157,   430,   430,   375,   404,
     871,   871,   871,   313,   388,    91,   430,   900,   375,   119,
     168,   589,   164,   529,   430,   430,   255,   255,   255,   430,
     430,   375,   430,   430,   375,   430,   375,   430,   375,   430,
     127,   530,  1099,   283,  1213,   388,   901,   154,   530,   430,
     430,   517,  1207,   430,   900,   375,   430,  1216,  1207,   517,
     517,   517,  1164,   515,  1099,   795,   221,   801,  1207,  1207,
    1207,   221,   405,   406,   599,  1213,   599,   186,   517,   517,
     174,   763,   765,   280,   300,   507,   508,   679,   766,   854,
    1160,  1213,  1230,    72,    78,    91,   119,   121,   178,   207,
     283,   288,   331,   347,   447,   626,   627,   630,   153,   469,
     533,   560,  1207,   560,   302,   703,  1205,  1205,  1205,   517,
     520,  1217,   183,   365,  1217,  1212,   440,  1205,   638,     3,
     168,   731,   871,    48,   547,   418,   712,   112,   972,  1123,
     174,   520,  1206,   582,   770,   771,  1213,   517,   520,  1207,
     168,   639,  1205,   666,  1205,  1207,   667,   516,   614,  1205,
     517,  1207,   473,   475,   656,   581,    38,   154,  1017,   655,
     430,   154,  1076,   506,   517,   520,   737,   517,   520,   119,
     506,   865,  1213,   560,   418,   853,   854,   168,   870,    51,
     360,   866,   867,   864,   867,   124,   213,   381,   452,   923,
    1207,   293,   298,   303,   186,  1017,  1099,   516,   517,   520,
     530,   454,   530,   454,   530,  1207,  1207,   721,   795,   154,
     375,   375,   375,   375,   375,  1206,   520,   815,  1222,  1216,
     473,   520,   819,  1216,   520,   825,   160,   301,   437,   824,
    1078,   385,   152,   152,   112,   279,   816,   825,  1217,   221,
     221,   221,   221,   679,   221,   221,   221,   221,   221,  1167,
     426,  1123,   145,  1099,   517,  1123,   225,   447,   447,   517,
    1190,  1191,   298,   298,  1188,  1191,    59,  1197,  1188,  1188,
     298,   298,  1195,  1193,  1193,   517,  1171,  1123,  1123,   517,
    1162,   520,  1099,  1124,  1124,  1124,  1124,   134,   136,   283,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1123,  1123,  1123,  1099,   517,   517,   517,  1162,   517,   520,
      59,  1125,  1139,   517,  1225,  1134,   328,   410,  1137,   517,
     520,   465,  1130,    38,   517,  1213,  1123,    35,    35,  1123,
     517,  1123,   174,   282,  1193,  1123,   517,   147,  1124,  1124,
     147,   147,  1123,  1123,  1037,   517,  1162,   520,  1123,  1147,
    1222,  1031,  1031,  1031,  1031,  1205,  1205,  1205,  1050,   517,
    1050,   517,   980,   515,  1070,  1072,  1070,   516,   485,  1125,
     517,  1222,   516,  1067,   224,   308,  1074,  1067,  1074,   224,
    1073,  1074,   224,   420,  1080,   516,  1222,   516,   305,    59,
     187,  1057,   516,   841,   165,   237,   299,   473,   427,   102,
    1123,   361,   992,   459,   517,   520,  1186,    89,   992,   298,
     517,   520,  1002,  1088,  1123,   517,   511,   858,   440,   177,
     369,   376,   383,   419,   441,   830,   168,   830,   517,   516,
     643,   644,   836,  1128,  1222,   639,   753,   639,   753,  1207,
     639,   121,   207,   279,   283,   754,  1207,  1207,    38,   454,
     454,   235,   796,  1216,  1207,   430,   900,   375,   430,   211,
    1207,    59,   421,  1207,   154,   619,   119,  1222,    86,   621,
     622,   404,   178,   156,   191,   283,   581,   533,   112,   156,
     178,   283,   404,   581,   621,   623,   677,   388,   586,   440,
    1207,  1222,   380,   707,  1207,   584,   766,  1225,  1207,   313,
     388,   430,   900,   375,   430,   157,   430,   430,   375,   176,
     300,   407,   775,   776,   176,   300,   783,   784,   430,   430,
     375,   517,   517,   517,   907,   280,   679,   854,   908,  1160,
    1213,  1230,   353,  1207,   516,   473,   727,  1207,   645,   106,
    1222,   516,   645,  1214,  1213,  1213,  1213,  1207,  1207,  1207,
    1207,   587,    59,   421,  1207,  1207,  1207,  1207,   460,  1207,
    1207,   168,   168,   355,   168,   192,  1216,  1207,  1207,  1216,
    1207,  1207,  1207,  1207,  1207,  1207,  1207,   298,    78,   578,
     154,    27,    50,   440,  1222,  1207,  1213,   705,  1207,  1207,
    1207,  1207,  1036,   517,   221,   801,   221,   221,   221,   801,
     533,   454,   604,   605,   683,   753,   473,   475,   795,   516,
     795,  1207,  1124,    32,    59,   629,   122,   194,   121,   288,
     232,  1205,   628,   176,   335,   749,   756,   757,  1222,   692,
     516,   319,   516,   614,   632,   206,   650,   617,  1217,  1217,
    1099,   516,   582,    29,   124,   213,   381,   452,   732,   430,
     728,  1216,   192,  1205,   714,   477,   298,   517,  1066,   663,
     871,   517,   520,  1091,   703,   721,   517,   674,    38,   293,
     319,   516,   982,   616,   618,   620,   634,  1222,   319,   651,
     652,   614,   650,   581,   296,   298,   657,  1017,   669,   667,
     582,  1213,  1207,   833,   766,     3,   769,   298,   855,  1123,
    1123,   520,   516,   861,   440,   520,    44,  1123,   430,   516,
     639,  1205,   738,   683,   517,   948,   949,  1207,  1207,   530,
     385,   530,  1206,  1206,  1206,  1206,  1206,   679,   180,   818,
     825,   823,   517,  1207,   112,   174,   530,   825,   288,   804,
    1213,   804,   804,   804,   221,   804,   804,   804,   804,   804,
    1123,   517,   143,   233,   233,   517,   288,   288,   517,  1038,
    1191,   288,   288,  1191,  1191,   517,   517,   174,   517,  1123,
     174,   134,   136,   174,   168,   147,   517,   480,  1132,  1162,
     346,   459,    59,  1139,  1125,   471,   471,   517,  1123,   279,
    1123,   520,  1131,  1101,  1123,  1123,  1123,  1123,    35,    35,
    1123,  1123,   147,   517,   517,   517,  1123,   517,   319,  1148,
    1205,  1205,  1205,  1205,  1057,  1213,  1057,  1213,   517,  1083,
    1084,  1128,   516,  1138,  1069,   516,  1206,  1067,   298,   454,
    1075,  1067,   224,  1067,  1210,  1090,   516,  1090,  1222,  1032,
    1123,   472,  1142,   881,   427,   293,  1202,  1017,   312,  1017,
     989,   298,   516,   991,  1123,   506,  1003,   992,   440,   517,
     430,   811,   174,   753,  1123,   517,   520,   473,    78,   835,
     839,   835,   517,   475,   637,   637,   122,   194,   205,   121,
     456,   530,  1099,  1207,  1207,  1207,  1207,  1207,  1207,  1207,
    1217,  1207,   619,   119,  1222,   703,   587,   629,   192,   192,
     288,   679,    38,   629,   288,   587,  1099,   530,   530,   506,
      59,   421,  1207,  1207,  1207,  1207,  1207,  1216,  1207,  1207,
    1212,  1212,  1099,   520,  1212,  1212,   520,  1216,  1207,  1207,
     430,  1123,    72,  1123,  1217,  1207,   430,   430,   174,   198,
     473,  1206,  1206,   795,  1206,   154,   157,   795,  1213,  1213,
    1099,   530,   530,   430,   517,   221,   801,   801,   801,   801,
     516,   600,   601,   533,   126,   176,   210,   176,  1123,   283,
     627,   119,    38,   279,   636,   871,   638,   871,  1210,    35,
     153,   198,   704,   708,   293,   613,   589,   151,   200,   516,
     385,   454,   639,    38,  1217,   726,   547,   283,   516,   170,
    1207,   662,  1213,   385,   582,   153,  1017,   795,   293,   613,
     667,   517,   520,   473,   625,    59,   655,   589,   651,    84,
     421,   658,   473,   937,    38,   658,   174,   298,   516,  1205,
    1213,   852,   872,   873,  1223,   867,  1099,   168,   868,  1205,
     174,   430,   892,   348,   739,   208,   684,   530,   517,   530,
     530,  1207,   301,   219,   817,   530,   804,  1207,   517,   517,
     517,  1123,   517,  1124,   174,  1123,  1123,  1123,   516,   517,
     520,   517,  1139,   517,   459,   401,   517,   202,   279,  1136,
    1123,  1123,  1123,   517,    59,  1036,  1142,  1142,   378,  1026,
     517,   520,    38,  1085,   119,  1097,  1098,  1124,    81,  1206,
     517,  1123,   516,  1067,  1075,   516,   517,  1090,   517,   101,
     184,   367,   516,  1051,  1052,  1053,  1054,  1055,  1056,  1123,
    1143,  1144,  1222,  1036,   517,  1014,   987,    91,   834,   836,
     135,   469,  1006,  1007,  1123,   817,   298,   817,   517,   199,
     641,   644,   300,   881,   795,   528,   795,   347,   310,   517,
     517,   517,   430,   388,   998,   625,    38,   154,   154,   516,
     578,   766,  1217,  1207,   430,   516,   847,   881,   883,   776,
     516,   516,   784,  1207,   517,   516,   517,   388,   998,  1207,
    1207,   516,   516,   516,   473,   497,   957,   355,   957,   957,
     168,  1207,   578,  1207,   801,   606,   607,  1225,    54,   100,
     125,   143,   147,   169,   173,   188,   288,   339,   602,   600,
    1213,   847,    38,   888,   888,   517,   191,   516,   205,   454,
     659,   256,   642,   659,   516,   757,   749,   516,   517,   520,
    1205,   517,   385,    29,    83,    86,    92,   120,   178,   191,
     204,   404,   407,   633,   633,  1204,  1207,  1207,   517,  1017,
     727,   154,   112,   703,   174,  1207,    38,  1207,   667,   614,
    1205,   517,   618,   302,  1222,   656,   651,   655,   124,   139,
     328,  1207,    64,    72,   248,  1017,   795,  1076,   834,   174,
     752,   854,   517,   520,   440,   145,   526,   866,   869,  1087,
     399,   399,   517,   273,   297,   740,   741,   742,   168,   745,
     683,   279,   458,   685,   686,  1207,   825,   168,  1124,  1133,
    1162,   279,   492,   202,   517,  1162,   185,   340,   371,  1149,
      58,   128,   111,  1027,  1086,  1083,   516,  1124,   517,   520,
      38,  1093,  1094,  1222,   517,  1206,  1162,   517,   516,   389,
     516,   517,   520,   520,    38,  1041,   459,  1207,   517,   520,
     284,   452,   257,   283,   992,  1007,   819,   830,   530,   835,
     516,   871,   516,   840,   581,  1205,   641,   641,  1207,   421,
     191,  1123,   454,   579,   388,   998,  1207,  1166,   168,   779,
     779,  1166,  1166,  1123,   421,  1162,  1162,   590,   591,  1224,
     794,   795,   794,   795,  1206,   530,   517,   520,   509,   516,
     557,   608,   679,   954,  1213,   954,   283,   288,   339,   954,
     954,  1087,   888,    42,   196,   636,   516,   675,  1123,   203,
     175,   318,   394,   298,   646,   647,   648,   517,  1210,     6,
     758,   708,   614,   650,  1207,   517,   703,   161,   778,   582,
     937,  1205,   477,  1066,   703,  1017,   982,   651,   614,   650,
     625,   516,   657,   655,   656,   371,   371,    72,   301,    72,
     667,   833,   517,  1205,   753,   861,   872,  1099,   519,   135,
     473,   473,   741,   370,   418,   743,   140,   746,   469,   748,
     458,   683,   703,   530,  1123,   517,   517,   459,    52,   102,
     443,  1123,  1150,  1151,  1150,  1150,   517,   165,   165,   639,
    1090,   520,  1098,  1225,   517,   520,   168,  1099,   517,   517,
    1162,   516,  1162,  1052,  1144,  1146,  1059,  1017,  1087,   836,
     388,    35,  1008,   257,   174,   639,   659,   881,   841,   840,
     638,   871,   871,  1207,   675,   517,  1123,   421,   517,   304,
     378,   344,   780,   780,   517,   517,   517,  1207,   517,   517,
     517,   520,  1212,   957,   607,   557,   609,   610,  1213,  1213,
     288,   509,   639,   509,   639,  1213,  1213,   676,   517,   421,
     124,   452,   298,   648,   298,   647,   516,   517,   520,   589,
     385,   703,   795,    38,    38,   516,  1207,   937,   667,   655,
     589,   651,   516,   653,   654,  1128,  1222,   658,   656,   657,
     301,   301,   516,   199,   837,   168,   867,    30,   214,   924,
     176,   176,   954,   370,   403,   747,   516,   153,  1151,   370,
     167,   326,   167,   326,   150,  1152,  1152,  1152,    59,    59,
     388,   517,  1125,  1094,   305,     3,   119,   283,   288,  1095,
    1096,    38,  1071,   354,  1081,   517,  1051,   517,  1001,  1123,
     426,  1008,   817,   517,   645,   517,   841,   642,   659,   659,
     998,  1207,   847,    59,   998,   430,   590,   795,   517,   520,
     509,   639,   517,   408,  1207,    63,   279,   359,   388,   649,
     649,   517,     6,   385,  1207,   775,  1017,   703,   656,   651,
     655,  1123,   517,   520,   839,   839,   657,   658,   834,   516,
     628,   140,   284,   516,   919,   921,   925,   984,   993,  1000,
    1017,  1028,   847,   847,   744,  1222,  1123,   749,    35,   102,
     183,   279,   427,   639,   639,  1222,  1138,  1124,  1124,   288,
    1096,  1222,   516,   517,  1087,   124,   135,   452,  1009,  1010,
     426,   530,   753,   646,   753,   753,   998,   795,   516,   610,
      24,   119,   288,  1207,   703,   937,   657,   655,   656,   517,
     654,   528,   528,   658,   517,   836,   838,   582,   370,   920,
     921,   922,  1018,  1019,   520,   520,   517,  1210,  1151,   370,
     306,   388,   388,   430,   454,    81,  1123,   284,   388,   135,
     213,  1011,   753,  1162,   638,   638,   703,   658,   656,   657,
     839,   837,   517,   520,   658,   748,   517,   519,   430,   174,
     516,  1222,  1222,   225,  1210,  1211,  1222,  1093,   517,  1001,
     284,   119,   312,   460,   516,  1012,   517,   657,   658,   528,
     628,   836,  1087,   153,   922,   399,   399,     5,   750,   751,
    1212,  1213,  1225,   516,   119,   517,   460,   987,   516,   988,
     658,   582,   749,   473,   473,   517,   520,  1163,  1211,   459,
    1162,   517,   658,  1210,   176,   176,   751,  1036,   454,  1012,
     517,   312,  1012,  1087,   516,   847,   847,   517,  1222,   987,
     750,   459,   517,  1012
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   522,   523,   523,   523,   523,   523,   523,   524,   524,
     525,   525,   526,   526,   526,   526,   526,   526,   526,   526,
     526,   526,   526,   526,   526,   526,   526,   526,   526,   526,
     526,   526,   526,   526,   526,   526,   526,   526,   526,   526,
     526,   526,   526,   526,   526,   526,   526,   526,   526,   526,
     526,   526,   526,   526,   526,   526,   526,   526,   526,   526,
     526,   526,   526,   526,   526,   526,   526,   526,   526,   526,
     526,   526,   526,   526,   526,   526,   526,   526,   526,   526,
     526,   526,   526,   526,   526,   526,   526,   526,   526,   526,
     526,   526,   526,   526,   526,   526,   526,   526,   526,   526,
     526,   526,   526,   526,   526,   526,   526,   526,   526,   526,
     526,   526,   526,   526,   526,   526,   526,   526,   526,   526,
     526,   526,   526,   526,   526,   526,   526,   526,   526,   526,
     526,   526,   526,   526,   526,   526,   526,   527,   527,   528,
     528,   529,   529,   530,   530,   530,   531,   532,   533,   533,
     533,   534,   534,   535,   535,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   537,   537,   537,   537,   537,   537,
     538,   539,   539,   540,   540,   541,   541,   541,   541,   542,
     542,   542,   542,   542,   542,   543,   544,   545,   545,   546,
     546,   546,   546,   547,   547,   548,   548,   548,   548,   548,
     548,   549,   549,   549,   550,   550,   550,   551,   551,   551,
     551,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   553,   553,   554,   554,   555,   555,   556,   556,
     556,   556,   557,   557,   557,   557,   558,   558,   558,   558,
     558,   558,   558,   559,   559,   559,   560,   560,   561,   562,
     562,   562,   562,   563,   563,   564,   564,   565,   565,   566,
     566,   566,   566,   566,   567,   568,   568,   569,   569,   570,
     571,   571,   571,   571,   571,   572,   572,   572,   572,   572,
     572,   572,   572,   572,   572,   572,   572,   572,   572,   572,
     572,   572,   572,   572,   572,   572,   573,   573,   574,   574,
     574,   575,   576,   576,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   577,   577,   578,   578,   579,   579,   580,
     580,   580,   580,   581,   582,   582,   583,   583,   584,   584,
     584,   584,   585,   585,   586,   586,   586,   586,   587,   587,
     588,   588,   589,   589,   589,   589,   590,   591,   591,   592,
     593,   593,   594,   594,   594,   594,   595,   595,   596,   596,
     597,   597,   598,   598,   599,   599,   599,   600,   600,   601,
     601,   602,   602,   602,   602,   602,   602,   602,   602,   602,
     602,   602,   602,   602,   602,   602,   603,   603,   604,   604,
     605,   605,   606,   606,   607,   608,   608,   608,   608,   608,
     609,   609,   610,   611,   611,   611,   611,   611,   611,   612,
     612,   612,   612,   612,   612,   612,   612,   613,   613,   614,
     614,   615,   615,   616,   616,   617,   617,   617,   618,   618,
     619,   620,   620,   621,   621,   622,   622,   623,   623,   624,
     624,   625,   625,   626,   626,   626,   626,   627,   627,   627,
     627,   627,   627,   627,   627,   627,   628,   628,   628,   629,
     629,   630,   630,   630,   630,   631,   632,   632,   632,   633,
     633,   633,   633,   633,   633,   633,   633,   633,   633,   634,
     634,   635,   635,   635,   635,   635,   635,   635,   635,   636,
     636,   637,   637,   638,   638,   639,   639,   640,   641,   641,
     642,   642,   642,   642,   643,   643,   644,   644,   645,   645,
     646,   646,   646,   646,   646,   647,   648,   649,   649,   649,
     649,   649,   650,   650,   651,   651,   652,   653,   653,   654,
     654,   654,   655,   655,   656,   656,   656,   657,   657,   657,
     657,   658,   658,   659,   659,   660,   661,   661,   662,   662,
     663,   663,   663,   664,   664,   665,   665,   666,   667,   667,
     667,   668,   668,   669,   670,   670,   671,   672,   672,   673,
     673,   674,   674,   675,   675,   676,   676,   677,   677,   677,
     677,   677,   677,   677,   677,   677,   677,   677,   677,   677,
     677,   678,   678,   679,   679,   679,   679,   680,   680,   681,
     681,   682,   682,   683,   683,   684,   684,   685,   685,   686,
     686,   687,   687,   688,   689,   689,   690,   690,   691,   691,
     692,   692,   693,   693,   693,   693,   694,   695,   695,   696,
     697,   697,   697,   697,   697,   697,   697,   697,   697,   697,
     697,   697,   697,   698,   699,   699,   699,   699,   700,   700,
     701,   701,   702,   702,   703,   703,   704,   704,   705,   706,
     706,   707,   707,   707,   707,   708,   709,   710,   711,   711,
     712,   712,   713,   713,   714,   714,   715,   715,   715,   716,
     716,   716,   716,   717,   718,   718,   719,   719,   720,   720,
     721,   721,   722,   722,   723,   724,   725,   726,   726,   727,
     727,   728,   728,   729,   729,   730,   730,   731,   731,   732,
     732,   732,   732,   732,   733,   734,   734,   735,   735,   736,
     736,   736,   737,   737,   738,   738,   738,   738,   738,   739,
     739,   740,   740,   741,   742,   742,   743,   743,   744,   745,
     745,   746,   746,   747,   747,   748,   748,   749,   749,   750,
     750,   750,   751,   751,   751,   751,   752,   752,   753,   753,
     754,   754,   754,   754,   754,   754,   755,   755,   756,   756,
     757,   758,   758,   759,   760,   760,   760,   760,   761,   762,
     762,   762,   762,   762,   762,   762,   762,   762,   762,   762,
     762,   762,   762,   762,   762,   763,   764,   764,   765,   765,
     766,   766,   766,   766,   766,   766,   767,   768,   768,   769,
     770,   770,   771,   771,   772,   772,   772,   772,   772,   773,
     773,   774,   775,   775,   776,   776,   776,   776,   776,   777,
     777,   778,   778,   779,   779,   779,   780,   780,   781,   782,
     782,   783,   783,   784,   784,   785,   785,   786,   786,   787,
     788,   789,   789,   789,   789,   789,   789,   789,   789,   789,
     789,   789,   789,   790,   790,   790,   790,   790,   790,   790,
     790,   790,   790,   790,   790,   790,   791,   791,   791,   791,
     791,   792,   792,   792,   792,   792,   792,   792,   792,   793,
     793,   793,   794,   794,   795,   795,   796,   796,   797,   797,
     798,   799,   799,   799,   800,   800,   800,   800,   800,   800,
     800,   800,   800,   800,   800,   800,   800,   800,   800,   800,
     800,   800,   801,   801,   802,   802,   802,   802,   802,   802,
     802,   802,   802,   802,   803,   803,   804,   804,   805,   805,
     806,   806,   806,   806,   806,   806,   806,   806,   806,   806,
     806,   806,   806,   806,   806,   806,   807,   807,   808,   808,
     809,   810,   810,   811,   811,   811,   811,   811,   812,   812,
     813,   813,   813,   813,   813,   814,   814,   815,   815,   816,
     816,   816,   816,   816,   816,   816,   816,   816,   816,   816,
     816,   816,   816,   816,   816,   816,   816,   816,   816,   816,
     817,   817,   818,   818,   819,   819,   820,   820,   821,   821,
     822,   822,   823,   824,   824,   824,   825,   825,   826,   827,
     827,   828,   828,   828,   829,   829,   829,   830,   830,   830,
     830,   830,   830,   831,   831,   832,   832,   833,   833,   834,
     834,   835,   835,   836,   836,   836,   837,   837,   838,   838,
     839,   839,   840,   840,   840,   841,   841,   841,   842,   842,
     842,   842,   843,   843,   844,   844,   845,   845,   846,   846,
     847,   847,   847,   847,   848,   848,   849,   849,   850,   850,
     850,   850,   850,   851,   851,   851,   851,   851,   852,   853,
     854,   854,   854,   855,   855,   855,   856,   857,   857,   857,
     857,   858,   858,   859,   860,   860,   861,   861,   862,   862,
     863,   863,   863,   863,   863,   863,   863,   863,   863,   863,
     863,   863,   863,   863,   863,   863,   863,   864,   864,   864,
     864,   864,   865,   865,   866,   867,   867,   867,   868,   868,
     869,   869,   870,   870,   871,   871,   872,   873,   873,   874,
     874,   874,   875,   875,   876,   876,   877,   877,   877,   877,
     877,   877,   878,   878,   879,   879,   880,   880,   880,   880,
     881,   881,   882,   882,   883,   884,   885,   885,   886,   886,
     887,   887,   887,   888,   888,   888,   889,   890,   890,   891,
     892,   892,   892,   892,   893,   894,   894,   894,   895,   895,
     896,   896,   897,   897,   898,   898,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   900,   900,   901,   901,   902,   902,   902,   902,   902,
     902,   903,   903,   904,   904,   904,   904,   904,   904,   904,
     904,   904,   904,   904,   904,   904,   904,   904,   904,   904,
     904,   904,   904,   904,   904,   904,   904,   904,   904,   904,
     905,   906,   906,   907,   907,   907,   908,   908,   908,   908,
     908,   909,   910,   910,   910,   910,   910,   910,   910,   910,
     910,   910,   910,   910,   910,   910,   910,   910,   910,   910,
     910,   910,   910,   910,   910,   910,   911,   911,   911,   912,
     912,   912,   912,   912,   912,   912,   913,   913,   914,   914,
     914,   914,   915,   916,   916,   916,   916,   916,   916,   916,
     916,   916,   917,   917,   918,   919,   919,   919,   920,   920,
     921,   921,   921,   921,   921,   922,   922,   923,   923,   923,
     923,   924,   924,   924,   925,   926,   926,   927,   928,   928,
     929,   929,   929,   929,   929,   929,   929,   929,   929,   929,
     929,   929,   930,   930,   931,   931,   931,   932,   932,   932,
     932,   932,   933,   933,   933,   934,   934,   935,   935,   935,
     936,   936,   936,   936,   937,   937,   937,   937,   938,   939,
     940,   940,   941,   941,   942,   942,   942,   943,   943,   943,
     943,   943,   943,   943,   944,   944,   945,   945,   945,   945,
     946,   947,   947,   947,   947,   948,   948,   949,   950,   951,
     951,   952,   953,   953,   953,   953,   953,   953,   953,   954,
     954,   955,   956,   956,   956,   956,   956,   956,   957,   957,
     958,   959,   959,   959,   959,   959,   960,   960,   961,   961,
     962,   962,   963,   963,   964,   964,   965,   966,   966,   966,
     967,   967,   967,   968,   968,   969,   969,   970,   970,   971,
     971,   972,   972,   973,   974,   974,   975,   975,   976,   976,
     976,   976,   977,   977,   977,   977,   977,   977,   977,   977,
     977,   977,   978,   979,   979,   980,   980,   980,   980,   980,
     981,   981,   981,   982,   982,   983,   983,   983,   983,   984,
     985,   985,   986,   986,   986,   986,   986,   987,   987,   988,
     988,   989,   990,   990,   990,   991,   991,   991,   992,   992,
     993,   994,   994,   995,   996,   996,   997,   997,   997,   997,
     997,   997,   997,   997,   998,   998,   999,   999,   999,  1000,
    1001,  1001,  1002,  1002,  1003,  1004,  1004,  1005,  1006,  1006,
    1007,  1007,  1007,  1007,  1007,  1008,  1008,  1009,  1010,  1011,
    1011,  1011,  1011,  1011,  1012,  1013,  1014,  1015,  1015,  1015,
    1015,  1015,  1015,  1016,  1016,  1016,  1017,  1017,  1018,  1018,
    1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,  1020,  1020,
    1021,  1021,  1021,  1021,  1021,  1021,  1021,  1022,  1022,  1022,
    1023,  1023,  1024,  1025,  1025,  1025,  1026,  1026,  1026,  1027,
    1027,  1027,  1028,  1028,  1029,  1029,  1030,  1030,  1030,  1030,
    1030,  1030,  1030,  1030,  1030,  1031,  1031,  1032,  1032,  1032,
    1033,  1033,  1034,  1034,  1035,  1035,  1036,  1036,  1037,  1038,
    1038,  1039,  1039,  1040,  1040,  1040,  1040,  1041,  1041,  1042,
    1042,  1042,  1042,  1042,  1042,  1043,  1043,  1044,  1044,  1045,
    1046,  1046,  1046,  1047,  1047,  1048,  1048,  1049,  1049,  1050,
    1050,  1051,  1051,  1052,  1052,  1052,  1052,  1052,  1053,  1054,
    1055,  1056,  1057,  1057,  1058,  1058,  1059,  1059,  1060,  1060,
    1061,  1062,  1062,  1062,  1062,  1063,  1063,  1064,  1064,  1065,
    1065,  1066,  1066,  1067,  1067,  1067,  1067,  1067,  1067,  1067,
    1067,  1067,  1067,  1068,  1068,  1068,  1068,  1068,  1068,  1069,
    1069,  1069,  1069,  1070,  1070,  1071,  1071,  1072,  1072,  1072,
    1072,  1072,  1073,  1073,  1073,  1073,  1074,  1074,  1075,  1075,
    1076,  1076,  1077,  1077,  1077,  1078,  1078,  1079,  1079,  1079,
    1080,  1081,  1081,  1082,  1082,  1083,  1084,  1084,  1085,  1085,
    1086,  1086,  1087,  1087,  1088,  1088,  1088,  1089,  1089,  1090,
    1090,  1091,  1092,  1092,  1093,  1093,  1094,  1094,  1094,  1095,
    1095,  1096,  1096,  1096,  1096,  1097,  1097,  1098,  1098,  1099,
    1099,  1099,  1099,  1099,  1099,  1100,  1100,  1100,  1101,  1101,
    1101,  1101,  1101,  1101,  1101,  1101,  1102,  1102,  1102,  1102,
    1102,  1103,  1103,  1104,  1104,  1105,  1105,  1105,  1105,  1105,
    1105,  1105,  1105,  1105,  1105,  1105,  1106,  1106,  1107,  1107,
    1108,  1108,  1109,  1110,  1111,  1111,  1112,  1112,  1113,  1114,
    1115,  1115,  1115,  1115,  1115,  1115,  1116,  1116,  1117,  1117,
    1117,  1117,  1118,  1119,  1119,  1119,  1120,  1120,  1120,  1120,
    1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,
    1121,  1121,  1122,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1126,  1126,  1126,
    1126,  1126,  1126,  1126,  1127,  1127,  1127,  1128,  1128,  1128,
    1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,
    1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,
    1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,
    1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,
    1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,
    1129,  1129,  1129,  1129,  1129,  1129,  1129,  1130,  1130,  1131,
    1131,  1131,  1131,  1132,  1133,  1133,  1134,  1134,  1135,  1135,
    1136,  1136,  1136,  1137,  1137,  1137,  1138,  1138,  1138,  1138,
    1139,  1139,  1140,  1140,  1141,  1141,  1142,  1142,  1143,  1143,
    1144,  1145,  1145,  1145,  1146,  1147,  1147,  1148,  1148,  1149,
    1149,  1149,  1149,  1150,  1150,  1151,  1151,  1151,  1151,  1151,
    1152,  1152,  1152,  1152,  1152,  1153,  1153,  1153,  1154,  1154,
    1155,  1156,  1156,  1156,  1157,  1157,  1158,  1158,  1158,  1158,
    1158,  1158,  1158,  1158,  1158,  1158,  1158,  1158,  1159,  1159,
    1160,  1160,  1161,  1161,  1161,  1161,  1161,  1161,  1162,  1162,
    1163,  1163,  1164,  1164,  1164,  1165,  1165,  1166,  1166,  1167,
    1167,  1167,  1168,  1168,  1169,  1170,  1170,  1170,  1170,  1170,
    1170,  1170,  1170,  1171,  1171,  1171,  1171,  1172,  1172,  1173,
    1174,  1174,  1174,  1174,  1174,  1175,  1175,  1175,  1176,  1176,
    1177,  1178,  1178,  1179,  1180,  1180,  1181,  1181,  1182,  1182,
    1183,  1183,  1183,  1183,  1184,  1184,  1185,  1185,  1186,  1186,
    1187,  1187,  1188,  1189,  1189,  1190,  1190,  1191,  1191,  1192,
    1192,  1192,  1192,  1192,  1193,  1193,  1193,  1193,  1193,  1194,
    1194,  1195,  1195,  1196,  1196,  1196,  1197,  1197,  1197,  1198,
    1198,  1199,  1199,  1200,  1200,  1201,  1201,  1202,  1202,  1203,
    1203,  1203,  1203,  1204,  1204,  1205,  1205,  1206,  1206,  1207,
    1208,  1209,  1210,  1210,  1211,  1211,  1211,  1211,  1211,  1211,
    1211,  1211,  1211,  1211,  1211,  1211,  1211,  1212,  1213,  1214,
    1214,  1214,  1215,  1216,  1216,  1216,  1216,  1217,  1217,  1218,
    1219,  1220,  1220,  1221,  1221,  1222,  1222,  1222,  1223,  1223,
    1223,  1224,  1224,  1224,  1224,  1225,  1225,  1225,  1225,  1225,
    1226,  1226,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1229,  1229,  1229,  1229,  1229,
    1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,
    1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     2,     2,     2,     2,     2,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     0,     1,
       0,     1,     0,     1,     1,     0,     2,     5,     1,     1,
       0,     2,     0,     2,     0,     2,     2,     3,     3,     1,
       3,     3,     2,     1,     1,     2,     2,     2,     3,     3,
       5,     5,     5,     0,     3,     5,     5,     5,     5,     3,
       5,     3,     5,     3,     5,     5,     6,     1,     1,     6,
       4,     9,     7,     2,     0,     1,     1,     1,     1,     1,
       1,     2,     3,     3,     2,     5,     1,     3,     3,     3,
       3,     1,     3,     3,     2,     2,     2,     2,     3,     3,
       3,     3,     1,     3,     1,     3,     1,     1,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     3,     5,
       1,     1,     1,     1,     1,     0,     1,     1,     2,     1,
       2,     3,     2,     1,     1,     2,     1,     2,     1,     2,
       3,     4,     3,     2,     4,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     4,     6,     4,     6,    10,
      13,     4,     6,     4,    10,    13,     4,     6,     4,     6,
       5,     7,    11,    14,     5,     7,     1,     3,     4,     4,
       4,     3,     2,     5,     3,     6,     4,     6,     6,     9,
       5,     7,     6,     6,     5,     5,     5,     5,     9,     4,
       5,     7,     6,     4,     8,     4,     2,     4,     3,     6,
       4,     3,     3,     3,     2,     2,     3,     4,     4,     3,
       3,     3,     3,     3,     3,     4,     4,     3,     2,     3,
       2,     2,     3,     4,     3,     2,     2,     3,     4,     4,
       4,     5,     1,     3,     2,     2,     0,     2,     0,     1,
       1,     1,     3,     3,     2,     0,     1,     3,     3,     1,
       5,     3,     1,     2,     1,     3,     2,     3,     1,     1,
       1,     1,     6,     6,    10,     1,     2,     1,     3,     4,
       1,     3,     4,     6,     4,     8,     2,     2,    11,     9,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     2,
       0,     1,     1,     3,     3,     1,     1,     3,     3,     3,
       3,     4,     4,     3,     3,     2,     1,     0,     3,     0,
       1,     0,     1,     3,     2,     1,     1,     1,     3,     0,
       1,     3,     1,    13,    16,    12,    15,    14,    17,     1,
       1,     2,     2,     2,     2,     1,     0,     1,     0,     3,
       0,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       6,     2,     4,     2,     2,     1,     0,     2,     2,     1,
       0,     2,     0,     3,     1,     1,     2,     3,     1,     4,
       4,     5,     2,     5,     7,     5,     2,     3,     0,     1,
       2,     1,     2,     2,     2,     3,     3,     3,     0,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       1,     5,     4,    10,     3,    10,     4,    10,    11,     2,
       0,     2,     0,     3,     0,     1,     3,     1,     4,     0,
       2,     2,     2,     0,     1,     3,     3,     6,     4,     0,
       1,     1,     2,     2,     0,     3,     3,     2,     1,     1,
       3,     3,     4,     0,     1,     0,     6,     1,     3,     3,
       3,     5,     2,     0,     2,     2,     0,     3,     4,     4,
       0,     2,     0,     4,     0,     3,     8,    11,     1,     3,
       1,     1,     3,     6,     8,     7,    10,     6,     2,     3,
       0,     8,    11,     5,     1,     0,     6,     5,     8,     4,
       6,     1,     0,     3,     0,     1,     2,     2,     2,     1,
       2,     3,     2,     2,     2,     2,     3,     3,     3,     1,
       3,     1,     0,     1,     2,     2,     1,     1,     3,     6,
      10,     1,     0,     1,     2,     2,     0,     2,     2,     1,
       0,     1,     0,     7,     2,     0,     3,     5,     5,     8,
       2,     0,     2,     2,     2,     1,     5,     2,     0,     2,
       6,     6,     6,    10,     6,     6,     6,     9,     9,     6,
       6,     9,     6,     7,     2,     2,     2,     2,     1,     2,
       1,     0,     7,     6,     4,     0,     1,     3,     4,     1,
       3,     1,     2,     2,     2,     2,     1,     1,    10,    13,
       2,     0,     2,     2,     1,     0,     5,     4,     4,    11,
      14,    12,    15,    11,     2,     1,     4,     0,     8,    11,
       1,     1,     7,     9,     8,    10,     8,     4,     0,     5,
       0,     2,     0,     2,     0,     2,     0,     2,     0,     1,
       1,     1,     1,     1,     8,     1,     1,    17,    21,     1,
       1,     2,     1,     3,     1,     1,     1,     3,     1,     2,
       0,     1,     2,     4,     1,     1,     1,     1,     1,     3,
       0,     1,     0,     1,     1,     4,     0,     1,     1,     1,
       3,     0,     1,     1,     1,     1,     2,     0,     0,     2,
       2,     1,     2,     2,     2,     2,    11,    13,     1,     3,
       5,     1,     3,     5,     1,     2,     2,     1,     8,     6,
       5,     4,     4,     3,     7,     8,     6,     6,     6,     6,
       6,     4,     7,     5,     8,     3,     1,     3,     3,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     3,     3,
       1,     0,     1,     3,     7,     9,     9,     8,     6,     3,
       0,    13,     1,     3,     5,     5,     3,     6,     2,     1,
       0,     2,     0,     2,     4,     0,     1,     0,     6,     8,
       8,     1,     3,     5,     5,     7,     9,     7,     9,     5,
       6,     6,     4,     6,     4,     6,     8,     4,     6,     4,
       6,     5,     7,     1,     1,     1,     2,     1,     2,     1,
       1,     1,     3,     3,     3,     3,     1,     1,     1,     1,
       1,     2,     2,     1,     3,     2,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     2,     2,     3,     1,     3,
       5,     2,     2,     0,     6,     6,     6,     6,     6,     6,
       6,     6,     8,     9,     8,     6,     6,     9,     9,     9,
       7,    10,     1,     1,     8,     8,     8,     8,     8,     8,
       8,     9,     8,     8,     2,     0,     1,     1,     2,     2,
       1,     2,     3,     3,     3,     3,     4,     4,     3,     3,
       3,     4,     4,     3,     4,     4,     1,     1,     1,     0,
       8,     8,    11,     1,     1,     2,     4,     5,     1,     3,
       2,     2,     2,     2,     2,     1,     3,     1,     3,     1,
       2,     2,     4,     3,     2,     2,     2,     2,     2,     2,
       3,     2,     2,     2,     2,     5,     5,     5,     5,     5,
       1,     3,     1,     2,     3,     0,     5,     7,     6,     9,
       3,     1,     2,     1,     1,     1,     3,     0,     5,     2,
       0,     3,     3,     3,     7,     7,    10,     1,     1,     1,
       1,     1,     1,    16,    19,     1,     0,     2,     0,     1,
       3,     4,     5,     2,     2,     4,     4,     0,     1,     3,
       2,     0,     1,     1,     0,     2,     2,     0,     9,    12,
       7,     7,     2,     0,     3,     2,     1,     3,     1,     3,
       2,     1,     1,     2,     3,     2,     1,     3,     3,     3,
       2,     2,     1,     1,     1,     1,     2,     1,     1,     1,
       1,     4,     5,     1,     3,     3,     1,     3,     3,     5,
       6,     1,     3,     2,     1,     3,     1,     0,     1,     2,
       4,     5,     1,     1,     1,     1,     3,     3,     2,     2,
       1,     2,     2,     2,     2,     1,     2,     2,     2,     2,
       1,     1,     1,     3,     2,     1,     4,     0,     3,     0,
       1,     1,     3,     5,     2,     0,     2,     1,     3,     5,
       5,     5,     1,     2,     1,     0,     4,     6,     4,     6,
       4,     6,     4,     6,     4,     6,     3,     5,     5,     5,
       1,     3,     1,     3,     2,     2,     1,     2,     1,     2,
      11,    10,    10,     2,     2,     0,     9,     2,     0,    10,
      11,    11,     5,     5,     8,     5,     5,     5,     1,     1,
       1,     1,     3,     0,     5,     5,     6,     6,     6,     6,
       6,     8,     8,     6,     6,     7,     9,     9,     8,    10,
       6,     6,     6,     6,     6,     6,     6,     8,     6,     8,
       6,     8,     7,     9,     6,     8,     7,     9,     8,    10,
       8,    10,     9,    11,     8,    10,     9,    11,     8,     8,
       7,     6,     6,     6,     6,     8,     8,     8,     8,     6,
       9,     1,     0,     2,     0,     8,     8,     8,    10,     9,
       8,     1,     0,     6,     6,     6,     6,     6,     6,     6,
       9,     9,     6,     6,     6,     8,     6,     8,     8,     8,
       8,     6,     8,     6,     8,     7,     9,     7,     9,     6,
       7,     1,     3,     3,     3,     1,     1,     1,     1,     1,
       1,     7,     6,     6,     6,     6,     6,     6,     7,     7,
       6,     9,     9,     6,     6,     6,     6,     6,     6,     8,
       8,     8,     6,     7,     6,     6,     4,     7,     6,     4,
       4,     4,     3,     4,     3,     1,     1,     3,     5,     5,
       5,     5,     8,     5,     5,     6,     7,     7,     7,     4,
       4,     5,     4,     6,    13,     1,     1,     3,     3,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     1,     1,
       1,     1,     1,     0,     3,     2,     0,     2,     2,     2,
       3,     3,     3,     3,     2,     3,     2,     5,     4,     3,
       3,     3,     3,     3,     1,     1,     0,     3,     2,     2,
       1,     2,     1,     3,     2,     1,     0,     2,     3,     0,
       9,    11,    12,    14,     3,     4,     4,     0,     2,     5,
       1,     0,     1,     2,     3,     3,     3,     1,     2,     1,
       1,     1,     1,     1,     1,     0,     5,     4,     6,     6,
       4,     3,     5,     7,     9,     1,     3,     1,     5,     4,
       4,     6,     4,     6,     6,     5,     7,     9,     6,     1,
       0,     6,    11,    11,    11,    13,     9,    11,     1,     1,
      10,     6,     4,     4,     2,     5,     2,     0,     6,     5,
       3,     5,     1,     3,     1,     1,     2,     1,     1,     1,
       1,     1,     0,     1,     0,     1,     0,     1,     0,     1,
       0,     3,     0,     2,     1,     3,     1,     0,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     5,     3,     0,     1,     1,     1,     1,     1,
       3,     9,    12,     3,     0,     2,     3,     2,     3,     7,
       1,     3,     1,     4,     4,     7,     2,     1,     1,     1,
       3,     2,     8,     5,     0,     4,     3,     0,     2,     0,
       7,     2,     0,     5,     3,     0,     2,     2,     2,     3,
       1,     3,     1,     2,     1,     0,     1,     2,     0,     8,
       1,     3,     3,     5,     2,     1,     3,    10,     1,     2,
       5,     5,     6,     6,     7,     2,     0,     3,     1,     2,
       5,     5,     8,     3,     4,     7,     1,     0,     3,     2,
       2,     2,     2,     0,     2,     2,     1,     1,     3,     3,
       1,     2,     4,     4,     2,     3,     5,     5,     1,     1,
       9,     9,     1,     2,     4,     4,     4,     2,     2,     3,
       1,     3,     9,     1,     2,     0,     7,     7,     0,    10,
       6,     0,     1,     0,     2,     0,     3,     3,     4,     4,
       4,     4,     3,     2,     1,     1,     0,     1,     1,     0,
       1,     5,     1,     0,     1,     1,     1,     0,     3,     1,
       3,     4,     3,     2,     2,     1,     1,     1,     0,     2,
       4,     5,     6,     4,     5,     2,     3,     1,     1,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     4,
       0,     1,     3,     1,     1,     1,     1,     1,     2,     4,
       4,     5,     2,     0,     1,     3,     1,     0,     1,     2,
       3,     2,     4,     2,     3,     2,     0,     4,     5,     2,
       0,     1,     3,     2,     3,     2,     3,     2,     3,     2,
       3,     1,     4,     3,     4,     5,     4,     5,     4,     5,
       2,     4,     1,     1,     0,     2,     0,     1,     4,     5,
       4,     0,     2,     2,     2,     1,     1,     0,     5,     2,
       1,     1,     2,     2,     4,     1,     3,     1,     2,     3,
       6,     4,     0,     2,     6,     2,     1,     3,     4,     0,
       2,     0,     2,     0,     2,     4,     0,     1,     0,     1,
       3,     3,     7,    12,     1,     3,     2,     3,     3,     1,
       2,     2,     2,     2,     1,     1,     3,     3,     2,     2,
       3,     5,     6,     2,     3,     3,     4,     0,     1,     1,
       1,     1,     1,     2,     4,     1,     1,     1,     1,     1,
       1,     2,     3,     3,     0,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     1,     3,     0,     1,     1,
       1,     1,     5,     2,     1,     1,     1,     1,     4,     1,
       2,     2,     1,     3,     3,     2,     1,     0,     5,     2,
       5,     2,     1,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     3,     3,     3,     0,
       1,     4,     1,     1,     3,     3,     5,     3,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     3,     3,     2,     2,     3,     5,
       4,     6,     3,     5,     4,     6,     4,     6,     5,     7,
       3,     2,     4,     2,     3,     3,     4,     3,     4,     3,
       4,     5,     6,     6,     7,     6,     7,     3,     4,     4,
       6,     3,     3,     4,     3,     4,     4,     5,     4,     5,
       1,     1,     3,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     5,
       6,     3,     4,     1,     1,     2,     4,     1,     1,     1,
       2,     2,     2,     2,     1,     1,     4,     3,     5,     6,
       8,     6,     6,     4,     4,     3,     1,     1,     1,     1,
       5,     1,     1,     4,     1,     4,     1,     4,     1,     4,
       1,     1,     1,     1,     1,     1,     1,     6,     4,     4,
       6,     4,     4,     4,     4,     4,     6,     5,     5,     5,
       4,     6,     4,     4,     4,     4,     5,     7,     7,     9,
       5,     4,     6,     5,     7,     7,     8,     4,     7,     4,
       6,     6,     4,     5,     4,     5,     3,     2,     3,     3,
       3,     4,     0,     4,     1,     3,     3,     1,     1,     1,
       1,     2,     0,     2,     2,     0,     2,     3,     3,     4,
       2,     2,     5,     0,     5,     0,     2,     0,     1,     3,
       3,     2,     2,     0,     6,     1,     0,     3,     0,     3,
       3,     3,     0,     1,     4,     2,     2,     2,     2,     2,
       3,     2,     2,     3,     0,     4,     3,     5,     4,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       1,     4,     1,     4,     1,     2,     1,     2,     1,     3,
       1,     3,     1,     3,     3,     1,     0,     1,     3,     3,
       3,     2,     1,     3,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     7,     5,     3,
       5,     5,     3,     3,     5,     3,     2,     1,     1,     3,
       5,     1,     2,     4,     2,     0,     1,     0,     1,     2,
       2,     2,     3,     5,     1,     0,     1,     2,     0,     2,
       1,     0,     2,     4,     2,     1,     0,     3,     0,     1,
       2,     2,     2,     2,     3,     2,     3,     2,     0,     1,
       3,     3,     3,     3,     3,     0,     3,     3,     0,     1,
       3,     7,     7,     3,     0,     1,     0,     1,     3,     3,
       2,     1,     1,     1,     3,     1,     2,     1,     3,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     2,
       6,     2,     3,     5,     1,     1,     1,     1,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     3,    10,
       4,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 903 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
				(void) yynerrs;		/* suppress compiler warning */
			}
#line 29070 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 908 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = list_make1((yyvsp[0].typnam));
			}
#line 29078 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 912 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((yyvsp[0].node), 0));
			}
#line 29087 "gram.c" /* yacc.c:1646  */
    break;

  case 5:
#line 917 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 1;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 29099 "gram.c" /* yacc.c:1646  */
    break;

  case 6:
#line 925 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 2;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 29111 "gram.c" /* yacc.c:1646  */
    break;

  case 7:
#line 933 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 3;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 29123 "gram.c" /* yacc.c:1646  */
    break;

  case 8:
#line 953 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 29139 "gram.c" /* yacc.c:1646  */
    break;

  case 9:
#line 965 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 29150 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1108 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 29156 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1115 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29162 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1116 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29168 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1120 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29174 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1121 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29180 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1125 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 29186 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1126 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 29192 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1130 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 29198 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1131 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 29204 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1132 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 29210 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1142 "gram.y" /* yacc.c:1646  */
    {
					CallStmt   *n = makeNode(CallStmt);

					n->funccall = castNode(FuncCall, (yyvsp[0].node));
					(yyval.node) = (Node *) n;
				}
#line 29221 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1158 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29234 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1180 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29240 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1181 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29246 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1185 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29252 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1186 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29258 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1191 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 29267 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1196 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 29275 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1200 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 29289 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1210 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 29301 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1218 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 29309 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1222 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 29317 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1226 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 29325 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1231 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 29333 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1235 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(false), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 29382 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1282 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 29388 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1285 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 29396 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1289 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 29404 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1293 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 29412 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1297 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 29420 "gram.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1301 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 29428 "gram.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1315 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29441 "gram.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1334 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 29454 "gram.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1343 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 29467 "gram.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1354 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29473 "gram.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1355 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29479 "gram.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1360 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 29492 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1369 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 29505 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1378 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 29518 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1387 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 29531 "gram.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1409 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29543 "gram.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1417 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29555 "gram.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1425 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29567 "gram.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1433 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->roles = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 29579 "gram.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1441 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29591 "gram.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1449 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29603 "gram.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1467 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29616 "gram.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1486 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 29630 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1497 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 29636 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1498 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 29642 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1510 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 29657 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1521 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 29672 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1532 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 29692 "gram.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1548 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 29712 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1567 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 29722 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1573 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29728 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1601 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 29739 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1608 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 29750 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1615 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 29761 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1625 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 29774 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1634 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 29787 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1647 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 29800 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1656 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 29813 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1665 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 29825 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1673 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 29837 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1683 "gram.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 29843 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1685 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 29855 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1694 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 29871 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1706 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 29883 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1714 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 29896 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1723 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 29912 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1735 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 29925 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1744 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 29938 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1753 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 29950 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1761 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 29963 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1771 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 29976 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1781 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29982 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1783 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 29988 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1786 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29994 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1787 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 30000 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1791 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 30006 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1793 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 30012 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1796 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 30018 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1797 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 30024 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1798 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 30030 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1799 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 30036 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1803 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 30042 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1804 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 30048 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1805 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 30054 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1811 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30060 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1824 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 30068 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1828 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 30076 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1832 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-2].typnam);

					if ((yyvsp[0].list) != NIL)
					{
						A_Const	   *n = (A_Const *) linitial((yyvsp[0].list));

						if ((n->val.ival.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 30097 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1849 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 30109 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1856 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 30115 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1857 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30121 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1858 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30127 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1862 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30133 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1863 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30139 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1864 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30145 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1868 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30151 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1869 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30157 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1873 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 30163 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1877 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 30169 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1879 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 30181 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1887 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 30193 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1895 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 30205 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1906 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 30217 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1914 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 30228 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1924 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 30234 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1925 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 30240 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1930 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 30246 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1931 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 30252 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1937 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30263 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1944 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 30274 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1951 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 30285 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1958 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 30296 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1965 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 30307 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1976 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);

					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30319 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1986 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30325 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1987 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30331 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1991 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 30337 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1992 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 30343 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2001 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);

					(yyval.node) = (Node *) n;
				}
#line 30353 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2017 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 30364 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2024 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 30375 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2031 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 30386 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2038 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 30397 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2045 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 30408 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2065 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30422 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2075 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30436 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2085 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30450 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2095 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30464 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2105 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30480 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2117 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30496 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2129 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30510 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2139 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30524 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2149 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30538 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2159 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30554 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2171 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30570 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2183 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30584 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2193 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30598 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2203 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30612 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2213 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30626 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2223 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30640 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2233 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30654 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2243 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30670 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2255 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30686 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2267 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30700 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2277 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30714 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2289 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30720 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2290 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 30726 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2296 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 30743 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2310 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = (yyvsp[0].boolean);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 30760 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2323 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartitionFinalize;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;
					(yyval.node) = (Node *) n;
				}
#line 30776 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2339 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 30793 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2356 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30806 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2366 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30819 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2376 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30832 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2386 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30845 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2396 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 30858 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2406 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 30870 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2415 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 30882 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2424 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetExpression;
					n->name = (yyvsp[-6].str);
					n->def = (yyvsp[-1].node);
					(yyval.node) = (Node *) n;
				}
#line 30895 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2434 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-2].str);
					(yyval.node) = (Node *) n;
				}
#line 30907 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2443 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30920 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2453 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 30933 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2463 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					if ((yyvsp[-3].ival) <= 0 || (yyvsp[-3].ival) > PG_INT16_MAX)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("column number must be in range from 1 to %d", PG_INT16_MAX),
								 parser_errposition((yylsp[-3]))));

					n->subtype = AT_SetStatistics;
					n->num = (int16) (yyvsp[-3].ival);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 30952 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2479 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30965 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2489 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30978 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2499 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 30991 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2509 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetCompression;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 31004 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2519 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *) n;
				}
#line 31024 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2536 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31037 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2546 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31050 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2556 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31063 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2566 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31077 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2577 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31091 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2591 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 31110 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2607 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31123 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2617 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31135 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2626 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 31154 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2642 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31166 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2651 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31180 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2662 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31194 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2673 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOids;
					(yyval.node) = (Node *) n;
				}
#line 31205 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2681 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31217 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2690 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 31229 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2699 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *) n;
				}
#line 31240 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2707 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *) n;
				}
#line 31251 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2715 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31263 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2724 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31275 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2733 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31287 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2742 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 31298 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2750 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 31309 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2758 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31321 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2767 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 31332 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2775 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 31343 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2783 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31355 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2792 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31367 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2801 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31379 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2810 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31391 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2819 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 31403 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2828 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 31415 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2837 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName   *def = makeTypeNameFromNameList((yyvsp[0].list));

					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *) n;
				}
#line 31429 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2848 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOf;
					(yyval.node) = (Node *) n;
				}
#line 31440 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2856 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 31452 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2865 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetAccessMethod;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31464 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2874 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31476 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2883 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31488 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2892 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31500 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2901 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31512 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2910 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 31523 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2918 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 31534 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2926 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 31545 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2934 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 31556 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2941 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_GenericOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31568 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2951 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31574 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2952 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31580 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2957 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 31593 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2965 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31599 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2969 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31605 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2970 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31611 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2975 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 31623 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2983 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 31635 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2991 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 31647 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2999 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31659 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3009 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31665 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3012 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31671 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3013 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31677 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3017 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31683 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3018 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 31689 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3024 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 31697 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3028 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 31705 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3032 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 31714 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3037 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 31722 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3044 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31728 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3046 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31734 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3051 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 31742 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3055 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 31750 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3059 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 31765 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3070 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 31773 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3076 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeInteger((yyvsp[0].ival)); }
#line 31779 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3077 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31785 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3081 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31791 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3082 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31797 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3088 "gram.y" /* yacc.c:1646  */
    {
					ListCell   *lc;
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_HASH;
					n->modulus = n->remainder = -1;

					foreach (lc, (yyvsp[-1].list))
					{
						DefElem    *opt = lfirst_node(DefElem, lc);

						if (strcmp(opt->defname, "modulus") == 0)
						{
							if (n->modulus != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("modulus for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->modulus = defGetInt32(opt);
						}
						else if (strcmp(opt->defname, "remainder") == 0)
						{
							if (n->remainder != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("remainder for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->remainder = defGetInt32(opt);
						}
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized hash partition bound specification \"%s\"",
											opt->defname),
									 parser_errposition(opt->location)));
					}

					if (n->modulus == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("modulus for hash partition must be specified")));
					if (n->remainder == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("remainder for hash partition must be specified")));

					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 31852 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3141 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->is_default = false;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 31867 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3154 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->is_default = false;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 31883 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3168 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->is_default = true;
					n->location = (yylsp[0]);

					(yyval.partboundspec) = n;
				}
#line 31896 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3180 "gram.y" /* yacc.c:1646  */
    {
				(yyval.defelt) = makeDefElem((yyvsp[-1].str), (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
			}
#line 31904 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3187 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make1((yyvsp[0].defelt));
			}
#line 31912 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3191 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
			}
#line 31920 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3205 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TYPE;
					(yyval.node) = (Node *) n;
				}
#line 31934 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3217 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31940 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3218 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31946 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3224 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 31959 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3234 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31973 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3245 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31987 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3256 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 32007 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3283 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32018 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3290 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32029 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3326 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-6].boolean);
					n->is_program = (yyvsp[-5].boolean);
					n->filename = (yyvsp[-4].str);
					n->whereClause = (yyvsp[0].node);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					if (!n->is_from && n->whereClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("WHERE clause not allowed with COPY TO"),
								 parser_errposition((yylsp[0]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-3].defelt))
						n->options = lappend(n->options, (yyvsp[-3].defelt));
					if ((yyvsp[-1].list))
						n->options = list_concat(n->options, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 32067 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3360 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *) n;
				}
#line 32091 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3382 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32097 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3383 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32103 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3387 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32109 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3388 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32115 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3397 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32121 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3398 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32127 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3399 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32133 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3402 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32139 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3403 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32145 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3408 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 32151 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3409 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32157 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3414 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 32165 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3418 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 32173 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3422 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 32181 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3426 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 32189 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3430 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("csv"), (yylsp[0]));
				}
#line 32197 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3434 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 32205 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3438 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 32213 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3442 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 32221 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3446 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 32229 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3450 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) makeNode(A_Star), (yylsp[-2]));
				}
#line 32237 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3454 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *) (yyvsp[0].list), (yylsp[-3]));
				}
#line 32245 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3458 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *) makeNode(A_Star), (yylsp[-3]));
				}
#line 32253 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3462 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 32261 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3466 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *) makeNode(A_Star), (yylsp[-2]));
				}
#line 32269 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3470 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 32277 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3479 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 32285 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3482 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 32291 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3487 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 32299 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3490 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 32305 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3501 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 32313 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3505 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 32321 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3512 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 32329 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3518 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 32335 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3519 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 32341 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3520 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 32347 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3521 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 32353 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3522 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32359 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3527 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 32367 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3531 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 32375 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3538 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 32381 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3552 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 32403 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3572 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 32425 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3592 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 32448 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3613 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 32471 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3634 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 32494 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3655 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-15].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 32517 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3686 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 32523 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3687 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 32529 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3688 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 32535 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3689 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 32541 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3691 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 32552 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3698 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 32563 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3704 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 32569 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3705 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 32575 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3709 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32581 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3710 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32587 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3714 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32593 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3715 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32599 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3720 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 32607 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3724 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 32615 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3731 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 32623 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3735 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 32631 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3741 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32637 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3742 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32643 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3743 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32649 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3747 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32655 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3748 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32661 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3752 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-5].str);
					n->typeName = (yyvsp[-4].typnam);
					n->storage_name = (yyvsp[-3].str);
					n->compression = (yyvsp[-2].str);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 32687 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3776 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32710 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3795 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 32733 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3816 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32739 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3817 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("default"); }
#line 32745 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3821 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32751 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3822 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32757 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3826 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32763 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3827 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("default"); }
#line 32769 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3831 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32775 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3832 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32781 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3836 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 32787 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3837 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32793 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3842 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 32805 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3849 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32811 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3850 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32817 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3852 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32835 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3884 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-2]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 32850 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3895 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 32862 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3903 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-3]);
					n->nulls_not_distinct = !(yyvsp[-2].boolean);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32879 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3916 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32895 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3928 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 32912 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3941 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32926 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3951 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 32940 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3961 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_GENERATED;
					n->generated_when = (yyvsp[-5].ival);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->location = (yylsp[-6]);

					/*
					 * Can't do this in the grammar because of shift/reduce
					 * conflicts.  (IDENTITY allows both ALWAYS and BY
					 * DEFAULT, but generated columns only allow ALWAYS.)  We
					 * can also give a more useful error message and location.
					 */
					if ((yyvsp[-5].ival) != ATTRIBUTE_IDENTITY_ALWAYS)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("for a generated column, GENERATED ALWAYS must be specified"),
								 parser_errposition((yylsp[-5]))));

					(yyval.node) = (Node *) n;
				}
#line 32968 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3985 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable = (yyvsp[-3].range);
					n->fk_attrs = NIL;
					n->pk_attrs = (yyvsp[-2].list);
					n->fk_matchtype = (yyvsp[-1].ival);
					n->fk_upd_action = ((yyvsp[0].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[0].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[0].keyactions))->deleteAction->cols;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 32989 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 4004 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32995 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 4005 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33001 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 4006 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33007 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 4010 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 33013 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 4011 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 33019 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 4031 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 33031 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 4039 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33043 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 4047 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33055 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 4055 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33067 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 4067 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);

					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					n->relationOid = InvalidOid;
					(yyval.node) = (Node *) n;
				}
#line 33080 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 4078 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 33086 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 4079 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 33092 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 4080 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 33098 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 4084 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 33104 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 4085 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMPRESSION; }
#line 33110 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 4086 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 33116 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 4087 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 33122 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 4088 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 33128 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 4089 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_GENERATED; }
#line 33134 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 4090 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 33140 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 4091 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STATISTICS; }
#line 33146 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 4092 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 33152 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 4093 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 33158 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 4103 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 33170 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 4110 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33176 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 4115 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 33194 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 4129 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-3]);
					n->keys = list_make1(makeString((yyvsp[-1].str)));
					/* no NOT VALID support yet */
					processCASbits((yyvsp[0].ival), (yylsp[0]), "NOT NULL",
								   NULL, NULL, NULL,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 33212 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 4144 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-9]);
					n->nulls_not_distinct = !(yyvsp[-8].boolean);
					n->keys = (yyvsp[-6].list);
					n->without_overlaps = (yyvsp[-5].boolean);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33234 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 4162 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33254 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 4179 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-9]);
					n->keys = (yyvsp[-6].list);
					n->without_overlaps = (yyvsp[-5].boolean);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33275 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 4196 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33295 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 4214 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-9]);
					n->access_method = (yyvsp[-8].str);
					n->exclusions = (yyvsp[-6].list);
					n->including = (yyvsp[-4].list);
					n->options = (yyvsp[-3].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-2].str);
					n->where_clause = (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33317 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 4233 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable = (yyvsp[-4].range);
					n->fk_attrs = (yyvsp[-7].list);
					n->pk_attrs = (yyvsp[-3].list);
					n->fk_matchtype = (yyvsp[-2].ival);
					n->fk_upd_action = ((yyvsp[-1].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[-1].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[-1].keyactions))->deleteAction->cols;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 33341 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 4254 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = true; }
#line 33347 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4255 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = false; }
#line 33353 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4259 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33359 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4260 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33365 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4264 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33371 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4265 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33377 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4269 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33383 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4270 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 33389 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4274 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 33397 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4279 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33403 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4280 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33409 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4284 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 33417 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4288 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 33429 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4296 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 33437 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4300 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 33445 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4306 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 33451 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4308 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 33457 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4312 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 33465 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4317 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 33473 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4323 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 33479 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4324 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33485 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4329 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 33499 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4339 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 33513 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4349 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[-1].keyaction);
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 33525 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4357 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = (yyvsp[-1].keyaction);
					(yyval.keyactions) = n;
				}
#line 33537 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4365 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 33553 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4379 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].keyaction))->cols)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("a column list with %s is only supported for ON DELETE actions",
										((yyvsp[0].keyaction))->action == FKCONSTR_ACTION_SETNULL ? "SET NULL" : "SET DEFAULT"),
								 parser_errposition((yylsp[-2]))));
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 33567 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4391 "gram.y" /* yacc.c:1646  */
    {
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 33575 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4398 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_NOACTION;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 33587 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4406 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_RESTRICT;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 33599 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4414 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_CASCADE;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 33611 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4422 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETNULL;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 33623 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4430 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETDEFAULT;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 33635 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4439 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33641 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4440 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33647 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4444 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = (yyvsp[0].partspec); }
#line 33653 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4445 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = NULL; }
#line 33659 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4449 "gram.y" /* yacc.c:1646  */
    {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = parsePartitionStrategy((yyvsp[-3].str));
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 33673 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4460 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 33679 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4461 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 33685 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4465 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 33700 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4476 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 33715 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4487 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 33730 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4500 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33736 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4501 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33742 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4506 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33748 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4507 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33754 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4508 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33760 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4511 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 33766 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4512 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 33772 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4513 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 33778 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4514 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 33784 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4517 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33790 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4518 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33796 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4521 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33802 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4522 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33808 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4525 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33814 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4547 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33830 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4560 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33846 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4580 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].selem)); }
#line 33852 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4581 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].selem)); }
#line 33858 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4585 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = (yyvsp[0].str);
					(yyval.selem)->expr = NULL;
				}
#line 33868 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4591 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[0].node);
				}
#line 33878 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4597 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[-1].node);
				}
#line 33888 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4614 "gram.y" /* yacc.c:1646  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = false;
					n->stxstattarget = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 33901 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4623 "gram.y" /* yacc.c:1646  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = true;
					n->stxstattarget = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 33914 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4645 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 33932 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4659 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 33950 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4677 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-5].range);
					(yyval.into)->colNames = (yyvsp[-4].list);
					(yyval.into)->accessMethod = (yyvsp[-3].str);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 33966 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4691 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33972 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4692 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33978 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4693 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33984 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4706 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 34002 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4720 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 34020 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4737 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->accessMethod = (yyvsp[-2].str);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 34036 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4750 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 34042 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4751 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 34048 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4764 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);

					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 34061 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4785 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 34076 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4796 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 34091 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4810 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 34104 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4819 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 34117 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4830 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34123 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4831 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34129 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4834 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34135 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4835 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34141 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4838 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34147 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4839 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34153 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4843 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].typnam), (yylsp[-1]));
				}
#line 34161 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4847 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 34169 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4851 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 34177 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4855 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 34185 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4859 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 34193 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4863 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 34201 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4867 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 34209 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4871 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 34217 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4875 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 34225 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4879 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 34233 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4883 "gram.y" /* yacc.c:1646  */
    {
					/* not documented, only used by pg_dump */
					(yyval.defelt) = makeDefElem("sequence_name", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 34242 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4888 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 34250 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4892 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 34258 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4896 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 34266 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4906 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 34272 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4907 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 34278 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4909 "gram.y" /* yacc.c:1646  */
    {
					Float	   *f = makeFloat((yyvsp[0].str));

					doNegateFloat(f);
					(yyval.node) = (Node *) f;
				}
#line 34289 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4915 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeInteger((yyvsp[0].ival)); }
#line 34295 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4918 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 34301 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4919 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 34307 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4932 "gram.y" /* yacc.c:1646  */
    {
				/*
				 * We now interpret parameterless CREATE LANGUAGE as
				 * CREATE EXTENSION.  "OR REPLACE" is silently translated
				 * to "IF NOT EXISTS", which isn't quite the same, but
				 * seems more useful than throwing an error.  We just
				 * ignore TRUSTED, as the previous code would have too.
				 */
				CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

				n->if_not_exists = (yyvsp[-4].boolean);
				n->extname = (yyvsp[0].str);
				n->options = NIL;
				(yyval.node) = (Node *) n;
			}
#line 34327 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4949 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);

				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *) n;
			}
#line 34343 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4963 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34349 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4964 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34355 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4972 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 34361 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4973 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 34367 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4977 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34373 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4978 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34379 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4982 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34385 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4983 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34391 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4987 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34397 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4988 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34403 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 5004 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);

					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34417 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 5015 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 34423 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 5016 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 34429 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 5030 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 34441 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 5038 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 34453 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 5056 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34466 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 5065 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34479 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 5077 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34485 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 5079 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34491 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 5084 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 34499 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 5088 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 34507 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 5092 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE EXTENSION ... FROM is no longer supported"),
							 parser_errposition((yylsp[-1]))));
				}
#line 34518 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 5099 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 34526 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 5111 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34538 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 5122 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34544 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 5124 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34550 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 5129 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 34558 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 5142 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 34572 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 5152 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34586 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 5162 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 34600 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 5172 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 34614 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 5182 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 34628 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 5192 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 34642 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 5202 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 34656 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 5212 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 34670 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 5222 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 34684 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 5232 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 34698 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 5242 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 34712 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 5252 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *) n;
				}
#line 34726 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 5262 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 34740 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 5281 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34753 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 5292 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 34759 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 5293 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 34765 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 5294 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 34771 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 5295 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 34777 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 5299 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34783 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 5300 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34789 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 5304 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34795 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 5305 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34801 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 5316 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34814 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 5325 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 34827 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 5337 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34833 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 5338 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34839 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 5343 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 34847 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 5347 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 34855 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 5354 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34861 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 5359 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 34869 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 5363 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 34877 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 5370 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 34885 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 5374 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 34894 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 5379 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 34903 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 5384 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 34911 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 5391 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 34919 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 5397 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34925 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 5402 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 34931 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 5414 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 34947 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 5427 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 34963 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5441 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34969 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5442 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34975 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5447 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34981 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5448 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34987 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5452 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34993 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5453 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34999 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5464 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 35013 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5474 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 35026 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5483 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35038 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5503 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35061 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5524 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35084 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5545 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35108 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5567 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35132 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5600 "gram.y" /* yacc.c:1646  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);

				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 35148 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5614 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 35154 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5615 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 35160 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5620 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));

				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 35172 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5628 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 35183 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5644 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 35197 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5654 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 35211 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5666 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 35217 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5667 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 35223 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5680 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 35236 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5689 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 35249 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5707 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35262 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5734 "gram.y" /* yacc.c:1646  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);

					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 35279 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5751 "gram.y" /* yacc.c:1646  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);

					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 35294 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5764 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 35300 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5765 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35306 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5769 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 35312 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5770 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35318 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5774 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35324 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5775 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 35330 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5779 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35336 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5780 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 35342 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5785 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
								 parser_errposition((yylsp[0]))));

				}
#line 35360 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5798 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35366 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5802 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35372 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5803 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 35378 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5807 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 35384 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5808 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "select"; }
#line 35390 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5809 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "insert"; }
#line 35396 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5810 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "update"; }
#line 35402 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5811 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "delete"; }
#line 35408 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5822 "gram.y" /* yacc.c:1646  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);

					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = (yyvsp[-2].chr);
					(yyval.node) = (Node *) n;
				}
#line 35421 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5833 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = AMTYPE_INDEX; }
#line 35427 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5834 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = AMTYPE_TABLE; }
#line 35433 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5848 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-15].boolean);
					n->isconstraint = false;
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->deferrable = false;
					n->initdeferred = false;
					n->constrrel = NULL;
					(yyval.node) = (Node *) n;
				}
#line 35458 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5872 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-19].boolean);
					if (n->replace) /* not supported, see CreateTrigger */
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE OR REPLACE CONSTRAINT TRIGGER is not supported")));
					n->isconstraint = true;
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = true;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *) n;
				}
#line 35488 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5900 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 35494 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5901 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 35500 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5902 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 35506 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5907 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35512 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5909 "gram.y" /* yacc.c:1646  */
    {
					int			events1 = intVal(linitial((yyvsp[-2].list)));
					int			events2 = intVal(linitial((yyvsp[0].list)));
					List	   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List	   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 35535 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5931 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 35541 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5933 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 35547 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5935 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 35553 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5937 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 35559 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5939 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 35565 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5943 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35571 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5944 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35577 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5948 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35583 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5949 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 35589 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5954 "gram.y" /* yacc.c:1646  */
    {
					TriggerTransition *n = makeNode(TriggerTransition);

					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *) n;
				}
#line 35602 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5965 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35608 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5966 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35614 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5970 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35620 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5979 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35626 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5983 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35632 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5988 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 35640 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5992 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = false;
				}
#line 35652 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 6007 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35658 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 6008 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35664 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 6012 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 35670 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 6013 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35676 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 6022 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35682 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 6023 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 35688 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 6024 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35694 "gram.c" /* yacc.c:1646  */
    break;

  case 802:
#line 6029 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 35702 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 6032 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 35708 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 6033 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 35714 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 6034 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 35720 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 6038 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 35726 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 6039 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 35732 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 6044 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 35738 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 6046 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 35766 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 6072 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 35772 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 6073 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 35778 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 6074 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 35784 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 6075 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 35790 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 6076 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 35796 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 6077 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 35802 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 6092 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 35816 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 6104 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 35830 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 6117 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35836 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 6119 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 35842 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 6124 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 35848 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 6129 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35854 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 6131 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 35860 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 6136 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);

					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 35872 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 6146 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 35878 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 6147 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 35884 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 6148 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 35890 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 6149 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 35896 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 6161 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = NULL;
				}
#line 35908 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 6180 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->replace = (yyvsp[-4].boolean);
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35924 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 6192 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->replace = (yyvsp[-3].boolean);
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35941 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 6205 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35956 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 6216 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35971 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 6227 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *) n;
				}
#line 35987 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 6239 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36000 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 6248 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);

					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36012 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 6256 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);

					n->typeName = (yyvsp[-3].list);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36024 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 6264 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36038 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 6274 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36052 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 6284 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36066 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 6294 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36080 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 6304 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36094 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 6314 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 36109 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 6325 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 36123 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 6335 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 36138 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 6347 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36144 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 6350 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36150 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 6351 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 36156 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 6355 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 36164 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 6359 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 36172 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 6365 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 36178 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 6366 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 36184 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 6367 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 36190 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 6368 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 36196 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 6369 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36202 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 6370 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 36208 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 6373 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36214 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 6376 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36220 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 6377 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 36226 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 6386 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 36234 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 6392 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36240 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 6393 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36246 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 6397 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36252 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 6399 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 36258 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 6410 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 36274 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 6422 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 36290 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 6434 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 36306 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 6446 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 36322 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 6458 "gram.y" /* yacc.c:1646  */
    {
				/*
				 * The following problems must be solved before this can be
				 * implemented:
				 *
				 * - There must be no instance of the target value in
				 *   any table.
				 *
				 * - The value must not appear in any catalog metadata,
				 *   such as stored view expressions or column defaults.
				 *
				 * - The value must not appear in any non-leaf page of a
				 *   btree (and similar issues with other index types).
				 *   This is problematic because a value could persist
				 *   there long after it's gone from user-visible data.
				 *
				 * - Concurrent sessions must not be able to insert the
				 *   value while the preceding conditions are being checked.
				 *
				 * - Possibly more...
				 */
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("dropping an enum value is not implemented"),
						 parser_errposition((yylsp[-2]))));
			}
#line 36353 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 6486 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36359 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 6487 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36365 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 6505 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);

					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36381 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 6519 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36387 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 6520 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36393 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 6525 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);

					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36410 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 6539 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36424 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 6549 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 36437 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 6558 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 36451 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 6568 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 36463 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 6577 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36469 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 6578 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36475 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 6581 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36481 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 6582 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36487 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 6585 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36493 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 6586 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36499 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 6587 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36505 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 6591 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = true;
				}
#line 36523 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 6604 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36529 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 6610 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);

					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36541 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 6621 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36555 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 6631 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36569 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 6643 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36575 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 6644 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36581 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 6649 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36594 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 6658 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36607 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 6671 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36622 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6682 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36637 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6696 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36652 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6707 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36667 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6730 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);

					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 36679 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6741 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);

					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 36691 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6760 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36706 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6771 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36721 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6782 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36736 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6793 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36751 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6804 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36766 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6815 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36781 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6826 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36796 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6837 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36811 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6848 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36826 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6859 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36841 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6870 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 36856 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6881 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 36871 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6895 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 36877 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6896 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 36883 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6897 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 36889 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6898 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 36895 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6899 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 36901 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6900 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 36907 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6901 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 36913 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6902 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 36919 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6903 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 36925 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6904 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 36931 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6905 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 36937 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6906 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 36943 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6907 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 36949 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6917 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = (yyvsp[0].objtype); }
#line 36955 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6918 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 36961 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6919 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 36967 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6920 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 36973 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6921 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 36979 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6925 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 36985 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6926 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 36991 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6927 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 36997 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6928 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 37003 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6929 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 37009 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6930 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 37015 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6931 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 37021 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6932 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 37027 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6937 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_POLICY; }
#line 37033 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6938 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_RULE; }
#line 37039 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6939 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TRIGGER; }
#line 37045 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6943 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 37051 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6944 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 37057 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6947 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37063 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6948 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 37069 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6952 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37075 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6954 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 37081 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6958 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 37087 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6959 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 37093 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6971 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);

					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37106 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6982 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37112 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6983 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 37118 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6984 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37124 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6995 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37137 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 7004 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37150 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 7013 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37163 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 7022 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37176 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 7031 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37189 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 7040 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37202 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 7049 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37215 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 7058 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37228 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 7067 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37241 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 7076 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37259 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 7090 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-5].objtype);
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37272 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 7099 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37285 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 7108 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37298 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 7117 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37311 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 7126 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37324 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 7135 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37337 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 7144 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37350 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 7153 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37363 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 7164 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37369 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 7165 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 37375 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 7181 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37389 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 7192 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37403 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 7203 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37417 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 7214 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37431 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 7225 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37445 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 7236 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37459 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 7247 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37473 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 7258 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37487 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 7269 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37501 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 7280 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37515 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 7291 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37521 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 7292 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 37527 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 7295 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37533 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 7296 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 37539 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 7307 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = false;
					(yyval.node) = (Node *) n;
				}
#line 37550 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 7314 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = true;
					(yyval.node) = (Node *) n;
				}
#line 37561 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 7323 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37574 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 7332 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37587 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 7341 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37600 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 7350 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37613 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 7359 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37626 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 7368 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *) n;
				}
#line 37639 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 7377 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 37652 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 7386 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 37665 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 7395 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 37678 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 7404 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 37691 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 7413 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37704 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 7422 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 37717 "gram.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 7431 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 37730 "gram.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 7440 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37743 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 7449 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 37756 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 7458 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 37769 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 7485 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grant_option = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 37787 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 7503 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37806 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 7519 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37825 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 7546 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37831 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 7548 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37837 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 7550 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37843 "gram.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 7552 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 37855 "gram.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 7560 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 37867 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 7569 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 37873 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 7570 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 37879 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 7574 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 37891 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 7582 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 37903 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 7590 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 37915 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 7598 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup("alter system");
				n->cols = NIL;
				(yyval.accesspriv) = n;
			}
#line 37926 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 7605 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 37938 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 7616 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make1(makeString((yyvsp[0].str)));
			}
#line 37946 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 7620 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str)));
			}
#line 37954 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 7627 "gram.y" /* yacc.c:1646  */
    {
				(yyval.str) = (yyvsp[0].str);
			}
#line 37962 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 7631 "gram.y" /* yacc.c:1646  */
    {
				(yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str));
			}
#line 37970 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 7642 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37983 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 7651 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37996 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 7660 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38009 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 7669 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38022 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 7678 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38035 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 7687 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38048 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 7696 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38061 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 7705 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38074 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 7714 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38087 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 7723 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38100 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 7732 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38113 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 7741 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38126 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 7750 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PARAMETER_ACL;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38138 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 7758 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SCHEMA;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38151 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 7767 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38164 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 7776 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38177 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 7785 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38190 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 7794 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38203 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 7803 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38216 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 7812 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38229 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7821 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38242 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7833 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 38248 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7834 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 38254 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7838 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 38260 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7839 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 38266 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7844 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38272 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7845 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38278 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7856 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = true;
					n->granted_roles = (yyvsp[-3].list);
					n->grantee_roles = (yyvsp[-1].list);
					n->opt = NIL;
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 38293 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7867 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = true;
					n->granted_roles = (yyvsp[-5].list);
					n->grantee_roles = (yyvsp[-3].list);
					n->opt = (yyvsp[-1].list);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 38308 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7881 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = false;
					n->opt = NIL;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38324 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7893 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					DefElem *opt;

					opt = makeDefElem(pstrdup((yyvsp[-7].str)),
									  (Node *) makeBoolean(false), (yylsp[-7]));
					n->is_grant = false;
					n->opt = list_make1(opt);
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38343 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7910 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 38349 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7911 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 38355 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7916 "gram.y" /* yacc.c:1646  */
    {
				(yyval.defelt) = makeDefElem(pstrdup((yyvsp[-1].str)), (yyvsp[0].node), (yylsp[-1]));
			}
#line 38363 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7922 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(true); }
#line 38369 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7923 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(true); }
#line 38375 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7924 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(false); }
#line 38381 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7927 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 38387 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7928 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 38393 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7939 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);

					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38405 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7949 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 38411 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7950 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38417 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7955 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 38425 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7959 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 38433 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7963 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 38441 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7975 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 38458 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7989 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38476 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 8004 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38494 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 8020 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TABLE; }
#line 38500 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 8021 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 38506 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 8022 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 38512 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 8023 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SEQUENCE; }
#line 38518 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 8024 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TYPE; }
#line 38524 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 8025 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SCHEMA; }
#line 38530 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 8040 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-14].boolean);
					n->concurrent = (yyvsp[-12].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNumber = InvalidRelFileNumber;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilelocatorSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 38564 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 8072 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-17].boolean);
					n->concurrent = (yyvsp[-15].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNumber = InvalidRelFileNumber;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilelocatorSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 38598 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 8104 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38604 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 8105 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38610 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 8109 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38616 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 8110 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 38622 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 8113 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 38628 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 8114 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 38634 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 8120 "gram.y" /* yacc.c:1646  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-3].list);
			(yyval.ielem)->opclass = (yyvsp[-2].list);
			(yyval.ielem)->opclassopts = NIL;
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 38650 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 8132 "gram.y" /* yacc.c:1646  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-4].list);
			(yyval.ielem)->opclass = (yyvsp[-3].list);
			(yyval.ielem)->opclassopts = (yyvsp[-2].list);
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 38666 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 8151 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->name = (yyvsp[-1].str);
				}
#line 38675 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 8156 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-1].node);
				}
#line 38684 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 8161 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-2].node);
				}
#line 38693 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 8167 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38699 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 8168 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38705 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 8171 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 38711 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 8172 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 38717 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 8175 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38723 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 8176 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38729 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 8180 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 38735 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 8181 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 38741 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 8182 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 38747 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 8185 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 38753 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 8186 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 38759 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 8187 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 38765 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 8205 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38782 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 8219 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38800 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 8234 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38817 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 8248 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = true;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38834 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 8263 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38840 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 8264 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38846 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 8267 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38852 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 8268 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38858 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 8272 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 38864 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 8273 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 38870 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 8277 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 38876 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 8279 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 38882 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 8284 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					n->objfuncargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 38895 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 8298 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 38907 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 8306 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 38919 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 8314 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 38932 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 8329 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38938 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 8330 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38944 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 8334 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 38950 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 8336 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 38956 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 8351 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 38970 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 8361 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 38984 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 8371 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 38998 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 8381 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39012 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 8391 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39026 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 8403 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 39032 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 8404 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 39038 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 8405 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 39044 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 8406 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 39050 "gram.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 8407 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 39056 "gram.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 8418 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39068 "gram.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 8432 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39074 "gram.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 8434 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 39084 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 8440 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 39095 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 8450 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 39103 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 8454 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 39112 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 8459 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 39121 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 8467 "gram.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_DEFAULT ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 39136 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 8509 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 39144 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 8513 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 39152 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 8517 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 39160 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 8521 "gram.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 39169 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 8528 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 39175 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 8529 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 39181 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 8534 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					n->objfuncargs = (List *) linitial((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 39194 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 8545 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 39200 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 8547 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 39206 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 8552 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39212 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 8557 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39218 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 8558 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39224 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 8566 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(false), (yylsp[-3]));
				}
#line 39232 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 8570 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[-4]));
				}
#line 39240 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 8574 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 39248 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 8578 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("immutable"), (yylsp[0]));
				}
#line 39256 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 8582 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("stable"), (yylsp[0]));
				}
#line 39264 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 8586 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("volatile"), (yylsp[0]));
				}
#line 39272 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 8590 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-2]));
				}
#line 39280 "gram.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 8594 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-2]));
				}
#line 39288 "gram.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 8598 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-1]));
				}
#line 39296 "gram.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 8602 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 39304 "gram.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 8606 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 39312 "gram.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 8610 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 39320 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 8614 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 39328 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 8618 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 39336 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 8622 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("support", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 39344 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 8626 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *) (yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 39353 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 8631 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 39361 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 8638 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 39369 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 8642 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 39377 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 8646 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 39385 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 8650 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 39393 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 8654 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 39401 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 8659 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 39407 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 8661 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 39415 "gram.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 8667 "gram.y" /* yacc.c:1646  */
    {
					ReturnStmt *r = makeNode(ReturnStmt);

					r->returnval = (Node *) (yyvsp[0].node);
					(yyval.node) = (Node *) r;
				}
#line 39426 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 8677 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 39434 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 8681 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * A compound statement is stored as a single-item list
					 * containing the list of statements as its member.  That
					 * way, the parse analysis code can tell apart an empty
					 * body from no body at all.
					 */
					(yyval.node) = (Node *) list_make1((yyvsp[-1].list));
				}
#line 39448 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 8691 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = NULL;
				}
#line 39456 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 8698 "gram.y" /* yacc.c:1646  */
    {
					/* As in stmtmulti, discard empty statements */
					if ((yyvsp[-1].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[-1].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 39468 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 8706 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = NIL;
				}
#line 39476 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 8717 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 39482 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 8718 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 39488 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 8722 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39494 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 8723 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39500 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 8727 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39514 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 8740 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 39522 "gram.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 8744 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 39530 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 8759 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_FUNCTION;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 39543 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 8768 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 39556 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 8777 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_ROUTINE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 39569 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8789 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39575 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8790 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39581 "gram.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8814 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39596 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8825 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39611 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8836 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39626 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8847 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39641 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8858 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39656 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8869 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39671 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8883 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39686 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8894 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39701 "gram.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8908 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39716 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8919 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39731 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8933 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 39743 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8941 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 39749 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8943 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 39755 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8945 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 39761 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8950 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 39767 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8952 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 39773 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8956 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 39779 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8958 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 39785 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8963 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 39797 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8982 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);

					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 39808 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 8991 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39814 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 8992 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39820 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 8997 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 39828 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 9001 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 39836 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 9014 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 39851 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 9026 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 39866 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 9038 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *) n;
				}
#line 39881 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 9050 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 39887 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 9051 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 39893 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 9052 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 39899 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 9057 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39914 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 9069 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39920 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 9070 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39926 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 9081 "gram.y" /* yacc.c:1646  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);

					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 39941 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 9094 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 39949 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 9098 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 39957 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 9102 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 39965 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 9106 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 39973 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 9113 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *) n;
				}
#line 39987 "gram.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 9135 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 40004 "gram.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 9148 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = REINDEX_OBJECT_SCHEMA;
					n->relation = NULL;
					n->name = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 40021 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 9161 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = NULL;
					n->name = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 40038 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 9175 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 40044 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 9176 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 40050 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 9179 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 40056 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 9180 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 40062 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 9183 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40068 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 9184 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 40074 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 9195 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = false;
					(yyval.node) = (Node *) n;
				}
#line 40088 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 9205 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = true;
					(yyval.node) = (Node *) n;
				}
#line 40102 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 9223 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40116 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 9233 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40130 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 9243 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40144 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 9253 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40158 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 9263 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40172 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 9273 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 40186 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 9283 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40200 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 9293 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40214 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 9303 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40228 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 9313 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40242 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 9323 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40256 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 9333 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40270 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 9343 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40285 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 9354 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40300 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 9365 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40314 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 9375 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40328 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 9385 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40342 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 9395 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40356 "gram.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 9405 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40370 "gram.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 9415 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40384 "gram.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 9425 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40399 "gram.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 9436 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40414 "gram.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 9447 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40429 "gram.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 9458 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40444 "gram.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 9469 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40459 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 9480 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40474 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 9491 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40489 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 9502 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40504 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 9513 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40519 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 9524 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40534 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 9535 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40549 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 9546 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40564 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 9557 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40580 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 9569 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40596 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 9581 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40612 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 9593 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40628 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 9605 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40644 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 9617 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40660 "gram.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 9629 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40675 "gram.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 9640 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40690 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 9651 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40706 "gram.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 9663 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40722 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 9675 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40737 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 9686 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40752 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 9697 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 40765 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 9706 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40779 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 9716 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40793 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 9726 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40807 "gram.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 9736 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40821 "gram.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 9746 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40835 "gram.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 9756 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40849 "gram.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 9766 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40863 "gram.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 9776 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40877 "gram.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 9786 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40891 "gram.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 9796 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40908 "gram.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 9814 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 40914 "gram.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 9815 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 40920 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 9826 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 40934 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 9836 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 40948 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 9846 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 40962 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 9856 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-5].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-7].str)));
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 40977 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 9867 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 40991 "gram.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 9877 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41005 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 9888 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 41011 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 9889 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false;	}
#line 41017 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 9900 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41031 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 9910 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41045 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 9920 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41059 "gram.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 9930 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41073 "gram.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 9940 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41087 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 9950 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41101 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 9960 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41115 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 9970 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41129 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 9980 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41143 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 9990 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41157 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 10000 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41171 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 10010 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41185 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 10020 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41199 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 10030 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41213 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 10040 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41227 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 10050 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41241 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 10060 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41255 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 10070 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41269 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 10080 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41283 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 10090 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41297 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 10100 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41311 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 10110 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41325 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 10120 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41339 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 10130 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41353 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 10140 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41367 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 10150 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41381 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 10160 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41395 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 10179 "gram.y" /* yacc.c:1646  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);

					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 41407 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 10188 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 41413 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 10189 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 41419 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 10193 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 41425 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 10195 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 41431 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 10197 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0])); }
#line 41437 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 10202 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 41443 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 10203 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 41449 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 10204 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 41455 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 10205 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 41461 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 10206 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 41467 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 10219 "gram.y" /* yacc.c:1646  */
    {
					AlterTypeStmt *n = makeNode(AlterTypeStmt);

					n->typeName = (yyvsp[-4].list);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 41479 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 10235 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41492 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 10244 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41505 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 10253 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41518 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 10262 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41531 "gram.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 10271 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41544 "gram.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 10280 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41557 "gram.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 10289 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41570 "gram.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 10298 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].node);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41583 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 10307 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41596 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 10316 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41609 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 10325 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41622 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 10334 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41635 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 10343 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41648 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 10352 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41661 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 10361 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41674 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 10370 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41687 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 10379 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41700 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 10388 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41713 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 10397 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41726 "gram.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 10406 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41739 "gram.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 10415 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41752 "gram.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 10424 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41765 "gram.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 10433 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41778 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 10442 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41791 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 10470 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41803 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 10478 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-4].str);
					n->options = (yyvsp[0].list);
					n->for_all_tables = true;
					(yyval.node) = (Node *) n;
				}
#line 41816 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 10487 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					n->pubobjects = (List *) (yyvsp[-1].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 41830 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 10513 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLE;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 41843 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 10522 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
					(yyval.publicationobjectspec)->name = (yyvsp[0].str);
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 41854 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 10529 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 41864 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 10535 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					/*
					 * If either a row filter or column list is specified, create
					 * a PublicationTable object.
					 */
					if ((yyvsp[-1].list) || (yyvsp[0].node))
					{
						/*
						 * The OptWhereClause must be stored here but it is
						 * valid only for tables. For non-table objects, an
						 * error will be thrown later via
						 * preprocess_pubobj_list().
						 */
						(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
						(yyval.publicationobjectspec)->pubtable->relation = makeRangeVar(NULL, (yyvsp[-2].str), (yylsp[-2]));
						(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
						(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					}
					else
					{
						(yyval.publicationobjectspec)->name = (yyvsp[-2].str);
					}
					(yyval.publicationobjectspec)->location = (yylsp[-2]);
				}
#line 41895 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 10562 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = makeRangeVarFromQualifiedName((yyvsp[-3].str), (yyvsp[-2].list), (yylsp[-3]), yyscanner);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					(yyval.publicationobjectspec)->location = (yylsp[-3]);
				}
#line 41909 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 10573 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 41922 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 10582 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 41932 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 10590 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].publicationobjectspec)); }
#line 41938 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 10592 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].publicationobjectspec)); }
#line 41944 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 10614 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41956 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 10622 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_AddObjects;
					(yyval.node) = (Node *) n;
				}
#line 41970 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 10632 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_SetObjects;
					(yyval.node) = (Node *) n;
				}
#line 41984 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 10642 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_DropObjects;
					(yyval.node) = (Node *) n;
				}
#line 41998 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 10661 "gram.y" /* yacc.c:1646  */
    {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42012 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 10680 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42026 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 10690 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42040 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 10700 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42054 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 10710 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ADD_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42069 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 10721 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_DROP_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42084 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 10732 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SET_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42099 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 10743 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(true), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 42114 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 10754 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(false), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 42129 "gram.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 10765 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SKIP;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42143 "gram.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 10783 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 42156 "gram.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 10792 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 42169 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 10811 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt   *n = makeNode(RuleStmt);

					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42186 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 10826 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42192 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 10827 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 42198 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 10828 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42204 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 10834 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 42214 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 10840 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 42224 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 10856 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42230 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 10857 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 42236 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 10860 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 42242 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 10861 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 42248 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 10862 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 42254 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 10863 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 42260 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 10867 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 42266 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 10868 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42272 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 10869 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42278 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 10882 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);

					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42290 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 10892 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42296 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 10893 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 42302 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 10897 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42313 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 10907 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42324 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 10914 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 42335 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 10934 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42349 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 10944 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42362 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 10953 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42376 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 10963 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42390 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 10973 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_SAVEPOINT;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42403 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 10982 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42416 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 10991 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42429 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 11000 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42442 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 11009 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42455 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 11018 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42468 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 11027 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42481 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 11036 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42494 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 11048 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42507 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 11057 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42521 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 11075 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 42528 "gram.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 11078 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(true, (yylsp[-1])), (yylsp[-1])); }
#line 42535 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 11081 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 42542 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 11084 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(true, (yylsp[0])), (yylsp[0])); }
#line 42549 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 11087 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 42556 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 11094 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 42562 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 11096 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 42568 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 11098 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 42574 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 11104 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42580 "gram.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 11108 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 42586 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 11109 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42592 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 11110 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42598 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 11124 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 42615 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 11138 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 42632 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 11152 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 42654 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 11171 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 42676 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 11191 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 42682 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 11192 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 42688 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 11193 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 42694 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 11194 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 42700 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 11205 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt   *n = makeNode(LoadStmt);

					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42711 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 11222 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42723 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 11232 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42729 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 11233 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42735 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 11237 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 42741 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 11238 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 42747 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 11243 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (yyvsp[0].node), (yylsp[-2]));
				}
#line 42755 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 11247 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 42763 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 11251 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 42771 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 11268 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42777 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 11269 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 42783 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 11270 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 42789 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 11271 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 42795 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 11272 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 42801 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 11273 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 42807 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 11274 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 42813 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 11294 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 42825 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 11302 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 42837 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 11310 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *) makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *) n;
				 }
#line 42850 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 11319 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseRefreshCollStmt *n = makeNode(AlterDatabaseRefreshCollStmt);

					n->dbname = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				 }
#line 42861 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 11329 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);

					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 42873 "gram.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 11347 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = false;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 42886 "gram.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 11356 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = true;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 42899 "gram.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 11365 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = false;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 42912 "gram.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 11374 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = true;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 42925 "gram.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 11386 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((Node *) (yyvsp[0].defelt));
				}
#line 42933 "gram.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 11390 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (Node *) (yyvsp[0].defelt));
				}
#line 42941 "gram.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 11401 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force", NULL, (yylsp[0]));
				}
#line 42949 "gram.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 11413 "gram.y" /* yacc.c:1646  */
    {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);

					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 42960 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 11431 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 42971 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 11438 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 42982 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 11455 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);

					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 42996 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 11469 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 43009 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 11479 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 43021 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 11488 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 43033 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 11497 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 43046 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 11507 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 43061 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 11519 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 43076 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 11531 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43089 "gram.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 11554 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);

					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43101 "gram.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 11565 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 43117 "gram.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 11577 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 43133 "gram.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 11589 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 43149 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 11601 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 43165 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 11613 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 43179 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 11623 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 43193 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 11652 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);

				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *) n;
			}
#line 43208 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 11675 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 43221 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 11684 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = NULL;
					n->indexname = NULL;
					n->params = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 43234 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 11694 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = NIL;
					if ((yyvsp[-2].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-2])));
					(yyval.node) = (Node *) n;
				}
#line 43249 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 11706 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = NULL;
					n->indexname = NULL;
					n->params = NIL;
					if ((yyvsp[0].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 43264 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 11718 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->params = NIL;
					if ((yyvsp[-3].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 43279 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 11731 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43285 "gram.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 11732 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 43291 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 11745 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-4].boolean))
						n->options = lappend(n->options,
											 makeDefElem("full", NULL, (yylsp[-4])));
					if ((yyvsp[-3].boolean))
						n->options = lappend(n->options,
											 makeDefElem("freeze", NULL, (yylsp[-3])));
					if ((yyvsp[-2].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("analyze", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 43316 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 11766 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 43329 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 11777 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 43345 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 11789 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 43358 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 11801 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 43366 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 11805 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 43374 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 11817 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 43382 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 11823 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43388 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 11824 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 43394 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 11825 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "format"; }
#line 43400 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 11829 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 43406 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 11830 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 43412 "gram.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 11831 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 43418 "gram.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 11835 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43424 "gram.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 11836 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43430 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 11840 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43436 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 11841 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43442 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 11844 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43448 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 11845 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43454 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 11848 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43460 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 11849 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43466 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 11853 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43472 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 11854 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43478 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 11859 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeVacuumRelation((yyvsp[-1].range), InvalidOid, (yyvsp[0].list));
				}
#line 43486 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 11866 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 43492 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 11868 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 43498 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 11872 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43504 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 11873 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43510 "gram.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 11887 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 43522 "gram.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 11895 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 43537 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 11906 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 43549 "gram.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 11914 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 43561 "gram.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 11944 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);

					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 43574 "gram.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 11954 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43580 "gram.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 11955 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43586 "gram.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 11974 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43598 "gram.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 11983 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 43619 "gram.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 12001 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-10].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 43640 "gram.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 12019 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43646 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 12020 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43652 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 12031 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						n->isall = false;
						n->location = (yylsp[0]);
						(yyval.node) = (Node *) n;
					}
#line 43665 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 12040 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						n->isall = false;
						n->location = (yylsp[0]);
						(yyval.node) = (Node *) n;
					}
#line 43678 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 12049 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						n->isall = true;
						n->location = -1;
						(yyval.node) = (Node *) n;
					}
#line 43691 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 12058 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						n->isall = true;
						n->location = -1;
						(yyval.node) = (Node *) n;
					}
#line 43704 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 12078 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 43716 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 12095 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 43724 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 12099 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 43733 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 12107 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 43743 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 12113 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 43754 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 12120 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 43764 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 12126 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 43775 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 12133 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 43785 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 12141 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 43791 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 12142 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 43797 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 12147 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 43803 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 12149 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 43809 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 12154 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 43821 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 12165 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 43834 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 12175 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 43847 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 12184 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = NULL;
				}
#line 43855 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 12191 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 43867 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 12200 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 43879 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 12208 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = NULL;
				}
#line 43887 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 12214 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43893 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 12215 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43899 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 12228 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);

					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) n;
				}
#line 43914 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 12241 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43920 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 12242 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43926 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 12254 "gram.y" /* yacc.c:1646  */
    {
					LockStmt   *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 43939 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 12264 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 43945 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 12265 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 43951 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 12268 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 43957 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 12269 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 43963 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 12270 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 43969 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 12271 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 43975 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 12272 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 43981 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 12273 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 43987 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 12274 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 43993 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 12275 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 43999 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 12278 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 44005 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 12279 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44011 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 12283 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitError; }
#line 44017 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 12284 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitSkip; }
#line 44023 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 12285 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitBlock; }
#line 44029 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 12301 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);

					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *) n;
				}
#line 44045 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 12315 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44051 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 12316 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 44057 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 12321 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 44066 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 12326 "gram.y" /* yacc.c:1646  */
    {
					int			ncolumns = list_length((yyvsp[-3].list));
					int			i = 1;
					ListCell   *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget  *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 44091 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 12350 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 44103 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 12360 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 44109 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 12361 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 44115 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 12378 "gram.y" /* yacc.c:1646  */
    {
					MergeStmt  *m = makeNode(MergeStmt);

					m->withClause = (yyvsp[-9].with);
					m->relation = (yyvsp[-6].range);
					m->sourceRelation = (yyvsp[-4].node);
					m->joinCondition = (yyvsp[-2].node);
					m->mergeWhenClauses = (yyvsp[-1].list);
					m->returningList = (yyvsp[0].list);

					(yyval.node) = (Node *) m;
				}
#line 44132 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 12393 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44138 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 12394 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list),(yyvsp[0].node)); }
#line 44144 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 12399 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matched = true;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 44155 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 12406 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matched = true;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 44166 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 12413 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matched = false;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 44177 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 12420 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matched = true;
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 44191 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 12430 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matched = false;
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 44205 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 12442 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44211 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 12443 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 44217 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 12448 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_UPDATE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[0].list);
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 44231 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 12461 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_DELETE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 44245 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 12474 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 44258 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 12483 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 44271 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 12492 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[-2].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 44284 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 12501 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = (yyvsp[-5].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 44297 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 12510 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;
					(yyval.mergewhen) = n;
				}
#line 44310 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 12522 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[-1].list);
				}
#line 44318 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 12534 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);

					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 44332 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 12545 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44338 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 12548 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44344 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 12549 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 44350 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 12550 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 44356 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 12551 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 44362 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 12552 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_ASENSITIVE; }
#line 44368 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 12553 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 44374 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 12556 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44380 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 12557 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 44386 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 12558 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44392 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 12611 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 44398 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 12612 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 44404 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 12627 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44410 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 12629 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 44421 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 12636 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 44433 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 12644 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 44445 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 12652 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 44457 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 12660 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 44469 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 12668 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 44481 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 12676 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 44493 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 12686 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44499 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 12687 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44505 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 12722 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 44523 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 12738 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 44542 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 12752 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44548 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 12754 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef  *cr = makeNode(ColumnRef);
					ResTarget  *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *) cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *) n;
				}
#line 44571 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 12773 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 44579 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 12777 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 44587 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 12781 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 44595 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 12796 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 44606 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 12803 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 44617 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 12810 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 44628 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 12819 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44634 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 12820 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 44640 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 12824 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);

				n->ctename = (yyvsp[-8].str);
				n->aliascolnames = (yyvsp[-7].list);
				n->ctematerialized = (yyvsp[-5].ival);
				n->ctequery = (yyvsp[-3].node);
				n->search_clause = castNode(CTESearchClause, (yyvsp[-1].node));
				n->cycle_clause = castNode(CTECycleClause, (yyvsp[0].node));
				n->location = (yylsp[-8]);
				(yyval.node) = (Node *) n;
			}
#line 44657 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 12839 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeAlways; }
#line 44663 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 12840 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeNever; }
#line 44669 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 12841 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeDefault; }
#line 44675 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 12846 "gram.y" /* yacc.c:1646  */
    {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = false;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 44689 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 12856 "gram.y" /* yacc.c:1646  */
    {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = true;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 44703 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 12866 "gram.y" /* yacc.c:1646  */
    {
				(yyval.node) = NULL;
			}
#line 44711 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 12873 "gram.y" /* yacc.c:1646  */
    {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-8].list);
				n->cycle_mark_column = (yyvsp[-6].str);
				n->cycle_mark_value = (yyvsp[-4].node);
				n->cycle_mark_default = (yyvsp[-2].node);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-9]);
				(yyval.node) = (Node *) n;
			}
#line 44727 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 12885 "gram.y" /* yacc.c:1646  */
    {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-4].list);
				n->cycle_mark_column = (yyvsp[-2].str);
				n->cycle_mark_value = makeBoolAConst(true, -1);
				n->cycle_mark_default = makeBoolAConst(false, -1);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 44743 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 12897 "gram.y" /* yacc.c:1646  */
    {
				(yyval.node) = NULL;
			}
#line 44751 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 12903 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 44757 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 12904 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 44763 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 12909 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 44778 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 12920 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 44784 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 12929 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44793 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 12934 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44802 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 12939 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44811 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 12944 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44820 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 12949 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44832 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 12957 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44844 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 12965 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 44853 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 12970 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 44862 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 12975 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 44871 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 12986 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_ALL; }
#line 44877 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 12987 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_DISTINCT; }
#line 44883 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 12988 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_DEFAULT; }
#line 44889 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 12995 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 44895 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 12996 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44901 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 13005 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44907 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 13006 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44913 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 13010 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44919 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 13011 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44925 "gram.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 13015 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44931 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 13019 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 44937 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 13020 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 44943 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 13024 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 44956 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 13033 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 44969 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 13046 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[-1].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[0].node);
				}
#line 44978 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 13051 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[-1].node);
				}
#line 44987 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 13056 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
				}
#line 44995 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 13060 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = (yyvsp[0].node);
					n->limitCount = NULL;
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 45008 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 13071 "gram.y" /* yacc.c:1646  */
    { (yyval.selectlimit) = (yyvsp[0].selectlimit); }
#line 45014 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 13072 "gram.y" /* yacc.c:1646  */
    { (yyval.selectlimit) = NULL; }
#line 45020 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 13077 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[0].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 45033 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 13086 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 45046 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 13102 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-2].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 45059 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 13111 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-3].node);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 45072 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 13120 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 45085 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 13129 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 45098 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 13141 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45104 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 13144 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 45110 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 13148 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45116 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 13150 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 45125 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 13157 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45131 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 13177 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45137 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 13179 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 45143 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 13181 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 45149 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 13185 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 45155 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 13186 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 45161 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 13190 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45167 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 13191 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45173 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 13194 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45179 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 13195 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45185 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 13221 "gram.y" /* yacc.c:1646  */
    {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = (yyvsp[-1].setquantifier) == SET_QUANTIFIER_DISTINCT;
					n->list = (yyvsp[0].list);
					(yyval.groupclause) = n;
				}
#line 45197 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 13229 "gram.y" /* yacc.c:1646  */
    {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = false;
					n->list = NIL;
					(yyval.groupclause) = n;
				}
#line 45209 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 13239 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45215 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 13240 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 45221 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 13244 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45227 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 13245 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45233 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 13246 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45239 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 13247 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45245 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 13248 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45251 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 13253 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 45259 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 13266 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 45267 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 13273 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 45275 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 13280 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 45283 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 13286 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45289 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 13287 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 45295 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 13291 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45301 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 13292 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45307 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 13296 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45313 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 13297 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45319 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 13301 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45325 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 13302 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 45331 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 13307 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);

					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 45344 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 13318 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 45350 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 13319 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 45356 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 13320 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 45362 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 13321 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 45368 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 13325 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45374 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 13326 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45380 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 13337 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 45391 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 13344 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);

					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 45402 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 13362 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45408 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 13363 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45414 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 13367 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45420 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 13368 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 45426 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 13375 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 45435 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 13380 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);

					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 45448 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 13389 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 45460 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 13397 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 45473 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 13406 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 45484 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 13413 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 45496 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 13421 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 45509 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 13430 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 45522 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 13439 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 45530 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 13443 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 45539 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 13469 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 45547 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 13473 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->join_using_alias = NULL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 45565 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 13487 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = false;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						 /* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 45590 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 13508 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						/* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 45616 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 13530 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = true;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 45633 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 13543 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = true;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 45651 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 13560 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 45661 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 13566 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 45670 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 13571 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 45680 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 13577 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 45689 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 13583 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 45695 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 13584 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 45701 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 13595 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
					/* the column name list will be inserted later */
				}
#line 45711 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 13600 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 45717 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 13609 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 45725 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 13613 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 45733 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 13617 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 45744 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 13624 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 45755 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 13631 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 45763 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 13636 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 45769 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 13637 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 45775 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 13638 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 45781 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 13639 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 45787 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 13660 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) list_make2((yyvsp[-2].list), (yyvsp[0].alias));
				}
#line 45795 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 13664 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 45803 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 13672 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 45814 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 13679 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 45822 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 13686 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 45833 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 13693 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 45844 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 13700 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 45855 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 13710 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 45861 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 13711 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 45867 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 13725 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 45875 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 13729 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 45887 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 13737 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 45899 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 13751 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);

					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 45914 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 13764 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 45920 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 13765 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 45926 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 13781 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 45941 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 13792 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 45956 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 13805 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 45962 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 13809 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 45968 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 13810 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 45974 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 13813 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 45980 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 13814 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45986 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 13817 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 45992 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 13818 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 45998 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 13823 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46004 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 13824 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 46010 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 13829 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46016 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 13831 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);

					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 46029 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 13839 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 46035 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 13844 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46041 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 13845 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46047 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 13850 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 46055 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 13854 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 46063 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 13860 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 46086 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 13885 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 46101 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 13897 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *) n;
				}
#line 46116 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 13909 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46122 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 13910 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 46128 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 13915 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 46146 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 13929 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);
					ListCell   *option;
					bool		nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = boolVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 46207 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 13986 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 46222 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 14000 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 46228 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 14002 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 46234 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 14007 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 46240 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 14009 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 46246 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 14011 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(true), (yylsp[-1])); }
#line 46252 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 14013 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(false), (yylsp[0])); }
#line 46258 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 14018 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 46264 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 14020 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 46270 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 14025 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 46282 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 14033 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 46294 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 14053 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 46303 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 14058 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = true;
				}
#line 46313 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 14065 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 46322 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 14070 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = true;
				}
#line 46332 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 14076 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 46341 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 14081 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = true;
				}
#line 46351 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 14090 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 46357 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 14092 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 46363 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 14094 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 46369 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 14098 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46375 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 14099 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46381 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 14100 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46387 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 14101 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46393 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 14102 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46399 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 14104 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 46408 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 14109 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 46418 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 14114 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46424 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 14129 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46430 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 14130 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46436 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 14131 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46442 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 14132 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46448 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 14133 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46454 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 14145 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46464 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 14151 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 46474 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 14158 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 46480 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 14159 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46486 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 14166 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46495 "gram.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 14171 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46504 "gram.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 14176 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46513 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 14181 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46522 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 14186 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46531 "gram.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 14191 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46540 "gram.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 14196 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46549 "gram.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 14201 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46559 "gram.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 14207 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46569 "gram.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 14213 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46579 "gram.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 14219 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46588 "gram.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 14226 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 46613 "gram.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 14247 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 46621 "gram.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 14257 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46629 "gram.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 14261 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46637 "gram.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 14269 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46645 "gram.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 14273 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 46654 "gram.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 14281 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 46667 "gram.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 14293 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46685 "gram.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 14314 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46693 "gram.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 14318 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46701 "gram.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 14324 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46709 "gram.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 14328 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 46724 "gram.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 14341 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 46734 "gram.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 14349 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46746 "gram.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 14359 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 46752 "gram.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 14361 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 46758 "gram.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 14363 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 46764 "gram.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 14365 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 46770 "gram.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 14367 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 46776 "gram.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 14369 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 46782 "gram.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 14373 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 46788 "gram.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 14374 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 46794 "gram.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 14382 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 46807 "gram.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 14391 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46819 "gram.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 14399 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 46832 "gram.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 14408 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46844 "gram.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 14419 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46853 "gram.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 14426 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 46859 "gram.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 14427 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 46865 "gram.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 14428 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 46871 "gram.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 14433 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 46877 "gram.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 14435 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 46883 "gram.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 14437 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 46889 "gram.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 14439 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 46895 "gram.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 14441 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 46901 "gram.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 14443 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46907 "gram.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 14445 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 46916 "gram.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 14450 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 46925 "gram.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 14455 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 46935 "gram.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 14461 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 46947 "gram.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 14469 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 46956 "gram.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 14474 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 46967 "gram.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 14481 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 46977 "gram.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 14487 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46983 "gram.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 14492 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 46991 "gram.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 14496 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 47000 "gram.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 14504 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("json");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47009 "gram.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 14538 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47015 "gram.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 14540 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 47021 "gram.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 14542 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);

					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 47034 "gram.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 14551 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 47045 "gram.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 14558 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make1((yyvsp[-2].node)),
											   COERCE_SQL_SYNTAX,
											   -1);
				}
#line 47056 "gram.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 14574 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 47062 "gram.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 14576 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 47068 "gram.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 14578 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47074 "gram.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 14580 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47080 "gram.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 14582 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47086 "gram.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 14584 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47092 "gram.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 14586 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47098 "gram.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 14588 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47104 "gram.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 14590 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47110 "gram.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 14592 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47116 "gram.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 14594 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47122 "gram.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 14596 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47128 "gram.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 14598 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47134 "gram.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 14600 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47140 "gram.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 14603 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47146 "gram.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 14605 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 47152 "gram.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 14608 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47158 "gram.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 14610 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47164 "gram.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 14612 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 47170 "gram.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 14614 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 47176 "gram.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 14617 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 47185 "gram.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 14622 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 47198 "gram.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 14631 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 47207 "gram.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 14636 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 47220 "gram.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 14645 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 47229 "gram.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 14650 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 47242 "gram.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 14659 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 47251 "gram.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 14664 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 47264 "gram.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 14674 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 47277 "gram.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 14683 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 47290 "gram.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 14692 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 47303 "gram.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 14701 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 47316 "gram.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 14720 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 47329 "gram.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 14729 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 47342 "gram.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 14738 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 47355 "gram.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 14747 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 47368 "gram.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 14756 "gram.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 47389 "gram.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 14773 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 47402 "gram.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 14782 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 47415 "gram.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 14791 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 47428 "gram.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 14800 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 47441 "gram.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 14809 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 47454 "gram.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 14818 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 47467 "gram.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 14827 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 47475 "gram.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 14831 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 47483 "gram.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 14835 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 47495 "gram.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 14843 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 47507 "gram.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 14851 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 47519 "gram.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 14859 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 47531 "gram.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 14867 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *) n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 47556 "gram.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 14888 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 47583 "gram.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 14911 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 47599 "gram.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 14923 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 47610 "gram.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 14930 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-2]))));
				}
#line 47630 "gram.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 14946 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 47639 "gram.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 14951 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 47649 "gram.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 14957 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make1((yyvsp[-2].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 47660 "gram.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 14964 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-2]));
				}
#line 47671 "gram.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 14971 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make1((yyvsp[-3].node)),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 47683 "gram.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 14979 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make2((yyvsp[-4].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-3])),
									 (yylsp[-3]));
				}
#line 47695 "gram.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 14988 "gram.y" /* yacc.c:1646  */
    {
					JsonFormat *format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);

					(yyval.node) = makeJsonIsPredicate((yyvsp[-3].node), format, (yyvsp[-1].ival), (yyvsp[0].boolean), (yylsp[-3]));
				}
#line 47705 "gram.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 15006 "gram.y" /* yacc.c:1646  */
    {
					JsonFormat *format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);

					(yyval.node) = makeNotExpr(makeJsonIsPredicate((yyvsp[-4].node), format, (yyvsp[-1].ival), (yyvsp[0].boolean), (yylsp[-4])), (yylsp[-4]));
				}
#line 47715 "gram.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 15023 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);

					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 47734 "gram.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 15049 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47740 "gram.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 15051 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 47746 "gram.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 15053 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 47752 "gram.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 15055 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 47758 "gram.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 15057 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47764 "gram.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 15059 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47770 "gram.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 15061 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47776 "gram.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 15063 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47782 "gram.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 15065 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47788 "gram.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 15067 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47794 "gram.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 15069 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47800 "gram.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 15071 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47806 "gram.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 15073 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47812 "gram.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 15075 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47818 "gram.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 15077 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47824 "gram.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 15079 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47830 "gram.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 15081 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47836 "gram.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 15083 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 47842 "gram.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 15085 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 47850 "gram.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 15089 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 47858 "gram.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 15093 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 47867 "gram.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 15098 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 47877 "gram.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 15113 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47883 "gram.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 15114 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47889 "gram.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 15116 "gram.y" /* yacc.c:1646  */
    {
					ParamRef   *p = makeNode(ParamRef);

					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 47910 "gram.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 15133 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 47927 "gram.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 15146 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47933 "gram.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 15148 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47939 "gram.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 15150 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 47955 "gram.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 15162 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink	   *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *) n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *) a;
				}
#line 47984 "gram.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 15187 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48000 "gram.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 15199 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48016 "gram.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 15211 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));

					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48028 "gram.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 15219 "gram.y" /* yacc.c:1646  */
    {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 48043 "gram.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 15230 "gram.y" /* yacc.c:1646  */
    {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 48058 "gram.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 15241 "gram.y" /* yacc.c:1646  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);

				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *) g;
			  }
#line 48070 "gram.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 15251 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL,
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-2]));
				}
#line 48080 "gram.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 15257 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));

					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 48093 "gram.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 15266 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 48107 "gram.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 15276 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-7]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 48121 "gram.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 15286 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *) n;
				}
#line 48138 "gram.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 15299 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = true;
					(yyval.node) = (Node *) n;
				}
#line 48152 "gram.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 15309 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall   *n = makeFuncCall((yyvsp[-3].list), NIL,
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));

					n->agg_star = true;
					(yyval.node) = (Node *) n;
				}
#line 48175 "gram.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 15340 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = (FuncCall *) (yyvsp[-3].node);

					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = true;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 48215 "gram.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 15376 "gram.y" /* yacc.c:1646  */
    {
					JsonAggConstructor *n = IsA((yyvsp[-2].node), JsonObjectAgg) ?
						((JsonObjectAgg *) (yyvsp[-2].node))->constructor :
						((JsonArrayAgg *) (yyvsp[-2].node))->constructor;

					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) (yyvsp[-2].node);
				}
#line 48229 "gram.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 15386 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48235 "gram.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 15396 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48241 "gram.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 15397 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48247 "gram.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 15398 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48253 "gram.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 15406 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 48264 "gram.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 15413 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 48272 "gram.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 15417 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 48280 "gram.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 15421 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 48288 "gram.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 15425 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 48296 "gram.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 15429 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 48304 "gram.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 15433 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 48312 "gram.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 15437 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 48320 "gram.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 15441 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 48328 "gram.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 15445 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 48336 "gram.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 15449 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 48344 "gram.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 15453 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 48352 "gram.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 15457 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 48360 "gram.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 15461 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("system_user"),
											   NIL,
											   COERCE_SQL_SYNTAX,
											   (yylsp[0]));
				}
#line 48371 "gram.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 15468 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 48379 "gram.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 15472 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 48387 "gram.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 15476 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 48395 "gram.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 15480 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 48401 "gram.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 15482 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("extract"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48412 "gram.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 15489 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48423 "gram.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 15496 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-5]));
				}
#line 48434 "gram.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 15503 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48445 "gram.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 15510 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * allow functions named overlay() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("overlay")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 48460 "gram.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 15521 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * position(A in B) is converted to position(B, A)
					 *
					 * We deliberately don't offer a "plain syntax" option
					 * for position(), because the reversal of the arguments
					 * creates too much risk of confusion.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48478 "gram.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 15535 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48492 "gram.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 15545 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * allow functions named substring() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("substring")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 48507 "gram.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 15556 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(strVal(llast((yyvsp[-1].typnam)->names))),
											   list_make1((yyvsp[-3].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-5]));
				}
#line 48527 "gram.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 15572 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 48541 "gram.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 15582 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 48552 "gram.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 15589 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 48563 "gram.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 15596 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48574 "gram.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 15603 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 48582 "gram.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 15607 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);

					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *) c;
				}
#line 48594 "gram.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 15615 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 48607 "gram.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 15624 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 48620 "gram.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 15633 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 48628 "gram.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 15637 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 48636 "gram.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 15641 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 48644 "gram.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 15645 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 48652 "gram.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 15649 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 48660 "gram.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 15653 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"),
											   list_make2((yyvsp[-2].node), (yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 48673 "gram.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 15662 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 48681 "gram.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 15666 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));

					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *) x;
				}
#line 48695 "gram.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 15676 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 48703 "gram.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 15680 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 48711 "gram.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 15684 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 48720 "gram.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 15689 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);

					n->xmloption = (yyvsp[-5].ival);
					n->expr = (yyvsp[-4].node);
					n->typeName = (yyvsp[-2].typnam);
					n->indent = (yyvsp[-1].boolean);
					n->location = (yylsp[-7]);
					(yyval.node) = (Node *) n;
				}
#line 48735 "gram.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 15700 "gram.y" /* yacc.c:1646  */
    {
					/* Support for legacy (non-standard) json_object() */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("json_object"),
											   (yyvsp[-1].list), COERCE_EXPLICIT_CALL, (yylsp[-3]));
				}
#line 48745 "gram.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 15709 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectConstructor *n = makeNode(JsonObjectConstructor);

					n->exprs = (yyvsp[-4].list);
					n->absent_on_null = (yyvsp[-3].boolean);
					n->unique = (yyvsp[-2].boolean);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 48760 "gram.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 15720 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectConstructor *n = makeNode(JsonObjectConstructor);

					n->exprs = NULL;
					n->absent_on_null = false;
					n->unique = false;
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 48775 "gram.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 15735 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayConstructor *n = makeNode(JsonArrayConstructor);

					n->exprs = (yyvsp[-3].list);
					n->absent_on_null = (yyvsp[-2].boolean);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 48789 "gram.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 15750 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayQueryConstructor *n = makeNode(JsonArrayQueryConstructor);

					n->query = (yyvsp[-3].node);
					n->format = (JsonFormat *) (yyvsp[-2].node);
					n->absent_on_null = true;	/* XXX */
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 48804 "gram.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 15763 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayConstructor *n = makeNode(JsonArrayConstructor);

					n->exprs = NIL;
					n->absent_on_null = true;
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 48818 "gram.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 15773 "gram.y" /* yacc.c:1646  */
    {
					JsonParseExpr *n = makeNode(JsonParseExpr);

					n->expr = (JsonValueExpr *) (yyvsp[-2].node);
					n->unique_keys = (yyvsp[-1].boolean);
					n->output = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 48832 "gram.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 15783 "gram.y" /* yacc.c:1646  */
    {
					JsonScalarExpr *n = makeNode(JsonScalarExpr);

					n->expr = (Expr *) (yyvsp[-1].node);
					n->output = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 48845 "gram.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 15792 "gram.y" /* yacc.c:1646  */
    {
					JsonSerializeExpr *n = makeNode(JsonSerializeExpr);

					n->expr = (JsonValueExpr *) (yyvsp[-2].node);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 48858 "gram.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 15801 "gram.y" /* yacc.c:1646  */
    {
					MergeSupportFunc *m = makeNode(MergeSupportFunc);

					m->msftype = TEXTOID;
					m->location = (yylsp[-2]);
					(yyval.node) = (Node *) m;
				}
#line 48870 "gram.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 15815 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48876 "gram.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 15817 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 48882 "gram.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 15821 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 48888 "gram.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 15823 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 48894 "gram.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 15825 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 48900 "gram.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 15827 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 48906 "gram.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 15830 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 48912 "gram.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 15833 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 48918 "gram.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 15834 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 48924 "gram.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 15838 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 48936 "gram.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 15846 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 48948 "gram.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 15855 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 48954 "gram.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 15856 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 48960 "gram.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 15859 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 48966 "gram.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 15860 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48972 "gram.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 15861 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48978 "gram.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 15864 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 48984 "gram.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 15865 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48990 "gram.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 15866 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48996 "gram.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 15872 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 49004 "gram.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 15876 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 49012 "gram.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 15880 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 49020 "gram.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 15884 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 49028 "gram.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 15899 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49034 "gram.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 15900 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49040 "gram.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 15904 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 49046 "gram.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 15905 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 49052 "gram.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 15913 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 49058 "gram.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 15914 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49064 "gram.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 15918 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 49070 "gram.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 15920 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 49076 "gram.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 15925 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[0].windef);

					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 49087 "gram.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 15934 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 49093 "gram.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 15936 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 49111 "gram.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 15950 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 49117 "gram.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 15955 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 49136 "gram.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 15981 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49142 "gram.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 15982 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 49148 "gram.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 15985 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 49154 "gram.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 15986 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49160 "gram.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 15995 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 49172 "gram.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 16003 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 49184 "gram.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 16011 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_GROUPS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 49196 "gram.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 16019 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49209 "gram.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 16030 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[0].windef);

					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 49231 "gram.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 16048 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n1 = (yyvsp[-2].windef);
					WindowDef  *n2 = (yyvsp[0].windef);

					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_OFFSET_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_OFFSET_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 49273 "gram.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 16094 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49286 "gram.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 16103 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49299 "gram.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 16112 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49312 "gram.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 16121 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49325 "gram.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 16130 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49338 "gram.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 16141 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_CURRENT_ROW; }
#line 49344 "gram.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 16142 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_GROUP; }
#line 49350 "gram.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 16143 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_TIES; }
#line 49356 "gram.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 16144 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 49362 "gram.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 16145 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 49368 "gram.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 16159 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49374 "gram.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 16160 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49380 "gram.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 16161 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 49386 "gram.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 16164 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49392 "gram.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 16165 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49398 "gram.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 16168 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 49404 "gram.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 16171 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 49410 "gram.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 16172 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 49416 "gram.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 16173 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 49422 "gram.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 16176 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49428 "gram.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 16177 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49434 "gram.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 16180 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 49440 "gram.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 16181 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 49446 "gram.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 16182 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 49452 "gram.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 16183 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 49458 "gram.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 16184 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 49464 "gram.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 16185 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 49470 "gram.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 16186 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 49476 "gram.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 16187 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 49482 "gram.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 16188 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 49488 "gram.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 16189 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<="; }
#line 49494 "gram.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 16190 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">="; }
#line 49500 "gram.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 16191 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<>"; }
#line 49506 "gram.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 16195 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 49512 "gram.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 16197 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49518 "gram.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 16202 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 49524 "gram.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 16204 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49530 "gram.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 16209 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 49536 "gram.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 16211 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49542 "gram.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 16213 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 49548 "gram.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 16215 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 49554 "gram.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 16217 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 49560 "gram.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 16219 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 49566 "gram.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 16231 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 49574 "gram.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 16235 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 49582 "gram.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 16242 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 49590 "gram.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 16246 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 49598 "gram.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 16252 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 49606 "gram.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 16256 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 49620 "gram.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 16266 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 49634 "gram.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 16277 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 49640 "gram.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 16278 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49646 "gram.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 16281 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 49652 "gram.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 16282 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 49658 "gram.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 16286 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 49666 "gram.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 16290 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 49674 "gram.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 16294 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 49682 "gram.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 16299 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 49688 "gram.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 16300 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 49694 "gram.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 16306 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 49702 "gram.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 16315 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49708 "gram.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 16316 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 49714 "gram.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 16317 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 49720 "gram.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 16318 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 49726 "gram.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 16319 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 49732 "gram.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 16320 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 49738 "gram.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 16321 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 49744 "gram.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 16322 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49750 "gram.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 16326 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFC"; }
#line 49756 "gram.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 16327 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFD"; }
#line 49762 "gram.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 16328 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFKC"; }
#line 49768 "gram.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 16329 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFKD"; }
#line 49774 "gram.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 16335 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to overlay(A, B, C, D) */
					(yyval.list) = list_make4((yyvsp[-6].node), (yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 49783 "gram.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 16340 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C) is converted to overlay(A, B, C) */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 49792 "gram.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 16348 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 49798 "gram.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 16370 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 49806 "gram.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 16374 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[0].node), (yyvsp[-2].node));
				}
#line 49815 "gram.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 16379 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because we aren't restricting data types here, this
					 * syntax can end up resolving to textregexsubstr().
					 * We've historically allowed that to happen, so continue
					 * to accept it.  However, ruleutils.c will reverse-list
					 * such a call in regular function call syntax.
					 */
					(yyval.list) = list_make2((yyvsp[-2].node), (yyvsp[0].node));
				}
#line 49830 "gram.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 16390 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL */

					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-2].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 49851 "gram.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 16407 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 49859 "gram.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 16412 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 49865 "gram.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 16413 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 49871 "gram.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 16414 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 49877 "gram.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 16418 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *) n;
				}
#line 49889 "gram.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 16425 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 49895 "gram.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 16436 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr   *c = makeNode(CaseExpr);

					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *) c;
				}
#line 49910 "gram.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 16450 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 49916 "gram.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 16451 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 49922 "gram.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 16456 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen   *w = makeNode(CaseWhen);

					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *) w;
				}
#line 49935 "gram.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 16467 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49941 "gram.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 16468 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 49947 "gram.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 16471 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49953 "gram.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 16472 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 49959 "gram.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 16476 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 49967 "gram.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 16480 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 49975 "gram.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 16487 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 49983 "gram.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 16491 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 49991 "gram.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 16495 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 50004 "gram.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 16504 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 50017 "gram.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 16515 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 50023 "gram.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 16516 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 50029 "gram.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 16520 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 50035 "gram.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 16521 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 50041 "gram.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 16525 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50047 "gram.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 16526 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 50053 "gram.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 16536 "gram.y" /* yacc.c:1646  */
    {
				/* formatted_expr will be set during parse-analysis. */
				(yyval.node) = (Node *) makeJsonValueExpr((Expr *) (yyvsp[-1].node), NULL,
												castNode(JsonFormat, (yyvsp[0].node)));
			}
#line 50063 "gram.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 16545 "gram.y" /* yacc.c:1646  */
    {
					int		encoding;

					if (!pg_strcasecmp((yyvsp[0].str), "utf8"))
						encoding = JS_ENC_UTF8;
					else if (!pg_strcasecmp((yyvsp[0].str), "utf16"))
						encoding = JS_ENC_UTF16;
					else if (!pg_strcasecmp((yyvsp[0].str), "utf32"))
						encoding = JS_ENC_UTF32;
					else
						ereport(ERROR,
								errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								errmsg("unrecognized JSON encoding: %s", (yyvsp[0].str)));

					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_JSON, encoding, (yylsp[-3]));
				}
#line 50084 "gram.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 16562 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_JSON, JS_ENC_DEFAULT, (yylsp[-1]));
				}
#line 50092 "gram.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 16569 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 50100 "gram.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 16573 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
				}
#line 50108 "gram.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 16580 "gram.y" /* yacc.c:1646  */
    {
					JsonOutput *n = makeNode(JsonOutput);

					n->typeName = (yyvsp[-1].typnam);
					n->returning = makeNode(JsonReturning);
					n->returning->format = (JsonFormat *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 50121 "gram.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 16588 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 50127 "gram.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 16602 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ANY; }
#line 50133 "gram.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 16603 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ANY; }
#line 50139 "gram.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 16604 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ARRAY; }
#line 50145 "gram.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 16605 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_OBJECT; }
#line 50151 "gram.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 16606 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_SCALAR; }
#line 50157 "gram.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 16615 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50163 "gram.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 16616 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50169 "gram.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 16617 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50175 "gram.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 16618 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50181 "gram.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 16619 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50187 "gram.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 16624 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 50193 "gram.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 16626 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 50199 "gram.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 16636 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeJsonKeyValue((yyvsp[-2].node), (yyvsp[0].node)); }
#line 50205 "gram.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 16639 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeJsonKeyValue((yyvsp[-2].node), (yyvsp[0].node)); }
#line 50211 "gram.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 16644 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50217 "gram.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 16645 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50223 "gram.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 16646 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50229 "gram.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 16650 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50235 "gram.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 16651 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50241 "gram.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 16652 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50247 "gram.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 16656 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 50253 "gram.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 16657 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));}
#line 50259 "gram.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 16667 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectAgg *n = makeNode(JsonObjectAgg);

					n->arg = (JsonKeyValue *) (yyvsp[-4].node);
					n->absent_on_null = (yyvsp[-3].boolean);
					n->unique = (yyvsp[-2].boolean);
					n->constructor = makeNode(JsonAggConstructor);
					n->constructor->output = (JsonOutput *) (yyvsp[-1].node);
					n->constructor->agg_order = NULL;
					n->constructor->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 50276 "gram.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 16685 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayAgg *n = makeNode(JsonArrayAgg);

					n->arg = (JsonValueExpr *) (yyvsp[-4].node);
					n->absent_on_null = (yyvsp[-2].boolean);
					n->constructor = makeNode(JsonAggConstructor);
					n->constructor->agg_order = (yyvsp[-3].list);
					n->constructor->output = (JsonOutput *) (yyvsp[-1].node);
					n->constructor->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 50292 "gram.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 16699 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 50298 "gram.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 16700 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50304 "gram.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 16709 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 50310 "gram.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 16710 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50316 "gram.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 16714 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 50322 "gram.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 16715 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 50328 "gram.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 16719 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 50340 "gram.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 16727 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 50352 "gram.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 16735 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 50364 "gram.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 16743 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef  *n = makeNode(ColumnRef);

					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 50381 "gram.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 16765 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 50387 "gram.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 16766 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 50393 "gram.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 16778 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 50401 "gram.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 16782 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVarFromQualifiedName((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 50409 "gram.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 16788 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 50415 "gram.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 16790 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 50421 "gram.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 16794 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50427 "gram.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 16796 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50433 "gram.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 16798 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50439 "gram.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 16809 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 50445 "gram.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 16811 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 50454 "gram.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 16822 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 50462 "gram.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 16826 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 50470 "gram.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 16830 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 50478 "gram.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 16834 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 50486 "gram.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 16838 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 50499 "gram.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 16847 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-1].list));

					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 50511 "gram.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 16855 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell   *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 50547 "gram.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 16887 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 50555 "gram.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 16891 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-2].typnam);

					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 50566 "gram.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 16898 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 50578 "gram.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 16906 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(true, (yylsp[0]));
				}
#line 50586 "gram.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 16910 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(false, (yylsp[0]));
				}
#line 50594 "gram.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 16914 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 50602 "gram.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 16919 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 50608 "gram.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 16920 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50614 "gram.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 16922 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 50620 "gram.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 16923 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 50626 "gram.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 16924 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 50632 "gram.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 16929 "gram.y" /* yacc.c:1646  */
    {
					RoleSpec   *spc = (RoleSpec *) (yyvsp[0].rolespec);

					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_ROLE:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_ROLE"),
									 parser_errposition((yylsp[0]))));
							break;
					}
				}
#line 50675 "gram.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 16970 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * "public" and "none" are not keywords, but they must
					 * be treated specially here.
					 */
					RoleSpec   *n;

					if (strcmp((yyvsp[0].str), "public") == 0)
					{
						n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
						n->roletype = ROLESPEC_PUBLIC;
					}
					else if (strcmp((yyvsp[0].str), "none") == 0)
					{
						ereport(ERROR,
								(errcode(ERRCODE_RESERVED_NAME),
								 errmsg("role name \"%s\" is reserved",
										"none"),
								 parser_errposition((yylsp[0]))));
					}
					else
					{
						n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
						n->rolename = pstrdup((yyvsp[0].str));
					}
					(yyval.rolespec) = n;
				}
#line 50707 "gram.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 16998 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_ROLE, (yylsp[0]));
				}
#line 50715 "gram.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 17002 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
				}
#line 50723 "gram.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 17006 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
				}
#line 50731 "gram.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 17012 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 50737 "gram.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 17014 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 50743 "gram.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 17031 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-9].list);
					n->targetList = (yyvsp[-8].list);
					n->fromClause = (yyvsp[-7].list);
					n->whereClause = (yyvsp[-6].node);
					n->groupClause = ((yyvsp[-5].groupclause))->list;
					n->groupDistinct = ((yyvsp[-5].groupclause))->distinct;
					n->havingClause = (yyvsp[-4].node);
					n->windowClause = (yyvsp[-3].list);
					n->sortClause = (yyvsp[-2].list);
					if ((yyvsp[-1].selectlimit))
					{
						n->limitOffset = (yyvsp[-1].selectlimit)->limitOffset;
						n->limitCount = (yyvsp[-1].selectlimit)->limitCount;
						if (!n->sortClause &&
							(yyvsp[-1].selectlimit)->limitOption == LIMIT_OPTION_WITH_TIES)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
						n->limitOption = (yyvsp[-1].selectlimit)->limitOption;
					}
					n->lockingClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 50774 "gram.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 17064 "gram.y" /* yacc.c:1646  */
    {
					PLAssignStmt *n = makeNode(PLAssignStmt);

					n->name = (yyvsp[-3].str);
					n->indirection = check_indirection((yyvsp[-2].list), yyscanner);
					/* nnames will be filled by calling production */
					n->val = (SelectStmt *) (yyvsp[0].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 50789 "gram.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 17076 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50795 "gram.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 17077 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("$%d", (yyvsp[0].ival)); }
#line 50801 "gram.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 17098 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50807 "gram.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 17099 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50813 "gram.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 17100 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50819 "gram.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 17105 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50825 "gram.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 17106 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50831 "gram.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 17107 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50837 "gram.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 17112 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50843 "gram.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 17113 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50849 "gram.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 17114 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50855 "gram.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 17115 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50861 "gram.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 17121 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50867 "gram.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 17122 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50873 "gram.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 17123 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50879 "gram.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 17124 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50885 "gram.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 17125 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50891 "gram.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 17131 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50897 "gram.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 17132 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50903 "gram.c" /* yacc.c:1646  */
    break;


#line 50907 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 18110 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int			nfields = 0;
	ListCell   *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast   *n = makeNode(TypeCast);

	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.sval.type = T_String;
	n->val.sval.sval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node	   *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.ival.type = T_Integer;
	n->val.ival.ival = val;
	n->location = location;

   return (Node *) n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.fval.type = T_Float;
	n->val.fval.fval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeBoolAConst(bool state, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.boolval.type = T_Boolean;
	n->val.boolval.boolval = state;
	n->location = location;

   return (Node *) n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.bsval.type = T_BitString;
	n->val.bsval.bsval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeNullAConst(int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->isnull = true;
	n->location = location;

	return (Node *) n;
}

static Node *
makeAConst(Node *v, int location)
{
	Node	   *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(castNode(Float, v)->fval, location);
			break;

		case T_Integer:
			n = makeIntConst(castNode(Integer, v)->ival, location);
			break;

		default:
			/* currently not used */
			Assert(false);
			n = NULL;
	}

	return n;
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec   *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	Integer	   *ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = makeInteger(list_length(directargs));

	return list_make2(list_concat(directargs, orderedargs),
					  ndirectargs);
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					SelectLimit *limitClause,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitClause && limitClause->limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitOffset))));
		stmt->limitOffset = limitClause->limitOffset;
	}
	if (limitClause && limitClause->limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitCount))));
		stmt->limitCount = limitClause->limitCount;
	}
	if (limitClause)
	{
		if (stmt->limitOption)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple limit options not allowed")));
		if (!stmt->sortClause && limitClause->limitOption == LIMIT_OPTION_WITH_TIES)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
		if (limitClause->limitOption == LIMIT_OPTION_WITH_TIES && stmt->lockingClause)
		{
			ListCell   *lc;

			foreach(lc, stmt->lockingClause)
			{
				LockingClause *lock = lfirst_node(LockingClause, lc);

				if (lock->waitPolicy == LockWaitSkip)
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("%s and %s options cannot be used together",
									"SKIP LOCKED", "WITH TIES")));
			}
		}
		stmt->limitOption = limitClause->limitOption;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const	   *con = (A_Const *) n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (IsA(&con->val, Integer))
		{
			con->val.ival.ival = -con->val.ival.ival;
			return n;
		}
		if (IsA(&con->val, Float))
		{
			doNegateFloat(&con->val.fval);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Float *v)
{
	char	   *oldval = v->fval;

	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->fval = oldval+1;	/* just strip the '-' */
	else
		v->fval = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_DEFAULT &&
			p->mode != FUNC_PARAM_IN &&
			p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName   *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar   *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/*
 * Convert a relation_name with name and namelist to a RangeVar using
 * makeRangeVar.
 */
static RangeVar *
makeRangeVarFromQualifiedName(char *name, List *namelist, int location,
							  core_yyscan_t yyscanner)
{
	RangeVar   *r;

	check_qualified_name(namelist, yyscanner);
	r = makeRangeVar(NULL, NULL, location);

	switch (list_length(namelist))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = name;
			r->relname = strVal(linitial(namelist));
			break;
		case 2:
			r->catalogname = name;
			r->schemaname = strVal(linitial(namelist));
			r->relname = strVal(lsecond(namelist));
			break;
		default:
			ereport(ERROR,
					errcode(ERRCODE_SYNTAX_ERROR),
					errmsg("improper qualified name (too many dotted names): %s",
						   NameListToString(lcons(makeString(name), namelist))),
						   parser_errposition(location));
			break;
	}

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;

	*collClause = NULL;
	foreach(cell, qualList)
	{
		Node	   *n = (Node *) lfirst(cell);

		if (IsA(n, Constraint))
		{
			/* keep it in list */
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = foreach_delete_current(qualList, cell);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*
 * Parse a user-supplied partition strategy string into parse node
 * PartitionStrategy representation, or die trying.
 */
static PartitionStrategy
parsePartitionStrategy(char *strategy)
{
	if (pg_strcasecmp(strategy, "list") == 0)
		return PARTITION_STRATEGY_LIST;
	else if (pg_strcasecmp(strategy, "range") == 0)
		return PARTITION_STRATEGY_RANGE;
	else if (pg_strcasecmp(strategy, "hash") == 0)
		return PARTITION_STRATEGY_HASH;

	ereport(ERROR,
			(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
			 errmsg("unrecognized partitioning strategy \"%s\"",
					strategy)));
	return PARTITION_STRATEGY_LIST;		/* keep compiler quiet */

}

/*
 * Process pubobjspec_list to check for errors in any of the objects and
 * convert PUBLICATIONOBJ_CONTINUATION into appropriate PublicationObjSpecType.
 */
static void
preprocess_pubobj_list(List *pubobjspec_list, core_yyscan_t yyscanner)
{
	ListCell   *cell;
	PublicationObjSpec *pubobj;
	PublicationObjSpecType prevobjtype = PUBLICATIONOBJ_CONTINUATION;

	if (!pubobjspec_list)
		return;

	pubobj = (PublicationObjSpec *) linitial(pubobjspec_list);
	if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
		ereport(ERROR,
				errcode(ERRCODE_SYNTAX_ERROR),
				errmsg("invalid publication object list"),
				errdetail("One of TABLE or TABLES IN SCHEMA must be specified before a standalone table or schema name."),
				parser_errposition(pubobj->location));

	foreach(cell, pubobjspec_list)
	{
		pubobj = (PublicationObjSpec *) lfirst(cell);

		if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
			pubobj->pubobjtype = prevobjtype;

		if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLE)
		{
			/* relation name or pubtable must be set for this type of object */
			if (!pubobj->name && !pubobj->pubtable)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("invalid table name"),
						parser_errposition(pubobj->location));

			if (pubobj->name)
			{
				/* convert it to PublicationTable */
				PublicationTable *pubtable = makeNode(PublicationTable);

				pubtable->relation =
					makeRangeVar(NULL, pubobj->name, pubobj->location);
				pubobj->pubtable = pubtable;
				pubobj->name = NULL;
			}
		}
		else if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_SCHEMA ||
				 pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA)
		{
			/* WHERE clause is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->whereClause)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("WHERE clause not allowed for schema"),
						parser_errposition(pubobj->location));

			/* Column list is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->columns)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("column specification not allowed for schema"),
						parser_errposition(pubobj->location));

			/*
			 * We can distinguish between the different type of schema
			 * objects based on whether name and pubtable is set.
			 */
			if (pubobj->name)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
			else if (!pubobj->name && !pubobj->pubtable)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
			else
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("invalid schema name"),
						parser_errposition(pubobj->location));
		}

		prevobjtype = pubobj->pubobjtype;
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctematerialized = CTEMaterializeDefault;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
